prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- Oracle APEX export file
--
-- You should run the script connected to SQL*Plus as the owner (parsing schema)
-- of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_imp.import_begin (
 p_version_yyyy_mm_dd=>'2022.10.07'
,p_release=>'22.2.4'
,p_default_workspace_id=>8458123041844848
,p_default_application_id=>100
,p_default_id_offset=>16918310929265932
,p_default_owner=>'USAGE'
);
end;
/
 
prompt APPLICATION 100 - OCI Usage and Cost Report
--
-- Application Export:
--   Application:     100
--   Name:            OCI Usage and Cost Report
--   Date and Time:   00:30 Friday April 7, 2023
--   Exported By:     ADIZOHAR
--   Flashback:       0
--   Export Type:     Application Export
--     Pages:                     11
--       Items:                  123
--       Computations:            36
--       Processes:                9
--       Regions:                163
--       Buttons:                  9
--       Dynamic Actions:          1
--     Shared Components:
--       Logic:
--         Items:                  1
--         Computations:           1
--         App Settings:           1
--         Build Options:          1
--       Navigation:
--         Lists:                  3
--         Breadcrumbs:            1
--           Entries:              2
--       Security:
--         Authentication:         1
--         Authorization:          3
--         ACL Roles:              3
--       User Interface:
--         Themes:                 1
--         Templates:
--           Page:                10
--           Region:              21
--           Label:                7
--           List:                13
--           Popup LOV:            1
--           Calendar:             1
--           Breadcrumb:           1
--           Button:               3
--           Report:              12
--         LOVs:                   3
--         Shortcuts:              1
--       PWA:
--       Globalization:
--       Reports:
--       E-Mail:
--     Supporting Objects:  Excluded
--   Version:         22.2.4
--   Instance ID:     8458019837672333
--

prompt --application/delete_application
begin
wwv_flow_imp.remove_flow(wwv_flow.g_flow_id);
end;
/
prompt --application/create_application
begin
wwv_flow_imp.create_flow(
 p_id=>wwv_flow.g_flow_id
,p_owner=>nvl(wwv_flow_application_install.get_schema,'USAGE')
,p_name=>nvl(wwv_flow_application_install.get_application_name,'OCI Usage and Cost Report')
,p_alias=>nvl(wwv_flow_application_install.get_application_alias,'USAGE2ADW')
,p_page_view_logging=>'YES'
,p_page_protection_enabled_y_n=>'Y'
,p_checksum_salt=>'875FACC9195C359EC344917E15564C1D485DD4068144173F315788BE04F6A9F4'
,p_bookmark_checksum_function=>'SH512'
,p_accept_old_checksums=>false
,p_compatibility_mode=>'21.2'
,p_flow_language=>'en'
,p_flow_language_derived_from=>'FLOW_PRIMARY_LANGUAGE'
,p_allow_feedback_yn=>'Y'
,p_direction_right_to_left=>'N'
,p_flow_image_prefix => nvl(wwv_flow_application_install.get_image_prefix,'')
,p_documentation_banner=>'Application created from create application wizard 2020.02.27.'
,p_authentication=>'PLUGIN'
,p_authentication_id=>wwv_flow_imp.id(26632739482953813)
,p_application_tab_set=>1
,p_logo_type=>'T'
,p_logo_text=>'OCI Usage and Cost Report'
,p_app_builder_icon_name=>'app-icon.svg'
,p_public_user=>'APEX_PUBLIC_USER'
,p_proxy_server=>nvl(wwv_flow_application_install.get_proxy,'')
,p_no_proxy_domains=>nvl(wwv_flow_application_install.get_no_proxy_domains,'')
,p_flow_version=>'Usage2ADW 23.04.11'
,p_flow_status=>'AVAILABLE_W_EDIT_LINK'
,p_flow_unavailable_text=>'This application is currently unavailable at this time.'
,p_exact_substitutions_only=>'Y'
,p_browser_cache=>'N'
,p_browser_frame=>'D'
,p_referrer_policy=>'strict-origin-when-cross-origin'
,p_vpd=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin',
'execute immediate q''[ALTER SESSION SET OPTIMIZER_IGNORE_HINTS=FALSE]'';',
'execute immediate q''[ALTER SESSION SET OPTIMIZER_IGNORE_PARALLEL_HINTS=FALSE]'';',
'end;'))
,p_runtime_api_usage=>'T'
,p_security_scheme=>'MUST_NOT_BE_PUBLIC_USER'
,p_rejoin_existing_sessions=>'N'
,p_csv_encoding=>'Y'
,p_auto_time_zone=>'N'
,p_tokenize_row_search=>'N'
,p_friendly_url=>'N'
,p_substitution_string_01=>'APP_NAME'
,p_substitution_value_01=>'OCI Usage and Cost Report'
,p_last_updated_by=>'ADIZOHAR'
,p_last_upd_yyyymmddhh24miss=>'20230407003039'
,p_file_prefix => nvl(wwv_flow_application_install.get_static_app_file_prefix,'')
,p_files_version=>3
,p_print_server_type=>'INSTANCE'
,p_is_pwa=>'N'
);
end;
/
prompt --application/user_interfaces
begin
wwv_flow_imp_shared.create_user_interface(
 p_id=>wwv_flow_imp.id(100)
,p_theme_id=>42
,p_home_url=>'f?p=&APP_ID.:1:&SESSION.'
,p_login_url=>'f?p=&APP_ID.:LOGIN_DESKTOP:&SESSION.'
,p_theme_style_by_user_pref=>false
,p_global_page_id=>0
,p_navigation_list_id=>wwv_flow_imp.id(26633532895953822)
,p_navigation_list_position=>'TOP'
,p_navigation_list_template_id=>wwv_flow_imp.id(26734045467954012)
,p_nav_list_template_options=>'#DEFAULT#:js-tabLike'
,p_css_file_urls=>'#APP_IMAGES#app-icon.css?version=#APP_VERSION#'
,p_nav_bar_type=>'LIST'
,p_nav_bar_list_id=>wwv_flow_imp.id(26761686493954129)
,p_nav_bar_list_template_id=>wwv_flow_imp.id(26731301093954009)
,p_nav_bar_template_options=>'#DEFAULT#'
);
end;
/
prompt --application/shared_components/navigation/lists/desktop_navigation_menu
begin
wwv_flow_imp_shared.create_list(
 p_id=>wwv_flow_imp.id(26633532895953822)
,p_name=>'Desktop Navigation Menu'
,p_list_status=>'PUBLIC'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(26773486413954312)
,p_list_item_display_sequence=>10
,p_list_item_link_text=>'Home'
,p_list_item_link_target=>'f?p=&APP_ID.:1:&APP_SESSION.::&DEBUG.:'
,p_list_item_icon=>'fa-home'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(26822622499999748)
,p_list_item_display_sequence=>30
,p_list_item_link_text=>'Current State'
,p_list_item_link_target=>'f?p=&APP_ID.:2:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'2'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(26893995714185420)
,p_list_item_display_sequence=>40
,p_list_item_link_text=>'Usage Over Time'
,p_list_item_link_target=>'f?p=&APP_ID.:3:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'3'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(28619800674039111)
,p_list_item_display_sequence=>50
,p_list_item_link_text=>'Cost Analysis'
,p_list_item_link_target=>'f?p=&APP_ID.:4:&SESSION.::&DEBUG.::::'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'4'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(28948609354341900)
,p_list_item_display_sequence=>60
,p_list_item_link_text=>'Cost Over Time'
,p_list_item_link_target=>'f?p=&APP_ID.:5:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'5'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(33290102187788168)
,p_list_item_display_sequence=>80
,p_list_item_link_text=>'Rate Card'
,p_list_item_link_target=>'f?p=&APP_ID.:7:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'7'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(10409220371145904)
,p_list_item_display_sequence=>85
,p_list_item_link_text=>'ShowOCI Data'
,p_list_item_link_target=>'f?p=&APP_ID.:11:&SESSION.::&DEBUG.::::'
,p_list_item_icon=>'fa-table'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'11'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(29548626779307524)
,p_list_item_display_sequence=>90
,p_list_item_link_text=>'Data Statistics'
,p_list_item_link_target=>'f?p=&APP_ID.:6:&SESSION.::&DEBUG.::::'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'6'
);
end;
/
prompt --application/shared_components/navigation/lists/desktop_navigation_bar
begin
wwv_flow_imp_shared.create_list(
 p_id=>wwv_flow_imp.id(26761686493954129)
,p_name=>'Desktop Navigation Bar'
,p_list_status=>'PUBLIC'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(26809955975954492)
,p_list_item_display_sequence=>10
,p_list_item_link_text=>'&APP_USER.'
,p_list_item_link_target=>'#'
,p_list_item_icon=>'fa-user'
,p_list_text_02=>'has-username'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(26810496180954492)
,p_list_item_display_sequence=>20
,p_list_item_link_text=>'---'
,p_list_item_link_target=>'separator'
,p_parent_list_item_id=>wwv_flow_imp.id(26809955975954492)
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(26810889103954493)
,p_list_item_display_sequence=>30
,p_list_item_link_text=>'Sign Out'
,p_list_item_link_target=>'&LOGOUT_URL.'
,p_list_item_icon=>'fa-sign-out'
,p_parent_list_item_id=>wwv_flow_imp.id(26809955975954492)
,p_list_item_current_type=>'TARGET_PAGE'
);
end;
/
prompt --application/shared_components/navigation/lists/access_control
begin
wwv_flow_imp_shared.create_list(
 p_id=>wwv_flow_imp.id(26812550198954500)
,p_name=>'Access Control'
,p_list_status=>'PUBLIC'
,p_required_patch=>wwv_flow_imp.id(26763483938954182)
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(26812938830954500)
,p_list_item_display_sequence=>10
,p_list_item_link_text=>'Users'
,p_list_item_link_target=>'f?p=&APP_ID.:10011:&SESSION.::&DEBUG.:RP:::'
,p_list_item_icon=>'fa-users'
,p_list_text_01=>'Change access control settings and disable access control'
,p_list_item_current_type=>'TARGET_PAGE'
);
end;
/
prompt --application/shared_components/files/app_icon_svg
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '3C73766720786D6C6E733D22687474703A2F2F7777772E77332E6F72672F323030302F7376672220786D6C6E733A786C696E6B3D22687474703A2F2F7777772E77332E6F72672F313939392F786C696E6B222076696577426F783D223020302036342036';
wwv_flow_imp.g_varchar2_table(2) := '34223E3C646566733E3C7374796C653E2E636C732D317B66696C6C3A75726C282372616469616C2D6772616469656E74293B7D2E636C732D327B6F7061636974793A302E313B7D2E636C732D332C2E636C732D347B66696C6C3A236666663B7D2E636C73';
wwv_flow_imp.g_varchar2_table(3) := '2D337B6F7061636974793A302E363B7D3C2F7374796C653E3C72616469616C4772616469656E742069643D2272616469616C2D6772616469656E74222063783D223332222063793D222E30352220723D22363422206772616469656E74556E6974733D22';
wwv_flow_imp.g_varchar2_table(4) := '7573657253706163654F6E557365223E3C73746F70206F66667365743D2230222073746F702D636F6C6F723D2223666666222073746F702D6F7061636974793D22302E3135222F3E3C73746F70206F66667365743D222E35222073746F702D636F6C6F72';
wwv_flow_imp.g_varchar2_table(5) := '3D2223666666222073746F702D6F7061636974793D22302E31222F3E3C73746F70206F66667365743D2231222073746F702D636F6C6F723D2223666666222073746F702D6F7061636974793D2230222F3E3C2F72616469616C4772616469656E743E3C73';
wwv_flow_imp.g_varchar2_table(6) := '796D626F6C2069643D22616D6269656E742D6C69676874696E67222076696577426F783D22302030203634203634223E3C7061746820636C6173733D22636C732D312220643D224D302030683634763634682D36347A222F3E3C2F73796D626F6C3E3C2F';
wwv_flow_imp.g_varchar2_table(7) := '646566733E3C7469746C653E6261722D6C696E652D63686172743C2F7469746C653E3C726563742077696474683D22363422206865696768743D223634222066696C6C3D2223364538353938222F3E3C672069643D2269636F6E73223E3C706174682063';
wwv_flow_imp.g_varchar2_table(8) := '6C6173733D22636C732D322220643D224D313920343668357631682D357A4D323620343668357631682D357A4D333320343668357631682D357A4D343020343668357631682D357A222F3E3C7061746820636C6173733D22636C732D332220643D224D31';
wwv_flow_imp.g_varchar2_table(9) := '3920333868357638682D357A4D32362033326835763134682D357A4D33332033326835763134682D357A4D34302032376835763139682D357A222F3E3C6720636C6173733D22636C732D32223E3C636972636C652063783D2234322E35222063793D2232';
wwv_flow_imp.g_varchar2_table(10) := '302E352220723D22312E35222F3E3C636972636C652063783D2233352E35222063793D2232352E352220723D22312E35222F3E3C636972636C652063783D2232382E35222063793D2232352E352220723D22312E35222F3E3C636972636C652063783D22';
wwv_flow_imp.g_varchar2_table(11) := '32312E35222063793D2233312E352220723D22312E35222F3E3C7061746820643D224D32312E3832352033312E3837396C2D2E36352D2E37353820372E31342D362E31323168372E3032356C362E3836392D342E3930372E3538322E3831342D372E3133';
wwv_flow_imp.g_varchar2_table(12) := '3120352E303933682D362E3937356C2D362E383620352E3837397A222F3E3C2F673E3C636972636C6520636C6173733D22636C732D34222063783D2234322E35222063793D2231392E352220723D22312E35222F3E3C636972636C6520636C6173733D22';
wwv_flow_imp.g_varchar2_table(13) := '636C732D34222063783D2233352E35222063793D2232342E352220723D22312E35222F3E3C636972636C6520636C6173733D22636C732D34222063783D2232382E35222063793D2232342E352220723D22312E35222F3E3C636972636C6520636C617373';
wwv_flow_imp.g_varchar2_table(14) := '3D22636C732D34222063783D2232312E35222063793D2233302E352220723D22312E35222F3E3C7061746820636C6173733D22636C732D342220643D224D32312E3832352033302E3837396C2D2E36352D2E37353820372E31342D362E31323168372E30';
wwv_flow_imp.g_varchar2_table(15) := '32356C362E3836392D342E3930372E3538322E3831342D372E31333120352E303933682D362E3937356C2D362E383620352E3837397A222F3E3C2F673E3C7573652077696474683D22363422206865696768743D2236342220786C696E6B3A687265663D';
wwv_flow_imp.g_varchar2_table(16) := '2223616D6269656E742D6C69676874696E67222069643D226C69676874696E67222F3E3C2F7376673E';
wwv_flow_imp_shared.create_app_static_file(
 p_id=>wwv_flow_imp.id(26762914353954178)
,p_file_name=>'app-icon.svg'
,p_mime_type=>'image/svg+xml'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/app_icon_css
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '2E6170702D69636F6E207B0A202020206261636B67726F756E642D696D6167653A2075726C286170702D69636F6E2E737667293B0A202020206261636B67726F756E642D7265706561743A206E6F2D7265706561743B0A202020206261636B67726F756E';
wwv_flow_imp.g_varchar2_table(2) := '642D73697A653A20636F7665723B0A202020206261636B67726F756E642D706F736974696F6E3A203530253B0A202020206261636B67726F756E642D636F6C6F723A20233645383539383B0A7D';
wwv_flow_imp_shared.create_app_static_file(
 p_id=>wwv_flow_imp.id(26763290385954181)
,p_file_name=>'app-icon.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
prompt --application/plugin_settings
begin
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(17634134270343001)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_MAP_REGION'
,p_attribute_01=>'Y'
);
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(18100640675335570)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_SINGLE_CHECKBOX'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
);
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(18318318394369477)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_DATE_PICKER_APEX'
,p_attribute_01=>'MONTH-PICKER:YEAR-PICKER'
,p_attribute_02=>'VISIBLE'
,p_attribute_03=>'15'
,p_attribute_04=>'FOCUS'
);
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(18415478195888154)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_GEOCODED_ADDRESS'
,p_attribute_01=>'RELAX_HOUSE_NUMBER'
,p_attribute_02=>'N'
,p_attribute_03=>'POPUP:ITEM'
,p_attribute_04=>'default'
,p_attribute_06=>'LIST'
);
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(26129010146714727)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_DATE_PICKER_JET'
,p_attribute_01=>'MONTH-PICKER:YEAR-PICKER'
,p_attribute_02=>'VISIBLE'
,p_attribute_03=>'15'
,p_attribute_04=>'FOCUS'
);
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(26630729531953807)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_DISPLAY_SELECTOR'
,p_attribute_01=>'Y'
);
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(26631555326953810)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_IR'
,p_attribute_01=>'IG'
);
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(26631827130953810)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_YES_NO'
,p_attribute_01=>'Y'
,p_attribute_03=>'N'
,p_attribute_05=>'SWITCH'
);
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(26632495151953811)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_COLOR_PICKER'
,p_attribute_01=>'FULL'
,p_attribute_02=>'POPUP'
);
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(33342784469661324)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_STAR_RATING'
,p_attribute_01=>'fa-star'
,p_attribute_04=>'#VALUE#'
);
end;
/
prompt --application/shared_components/security/authorizations/administration_rights
begin
wwv_flow_imp_shared.create_security_scheme(
 p_id=>wwv_flow_imp.id(26765175363954188)
,p_name=>'Administration Rights'
,p_scheme_type=>'NATIVE_IS_IN_GROUP'
,p_attribute_01=>'Administrator'
,p_attribute_02=>'A'
,p_error_message=>'Insufficient privileges, user is not an Administrator'
,p_caching=>'BY_USER_BY_PAGE_VIEW'
);
end;
/
prompt --application/shared_components/security/authorizations/reader_rights
begin
wwv_flow_imp_shared.create_security_scheme(
 p_id=>wwv_flow_imp.id(26765289517954188)
,p_name=>'Reader Rights'
,p_scheme_type=>'NATIVE_FUNCTION_BODY'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if nvl(apex_app_setting.get_value(',
'   p_name => ''ACCESS_CONTROL_SCOPE''),''x'') = ''ALL_USERS'' then',
'    -- allow user not in the ACL to access the application',
'    return true;',
'else',
'    -- require user to have at least one role',
'    return apex_acl.has_user_any_roles (',
'        p_application_id => :APP_ID, ',
'        p_user_name      => :APP_USER);',
'end if;'))
,p_error_message=>'You are not authorized to view this application, either because you have not been granted access, or your account has been locked. Please contact the application administrator.'
,p_caching=>'BY_USER_BY_SESSION'
);
end;
/
prompt --application/shared_components/security/authorizations/contribution_rights
begin
wwv_flow_imp_shared.create_security_scheme(
 p_id=>wwv_flow_imp.id(26765410072954188)
,p_name=>'Contribution Rights'
,p_scheme_type=>'NATIVE_IS_IN_GROUP'
,p_attribute_01=>'Administrator,Contributor'
,p_attribute_02=>'A'
,p_error_message=>'Insufficient privileges, user is not a Contributor'
,p_caching=>'BY_USER_BY_PAGE_VIEW'
);
end;
/
prompt --application/shared_components/security/app_access_control/administrator
begin
wwv_flow_imp_shared.create_acl_role(
 p_id=>wwv_flow_imp.id(26764795053954184)
,p_static_id=>'ADMINISTRATOR'
,p_name=>'Administrator'
,p_description=>'Role assigned to application administrators.'
);
end;
/
prompt --application/shared_components/security/app_access_control/contributor
begin
wwv_flow_imp_shared.create_acl_role(
 p_id=>wwv_flow_imp.id(26764962529954188)
,p_static_id=>'CONTRIBUTOR'
,p_name=>'Contributor'
,p_description=>'Role assigned to application contributors.'
);
end;
/
prompt --application/shared_components/security/app_access_control/reader
begin
wwv_flow_imp_shared.create_acl_role(
 p_id=>wwv_flow_imp.id(26765036289954188)
,p_static_id=>'READER'
,p_name=>'Reader'
,p_description=>'Role assigned to application readers.'
);
end;
/
prompt --application/shared_components/navigation/navigation_bar
begin
null;
end;
/
prompt --application/shared_components/logic/application_items/a_oci_resources_count
begin
wwv_flow_imp_shared.create_flow_item(
 p_id=>wwv_flow_imp.id(12997563645586806)
,p_name=>'A_OCI_RESOURCES_COUNT'
,p_protection_level=>'I'
);
end;
/
prompt --application/shared_components/logic/application_computations/a_oci_resources_count
begin
wwv_flow_imp_shared.create_flow_computation(
 p_id=>wwv_flow_imp.id(12997999976592865)
,p_computation_sequence=>10
,p_computation_item=>'A_OCI_RESOURCES_COUNT'
,p_computation_point=>'ON_NEW_INSTANCE'
,p_computation_type=>'QUERY'
,p_computation_processed=>'REPLACE_EXISTING'
,p_computation=>'select count(*) from OCI_RESOURCES'
);
end;
/
prompt --application/shared_components/logic/application_settings
begin
wwv_flow_imp_shared.create_app_setting(
 p_id=>wwv_flow_imp.id(26766509555954202)
,p_name=>'ACCESS_CONTROL_SCOPE'
,p_value=>'ACL_ONLY'
,p_is_required=>'N'
,p_valid_values=>'ACL_ONLY, ALL_USERS'
,p_on_upgrade_keep_value=>true
,p_required_patch=>wwv_flow_imp.id(26763483938954182)
,p_comments=>'The default access level given to authenticated users who are not in the access control list'
);
end;
/
prompt --application/shared_components/navigation/tabs/standard
begin
null;
end;
/
prompt --application/shared_components/navigation/tabs/parent
begin
null;
end;
/
prompt --application/shared_components/user_interface/lovs/access_roles
begin
wwv_flow_imp_shared.create_list_of_values(
 p_id=>wwv_flow_imp.id(26788571463954410)
,p_lov_name=>'ACCESS_ROLES'
,p_lov_query=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select role_name d, role_id r',
'from APEX_APPL_ACL_ROLES where application_id = :APP_ID ',
'order by 1'))
,p_source_type=>'LEGACY_SQL'
,p_location=>'LOCAL'
);
end;
/
prompt --application/shared_components/user_interface/lovs/email_username_format
begin
wwv_flow_imp_shared.create_list_of_values(
 p_id=>wwv_flow_imp.id(26796305350954418)
,p_lov_name=>'EMAIL_USERNAME_FORMAT'
,p_lov_query=>'.'||wwv_flow_imp.id(26796305350954418)||'.'
,p_location=>'STATIC'
);
wwv_flow_imp_shared.create_static_lov_data(
 p_id=>wwv_flow_imp.id(26796547760954419)
,p_lov_disp_sequence=>1
,p_lov_disp_value=>'Email Addresses'
,p_lov_return_value=>'EMAIL'
);
end;
/
prompt --application/shared_components/user_interface/lovs/login_remember_username
begin
wwv_flow_imp_shared.create_list_of_values(
 p_id=>wwv_flow_imp.id(26768795595954263)
,p_lov_name=>'LOGIN_REMEMBER_USERNAME'
,p_lov_query=>'.'||wwv_flow_imp.id(26768795595954263)||'.'
,p_location=>'STATIC'
);
wwv_flow_imp_shared.create_static_lov_data(
 p_id=>wwv_flow_imp.id(26769170455954264)
,p_lov_disp_sequence=>10
,p_lov_disp_value=>'Remember username'
,p_lov_return_value=>'Y'
);
end;
/
prompt --application/pages/page_groups
begin
wwv_flow_imp_page.create_page_group(
 p_id=>wwv_flow_imp.id(26766792348954205)
,p_group_name=>'Administration'
);
end;
/
prompt --application/comments
begin
null;
end;
/
prompt --application/shared_components/navigation/breadcrumbs/breadcrumb
begin
wwv_flow_imp_shared.create_menu(
 p_id=>wwv_flow_imp.id(26633082201953815)
,p_name=>'Breadcrumb'
);
wwv_flow_imp_shared.create_menu_option(
 p_id=>wwv_flow_imp.id(10410183593145925)
,p_short_name=>'ShowOCI Data'
,p_link=>'f?p=&APP_ID.:11:&APP_SESSION.::&DEBUG.:::'
,p_page_id=>11
);
wwv_flow_imp_shared.create_menu_option(
 p_id=>wwv_flow_imp.id(26633243562953818)
,p_short_name=>'Home'
,p_link=>'f?p=&APP_ID.:1:&APP_SESSION.::&DEBUG.'
,p_page_id=>1
);
end;
/
prompt --application/shared_components/navigation/breadcrumbentry
begin
null;
end;
/
prompt --application/shared_components/user_interface/templates/page/left_side_column
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(26633894152953835)
,p_theme_id=>42
,p_name=>'Left Side Column'
,p_internal_name=>'LEFT_SIDE_COLUMN'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.leftSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--showLeft t-PageBody--hideActions no-anim t-PageTemplate--leftCol #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header" role="banner">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." title="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." id="t_Button_navControl" type="button"><span class="t-Header-'
||'controlsIcon" aria-hidden="true"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'      #AFTER_LOGO#',
'    </div>',
'    <div class="t-Header-navBar">',
'      <div class="t-Header-navBar--start">#BEFORE_NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--center">#NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--end">#AFTER_NAVIGATION_BAR#</div>',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">#TOP_GLOBAL_NAVIGATION_LIST##REGION_POSITION_06#</div>',
'</header>',
''))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-side" id="t_Body_side">#REGION_POSITION_02#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main class="t-Body-mainContent" id="main">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" id="t_Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton" title="&"APP_TEXT$APEX.UI.BACK_TO_TOP"." aria-label="&"APP_TEXT$APEX.UI.BACK_TO_TOP"."><span class="a-Icon icon-up-chevron" aria-hidden="true"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs" id="t_Body_inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2525196570560608698
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17515651579259723)
,p_page_template_id=>wwv_flow_imp.id(26633894152953835)
,p_name=>'After Logo'
,p_placeholder=>'AFTER_LOGO'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17516121328259723)
,p_page_template_id=>wwv_flow_imp.id(26633894152953835)
,p_name=>'After Navigation Bar'
,p_placeholder=>'AFTER_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17516670914259723)
,p_page_template_id=>wwv_flow_imp.id(26633894152953835)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'BEFORE_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17517127945259724)
,p_page_template_id=>wwv_flow_imp.id(26633894152953835)
,p_name=>'Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17517674720259724)
,p_page_template_id=>wwv_flow_imp.id(26633894152953835)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17518122058259724)
,p_page_template_id=>wwv_flow_imp.id(26633894152953835)
,p_name=>'Left Column'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17518632054259725)
,p_page_template_id=>wwv_flow_imp.id(26633894152953835)
,p_name=>'Dialogs, Drawers and Popups'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17519133760259725)
,p_page_template_id=>wwv_flow_imp.id(26633894152953835)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17519602549259725)
,p_page_template_id=>wwv_flow_imp.id(26633894152953835)
,p_name=>'Top Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17520175606259725)
,p_page_template_id=>wwv_flow_imp.id(26633894152953835)
,p_name=>'Banner'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17520604239259726)
,p_page_template_id=>wwv_flow_imp.id(26633894152953835)
,p_name=>'Full Width Content'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>8
);
end;
/
prompt --application/shared_components/user_interface/templates/page/left_and_right_side_columns
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(26636702259953885)
,p_theme_id=>42
,p_name=>'Left and Right Side Columns'
,p_internal_name=>'LEFT_AND_RIGHT_SIDE_COLUMNS'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.bothSideCols();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">  ',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody t-PageBody--showLeft no-anim t-PageTemplate--leftRightCol #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<script>(sessionStorage.getItem("ORA_WWV_apex.toggleCore.right.&APP_ID..&APP_PAGE_ID..preferenceForExpanded") === "true") ? document.getElementById(''t_PageBody'').classList.add(''js-rightExpanded'') : document.getElementById(''t_PageBody'').classList.add('
||'''js-rightCollapsed'')</script>',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header" role="banner">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." title="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." id="t_Button_navControl" type="button"><span class="t-Header-'
||'controlsIcon" aria-hidden="true"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'      #AFTER_LOGO#',
'    </div>',
'    <div class="t-Header-navBar">',
'      <div class="t-Header-navBar--start">#BEFORE_NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--center">#NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--end">#AFTER_NAVIGATION_BAR#</div>',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">#TOP_GLOBAL_NAVIGATION_LIST##REGION_POSITION_06#</div>',
'</header>',
''))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-side" id="t_Body_side">#REGION_POSITION_02#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" id="t_Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton" title="&"APP_TEXT$APEX.UI.BACK_TO_TOP"." aria-label="&"APP_TEXT$APEX.UI.BACK_TO_TOP"."><span class="a-Icon icon-up-chevron" aria-hidden="true"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'  <div class="t-Body-actions" id="t_Body_actions">',
'    <button class="t-Body-actionsToggle" title="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" id="t_Button_rightControlButton" type="button"><span class="t-Body-actionsControlsIcon" aria-hidden="true"></span></button>',
'    <div class="t-Body-actionsContent" role="complementary">#REGION_POSITION_03#</div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs" id="t_Body_inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_sidebar_def_reg_pos=>'REGION_POSITION_03'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2525203692562657055
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17526507325259730)
,p_page_template_id=>wwv_flow_imp.id(26636702259953885)
,p_name=>'After Logo'
,p_placeholder=>'AFTER_LOGO'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17527064735259731)
,p_page_template_id=>wwv_flow_imp.id(26636702259953885)
,p_name=>'After Navigation Bar'
,p_placeholder=>'AFTER_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17527575050259731)
,p_page_template_id=>wwv_flow_imp.id(26636702259953885)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'BEFORE_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17528009200259731)
,p_page_template_id=>wwv_flow_imp.id(26636702259953885)
,p_name=>'Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>6
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17528555879259731)
,p_page_template_id=>wwv_flow_imp.id(26636702259953885)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17529050683259732)
,p_page_template_id=>wwv_flow_imp.id(26636702259953885)
,p_name=>'Left Column'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>3
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17529523565259732)
,p_page_template_id=>wwv_flow_imp.id(26636702259953885)
,p_name=>'Right Column'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>3
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17530086526259732)
,p_page_template_id=>wwv_flow_imp.id(26636702259953885)
,p_name=>'Dialogs, Drawers and Popups'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17530534985259732)
,p_page_template_id=>wwv_flow_imp.id(26636702259953885)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>6
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17531040599259732)
,p_page_template_id=>wwv_flow_imp.id(26636702259953885)
,p_name=>'Top Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17531510987259733)
,p_page_template_id=>wwv_flow_imp.id(26636702259953885)
,p_name=>'Banner'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17532028265259733)
,p_page_template_id=>wwv_flow_imp.id(26636702259953885)
,p_name=>'Full Width Content'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>6
);
end;
/
prompt --application/shared_components/user_interface/templates/page/login
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(26639724786953887)
,p_theme_id=>42
,p_name=>'Login'
,p_internal_name=>'LOGIN'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.appLogin();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody--login t-PageTemplate--login no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#',
'<div class="t-Login-bg">',
'  #BACKGROUND_IMAGE#',
'  <div class="t-Login-bgImg"></div>',
'</div>'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Login-container">',
'  <header class="t-Login-containerHeader">#REGION_POSITION_01#</header>',
'  <main class="t-Login-containerBody" id="main">#SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION##BODY#</main>',
'  <footer class="t-Login-containerFooter">#REGION_POSITION_02#</footer>',
'</div>',
''))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>6
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2099711150063350616
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17534709554259735)
,p_page_template_id=>wwv_flow_imp.id(26639724786953887)
,p_name=>'Background Image'
,p_placeholder=>'BACKGROUND_IMAGE'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17535195319259735)
,p_page_template_id=>wwv_flow_imp.id(26639724786953887)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17535717388259735)
,p_page_template_id=>wwv_flow_imp.id(26639724786953887)
,p_name=>'Body Header'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17536267158259736)
,p_page_template_id=>wwv_flow_imp.id(26639724786953887)
,p_name=>'Body Footer'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/master_detail
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(26640535484953888)
,p_theme_id=>42
,p_name=>'Marquee'
,p_internal_name=>'MASTER_DETAIL'
,p_is_popup=>false
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#APEX_FILES#libraries/apex/#MIN_DIRECTORY#widget.stickyTableHeader#MIN#.js?v=#APEX_VERSION#',
'#APEX_FILES#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#'))
,p_javascript_code_onload=>'apex.theme42.initializePage.masterDetail();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--masterDetail t-PageBody--hideLeft no-anim t-PageTemplate--marquee #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<script>(sessionStorage.getItem("ORA_WWV_apex.toggleCore.right.&APP_ID..&APP_PAGE_ID..preferenceForExpanded") === "true") ? document.getElementById(''t_PageBody'').classList.add(''js-rightExpanded'') : document.getElementById(''t_PageBody'').classList.add('
||'''js-rightCollapsed'')</script>',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header" role="banner">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." title="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." id="t_Button_navControl" type="button"><span class="t-Header-'
||'controlsIcon" aria-hidden="true"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'      #AFTER_LOGO#',
'    </div>',
'    <div class="t-Header-navBar">',
'      <div class="t-Header-navBar--start">#BEFORE_NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--center">#NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--end">#AFTER_NAVIGATION_BAR#</div>',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">#TOP_GLOBAL_NAVIGATION_LIST##REGION_POSITION_06#</div>',
'</header>'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-info" id="t_Body_info">#REGION_POSITION_02#</div>',
'        <div class="t-Body-contentInner" role="main">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" id="t_Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton" title="&"APP_TEXT$APEX.UI.BACK_TO_TOP"." aria-label="&"APP_TEXT$APEX.UI.BACK_TO_TOP"."><span class="a-Icon icon-up-chevron" aria-hidden="true"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'  <div class="t-Body-actions" id="t_Body_actions">',
'    <button class="t-Body-actionsToggle" title="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" id="t_Button_rightControlButton" type="button"><span class="t-Body-actionsControlsIcon" aria-hidden="true"></span></button>',
'    <div class="t-Body-actionsContent" role="complementary">#REGION_POSITION_03#</div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs" id="t_Body_inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_sidebar_def_reg_pos=>'REGION_POSITION_03'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>1996914646461572319
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17544248827259742)
,p_page_template_id=>wwv_flow_imp.id(26640535484953888)
,p_name=>'After Logo'
,p_placeholder=>'AFTER_LOGO'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17544691986259742)
,p_page_template_id=>wwv_flow_imp.id(26640535484953888)
,p_name=>'After Navigation Bar'
,p_placeholder=>'AFTER_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17545286755259742)
,p_page_template_id=>wwv_flow_imp.id(26640535484953888)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'BEFORE_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17545756689259743)
,p_page_template_id=>wwv_flow_imp.id(26640535484953888)
,p_name=>'Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17546287345259743)
,p_page_template_id=>wwv_flow_imp.id(26640535484953888)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17546702950259743)
,p_page_template_id=>wwv_flow_imp.id(26640535484953888)
,p_name=>'Master Detail'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17547208443259743)
,p_page_template_id=>wwv_flow_imp.id(26640535484953888)
,p_name=>'Right Side Column'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17547693126259743)
,p_page_template_id=>wwv_flow_imp.id(26640535484953888)
,p_name=>'Dialogs, Drawers and Popups'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17548222536259744)
,p_page_template_id=>wwv_flow_imp.id(26640535484953888)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17548780831259744)
,p_page_template_id=>wwv_flow_imp.id(26640535484953888)
,p_name=>'Top Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17549231744259744)
,p_page_template_id=>wwv_flow_imp.id(26640535484953888)
,p_name=>'Banner'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17549698786259745)
,p_page_template_id=>wwv_flow_imp.id(26640535484953888)
,p_name=>'Full Width Content'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
end;
/
prompt --application/shared_components/user_interface/templates/page/minimal_no_navigation
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(26643645278953891)
,p_theme_id=>42
,p_name=>'Minimal (No Navigation)'
,p_internal_name=>'MINIMAL_NO_NAVIGATION'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.noSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#  ',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft t-PageBody--hideActions no-anim #PAGE_CSS_CLASSES# t-PageBody--noNav t-PageTemplate--minimal" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header" role="banner">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"'
||'></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'      #AFTER_LOGO#',
'    </div>',
'    <div class="t-Header-navBar">',
'      <div class="t-Header-navBar--start">#BEFORE_NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--center">#NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--end">#AFTER_NAVIGATION_BAR#</div>',
'    </div>',
'  </div>',
'</header>',
'    '))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" id="t_Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton" title="&"APP_TEXT$APEX.UI.BACK_TO_TOP"." aria-label="&"APP_TEXT$APEX.UI.BACK_TO_TOP"."><span class="a-Icon icon-up-chevron" aria-hidden="true"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs" id="t_Body_inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>',
''))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar t-NavigationBar--classic" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>4
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2977628563533209425
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17554875080259748)
,p_page_template_id=>wwv_flow_imp.id(26643645278953891)
,p_name=>'After Logo'
,p_placeholder=>'AFTER_LOGO'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17555332610259748)
,p_page_template_id=>wwv_flow_imp.id(26643645278953891)
,p_name=>'After Navigation Bar'
,p_placeholder=>'AFTER_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17555799786259749)
,p_page_template_id=>wwv_flow_imp.id(26643645278953891)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'BEFORE_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17556315007259749)
,p_page_template_id=>wwv_flow_imp.id(26643645278953891)
,p_name=>'Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17556799521259749)
,p_page_template_id=>wwv_flow_imp.id(26643645278953891)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17557347138259749)
,p_page_template_id=>wwv_flow_imp.id(26643645278953891)
,p_name=>'Dialogs, Drawers and Popups'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17557820553259750)
,p_page_template_id=>wwv_flow_imp.id(26643645278953891)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17558382129259750)
,p_page_template_id=>wwv_flow_imp.id(26643645278953891)
,p_name=>'Top Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17558880398259750)
,p_page_template_id=>wwv_flow_imp.id(26643645278953891)
,p_name=>'Banner'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17559329006259751)
,p_page_template_id=>wwv_flow_imp.id(26643645278953891)
,p_name=>'Full Width Content'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/page/modal_dialog
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(26646158128953892)
,p_theme_id=>42
,p_name=>'Modal Dialog'
,p_internal_name=>'MODAL_DIALOG'
,p_is_popup=>true
,p_javascript_code_onload=>'apex.theme42.initializePage.modalDialog();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-Dialog-page t-Dialog-page--standard t-PageTemplate--dialog #DIALOG_CSS_CLASSES# #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Dialog" role="dialog" aria-label="#TITLE#">',
'  <div class="t-Dialog-header">#REGION_POSITION_01#</div>',
'  <div class="t-Dialog-bodyWrapperOut">',
'    <div class="t-Dialog-bodyWrapperIn">',
'      <div class="t-Dialog-body" role="main">#SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION##BODY#</div>',
'    </div>',
'  </div>',
'  <div class="t-Dialog-footer">#REGION_POSITION_03#</div>',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>3
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_js_init_code=>'apex.theme42.dialog(#PAGE_URL#,{title:#TITLE#,h:#DIALOG_HEIGHT#,w:#DIALOG_WIDTH#,mxw:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,dlgCls:''t-Dialog-page--standard ''+#DIALOG_CSS_CLASSES#,#DIALOG_ATTRIBUTES#},#PAGE_CSS_CLASSES#,#TRIGGERING_ELEMEN'
||'T#)'
,p_dialog_js_close_code=>'apex.theme42.dialog.close(#IS_MODAL#,#TARGET#)'
,p_dialog_js_cancel_code=>'apex.theme42.dialog.cancel(#IS_MODAL#)'
,p_dialog_height=>'auto'
,p_dialog_width=>'720'
,p_dialog_max_width=>'960'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2098960803539086924
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17561661884259752)
,p_page_template_id=>wwv_flow_imp.id(26646158128953892)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17562168112259752)
,p_page_template_id=>wwv_flow_imp.id(26646158128953892)
,p_name=>'Dialog Header'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17562597813259753)
,p_page_template_id=>wwv_flow_imp.id(26646158128953892)
,p_name=>'Dialog Footer'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/right_side_column
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(26647643590953893)
,p_theme_id=>42
,p_name=>'Right Side Column'
,p_internal_name=>'RIGHT_SIDE_COLUMN'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.rightSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8"> ',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft no-anim t-PageTemplate--rightSideCol #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<script>(sessionStorage.getItem("ORA_WWV_apex.toggleCore.right.&APP_ID..&APP_PAGE_ID..preferenceForExpanded") === "true") ? document.getElementById(''t_PageBody'').classList.add(''js-rightExpanded'') : document.getElementById(''t_PageBody'').classList.add('
||'''js-rightCollapsed'')</script>',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header" role="banner">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." title="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." id="t_Button_navControl" type="button"><span class="t-Header-'
||'controlsIcon" aria-hidden="true"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'      #AFTER_LOGO#',
'    </div>',
'    <div class="t-Header-navBar">',
'      <div class="t-Header-navBar--start">#BEFORE_NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--center">#NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--end">#AFTER_NAVIGATION_BAR#</div>',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">#TOP_GLOBAL_NAVIGATION_LIST##REGION_POSITION_06#</div>',
'</header>'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" id="t_Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton" title="&"APP_TEXT$APEX.UI.BACK_TO_TOP"." aria-label="&"APP_TEXT$APEX.UI.BACK_TO_TOP"."><span class="a-Icon icon-up-chevron" aria-hidden="true"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'  <div class="t-Body-actions" id="t_Body_actions">',
'    <button class="t-Body-actionsToggle" aria-label="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" title="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" id="t_Button_rightControlButton" type="button"><span class="t-Body-actionsControlsIcon" aria-hidden="true"></span></button'
||'>',
'    <div class="t-Body-actionsContent" role="complementary">#REGION_POSITION_03#</div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs" id="t_Body_inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_sidebar_def_reg_pos=>'REGION_POSITION_03'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2525200116240651575
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17568485518259757)
,p_page_template_id=>wwv_flow_imp.id(26647643590953893)
,p_name=>'After Logo'
,p_placeholder=>'AFTER_LOGO'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17568948496259757)
,p_page_template_id=>wwv_flow_imp.id(26647643590953893)
,p_name=>'After Navigation Bar'
,p_placeholder=>'AFTER_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17569398458259757)
,p_page_template_id=>wwv_flow_imp.id(26647643590953893)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'BEFORE_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17569984598259757)
,p_page_template_id=>wwv_flow_imp.id(26647643590953893)
,p_name=>'Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17570459423259758)
,p_page_template_id=>wwv_flow_imp.id(26647643590953893)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17570981284259758)
,p_page_template_id=>wwv_flow_imp.id(26647643590953893)
,p_name=>'Right Column'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17571394375259758)
,p_page_template_id=>wwv_flow_imp.id(26647643590953893)
,p_name=>'Dialogs, Drawers and Popups'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17571899542259760)
,p_page_template_id=>wwv_flow_imp.id(26647643590953893)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17572438640259761)
,p_page_template_id=>wwv_flow_imp.id(26647643590953893)
,p_name=>'Top Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17572935113259761)
,p_page_template_id=>wwv_flow_imp.id(26647643590953893)
,p_name=>'Banner'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17573423791259761)
,p_page_template_id=>wwv_flow_imp.id(26647643590953893)
,p_name=>'Full Width Content'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
end;
/
prompt --application/shared_components/user_interface/templates/page/standard
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(26650505737953895)
,p_theme_id=>42
,p_name=>'Standard'
,p_internal_name=>'STANDARD'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.noSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft t-PageBody--hideActions no-anim t-PageTemplate--standard #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header" role="banner">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." title="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." id="t_Button_navControl" type="button"><span class="t-Header-'
||'controlsIcon" aria-hidden="true"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'      #AFTER_LOGO#',
'    </div>',
'    <div class="t-Header-navBar">',
'      <div class="t-Header-navBar--start">#BEFORE_NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--center">#NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--end">#AFTER_NAVIGATION_BAR#</div>',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">#TOP_GLOBAL_NAVIGATION_LIST##REGION_POSITION_06#</div>',
'</header>',
''))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" id="t_Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton" title="&"APP_TEXT$APEX.UI.BACK_TO_TOP"." aria-label="&"APP_TEXT$APEX.UI.BACK_TO_TOP"."><span class="a-Icon icon-up-chevron" aria-hidden="true"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs" id="t_Body_inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>',
''))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar t-NavigationBar--classic" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>1
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>4070909157481059304
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17578504714259764)
,p_page_template_id=>wwv_flow_imp.id(26650505737953895)
,p_name=>'After Logo'
,p_placeholder=>'AFTER_LOGO'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17579013142259765)
,p_page_template_id=>wwv_flow_imp.id(26650505737953895)
,p_name=>'After Navigation Bar'
,p_placeholder=>'AFTER_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17579492688259765)
,p_page_template_id=>wwv_flow_imp.id(26650505737953895)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'BEFORE_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17580034628259765)
,p_page_template_id=>wwv_flow_imp.id(26650505737953895)
,p_name=>'Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17580522297259765)
,p_page_template_id=>wwv_flow_imp.id(26650505737953895)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17581023134259766)
,p_page_template_id=>wwv_flow_imp.id(26650505737953895)
,p_name=>'Dialogs, Drawers and Popups'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17581514117259766)
,p_page_template_id=>wwv_flow_imp.id(26650505737953895)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17582055014259766)
,p_page_template_id=>wwv_flow_imp.id(26650505737953895)
,p_name=>'Top Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17582564907259767)
,p_page_template_id=>wwv_flow_imp.id(26650505737953895)
,p_name=>'Banner'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17582991796259767)
,p_page_template_id=>wwv_flow_imp.id(26650505737953895)
,p_name=>'Full Width Content'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/page/wizard_modal_dialog
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(26652920992953896)
,p_theme_id=>42
,p_name=>'Wizard Modal Dialog'
,p_internal_name=>'WIZARD_MODAL_DIALOG'
,p_is_popup=>true
,p_javascript_code_onload=>'apex.theme42.initializePage.wizardModal();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-Dialog-page t-Dialog-page--wizard t-PageTemplate--wizard #DIALOG_CSS_CLASSES# #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Dialog" role="dialog" aria-label="#TITLE#">',
'  <div class="t-Dialog-header">#REGION_POSITION_01#</div>',
'  <div class="t-Dialog-bodyWrapperOut">',
'    <div class="t-Dialog-bodyWrapperIn">',
'      <div class="t-Dialog-body" role="main">#SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION##BODY#</div>',
'    </div>',
'  </div>',
'  <div class="t-Dialog-footer">#REGION_POSITION_03#</div>',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_theme_class_id=>3
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_js_init_code=>'apex.theme42.dialog(#PAGE_URL#,{title:#TITLE#,h:#DIALOG_HEIGHT#,w:#DIALOG_WIDTH#,mxw:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,dlgCls:''t-Dialog-page--wizard ''+#DIALOG_CSS_CLASSES#,#DIALOG_ATTRIBUTES#},#PAGE_CSS_CLASSES#,#TRIGGERING_ELEMENT#'
||')'
,p_dialog_js_close_code=>'apex.theme42.dialog.close(#IS_MODAL#,#TARGET#)'
,p_dialog_js_cancel_code=>'apex.theme42.dialog.cancel(#IS_MODAL#)'
,p_dialog_height=>'auto'
,p_dialog_width=>'720'
,p_dialog_max_width=>'960'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2120348229686426515
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17585370613259768)
,p_page_template_id=>wwv_flow_imp.id(26652920992953896)
,p_name=>'Wizard Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17585878752259769)
,p_page_template_id=>wwv_flow_imp.id(26652920992953896)
,p_name=>'Wizard Progress Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17586318803259769)
,p_page_template_id=>wwv_flow_imp.id(26652920992953896)
,p_name=>'Wizard Buttons'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/drawer
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(28958831405125814)
,p_theme_id=>42
,p_name=>'Drawer'
,p_internal_name=>'DRAWER'
,p_is_popup=>true
,p_javascript_code_onload=>'apex.theme42.initializePage.modalDialog();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-Drawer-page t-PageTemplate--drawer #DIALOG_CSS_CLASSES# #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Drawer" role="dialog" aria-label="#TITLE#">',
'  <div class="t-Drawer-header">#REGION_POSITION_01#</div>',
'  <div class="t-Drawer-bodyWrapperOut">',
'    <div class="t-Drawer-bodyWrapperIn">',
'      <div class="t-Drawer-body" role="main">#SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION##BODY#</div>',
'    </div>',
'  </div>',
'  <div class="t-Drawer-footer">#REGION_POSITION_03#</div>',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>11
,p_preset_template_options=>'js-dialog-class-t-Drawer--pullOutEnd'
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_js_init_code=>'apex.theme42.dialog(#PAGE_URL#,{title:#TITLE#,w:#DIALOG_WIDTH#,mxw:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,dlgCls:''t-Drawer-page--standard ''+#DIALOG_CSS_CLASSES#,#DIALOG_ATTRIBUTES#},#PAGE_CSS_CLASSES#,#TRIGGERING_ELEMENT#)'
,p_dialog_js_close_code=>'apex.theme42.dialog.close(#IS_MODAL#,#TARGET#)'
,p_dialog_js_cancel_code=>'apex.theme42.dialog.cancel(#IS_MODAL#)'
,p_dialog_height=>'auto'
,p_dialog_width=>'720'
,p_dialog_max_width=>'960'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>1659739787629394056
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17505557047259711)
,p_page_template_id=>wwv_flow_imp.id(28958831405125814)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17506080733259711)
,p_page_template_id=>wwv_flow_imp.id(28958831405125814)
,p_name=>'Dialog Header'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17506582762259712)
,p_page_template_id=>wwv_flow_imp.id(28958831405125814)
,p_name=>'Dialog Footer'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/button/icon
begin
wwv_flow_imp_shared.create_button_templates(
 p_id=>wwv_flow_imp.id(26738711133954024)
,p_template_name=>'Icon'
,p_internal_name=>'ICON'
,p_template=>'<button class="t-Button t-Button--noLabel t-Button--icon #BUTTON_CSS_CLASSES#" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#" title="#LABEL!ATTR#" aria-label="#LABEL!ATTR#"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidde'
||'n="true"></span></button>'
,p_hot_template=>'<button class="t-Button t-Button--noLabel t-Button--icon #BUTTON_CSS_CLASSES# t-Button--hot" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#" title="#LABEL!ATTR#" aria-label="#LABEL!ATTR#"><span class="t-Icon #ICON_CSS_CLASSE'
||'S#" aria-hidden="true"></span></button>'
,p_reference_id=>2347660919680321258
,p_translate_this_template=>'N'
,p_theme_class_id=>5
,p_theme_id=>42
);
end;
/
prompt --application/shared_components/user_interface/templates/button/text
begin
wwv_flow_imp_shared.create_button_templates(
 p_id=>wwv_flow_imp.id(26739430162954028)
,p_template_name=>'Text'
,p_internal_name=>'TEXT'
,p_template=>'<button onclick="#JAVASCRIPT#" class="t-Button #BUTTON_CSS_CLASSES#" type="button" #BUTTON_ATTRIBUTES# id="#BUTTON_ID#"><span class="t-Button-label">#LABEL#</span></button>'
,p_hot_template=>'<button onclick="#JAVASCRIPT#" class="t-Button t-Button--hot #BUTTON_CSS_CLASSES#" type="button" #BUTTON_ATTRIBUTES# id="#BUTTON_ID#"><span class="t-Button-label">#LABEL#</span></button>'
,p_reference_id=>4070916158035059322
,p_translate_this_template=>'N'
,p_theme_class_id=>1
,p_theme_id=>42
);
end;
/
prompt --application/shared_components/user_interface/templates/button/text_with_icon
begin
wwv_flow_imp_shared.create_button_templates(
 p_id=>wwv_flow_imp.id(26739530686954028)
,p_template_name=>'Text with Icon'
,p_internal_name=>'TEXT_WITH_ICON'
,p_template=>'<button class="t-Button t-Button--icon #BUTTON_CSS_CLASSES#" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#"><span class="t-Icon t-Icon--left #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-Button-label">#LABEL#'
||'</span><span class="t-Icon t-Icon--right #ICON_CSS_CLASSES#" aria-hidden="true"></span></button>'
,p_hot_template=>'<button class="t-Button t-Button--icon #BUTTON_CSS_CLASSES# t-Button--hot" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#"><span class="t-Icon t-Icon--left #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-Button-'
||'label">#LABEL#</span><span class="t-Icon t-Icon--right #ICON_CSS_CLASSES#" aria-hidden="true"></span></button>'
,p_reference_id=>2081382742158699622
,p_translate_this_template=>'N'
,p_theme_class_id=>4
,p_preset_template_options=>'t-Button--iconLeft'
,p_theme_id=>42
);
end;
/
prompt --application/shared_components/user_interface/templates/region/alert
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(26654418278953904)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-header">',
'        <h2 class="t-Alert-title" id="#REGION_STATIC_ID#_heading" data-apex-heading>#TITLE#</h2>',
'      </div>',
'      <div class="t-Alert-body">#BODY##SUB_REGIONS#</div>',
'    </div>',
'    <div class="t-Alert-buttons">#PREVIOUS##CLOSE##CREATE##NEXT#</div>',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Alert'
,p_internal_name=>'ALERT'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>21
,p_preset_template_options=>'t-Alert--horizontal:t-Alert--defaultIcons:t-Alert--warning'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_reference_id=>2039236646100190748
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17590100988259777)
,p_plug_template_id=>wwv_flow_imp.id(26654418278953904)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17590655089259778)
,p_plug_template_id=>wwv_flow_imp.id(26654418278953904)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17591109904259778)
,p_plug_template_id=>wwv_flow_imp.id(26654418278953904)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17591644587259778)
,p_plug_template_id=>wwv_flow_imp.id(26654418278953904)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17592177876259779)
,p_plug_template_id=>wwv_flow_imp.id(26654418278953904)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17592681461259779)
,p_plug_template_id=>wwv_flow_imp.id(26654418278953904)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/blank_with_attributes
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(26658184993953922)
,p_layout=>'TABLE'
,p_template=>'<div id="#REGION_STATIC_ID#" class="#REGION_CSS_CLASSES#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>#PREVIOUS##BODY##SUB_REGIONS##NEXT#</div>'
,p_page_plug_template_name=>'Blank with Attributes'
,p_internal_name=>'BLANK_WITH_ATTRIBUTES'
,p_theme_id=>42
,p_theme_class_id=>7
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>4499993862448380551
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17601939626259786)
,p_plug_template_id=>wwv_flow_imp.id(26658184993953922)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17602475594259787)
,p_plug_template_id=>wwv_flow_imp.id(26658184993953922)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17602925765259787)
,p_plug_template_id=>wwv_flow_imp.id(26658184993953922)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17603468386259787)
,p_plug_template_id=>wwv_flow_imp.id(26658184993953922)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/blank_with_attributes_no_grid
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(26658335190953923)
,p_layout=>'TABLE'
,p_template=>'<div id="#REGION_STATIC_ID#" class="#REGION_CSS_CLASSES#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>#PREVIOUS##BODY##SUB_REGIONS##NEXT#</div>'
,p_page_plug_template_name=>'Blank with Attributes (No Grid)'
,p_internal_name=>'BLANK_WITH_ATTRIBUTES_NO_GRID'
,p_theme_id=>42
,p_theme_class_id=>7
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>3369790999010910123
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17605846849259791)
,p_plug_template_id=>wwv_flow_imp.id(26658335190953923)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17606352927259791)
,p_plug_template_id=>wwv_flow_imp.id(26658335190953923)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17606836968259791)
,p_plug_template_id=>wwv_flow_imp.id(26658335190953923)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17607189097259792)
,p_plug_template_id=>wwv_flow_imp.id(26658335190953923)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/buttons_container
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(26659138683953923)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ButtonRegion t-Form--floatLeft #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-ButtonRegion-wrap">',
'    <div class="t-ButtonRegion-col t-ButtonRegion-col--left"><div class="t-ButtonRegion-buttons">#PREVIOUS##CLOSE##DELETE#</div></div>',
'    <div class="t-ButtonRegion-col t-ButtonRegion-col--content">',
'      #BODY#',
'      <div class="t-ButtonRegion-buttons">#CHANGE#</div>',
'      #SUB_REGIONS#',
'    </div>',
'    <div class="t-ButtonRegion-col t-ButtonRegion-col--right"><div class="t-ButtonRegion-buttons">#EDIT##CREATE##NEXT#</div></div>',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Buttons Container'
,p_internal_name=>'BUTTONS_CONTAINER'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>17
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_reference_id=>2124982336649579661
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17611596081259795)
,p_plug_template_id=>wwv_flow_imp.id(26659138683953923)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17612120539259795)
,p_plug_template_id=>wwv_flow_imp.id(26659138683953923)
,p_name=>'Change'
,p_placeholder=>'CHANGE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17612684595259795)
,p_plug_template_id=>wwv_flow_imp.id(26659138683953923)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17613109997259795)
,p_plug_template_id=>wwv_flow_imp.id(26659138683953923)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17613635488259796)
,p_plug_template_id=>wwv_flow_imp.id(26659138683953923)
,p_name=>'Delete'
,p_placeholder=>'DELETE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17614182369259796)
,p_plug_template_id=>wwv_flow_imp.id(26659138683953923)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17614641705259796)
,p_plug_template_id=>wwv_flow_imp.id(26659138683953923)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17615113905259797)
,p_plug_template_id=>wwv_flow_imp.id(26659138683953923)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17615675508259797)
,p_plug_template_id=>wwv_flow_imp.id(26659138683953923)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/carousel_container
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(26661374046953925)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Region t-Region--carousel #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-Region-header">',
'    <div class="t-Region-headerItems t-Region-headerItems--title">',
'      <span class="t-Region-headerIcon"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span></span>',
'      <h2 class="t-Region-title" id="#REGION_STATIC_ID#_heading" data-apex-heading>#TITLE#</h2>',
'    </div>',
'    <div class="t-Region-headerItems t-Region-headerItems--buttons">#COPY##EDIT#<span class="js-maximizeButtonContainer"></span></div>',
'  </div>',
'  <div role="region" aria-label="#TITLE#" class="t-Region-bodyWrap">',
'    <div class="t-Region-buttons t-Region-buttons--top">',
'      <div class="t-Region-buttons-left">#PREVIOUS#</div>',
'      <div class="t-Region-buttons-right">#NEXT#</div>',
'    </div>',
'    <div class="t-Region-body">',
'      #BODY#',
'      <div class="t-Region-carouselRegions">#SUB_REGIONS#</div>',
'    </div>',
'    <div class="t-Region-buttons t-Region-buttons--bottom">',
'      <div class="t-Region-buttons-left">#CLOSE##HELP#</div>',
'      <div class="t-Region-buttons-right">#DELETE##CHANGE##CREATE#</div>',
'    </div>',
'  </div>',
'</div>'))
,p_sub_plug_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div data-label="#SUB_REGION_TITLE#" id="SR_#SUB_REGION_ID#">',
'  #SUB_REGION#',
'</div>'))
,p_page_plug_template_name=>'Carousel Container'
,p_internal_name=>'CAROUSEL_CONTAINER'
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#APEX_FILES#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#',
'#APEX_FILES#plugins/com.oracle.apex.carousel/1.1/com.oracle.apex.carousel#MIN#.js?v=#APEX_VERSION#'))
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>5
,p_default_template_options=>'t-Region--showCarouselControls'
,p_preset_template_options=>'t-Region--hiddenOverflow'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_reference_id=>2865840475322558786
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17628637156259807)
,p_plug_template_id=>wwv_flow_imp.id(26661374046953925)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17629100930259807)
,p_plug_template_id=>wwv_flow_imp.id(26661374046953925)
,p_name=>'Change'
,p_placeholder=>'CHANGE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17629588817259808)
,p_plug_template_id=>wwv_flow_imp.id(26661374046953925)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17630172054259808)
,p_plug_template_id=>wwv_flow_imp.id(26661374046953925)
,p_name=>'Copy'
,p_placeholder=>'COPY'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17630607223259808)
,p_plug_template_id=>wwv_flow_imp.id(26661374046953925)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17631094567259809)
,p_plug_template_id=>wwv_flow_imp.id(26661374046953925)
,p_name=>'Delete'
,p_placeholder=>'DELETE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17631602577259809)
,p_plug_template_id=>wwv_flow_imp.id(26661374046953925)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17632124641259809)
,p_plug_template_id=>wwv_flow_imp.id(26661374046953925)
,p_name=>'Help'
,p_placeholder=>'HELP'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17632668422259809)
,p_plug_template_id=>wwv_flow_imp.id(26661374046953925)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17633158422259810)
,p_plug_template_id=>wwv_flow_imp.id(26661374046953925)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17633620460259810)
,p_plug_template_id=>wwv_flow_imp.id(26661374046953925)
,p_name=>'Slides'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/collapsible
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(26668531606953932)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Region t-Region--hideShow #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
' <div class="t-Region-header">',
'  <div class="t-Region-headerItems t-Region-headerItems--controls"><span class="t-Button t-Button--icon t-Button--hideShow"><span class="a-Icon _a-Collapsible-icon" aria-hidden="true"></span></span></div>',
'  <div class="t-Region-headerItems t-Region-headerItems--title">',
'    <h2 id="#REGION_STATIC_ID#_heading" class="t-Region-title" data-apex-heading><button class="t-Region-titleButton" type="button">#TITLE#</button></h2>',
'  </div>',
'  <div class="t-Region-headerItems t-Region-headerItems--buttons">#EDIT#</div>',
' </div>',
' <div class="t-Region-bodyWrap">',
'   <div class="t-Region-buttons t-Region-buttons--top">',
'    <div class="t-Region-buttons-left">#CLOSE#</div>',
'    <div class="t-Region-buttons-right">#CREATE#</div>',
'   </div>',
'   <div class="t-Region-body">',
'     #COPY#',
'     #BODY#',
'     #SUB_REGIONS#',
'     #CHANGE#',
'   </div>',
'   <div class="t-Region-buttons t-Region-buttons--bottom">',
'    <div class="t-Region-buttons-left">#PREVIOUS#</div>',
'    <div class="t-Region-buttons-right">#NEXT#</div>',
'   </div>',
' </div>',
'</div>'))
,p_page_plug_template_name=>'Collapsible'
,p_internal_name=>'COLLAPSIBLE'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>1
,p_preset_template_options=>'is-expanded:t-Region--scrollBody'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_region_title_dom_id=>'#REGION_STATIC_ID#_heading'
,p_reference_id=>2662888092628347716
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17652153587259824)
,p_plug_template_id=>wwv_flow_imp.id(26668531606953932)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17652672713259824)
,p_plug_template_id=>wwv_flow_imp.id(26668531606953932)
,p_name=>'Change'
,p_placeholder=>'CHANGE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17653179829259825)
,p_plug_template_id=>wwv_flow_imp.id(26668531606953932)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17653668134259825)
,p_plug_template_id=>wwv_flow_imp.id(26668531606953932)
,p_name=>'Copy'
,p_placeholder=>'COPY'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17654119182259825)
,p_plug_template_id=>wwv_flow_imp.id(26668531606953932)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17654605531259825)
,p_plug_template_id=>wwv_flow_imp.id(26668531606953932)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17655177699259826)
,p_plug_template_id=>wwv_flow_imp.id(26668531606953932)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17655598945259826)
,p_plug_template_id=>wwv_flow_imp.id(26668531606953932)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17656120942259826)
,p_plug_template_id=>wwv_flow_imp.id(26668531606953932)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/content_block
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(26673949162953943)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ContentBlock #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-ContentBlock-header">',
'    <div class="t-ContentBlock-headerItems t-ContentBlock-headerItems--title">',
'      <span class="t-ContentBlock-headerIcon"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span></span>',
'      <h2 class="t-ContentBlock-title" id="#REGION_STATIC_ID#_heading" data-apex-heading>#TITLE#</h2>',
'      #EDIT#',
'    </div>',
'    <div class="t-ContentBlock-headerItems t-ContentBlock-headerItems--buttons">#CHANGE#</div>',
'  </div>',
'  <div class="t-ContentBlock-body">#BODY##SUB_REGIONS#</div>',
'  <div class="t-ContentBlock-buttons">#PREVIOUS##NEXT#</div>',
'</div>',
''))
,p_page_plug_template_name=>'Content Block'
,p_internal_name=>'CONTENT_BLOCK'
,p_theme_id=>42
,p_theme_class_id=>21
,p_preset_template_options=>'t-ContentBlock--h1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_region_title_dom_id=>'#REGION_STATIC_ID#_heading'
,p_reference_id=>2320668864738842174
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17676765732259841)
,p_plug_template_id=>wwv_flow_imp.id(26673949162953943)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17677287333259842)
,p_plug_template_id=>wwv_flow_imp.id(26673949162953943)
,p_name=>'Change'
,p_placeholder=>'CHANGE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17677694634259842)
,p_plug_template_id=>wwv_flow_imp.id(26673949162953943)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17678249019259842)
,p_plug_template_id=>wwv_flow_imp.id(26673949162953943)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17678780454259842)
,p_plug_template_id=>wwv_flow_imp.id(26673949162953943)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17679280454259843)
,p_plug_template_id=>wwv_flow_imp.id(26673949162953943)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/hero
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(26675974030953945)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-HeroRegion #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-HeroRegion-top">',
'    <div class="t-HeroRegion-wrap">',
'      <div class="t-HeroRegion-col t-HeroRegion-col--left">#REGION_IMAGE#<span class="t-HeroRegion-icon t-Icon #ICON_CSS_CLASSES#"></span></div>',
'      <div class="t-HeroRegion-col t-HeroRegion-col--content">',
'        <h1 id="#REGION_STATIC_ID#_heading" class="t-HeroRegion-title" data-apex-heading>#TITLE#</h1>',
'        #BODY#',
'      </div>',
'      <div class="t-HeroRegion-col t-HeroRegion-col--right"><div class="t-HeroRegion-form">#SUB_REGIONS#</div><div class="t-HeroRegion-buttons">#NEXT#</div></div>',
'    </div>',
'  </div>',
'  <div class="t-HeroRegion-bottom">#SMART_FILTERS#</div>',
'</div>',
''))
,p_page_plug_template_name=>'Hero'
,p_internal_name=>'HERO'
,p_image_template=>'<img class="t-HeroRegion-icon" src="#REGION_IMAGE_URL#" alt="" />'
,p_theme_id=>42
,p_theme_class_id=>22
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_region_title_dom_id=>'#REGION_STATIC_ID#_heading'
,p_reference_id=>2672571031438297268
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17687024109259849)
,p_plug_template_id=>wwv_flow_imp.id(26675974030953945)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17687509045259850)
,p_plug_template_id=>wwv_flow_imp.id(26675974030953945)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17688015497259850)
,p_plug_template_id=>wwv_flow_imp.id(26675974030953945)
,p_name=>'Search Field and Smart Filters'
,p_placeholder=>'SMART_FILTERS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17688504733259850)
,p_plug_template_id=>wwv_flow_imp.id(26675974030953945)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/inline_dialog
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(26678094828953948)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#_parent">',
'<div id="#REGION_STATIC_ID#" class="t-DialogRegion #REGION_CSS_CLASSES# js-regionDialog" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES# style="display:none" title="#TITLE!ATTR#">',
'  <div class="t-DialogRegion-wrap">',
'    <div class="t-DialogRegion-bodyWrapperOut"><div class="t-DialogRegion-bodyWrapperIn"><div class="t-DialogRegion-body">#BODY##SUB_REGIONS#</div></div></div>',
'    <div class="t-DialogRegion-buttons">',
'       <div class="t-ButtonRegion t-ButtonRegion--dialogRegion">',
'         <div class="t-ButtonRegion-wrap">',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--left"><div class="t-ButtonRegion-buttons">#PREVIOUS##DELETE##CLOSE#</div></div>',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--right"><div class="t-ButtonRegion-buttons">#EDIT##CREATE##NEXT#</div></div>',
'         </div>',
'       </div>',
'    </div>',
'  </div>',
'</div>',
'</div>'))
,p_page_plug_template_name=>'Inline Dialog'
,p_internal_name=>'INLINE_DIALOG'
,p_theme_id=>42
,p_theme_class_id=>24
,p_default_template_options=>'js-modal:js-draggable:js-resizable'
,p_preset_template_options=>'js-dialog-size600x400'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2671226943886536762
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17709678370259882)
,p_plug_template_id=>wwv_flow_imp.id(26678094828953948)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17710115630259882)
,p_plug_template_id=>wwv_flow_imp.id(26678094828953948)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17710629278259883)
,p_plug_template_id=>wwv_flow_imp.id(26678094828953948)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17711141065259883)
,p_plug_template_id=>wwv_flow_imp.id(26678094828953948)
,p_name=>'Delete'
,p_placeholder=>'DELETE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17711684173259883)
,p_plug_template_id=>wwv_flow_imp.id(26678094828953948)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17712129656259883)
,p_plug_template_id=>wwv_flow_imp.id(26678094828953948)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17712626280259884)
,p_plug_template_id=>wwv_flow_imp.id(26678094828953948)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17713127901259884)
,p_plug_template_id=>wwv_flow_imp.id(26678094828953948)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/inline_popup
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(26680328856953950)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#_parent">',
'<div id="#REGION_STATIC_ID#" class="t-DialogRegion #REGION_CSS_CLASSES# js-regionPopup" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES# style="display:none" title="#TITLE!ATTR#">',
'  <div class="t-DialogRegion-wrap">',
'    <div class="t-DialogRegion-bodyWrapperOut"><div class="t-DialogRegion-bodyWrapperIn"><div class="t-DialogRegion-body">#BODY##SUB_REGIONS#</div></div></div>',
'    <div class="t-DialogRegion-buttons">',
'       <div class="t-ButtonRegion t-ButtonRegion--dialogRegion">',
'         <div class="t-ButtonRegion-wrap">',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--left"><div class="t-ButtonRegion-buttons">#PREVIOUS##DELETE##CLOSE#</div></div>',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--right"><div class="t-ButtonRegion-buttons">#EDIT##CREATE##NEXT#</div></div>',
'         </div>',
'       </div>',
'    </div>',
'  </div>',
'</div>',
'</div>'))
,p_page_plug_template_name=>'Inline Popup'
,p_internal_name=>'INLINE_POPUP'
,p_theme_id=>42
,p_theme_class_id=>24
,p_preset_template_options=>'js-dialog-size600x400'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>1483922538999385230
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17733250305259897)
,p_plug_template_id=>wwv_flow_imp.id(26680328856953950)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17733756892259898)
,p_plug_template_id=>wwv_flow_imp.id(26680328856953950)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17734204076259898)
,p_plug_template_id=>wwv_flow_imp.id(26680328856953950)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17734752272259898)
,p_plug_template_id=>wwv_flow_imp.id(26680328856953950)
,p_name=>'Delete'
,p_placeholder=>'DELETE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17735269623259898)
,p_plug_template_id=>wwv_flow_imp.id(26680328856953950)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17735700098259899)
,p_plug_template_id=>wwv_flow_imp.id(26680328856953950)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17736277671259899)
,p_plug_template_id=>wwv_flow_imp.id(26680328856953950)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17736766971259899)
,p_plug_template_id=>wwv_flow_imp.id(26680328856953950)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/interactive_report
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(26682226918953951)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES# class="t-IRR-region #REGION_CSS_CLASSES#">#PREVIOUS##ORDER_BY_ITEM##BODY##SUB_REGIONS##NEXT#</div>',
''))
,p_page_plug_template_name=>'Interactive Report'
,p_internal_name=>'INTERACTIVE_REPORT'
,p_theme_id=>42
,p_theme_class_id=>9
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_reference_id=>2099079838218790610
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17746153221259906)
,p_plug_template_id=>wwv_flow_imp.id(26682226918953951)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17746676242259906)
,p_plug_template_id=>wwv_flow_imp.id(26682226918953951)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17747130680259906)
,p_plug_template_id=>wwv_flow_imp.id(26682226918953951)
,p_name=>'Sort Order'
,p_placeholder=>'ORDER_BY_ITEM'
,p_has_grid_support=>true
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17747668869259907)
,p_plug_template_id=>wwv_flow_imp.id(26682226918953951)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17748180431259907)
,p_plug_template_id=>wwv_flow_imp.id(26682226918953951)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/login
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(26682905064953952)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Login-region t-Form--stretchInputs t-Form--labelsAbove #REGION_CSS_CLASSES#" id="#REGION_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-Login-header">',
'    #REGION_IMAGE#',
'    <span class="t-Login-logo #ICON_CSS_CLASSES#" aria-hidden="true"></span>',
'    <h2 class="t-Login-title" id="#REGION_STATIC_ID#_heading" data-apex-heading>#TITLE#</h2>',
'  </div>',
'  <div class="t-Login-body">#BODY#</div>',
'  <div class="t-Login-buttons">#NEXT#</div>',
'  <div class="t-Login-links">#EDIT##CREATE#</div>',
'  <div class="t-Login-subRegions">#SUB_REGIONS#</div>',
'</div>'))
,p_page_plug_template_name=>'Login'
,p_internal_name=>'LOGIN'
,p_image_template=>'<img class="t-Login-logo" src="#REGION_IMAGE_URL#" alt="" data-app-icon />'
,p_theme_id=>42
,p_theme_class_id=>23
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_region_title_dom_id=>'#REGION_STATIC_ID#_heading'
,p_reference_id=>2672711194551076376
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17757557527259913)
,p_plug_template_id=>wwv_flow_imp.id(26682905064953952)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17758051284259913)
,p_plug_template_id=>wwv_flow_imp.id(26682905064953952)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17758568335259914)
,p_plug_template_id=>wwv_flow_imp.id(26682905064953952)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17759003919259914)
,p_plug_template_id=>wwv_flow_imp.id(26682905064953952)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17759568073259914)
,p_plug_template_id=>wwv_flow_imp.id(26682905064953952)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/standard
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(26683353252953952)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Region #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
' <div class="t-Region-header">',
'  <div class="t-Region-headerItems t-Region-headerItems--title">',
'    <span class="t-Region-headerIcon"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span></span>',
'    <h2 class="t-Region-title" id="#REGION_STATIC_ID#_heading" data-apex-heading>#TITLE#</h2>',
'  </div>',
'  <div class="t-Region-headerItems t-Region-headerItems--buttons">#COPY##EDIT#<span class="js-maximizeButtonContainer"></span></div>',
' </div>',
' <div class="t-Region-bodyWrap">',
'   <div class="t-Region-buttons t-Region-buttons--top">',
'    <div class="t-Region-buttons-left">#PREVIOUS#</div>',
'    <div class="t-Region-buttons-right">#NEXT#</div>',
'   </div>',
'   <div class="t-Region-body">',
'     #ORDER_BY_ITEM#',
'     #BODY#',
'     #SUB_REGIONS#',
'   </div>',
'   <div class="t-Region-buttons t-Region-buttons--bottom">',
'    <div class="t-Region-buttons-left">#CLOSE##HELP#</div>',
'    <div class="t-Region-buttons-right">#DELETE##CHANGE##CREATE#</div>',
'   </div>',
' </div>',
'</div>',
''))
,p_page_plug_template_name=>'Standard'
,p_internal_name=>'STANDARD'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>8
,p_preset_template_options=>'t-Region--scrollBody'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_reference_id=>4070912133526059312
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17773193189259924)
,p_plug_template_id=>wwv_flow_imp.id(26683353252953952)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17773764978259924)
,p_plug_template_id=>wwv_flow_imp.id(26683353252953952)
,p_name=>'Change'
,p_placeholder=>'CHANGE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17774253314259924)
,p_plug_template_id=>wwv_flow_imp.id(26683353252953952)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17774725260259925)
,p_plug_template_id=>wwv_flow_imp.id(26683353252953952)
,p_name=>'Copy'
,p_placeholder=>'COPY'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17775259940259925)
,p_plug_template_id=>wwv_flow_imp.id(26683353252953952)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17775703974259925)
,p_plug_template_id=>wwv_flow_imp.id(26683353252953952)
,p_name=>'Delete'
,p_placeholder=>'DELETE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17776219662259925)
,p_plug_template_id=>wwv_flow_imp.id(26683353252953952)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17776772120259926)
,p_plug_template_id=>wwv_flow_imp.id(26683353252953952)
,p_name=>'Help'
,p_placeholder=>'HELP'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17777248270259926)
,p_plug_template_id=>wwv_flow_imp.id(26683353252953952)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17777753667259926)
,p_plug_template_id=>wwv_flow_imp.id(26683353252953952)
,p_name=>'Sort Order'
,p_placeholder=>'ORDER_BY_ITEM'
,p_has_grid_support=>true
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17778228451259926)
,p_plug_template_id=>wwv_flow_imp.id(26683353252953952)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17778772760259926)
,p_plug_template_id=>wwv_flow_imp.id(26683353252953952)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/tabs_container
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(26690111800953958)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-TabsRegion #REGION_CSS_CLASSES# apex-tabs-region" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES# id="#REGION_STATIC_ID#">',
'  #BODY#',
'  <div class="t-TabsRegion-items">#SUB_REGIONS#</div>',
'</div>'))
,p_sub_plug_template=>'<div data-label="#SUB_REGION_TITLE#" id="SR_#SUB_REGION_ID#">#SUB_REGION#</div>'
,p_page_plug_template_name=>'Tabs Container'
,p_internal_name=>'TABS_CONTAINER'
,p_javascript_file_urls=>'#APEX_FILES#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#'
,p_theme_id=>42
,p_theme_class_id=>5
,p_preset_template_options=>'t-TabsRegion-mod--simple'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>3221725015618492759
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17797466045259941)
,p_plug_template_id=>wwv_flow_imp.id(26690111800953958)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17797977526259942)
,p_plug_template_id=>wwv_flow_imp.id(26690111800953958)
,p_name=>'Tabs'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/title_bar
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(26692736997953960)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<nav id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES# class="t-BreadcrumbRegion #REGION_CSS_CLASSES#">',
'  <div class="t-BreadcrumbRegion-top">',
'    <div class="t-BreadcrumbRegion-body">',
'      <div class="t-BreadcrumbRegion-breadcrumb">#BODY#</div>',
'        <div class="t-BreadcrumbRegion-title">',
'        <h1 id="#REGION_STATIC_ID#_heading" class="t-BreadcrumbRegion-titleText" data-apex-heading>#TITLE#</h1>',
'      </div>',
'    </div>',
'    <div class="t-BreadcrumbRegion-buttons">#PREVIOUS##CLOSE##DELETE##HELP##CHANGE##EDIT##COPY##CREATE##NEXT#</div>',
'  </div>',
'  <div class="t-BreadcrumbRegion-bottom">#SMART_FILTERS#</div>',
'</nav>',
''))
,p_page_plug_template_name=>'Title Bar'
,p_internal_name=>'TITLE_BAR'
,p_theme_id=>42
,p_theme_class_id=>6
,p_default_template_options=>'t-BreadcrumbRegion--showBreadcrumb'
,p_preset_template_options=>'t-BreadcrumbRegion--useBreadcrumbTitle'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'navigation'
,p_reference_id=>2530016523834132090
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17806800409259948)
,p_plug_template_id=>wwv_flow_imp.id(26692736997953960)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17807323232259948)
,p_plug_template_id=>wwv_flow_imp.id(26692736997953960)
,p_name=>'Change'
,p_placeholder=>'CHANGE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17807806315259948)
,p_plug_template_id=>wwv_flow_imp.id(26692736997953960)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17808333710259948)
,p_plug_template_id=>wwv_flow_imp.id(26692736997953960)
,p_name=>'Copy'
,p_placeholder=>'COPY'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17808857618259949)
,p_plug_template_id=>wwv_flow_imp.id(26692736997953960)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17809325268259949)
,p_plug_template_id=>wwv_flow_imp.id(26692736997953960)
,p_name=>'Delete'
,p_placeholder=>'DELETE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17809856637259949)
,p_plug_template_id=>wwv_flow_imp.id(26692736997953960)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17810333869259949)
,p_plug_template_id=>wwv_flow_imp.id(26692736997953960)
,p_name=>'Help'
,p_placeholder=>'HELP'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17810806303259950)
,p_plug_template_id=>wwv_flow_imp.id(26692736997953960)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17811371646259950)
,p_plug_template_id=>wwv_flow_imp.id(26692736997953960)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17811848906259950)
,p_plug_template_id=>wwv_flow_imp.id(26692736997953960)
,p_name=>'Search Field and Smart Filters'
,p_placeholder=>'SMART_FILTERS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17812371331259950)
,p_plug_template_id=>wwv_flow_imp.id(26692736997953960)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/wizard_container
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(26693808939953961)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Wizard #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-Wizard-header">',
'    <h1 class="t-Wizard-title" id="#REGION_STATIC_ID#_heading" data-apex-heading>#TITLE#</h1>',
'    <div class="u-Table t-Wizard-controls">',
'      <div class="u-Table-fit t-Wizard-buttons">#PREVIOUS##CLOSE#</div>',
'      <div class="u-Table-fill t-Wizard-steps">#BODY#</div>',
'      <div class="u-Table-fit t-Wizard-buttons">#NEXT#</div>',
'    </div>',
'  </div>',
'  <div class="t-Wizard-body">#SUB_REGIONS#</div>',
'</div>'))
,p_page_plug_template_name=>'Wizard Container'
,p_internal_name=>'WIZARD_CONTAINER'
,p_theme_id=>42
,p_theme_class_id=>8
,p_preset_template_options=>'t-Wizard--hideStepsXSmall'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_region_title_dom_id=>'#REGION_STATIC_ID#_heading'
,p_reference_id=>2117602213152591491
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17817536325259954)
,p_plug_template_id=>wwv_flow_imp.id(26693808939953961)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17818037003259954)
,p_plug_template_id=>wwv_flow_imp.id(26693808939953961)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17818587001259955)
,p_plug_template_id=>wwv_flow_imp.id(26693808939953961)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17819076066259955)
,p_plug_template_id=>wwv_flow_imp.id(26693808939953961)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17819587574259955)
,p_plug_template_id=>wwv_flow_imp.id(26693808939953961)
,p_name=>'Wizard Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>false
);
end;
/
prompt --application/shared_components/user_interface/templates/region/image
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(27039607129707265)
,p_layout=>'TABLE'
,p_template=>'<div id="#REGION_STATIC_ID#" class="t-ImageRegion #REGION_CSS_CLASSES#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#><img src="#REGION_IMAGE_URL#" alt="#REGION_IMAGE_ALT_TEXT#" #REGION_IMAGE_ATTRIBUTES# /></div>'
,p_page_plug_template_name=>'Image'
,p_internal_name=>'IMAGE'
,p_theme_id=>42
,p_theme_class_id=>21
,p_preset_template_options=>'t-ImageRegion--auto:t-ImageRegion--cover:t-ImageRegion--square:t-ImageRegion--noFilter'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>1673953645642781634
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17694052237259871)
,p_plug_template_id=>wwv_flow_imp.id(27039607129707265)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>false
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17694491166259871)
,p_plug_template_id=>wwv_flow_imp.id(27039607129707265)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>false
);
end;
/
prompt --application/shared_components/user_interface/templates/region/search_results_container
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(27048447620707282)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ResultsRegion #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-ResultsRegion-search">#SEARCH_FIELD#</div>',
'  #BODY#',
'  #SUB_REGIONS#',
'</div>',
''))
,p_page_plug_template_name=>'Search Results Container'
,p_internal_name=>'SEARCH_RESULTS_CONTAINER'
,p_theme_id=>42
,p_theme_class_id=>11
,p_default_template_options=>'u-colors'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_reference_id=>1554292095258992441
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17763296113259917)
,p_plug_template_id=>wwv_flow_imp.id(27048447620707282)
,p_name=>'Search Results'
,p_placeholder=>'BODY'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17763887892259917)
,p_plug_template_id=>wwv_flow_imp.id(27048447620707282)
,p_name=>'Search Field'
,p_placeholder=>'SEARCH_FIELD'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17764340897259917)
,p_plug_template_id=>wwv_flow_imp.id(27048447620707282)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/item_container
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(27052808951707285)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ItemContainer #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-ItemContainer-start">#BUTTON_START#</div>',
'  <div class="t-ItemContainer-item">#BODY#</div>',
'  <div class="t-ItemContainer-end">#BUTTON_END#</div>',
'</div>'))
,p_page_plug_template_name=>'Item Container'
,p_internal_name=>'ITEM_CONTAINER'
,p_theme_id=>42
,p_theme_class_id=>21
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>1568547778806319863
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17750730185259909)
,p_plug_template_id=>wwv_flow_imp.id(27052808951707285)
,p_name=>'Item'
,p_placeholder=>'BODY'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17751275593259909)
,p_plug_template_id=>wwv_flow_imp.id(27052808951707285)
,p_name=>'Button End'
,p_placeholder=>'BUTTON_END'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17751701255259909)
,p_plug_template_id=>wwv_flow_imp.id(27052808951707285)
,p_name=>'Button Start'
,p_placeholder=>'BUTTON_START'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/inline_drawer
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(29156176224126002)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#_parent">',
'  <div id="#REGION_STATIC_ID#" class="t-DrawerRegion js-dialog-class-ui-dialog--drawer #REGION_CSS_CLASSES# js-regionDialog" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES# style="display:none" title="#TITLE!ATTR#">',
'    <div class="t-DrawerRegion-wrap">',
'      <div class="t-DrawerRegion-bodyWrapperOut">',
'        <div class="t-DrawerRegion-bodyWrapperIn">',
'          <div class="t-DrawerRegion-body">#BODY##SUB_REGIONS#</div>',
'        </div>',
'      </div>',
'      <div class="t-DrawerRegion-buttons">',
'        <div class="t-ButtonRegion t-ButtonRegion--dialogRegion">',
'          <div class="t-ButtonRegion-wrap">',
'            <div class="t-ButtonRegion-col t-ButtonRegion-col--left">',
'              <div class="t-ButtonRegion-buttons">#PREVIOUS##DELETE##CLOSE#</div>',
'            </div>',
'            <div class="t-ButtonRegion-col t-ButtonRegion-col--right">',
'              <div class="t-ButtonRegion-buttons">#EDIT##CREATE##NEXT#</div>',
'            </div>',
'          </div>',
'        </div>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Inline Drawer'
,p_internal_name=>'INLINE_DRAWER'
,p_theme_id=>42
,p_theme_class_id=>24
,p_default_template_options=>'js-modal'
,p_preset_template_options=>'js-dialog-class-t-Drawer--pullOutEnd'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>1659526333647509386
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17721045742259889)
,p_plug_template_id=>wwv_flow_imp.id(29156176224126002)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17721526400259890)
,p_plug_template_id=>wwv_flow_imp.id(29156176224126002)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17722063191259890)
,p_plug_template_id=>wwv_flow_imp.id(29156176224126002)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17722489431259890)
,p_plug_template_id=>wwv_flow_imp.id(29156176224126002)
,p_name=>'Delete'
,p_placeholder=>'DELETE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17723027943259890)
,p_plug_template_id=>wwv_flow_imp.id(29156176224126002)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17723499883259891)
,p_plug_template_id=>wwv_flow_imp.id(29156176224126002)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17724076252259891)
,p_plug_template_id=>wwv_flow_imp.id(29156176224126002)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17724573779259891)
,p_plug_template_id=>wwv_flow_imp.id(29156176224126002)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/cards_container
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(65551787007990393)
,p_layout=>'TABLE'
,p_template=>'<div class="t-CardsRegion #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>#ORDER_BY_ITEM##BODY##SUB_REGIONS#</div>'
,p_page_plug_template_name=>'Cards Container'
,p_internal_name=>'CARDS_CONTAINER'
,p_theme_id=>42
,p_theme_class_id=>21
,p_default_template_options=>'u-colors'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_reference_id=>2071277712695139743
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17620304673259800)
,p_plug_template_id=>wwv_flow_imp.id(65551787007990393)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17620847149259801)
,p_plug_template_id=>wwv_flow_imp.id(65551787007990393)
,p_name=>'Sort Order'
,p_placeholder=>'ORDER_BY_ITEM'
,p_has_grid_support=>true
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(17621387188259801)
,p_plug_template_id=>wwv_flow_imp.id(65551787007990393)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/list/badge_list
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(26715822523953991)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-BadgeList-item #A02# is-current" aria-current="page">',
'  <a class="t-BadgeList-wrap u-color #A04#" href="#LINK#" #A03#>',
'    <span class="t-BadgeList-label">#TEXT#</span>',
'    <span class="t-BadgeList-value">#A01#</span>',
'  </a>',
'</li>',
''))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-BadgeList-item #A02#">',
'  <a class="t-BadgeList-wrap u-color #A04#" href="#LINK#" #A03#>',
'    <span class="t-BadgeList-label">#TEXT#</span>',
'    <span class="t-BadgeList-value">#A01#</span>',
'  </a>',
'</li>',
''))
,p_list_template_name=>'Badge List'
,p_internal_name=>'BADGE_LIST'
,p_theme_id=>42
,p_theme_class_id=>3
,p_preset_template_options=>'t-BadgeList--large:t-BadgeList--cols t-BadgeList--3cols:t-BadgeList--circular'
,p_list_template_before_rows=>'<ul class="t-BadgeList #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Value'
,p_a02_label=>'List item CSS Classes'
,p_a03_label=>'Link Attributes'
,p_a04_label=>'Link Classes'
,p_reference_id=>2062482847268086664
,p_list_template_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'A01: Large Number',
'A02: List Item Classes',
'A03: Link Attributes'))
);
end;
/
prompt --application/shared_components/user_interface/templates/list/cards
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(26719881325953999)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item is-active #A04#" aria-current="page">',
'  <div class="t-Card">',
'    <a href="#LINK#" class="t-Card-wrap" #A05#>',
'      <div class="t-Card-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#"><span class="t-Card-initials" role="presentation">#A03#</span></span></div>',
'      <div class="t-Card-titleWrap">',
'        <h3 class="t-Card-title">#TEXT#</h3>',
'        <h4 class="t-Card-subtitle">#A07#</h4>',
'      </div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#A01#</div>',
'        <div class="t-Card-info">#A02#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #A06#" aria-hidden="true"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #A04#">',
'  <div class="t-Card">',
'    <a href="#LINK#" class="t-Card-wrap" #A05#>',
'      <div class="t-Card-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#"><span class="t-Card-initials" role="presentation">#A03#</span></span></div>',
'      <div class="t-Card-titleWrap">',
'        <h3 class="t-Card-title">#TEXT#</h3>',
'        <h4 class="t-Card-subtitle">#A07#</h4>',
'      </div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#A01#</div>',
'        <div class="t-Card-info">#A02#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #A06#" aria-hidden="true"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_list_template_name=>'Cards'
,p_internal_name=>'CARDS'
,p_theme_id=>42
,p_theme_class_id=>4
,p_preset_template_options=>'t-Cards--animColorFill:t-Cards--3cols:t-Cards--basic'
,p_list_template_before_rows=>'<ul class="t-Cards #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Description'
,p_a02_label=>'Secondary Information'
,p_a03_label=>'Initials'
,p_a04_label=>'List Item CSS Classes'
,p_a05_label=>'Link Attributes'
,p_a06_label=>'Card Color Class'
,p_a07_label=>'Subtitle'
,p_reference_id=>2885322685880632508
);
end;
/
prompt --application/shared_components/user_interface/templates/list/links_list
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(26725497979954003)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-LinksList-item is-current #A03#" aria-current="page">',
'  <a href="#LINK#" class="t-LinksList-link" #A02#>',
'    <span class="t-LinksList-icon" aria-hidden="true"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span>',
'    <span class="t-LinksList-label">#TEXT#</span>',
'    <span class="t-LinksList-badge">#A01#</span>',
'  </a>',
'</li>',
''))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-LinksList-item #A03#">',
'  <a href="#LINK#" class="t-LinksList-link" #A02#>',
'    <span class="t-LinksList-icon" aria-hidden="true"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span>',
'    <span class="t-LinksList-label">#TEXT#</span>',
'    <span class="t-LinksList-badge">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_name=>'Links List'
,p_internal_name=>'LINKS_LIST'
,p_theme_id=>42
,p_theme_class_id=>18
,p_list_template_before_rows=>'<ul class="t-LinksList #COMPONENT_CSS_CLASSES#" id="#LIST_ID#">'
,p_list_template_after_rows=>'</ul>'
,p_before_sub_list=>'<ul class="t-LinksList-list">'
,p_after_sub_list=>'</ul>'
,p_sub_list_item_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-LinksList-item is-current #A03#" aria-current="page">',
'  <a href="#LINK#" class="t-LinksList-link" #A02#>',
'    <span class="t-LinksList-icon" aria-hidden="true"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span>',
'    <span class="t-LinksList-label">#TEXT#</span>',
'    <span class="t-LinksList-badge">#A01#</span>',
'  </a>',
'</li>',
''))
,p_sub_list_item_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-LinksList-item #A03#">',
'  <a href="#LINK#" class="t-LinksList-link" #A02#>',
'    <span class="t-LinksList-icon" aria-hidden="true"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span>',
'    <span class="t-LinksList-label">#TEXT#</span>',
'    <span class="t-LinksList-badge">#A01#</span>',
'  </a>',
'</li>',
''))
,p_item_templ_curr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-LinksList-item is-current #A03#" aria-current="page">',
'  <a href="#LINK#" class="t-LinksList-link" #A02#>',
'    <span class="t-LinksList-icon" aria-hidden="true"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span>',
'    <span class="t-LinksList-label">#TEXT#</span>',
'    <span class="t-LinksList-badge">#A01#</span>',
'  </a>',
'  #SUB_LISTS#',
'</li>'))
,p_item_templ_noncurr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-LinksList-item #A03#">',
'  <a href="#LINK#" class="t-LinksList-link" #A02#>',
'    <span class="t-LinksList-icon" aria-hidden="true"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span>',
'    <span class="t-LinksList-label">#TEXT#</span>',
'    <span class="t-LinksList-badge">#A01#</span>',
'  </a>',
'</li>'))
,p_a01_label=>'Badge Value'
,p_a02_label=>'Link Attributes'
,p_a03_label=>'List Item CSS Classes'
,p_reference_id=>4070914341144059318
);
end;
/
prompt --application/shared_components/user_interface/templates/list/media_list
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(26727067387954005)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item is-active #A04#">',
'  <a href="#LINK#" class="t-MediaList-itemWrap #A05#" #A03#>',
'    <div class="t-MediaList-iconWrap" aria-hidden="true">',
'      <span class="t-MediaList-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#" #IMAGE_ATTR#></span></span>',
'    </div>',
'    <div class="t-MediaList-body">',
'      <h3 class="t-MediaList-title" aria-current="page">#TEXT#</h3>',
'      <p class="t-MediaList-desc">#A01#</p>',
'    </div>',
'    <div class="t-MediaList-badgeWrap">',
'      <span class="t-MediaList-badge">#A02#</span>',
'    </div>',
'  </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item  #A04#">',
'  <a href="#LINK#" class="t-MediaList-itemWrap #A05#" #A03#>',
'    <div class="t-MediaList-iconWrap" aria-hidden="true">',
'      <span class="t-MediaList-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#" #IMAGE_ATTR#></span></span>',
'    </div>',
'    <div class="t-MediaList-body">',
'      <h3 class="t-MediaList-title">#TEXT#</h3>',
'      <p class="t-MediaList-desc">#A01#</p>',
'    </div>',
'    <div class="t-MediaList-badgeWrap">',
'      <span class="t-MediaList-badge">#A02#</span>',
'    </div>',
'  </a>',
'</li>'))
,p_list_template_name=>'Media List'
,p_internal_name=>'MEDIA_LIST'
,p_theme_id=>42
,p_theme_class_id=>5
,p_default_template_options=>'t-MediaList--showIcons:t-MediaList--showDesc'
,p_list_template_before_rows=>'<ul class="t-MediaList #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Description'
,p_a02_label=>'Badge Value'
,p_a03_label=>'Link Attributes'
,p_a04_label=>'List Item CSS Classes'
,p_a05_label=>'Link Class'
,p_a06_label=>'Icon Color Class'
,p_reference_id=>2066548068783481421
);
end;
/
prompt --application/shared_components/user_interface/templates/list/menu_bar
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(26729842043954007)
,p_list_template_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_list_template_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_list_template_name=>'Menu Bar'
,p_internal_name=>'MENU_BAR'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var e = apex.jQuery("##PARENT_STATIC_ID#_menubar", apex.gPageContext$);',
'if (e.hasClass("js-addActions")) {',
'  apex.actions.addFromMarkup( e );',
'}',
'e.menu({',
'  behaveLikeTabs: e.hasClass("js-tabLike"),',
'  menubarShowSubMenuIcon: e.hasClass("js-showSubMenuIcons") || null,',
'  iconType: ''fa'',',
'  menubar: true,',
'  menubarOverflow: true,',
'  callout: e.hasClass("js-menu-callout")',
'});'))
,p_theme_id=>42
,p_theme_class_id=>20
,p_default_template_options=>'js-showSubMenuIcons'
,p_list_template_before_rows=>'<div class="t-MenuBar #COMPONENT_CSS_CLASSES#" id="#PARENT_STATIC_ID#_menubar"><ul>'
,p_list_template_after_rows=>'</ul></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'Menu Item ID / Action Name'
,p_a02_label=>'Disabled (True/False)'
,p_a03_label=>'Hidden (True/False)'
,p_a04_label=>'Title Attribute (Used By Actions Only)'
,p_a05_label=>'Shortcut'
,p_a06_label=>'Link Target'
,p_reference_id=>2008709236185638887
);
end;
/
prompt --application/shared_components/user_interface/templates/list/menu_popup
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(26730814912954008)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>',
''))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>',
''))
,p_list_template_name=>'Menu Popup'
,p_internal_name=>'MENU_POPUP'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var e = apex.jQuery("##PARENT_STATIC_ID#_menu", apex.gPageContext$);',
'if (e.hasClass("js-addActions")) {',
'  apex.actions.addFromMarkup( e );',
'}',
'e.menu({ iconType: ''fa'', callout: e.hasClass("js-menu-callout")});'))
,p_theme_id=>42
,p_theme_class_id=>20
,p_list_template_before_rows=>'<div id="#PARENT_STATIC_ID#_menu" class="#COMPONENT_CSS_CLASSES#" style="display:none;"><ul>'
,p_list_template_after_rows=>'</ul></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'Menu Item ID / Action Name'
,p_a02_label=>'Disabled (True/False)'
,p_a03_label=>'Hidden (True/False)'
,p_a04_label=>'Title Attribute (Used By Actions Only)'
,p_a05_label=>'Shortcut'
,p_a06_label=>'Link Target'
,p_reference_id=>3492264004432431646
);
end;
/
prompt --application/shared_components/user_interface/templates/list/navigation_bar
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(26731301093954009)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item is-active #A02#" aria-current="page">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#" title="#A04#" target="#A06#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true" #IMAGE_ATTR#></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item #A02#">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#" title="#A04#" target="#A06#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true" #IMAGE_ATTR#></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_name=>'Navigation Bar'
,p_internal_name=>'NAVIGATION_BAR'
,p_theme_id=>42
,p_theme_class_id=>20
,p_list_template_before_rows=>'<ul class="t-NavigationBar #COMPONENT_CSS_CLASSES#" id="#LIST_ID#">'
,p_list_template_after_rows=>'</ul>'
,p_before_sub_list=>'<div class="t-NavigationBar-menu" style="display: none" id="menu_#PARENT_LIST_ITEM_ID#"><ul>'
,p_after_sub_list=>'</ul></div></li>'
,p_sub_list_item_current=>'<li class="#A02#" data-current="true" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li class="#A02#" data-current="false" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item is-active #A02#" aria-current="page">',
'  <button class="t-Button t-Button--icon t-Button t-Button--header t-Button--navBar" type="button" id="#LIST_ITEM_ID#" data-menu="menu_#LIST_ITEM_ID#" title="#A04#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true" #IMAGE_ATTR#></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span><span class="a-Icon icon-down-arrow" aria-hidden="true"></span>',
'  </button>'))
,p_item_templ_noncurr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item #A02#">',
'  <button class="t-Button t-Button--icon t-Button t-Button--header t-Button--navBar" type="button" id="#LIST_ITEM_ID#" data-menu="menu_#LIST_ITEM_ID#" title="#A04#">',
'      <span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true" #IMAGE_ATTR#></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span><span class="a-Icon icon-down-arrow" aria-hidden="true"></span>',
'  </button>'))
,p_sub_templ_curr_w_child=>'<li class="#A02#" data-current="true" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_sub_templ_noncurr_w_child=>'<li class="#A02#" data-current="false" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_a01_label=>'Badge Value'
,p_a02_label=>'List  Item CSS Classes'
,p_a04_label=>'Title Attribute'
,p_a06_label=>'Link Target'
,p_reference_id=>2846096252961119197
);
end;
/
prompt --application/shared_components/user_interface/templates/list/side_navigation_menu
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(26731493111954009)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#" data-shortcut="#A05#">',
'  <a href="#LINK#" title="#A04#" style="display: none" target="#A06#">#TEXT_ESC_SC#</a>',
'  <div class="a-TreeView-node a-TreeView-node--topLevel" aria-hidden="true">',
'    <div role="none" class="a-TreeView-row"></div>',
'    <div role="none" class="a-TreeView-content">',
'      <span class="fa fa-file-o #ICON_CSS_CLASSES#"></span>',
'      <span class="a-TreeView-label">#TEXT_ESC_SC#</span>',
'    </div>',
'  </div>',
'</li>',
''))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-current="false" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#" data-shortcut="#A05#">',
'  <a href="#LINK#" title="#A04#" style="display: none" target="#A06#">#TEXT_ESC_SC#</a>',
'  <div class="a-TreeView-node a-TreeView-node--topLevel" aria-hidden="true">',
'    <div role="none" class="a-TreeView-row"></div>',
'    <div role="none" class="a-TreeView-content">',
'      <span class="fa fa-file-o #ICON_CSS_CLASSES#"></span>',
'      <span class="a-TreeView-label">#TEXT_ESC_SC#</span>',
'    </div>',
'  </div>',
'</li>'))
,p_list_template_name=>'Side Navigation Menu'
,p_internal_name=>'SIDE_NAVIGATION_MENU'
,p_javascript_file_urls=>'#APEX_FILES#libraries/apex/#MIN_DIRECTORY#widget.treeView#MIN#.js?v=#APEX_VERSION#'
,p_javascript_code_onload=>'apex.jQuery(''body'').addClass(''t-PageBody--leftNav'');'
,p_theme_id=>42
,p_theme_class_id=>19
,p_default_template_options=>'js-defaultCollapsed'
,p_preset_template_options=>'t-TreeNav--styleA:js-navCollapsed--hidden'
,p_list_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-nav" id="t_Body_nav" role="navigation" aria-label="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL".">',
'  <div class="a-TreeView t-TreeNav #COMPONENT_CSS_CLASSES#" id="t_TreeNav" data-id="#PARENT_STATIC_ID#_tree" aria-label="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL".">',
'    <ul>',
''))
,p_list_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'    </ul>',
'  </div>',
'</div>',
'<script>',
'(() => {',
'  const pref = "ORA_WWV_apex.toggleCore.nav.&APP_ID..preferenceForExpanded",',
'        nav  = document.getElementById(''t_TreeNav'').classList,',
'        body = document.getElementById(''t_PageBody'');',
'  if ( !sessionStorage.getItem( pref ) ) { sessionStorage.setItem( pref, !nav.contains(''js-defaultCollapsed'') ); }',
'  if ( nav.contains(''js-navCollapsed--default'') ) {',
'      body?.classList.add(''js-navCollapsed--icons'');',
'      if ( sessionStorage.getItem( pref ) === "false" ) { body?.classList.add(''js-navCollapsed''); }',
'  }',
'  if ( sessionStorage.getItem( pref ) === "true" && window.matchMedia("(min-width: " + getComputedStyle(document.documentElement).getPropertyValue("--js-mq-lg") + ")").matches) { body?.classList.add(''js-navExpanded''); }',
'  for (const label of document.querySelectorAll(".a-TreeView .a-TreeView-label")) {',
'      label.textContent = label.textContent.replaceAll(/\[(.*?)\]/ig, '''');',
'  }',
'})();',
'</script>'))
,p_before_sub_list=>'<ul style="display:none">'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#" data-shortcut="#A05#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#" data-shortcut="#A05#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#" data-shortcut="#A05#">',
'  <a href="#LINK#" title="#A04#" style="display: none" target="#A06#">#TEXT_ESC_SC#</a>',
'  <div class="a-TreeView-node a-TreeView-node--topLevel" aria-hidden="true">',
'    <div role="none" class="a-TreeView-row"></div>',
'    <div role="none" class="a-TreeView-content">',
'      <span class="fa fa-file-o #ICON_CSS_CLASSES#"></span>',
'      <span class="a-TreeView-label">#TEXT_ESC_SC#</span>',
'    </div>',
'  </div>',
''))
,p_item_templ_noncurr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-current="false" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#" data-shortcut="#A05#">',
'  <a href="#LINK#" title="#A04#" style="display: none" target="#A06#">#TEXT_ESC_SC#</a>',
'  <div class="a-TreeView-node a-TreeView-node--topLevel" aria-hidden="true">',
'    <div role="none" class="a-TreeView-row"></div>',
'    <div role="none" class="a-TreeView-content">',
'      <span class="fa fa-file-o #ICON_CSS_CLASSES#"></span>',
'      <span class="a-TreeView-label">#TEXT_ESC_SC#</span>',
'    </div>',
'  </div>',
''))
,p_sub_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#" data-shortcut="#A05#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#" data-shortcut="#A05#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'ID Attribute'
,p_a02_label=>'Disabled (True/False)'
,p_a04_label=>'Title Attribute (Used By Actions Only)'
,p_a05_label=>'Shortcut Key'
,p_a06_label=>'Link Target'
,p_reference_id=>2466292414354694776
);
end;
/
prompt --application/shared_components/user_interface/templates/list/tabs
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(26732418484954010)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Tabs-item is-active #A03#" aria-current="page" id="#A01#">',
'  <a href="#LINK#" class="t-Tabs-link #A04#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span>',
'    <span class="t-Tabs-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Tabs-item #A03#" id="#A01#">',
'  <a href="#LINK#" class="t-Tabs-link #A04#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span>',
'    <span class="t-Tabs-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_list_template_name=>'Tabs'
,p_internal_name=>'TABS'
,p_javascript_file_urls=>'#APEX_FILES#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#'
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-Tabs--simple'
,p_list_template_before_rows=>'<ul class="t-Tabs #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'List Item ID'
,p_a03_label=>'List Item Class'
,p_a04_label=>'Link Class'
,p_reference_id=>3288206686691809997
);
end;
/
prompt --application/shared_components/user_interface/templates/list/top_navigation_menu
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(26734045467954012)
,p_list_template_current=>'<li class="a-MenuBar-item a-Menu--current" data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a class="a-MenuBar-label" href="#LINK#" title="#A04#" target="#A06#">#TEXT_ES'
||'C_SC#</a></li>'
,p_list_template_noncurrent=>'<li class="a-MenuBar-item" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a class="a-MenuBar-label" href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_list_template_name=>'Top Navigation Menu'
,p_internal_name=>'TOP_NAVIGATION_MENU'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var e = apex.jQuery("#t_MenuNav", apex.gPageContext$);',
'if (e.hasClass("js-addActions")) {',
'  apex.actions.addFromMarkup( e );',
'}',
'e.menu({',
'  behaveLikeTabs: e.hasClass("js-tabLike"),',
'  menubarShowSubMenuIcon: e.hasClass("js-showSubMenuIcons") || null,',
'  menubar: true,',
'  menubarOverflow: true,',
'  callout: e.hasClass("js-menu-callout")',
'});',
''))
,p_theme_id=>42
,p_theme_class_id=>20
,p_default_template_options=>'js-tabLike'
,p_list_template_before_rows=>'<div class="t-Header-nav-list #COMPONENT_CSS_CLASSES#" id="t_MenuNav"><ul>'
,p_list_template_after_rows=>'</ul></div>'
,p_before_sub_list=>'<ul style="display: none">'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li class="a-MenuBar-item a-Menu--current" data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a class="a-MenuBar-label" href="#LINK#" title="#A04#" target="#A06#">#TEXT_ES'
||'C_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li class="a-MenuBar-item" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a class="a-MenuBar-label" href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'Menu Item ID / Action Name'
,p_a02_label=>'Disabled (True/False)'
,p_a03_label=>'Hidden (True/False)'
,p_a04_label=>'Title Attribute (Used By Actions Only)'
,p_a05_label=>'Shortcut Key'
,p_a06_label=>'Link Target'
,p_reference_id=>2525307901300239072
);
end;
/
prompt --application/shared_components/user_interface/templates/list/top_navigation_tabs
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(26735063243954013)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavTabs-item #A03# is-active" aria-current="page" id="#A01#">',
'  <a href="#LINK#" class="t-NavTabs-link #A04# " title="#TEXT_ESC_SC#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span>',
'    <span class="t-NavTabs-label">#TEXT_ESC_SC#</span>',
'    <span class="t-NavTabs-badge #A05#">#A02#</span>',
'  </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavTabs-item #A03#" id="#A01#">',
'  <a href="#LINK#" class="t-NavTabs-link #A04# " title="#TEXT_ESC_SC#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span>',
'    <span class="t-NavTabs-label">#TEXT_ESC_SC#</span>',
'    <span class="t-NavTabs-badge #A05#">#A02#</span>',
'  </a>',
'</li>'))
,p_list_template_name=>'Top Navigation Tabs'
,p_internal_name=>'TOP_NAVIGATION_TABS'
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-NavTabs--inlineLabels-lg:t-NavTabs--displayLabels-sm'
,p_list_template_before_rows=>'<ul class="t-NavTabs #COMPONENT_CSS_CLASSES#" id="#PARENT_STATIC_ID#_navtabs">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'List Item ID'
,p_a02_label=>'Badge Value'
,p_a03_label=>'List Item Class'
,p_a04_label=>'Link Class'
,p_a05_label=>'Badge Class'
,p_reference_id=>1453011561172885578
);
end;
/
prompt --application/shared_components/user_interface/templates/list/wizard_progress
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(26736624768954014)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-WizardSteps-step is-active" aria-current="step" id="#LIST_ITEM_ID#">',
'  <div class="t-WizardSteps-wrap" data-link="#LINK#">',
'    <span class="t-WizardSteps-marker" aria-hidden="true"></span>',
'    <span class="t-WizardSteps-label">#TEXT# <span aria-hidden="true" class="t-WizardSteps-labelState"></span></span>',
'  </div>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-WizardSteps-step" id="#LIST_ITEM_ID#">',
'  <div class="t-WizardSteps-wrap" data-link="#LINK#">',
'    <span class="t-WizardSteps-marker" aria-hidden="true"></span>',
'    <span class="t-WizardSteps-label">#TEXT# <span aria-hidden="true" class="t-WizardSteps-labelState"></span></span>',
'  </div>',
'</li>'))
,p_list_template_name=>'Wizard Progress'
,p_internal_name=>'WIZARD_PROGRESS'
,p_javascript_code_onload=>'apex.theme.initWizardProgressBar();'
,p_theme_id=>42
,p_theme_class_id=>17
,p_preset_template_options=>'t-WizardSteps--displayLabels'
,p_list_template_before_rows=>'<ul aria-label="#CURRENT_PROGRESS#" class="t-WizardSteps #COMPONENT_CSS_CLASSES#" id="#LIST_ID#">'
,p_list_template_after_rows=>'</ul>'
,p_reference_id=>2008702338707394488
);
end;
/
prompt --application/shared_components/user_interface/templates/list/top_navigation_mega_menu
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(65609039854990455)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MegaMenu-item t-MegaMenu-item--top t-MegaMenu-item--noSub is-active #A04#" data-current="true" data-id="#A01#" data-shortcut="#A05#">',
'  <span class="a-Menu-item t-MegaMenu-itemBody #A08#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    <a class="a-Menu-label t-MegaMenu-labelWrap" href="#LINK#" target="#A06#">',
'      <span class="t-MegaMenu-label">#TEXT_ESC_SC#</span>',
'      <span class="t-MegaMenu-desc">#A03#</span>',
'    </a>',
'    <span class="t-MegaMenu-badge #A07#">#A02#</span>',
'  </span>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MegaMenu-item t-MegaMenu-item--top t-MegaMenu-item--noSub #A04#" data-current="false" data-id="#A01#" data-shortcut="#A05#">',
'  <span class="a-Menu-item t-MegaMenu-itemBody #A08#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    <a class="a-Menu-label t-MegaMenu-labelWrap" href="#LINK#" target="#A06#">',
'      <span class="t-MegaMenu-label">#TEXT_ESC_SC#</span>',
'      <span class="t-MegaMenu-desc">#A03#</span>',
'    </a>',
'    <span class="t-MegaMenu-badge #A07#">#A02#</span>',
'  </span>',
'</li>'))
,p_list_template_name=>'Top Navigation Mega Menu'
,p_internal_name=>'TOP_NAVIGATION_MEGA_MENU'
,p_theme_id=>42
,p_theme_class_id=>20
,p_list_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-MegaMenu #COMPONENT_CSS_CLASSES#" id="t_MenuNav" style="display:none;">',
'  <div class="a-Menu-content t-MegaMenu-container">',
'    <div class="t-MegaMenu-body">',
'    <ul class="t-MegaMenu-list t-MegaMenu-list--top">'))
,p_list_template_after_rows=>' </ul></div></div></div>'
,p_before_sub_list=>'<ul class="t-MegaMenu-list t-MegaMenu-list--sub">'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MegaMenu-item is-active #A04#" data-current="true" data-id="#A01#" data-shortcut="#A05#">',
'  <span class="a-Menu-item t-MegaMenu-itemBody #A08#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    <a class="a-Menu-label t-MegaMenu-labelWrap" href="#LINK#" target="#A06#">',
'      <span class="t-MegaMenu-label">#TEXT_ESC_SC#</span>',
'      <span class="t-MegaMenu-desc">#A03#</span>',
'    </a>',
'    <span class="t-MegaMenu-badge #A07#">#A02#</span>',
'  </span>',
'</li>'))
,p_sub_list_item_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MegaMenu-item #A04#" data-current="false" data-id="#A01#" data-shortcut="#A05#">',
'  <span class="a-Menu-item t-MegaMenu-itemBody #A08#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    <a class="a-Menu-label t-MegaMenu-labelWrap" href="#LINK#" target="#A06#">',
'      <span class="t-MegaMenu-label">#TEXT_ESC_SC#</span>',
'      <span class="t-MegaMenu-desc">#A03#</span>',
'    </a>',
'    <span class="t-MegaMenu-badge #A07#">#A02#</span>',
'  </span>',
'</li>'))
,p_item_templ_curr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MegaMenu-item t-MegaMenu-item--top t-MegaMenu-item--hasSub is-active #A04#" data-current="true" data-id="#A01#" data-shortcut="#A05#">',
'  <span class="a-Menu-item t-MegaMenu-itemBody #A08#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    <a class="a-Menu-label t-MegaMenu-labelWrap" href="#LINK#" target="#A06#">',
'      <span class="t-MegaMenu-label">#TEXT_ESC_SC#</span>',
'      <span class="t-MegaMenu-desc">#A03#</span>',
'    </a>',
'    <span class="t-MegaMenu-badge #A07#">#A02#</span>',
'  </span>'))
,p_item_templ_noncurr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MegaMenu-item t-MegaMenu-item--top t-MegaMenu-item--hasSub #A04#" data-current="false" data-id="#A01#" data-shortcut="#A05#">',
'  <span class="a-Menu-item t-MegaMenu-itemBody #A08#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    <a class="a-Menu-label t-MegaMenu-labelWrap" href="#LINK#" target="#A06#">',
'      <span class="t-MegaMenu-label">#TEXT_ESC_SC#</span>',
'      <span class="t-MegaMenu-desc">#A03#</span>',
'    </a>',
'    <span class="t-MegaMenu-badge #A07#">#A02#</span>',
'  </span>',
'</li>'))
,p_sub_templ_curr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MegaMenu-item is-active #A04#" data-current="true" data-id="#A01#" data-shortcut="#A05#">',
'  <span class="a-Menu-item t-MegaMenu-itemBody #A08#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    <a class="a-Menu-label t-MegaMenu-labelWrap" href="#LINK#" target="#A06#">',
'      <span class="t-MegaMenu-label">#TEXT_ESC_SC#</span>',
'      <span class="t-MegaMenu-desc">#A03#</span>',
'    </a>',
'    <span class="t-MegaMenu-badge #A07#">#A02#</span>',
'  </span>'))
,p_sub_templ_noncurr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MegaMenu-item #A04#" data-current="false" data-id="#A01#" data-shortcut="#A05#">',
'  <span class="a-Menu-item t-MegaMenu-itemBody #A08#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    <a class="a-Menu-label t-MegaMenu-labelWrap" href="#LINK#" target="#A06#">',
'      <span class="t-MegaMenu-label">#TEXT_ESC_SC#</span>',
'      <span class="t-MegaMenu-desc">#A03#</span>',
'    </a>',
'    <span class="t-MegaMenu-badge #A07#">#A02#</span>',
'  </span>'))
,p_a01_label=>'ID Attribute'
,p_a02_label=>'Badge Value'
,p_a03_label=>'Description'
,p_a04_label=>'List Item Class'
,p_a05_label=>'Shortcut Key'
,p_a06_label=>'Link Target'
,p_a07_label=>'Badge Class'
,p_a08_label=>'Menu Item Class'
,p_reference_id=>1665447133514362075
);
end;
/
prompt --application/shared_components/user_interface/templates/report/contextual_info
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(26694227429726766)
,p_row_template_name=>'Contextual Info'
,p_internal_name=>'CONTEXTUAL_INFO'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ContextualInfo-item">',
'  <span class="t-ContextualInfo-label">#COLUMN_HEADER#</span>',
'  <span class="t-ContextualInfo-value">#COLUMN_VALUE#</span>',
'</div>'))
,p_row_template_before_rows=>' <div class="t-ContextualInfo #COMPONENT_CSS_CLASSES#" id="report_#REGION_STATIC_ID#" #REPORT_ATTRIBUTES# data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</div>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'GENERIC_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>6
,p_reference_id=>2114325881116323585
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/alerts
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(26695069355953966)
,p_row_template_name=>'Alerts'
,p_internal_name=>'ALERTS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--horizontal t-Alert--colorBG t-Alert--defaultIcons t-Alert--#ALERT_TYPE#" role="alert">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon" aria-hidden="true"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-header">',
'        <h2 class="t-Alert-title">#ALERT_TITLE#</h2>',
'      </div>',
'      <div class="t-Alert-body">',
'        #ALERT_DESC#',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      #ALERT_ACTION#',
'    </div>',
'  </div>',
'</div>'))
,p_row_template_before_rows=>'<div class="t-Alerts #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_alerts" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</div>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>14
,p_reference_id=>2881456138952347027
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/badge_list
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(26695234232953969)
,p_row_template_name=>'Badge List'
,p_internal_name=>'BADGE_LIST'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-BadgeList-item">',
'  <span class="t-BadgeList-wrap u-color">',
'    <span class="t-BadgeList-label">#COLUMN_HEADER#</span>',
'    <span class="t-BadgeList-value">#COLUMN_VALUE#</span>',
'  </span>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-BadgeList #COMPONENT_CSS_CLASSES#" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'GENERIC_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>6
,p_preset_template_options=>'t-BadgeList--large:t-BadgeList--fixed:t-BadgeList--circular'
,p_reference_id=>2103197159775914759
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/cards
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(26699288380953973)
,p_row_template_name=>'Cards'
,p_internal_name=>'CARDS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #CARD_MODIFIERS#">',
'  <div class="t-Card">',
'    <a href="#CARD_LINK#" class="t-Card-wrap">',
'      <div class="t-Card-icon u-color #CARD_COLOR#"><span class="t-Icon fa #CARD_ICON#"><span class="t-Card-initials" role="presentation">#CARD_INITIALS#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#CARD_TITLE#</h3><h4 class="t-Card-subtitle">#CARD_SUBTITLE#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#CARD_TEXT#</div>',
'        <div class="t-Card-info">#CARD_SUBTEXT#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #CARD_COLOR#"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_row_template_condition1=>':CARD_LINK is not null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #CARD_MODIFIERS#">',
'  <div class="t-Card">',
'    <div class="t-Card-wrap">',
'      <div class="t-Card-icon u-color #CARD_COLOR#"><span class="t-Icon fa #CARD_ICON#"><span class="t-Card-initials" role="presentation">#CARD_INITIALS#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#CARD_TITLE#</h3><h4 class="t-Card-subtitle">#CARD_SUBTITLE#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#CARD_TEXT#</div>',
'        <div class="t-Card-info">#CARD_SUBTEXT#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #CARD_COLOR#"></span>',
'    </div>',
'  </div>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-Cards #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_cards" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-Cards--animColorFill:t-Cards--3cols:t-Cards--basic'
,p_reference_id=>2973535649510699732
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/comments
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(26704638373953980)
,p_row_template_name=>'Comments'
,p_internal_name=>'COMMENTS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Comments-item #COMMENT_MODIFIERS#">',
'  <div class="t-Comments-icon">',
'    <div class="t-Comments-userIcon #ICON_MODIFIER#" aria-hidden="true">#USER_ICON#</div>',
'  </div>',
'  <div class="t-Comments-body">',
'    <div class="t-Comments-info">',
'      #USER_NAME# <span class="t-Comments-date">#COMMENT_DATE#</span> <span class="t-Comments-actions">#ACTIONS#</span>',
'    </div>',
'    <div class="t-Comments-comment">',
'      #COMMENT_TEXT##ATTRIBUTE_1##ATTRIBUTE_2##ATTRIBUTE_3##ATTRIBUTE_4#',
'    </div>',
'  </div>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-Comments #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'NOT_CONDITIONAL'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>',
''))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-Comments--chat'
,p_reference_id=>2611722012730764232
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/media_list
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(26705905842953981)
,p_row_template_name=>'Media List'
,p_internal_name=>'MEDIA_LIST'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item #LIST_CLASS#">',
'  <a href="#LINK#" class="t-MediaList-itemWrap #LINK_CLASS#" #LINK_ATTR#>',
'    <div class="t-MediaList-iconWrap" aria-hidden"true">',
'      <span class="t-MediaList-icon u-color #ICON_COLOR_CLASS#"><span class="t-Icon #ICON_CLASS#"></span></span>',
'    </div>',
'    <div class="t-MediaList-body">',
'      <h3 class="t-MediaList-title">#LIST_TITLE#</h3>',
'      <p class="t-MediaList-desc">#LIST_TEXT#</p>',
'    </div>',
'    <div class="t-MediaList-badgeWrap">',
'      <span class="t-MediaList-badge">#LIST_BADGE#</span>',
'    </div>',
'  </a>',
'</li>',
''))
,p_row_template_condition1=>':LINK is not null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item #LIST_CLASS#">',
'  <div class="t-MediaList-itemWrap #LINK_CLASS#" #LINK_ATTR#>',
'    <div class="t-MediaList-iconWrap" aria-hidden"true">',
'      <span class="t-MediaList-icon u-color #ICON_COLOR_CLASS#"><span class="t-Icon #ICON_CLASS#"></span></span>',
'    </div>',
'    <div class="t-MediaList-body">',
'      <h3 class="t-MediaList-title">#LIST_TITLE#</h3>',
'      <p class="t-MediaList-desc">#LIST_TEXT#</p>',
'    </div>',
'    <div class="t-MediaList-badgeWrap">',
'      <span class="t-MediaList-badge">#LIST_BADGE#</span>',
'    </div>',
'  </div>',
'</li>',
''))
,p_row_template_before_rows=>'<ul class="t-MediaList #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>1
,p_default_template_options=>'t-MediaList--showDesc:t-MediaList--showIcons'
,p_preset_template_options=>'t-MediaList--stack'
,p_reference_id=>2092157460408299055
,p_translate_this_template=>'N'
,p_row_template_comment=>' (SELECT link_text, link_target, detail1, detail2, last_modified)'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/search_results
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(26708897211953984)
,p_row_template_name=>'Search Results'
,p_internal_name=>'SEARCH_RESULTS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'    </div>',
'  </li>'))
,p_row_template_condition1=>':LABEL_02 is null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'      <span class="t-SearchResults-misc">#LABEL_02#: #VALUE_02#</span>',
'    </div>',
'  </li>'))
,p_row_template_condition2=>':LABEL_03 is null'
,p_row_template3=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'      <span class="t-SearchResults-misc">#LABEL_02#: #VALUE_02#</span>',
'      <span class="t-SearchResults-misc">#LABEL_03#: #VALUE_03#</span>',
'    </div>',
'  </li>'))
,p_row_template_condition3=>':LABEL_04 is null'
,p_row_template4=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'      <span class="t-SearchResults-misc">#LABEL_02#: #VALUE_02#</span>',
'      <span class="t-SearchResults-misc">#LABEL_03#: #VALUE_03#</span>',
'      <span class="t-SearchResults-misc">#LABEL_04#: #VALUE_04#</span>',
'    </div>',
'  </li>'))
,p_row_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-SearchResults #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">',
'<ul class="t-SearchResults-list">'))
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>',
'</div>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'NOT_CONDITIONAL'
,p_row_template_display_cond3=>'NOT_CONDITIONAL'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>4070913431524059316
,p_translate_this_template=>'N'
,p_row_template_comment=>' (SELECT link_text, link_target, detail1, detail2, last_modified)'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/standard
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(26709087882953984)
,p_row_template_name=>'Standard'
,p_internal_name=>'STANDARD'
,p_row_template1=>'<td class="t-Report-cell" #ALIGNMENT# #ACCESSIBLE_HEADERS#>#COLUMN_VALUE#</td>'
,p_row_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Report #COMPONENT_CSS_CLASSES#" id="report_#REGION_STATIC_ID#" #REPORT_ATTRIBUTES# data-region-id="#REGION_STATIC_ID#">',
'  <div class="t-Report-wrap">',
'    <table class="t-Report-pagination" role="presentation">#TOP_PAGINATION#</table>',
'    <div class="t-Report-tableWrap">',
'    <table class="t-Report-report" id="report_table_#REGION_STATIC_ID#" aria-label="#REGION_TITLE#">'))
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'      </tbody>',
'    </table>',
'    </div>',
'    <div class="t-Report-links">#EXTERNAL_LINK##CSV_LINK#</div>',
'    <table class="t-Report-pagination t-Report-pagination--bottom" role="presentation">#PAGINATION#</table>',
'  </div>',
'</div>'))
,p_row_template_before_first=>'<tr>'
,p_row_template_after_last=>'</tr>'
,p_row_template_type=>'GENERIC_COLUMNS'
,p_before_column_heading=>'<thead>'
,p_column_heading_template=>'<th class="t-Report-colHead" #ARIA_SORT# #ALIGNMENT# id="#COLUMN_HEADER_NAME#" #COLUMN_WIDTH#>#COLUMN_HEADER#</th>'
,p_after_column_heading=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</thead>',
'<tbody>'))
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>4
,p_preset_template_options=>'t-Report--altRowsDefault:t-Report--rowHighlight'
,p_reference_id=>2537207537838287671
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/timeline
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(26711630637953986)
,p_row_template_name=>'Timeline'
,p_internal_name=>'TIMELINE'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Timeline-item #EVENT_MODIFIERS#" #EVENT_ATTRIBUTES#>',
'  <div class="t-Timeline-wrap">',
'    <div class="t-Timeline-user">',
'      <div class="t-Timeline-avatar #USER_COLOR#" role="presentation">',
'        #USER_AVATAR#',
'      </div>',
'      <div class="t-Timeline-userinfo">',
'        <span class="t-Timeline-username">#USER_NAME#</span>',
'        <span class="t-Timeline-date">#EVENT_DATE#</span>',
'      </div>',
'    </div>',
'    <div class="t-Timeline-content">',
'      <div class="t-Timeline-typeWrap">',
'        <div class="t-Timeline-type #EVENT_STATUS#">',
'          <span class="t-Icon #EVENT_ICON#"></span>',
'          <span class="t-Timeline-typename">#EVENT_TYPE#</span>',
'        </div>',
'      </div>',
'      <div class="t-Timeline-body">',
'        <h3 class="t-Timeline-title">#EVENT_TITLE#</h3>',
'        <p class="t-Timeline-desc">#EVENT_DESC#</p>',
'      </div>',
'    </div>',
'  </div>',
'</li>'))
,p_row_template_condition1=>':EVENT_LINK is null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Timeline-item #EVENT_MODIFIERS#" #EVENT_ATTRIBUTES#>',
'  <a href="#EVENT_LINK#" class="t-Timeline-wrap">',
'    <div class="t-Timeline-user">',
'      <div class="t-Timeline-avatar #USER_COLOR#" role="presentation">',
'        #USER_AVATAR#',
'      </div>',
'      <div class="t-Timeline-userinfo">',
'        <span class="t-Timeline-username">#USER_NAME#</span>',
'        <span class="t-Timeline-date">#EVENT_DATE#</span>',
'      </div>',
'    </div>',
'    <div class="t-Timeline-content">',
'      <div class="t-Timeline-typeWrap">',
'        <div class="t-Timeline-type #EVENT_STATUS#">',
'          <span class="t-Icon #EVENT_ICON#"></span>',
'          <span class="t-Timeline-typename">#EVENT_TYPE#</span>',
'        </div>',
'      </div>',
'      <div class="t-Timeline-body">',
'        <h3 class="t-Timeline-title">#EVENT_TITLE#</h3>',
'        <p class="t-Timeline-desc">#EVENT_DESC#</p>',
'      </div>',
'    </div>',
'  </a>',
'</li>'))
,p_row_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-Timeline #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_timeline" data-region-id="#REGION_STATIC_ID#">',
''))
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_reference_id=>1513373588340069864
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/value_attribute_pairs_column
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(26712060186953987)
,p_row_template_name=>'Value Attribute Pairs - Column'
,p_internal_name=>'VALUE_ATTRIBUTE_PAIRS_COLUMN'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<dt class="t-AVPList-label">',
'  #COLUMN_HEADER#',
'</dt>',
'<dd class="t-AVPList-value">',
'  #COLUMN_VALUE#',
'</dd>'))
,p_row_template_before_rows=>'<dl class="t-AVPList #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</dl>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'GENERIC_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>6
,p_preset_template_options=>'t-AVPList--leftAligned'
,p_reference_id=>2099068636272681754
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/value_attribute_pairs_row
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(26714032044953988)
,p_row_template_name=>'Value Attribute Pairs - Row'
,p_internal_name=>'VALUE_ATTRIBUTE_PAIRS_ROW'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<dt class="t-AVPList-label">',
'  #1#',
'</dt>',
'<dd class="t-AVPList-value">',
'  #2#',
'</dd>'))
,p_row_template_before_rows=>'<dl class="t-AVPList #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="report_#REGION_STATIC_ID#" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</dl>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-AVPList--leftAligned'
,p_reference_id=>2099068321678681753
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/content_row
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(65662121352990510)
,p_row_template_name=>'Content Row'
,p_internal_name=>'CONTENT_ROW'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-ContentRow-item #ITEM_CLASSES#">',
'  <div class="t-ContentRow-wrap">',
'    <div class="t-ContentRow-selection">#SELECTION#</div>',
'    <div class="t-ContentRow-iconWrap">',
'      <span class="t-ContentRow-icon #ICON_CLASS#">#ICON_HTML#</span>',
'    </div>',
'    <div class="t-ContentRow-body">',
'      <div class="t-ContentRow-content">',
'        <h3 class="t-ContentRow-title">#TITLE#</h3>',
'        <div class="t-ContentRow-description">#DESCRIPTION#</div>',
'      </div>',
'      <div class="t-ContentRow-misc">#MISC#</div>',
'      <div class="t-ContentRow-actions">#ACTIONS#</div>',
'    </div>',
'  </div>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-ContentRow #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>1797843454948280151
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/hidden
begin
wwv_flow_imp_shared.create_field_template(
 p_id=>wwv_flow_imp.id(26738065423954016)
,p_template_name=>'Hidden'
,p_internal_name=>'HIDDEN'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer t-Form-labelContainer--hiddenLabel col col-#LABEL_COLUMN_SPAN_NUMBER#">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label u-VisuallyHidden">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--hiddenLabel rel-col #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer col col-#ITEM_COLUMN_SPAN_NUMBER#"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>13
,p_reference_id=>2039339104148359505
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/optional
begin
wwv_flow_imp_shared.create_field_template(
 p_id=>wwv_flow_imp.id(26738177760954019)
,p_template_name=>'Optional'
,p_internal_name=>'OPTIONAL'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer col col-#LABEL_COLUMN_SPAN_NUMBER#">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>',
'</div>',
''))
,p_before_item=>'<div class="t-Form-fieldContainer rel-col #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer col col-#ITEM_COLUMN_SPAN_NUMBER#"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>3
,p_reference_id=>2317154212072806530
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/optional_above
begin
wwv_flow_imp_shared.create_field_template(
 p_id=>wwv_flow_imp.id(26738220322954019)
,p_template_name=>'Optional - Above'
,p_internal_name=>'OPTIONAL_ABOVE'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label> #HELP_TEMPLATE#',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--stacked #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>3
,p_reference_id=>3030114864004968404
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/optional_floating
begin
wwv_flow_imp_shared.create_field_template(
 p_id=>wwv_flow_imp.id(26738339406954019)
,p_template_name=>'Optional - Floating'
,p_internal_name=>'OPTIONAL_FLOATING'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--floatingLabel #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>3
,p_reference_id=>1607675164727151865
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/required
begin
wwv_flow_imp_shared.create_field_template(
 p_id=>wwv_flow_imp.id(26738449610954019)
,p_template_name=>'Required'
,p_internal_name=>'REQUIRED'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer col col-#LABEL_COLUMN_SPAN_NUMBER#">',
'  <label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
' <span class="u-VisuallyHidden">(#VALUE_REQUIRED#)</span></label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer is-required rel-col #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-inputContainer col col-#ITEM_COLUMN_SPAN_NUMBER#">',
'  <div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'))
,p_after_element=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#ITEM_POST_TEXT##HELP_TEMPLATE#',
'  </div>',
'  <div class="t-Form-itemAssistance">',
'    #ERROR_TEMPLATE#',
'    <div class="t-Form-itemRequired" aria-hidden="true">#REQUIRED#</div>',
'  </div>',
'  #INLINE_HELP_TEMPLATE#',
'</div>'))
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<div class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</div>'
,p_error_template=>'<div class="t-Form-error">#ERROR_MESSAGE#</div>'
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>2525313812251712801
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/required_above
begin
wwv_flow_imp_shared.create_field_template(
 p_id=>wwv_flow_imp.id(26738575492954020)
,p_template_name=>'Required - Above'
,p_internal_name=>'REQUIRED_ABOVE'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'  <label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
' <span class="u-VisuallyHidden">(#VALUE_REQUIRED#)</span></label> #HELP_TEMPLATE#',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--stacked is-required #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-inputContainer">',
'  <div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'))
,p_after_element=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#ITEM_POST_TEXT#</div>',
'  <div class="t-Form-itemAssistance">',
'    #ERROR_TEMPLATE#',
'    <div class="t-Form-itemRequired" aria-hidden="true">#REQUIRED#</div>',
'  </div>',
'  #INLINE_HELP_TEMPLATE#',
'</div>',
''))
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<div class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</div>'
,p_error_template=>'<div class="t-Form-error">#ERROR_MESSAGE#</div>'
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>3030115129444970113
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/required_floating
begin
wwv_flow_imp_shared.create_field_template(
 p_id=>wwv_flow_imp.id(26738611042954020)
,p_template_name=>'Required - Floating'
,p_internal_name=>'REQUIRED_FLOATING'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'  <label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
' <span class="u-VisuallyHidden">(#VALUE_REQUIRED#)</span></label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--floatingLabel is-required #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-inputContainer">',
'  <div class="t-Form-itemRequired-marker" aria-hidden="true"></div>',
'  <div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'))
,p_after_element=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#ITEM_POST_TEXT##HELP_TEMPLATE#',
'  </div>',
'  <div class="t-Form-itemAssistance">',
'    #ERROR_TEMPLATE#',
'    <div class="t-Form-itemRequired" aria-hidden="true">#REQUIRED#</div>',
'  </div>',
'  #INLINE_HELP_TEMPLATE#',
'</div>'))
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<div class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</div>'
,p_error_template=>'<div class="t-Form-error">#ERROR_MESSAGE#</div>'
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>1607675344320152883
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/breadcrumb/breadcrumb
begin
wwv_flow_imp_shared.create_menu_template(
 p_id=>wwv_flow_imp.id(26740866592954033)
,p_name=>'Breadcrumb'
,p_internal_name=>'BREADCRUMB'
,p_before_first=>'<ul class="t-Breadcrumb #COMPONENT_CSS_CLASSES#">'
,p_current_page_option=>'<li class="t-Breadcrumb-item is-active" aria-current="page"><h1 class="t-Breadcrumb-label">#NAME#</h1></li>'
,p_non_current_page_option=>'<li class="t-Breadcrumb-item"><a href="#LINK#" class="t-Breadcrumb-label">#NAME#</a></li>'
,p_after_last=>'</ul>'
,p_max_levels=>6
,p_start_with_node=>'PARENT_TO_LEAF'
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>4070916542570059325
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/popuplov
begin
wwv_flow_imp_shared.create_popup_lov_template(
 p_id=>wwv_flow_imp.id(26741093549954057)
,p_page_name=>'winlov'
,p_page_title=>'Search Dialog'
,p_page_html_head=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html lang="&BROWSER_LANGUAGE.">',
'<head>',
'<title>#TITLE#</title>',
'#APEX_CSS#',
'#THEME_CSS#',
'#THEME_STYLE_CSS#',
'#FAVICONS#',
'#APEX_JAVASCRIPT#',
'#THEME_JAVASCRIPT#',
'<meta name="viewport" content="width=device-width,initial-scale=1.0" />',
'</head>'))
,p_page_body_attr=>'onload="first_field()" class="t-Page t-Page--popupLOV"'
,p_before_field_text=>'<div class="t-PopupLOV-actions t-Form--large">'
,p_filter_width=>'20'
,p_filter_max_width=>'100'
,p_filter_text_attr=>'class="apex-item-text"'
,p_find_button_text=>'Search'
,p_find_button_attr=>'class="t-Button t-Button--hot t-Button--padLeft"'
,p_close_button_text=>'Close'
,p_close_button_attr=>'class="t-Button u-pullRight"'
,p_next_button_text=>'Next &gt;'
,p_next_button_attr=>'class="t-Button t-PopupLOV-button"'
,p_prev_button_text=>'&lt; Previous'
,p_prev_button_attr=>'class="t-Button t-PopupLOV-button"'
,p_after_field_text=>'</div>'
,p_scrollbars=>'1'
,p_resizable=>'1'
,p_width=>'380'
,p_result_row_x_of_y=>'<div class="t-PopupLOV-pagination">Row(s) #FIRST_ROW# - #LAST_ROW#</div>'
,p_result_rows_per_pg=>100
,p_before_result_set=>'<div class="t-PopupLOV-links">'
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>2885398517835871876
,p_translate_this_template=>'N'
,p_after_result_set=>'</div>'
);
end;
/
prompt --application/shared_components/user_interface/templates/calendar/calendar
begin
wwv_flow_imp_shared.create_calendar_template(
 p_id=>wwv_flow_imp.id(26740983101954042)
,p_cal_template_name=>'Calendar'
,p_internal_name=>'CALENDAR'
,p_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th id="#DY#" scope="col" class="t-ClassicCalendar-dayColumn">',
'  <span class="visible-md visible-lg">#IDAY#</span>',
'  <span class="hidden-md hidden-lg">#IDY#</span>',
'</th>'))
,p_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar">',
'<h1 class="t-ClassicCalendar-title">#IMONTH# #YYYY#</h1>'))
,p_month_open_format=>'<table class="t-ClassicCalendar-calendar" cellpadding="0" cellspacing="0" border="0" aria-label="#IMONTH# #YYYY#">'
,p_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>',
''))
,p_day_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#">#TITLE_FORMAT#<div class="t-ClassicCalendar-dayEvents">#DATA#</div>'
,p_day_close_format=>'</td>'
,p_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#">#TITLE_FORMAT#<div class="t-ClassicCalendar-dayEvents">#DATA#</div>'
,p_weekend_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_weekend_open_format=>'<td class="t-ClassicCalendar-day is-weekend" headers="#DY#">#TITLE_FORMAT#<div class="t-ClassicCalendar-dayEvents">#DATA#</div>'
,p_weekend_close_format=>'</td>'
,p_nonday_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_nonday_open_format=>'<td class="t-ClassicCalendar-day is-inactive" headers="#DY#">'
,p_nonday_close_format=>'</td>'
,p_week_open_format=>'<tr>'
,p_week_close_format=>'</tr> '
,p_daily_title_format=>'<table cellspacing="0" cellpadding="0" border="0" summary="" class="t1DayCalendarHolder"> <tr> <td class="t1MonthTitle">#IMONTH# #DD#, #YYYY#</td> </tr> <tr> <td>'
,p_daily_open_format=>'<tr>'
,p_daily_close_format=>'</tr>'
,p_weekly_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar t-ClassicCalendar--weekly">',
'<h1 class="t-ClassicCalendar-title">#WTITLE#</h1>'))
,p_weekly_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th scope="col" class="t-ClassicCalendar-dayColumn" id="#DY#">',
'  <span class="visible-md visible-lg">#DD# #IDAY#</span>',
'  <span class="hidden-md hidden-lg">#DD# #IDY#</span>',
'</th>'))
,p_weekly_month_open_format=>'<table border="0" cellpadding="0" cellspacing="0" aria-label="#CALENDAR_TITLE# #START_DL# - #END_DL#" class="t-ClassicCalendar-calendar">'
,p_weekly_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_weekly_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_weekly_day_close_format=>'</div></td>'
,p_weekly_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_weekly_weekend_open_format=>'<td class="t-ClassicCalendar-day is-weekend" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_weekly_weekend_close_format=>'</div></td>'
,p_weekly_time_open_format=>'<th scope="row" class="t-ClassicCalendar-day t-ClassicCalendar-timeCol">'
,p_weekly_time_close_format=>'</th>'
,p_weekly_time_title_format=>'#TIME#'
,p_weekly_hour_open_format=>'<tr>'
,p_weekly_hour_close_format=>'</tr>'
,p_daily_day_of_week_format=>'<th scope="col" id="#DY#" class="t-ClassicCalendar-dayColumn">#IDAY#</th>'
,p_daily_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar t-ClassicCalendar--daily">',
'<h1 class="t-ClassicCalendar-title">#IMONTH# #DD#, #YYYY#</h1>'))
,p_daily_month_open_format=>'<table border="0" cellpadding="0" cellspacing="0" aria-label="#CALENDAR_TITLE# #START_DL#" class="t-ClassicCalendar-calendar">'
,p_daily_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_daily_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_daily_day_close_format=>'</div></td>'
,p_daily_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_daily_time_open_format=>'<th scope="row" class="t-ClassicCalendar-day t-ClassicCalendar-timeCol" id="#TIME#">'
,p_daily_time_close_format=>'</th>'
,p_daily_time_title_format=>'#TIME#'
,p_daily_hour_open_format=>'<tr>'
,p_daily_hour_close_format=>'</tr>'
,p_cust_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar">',
'<h1 class="t-ClassicCalendar-title">#IMONTH# #YYYY#</h1>'))
,p_cust_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th id="#DY#" scope="col" class="t-ClassicCalendar-dayColumn">',
'  <span class="visible-md visible-lg">#IDAY#</span>',
'  <span class="hidden-md hidden-lg">#IDY#</span>',
'</th>'))
,p_cust_month_open_format=>'<table class="t-ClassicCalendar-calendar" cellpadding="0" cellspacing="0" border="0" aria-label="#IMONTH# #YYYY#">'
,p_cust_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_cust_week_open_format=>'<tr>'
,p_cust_week_close_format=>'</tr> '
,p_cust_day_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_cust_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#">'
,p_cust_day_close_format=>'</td>'
,p_cust_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#">'
,p_cust_nonday_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_cust_nonday_open_format=>'<td class="t-ClassicCalendar-day is-inactive" headers="#DY#">'
,p_cust_nonday_close_format=>'</td>'
,p_cust_weekend_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_cust_weekend_open_format=>'<td class="t-ClassicCalendar-day is-weekend" headers="#DY#">'
,p_cust_weekend_close_format=>'</td>'
,p_cust_hour_open_format=>'<tr>'
,p_cust_hour_close_format=>'</tr>'
,p_cust_time_title_format=>'#TIME#'
,p_cust_time_open_format=>'<th scope="row" class="t-ClassicCalendar-day t-ClassicCalendar-timeCol">'
,p_cust_time_close_format=>'</th>'
,p_cust_wk_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar">',
'<h1 class="t-ClassicCalendar-title">#WTITLE#</h1>'))
,p_cust_wk_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th scope="col" class="t-ClassicCalendar-dayColumn" id="#DY#">',
'  <span class="visible-md visible-lg">#DD# #IDAY#</span>',
'  <span class="hidden-md hidden-lg">#DD# #IDY#</span>',
'</th>'))
,p_cust_wk_month_open_format=>'<table border="0" cellpadding="0" cellspacing="0" summary="#CALENDAR_TITLE# #START_DL# - #END_DL#" class="t-ClassicCalendar-calendar">'
,p_cust_wk_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_cust_wk_week_open_format=>'<tr>'
,p_cust_wk_week_close_format=>'</tr> '
,p_cust_wk_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_cust_wk_day_close_format=>'</div></td>'
,p_cust_wk_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_cust_wk_weekend_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#">'
,p_cust_wk_weekend_close_format=>'</td>'
,p_agenda_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar t-ClassicCalendar--list">',
'  <div class="t-ClassicCalendar-title">#IMONTH# #YYYY#</div>',
'  <ul class="t-ClassicCalendar-list">',
'    #DAYS#',
'  </ul>',
'</div>'))
,p_agenda_past_day_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-ClassicCalendar-listTitle is-past">',
'    <span class="t-ClassicCalendar-listDayTitle">#IDAY#</span><span class="t-ClassicCalendar-listDayDate">#IMONTH# #DD#</span>',
'  </li>'))
,p_agenda_today_day_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-ClassicCalendar-listTitle is-today">',
'    <span class="t-ClassicCalendar-listDayTitle">#IDAY#</span><span class="t-ClassicCalendar-listDayDate">#IMONTH# #DD#</span>',
'  </li>'))
,p_agenda_future_day_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-ClassicCalendar-listTitle is-future">',
'    <span class="t-ClassicCalendar-listDayTitle">#IDAY#</span><span class="t-ClassicCalendar-listDayDate">#IMONTH# #DD#</span>',
'  </li>'))
,p_agenda_past_entry_format=>'  <li class="t-ClassicCalendar-listEvent is-past">#DATA#</li>'
,p_agenda_today_entry_format=>'  <li class="t-ClassicCalendar-listEvent is-today">#DATA#</li>'
,p_agenda_future_entry_format=>'  <li class="t-ClassicCalendar-listEvent is-future">#DATA#</li>'
,p_month_data_format=>'#DAYS#'
,p_month_data_entry_format=>'<span class="t-ClassicCalendar-event">#DATA#</span>'
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>4070916747979059326
);
end;
/
prompt --application/shared_components/user_interface/themes
begin
wwv_flow_imp_shared.create_theme(
 p_id=>wwv_flow_imp.id(26742279599954085)
,p_theme_id=>42
,p_theme_name=>'Universal Theme'
,p_theme_internal_name=>'UNIVERSAL_THEME'
,p_navigation_type=>'L'
,p_nav_bar_type=>'LIST'
,p_reference_id=>4070917134413059350
,p_is_locked=>false
,p_default_page_template=>wwv_flow_imp.id(26650505737953895)
,p_default_dialog_template=>wwv_flow_imp.id(26646158128953892)
,p_error_template=>wwv_flow_imp.id(26639724786953887)
,p_printer_friendly_template=>wwv_flow_imp.id(26650505737953895)
,p_breadcrumb_display_point=>'REGION_POSITION_01'
,p_sidebar_display_point=>'REGION_POSITION_02'
,p_login_template=>wwv_flow_imp.id(26639724786953887)
,p_default_button_template=>wwv_flow_imp.id(26739430162954028)
,p_default_region_template=>wwv_flow_imp.id(26683353252953952)
,p_default_chart_template=>wwv_flow_imp.id(26683353252953952)
,p_default_form_template=>wwv_flow_imp.id(26683353252953952)
,p_default_reportr_template=>wwv_flow_imp.id(26683353252953952)
,p_default_tabform_template=>wwv_flow_imp.id(26683353252953952)
,p_default_wizard_template=>wwv_flow_imp.id(26683353252953952)
,p_default_menur_template=>wwv_flow_imp.id(26692736997953960)
,p_default_listr_template=>wwv_flow_imp.id(26683353252953952)
,p_default_irr_template=>wwv_flow_imp.id(26682226918953951)
,p_default_report_template=>wwv_flow_imp.id(26709087882953984)
,p_default_label_template=>wwv_flow_imp.id(26738339406954019)
,p_default_menu_template=>wwv_flow_imp.id(26740866592954033)
,p_default_calendar_template=>wwv_flow_imp.id(26740983101954042)
,p_default_list_template=>wwv_flow_imp.id(26725497979954003)
,p_default_nav_list_template=>wwv_flow_imp.id(26734045467954012)
,p_default_top_nav_list_temp=>wwv_flow_imp.id(26734045467954012)
,p_default_side_nav_list_temp=>wwv_flow_imp.id(26731493111954009)
,p_default_nav_list_position=>'SIDE'
,p_default_dialogbtnr_template=>wwv_flow_imp.id(26659138683953923)
,p_default_dialogr_template=>wwv_flow_imp.id(26658184993953922)
,p_default_option_label=>wwv_flow_imp.id(26738339406954019)
,p_default_required_label=>wwv_flow_imp.id(26738611042954020)
,p_default_navbar_list_template=>wwv_flow_imp.id(26731301093954009)
,p_file_prefix => nvl(wwv_flow_application_install.get_static_theme_file_prefix(42),'#APEX_FILES#themes/theme_42/22.2/')
,p_files_version=>64
,p_icon_library=>'FONTAPEX'
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#APEX_FILES#libraries/apex/#MIN_DIRECTORY#widget.stickyWidget#MIN#.js?v=#APEX_VERSION#',
'#THEME_FILES#js/theme42#MIN#.js?v=#APEX_VERSION#'))
,p_css_file_urls=>'#THEME_FILES#css/Core#MIN#.css?v=#APEX_VERSION#'
);
end;
/
prompt --application/shared_components/user_interface/theme_style
begin
wwv_flow_imp_shared.create_theme_style(
 p_id=>wwv_flow_imp.id(17217239503259478)
,p_theme_id=>42
,p_name=>'Redwood Light'
,p_css_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#APEX_FILES#libraries/oracle-fonts/oraclesans-apex#MIN#.css?v=#APEX_VERSION#',
'#THEME_FILES#css/Redwood#MIN#.css?v=#APEX_VERSION#'))
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_FILES#less/theme/Redwood-Theme.less'
,p_theme_roller_output_file_url=>'#THEME_FILES#css/Redwood-Theme#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>2596426436825065489
);
wwv_flow_imp_shared.create_theme_style(
 p_id=>wwv_flow_imp.id(17217659341259478)
,p_theme_id=>42
,p_name=>'Vita'
,p_is_current=>true
,p_is_public=>true
,p_is_accessible=>true
,p_theme_roller_input_file_urls=>'#THEME_FILES#less/theme/Vita.less'
,p_theme_roller_output_file_url=>'#THEME_FILES#css/Vita#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>2719875314571594493
);
wwv_flow_imp_shared.create_theme_style(
 p_id=>wwv_flow_imp.id(17218019068259479)
,p_theme_id=>42
,p_name=>'Vita - Dark'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_FILES#less/theme/Vita-Dark.less'
,p_theme_roller_output_file_url=>'#THEME_FILES#css/Vita-Dark#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>3543348412015319650
);
wwv_flow_imp_shared.create_theme_style(
 p_id=>wwv_flow_imp.id(17218415148259479)
,p_theme_id=>42
,p_name=>'Vita - Red'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_FILES#less/theme/Vita-Red.less'
,p_theme_roller_output_file_url=>'#THEME_FILES#css/Vita-Red#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>1938457712423918173
);
wwv_flow_imp_shared.create_theme_style(
 p_id=>wwv_flow_imp.id(17218827296259479)
,p_theme_id=>42
,p_name=>'Vita - Slate'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_FILES#less/theme/Vita-Slate.less'
,p_theme_roller_output_file_url=>'#THEME_FILES#css/Vita-Slate#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>3291983347983194966
);
end;
/
prompt --application/shared_components/user_interface/theme_files
begin
null;
end;
/
prompt --application/shared_components/user_interface/template_opt_groups
begin
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17380179017259624)
,p_theme_id=>42
,p_name=>'BUTTON_SET'
,p_display_name=>'Button Set'
,p_display_sequence=>40
,p_template_types=>'BUTTON'
,p_help_text=>'Enables you to group many buttons together into a pill. You can use this option to specify where the button is within this set. Set the option to Default if this button is not part of a button set.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17380549304259624)
,p_theme_id=>42
,p_name=>'ICON_HOVER_ANIMATION'
,p_display_name=>'Icon Hover Animation'
,p_display_sequence=>55
,p_template_types=>'BUTTON'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17380955474259624)
,p_theme_id=>42
,p_name=>'ICON_POSITION'
,p_display_name=>'Icon Position'
,p_display_sequence=>50
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the position of the icon relative to the label.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17381316096259624)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>10
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the size of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17381695497259625)
,p_theme_id=>42
,p_name=>'SPACING_BOTTOM'
,p_display_name=>'Spacing Bottom'
,p_display_sequence=>100
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the bottom of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17382089031259625)
,p_theme_id=>42
,p_name=>'SPACING_LEFT'
,p_display_name=>'Spacing Left'
,p_display_sequence=>70
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the left of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17382535237259625)
,p_theme_id=>42
,p_name=>'SPACING_RIGHT'
,p_display_name=>'Spacing Right'
,p_display_sequence=>80
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the right of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17382940849259625)
,p_theme_id=>42
,p_name=>'SPACING_TOP'
,p_display_name=>'Spacing Top'
,p_display_sequence=>90
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the top of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17383297441259625)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>30
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the style of the button. Use the "Simple" option for secondary actions or sets of buttons. Use the "Remove UI Decoration" option to make the button appear as text.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17383700782259625)
,p_theme_id=>42
,p_name=>'TYPE'
,p_display_name=>'Type'
,p_display_sequence=>20
,p_template_types=>'BUTTON'
,p_null_text=>'Normal'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17384143976259626)
,p_theme_id=>42
,p_name=>'WIDTH'
,p_display_name=>'Width'
,p_display_sequence=>60
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the width of the button.'
,p_null_text=>'Auto - Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17384528126259626)
,p_theme_id=>42
,p_name=>'BOTTOM_MARGIN'
,p_display_name=>'Bottom Margin'
,p_display_sequence=>220
,p_template_types=>'FIELD'
,p_help_text=>'Set the bottom margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17384911217259626)
,p_theme_id=>42
,p_name=>'DISPLAY_TEXT_STYLE'
,p_display_name=>'Display Text Style'
,p_display_sequence=>400
,p_template_types=>'FIELD'
,p_help_text=>'Determines the display style for Display Only & Read Only display items.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17385344315259626)
,p_theme_id=>42
,p_name=>'ITEM_POST_TEXT'
,p_display_name=>'Item Post Text'
,p_display_sequence=>30
,p_template_types=>'FIELD'
,p_help_text=>'Adjust the display of the Item Post Text'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17385700628259627)
,p_theme_id=>42
,p_name=>'ITEM_PRE_TEXT'
,p_display_name=>'Item Pre Text'
,p_display_sequence=>20
,p_template_types=>'FIELD'
,p_help_text=>'Adjust the display of the Item Pre Text'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17386162301259627)
,p_theme_id=>42
,p_name=>'LEFT_MARGIN'
,p_display_name=>'Left Margin'
,p_display_sequence=>220
,p_template_types=>'FIELD'
,p_help_text=>'Set the left margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17386571397259627)
,p_theme_id=>42
,p_name=>'PRESERVE_LABEL_SPACING'
,p_display_name=>'Preserve Label Spacing'
,p_display_sequence=>1
,p_template_types=>'FIELD'
,p_help_text=>'Preserves the label space and enables use of the Label Column Span property.'
,p_null_text=>'Yes'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17386888862259627)
,p_theme_id=>42
,p_name=>'RADIO_GROUP_DISPLAY'
,p_display_name=>'Item Group Display'
,p_display_sequence=>300
,p_template_types=>'FIELD'
,p_help_text=>'Determines the display style for radio and check box items.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17387371223259627)
,p_theme_id=>42
,p_name=>'REQUIRED_INDICATOR'
,p_display_name=>'Required Indicator'
,p_display_sequence=>1
,p_template_types=>'FIELD'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17387761551259627)
,p_theme_id=>42
,p_name=>'RIGHT_MARGIN'
,p_display_name=>'Right Margin'
,p_display_sequence=>230
,p_template_types=>'FIELD'
,p_help_text=>'Set the right margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17388113992259628)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>10
,p_template_types=>'FIELD'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17388502818259628)
,p_theme_id=>42
,p_name=>'TOP_MARGIN'
,p_display_name=>'Top Margin'
,p_display_sequence=>200
,p_template_types=>'FIELD'
,p_help_text=>'Set the top margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17388906046259628)
,p_theme_id=>42
,p_name=>'ANIMATION'
,p_display_name=>'Animation'
,p_display_sequence=>80
,p_template_types=>'LIST'
,p_help_text=>'Sets the hover and focus animation.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17389357754259628)
,p_theme_id=>42
,p_name=>'BADGE_SIZE'
,p_display_name=>'Badge Size'
,p_display_sequence=>70
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17389765635259628)
,p_theme_id=>42
,p_name=>'BODY_TEXT'
,p_display_name=>'Body Text'
,p_display_sequence=>40
,p_template_types=>'LIST'
,p_help_text=>'Determines the height of the card body.'
,p_null_text=>'Auto'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17390125329259629)
,p_theme_id=>42
,p_name=>'COLLAPSE_STYLE'
,p_display_name=>'Collapse Mode'
,p_display_sequence=>30
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17390571981259629)
,p_theme_id=>42
,p_name=>'COLOR_ACCENTS'
,p_display_name=>'Color Accents'
,p_display_sequence=>50
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17390919771259629)
,p_theme_id=>42
,p_name=>'DESKTOP'
,p_display_name=>'Desktop'
,p_display_sequence=>90
,p_template_types=>'LIST'
,p_help_text=>'Determines the display for a desktop-sized screen'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17391298165259629)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>30
,p_template_types=>'LIST'
,p_null_text=>'No Icons'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17391710840259629)
,p_theme_id=>42
,p_name=>'ICONS'
,p_display_name=>'Icons'
,p_display_sequence=>20
,p_template_types=>'LIST'
,p_null_text=>'No Icons'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17392095892259630)
,p_theme_id=>42
,p_name=>'ICON_SHAPE'
,p_display_name=>'Icon Shape'
,p_display_sequence=>60
,p_template_types=>'LIST'
,p_help_text=>'Determines the shape of the icon.'
,p_null_text=>'Circle'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17392579426259630)
,p_theme_id=>42
,p_name=>'ICON_STYLE'
,p_display_name=>'Icon Style'
,p_display_sequence=>35
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17392977941259630)
,p_theme_id=>42
,p_name=>'LABEL_DISPLAY'
,p_display_name=>'Label Display'
,p_display_sequence=>50
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17393288580259630)
,p_theme_id=>42
,p_name=>'LAYOUT'
,p_display_name=>'Layout'
,p_display_sequence=>30
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17393734153259630)
,p_theme_id=>42
,p_name=>'MOBILE'
,p_display_name=>'Mobile'
,p_display_sequence=>100
,p_template_types=>'LIST'
,p_help_text=>'Determines the display for a mobile-sized screen'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17394139812259631)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>1
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17394570726259631)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>10
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17394904561259631)
,p_theme_id=>42
,p_name=>'CONTENT_PADDING'
,p_display_name=>'Content Padding'
,p_display_sequence=>1
,p_template_types=>'PAGE'
,p_help_text=>'Sets the Content Body padding for the page.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17395314571259631)
,p_theme_id=>42
,p_name=>'DIALOG_SIZE'
,p_display_name=>'Size'
,p_display_sequence=>1
,p_template_types=>'PAGE'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17395689769259631)
,p_theme_id=>42
,p_name=>'DISPLAY_MODE'
,p_display_name=>'Display Mode'
,p_display_sequence=>30
,p_template_types=>'PAGE'
,p_help_text=>'Determines the default display appearance and positioning of the dialog. The default opens a floating dialog position at the center of the screen.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17396170344259632)
,p_theme_id=>42
,p_name=>'PAGE_BACKGROUND'
,p_display_name=>'Page Background'
,p_display_sequence=>20
,p_template_types=>'PAGE'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17396559520259632)
,p_theme_id=>42
,p_name=>'PAGE_LAYOUT'
,p_display_name=>'Page Layout'
,p_display_sequence=>10
,p_template_types=>'PAGE'
,p_null_text=>'Floating (Default)'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17396979068259632)
,p_theme_id=>42
,p_name=>'PAGE_POSITION'
,p_display_name=>'Position'
,p_display_sequence=>1
,p_template_types=>'PAGE'
,p_help_text=>'Sets the position of the page.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17397325142259632)
,p_theme_id=>42
,p_name=>'ACCENT'
,p_display_name=>'Accent'
,p_display_sequence=>30
,p_template_types=>'REGION'
,p_help_text=>'Set the Region''s accent. This accent corresponds to a Theme-Rollable color and sets the background of the Region''s Header.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17397786139259632)
,p_theme_id=>42
,p_name=>'ALERT_DISPLAY'
,p_display_name=>'Alert Display'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the layout of the Alert Region.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17398143569259633)
,p_theme_id=>42
,p_name=>'ALERT_ICONS'
,p_display_name=>'Alert Icons'
,p_display_sequence=>2
,p_template_types=>'REGION'
,p_help_text=>'Sets how icons are handled for the Alert Region.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17398575123259633)
,p_theme_id=>42
,p_name=>'ALERT_TITLE'
,p_display_name=>'Alert Title'
,p_display_sequence=>40
,p_template_types=>'REGION'
,p_help_text=>'Determines how the title of the alert is displayed.'
,p_null_text=>'Visible - Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17398903551259633)
,p_theme_id=>42
,p_name=>'ALERT_TYPE'
,p_display_name=>'Alert Type'
,p_display_sequence=>3
,p_template_types=>'REGION'
,p_help_text=>'Sets the type of alert which can be used to determine the icon, icon color, and the background color.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17399376990259633)
,p_theme_id=>42
,p_name=>'ALIGNMENT'
,p_display_name=>'Alignment'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'This sets the vertical alignment of the region.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17399771991259633)
,p_theme_id=>42
,p_name=>'ANIMATION'
,p_display_name=>'Animation'
,p_display_sequence=>10
,p_template_types=>'REGION'
,p_help_text=>'Sets the animation when navigating within the Carousel Region.'
,p_null_text=>'Fade'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17400113950259634)
,p_theme_id=>42
,p_name=>'BODY_HEIGHT'
,p_display_name=>'Body Height'
,p_display_sequence=>10
,p_template_types=>'REGION'
,p_help_text=>'Sets the Region Body height. You can also specify a custom height by modifying the Region''s CSS Classes and using the height helper classes "i-hXXX" where XXX is any increment of 10 from 100 to 800.'
,p_null_text=>'Auto - Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17400548485259634)
,p_theme_id=>42
,p_name=>'BODY_OVERFLOW'
,p_display_name=>'Body Overflow'
,p_display_sequence=>2
,p_template_types=>'REGION'
,p_help_text=>'Determines the scroll behavior when the region contents are larger than their container.'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17400936746259634)
,p_theme_id=>42
,p_name=>'BODY_PADDING'
,p_display_name=>'Body Padding'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the Region Body padding for the region.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17401375863259634)
,p_theme_id=>42
,p_name=>'BODY_STYLE'
,p_display_name=>'Body Style'
,p_display_sequence=>20
,p_template_types=>'REGION'
,p_help_text=>'Controls the display of the region''s body container.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17401731939259634)
,p_theme_id=>42
,p_name=>'CALLOUT_POSITION'
,p_display_name=>'Callout Position'
,p_display_sequence=>10
,p_template_types=>'REGION'
,p_help_text=>'Determines where the callout for the popup will be positioned relative to its parent.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17402124086259635)
,p_theme_id=>42
,p_name=>'COLLAPSIBLE_BUTTON_ICONS'
,p_display_name=>'Collapsible Button Icons'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Determines which arrows to use to represent the icons for the collapse and expand button.'
,p_null_text=>'Arrows'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17402511376259635)
,p_theme_id=>42
,p_name=>'COLLAPSIBLE_ICON_POSITION'
,p_display_name=>'Collapsible Icon Position'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Determines the position of the expand and collapse toggle for the region.'
,p_null_text=>'Start'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17402953618259635)
,p_theme_id=>42
,p_name=>'DEFAULT_STATE'
,p_display_name=>'Default State'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the default state of the region.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17403351221259635)
,p_theme_id=>42
,p_name=>'DIALOG_SIZE'
,p_display_name=>'Size'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17403778179259635)
,p_theme_id=>42
,p_name=>'DISPLAY_ICON'
,p_display_name=>'Display Icon'
,p_display_sequence=>50
,p_template_types=>'REGION'
,p_help_text=>'Display the Hero Region icon.'
,p_null_text=>'Yes (Default)'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17404103058259636)
,p_theme_id=>42
,p_name=>'DISPLAY_MODE'
,p_display_name=>'Display Mode'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Determines the default display appearance and positioning of the dialog. The default opens a floating dialog position at the center of the screen.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17404489065259636)
,p_theme_id=>42
,p_name=>'HEADER'
,p_display_name=>'Header'
,p_display_sequence=>20
,p_template_types=>'REGION'
,p_help_text=>'Determines the display of the Region Header which also contains the Region Title.'
,p_null_text=>'Visible - Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17404907822259636)
,p_theme_id=>42
,p_name=>'HEADING_FONT'
,p_display_name=>'Heading Font'
,p_display_sequence=>100
,p_template_types=>'REGION'
,p_help_text=>'Sets the font-family of the heading for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17405315430259636)
,p_theme_id=>42
,p_name=>'HEADING_LEVEL'
,p_display_name=>'Heading Level'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17405785981259637)
,p_theme_id=>42
,p_name=>'HIDE_STEPS_FOR'
,p_display_name=>'Hide Steps For'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17406183051259637)
,p_theme_id=>42
,p_name=>'ICON_SHAPE'
,p_display_name=>'Icon Shape'
,p_display_sequence=>60
,p_template_types=>'REGION'
,p_help_text=>'Determines the shape of the icon.'
,p_null_text=>'Rounded Corners'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17406516599259637)
,p_theme_id=>42
,p_name=>'ICON_SIZE'
,p_display_name=>'Icon Size'
,p_display_sequence=>3
,p_template_types=>'REGION'
,p_null_text=>'Initial'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17406932809259637)
,p_theme_id=>42
,p_name=>'IMAGE_FILTER'
,p_display_name=>'Filter'
,p_display_sequence=>40
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17407337573259637)
,p_theme_id=>42
,p_name=>'IMAGE_RATIO'
,p_display_name=>'Ratio'
,p_display_sequence=>10
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17407721917259638)
,p_theme_id=>42
,p_name=>'IMAGE_SCALE'
,p_display_name=>'Scale'
,p_display_sequence=>20
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17408096697259638)
,p_theme_id=>42
,p_name=>'IMAGE_SHAPE'
,p_display_name=>'Shape'
,p_display_sequence=>30
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17408559788259638)
,p_theme_id=>42
,p_name=>'ITEM_PADDING'
,p_display_name=>'Item Spacing'
,p_display_sequence=>100
,p_template_types=>'REGION'
,p_help_text=>'Sets the padding around items within this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17408972218259638)
,p_theme_id=>42
,p_name=>'ITEM_SIZE'
,p_display_name=>'Item Size'
,p_display_sequence=>110
,p_template_types=>'REGION'
,p_help_text=>'Sets the size of the form items within this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17409335827259639)
,p_theme_id=>42
,p_name=>'ITEM_WIDTH'
,p_display_name=>'Item Width'
,p_display_sequence=>120
,p_template_types=>'REGION'
,p_help_text=>'Sets the width of the form items within this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17409716788259639)
,p_theme_id=>42
,p_name=>'LABEL_ALIGNMENT'
,p_display_name=>'Label Alignment'
,p_display_sequence=>130
,p_template_types=>'REGION'
,p_help_text=>'Set the label text alignment for items within this region.'
,p_null_text=>'Right'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17410100373259639)
,p_theme_id=>42
,p_name=>'LABEL_POSITION'
,p_display_name=>'Label Position'
,p_display_sequence=>140
,p_template_types=>'REGION'
,p_help_text=>'Sets the position of the label relative to the form item.'
,p_null_text=>'Inline - Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17410584107259639)
,p_theme_id=>42
,p_name=>'LAYOUT'
,p_display_name=>'Layout'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17410975722259639)
,p_theme_id=>42
,p_name=>'LOGIN_HEADER'
,p_display_name=>'Login Header'
,p_display_sequence=>10
,p_template_types=>'REGION'
,p_help_text=>'Controls the display of the Login region header.'
,p_null_text=>'Icon and Title (Default)'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17411322267259640)
,p_theme_id=>42
,p_name=>'REGION_BOTTOM_MARGIN'
,p_display_name=>'Bottom Margin'
,p_display_sequence=>210
,p_template_types=>'REGION'
,p_help_text=>'Set the bottom margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17411717318259640)
,p_theme_id=>42
,p_name=>'REGION_LEFT_MARGIN'
,p_display_name=>'Left Margin'
,p_display_sequence=>220
,p_template_types=>'REGION'
,p_help_text=>'Set the left margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17412166004259640)
,p_theme_id=>42
,p_name=>'REGION_POSITION'
,p_display_name=>'Position'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the position of the region.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17412488380259640)
,p_theme_id=>42
,p_name=>'REGION_RIGHT_MARGIN'
,p_display_name=>'Right Margin'
,p_display_sequence=>230
,p_template_types=>'REGION'
,p_help_text=>'Set the right margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17412956168259641)
,p_theme_id=>42
,p_name=>'REGION_TITLE'
,p_display_name=>'Region Title'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the source of the Title Bar region''s title.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17413348323259641)
,p_theme_id=>42
,p_name=>'REGION_TOP_MARGIN'
,p_display_name=>'Top Margin'
,p_display_sequence=>200
,p_template_types=>'REGION'
,p_help_text=>'Set the top margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17413734186259641)
,p_theme_id=>42
,p_name=>'RESULT_APPEARANCE'
,p_display_name=>'Result Appearance'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17414162660259642)
,p_theme_id=>42
,p_name=>'RESULT_SEPARATOR'
,p_display_name=>'Result Separator'
,p_display_sequence=>2
,p_template_types=>'REGION'
,p_null_text=>'Show'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17414575542259642)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>40
,p_template_types=>'REGION'
,p_help_text=>'Determines how the region is styled. Use the "Remove Borders" template option to remove the region''s borders and shadows.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17414927039259642)
,p_theme_id=>42
,p_name=>'TABS_SIZE'
,p_display_name=>'Tabs Size'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17415376698259642)
,p_theme_id=>42
,p_name=>'TAB_STYLE'
,p_display_name=>'Tab Style'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17415772833259642)
,p_theme_id=>42
,p_name=>'TIMER'
,p_display_name=>'Timer'
,p_display_sequence=>2
,p_template_types=>'REGION'
,p_help_text=>'Sets the timer for when to automatically navigate to the next region within the Carousel Region.'
,p_null_text=>'No Timer'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17416090381259642)
,p_theme_id=>42
,p_name=>'ALTERNATING_ROWS'
,p_display_name=>'Alternating Rows'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Shades alternate rows in the report with slightly different background colors.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17416526110259643)
,p_theme_id=>42
,p_name=>'ANIMATION'
,p_display_name=>'Animation'
,p_display_sequence=>70
,p_template_types=>'REPORT'
,p_help_text=>'Sets the hover and focus animation.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17416958013259643)
,p_theme_id=>42
,p_name=>'BADGE_SIZE'
,p_display_name=>'Badge Size'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17417344635259643)
,p_theme_id=>42
,p_name=>'BODY_TEXT'
,p_display_name=>'Body Text'
,p_display_sequence=>40
,p_template_types=>'REPORT'
,p_help_text=>'Determines the height of the card body.'
,p_null_text=>'Auto'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17417773776259643)
,p_theme_id=>42
,p_name=>'COLOR_ACCENTS'
,p_display_name=>'Color Accents'
,p_display_sequence=>50
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17418146752259644)
,p_theme_id=>42
,p_name=>'COL_ACTIONS'
,p_display_name=>'Actions'
,p_display_sequence=>150
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17418489393259644)
,p_theme_id=>42
,p_name=>'COL_CONTENT_DESCRIPTION'
,p_display_name=>'Description'
,p_display_sequence=>130
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17418945941259644)
,p_theme_id=>42
,p_name=>'COL_CONTENT_TITLE'
,p_display_name=>'Title'
,p_display_sequence=>120
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17419295855259644)
,p_theme_id=>42
,p_name=>'COL_ICON'
,p_display_name=>'Icon'
,p_display_sequence=>110
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17419714381259644)
,p_theme_id=>42
,p_name=>'COL_MISC'
,p_display_name=>'Misc'
,p_display_sequence=>140
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17420155552259645)
,p_theme_id=>42
,p_name=>'COL_SELECTION'
,p_display_name=>'Selection'
,p_display_sequence=>100
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17420558699259645)
,p_theme_id=>42
,p_name=>'COMMENTS_STYLE'
,p_display_name=>'Comments Style'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Determines the style in which comments are displayed.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17420975437259645)
,p_theme_id=>42
,p_name=>'CONTENT_ALIGNMENT'
,p_display_name=>'Content Alignment'
,p_display_sequence=>90
,p_template_types=>'REPORT'
,p_null_text=>'Center (Default)'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17421351298259645)
,p_theme_id=>42
,p_name=>'DISPLAY_ITEMS'
,p_display_name=>'Display Items'
,p_display_sequence=>20
,p_template_types=>'REPORT'
,p_null_text=>'Inline (Default)'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17421786111259645)
,p_theme_id=>42
,p_name=>'DISPLAY_LABELS'
,p_display_name=>'Display Labels'
,p_display_sequence=>30
,p_template_types=>'REPORT'
,p_null_text=>'Inline (Default)'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17422095818259646)
,p_theme_id=>42
,p_name=>'ICONS'
,p_display_name=>'Icons'
,p_display_sequence=>20
,p_template_types=>'REPORT'
,p_help_text=>'Controls how to handle icons in the report.'
,p_null_text=>'No Icons'
,p_is_advanced=>'N'
);
end;
/
begin
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17422524088259646)
,p_theme_id=>42
,p_name=>'ICON_SHAPE'
,p_display_name=>'Icon Shape'
,p_display_sequence=>60
,p_template_types=>'REPORT'
,p_help_text=>'Determines the shape of the icon.'
,p_null_text=>'Circle'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17422906088259646)
,p_theme_id=>42
,p_name=>'LABEL_WIDTH'
,p_display_name=>'Label Width'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17423293258259646)
,p_theme_id=>42
,p_name=>'LAYOUT'
,p_display_name=>'Layout'
,p_display_sequence=>30
,p_template_types=>'REPORT'
,p_help_text=>'Determines the layout of Cards in the report.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17423751307259646)
,p_theme_id=>42
,p_name=>'PAGINATION_DISPLAY'
,p_display_name=>'Pagination Display'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Controls the display of pagination for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17424106316259647)
,p_theme_id=>42
,p_name=>'REPORT_BORDER'
,p_display_name=>'Report Border'
,p_display_sequence=>30
,p_template_types=>'REPORT'
,p_help_text=>'Controls the display of the Report''s borders.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17424528922259647)
,p_theme_id=>42
,p_name=>'ROW_HIGHLIGHTING'
,p_display_name=>'Row Highlighting'
,p_display_sequence=>20
,p_template_types=>'REPORT'
,p_help_text=>'Determines whether you want the row to be highlighted on hover.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17424921150259647)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>35
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(17425321303259647)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Determines the overall style for the component.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
end;
/
prompt --application/shared_components/user_interface/template_options
begin
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17449745930259667)
,p_theme_id=>42
,p_name=>'HEADING_LEVEL_H1'
,p_display_name=>'H1'
,p_display_sequence=>10
,p_css_classes=>'js-headingLevel-1'
,p_group_id=>wwv_flow_imp.id(17405315430259636)
,p_template_types=>'REGION'
,p_help_text=>'H1'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17450439487259668)
,p_theme_id=>42
,p_name=>'HEADING_LEVEL_H2'
,p_display_name=>'H2'
,p_display_sequence=>20
,p_css_classes=>'js-headingLevel-2'
,p_group_id=>wwv_flow_imp.id(17405315430259636)
,p_template_types=>'REGION'
,p_help_text=>'H2'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17451090046259668)
,p_theme_id=>42
,p_name=>'HEADING_LEVEL_H3'
,p_display_name=>'H3'
,p_display_sequence=>30
,p_css_classes=>'js-headingLevel-3'
,p_group_id=>wwv_flow_imp.id(17405315430259636)
,p_template_types=>'REGION'
,p_help_text=>'H3'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17451847063259669)
,p_theme_id=>42
,p_name=>'H4'
,p_display_name=>'H4'
,p_display_sequence=>40
,p_css_classes=>'js-headingLevel-4'
,p_group_id=>wwv_flow_imp.id(17405315430259636)
,p_template_types=>'REGION'
,p_help_text=>'H4'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17452492917259669)
,p_theme_id=>42
,p_name=>'HEADING_LEVEL_H5'
,p_display_name=>'H5'
,p_display_sequence=>50
,p_css_classes=>'js-headingLevel-5'
,p_group_id=>wwv_flow_imp.id(17405315430259636)
,p_template_types=>'REGION'
,p_help_text=>'H5'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17453270402259670)
,p_theme_id=>42
,p_name=>'HEADING_LEVEL_H6'
,p_display_name=>'H6'
,p_display_sequence=>60
,p_css_classes=>'js-headingLevel-6'
,p_group_id=>wwv_flow_imp.id(17405315430259636)
,p_template_types=>'REGION'
,p_help_text=>'H6'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17453941479259673)
,p_theme_id=>42
,p_name=>'FBM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-bottom-lg'
,p_group_id=>wwv_flow_imp.id(17384528126259626)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large bottom margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17454686986259673)
,p_theme_id=>42
,p_name=>'RBM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-bottom-lg'
,p_group_id=>wwv_flow_imp.id(17411322267259640)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large bottom margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17455367634259673)
,p_theme_id=>42
,p_name=>'FBM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-bottom-md'
,p_group_id=>wwv_flow_imp.id(17384528126259626)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium bottom margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17456065497259674)
,p_theme_id=>42
,p_name=>'RBM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-bottom-md'
,p_group_id=>wwv_flow_imp.id(17411322267259640)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium bottom margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17456714142259674)
,p_theme_id=>42
,p_name=>'FBM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-bottom-none'
,p_group_id=>wwv_flow_imp.id(17384528126259626)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the bottom margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17457421089259675)
,p_theme_id=>42
,p_name=>'RBM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-bottom-none'
,p_group_id=>wwv_flow_imp.id(17411322267259640)
,p_template_types=>'REGION'
,p_help_text=>'Removes the bottom margin for this region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17458123721259675)
,p_theme_id=>42
,p_name=>'FBM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-bottom-sm'
,p_group_id=>wwv_flow_imp.id(17384528126259626)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small bottom margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17458854481259675)
,p_theme_id=>42
,p_name=>'RBM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-bottom-sm'
,p_group_id=>wwv_flow_imp.id(17411322267259640)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small bottom margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17459497926259676)
,p_theme_id=>42
,p_name=>'FLM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-left-lg'
,p_group_id=>wwv_flow_imp.id(17386162301259627)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large left margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17460251156259676)
,p_theme_id=>42
,p_name=>'RLM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-left-lg'
,p_group_id=>wwv_flow_imp.id(17411717318259640)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large right margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17460923541259677)
,p_theme_id=>42
,p_name=>'FLM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-left-md'
,p_group_id=>wwv_flow_imp.id(17386162301259627)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium left margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17461603864259677)
,p_theme_id=>42
,p_name=>'RLM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-left-md'
,p_group_id=>wwv_flow_imp.id(17411717318259640)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium right margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17462358729259678)
,p_theme_id=>42
,p_name=>'FLM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-left-none'
,p_group_id=>wwv_flow_imp.id(17386162301259627)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the left margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17463012573259678)
,p_theme_id=>42
,p_name=>'RLM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-left-none'
,p_group_id=>wwv_flow_imp.id(17411717318259640)
,p_template_types=>'REGION'
,p_help_text=>'Removes the left margin from the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17463753511259678)
,p_theme_id=>42
,p_name=>'FLM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-left-sm'
,p_group_id=>wwv_flow_imp.id(17386162301259627)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small left margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17464485377259679)
,p_theme_id=>42
,p_name=>'RLM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-left-sm'
,p_group_id=>wwv_flow_imp.id(17411717318259640)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small left margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17465180602259679)
,p_theme_id=>42
,p_name=>'FRM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-right-lg'
,p_group_id=>wwv_flow_imp.id(17387761551259627)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large right margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17465838162259680)
,p_theme_id=>42
,p_name=>'RRM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-right-lg'
,p_group_id=>wwv_flow_imp.id(17412488380259640)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large right margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17466584079259680)
,p_theme_id=>42
,p_name=>'FRM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-right-md'
,p_group_id=>wwv_flow_imp.id(17387761551259627)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium right margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17467195239259681)
,p_theme_id=>42
,p_name=>'RRM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-right-md'
,p_group_id=>wwv_flow_imp.id(17412488380259640)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium right margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17467952197259681)
,p_theme_id=>42
,p_name=>'FRM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-right-none'
,p_group_id=>wwv_flow_imp.id(17387761551259627)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the right margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17468663073259682)
,p_theme_id=>42
,p_name=>'RRM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-right-none'
,p_group_id=>wwv_flow_imp.id(17412488380259640)
,p_template_types=>'REGION'
,p_help_text=>'Removes the right margin from the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17469296154259682)
,p_theme_id=>42
,p_name=>'FRM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-right-sm'
,p_group_id=>wwv_flow_imp.id(17387761551259627)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small right margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17469988247259682)
,p_theme_id=>42
,p_name=>'RRM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-right-sm'
,p_group_id=>wwv_flow_imp.id(17412488380259640)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small right margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17470702444259683)
,p_theme_id=>42
,p_name=>'FTM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-top-lg'
,p_group_id=>wwv_flow_imp.id(17388502818259628)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large top margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17471478261259683)
,p_theme_id=>42
,p_name=>'RTM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-top-lg'
,p_group_id=>wwv_flow_imp.id(17413348323259641)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large top margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17472151812259684)
,p_theme_id=>42
,p_name=>'FTM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-top-md'
,p_group_id=>wwv_flow_imp.id(17388502818259628)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium top margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17472801829259684)
,p_theme_id=>42
,p_name=>'RTM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-top-md'
,p_group_id=>wwv_flow_imp.id(17413348323259641)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium top margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17473578429259684)
,p_theme_id=>42
,p_name=>'FTM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-top-none'
,p_group_id=>wwv_flow_imp.id(17388502818259628)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the top margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17474209482259685)
,p_theme_id=>42
,p_name=>'RTM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-top-none'
,p_group_id=>wwv_flow_imp.id(17413348323259641)
,p_template_types=>'REGION'
,p_help_text=>'Removes the top margin for this region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17474941631259685)
,p_theme_id=>42
,p_name=>'FTM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-top-sm'
,p_group_id=>wwv_flow_imp.id(17388502818259628)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small top margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17475593495259686)
,p_theme_id=>42
,p_name=>'RTM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-top-sm'
,p_group_id=>wwv_flow_imp.id(17413348323259641)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small top margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17476306219259686)
,p_theme_id=>42
,p_name=>'DANGER'
,p_display_name=>'Danger'
,p_display_sequence=>30
,p_css_classes=>'t-Button--danger'
,p_group_id=>wwv_flow_imp.id(17383700782259625)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17477036311259687)
,p_theme_id=>42
,p_name=>'LARGEBOTTOMMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapBottom'
,p_group_id=>wwv_flow_imp.id(17381695497259625)
,p_template_types=>'BUTTON'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17477737459259687)
,p_theme_id=>42
,p_name=>'LARGELEFTMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapLeft'
,p_group_id=>wwv_flow_imp.id(17382089031259625)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17478446403259688)
,p_theme_id=>42
,p_name=>'LARGERIGHTMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapRight'
,p_group_id=>wwv_flow_imp.id(17382535237259625)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17479160271259688)
,p_theme_id=>42
,p_name=>'LARGETOPMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapTop'
,p_group_id=>wwv_flow_imp.id(17382940849259625)
,p_template_types=>'BUTTON'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17479887803259688)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'Large'
,p_display_sequence=>30
,p_css_classes=>'t-Button--large'
,p_group_id=>wwv_flow_imp.id(17381316096259624)
,p_template_types=>'BUTTON'
,p_help_text=>'A large button.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17480555470259689)
,p_theme_id=>42
,p_name=>'DISPLAY_AS_LINK'
,p_display_name=>'Display as Link'
,p_display_sequence=>30
,p_css_classes=>'t-Button--link'
,p_group_id=>wwv_flow_imp.id(17383297441259625)
,p_template_types=>'BUTTON'
,p_help_text=>'This option makes the button appear as a text link.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17481233805259690)
,p_theme_id=>42
,p_name=>'NOUI'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>20
,p_css_classes=>'t-Button--noUI'
,p_group_id=>wwv_flow_imp.id(17383297441259625)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17481961016259690)
,p_theme_id=>42
,p_name=>'SMALLBOTTOMMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padBottom'
,p_group_id=>wwv_flow_imp.id(17381695497259625)
,p_template_types=>'BUTTON'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17482643395259691)
,p_theme_id=>42
,p_name=>'SMALLLEFTMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padLeft'
,p_group_id=>wwv_flow_imp.id(17382089031259625)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17483338238259691)
,p_theme_id=>42
,p_name=>'SMALLRIGHTMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padRight'
,p_group_id=>wwv_flow_imp.id(17382535237259625)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17484075522259691)
,p_theme_id=>42
,p_name=>'SMALLTOPMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padTop'
,p_group_id=>wwv_flow_imp.id(17382940849259625)
,p_template_types=>'BUTTON'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17484616875259692)
,p_theme_id=>42
,p_name=>'PILL'
,p_display_name=>'Inner Button'
,p_display_sequence=>20
,p_css_classes=>'t-Button--pill'
,p_group_id=>wwv_flow_imp.id(17380179017259624)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17485295411259692)
,p_theme_id=>42
,p_name=>'PILLEND'
,p_display_name=>'Last Button'
,p_display_sequence=>30
,p_css_classes=>'t-Button--pillEnd'
,p_group_id=>wwv_flow_imp.id(17380179017259624)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17486048185259693)
,p_theme_id=>42
,p_name=>'PILLSTART'
,p_display_name=>'First Button'
,p_display_sequence=>10
,p_css_classes=>'t-Button--pillStart'
,p_group_id=>wwv_flow_imp.id(17380179017259624)
,p_template_types=>'BUTTON'
,p_help_text=>'Use this for the start of a pill button.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17486731093259693)
,p_theme_id=>42
,p_name=>'PRIMARY'
,p_display_name=>'Primary'
,p_display_sequence=>10
,p_css_classes=>'t-Button--primary'
,p_group_id=>wwv_flow_imp.id(17383700782259625)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17487453971259693)
,p_theme_id=>42
,p_name=>'SIMPLE'
,p_display_name=>'Simple'
,p_display_sequence=>10
,p_css_classes=>'t-Button--simple'
,p_group_id=>wwv_flow_imp.id(17383297441259625)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17488177886259694)
,p_theme_id=>42
,p_name=>'SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'t-Button--small'
,p_group_id=>wwv_flow_imp.id(17381316096259624)
,p_template_types=>'BUTTON'
,p_help_text=>'A small button.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17488792605259694)
,p_theme_id=>42
,p_name=>'STRETCH'
,p_display_name=>'Stretch'
,p_display_sequence=>10
,p_css_classes=>'t-Button--stretch'
,p_group_id=>wwv_flow_imp.id(17384143976259626)
,p_template_types=>'BUTTON'
,p_help_text=>'Stretches button to fill container'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17489550584259695)
,p_theme_id=>42
,p_name=>'SUCCESS'
,p_display_name=>'Success'
,p_display_sequence=>40
,p_css_classes=>'t-Button--success'
,p_group_id=>wwv_flow_imp.id(17383700782259625)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17490244959259695)
,p_theme_id=>42
,p_name=>'TINY'
,p_display_name=>'Tiny'
,p_display_sequence=>10
,p_css_classes=>'t-Button--tiny'
,p_group_id=>wwv_flow_imp.id(17381316096259624)
,p_template_types=>'BUTTON'
,p_help_text=>'A very small button.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17490911070259695)
,p_theme_id=>42
,p_name=>'WARNING'
,p_display_name=>'Warning'
,p_display_sequence=>20
,p_css_classes=>'t-Button--warning'
,p_group_id=>wwv_flow_imp.id(17383700782259625)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17491360093259696)
,p_theme_id=>42
,p_name=>'DEFERRED_PAGE_RENDERING'
,p_display_name=>'Deferred Page Rendering'
,p_display_sequence=>1
,p_css_classes=>'t-DeferredRendering'
,p_template_types=>'PAGE'
,p_help_text=>'Defer page rendering until all page components have finished loading.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17492035928259696)
,p_theme_id=>42
,p_name=>'SHOWFORMLABELSABOVE'
,p_display_name=>'Show Form Labels Above'
,p_display_sequence=>10
,p_css_classes=>'t-Form--labelsAbove'
,p_group_id=>wwv_flow_imp.id(17410100373259639)
,p_template_types=>'REGION'
,p_help_text=>'Show form labels above input fields.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17492764449259697)
,p_theme_id=>42
,p_name=>'FORMSIZELARGE'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_css_classes=>'t-Form--large'
,p_group_id=>wwv_flow_imp.id(17408972218259638)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17493469688259697)
,p_theme_id=>42
,p_name=>'FORMLEFTLABELS'
,p_display_name=>'Left'
,p_display_sequence=>20
,p_css_classes=>'t-Form--leftLabels'
,p_group_id=>wwv_flow_imp.id(17409716788259639)
,p_template_types=>'REGION'
,p_help_text=>'Align form labels to left.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17494090268259697)
,p_theme_id=>42
,p_name=>'FORMREMOVEPADDING'
,p_display_name=>'None'
,p_display_sequence=>20
,p_css_classes=>'t-Form--noPadding'
,p_group_id=>wwv_flow_imp.id(17408559788259638)
,p_template_types=>'REGION'
,p_help_text=>'Removes spacing between items.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17494870518259698)
,p_theme_id=>42
,p_name=>'FORMSLIMPADDING'
,p_display_name=>'Slim'
,p_display_sequence=>10
,p_css_classes=>'t-Form--slimPadding'
,p_group_id=>wwv_flow_imp.id(17408559788259638)
,p_template_types=>'REGION'
,p_help_text=>'Reduces form item spacing.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17495536169259698)
,p_theme_id=>42
,p_name=>'FORMSTANDARDPADDING'
,p_display_name=>'Standard'
,p_display_sequence=>5
,p_css_classes=>'t-Form--standardPadding'
,p_group_id=>wwv_flow_imp.id(17408559788259638)
,p_template_types=>'REGION'
,p_help_text=>'Uses the standard spacing between items.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17496224464259699)
,p_theme_id=>42
,p_name=>'STRETCH_FORM_FIELDS'
,p_display_name=>'Stretch Form Fields'
,p_display_sequence=>10
,p_css_classes=>'t-Form--stretchInputs'
,p_group_id=>wwv_flow_imp.id(17409335827259639)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17496911788259699)
,p_theme_id=>42
,p_name=>'FORMSIZEXLARGE'
,p_display_name=>'X Large'
,p_display_sequence=>20
,p_css_classes=>'t-Form--xlarge'
,p_group_id=>wwv_flow_imp.id(17408972218259638)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17497598353259700)
,p_theme_id=>42
,p_name=>'DISPLAY_TEXT_STYLE_BOLD'
,p_display_name=>'Bold'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--boldDisplay'
,p_group_id=>wwv_flow_imp.id(17384911217259626)
,p_template_types=>'FIELD'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17498357493259700)
,p_theme_id=>42
,p_name=>'LARGE_FIELD'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--large'
,p_group_id=>wwv_flow_imp.id(17388113992259628)
,p_template_types=>'FIELD'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17499082482259701)
,p_theme_id=>42
,p_name=>'DISPLAY_TEXT_STYLE_NORMAL'
,p_display_name=>'Normal'
,p_display_sequence=>20
,p_css_classes=>'t-Form-fieldContainer--normalDisplay'
,p_group_id=>wwv_flow_imp.id(17384911217259626)
,p_template_types=>'FIELD'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17499729723259701)
,p_theme_id=>42
,p_name=>'POST_TEXT_BLOCK'
,p_display_name=>'Display as Block'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--postTextBlock'
,p_group_id=>wwv_flow_imp.id(17385344315259626)
,p_template_types=>'FIELD'
,p_help_text=>'Displays the Item Post Text in a block style immediately after the item.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17500482360259701)
,p_theme_id=>42
,p_name=>'PRE_TEXT_BLOCK'
,p_display_name=>'Display as Block'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--preTextBlock'
,p_group_id=>wwv_flow_imp.id(17385700628259627)
,p_template_types=>'FIELD'
,p_help_text=>'Displays the Item Pre Text in a block style immediately before the item.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17501094076259702)
,p_theme_id=>42
,p_name=>'DISPLAY_AS_PILL_BUTTON'
,p_display_name=>'Display as Pill Button'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--radioButtonGroup'
,p_group_id=>wwv_flow_imp.id(17386888862259627)
,p_template_types=>'FIELD'
,p_help_text=>'Displays the radio buttons to look like a button set / pill button.  Note that the the radio buttons must all be in the same row for this option to work.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17501553598259702)
,p_theme_id=>42
,p_name=>'STRETCH_FORM_ITEM'
,p_display_name=>'Stretch Form Item'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--stretchInputs'
,p_template_types=>'FIELD'
,p_help_text=>'Stretches the form item to fill its container.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17502257294259703)
,p_theme_id=>42
,p_name=>'X_LARGE_SIZE'
,p_display_name=>'X Large'
,p_display_sequence=>20
,p_css_classes=>'t-Form-fieldContainer--xlarge'
,p_group_id=>wwv_flow_imp.id(17388113992259628)
,p_template_types=>'FIELD'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17502937720259703)
,p_theme_id=>42
,p_name=>'REMOVE_PADDING'
,p_display_name=>'Remove Padding'
,p_display_sequence=>1
,p_css_classes=>'t-PageBody--noContentPadding'
,p_group_id=>wwv_flow_imp.id(17394904561259631)
,p_template_types=>'PAGE'
,p_help_text=>'Removes padding from the content region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(17503659098259704)
,p_theme_id=>42
,p_name=>'HIDE_WHEN_ALL_ROWS_DISPLAYED'
,p_display_name=>'Hide when all rows displayed'
,p_display_sequence=>10
,p_css_classes=>'t-Report--hideNoPagination'
,p_group_id=>wwv_flow_imp.id(17423751307259646)
,p_template_types=>'REPORT'
,p_help_text=>'This option will hide the pagination when all rows are displayed.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26479548164726622)
,p_theme_id=>42
,p_name=>'ACCENT_6'
,p_display_name=>'Accent 6'
,p_display_sequence=>60
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--accent6'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26480227930726622)
,p_theme_id=>42
,p_name=>'ACCENT_7'
,p_display_name=>'Accent 7'
,p_display_sequence=>70
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--accent7'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26481000645726622)
,p_theme_id=>42
,p_name=>'ACCENT_8'
,p_display_name=>'Accent 8'
,p_display_sequence=>80
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--accent8'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26481616220726623)
,p_theme_id=>42
,p_name=>'ACCENT_9'
,p_display_name=>'Accent 9'
,p_display_sequence=>90
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--accent9'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26482390652726623)
,p_theme_id=>42
,p_name=>'ACCENT_10'
,p_display_name=>'Accent 10'
,p_display_sequence=>100
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--accent10'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26483091813726623)
,p_theme_id=>42
,p_name=>'ACCENT_11'
,p_display_name=>'Accent 11'
,p_display_sequence=>110
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--accent11'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26483791489726624)
,p_theme_id=>42
,p_name=>'ACCENT_12'
,p_display_name=>'Accent 12'
,p_display_sequence=>120
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--accent12'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26484460908726624)
,p_theme_id=>42
,p_name=>'ACCENT_13'
,p_display_name=>'Accent 13'
,p_display_sequence=>130
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--accent13'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26485188036726624)
,p_theme_id=>42
,p_name=>'ACCENT_14'
,p_display_name=>'Accent 14'
,p_display_sequence=>140
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--accent14'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26485867102726625)
,p_theme_id=>42
,p_name=>'ACCENT_15'
,p_display_name=>'Accent 15'
,p_display_sequence=>150
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--accent15'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26504226790726636)
,p_theme_id=>42
,p_name=>'HEADING_FONT_ALTERNATIVE'
,p_display_name=>'Alternative'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(26673949162953943)
,p_css_classes=>'t-ContentBlock--headingFontAlt'
,p_group_id=>wwv_flow_imp.id(17404907822259636)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26510377605726639)
,p_theme_id=>42
,p_name=>'HEADING_FONT_ALTERNATIVE'
,p_display_name=>'Alternative'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(26675974030953945)
,p_css_classes=>'t-HeroRegion--headingFontAlt'
,p_group_id=>wwv_flow_imp.id(17404907822259636)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26578515153726688)
,p_theme_id=>42
,p_name=>'HEADING_FONT_ALTERNATIVE'
,p_display_name=>'Alternative'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(26692736997953960)
,p_css_classes=>'t-BreadcrumbRegion--headingFontAlt'
,p_group_id=>wwv_flow_imp.id(17404907822259636)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26636567072953882)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_imp.id(26633894152953835)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26639618063953887)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_imp.id(26636702259953885)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
end;
/
begin
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26643546717953891)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_imp.id(26640535484953888)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26646037594953892)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_imp.id(26643645278953891)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26647336490953893)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_imp.id(26646158128953892)
,p_css_classes=>'t-Dialog--noPadding'
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26647556014953893)
,p_theme_id=>42
,p_name=>'STRETCH_TO_FIT_WINDOW'
,p_display_name=>'Stretch to Fit Window'
,p_display_sequence=>1
,p_page_template_id=>wwv_flow_imp.id(26646158128953892)
,p_css_classes=>'ui-dialog--stretch'
,p_template_types=>'PAGE'
,p_help_text=>'Stretch the dialog to fit the browser window.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26650403471953895)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_imp.id(26647643590953893)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26652882513953896)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_imp.id(26650505737953895)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26654117592953903)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_imp.id(26652920992953896)
,p_css_classes=>'t-Dialog--noPadding'
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26654357519953903)
,p_theme_id=>42
,p_name=>'STRETCH_TO_FIT_WINDOW'
,p_display_name=>'Stretch to Fit Window'
,p_display_sequence=>10
,p_page_template_id=>wwv_flow_imp.id(26652920992953896)
,p_css_classes=>'ui-dialog--stretch'
,p_template_types=>'PAGE'
,p_help_text=>'Stretch the dialog to fit the browser window.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26655285435953920)
,p_theme_id=>42
,p_name=>'WARNING'
,p_display_name=>'Warning'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26654418278953904)
,p_css_classes=>'t-Alert--warning'
,p_group_id=>wwv_flow_imp.id(17398903551259633)
,p_template_types=>'REGION'
,p_help_text=>'Show a warning alert.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26655473565953920)
,p_theme_id=>42
,p_name=>'SUCCESS'
,p_display_name=>'Success'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(26654418278953904)
,p_css_classes=>'t-Alert--success'
,p_group_id=>wwv_flow_imp.id(17398903551259633)
,p_template_types=>'REGION'
,p_help_text=>'Show success alert.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26655669373953920)
,p_theme_id=>42
,p_name=>'DANGER'
,p_display_name=>'Danger'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26654418278953904)
,p_css_classes=>'t-Alert--danger'
,p_group_id=>wwv_flow_imp.id(17398903551259633)
,p_template_types=>'REGION'
,p_help_text=>'Show an error or danger alert.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26655889417953921)
,p_theme_id=>42
,p_name=>'COLOREDBACKGROUND'
,p_display_name=>'Highlight Background'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(26654418278953904)
,p_css_classes=>'t-Alert--colorBG'
,p_template_types=>'REGION'
,p_help_text=>'Set alert background color to that of the alert type (warning, success, etc.)'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26656077222953921)
,p_theme_id=>42
,p_name=>'INFORMATION'
,p_display_name=>'Information'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26654418278953904)
,p_css_classes=>'t-Alert--info'
,p_group_id=>wwv_flow_imp.id(17398903551259633)
,p_template_types=>'REGION'
,p_help_text=>'Show informational alert.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26656496537953921)
,p_theme_id=>42
,p_name=>'USEDEFAULTICONS'
,p_display_name=>'Show Default Icons'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26654418278953904)
,p_css_classes=>'t-Alert--defaultIcons'
,p_group_id=>wwv_flow_imp.id(17398143569259633)
,p_template_types=>'REGION'
,p_help_text=>'Uses default icons for alert types.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26656820283953921)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26654418278953904)
,p_css_classes=>'t-Alert--removeHeading js-removeLandmark'
,p_group_id=>wwv_flow_imp.id(17398575123259633)
,p_template_types=>'REGION'
,p_help_text=>'Hides the Alert Title from being displayed.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26657070905953922)
,p_theme_id=>42
,p_name=>'HIDDENHEADER'
,p_display_name=>'Hidden but Accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26654418278953904)
,p_css_classes=>'t-Alert--accessibleHeading'
,p_group_id=>wwv_flow_imp.id(17398575123259633)
,p_template_types=>'REGION'
,p_help_text=>'Visually hides the alert title, but assistive technologies can still read it.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26657439164953922)
,p_theme_id=>42
,p_name=>'WIZARD'
,p_display_name=>'Wizard'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26654418278953904)
,p_css_classes=>'t-Alert--wizard'
,p_group_id=>wwv_flow_imp.id(17397786139259632)
,p_template_types=>'REGION'
,p_help_text=>'Show the alert in a wizard style region.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26657676215953922)
,p_theme_id=>42
,p_name=>'HORIZONTAL'
,p_display_name=>'Horizontal'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26654418278953904)
,p_css_classes=>'t-Alert--horizontal'
,p_group_id=>wwv_flow_imp.id(17397786139259632)
,p_template_types=>'REGION'
,p_help_text=>'Show horizontal alert with buttons to the right.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26657845371953922)
,p_theme_id=>42
,p_name=>'HIDE_ICONS'
,p_display_name=>'Hide Icons'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26654418278953904)
,p_css_classes=>'t-Alert--noIcon'
,p_group_id=>wwv_flow_imp.id(17398143569259633)
,p_template_types=>'REGION'
,p_help_text=>'Hides alert icons'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26658023588953922)
,p_theme_id=>42
,p_name=>'SHOW_CUSTOM_ICONS'
,p_display_name=>'Show Custom Icons'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26654418278953904)
,p_css_classes=>'t-Alert--customIcons'
,p_group_id=>wwv_flow_imp.id(17398143569259633)
,p_template_types=>'REGION'
,p_help_text=>'Set custom icons by modifying the Alert Region''s Icon CSS Classes property.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26660297769953924)
,p_theme_id=>42
,p_name=>'REMOVEUIDECORATION'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>4
,p_region_template_id=>wwv_flow_imp.id(26659138683953923)
,p_css_classes=>'t-ButtonRegion--noUI'
,p_group_id=>wwv_flow_imp.id(17414575542259642)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26660421365953924)
,p_theme_id=>42
,p_name=>'BORDERLESS'
,p_display_name=>'Borderless'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(26659138683953923)
,p_css_classes=>'t-ButtonRegion--noBorder'
,p_group_id=>wwv_flow_imp.id(17414575542259642)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26660843750953924)
,p_theme_id=>42
,p_name=>'SLIMPADDING'
,p_display_name=>'Slim Padding'
,p_display_sequence=>5
,p_region_template_id=>wwv_flow_imp.id(26659138683953923)
,p_css_classes=>'t-ButtonRegion--slimPadding'
,p_group_id=>wwv_flow_imp.id(17400936746259634)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26661068851953925)
,p_theme_id=>42
,p_name=>'NOPADDING'
,p_display_name=>'No Padding'
,p_display_sequence=>3
,p_region_template_id=>wwv_flow_imp.id(26659138683953923)
,p_css_classes=>'t-ButtonRegion--noPadding'
,p_group_id=>wwv_flow_imp.id(17400936746259634)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26661244232953925)
,p_theme_id=>42
,p_name=>'STICK_TO_BOTTOM'
,p_display_name=>'Stick to Bottom for Mobile'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26659138683953923)
,p_css_classes=>'t-ButtonRegion--stickToBottom'
,p_template_types=>'REGION'
,p_help_text=>'This will position the button container region to the bottom of the screen for small screens.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26662213010953926)
,p_theme_id=>42
,p_name=>'SHOW_REGION_ICON'
,p_display_name=>'Show Region Icon'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'t-Region--showIcon'
,p_template_types=>'REGION'
,p_help_text=>'Displays the region icon in the region header beside the region title'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26662493274953926)
,p_theme_id=>42
,p_name=>'NOBORDER'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'t-Region--noBorder'
,p_group_id=>wwv_flow_imp.id(17414575542259642)
,p_template_types=>'REGION'
,p_help_text=>'Removes borders from the region.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26662642508953926)
,p_theme_id=>42
,p_name=>'REMEMBER_CAROUSEL_SLIDE'
,p_display_name=>'Remember Carousel Slide'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'js-useLocalStorage'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26663098152953926)
,p_theme_id=>42
,p_name=>'SCROLLBODY'
,p_display_name=>'Scroll'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'t-Region--scrollBody'
,p_group_id=>wwv_flow_imp.id(17400548485259634)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26663496967953927)
,p_theme_id=>42
,p_name=>'SLIDE'
,p_display_name=>'Slide'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'t-Region--carouselSlide'
,p_group_id=>wwv_flow_imp.id(17399771991259633)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26663628245953927)
,p_theme_id=>42
,p_name=>'SPIN'
,p_display_name=>'Spin'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'t-Region--carouselSpin'
,p_group_id=>wwv_flow_imp.id(17399771991259633)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26663824698953927)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stack Region'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'t-Region--stacked'
,p_group_id=>wwv_flow_imp.id(17414575542259642)
,p_template_types=>'REGION'
,p_help_text=>'Removes side borders and shadows, and can be useful for accordions and regions that need to be grouped together vertically.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26664083135953927)
,p_theme_id=>42
,p_name=>'SHOW_NEXT_AND_PREVIOUS_BUTTONS'
,p_display_name=>'Show Next and Previous Buttons'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'t-Region--showCarouselControls'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26664283348953927)
,p_theme_id=>42
,p_name=>'SHOW_MAXIMIZE_BUTTON'
,p_display_name=>'Show Maximize Button'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'js-showMaximizeButton'
,p_template_types=>'REGION'
,p_help_text=>'Displays a button in the Region Header to maximize the region. Clicking this button will toggle the maximize state and stretch the region to fill the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26664613766953928)
,p_theme_id=>42
,p_name=>'10_SECONDS'
,p_display_name=>'10 Seconds'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'js-cycle10s'
,p_group_id=>wwv_flow_imp.id(17415772833259642)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26664910829953928)
,p_theme_id=>42
,p_name=>'15_SECONDS'
,p_display_name=>'15 Seconds'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'js-cycle15s'
,p_group_id=>wwv_flow_imp.id(17415772833259642)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26665039891953928)
,p_theme_id=>42
,p_name=>'20_SECONDS'
,p_display_name=>'20 Seconds'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'js-cycle20s'
,p_group_id=>wwv_flow_imp.id(17415772833259642)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26665490682953928)
,p_theme_id=>42
,p_name=>'240PX'
,p_display_name=>'240px'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'i-h240'
,p_group_id=>wwv_flow_imp.id(17400113950259634)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 240px.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26665696098953929)
,p_theme_id=>42
,p_name=>'320PX'
,p_display_name=>'320px'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'i-h320'
,p_group_id=>wwv_flow_imp.id(17400113950259634)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 320px.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26665853157953929)
,p_theme_id=>42
,p_name=>'480PX'
,p_display_name=>'480px'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'i-h480'
,p_group_id=>wwv_flow_imp.id(17400113950259634)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26666069142953929)
,p_theme_id=>42
,p_name=>'5_SECONDS'
,p_display_name=>'5 Seconds'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'js-cycle5s'
,p_group_id=>wwv_flow_imp.id(17415772833259642)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26666286244953929)
,p_theme_id=>42
,p_name=>'640PX'
,p_display_name=>'640px'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'i-h640'
,p_group_id=>wwv_flow_imp.id(17400113950259634)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26666628952953929)
,p_theme_id=>42
,p_name=>'ACCENT_1'
,p_display_name=>'Accent 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'t-Region--accent1'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26666826762953930)
,p_theme_id=>42
,p_name=>'ACCENT_2'
,p_display_name=>'Accent 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'t-Region--accent2'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26667020634953931)
,p_theme_id=>42
,p_name=>'ACCENT_3'
,p_display_name=>'Accent 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'t-Region--accent3'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26667249464953931)
,p_theme_id=>42
,p_name=>'ACCENT_4'
,p_display_name=>'Accent 4'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'t-Region--accent4'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26667459441953931)
,p_theme_id=>42
,p_name=>'ACCENT_5'
,p_display_name=>'Accent 5'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'t-Region--accent5'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26667827267953931)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'t-Region--removeHeader'
,p_group_id=>wwv_flow_imp.id(17404489065259636)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26668031226953931)
,p_theme_id=>42
,p_name=>'HIDEOVERFLOW'
,p_display_name=>'Hide'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'t-Region--hiddenOverflow'
,p_group_id=>wwv_flow_imp.id(17400548485259634)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26668219703953932)
,p_theme_id=>42
,p_name=>'HIDEREGIONHEADER'
,p_display_name=>'Hidden but accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'t-Region--hideHeader'
,p_group_id=>wwv_flow_imp.id(17404489065259636)
,p_template_types=>'REGION'
,p_help_text=>'This option will hide the region header.  Note that the region title will still be audible for Screen Readers. Buttons placed in the region header will be hidden and inaccessible.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26668431110953932)
,p_theme_id=>42
,p_name=>'NOBODYPADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26661374046953925)
,p_css_classes=>'t-Region--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes padding from region body.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26669451506953933)
,p_theme_id=>42
,p_name=>'240PX'
,p_display_name=>'240px'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'i-h240'
,p_group_id=>wwv_flow_imp.id(17400113950259634)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 240px.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26669666797953933)
,p_theme_id=>42
,p_name=>'320PX'
,p_display_name=>'320px'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'i-h320'
,p_group_id=>wwv_flow_imp.id(17400113950259634)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 320px.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26669819838953933)
,p_theme_id=>42
,p_name=>'ACCENT_1'
,p_display_name=>'Accent 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--accent1'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26670012188953933)
,p_theme_id=>42
,p_name=>'ACCENT_2'
,p_display_name=>'Accent 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--accent2'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26670262048953934)
,p_theme_id=>42
,p_name=>'ACCENT_3'
,p_display_name=>'Accent 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--accent3'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26670495644953934)
,p_theme_id=>42
,p_name=>'ACCENT_4'
,p_display_name=>'Accent 4'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--accent4'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26670851023953935)
,p_theme_id=>42
,p_name=>'ICONS_PLUS_OR_MINUS'
,p_display_name=>'Plus or Minus'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--hideShowIconsMath'
,p_group_id=>wwv_flow_imp.id(17402124086259635)
,p_template_types=>'REGION'
,p_help_text=>'Use the plus and minus icons for the expand and collapse button.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26671275565953935)
,p_theme_id=>42
,p_name=>'CONRTOLS_POSITION_END'
,p_display_name=>'End'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--controlsPosEnd'
,p_group_id=>wwv_flow_imp.id(17402511376259635)
,p_template_types=>'REGION'
,p_help_text=>'Position the expand / collapse button to the end of the region header.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26671453237953939)
,p_theme_id=>42
,p_name=>'480PX'
,p_display_name=>'480px'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'i-h480'
,p_group_id=>wwv_flow_imp.id(17400113950259634)
,p_template_types=>'REGION'
,p_help_text=>'Sets body height to 480px.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26671620614953939)
,p_theme_id=>42
,p_name=>'640PX'
,p_display_name=>'640px'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'i-h640'
,p_group_id=>wwv_flow_imp.id(17400113950259634)
,p_template_types=>'REGION'
,p_help_text=>'Sets body height to 640px.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26671898081953939)
,p_theme_id=>42
,p_name=>'REMOVE_UI_DECORATION'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--noUI'
,p_group_id=>wwv_flow_imp.id(17414575542259642)
,p_template_types=>'REGION'
,p_help_text=>'Removes UI decoration (borders, backgrounds, shadows, etc) from the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26672100005953939)
,p_theme_id=>42
,p_name=>'ACCENT_5'
,p_display_name=>'Accent 5'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--accent5'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26672228796953939)
,p_theme_id=>42
,p_name=>'HIDEOVERFLOW'
,p_display_name=>'Hide'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--hiddenOverflow'
,p_group_id=>wwv_flow_imp.id(17400548485259634)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26672434366953940)
,p_theme_id=>42
,p_name=>'NOBODYPADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes padding from region body.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26672667454953940)
,p_theme_id=>42
,p_name=>'NOBORDER'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--noBorder'
,p_group_id=>wwv_flow_imp.id(17414575542259642)
,p_template_types=>'REGION'
,p_help_text=>'Removes borders from the region.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26672814738953940)
,p_theme_id=>42
,p_name=>'SCROLLBODY'
,p_display_name=>'Scroll - Default'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--scrollBody'
,p_group_id=>wwv_flow_imp.id(17400548485259634)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26673069898953940)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stack Region'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'t-Region--stacked'
,p_group_id=>wwv_flow_imp.id(17414575542259642)
,p_template_types=>'REGION'
,p_help_text=>'Removes side borders and shadows, and can be useful for accordions and regions that need to be grouped together vertically.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26673438658953943)
,p_theme_id=>42
,p_name=>'EXPANDED'
,p_display_name=>'Expanded'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'is-expanded'
,p_group_id=>wwv_flow_imp.id(17402953618259635)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26673628162953943)
,p_theme_id=>42
,p_name=>'COLLAPSED'
,p_display_name=>'Collapsed'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'is-collapsed'
,p_group_id=>wwv_flow_imp.id(17402953618259635)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26673859899953943)
,p_theme_id=>42
,p_name=>'REMEMBER_COLLAPSIBLE_STATE'
,p_display_name=>'Remember Collapsible State'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26668531606953932)
,p_css_classes=>'js-useLocalStorage'
,p_template_types=>'REGION'
,p_help_text=>'This option saves the current state of the collapsible region for the duration of the session.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26674482008953944)
,p_theme_id=>42
,p_name=>'CONTENT_TITLE_H1'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26673949162953943)
,p_css_classes=>'t-ContentBlock--h1'
,p_group_id=>wwv_flow_imp.id(17412956168259641)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26674681418953944)
,p_theme_id=>42
,p_name=>'CONTENT_TITLE_H2'
,p_display_name=>'Medium'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26673949162953943)
,p_css_classes=>'t-ContentBlock--h2'
,p_group_id=>wwv_flow_imp.id(17412956168259641)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26674892380953944)
,p_theme_id=>42
,p_name=>'CONTENT_TITLE_H3'
,p_display_name=>'Small'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26673949162953943)
,p_css_classes=>'t-ContentBlock--h3'
,p_group_id=>wwv_flow_imp.id(17412956168259641)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26675017931953944)
,p_theme_id=>42
,p_name=>'SHOW_REGION_ICON'
,p_display_name=>'Show Region Icon'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26673949162953943)
,p_css_classes=>'t-ContentBlock--showIcon'
,p_template_types=>'REGION'
,p_help_text=>'Displays the region icon in the region header beside the region title'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26675303568953944)
,p_theme_id=>42
,p_name=>'ADD_BODY_PADDING'
,p_display_name=>'Add Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26673949162953943)
,p_css_classes=>'t-ContentBlock--padded'
,p_template_types=>'REGION'
,p_help_text=>'Adds padding to the region''s body container.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26675655975953945)
,p_theme_id=>42
,p_name=>'SHADOW_BACKGROUND'
,p_display_name=>'Shadow Background'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26673949162953943)
,p_css_classes=>'t-ContentBlock--shadowBG'
,p_group_id=>wwv_flow_imp.id(17401375863259634)
,p_template_types=>'REGION'
,p_help_text=>'Gives the region body a slightly darker background.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26675908683953945)
,p_theme_id=>42
,p_name=>'LIGHT_BACKGROUND'
,p_display_name=>'Light Background'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26673949162953943)
,p_css_classes=>'t-ContentBlock--lightBG'
,p_group_id=>wwv_flow_imp.id(17401375863259634)
,p_template_types=>'REGION'
,p_help_text=>'Gives the region body a slightly lighter background.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26676575029953945)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26675974030953945)
,p_css_classes=>'t-HeroRegion--featured'
,p_group_id=>wwv_flow_imp.id(17414575542259642)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26676729556953945)
,p_theme_id=>42
,p_name=>'STACKED_FEATURED'
,p_display_name=>'Stacked Featured'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26675974030953945)
,p_css_classes=>'t-HeroRegion--featured t-HeroRegion--centered'
,p_group_id=>wwv_flow_imp.id(17414575542259642)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26677186111953947)
,p_theme_id=>42
,p_name=>'DISPLAY_ICON_NO'
,p_display_name=>'No'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26675974030953945)
,p_css_classes=>'t-HeroRegion--hideIcon'
,p_group_id=>wwv_flow_imp.id(17403778179259635)
,p_template_types=>'REGION'
,p_help_text=>'Hide the Hero Region icon.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26677394711953947)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26675974030953945)
,p_css_classes=>'t-HeroRegion--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes the padding around the hero region.'
);
end;
/
begin
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26677756268953948)
,p_theme_id=>42
,p_name=>'ICONS_CIRCULAR'
,p_display_name=>'Circle'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26675974030953945)
,p_css_classes=>'t-HeroRegion--iconsCircle'
,p_group_id=>wwv_flow_imp.id(17406183051259637)
,p_template_types=>'REGION'
,p_help_text=>'The icons are displayed within a circle.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26677942335953948)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26675974030953945)
,p_css_classes=>'t-HeroRegion--iconsSquare'
,p_group_id=>wwv_flow_imp.id(17406183051259637)
,p_template_types=>'REGION'
,p_help_text=>'The icons are displayed within a square.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26678610952953948)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>5
,p_region_template_id=>wwv_flow_imp.id(26678094828953948)
,p_css_classes=>'t-DialogRegion--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes the padding around the region body.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26678861489953949)
,p_theme_id=>42
,p_name=>'AUTO_HEIGHT_INLINE_DIALOG'
,p_display_name=>'Auto Height'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(26678094828953948)
,p_css_classes=>'js-dialog-autoheight'
,p_template_types=>'REGION'
,p_help_text=>'This option will set the height of the dialog to fit its contents.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26679100392953949)
,p_theme_id=>42
,p_name=>'DRAGGABLE'
,p_display_name=>'Draggable'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26678094828953948)
,p_css_classes=>'js-draggable'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26679227625953949)
,p_theme_id=>42
,p_name=>'MODAL'
,p_display_name=>'Modal'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26678094828953948)
,p_css_classes=>'js-modal'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26679434087953949)
,p_theme_id=>42
,p_name=>'RESIZABLE'
,p_display_name=>'Resizable'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26678094828953948)
,p_css_classes=>'js-resizable'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26679892985953949)
,p_theme_id=>42
,p_name=>'SMALL_480X320'
,p_display_name=>'Small (480x320)'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26678094828953948)
,p_css_classes=>'js-dialog-size480x320'
,p_group_id=>wwv_flow_imp.id(17403351221259635)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26680051470953949)
,p_theme_id=>42
,p_name=>'LARGE_720X480'
,p_display_name=>'Large (720x480)'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26678094828953948)
,p_css_classes=>'js-dialog-size720x480'
,p_group_id=>wwv_flow_imp.id(17403351221259635)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26680282539953950)
,p_theme_id=>42
,p_name=>'MEDIUM_600X400'
,p_display_name=>'Medium (600x400)'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26678094828953948)
,p_css_classes=>'js-dialog-size600x400'
,p_group_id=>wwv_flow_imp.id(17403351221259635)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26681004748953950)
,p_theme_id=>42
,p_name=>'AUTO_HEIGHT_INLINE_DIALOG'
,p_display_name=>'Auto Height'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(26680328856953950)
,p_css_classes=>'js-dialog-autoheight'
,p_template_types=>'REGION'
,p_help_text=>'This option will set the height of the dialog to fit its contents.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26681206517953950)
,p_theme_id=>42
,p_name=>'LARGE_720X480'
,p_display_name=>'Large (720x480)'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26680328856953950)
,p_css_classes=>'js-dialog-size720x480'
,p_group_id=>wwv_flow_imp.id(17403351221259635)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26681378688953950)
,p_theme_id=>42
,p_name=>'MEDIUM_600X400'
,p_display_name=>'Medium (600x400)'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26680328856953950)
,p_css_classes=>'js-dialog-size600x400'
,p_group_id=>wwv_flow_imp.id(17403351221259635)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26681516261953951)
,p_theme_id=>42
,p_name=>'SMALL_480X320'
,p_display_name=>'Small (480x320)'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26680328856953950)
,p_css_classes=>'js-dialog-size480x320'
,p_group_id=>wwv_flow_imp.id(17403351221259635)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26681782102953951)
,p_theme_id=>42
,p_name=>'NONE'
,p_display_name=>'None'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(26680328856953950)
,p_css_classes=>'js-dialog-nosize'
,p_group_id=>wwv_flow_imp.id(17403351221259635)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26681980419953951)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26680328856953950)
,p_css_classes=>'t-DialogRegion--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes the padding around the region body.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26682200217953951)
,p_theme_id=>42
,p_name=>'REMOVE_PAGE_OVERLAY'
,p_display_name=>'Remove Page Overlay'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26680328856953950)
,p_css_classes=>'js-popup-noOverlay'
,p_template_types=>'REGION'
,p_help_text=>'This option will display the inline dialog without an overlay on the background.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26682569954953951)
,p_theme_id=>42
,p_name=>'REMOVEBORDERS'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26682226918953951)
,p_css_classes=>'t-IRR-region--noBorders'
,p_template_types=>'REGION'
,p_help_text=>'Removes borders around the Interactive Report'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26682723485953952)
,p_theme_id=>42
,p_name=>'SHOW_MAXIMIZE_BUTTON'
,p_display_name=>'Show Maximize Button'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26682226918953951)
,p_css_classes=>'js-showMaximizeButton'
,p_template_types=>'REGION'
,p_help_text=>'Displays a button in the Interactive Reports toolbar to maximize the report. Clicking this button will toggle the maximize state and stretch the report to fill the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26684298828953953)
,p_theme_id=>42
,p_name=>'SCROLLBODY'
,p_display_name=>'Scroll - Default'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--scrollBody'
,p_group_id=>wwv_flow_imp.id(17400548485259634)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26684440637953953)
,p_theme_id=>42
,p_name=>'HIDEREGIONHEADER'
,p_display_name=>'Hidden but accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--hideHeader'
,p_group_id=>wwv_flow_imp.id(17404489065259636)
,p_template_types=>'REGION'
,p_help_text=>'This option will hide the region header.  Note that the region title will still be audible for Screen Readers. Buttons placed in the region header will be hidden and inaccessible.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26684646623953953)
,p_theme_id=>42
,p_name=>'HIDEOVERFLOW'
,p_display_name=>'Hide'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--hiddenOverflow'
,p_group_id=>wwv_flow_imp.id(17400548485259634)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26684867113953953)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--removeHeader js-removeLandmark'
,p_group_id=>wwv_flow_imp.id(17404489065259636)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26685093763953953)
,p_theme_id=>42
,p_name=>'ACCENT_1'
,p_display_name=>'Accent 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--accent1'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26685295597953953)
,p_theme_id=>42
,p_name=>'ACCENT_2'
,p_display_name=>'Accent 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--accent2'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26685470662953954)
,p_theme_id=>42
,p_name=>'ACCENT_3'
,p_display_name=>'Accent 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--accent3'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26685703183953954)
,p_theme_id=>42
,p_name=>'ACCENT_4'
,p_display_name=>'Accent 4'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--accent4'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26685842008953954)
,p_theme_id=>42
,p_name=>'ACCENT_5'
,p_display_name=>'Accent 5'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--accent5'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26686091189953954)
,p_theme_id=>42
,p_name=>'SHOW_REGION_ICON'
,p_display_name=>'Show Region Icon'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--showIcon'
,p_template_types=>'REGION'
,p_help_text=>'Displays the region icon in the region header beside the region title'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26686232751953954)
,p_theme_id=>42
,p_name=>'TEXT_CONTENT'
,p_display_name=>'Text Content'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--textContent'
,p_group_id=>wwv_flow_imp.id(17414575542259642)
,p_template_types=>'REGION'
,p_help_text=>'Useful for displaying primarily text-based content, such as FAQs and more.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26686456918953954)
,p_theme_id=>42
,p_name=>'NOBORDER'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--noBorder'
,p_group_id=>wwv_flow_imp.id(17414575542259642)
,p_template_types=>'REGION'
,p_help_text=>'Removes borders from the region.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26686662040953955)
,p_theme_id=>42
,p_name=>'NOBODYPADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes padding from region body.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26686895085953955)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stack Region'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--stacked'
,p_group_id=>wwv_flow_imp.id(17414575542259642)
,p_template_types=>'REGION'
,p_help_text=>'Removes side borders and shadows, and can be useful for accordions and regions that need to be grouped together vertically.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26687028911953955)
,p_theme_id=>42
,p_name=>'240PX'
,p_display_name=>'240px'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'i-h240'
,p_group_id=>wwv_flow_imp.id(17400113950259634)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 240px.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26687284073953955)
,p_theme_id=>42
,p_name=>'320PX'
,p_display_name=>'320px'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'i-h320'
,p_group_id=>wwv_flow_imp.id(17400113950259634)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 320px.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26687497949953955)
,p_theme_id=>42
,p_name=>'ACCENT_6'
,p_display_name=>'Accent 6'
,p_display_sequence=>60
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--accent6'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26687618701953955)
,p_theme_id=>42
,p_name=>'ACCENT_7'
,p_display_name=>'Accent 7'
,p_display_sequence=>70
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--accent7'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26687903255953956)
,p_theme_id=>42
,p_name=>'ACCENT_8'
,p_display_name=>'Accent 8'
,p_display_sequence=>80
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--accent8'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26688047349953956)
,p_theme_id=>42
,p_name=>'ACCENT_9'
,p_display_name=>'Accent 9'
,p_display_sequence=>90
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--accent9'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26688235529953956)
,p_theme_id=>42
,p_name=>'ACCENT_10'
,p_display_name=>'Accent 10'
,p_display_sequence=>100
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--accent10'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26688417127953956)
,p_theme_id=>42
,p_name=>'ACCENT_11'
,p_display_name=>'Accent 11'
,p_display_sequence=>110
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--accent11'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26688628467953956)
,p_theme_id=>42
,p_name=>'ACCENT_12'
,p_display_name=>'Accent 12'
,p_display_sequence=>120
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--accent12'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26688901837953957)
,p_theme_id=>42
,p_name=>'ACCENT_13'
,p_display_name=>'Accent 13'
,p_display_sequence=>130
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--accent13'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26689049347953957)
,p_theme_id=>42
,p_name=>'ACCENT_14'
,p_display_name=>'Accent 14'
,p_display_sequence=>140
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--accent14'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26689284546953957)
,p_theme_id=>42
,p_name=>'ACCENT_15'
,p_display_name=>'Accent 15'
,p_display_sequence=>150
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--accent15'
,p_group_id=>wwv_flow_imp.id(17397325142259632)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26689468067953957)
,p_theme_id=>42
,p_name=>'SHOW_MAXIMIZE_BUTTON'
,p_display_name=>'Show Maximize Button'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'js-showMaximizeButton'
,p_template_types=>'REGION'
,p_help_text=>'Displays a button in the Region Header to maximize the region. Clicking this button will toggle the maximize state and stretch the region to fill the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26689653621953957)
,p_theme_id=>42
,p_name=>'REMOVE_UI_DECORATION'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'t-Region--noUI'
,p_group_id=>wwv_flow_imp.id(17414575542259642)
,p_template_types=>'REGION'
,p_help_text=>'Removes UI decoration (borders, backgrounds, shadows, etc) from the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26689811232953957)
,p_theme_id=>42
,p_name=>'480PX'
,p_display_name=>'480px'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'i-h480'
,p_group_id=>wwv_flow_imp.id(17400113950259634)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26690011117953957)
,p_theme_id=>42
,p_name=>'640PX'
,p_display_name=>'640px'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(26683353252953952)
,p_css_classes=>'i-h640'
,p_group_id=>wwv_flow_imp.id(17400113950259634)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26691095162953959)
,p_theme_id=>42
,p_name=>'REMEMBER_ACTIVE_TAB'
,p_display_name=>'Remember Active Tab'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26690111800953958)
,p_css_classes=>'js-useLocalStorage'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26691468267953959)
,p_theme_id=>42
,p_name=>'FILL_TAB_LABELS'
,p_display_name=>'Fill Tab Labels'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26690111800953958)
,p_css_classes=>'t-TabsRegion-mod--fillLabels'
,p_group_id=>wwv_flow_imp.id(17410584107259639)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26691888249953960)
,p_theme_id=>42
,p_name=>'SIMPLE'
,p_display_name=>'Simple'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26690111800953958)
,p_css_classes=>'t-TabsRegion-mod--simple'
,p_group_id=>wwv_flow_imp.id(17415376698259642)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26692015793953960)
,p_theme_id=>42
,p_name=>'PILL'
,p_display_name=>'Pill'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26690111800953958)
,p_css_classes=>'t-TabsRegion-mod--pill'
,p_group_id=>wwv_flow_imp.id(17415376698259642)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26692415973953960)
,p_theme_id=>42
,p_name=>'TABS_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26690111800953958)
,p_css_classes=>'t-TabsRegion-mod--small'
,p_group_id=>wwv_flow_imp.id(17414927039259642)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26692635298953960)
,p_theme_id=>42
,p_name=>'TABSLARGE'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26690111800953958)
,p_css_classes=>'t-TabsRegion-mod--large'
,p_group_id=>wwv_flow_imp.id(17414927039259642)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26693105703953961)
,p_theme_id=>42
,p_name=>'HIDE_BREADCRUMB'
,p_display_name=>'Show Breadcrumbs'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(26692736997953960)
,p_css_classes=>'t-BreadcrumbRegion--showBreadcrumb'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26693223115953961)
,p_theme_id=>42
,p_name=>'GET_TITLE_FROM_BREADCRUMB'
,p_display_name=>'Use Current Breadcrumb Entry'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(26692736997953960)
,p_css_classes=>'t-BreadcrumbRegion--useBreadcrumbTitle'
,p_group_id=>wwv_flow_imp.id(17412956168259641)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26693418169953961)
,p_theme_id=>42
,p_name=>'USE_COMPACT_STYLE'
,p_display_name=>'Use Compact Style'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26692736997953960)
,p_css_classes=>'t-BreadcrumbRegion--compactTitle'
,p_template_types=>'REGION'
,p_help_text=>'Uses a compact style for the breadcrumbs.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26693690179953961)
,p_theme_id=>42
,p_name=>'REGION_HEADER_VISIBLE'
,p_display_name=>'Use Region Title'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(26692736997953960)
,p_css_classes=>'t-BreadcrumbRegion--useRegionTitle'
,p_group_id=>wwv_flow_imp.id(17412956168259641)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26694550690953962)
,p_theme_id=>42
,p_name=>'HIDESMALLSCREENS'
,p_display_name=>'Small Screens (Tablet)'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26693808939953961)
,p_css_classes=>'t-Wizard--hideStepsSmall'
,p_group_id=>wwv_flow_imp.id(17405785981259637)
,p_template_types=>'REGION'
,p_help_text=>'Hides the wizard progress steps for screens that are smaller than 768px wide.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26694759112953963)
,p_theme_id=>42
,p_name=>'HIDEXSMALLSCREENS'
,p_display_name=>'X Small Screens (Mobile)'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26693808939953961)
,p_css_classes=>'t-Wizard--hideStepsXSmall'
,p_group_id=>wwv_flow_imp.id(17405785981259637)
,p_template_types=>'REGION'
,p_help_text=>'Hides the wizard progress steps for screens that are smaller than 768px wide.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26694792870726774)
,p_theme_id=>42
,p_name=>'DISPLAY_ITEMS_STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>1
,p_report_template_id=>wwv_flow_imp.id(26694227429726766)
,p_css_classes=>'t-ContextualInfo-item--stacked'
,p_group_id=>wwv_flow_imp.id(17421351298259645)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26694944591953963)
,p_theme_id=>42
,p_name=>'SHOW_TITLE'
,p_display_name=>'Show Title'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26693808939953961)
,p_css_classes=>'t-Wizard--showTitle'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26695205551726774)
,p_theme_id=>42
,p_name=>'DISPLAY_LABELS_STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>1
,p_report_template_id=>wwv_flow_imp.id(26694227429726766)
,p_css_classes=>'t-ContextualInfo-label--stacked'
,p_group_id=>wwv_flow_imp.id(17421786111259645)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26695743903953969)
,p_theme_id=>42
,p_name=>'128PX'
,p_display_name=>'128px'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_imp.id(26695234232953969)
,p_css_classes=>'t-BadgeList--xxlarge'
,p_group_id=>wwv_flow_imp.id(17416958013259643)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26695951561953969)
,p_theme_id=>42
,p_name=>'32PX'
,p_display_name=>'32px'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26695234232953969)
,p_css_classes=>'t-BadgeList--small'
,p_group_id=>wwv_flow_imp.id(17416958013259643)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26696165168953970)
,p_theme_id=>42
,p_name=>'48PX'
,p_display_name=>'48px'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26695234232953969)
,p_css_classes=>'t-BadgeList--medium'
,p_group_id=>wwv_flow_imp.id(17416958013259643)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26696357105953970)
,p_theme_id=>42
,p_name=>'64PX'
,p_display_name=>'64px'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(26695234232953969)
,p_css_classes=>'t-BadgeList--large'
,p_group_id=>wwv_flow_imp.id(17416958013259643)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26696591664953970)
,p_theme_id=>42
,p_name=>'96PX'
,p_display_name=>'96px'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_imp.id(26695234232953969)
,p_css_classes=>'t-BadgeList--xlarge'
,p_group_id=>wwv_flow_imp.id(17416958013259643)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26696880942726778)
,p_theme_id=>42
,p_name=>'INDICATOR_ASTERISK'
,p_display_name=>'Asterisk'
,p_display_sequence=>10
,p_field_template_id=>wwv_flow_imp.id(26738449610954019)
,p_css_classes=>'t-Form-fieldContainer--indicatorAsterisk'
,p_group_id=>wwv_flow_imp.id(17387371223259627)
,p_template_types=>'FIELD'
,p_help_text=>'Displays an asterisk * on required items.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26696993951953971)
,p_theme_id=>42
,p_name=>'2COLUMNGRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26695234232953969)
,p_css_classes=>'t-BadgeList--cols'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
,p_help_text=>'Arrange badges in a two column grid'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26697133779953971)
,p_theme_id=>42
,p_name=>'3COLUMNGRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(26695234232953969)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--3cols'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
,p_help_text=>'Arrange badges in a 3 column grid'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26697351115953971)
,p_theme_id=>42
,p_name=>'4COLUMNGRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_imp.id(26695234232953969)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--4cols'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26697544042726779)
,p_theme_id=>42
,p_name=>'INDICATOR_LABEL'
,p_display_name=>'Inline Label'
,p_display_sequence=>20
,p_field_template_id=>wwv_flow_imp.id(26738449610954019)
,p_css_classes=>'t-Form-fieldContainer--indicatorLabel'
,p_group_id=>wwv_flow_imp.id(17387371223259627)
,p_template_types=>'FIELD'
,p_help_text=>'Displays "Required" inline.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26697578446953971)
,p_theme_id=>42
,p_name=>'5COLUMNGRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_imp.id(26695234232953969)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--5cols'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26697797612953971)
,p_theme_id=>42
,p_name=>'FLEXIBLEBOX'
,p_display_name=>'Flexible Box'
,p_display_sequence=>80
,p_report_template_id=>wwv_flow_imp.id(26695234232953969)
,p_css_classes=>'t-BadgeList--flex'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26698003592953972)
,p_theme_id=>42
,p_name=>'FLOATITEMS'
,p_display_name=>'Float Items'
,p_display_sequence=>70
,p_report_template_id=>wwv_flow_imp.id(26695234232953969)
,p_css_classes=>'t-BadgeList--float'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26698199306953972)
,p_theme_id=>42
,p_name=>'FIXED'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_imp.id(26695234232953969)
,p_css_classes=>'t-BadgeList--fixed'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26698319047953972)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26695234232953969)
,p_css_classes=>'t-BadgeList--stacked'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26698518079953972)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26695234232953969)
,p_css_classes=>'u-colors'
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26698932434953972)
,p_theme_id=>42
,p_name=>'CIRCULAR'
,p_display_name=>'Circular'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26695234232953969)
,p_css_classes=>'t-BadgeList--circular'
,p_group_id=>wwv_flow_imp.id(17425321303259647)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26699185567953973)
,p_theme_id=>42
,p_name=>'GRID'
,p_display_name=>'Grid'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(26695234232953969)
,p_css_classes=>'t-BadgeList--dash'
,p_group_id=>wwv_flow_imp.id(17425321303259647)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26699671665726780)
,p_theme_id=>42
,p_name=>'INDICATOR_ASTERISK'
,p_display_name=>'Asterisk'
,p_display_sequence=>10
,p_field_template_id=>wwv_flow_imp.id(26738575492954020)
,p_css_classes=>'t-Form-fieldContainer--indicatorAsterisk'
,p_group_id=>wwv_flow_imp.id(17387371223259627)
,p_template_types=>'FIELD'
,p_help_text=>'Displays an asterisk * on required items.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26699776035953974)
,p_theme_id=>42
,p_name=>'CARDS_COLOR_FILL'
,p_display_name=>'Color Fill'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--animColorFill'
,p_group_id=>wwv_flow_imp.id(17416526110259643)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26699976015953974)
,p_theme_id=>42
,p_name=>'CARD_RAISE_CARD'
,p_display_name=>'Raise Card'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--animRaiseCard'
,p_group_id=>wwv_flow_imp.id(17416526110259643)
,p_template_types=>'REPORT'
);
end;
/
begin
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26700342008726780)
,p_theme_id=>42
,p_name=>'INDICATOR_LABEL'
,p_display_name=>'Inline Label'
,p_display_sequence=>20
,p_field_template_id=>wwv_flow_imp.id(26738575492954020)
,p_css_classes=>'t-Form-fieldContainer--indicatorLabel'
,p_group_id=>wwv_flow_imp.id(17387371223259627)
,p_template_types=>'FIELD'
,p_help_text=>'Displays "Required" inline.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26700369909953975)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--iconsSquare'
,p_group_id=>wwv_flow_imp.id(17422524088259646)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26700550414953975)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--iconsRounded'
,p_group_id=>wwv_flow_imp.id(17422524088259646)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26700777212953976)
,p_theme_id=>42
,p_name=>'BLOCK'
,p_display_name=>'Block'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--featured t-Cards--block force-fa-lg'
,p_group_id=>wwv_flow_imp.id(17425321303259647)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26700916604953976)
,p_theme_id=>42
,p_name=>'DISPLAY_SUBTITLE'
,p_display_name=>'Display Subtitle'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--displaySubtitle'
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26701126079953976)
,p_theme_id=>42
,p_name=>'2_COLUMNS'
,p_display_name=>'2 Columns'
,p_display_sequence=>15
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--cols'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26701340396953976)
,p_theme_id=>42
,p_name=>'3_COLUMNS'
,p_display_name=>'3 Columns'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--3cols'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26701585262953976)
,p_theme_id=>42
,p_name=>'4_COLUMNS'
,p_display_name=>'4 Columns'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--4cols'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26701801118953977)
,p_theme_id=>42
,p_name=>'5_COLUMNS'
,p_display_name=>'5 Columns'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--5cols'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26701942909953977)
,p_theme_id=>42
,p_name=>'FLOAT'
,p_display_name=>'Float'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--float'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26702131921953977)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTALLY'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>70
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--spanHorizontally'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26702475733726782)
,p_theme_id=>42
,p_name=>'INDICATOR_ASTERISK'
,p_display_name=>'Asterisk'
,p_display_sequence=>10
,p_field_template_id=>wwv_flow_imp.id(26738611042954020)
,p_css_classes=>'t-Form-fieldContainer--indicatorAsterisk'
,p_group_id=>wwv_flow_imp.id(17387371223259627)
,p_template_types=>'FIELD'
,p_help_text=>'Displays an asterisk * on required items.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26702568266953977)
,p_theme_id=>42
,p_name=>'2_LINES'
,p_display_name=>'2 Lines'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--desc-2ln'
,p_group_id=>wwv_flow_imp.id(17417344635259643)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26702727870953978)
,p_theme_id=>42
,p_name=>'3_LINES'
,p_display_name=>'3 Lines'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--desc-3ln'
,p_group_id=>wwv_flow_imp.id(17417344635259643)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26702969389953978)
,p_theme_id=>42
,p_name=>'4_LINES'
,p_display_name=>'4 Lines'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--desc-4ln'
,p_group_id=>wwv_flow_imp.id(17417344635259643)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26703134351726783)
,p_theme_id=>42
,p_name=>'INDICATOR_LABEL'
,p_display_name=>'Inline Label'
,p_display_sequence=>20
,p_field_template_id=>wwv_flow_imp.id(26738611042954020)
,p_css_classes=>'t-Form-fieldContainer--indicatorLabel'
,p_group_id=>wwv_flow_imp.id(17387371223259627)
,p_template_types=>'FIELD'
,p_help_text=>'Displays "Required" inline.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26703184900953978)
,p_theme_id=>42
,p_name=>'USE_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'u-colors'
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26703578232953978)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--displayIcons'
,p_group_id=>wwv_flow_imp.id(17422095818259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26703726904953978)
,p_theme_id=>42
,p_name=>'DISPLAY_INITIALS'
,p_display_name=>'Display Initials'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--displayInitials'
,p_group_id=>wwv_flow_imp.id(17422095818259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26703954742953979)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--featured force-fa-lg'
,p_group_id=>wwv_flow_imp.id(17425321303259647)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26704208925953979)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--basic'
,p_group_id=>wwv_flow_imp.id(17425321303259647)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26704375728953980)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--compact'
,p_group_id=>wwv_flow_imp.id(17425321303259647)
,p_template_types=>'REPORT'
,p_help_text=>'Use this option when you want to show smaller cards.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26704549149953980)
,p_theme_id=>42
,p_name=>'HIDDEN_BODY_TEXT'
,p_display_name=>'Hidden'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_imp.id(26699288380953973)
,p_css_classes=>'t-Cards--hideBody'
,p_group_id=>wwv_flow_imp.id(17417344635259643)
,p_template_types=>'REPORT'
,p_help_text=>'This option hides the card body which contains description and subtext.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26704990126953980)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26704638373953980)
,p_css_classes=>'t-Comments--iconsSquare'
,p_group_id=>wwv_flow_imp.id(17422524088259646)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26705149631953980)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26704638373953980)
,p_css_classes=>'t-Comments--iconsRounded'
,p_group_id=>wwv_flow_imp.id(17422524088259646)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26705601694953981)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26704638373953980)
,p_css_classes=>'t-Comments--basic'
,p_group_id=>wwv_flow_imp.id(17420558699259645)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26705775253953981)
,p_theme_id=>42
,p_name=>'SPEECH_BUBBLES'
,p_display_name=>'Speech Bubbles'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26704638373953980)
,p_css_classes=>'t-Comments--chat'
,p_group_id=>wwv_flow_imp.id(17420558699259645)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26706152329953982)
,p_theme_id=>42
,p_name=>'2_COLUMN_GRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26705905842953981)
,p_css_classes=>'t-MediaList--cols t-MediaList--2cols'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26706350070953982)
,p_theme_id=>42
,p_name=>'3_COLUMN_GRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26705905842953981)
,p_css_classes=>'t-MediaList--cols t-MediaList--3cols'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26706536751953982)
,p_theme_id=>42
,p_name=>'4_COLUMN_GRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(26705905842953981)
,p_css_classes=>'t-MediaList--cols t-MediaList--4cols'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26706747515953982)
,p_theme_id=>42
,p_name=>'5_COLUMN_GRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_imp.id(26705905842953981)
,p_css_classes=>'t-MediaList--cols t-MediaList--5cols'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26706972642953982)
,p_theme_id=>42
,p_name=>'STACK'
,p_display_name=>'Stack'
,p_display_sequence=>5
,p_report_template_id=>wwv_flow_imp.id(26705905842953981)
,p_css_classes=>'t-MediaList--stack'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26707182788953983)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTAL'
,p_display_name=>'Span Horizontal'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_imp.id(26705905842953981)
,p_css_classes=>'t-MediaList--horizontal'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26707328424953983)
,p_theme_id=>42
,p_name=>'SHOW_ICONS'
,p_display_name=>'Show Icons'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26705905842953981)
,p_css_classes=>'t-MediaList--showIcons'
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26707515564953983)
,p_theme_id=>42
,p_name=>'SHOW_DESCRIPTION'
,p_display_name=>'Show Description'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26705905842953981)
,p_css_classes=>'t-MediaList--showDesc'
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26707759136953983)
,p_theme_id=>42
,p_name=>'SHOW_BADGES'
,p_display_name=>'Show Badges'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(26705905842953981)
,p_css_classes=>'t-MediaList--showBadges'
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26707936739953983)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_imp.id(26705905842953981)
,p_css_classes=>'u-colors'
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26708182316953983)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26705905842953981)
,p_css_classes=>'t-MediaList--iconsSquare'
,p_group_id=>wwv_flow_imp.id(17422524088259646)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26708351452953983)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26705905842953981)
,p_css_classes=>'t-MediaList--iconsRounded'
,p_group_id=>wwv_flow_imp.id(17422524088259646)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26708733404953984)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26705905842953981)
,p_css_classes=>'t-MediaList--large force-fa-lg'
,p_group_id=>wwv_flow_imp.id(17424921150259647)
,p_template_types=>'REPORT'
,p_help_text=>'Increases the size of the text and icons in the list.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26709532822953985)
,p_theme_id=>42
,p_name=>'REMOVEALLBORDERS'
,p_display_name=>'No Borders'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(26709087882953984)
,p_css_classes=>'t-Report--noBorders'
,p_group_id=>wwv_flow_imp.id(17424106316259647)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26709722793953985)
,p_theme_id=>42
,p_name=>'STRETCHREPORT'
,p_display_name=>'Stretch Report'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26709087882953984)
,p_css_classes=>'t-Report--stretch'
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26710007718953985)
,p_theme_id=>42
,p_name=>'REMOVEOUTERBORDERS'
,p_display_name=>'No Outer Borders'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_imp.id(26709087882953984)
,p_css_classes=>'t-Report--inline'
,p_group_id=>wwv_flow_imp.id(17424106316259647)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26710330060953985)
,p_theme_id=>42
,p_name=>'ALTROWCOLORSDISABLE'
,p_display_name=>'Disable'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26709087882953984)
,p_css_classes=>'t-Report--staticRowColors'
,p_group_id=>wwv_flow_imp.id(17416090381259642)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26710569377953985)
,p_theme_id=>42
,p_name=>'ALTROWCOLORSENABLE'
,p_display_name=>'Enable'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26709087882953984)
,p_css_classes=>'t-Report--altRowsDefault'
,p_group_id=>wwv_flow_imp.id(17416090381259642)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26710737620953986)
,p_theme_id=>42
,p_name=>'HORIZONTALBORDERS'
,p_display_name=>'Horizontal Only'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26709087882953984)
,p_css_classes=>'t-Report--horizontalBorders'
,p_group_id=>wwv_flow_imp.id(17424106316259647)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26710983636953986)
,p_theme_id=>42
,p_name=>'VERTICALBORDERS'
,p_display_name=>'Vertical Only'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26709087882953984)
,p_css_classes=>'t-Report--verticalBorders'
,p_group_id=>wwv_flow_imp.id(17424106316259647)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26711408738953986)
,p_theme_id=>42
,p_name=>'ENABLE'
,p_display_name=>'Enable'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26709087882953984)
,p_css_classes=>'t-Report--rowHighlight'
,p_group_id=>wwv_flow_imp.id(17424528922259647)
,p_template_types=>'REPORT'
,p_help_text=>'Enable row highlighting on mouse over'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26711580468953986)
,p_theme_id=>42
,p_name=>'ROWHIGHLIGHTDISABLE'
,p_display_name=>'Disable'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26709087882953984)
,p_css_classes=>'t-Report--rowHighlightOff'
,p_group_id=>wwv_flow_imp.id(17424528922259647)
,p_template_types=>'REPORT'
,p_help_text=>'Disable row highlighting on mouse over'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26711955614953987)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>1
,p_report_template_id=>wwv_flow_imp.id(26711630637953986)
,p_css_classes=>'t-Timeline--compact'
,p_group_id=>wwv_flow_imp.id(17425321303259647)
,p_template_types=>'REPORT'
,p_help_text=>'Displays a compact version of timeline with smaller text and fewer columns.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26712365716953987)
,p_theme_id=>42
,p_name=>'LEFT_ALIGNED_DETAILS'
,p_display_name=>'Left Aligned Details'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26712060186953987)
,p_css_classes=>'t-AVPList--leftAligned'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26712566716953987)
,p_theme_id=>42
,p_name=>'RIGHT_ALIGNED_DETAILS'
,p_display_name=>'Right Aligned Details'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26712060186953987)
,p_css_classes=>'t-AVPList--rightAligned'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26712998937953988)
,p_theme_id=>42
,p_name=>'FIXED_SMALL'
,p_display_name=>'Fixed - Small'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26712060186953987)
,p_css_classes=>'t-AVPList--fixedLabelSmall'
,p_group_id=>wwv_flow_imp.id(17422906088259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26713116422953988)
,p_theme_id=>42
,p_name=>'FIXED_MEDIUM'
,p_display_name=>'Fixed - Medium'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26712060186953987)
,p_css_classes=>'t-AVPList--fixedLabelMedium'
,p_group_id=>wwv_flow_imp.id(17422906088259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26713324061953988)
,p_theme_id=>42
,p_name=>'FIXED_LARGE'
,p_display_name=>'Fixed - Large'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(26712060186953987)
,p_css_classes=>'t-AVPList--fixedLabelLarge'
,p_group_id=>wwv_flow_imp.id(17422906088259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26713554484953988)
,p_theme_id=>42
,p_name=>'VARIABLE_SMALL'
,p_display_name=>'Variable - Small'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_imp.id(26712060186953987)
,p_css_classes=>'t-AVPList--variableLabelSmall'
,p_group_id=>wwv_flow_imp.id(17422906088259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26713767452953988)
,p_theme_id=>42
,p_name=>'VARIABLE_MEDIUM'
,p_display_name=>'Variable - Medium'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_imp.id(26712060186953987)
,p_css_classes=>'t-AVPList--variableLabelMedium'
,p_group_id=>wwv_flow_imp.id(17422906088259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26713999240953988)
,p_theme_id=>42
,p_name=>'VARIABLE_LARGE'
,p_display_name=>'Variable - Large'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_imp.id(26712060186953987)
,p_css_classes=>'t-AVPList--variableLabelLarge'
,p_group_id=>wwv_flow_imp.id(17422906088259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26714326331953989)
,p_theme_id=>42
,p_name=>'FIXED_SMALL'
,p_display_name=>'Fixed - Small'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26714032044953988)
,p_css_classes=>'t-AVPList--fixedLabelSmall'
,p_group_id=>wwv_flow_imp.id(17422906088259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26714541277953989)
,p_theme_id=>42
,p_name=>'FIXED_MEDIUM'
,p_display_name=>'Fixed - Medium'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26714032044953988)
,p_css_classes=>'t-AVPList--fixedLabelMedium'
,p_group_id=>wwv_flow_imp.id(17422906088259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26714744080953989)
,p_theme_id=>42
,p_name=>'FIXED_LARGE'
,p_display_name=>'Fixed - Large'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(26714032044953988)
,p_css_classes=>'t-AVPList--fixedLabelLarge'
,p_group_id=>wwv_flow_imp.id(17422906088259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26714913886953989)
,p_theme_id=>42
,p_name=>'VARIABLE_LARGE'
,p_display_name=>'Variable - Large'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_imp.id(26714032044953988)
,p_css_classes=>'t-AVPList--variableLabelLarge'
,p_group_id=>wwv_flow_imp.id(17422906088259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26715167508953989)
,p_theme_id=>42
,p_name=>'VARIABLE_MEDIUM'
,p_display_name=>'Variable - Medium'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_imp.id(26714032044953988)
,p_css_classes=>'t-AVPList--variableLabelMedium'
,p_group_id=>wwv_flow_imp.id(17422906088259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26715347841953990)
,p_theme_id=>42
,p_name=>'VARIABLE_SMALL'
,p_display_name=>'Variable - Small'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_imp.id(26714032044953988)
,p_css_classes=>'t-AVPList--variableLabelSmall'
,p_group_id=>wwv_flow_imp.id(17422906088259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26715576793953990)
,p_theme_id=>42
,p_name=>'LEFT_ALIGNED_DETAILS'
,p_display_name=>'Left Aligned Details'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(26714032044953988)
,p_css_classes=>'t-AVPList--leftAligned'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26715748143953990)
,p_theme_id=>42
,p_name=>'RIGHT_ALIGNED_DETAILS'
,p_display_name=>'Right Aligned Details'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(26714032044953988)
,p_css_classes=>'t-AVPList--rightAligned'
,p_group_id=>wwv_flow_imp.id(17423293258259646)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26716401242953996)
,p_theme_id=>42
,p_name=>'FLOATITEMS'
,p_display_name=>'Float Items'
,p_display_sequence=>70
,p_list_template_id=>wwv_flow_imp.id(26715822523953991)
,p_css_classes=>'t-BadgeList--float'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
,p_help_text=>'Float badges to left'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26716606182953996)
,p_theme_id=>42
,p_name=>'FLEXIBLEBOX'
,p_display_name=>'Flexible Box'
,p_display_sequence=>80
,p_list_template_id=>wwv_flow_imp.id(26715822523953991)
,p_css_classes=>'t-BadgeList--flex'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
,p_help_text=>'Use flexbox to arrange items'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26716716293953996)
,p_theme_id=>42
,p_name=>'FIXED'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>60
,p_list_template_id=>wwv_flow_imp.id(26715822523953991)
,p_css_classes=>'t-BadgeList--fixed'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
,p_help_text=>'Span badges horizontally'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26716958943953996)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26715822523953991)
,p_css_classes=>'t-BadgeList--stacked'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
,p_help_text=>'Stack badges on top of each other'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26717131980953997)
,p_theme_id=>42
,p_name=>'2COLUMNGRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26715822523953991)
,p_css_classes=>'t-BadgeList--cols'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in a two column grid'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26717402490953997)
,p_theme_id=>42
,p_name=>'3COLUMNGRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(26715822523953991)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--3cols'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in a 3 column grid'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26717579061953997)
,p_theme_id=>42
,p_name=>'4COLUMNGRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_imp.id(26715822523953991)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--4cols'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in 4 column grid'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26717800059953997)
,p_theme_id=>42
,p_name=>'5COLUMNGRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_imp.id(26715822523953991)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--5cols'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in a 5 column grid'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26718129529953997)
,p_theme_id=>42
,p_name=>'SMALL'
,p_display_name=>'32px'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26715822523953991)
,p_css_classes=>'t-BadgeList--small'
,p_group_id=>wwv_flow_imp.id(17389357754259628)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26718401750953998)
,p_theme_id=>42
,p_name=>'MEDIUM'
,p_display_name=>'48px'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26715822523953991)
,p_css_classes=>'t-BadgeList--medium'
,p_group_id=>wwv_flow_imp.id(17389357754259628)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26718517208953998)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'64px'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(26715822523953991)
,p_css_classes=>'t-BadgeList--large'
,p_group_id=>wwv_flow_imp.id(17389357754259628)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26718767374953998)
,p_theme_id=>42
,p_name=>'XXLARGE'
,p_display_name=>'128px'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_imp.id(26715822523953991)
,p_css_classes=>'t-BadgeList--xxlarge'
,p_group_id=>wwv_flow_imp.id(17389357754259628)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26718990747953998)
,p_theme_id=>42
,p_name=>'XLARGE'
,p_display_name=>'96px'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_imp.id(26715822523953991)
,p_css_classes=>'t-BadgeList--xlarge'
,p_group_id=>wwv_flow_imp.id(17389357754259628)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26719166138953998)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26715822523953991)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26719511298953999)
,p_theme_id=>42
,p_name=>'CIRCULAR'
,p_display_name=>'Circular'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26715822523953991)
,p_css_classes=>'t-BadgeList--circular'
,p_group_id=>wwv_flow_imp.id(17394570726259631)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26719745038953999)
,p_theme_id=>42
,p_name=>'GRID'
,p_display_name=>'Grid'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(26715822523953991)
,p_css_classes=>'t-BadgeList--dash'
,p_group_id=>wwv_flow_imp.id(17394570726259631)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26720206699953999)
,p_theme_id=>42
,p_name=>'CARDS_STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>5
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--stacked'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
,p_help_text=>'Stacks the cards on top of each other.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26720602689954000)
,p_theme_id=>42
,p_name=>'COLOR_FILL'
,p_display_name=>'Color Fill'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--animColorFill'
,p_group_id=>wwv_flow_imp.id(17388906046259628)
,p_template_types=>'LIST'
,p_help_text=>'Fills the card background with the color of the icon or default link style.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26720770279954000)
,p_theme_id=>42
,p_name=>'RAISE_CARD'
,p_display_name=>'Raise Card'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--animRaiseCard'
,p_group_id=>wwv_flow_imp.id(17388906046259628)
,p_template_types=>'LIST'
,p_help_text=>'Raises the card so it pops up.'
);
end;
/
begin
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26721208334954000)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--iconsSquare'
,p_group_id=>wwv_flow_imp.id(17392095892259630)
,p_template_types=>'LIST'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26721330068954000)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--iconsRounded'
,p_group_id=>wwv_flow_imp.id(17392095892259630)
,p_template_types=>'LIST'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26721574170954000)
,p_theme_id=>42
,p_name=>'DISPLAY_SUBTITLE'
,p_display_name=>'Display Subtitle'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--displaySubtitle'
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26721792596954000)
,p_theme_id=>42
,p_name=>'BLOCK'
,p_display_name=>'Block'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--featured t-Cards--block force-fa-lg'
,p_group_id=>wwv_flow_imp.id(17394570726259631)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26721928268954001)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTALLY'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>70
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--spanHorizontally'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26722202439954001)
,p_theme_id=>42
,p_name=>'FLOAT'
,p_display_name=>'Float'
,p_display_sequence=>60
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--float'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26722352304954001)
,p_theme_id=>42
,p_name=>'2_COLUMNS'
,p_display_name=>'2 Columns'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--cols'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26722563994954001)
,p_theme_id=>42
,p_name=>'3_COLUMNS'
,p_display_name=>'3 Columns'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--3cols'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26722733061954001)
,p_theme_id=>42
,p_name=>'4_COLUMNS'
,p_display_name=>'4 Columns'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--4cols'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26722987110954002)
,p_theme_id=>42
,p_name=>'5_COLUMNS'
,p_display_name=>'5 Columns'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--5cols'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26723170923954002)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--featured force-fa-lg'
,p_group_id=>wwv_flow_imp.id(17394570726259631)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26723332271954002)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--basic'
,p_group_id=>wwv_flow_imp.id(17394570726259631)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26723603731954002)
,p_theme_id=>42
,p_name=>'USE_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
,p_help_text=>'Applies the colors from the theme''s color palette to the icons or initials within cards.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26723912231954002)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--displayIcons'
,p_group_id=>wwv_flow_imp.id(17391710840259629)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26724162090954003)
,p_theme_id=>42
,p_name=>'DISPLAY_INITIALS'
,p_display_name=>'Display Initials'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--displayInitials'
,p_group_id=>wwv_flow_imp.id(17391710840259629)
,p_template_types=>'LIST'
,p_help_text=>'Initials come from List Attribute 3'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26724549214954003)
,p_theme_id=>42
,p_name=>'2_LINES'
,p_display_name=>'2 Lines'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--desc-2ln'
,p_group_id=>wwv_flow_imp.id(17389765635259628)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26724722000954003)
,p_theme_id=>42
,p_name=>'3_LINES'
,p_display_name=>'3 Lines'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--desc-3ln'
,p_group_id=>wwv_flow_imp.id(17389765635259628)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26725007944954003)
,p_theme_id=>42
,p_name=>'4_LINES'
,p_display_name=>'4 Lines'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--desc-4ln'
,p_group_id=>wwv_flow_imp.id(17389765635259628)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26725193595954003)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--compact'
,p_group_id=>wwv_flow_imp.id(17394570726259631)
,p_template_types=>'LIST'
,p_help_text=>'Use this option when you want to show smaller cards.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26725369784954003)
,p_theme_id=>42
,p_name=>'HIDDEN_BODY_TEXT'
,p_display_name=>'Hidden'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_imp.id(26719881325953999)
,p_css_classes=>'t-Cards--hideBody'
,p_group_id=>wwv_flow_imp.id(17389765635259628)
,p_template_types=>'LIST'
,p_help_text=>'This option hides the card body which contains description and subtext.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26725919401954004)
,p_theme_id=>42
,p_name=>'SHOWICONS'
,p_display_name=>'For All Items'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26725497979954003)
,p_css_classes=>'t-LinksList--showIcons'
,p_group_id=>wwv_flow_imp.id(17391298165259629)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26726192762954004)
,p_theme_id=>42
,p_name=>'SHOWGOTOARROW'
,p_display_name=>'Show Right Arrow'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26725497979954003)
,p_css_classes=>'t-LinksList--showArrow'
,p_template_types=>'LIST'
,p_help_text=>'Show arrow to the right of link'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26726336066954004)
,p_theme_id=>42
,p_name=>'DISABLETEXTWRAPPING'
,p_display_name=>'Disable Text Wrapping'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(26725497979954003)
,p_css_classes=>'t-LinksList--nowrap'
,p_template_types=>'LIST'
,p_help_text=>'Do not allow link text to wrap to new lines. Truncate with ellipsis.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26726511924954004)
,p_theme_id=>42
,p_name=>'SHOWBADGES'
,p_display_name=>'Show Badges'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26725497979954003)
,p_css_classes=>'t-LinksList--showBadge'
,p_template_types=>'LIST'
,p_help_text=>'Show badge to right of link (requires Attribute 1 to be populated)'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26726771626954005)
,p_theme_id=>42
,p_name=>'SHOWTOPICONS'
,p_display_name=>'For Top Level Items Only'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26725497979954003)
,p_css_classes=>'t-LinksList--showTopIcons'
,p_group_id=>wwv_flow_imp.id(17391298165259629)
,p_template_types=>'LIST'
,p_help_text=>'This will show icons for top level items of the list only. It will not show icons for sub lists.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26726927901954005)
,p_theme_id=>42
,p_name=>'ACTIONS'
,p_display_name=>'Actions'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26725497979954003)
,p_css_classes=>'t-LinksList--actions'
,p_group_id=>wwv_flow_imp.id(17394570726259631)
,p_template_types=>'LIST'
,p_help_text=>'Render as actions to be placed on the right side column.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26727327427954005)
,p_theme_id=>42
,p_name=>'SPANHORIZONTAL'
,p_display_name=>'Span Horizontal'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_imp.id(26727067387954005)
,p_css_classes=>'t-MediaList--horizontal'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
,p_help_text=>'Show all list items in one horizontal row.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26727605772954005)
,p_theme_id=>42
,p_name=>'2COLUMNGRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26727067387954005)
,p_css_classes=>'t-MediaList--cols t-MediaList--2cols'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26727715288954006)
,p_theme_id=>42
,p_name=>'3COLUMNGRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26727067387954005)
,p_css_classes=>'t-MediaList--cols t-MediaList--3cols'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26727991450954006)
,p_theme_id=>42
,p_name=>'4COLUMNGRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(26727067387954005)
,p_css_classes=>'t-MediaList--cols t-MediaList--4cols'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26728197975954006)
,p_theme_id=>42
,p_name=>'5COLUMNGRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_imp.id(26727067387954005)
,p_css_classes=>'t-MediaList--cols t-MediaList--5cols'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26728318446954006)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26727067387954005)
,p_css_classes=>'t-MediaList--iconsSquare'
,p_group_id=>wwv_flow_imp.id(17392095892259630)
,p_template_types=>'LIST'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26728576213954006)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26727067387954005)
,p_css_classes=>'t-MediaList--iconsRounded'
,p_group_id=>wwv_flow_imp.id(17392095892259630)
,p_template_types=>'LIST'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26728713192954006)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_imp.id(26727067387954005)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
,p_help_text=>'Applies colors from the Theme''s color palette to icons in the list.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26729119071954007)
,p_theme_id=>42
,p_name=>'LIST_SIZE_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26727067387954005)
,p_css_classes=>'t-MediaList--large force-fa-lg'
,p_group_id=>wwv_flow_imp.id(17394139812259631)
,p_template_types=>'LIST'
,p_help_text=>'Increases the size of the text and icons in the list.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26729342076954007)
,p_theme_id=>42
,p_name=>'SHOW_ICONS'
,p_display_name=>'Show Icons'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26727067387954005)
,p_css_classes=>'t-MediaList--showIcons'
,p_template_types=>'LIST'
,p_help_text=>'Display an icon next to the list item.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26729596278954007)
,p_theme_id=>42
,p_name=>'SHOW_DESCRIPTION'
,p_display_name=>'Show Description'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26727067387954005)
,p_css_classes=>'t-MediaList--showDesc'
,p_template_types=>'LIST'
,p_help_text=>'Shows the description (Attribute 1) for each list item.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26729758263954007)
,p_theme_id=>42
,p_name=>'SHOW_BADGES'
,p_display_name=>'Show Badges'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(26727067387954005)
,p_css_classes=>'t-MediaList--showBadges'
,p_template_types=>'LIST'
,p_help_text=>'Show a badge (Attribute 2) to the right of the list item.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26730171570954008)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_imp.id(26729842043954007)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add shortcuts for menu items. Note that actions.js must be included on your page to support this functionality.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26730400293954008)
,p_theme_id=>42
,p_name=>'BEHAVE_LIKE_TABS'
,p_display_name=>'Behave Like Tabs'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26729842043954007)
,p_css_classes=>'js-tabLike'
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26730746217954008)
,p_theme_id=>42
,p_name=>'SHOW_SUB_MENU_ICONS'
,p_display_name=>'Show Sub Menu Icons'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(26729842043954007)
,p_css_classes=>'js-showSubMenuIcons'
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26731133126954009)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26730814912954008)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Enables you to define a keyboard shortcut to activate the menu item.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26731765789954010)
,p_theme_id=>42
,p_name=>'STYLE_A'
,p_display_name=>'Style A'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26731493111954009)
,p_css_classes=>'t-TreeNav--styleA'
,p_group_id=>wwv_flow_imp.id(17394570726259631)
,p_template_types=>'LIST'
,p_help_text=>'Style Variation A'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26732003185954010)
,p_theme_id=>42
,p_name=>'STYLE_B'
,p_display_name=>'Style B'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(26731493111954009)
,p_css_classes=>'t-TreeNav--styleB'
,p_group_id=>wwv_flow_imp.id(17394570726259631)
,p_template_types=>'LIST'
,p_help_text=>'Style Variation B'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26732151875954010)
,p_theme_id=>42
,p_name=>'STYLE_C'
,p_display_name=>'Classic'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26731493111954009)
,p_css_classes=>'t-TreeNav--classic'
,p_group_id=>wwv_flow_imp.id(17394570726259631)
,p_template_types=>'LIST'
,p_help_text=>'Classic Style'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26732311749954010)
,p_theme_id=>42
,p_name=>'COLLAPSED_DEFAULT'
,p_display_name=>'Collapsed by Default'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26731493111954009)
,p_css_classes=>'js-defaultCollapsed'
,p_template_types=>'LIST'
,p_help_text=>'This option will load the side navigation menu in a collapsed state by default.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26732743278954011)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26732418484954010)
,p_css_classes=>'t-Tabs--large'
,p_group_id=>wwv_flow_imp.id(17394139812259631)
,p_template_types=>'LIST'
,p_help_text=>'Increases font size and white space around tab items.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26732973256954011)
,p_theme_id=>42
,p_name=>'SIMPLE'
,p_display_name=>'Simple'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26732418484954010)
,p_css_classes=>'t-Tabs--simple'
,p_group_id=>wwv_flow_imp.id(17394570726259631)
,p_template_types=>'LIST'
,p_help_text=>'A very simplistic tab UI.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26733190154954011)
,p_theme_id=>42
,p_name=>'PILL'
,p_display_name=>'Pill'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26732418484954010)
,p_css_classes=>'t-Tabs--pill'
,p_group_id=>wwv_flow_imp.id(17394570726259631)
,p_template_types=>'LIST'
,p_help_text=>'Displays tabs in a pill container.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26733399252954011)
,p_theme_id=>42
,p_name=>'INLINE_WITH_LABEL'
,p_display_name=>'Inline with Label'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26732418484954010)
,p_css_classes=>'t-Tabs--inlineIcons'
,p_group_id=>wwv_flow_imp.id(17391710840259629)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26733583360954012)
,p_theme_id=>42
,p_name=>'ABOVE_LABEL'
,p_display_name=>'Above Label'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26732418484954010)
,p_css_classes=>'t-Tabs--iconsAbove'
,p_group_id=>wwv_flow_imp.id(17391710840259629)
,p_template_types=>'LIST'
,p_help_text=>'Places icons above tab label.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26733791713954012)
,p_theme_id=>42
,p_name=>'FILL_LABELS'
,p_display_name=>'Fill Labels'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_imp.id(26732418484954010)
,p_css_classes=>'t-Tabs--fillLabels'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
,p_help_text=>'Stretch tabs to fill to the width of the tabs container.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26734003728954012)
,p_theme_id=>42
,p_name=>'SMALL'
,p_display_name=>'Small'
,p_display_sequence=>5
,p_list_template_id=>wwv_flow_imp.id(26732418484954010)
,p_css_classes=>'t-Tabs--small'
,p_group_id=>wwv_flow_imp.id(17394139812259631)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26734367230954012)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_imp.id(26734045467954012)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add shortcuts for menu items. Note that actions.js must be included on your page to support this functionality.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26734519086954012)
,p_theme_id=>42
,p_name=>'BEHAVE_LIKE_TABS'
,p_display_name=>'Behave Like Tabs'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_imp.id(26734045467954012)
,p_css_classes=>'js-tabLike'
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26734939981954013)
,p_theme_id=>42
,p_name=>'SHOW_SUB_MENU_ICONS'
,p_display_name=>'Show Sub Menu Icons'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_imp.id(26734045467954012)
,p_css_classes=>'js-showSubMenuIcons'
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26735607542954013)
,p_theme_id=>42
,p_name=>'LABEL_INLINE_LG'
,p_display_name=>'Display labels inline'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26735063243954013)
,p_css_classes=>'t-NavTabs--inlineLabels-lg'
,p_group_id=>wwv_flow_imp.id(17390919771259629)
,p_template_types=>'LIST'
,p_help_text=>'Display the label inline with the icon and badge'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26735747996954014)
,p_theme_id=>42
,p_name=>'LABEL_ABOVE_LG'
,p_display_name=>'Display labels above'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26735063243954013)
,p_css_classes=>'t-NavTabs--stacked'
,p_group_id=>wwv_flow_imp.id(17390919771259629)
,p_template_types=>'LIST'
,p_help_text=>'Display the label stacked above the icon and badge'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26736001834954014)
,p_theme_id=>42
,p_name=>'NO_LABEL_LG'
,p_display_name=>'Do not display labels'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(26735063243954013)
,p_css_classes=>'t-NavTabs--hiddenLabels-lg'
,p_group_id=>wwv_flow_imp.id(17390919771259629)
,p_template_types=>'LIST'
,p_help_text=>'Hides the label for the list item'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26736357465954014)
,p_theme_id=>42
,p_name=>'DISPLAY_LABELS_SM'
,p_display_name=>'Display labels'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_imp.id(26735063243954013)
,p_css_classes=>'t-NavTabs--displayLabels-sm'
,p_group_id=>wwv_flow_imp.id(17393734153259630)
,p_template_types=>'LIST'
,p_help_text=>'Displays the label for the list items below the icon'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26736602018954014)
,p_theme_id=>42
,p_name=>'HIDE_LABELS_SM'
,p_display_name=>'Do not display labels'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_imp.id(26735063243954013)
,p_css_classes=>'t-NavTabs--hiddenLabels-sm'
,p_group_id=>wwv_flow_imp.id(17393734153259630)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26737153748954015)
,p_theme_id=>42
,p_name=>'ALLSTEPS'
,p_display_name=>'All Steps'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26736624768954014)
,p_css_classes=>'t-WizardSteps--displayLabels'
,p_group_id=>wwv_flow_imp.id(17392977941259630)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26737351201954015)
,p_theme_id=>42
,p_name=>'CURRENTSTEPONLY'
,p_display_name=>'Current Step Only'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26736624768954014)
,p_css_classes=>'t-WizardSteps--displayCurrentLabelOnly'
,p_group_id=>wwv_flow_imp.id(17392977941259630)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26737573258954015)
,p_theme_id=>42
,p_name=>'HIDELABELS'
,p_display_name=>'Hide Labels'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(26736624768954014)
,p_css_classes=>'t-WizardSteps--hideLabels'
,p_group_id=>wwv_flow_imp.id(17392977941259630)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26737793298954015)
,p_theme_id=>42
,p_name=>'WIZARD_PROGRESS_LINKS'
,p_display_name=>'Make Wizard Steps Clickable'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_imp.id(26736624768954014)
,p_css_classes=>'js-wizardProgressLinks'
,p_template_types=>'LIST'
,p_help_text=>'This option will make the wizard steps clickable links.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26738005560954015)
,p_theme_id=>42
,p_name=>'VERTICAL_LIST'
,p_display_name=>'Vertical Orientation'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26736624768954014)
,p_css_classes=>'t-WizardSteps--vertical'
,p_template_types=>'LIST'
,p_help_text=>'Displays the wizard progress list in a vertical orientation and is suitable for displaying within a side column of a page.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26739173817954027)
,p_theme_id=>42
,p_name=>'SPIN'
,p_display_name=>'Spin'
,p_display_sequence=>10
,p_button_template_id=>wwv_flow_imp.id(26738711133954024)
,p_css_classes=>'t-Button--hoverIconSpin'
,p_group_id=>wwv_flow_imp.id(17380549304259624)
,p_template_types=>'BUTTON'
,p_help_text=>'The icon will spin on button hover or focus.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26739405939954028)
,p_theme_id=>42
,p_name=>'PUSH'
,p_display_name=>'Push'
,p_display_sequence=>20
,p_button_template_id=>wwv_flow_imp.id(26738711133954024)
,p_css_classes=>'t-Button--hoverIconPush'
,p_group_id=>wwv_flow_imp.id(17380549304259624)
,p_template_types=>'BUTTON'
,p_help_text=>'The icon will animate to the right or left on button hover or focus.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26739965241954028)
,p_theme_id=>42
,p_name=>'LEFTICON'
,p_display_name=>'Left'
,p_display_sequence=>10
,p_button_template_id=>wwv_flow_imp.id(26739530686954028)
,p_css_classes=>'t-Button--iconLeft'
,p_group_id=>wwv_flow_imp.id(17380955474259624)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26740197435954028)
,p_theme_id=>42
,p_name=>'RIGHTICON'
,p_display_name=>'Right'
,p_display_sequence=>20
,p_button_template_id=>wwv_flow_imp.id(26739530686954028)
,p_css_classes=>'t-Button--iconRight'
,p_group_id=>wwv_flow_imp.id(17380955474259624)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26740338705954029)
,p_theme_id=>42
,p_name=>'HIDE_LABEL_ON_MOBILE'
,p_display_name=>'Hide Label on Mobile'
,p_display_sequence=>10
,p_button_template_id=>wwv_flow_imp.id(26739530686954028)
,p_css_classes=>'t-Button--mobileHideLabel'
,p_template_types=>'BUTTON'
,p_help_text=>'This template options hides the button label on small screens.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26740553652954029)
,p_theme_id=>42
,p_name=>'SPIN'
,p_display_name=>'Spin'
,p_display_sequence=>10
,p_button_template_id=>wwv_flow_imp.id(26739530686954028)
,p_css_classes=>'t-Button--hoverIconSpin'
,p_group_id=>wwv_flow_imp.id(17380549304259624)
,p_template_types=>'BUTTON'
,p_help_text=>'The icon will spin on button hover or focus.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26740711798954029)
,p_theme_id=>42
,p_name=>'PUSH'
,p_display_name=>'Push'
,p_display_sequence=>20
,p_button_template_id=>wwv_flow_imp.id(26739530686954028)
,p_css_classes=>'t-Button--hoverIconPush'
,p_group_id=>wwv_flow_imp.id(17380549304259624)
,p_template_types=>'BUTTON'
,p_help_text=>'The icon will animate to the right or left on button hover or focus.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26923073364707178)
,p_theme_id=>42
,p_name=>'HIDEREGIONHEADER'
,p_display_name=>'Hidden but accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26673949162953943)
,p_css_classes=>'t-ContentBlock--hideHeader'
,p_group_id=>wwv_flow_imp.id(17404489065259636)
,p_template_types=>'REGION'
,p_help_text=>'This option will hide the region header.  Note that the region title will still be audible for Screen Readers. Buttons placed in the region header will be hidden and inaccessible.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(26923637725707179)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26673949162953943)
,p_css_classes=>'t-Region--removeHeader js-removeLandmark'
,p_group_id=>wwv_flow_imp.id(17404489065259636)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27041100258707277)
,p_theme_id=>42
,p_name=>'RATIO_AUTO'
,p_display_name=>'Auto'
,p_display_sequence=>100
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--auto'
,p_group_id=>wwv_flow_imp.id(17407337573259637)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27041439328707278)
,p_theme_id=>42
,p_name=>'RATIO_1_1'
,p_display_name=>'1:1 (Square)'
,p_display_sequence=>110
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--1x1'
,p_group_id=>wwv_flow_imp.id(17407337573259637)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27041882851707278)
,p_theme_id=>42
,p_name=>'RATIO_16_9'
,p_display_name=>'16:9 (Widescreen)'
,p_display_sequence=>120
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--16x9'
,p_group_id=>wwv_flow_imp.id(17407337573259637)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27042242191707278)
,p_theme_id=>42
,p_name=>'RATIO_4_3'
,p_display_name=>'4:3 (Standard)'
,p_display_sequence=>130
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--4x3'
,p_group_id=>wwv_flow_imp.id(17407337573259637)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27042633645707278)
,p_theme_id=>42
,p_name=>'IMAGE_STRETCH'
,p_display_name=>'Image Stretch'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--stretch'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27043099765707279)
,p_theme_id=>42
,p_name=>'SCALE_CONTAIN'
,p_display_name=>'Contain'
,p_display_sequence=>200
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--contain'
,p_group_id=>wwv_flow_imp.id(17407721917259638)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27043341696707279)
,p_theme_id=>42
,p_name=>'SCALE_COVER'
,p_display_name=>'Cover'
,p_display_sequence=>210
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--cover'
,p_group_id=>wwv_flow_imp.id(17407721917259638)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27043790575707279)
,p_theme_id=>42
,p_name=>'SCALE_FILL'
,p_display_name=>'Fill'
,p_display_sequence=>220
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--fill'
,p_group_id=>wwv_flow_imp.id(17407721917259638)
,p_template_types=>'REGION'
);
end;
/
begin
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27044154072707280)
,p_theme_id=>42
,p_name=>'SCALE_DOWN'
,p_display_name=>'Scale Down'
,p_display_sequence=>230
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--scale-down'
,p_group_id=>wwv_flow_imp.id(17407721917259638)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27044553809707280)
,p_theme_id=>42
,p_name=>'SHAPE_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>300
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--square'
,p_group_id=>wwv_flow_imp.id(17408096697259638)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27044978349707280)
,p_theme_id=>42
,p_name=>'SHAPE_ROUNDED'
,p_display_name=>'Rounded'
,p_display_sequence=>310
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--rounded'
,p_group_id=>wwv_flow_imp.id(17408096697259638)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27045351095707280)
,p_theme_id=>42
,p_name=>'SHAPE_CIRCLE'
,p_display_name=>'Circle'
,p_display_sequence=>320
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--circle'
,p_group_id=>wwv_flow_imp.id(17408096697259638)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27045762190707280)
,p_theme_id=>42
,p_name=>'RATIO_2_1'
,p_display_name=>'2:1 (Univisium)'
,p_display_sequence=>140
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--2x1'
,p_group_id=>wwv_flow_imp.id(17407337573259637)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27046131906707281)
,p_theme_id=>42
,p_name=>'FILTER_NONE'
,p_display_name=>'None'
,p_display_sequence=>400
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--noFilter'
,p_group_id=>wwv_flow_imp.id(17406932809259637)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27046561428707281)
,p_theme_id=>42
,p_name=>'FILTER_GRAYSCALE'
,p_display_name=>'Grayscale'
,p_display_sequence=>410
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--grayscale'
,p_group_id=>wwv_flow_imp.id(17406932809259637)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27046939630707281)
,p_theme_id=>42
,p_name=>'FILTER_SEPIA'
,p_display_name=>'Sepia'
,p_display_sequence=>420
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--sepia'
,p_group_id=>wwv_flow_imp.id(17406932809259637)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27047377890707281)
,p_theme_id=>42
,p_name=>'FILTER_BLUR'
,p_display_name=>'Blur'
,p_display_sequence=>430
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--blur'
,p_group_id=>wwv_flow_imp.id(17406932809259637)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27047764726707282)
,p_theme_id=>42
,p_name=>'FILTER_INVERT'
,p_display_name=>'Invert'
,p_display_sequence=>440
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--invert'
,p_group_id=>wwv_flow_imp.id(17406932809259637)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27048181805707282)
,p_theme_id=>42
,p_name=>'FILTER_SATURATE'
,p_display_name=>'Saturate'
,p_display_sequence=>450
,p_region_template_id=>wwv_flow_imp.id(27039607129707265)
,p_css_classes=>'t-ImageRegion--saturate'
,p_group_id=>wwv_flow_imp.id(17406932809259637)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27050412357707284)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(27048447620707282)
,p_css_classes=>'u-colors'
,p_template_types=>'REGION'
,p_help_text=>'Applies the colors from the theme''s color palette to the icons or initials within search results.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27050839001707284)
,p_theme_id=>42
,p_name=>'RESULT_APPEARANCE_BOXED'
,p_display_name=>'Boxed'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(27048447620707282)
,p_css_classes=>'t-ResultsRegion--boxed'
,p_group_id=>wwv_flow_imp.id(17413734186259641)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27051260539707284)
,p_theme_id=>42
,p_name=>'RESULT_APPEARANCE_FLAT'
,p_display_name=>'Flat'
,p_display_sequence=>2
,p_region_template_id=>wwv_flow_imp.id(27048447620707282)
,p_css_classes=>'t-ResultsRegion--flat'
,p_group_id=>wwv_flow_imp.id(17413734186259641)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27051668925707285)
,p_theme_id=>42
,p_name=>'ICON_SIZE_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(27048447620707282)
,p_css_classes=>'t-ResultsRegion--iconSm'
,p_group_id=>wwv_flow_imp.id(17406516599259637)
,p_template_types=>'REGION'
,p_help_text=>'Sets the icon size to small (16px).'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27052071440707285)
,p_theme_id=>42
,p_name=>'ICON_SIZE_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>2
,p_region_template_id=>wwv_flow_imp.id(27048447620707282)
,p_css_classes=>'t-ResultsRegion--iconMd'
,p_group_id=>wwv_flow_imp.id(17406516599259637)
,p_template_types=>'REGION'
,p_help_text=>'Sets the icon size to medium (32px).'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27052455212707285)
,p_theme_id=>42
,p_name=>'ICON_SIZE_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>3
,p_region_template_id=>wwv_flow_imp.id(27048447620707282)
,p_css_classes=>'t-ResultsRegion--iconLg'
,p_group_id=>wwv_flow_imp.id(17406516599259637)
,p_template_types=>'REGION'
,p_help_text=>'Sets the icon size to large (64px).'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27054802971707287)
,p_theme_id=>42
,p_name=>'STACK_MOBILE'
,p_display_name=>'Stack on Mobile'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(27052808951707285)
,p_css_classes=>'t-ItemContainer--stackMobile'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27055149061707288)
,p_theme_id=>42
,p_name=>'WRAP_ITEMS'
,p_display_name=>'Wrap Items'
,p_display_sequence=>2
,p_region_template_id=>wwv_flow_imp.id(27052808951707285)
,p_css_classes=>'t-ItemContainer--wrap'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27055531732707288)
,p_theme_id=>42
,p_name=>'ALIGNMENT_START'
,p_display_name=>'Start'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(27052808951707285)
,p_css_classes=>'t-ItemContainer--alignStart'
,p_group_id=>wwv_flow_imp.id(17399376990259633)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27055993947707288)
,p_theme_id=>42
,p_name=>'ALIGNMENT_CENTER'
,p_display_name=>'Center'
,p_display_sequence=>11
,p_region_template_id=>wwv_flow_imp.id(27052808951707285)
,p_css_classes=>'t-ItemContainer--alignCenter'
,p_group_id=>wwv_flow_imp.id(17399376990259633)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27056326737707288)
,p_theme_id=>42
,p_name=>'ALIGNMENT_END'
,p_display_name=>'End'
,p_display_sequence=>12
,p_region_template_id=>wwv_flow_imp.id(27052808951707285)
,p_css_classes=>'t-ItemContainer--alignEnd'
,p_group_id=>wwv_flow_imp.id(17399376990259633)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(27056764200707289)
,p_theme_id=>42
,p_name=>'ALIGNMENT_STRETCH'
,p_display_name=>'Stretch'
,p_display_sequence=>13
,p_region_template_id=>wwv_flow_imp.id(27052808951707285)
,p_css_classes=>'t-ItemContainer--alignStretch'
,p_group_id=>wwv_flow_imp.id(17399376990259633)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(28960791076125830)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_imp.id(28958831405125814)
,p_css_classes=>'t-Dialog--noPadding'
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(28961210108125830)
,p_theme_id=>42
,p_name=>'POSITION_END'
,p_display_name=>'End'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_imp.id(28958831405125814)
,p_css_classes=>'js-dialog-class-t-Drawer--pullOutEnd'
,p_group_id=>wwv_flow_imp.id(17396979068259632)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(28961538511125831)
,p_theme_id=>42
,p_name=>'POSITION_START'
,p_display_name=>'Start'
,p_display_sequence=>10
,p_page_template_id=>wwv_flow_imp.id(28958831405125814)
,p_css_classes=>'js-dialog-class-t-Drawer--pullOutStart'
,p_group_id=>wwv_flow_imp.id(17396979068259632)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(28962008197125831)
,p_theme_id=>42
,p_name=>'DRAWER_SIZE_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_page_template_id=>wwv_flow_imp.id(28958831405125814)
,p_css_classes=>'js-dialog-class-t-Drawer--sm'
,p_group_id=>wwv_flow_imp.id(17395314571259631)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(28962405850125832)
,p_theme_id=>42
,p_name=>'DRAWER_SIZE_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_imp.id(28958831405125814)
,p_css_classes=>'js-dialog-class-t-Drawer--md'
,p_group_id=>wwv_flow_imp.id(17395314571259631)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(28962712798125832)
,p_theme_id=>42
,p_name=>'DRAWER_SIZE_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>30
,p_page_template_id=>wwv_flow_imp.id(28958831405125814)
,p_css_classes=>'js-dialog-class-t-Drawer--lg'
,p_group_id=>wwv_flow_imp.id(17395314571259631)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(28963180213125832)
,p_theme_id=>42
,p_name=>'DRAWER_SIZE_EXTRA_LARGE'
,p_display_name=>'Extra Large'
,p_display_sequence=>40
,p_page_template_id=>wwv_flow_imp.id(28958831405125814)
,p_css_classes=>'js-dialog-class-t-Drawer--xl'
,p_group_id=>wwv_flow_imp.id(17395314571259631)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(29074705119125932)
,p_theme_id=>42
,p_name=>'NONE'
,p_display_name=>'None'
,p_display_sequence=>5
,p_region_template_id=>wwv_flow_imp.id(26678094828953948)
,p_css_classes=>'js-dialog-nosize'
,p_group_id=>wwv_flow_imp.id(17403351221259635)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(29160704017126007)
,p_theme_id=>42
,p_name=>'MODAL'
,p_display_name=>'Modal'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(29156176224126002)
,p_css_classes=>'js-modal'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(29161012066126008)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>5
,p_region_template_id=>wwv_flow_imp.id(29156176224126002)
,p_css_classes=>'t-DialogRegion--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes the padding around the region body.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(29161473427126008)
,p_theme_id=>42
,p_name=>'NONE'
,p_display_name=>'None (Auto)'
,p_display_sequence=>5
,p_region_template_id=>wwv_flow_imp.id(29156176224126002)
,p_css_classes=>'js-dialog-nosize'
,p_group_id=>wwv_flow_imp.id(17403351221259635)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(29161811300126009)
,p_theme_id=>42
,p_name=>'POSITION_START'
,p_display_name=>'Start'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(29156176224126002)
,p_css_classes=>'js-dialog-class-t-Drawer--pullOutStart'
,p_group_id=>wwv_flow_imp.id(17412166004259640)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(29162291048126009)
,p_theme_id=>42
,p_name=>'POSITION_END'
,p_display_name=>'End'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(29156176224126002)
,p_css_classes=>'js-dialog-class-t-Drawer--pullOutEnd'
,p_group_id=>wwv_flow_imp.id(17412166004259640)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(29162621795126009)
,p_theme_id=>42
,p_name=>'DRAWER_SIZE_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(29156176224126002)
,p_css_classes=>'js-dialog-class-t-Drawer--sm'
,p_group_id=>wwv_flow_imp.id(17403351221259635)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(29163060995126010)
,p_theme_id=>42
,p_name=>'DRAWER_SIZE_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(29156176224126002)
,p_css_classes=>'js-dialog-class-t-Drawer--md'
,p_group_id=>wwv_flow_imp.id(17403351221259635)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(29163453957126010)
,p_theme_id=>42
,p_name=>'DRAWER_SIZE_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(29156176224126002)
,p_css_classes=>'js-dialog-class-t-Drawer--lg'
,p_group_id=>wwv_flow_imp.id(17403351221259635)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(29163889119126010)
,p_theme_id=>42
,p_name=>'DRAWER_SIZE_EXTRA_LARGE'
,p_display_name=>'Extra Large'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(29156176224126002)
,p_css_classes=>'js-dialog-class-t-Drawer--xl'
,p_group_id=>wwv_flow_imp.id(17403351221259635)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(29283457831126185)
,p_theme_id=>42
,p_name=>'HIDE_ICON_ON_DESKTOP'
,p_display_name=>'Hide Icon on Desktop'
,p_display_sequence=>20
,p_button_template_id=>wwv_flow_imp.id(26739530686954028)
,p_css_classes=>'t-Button--desktopHideIcon'
,p_template_types=>'BUTTON'
,p_help_text=>'This template options hides the button icon on large screens.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65404518490990262)
,p_theme_id=>42
,p_name=>'PAGE_LAYOUT_SPLIT'
,p_display_name=>'Split'
,p_display_sequence=>1
,p_page_template_id=>wwv_flow_imp.id(26639724786953887)
,p_css_classes=>'t-LoginPage--split'
,p_group_id=>wwv_flow_imp.id(17396559520259632)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65405227348990264)
,p_theme_id=>42
,p_name=>'PAGE_BACKGROUND_1'
,p_display_name=>'Background 1'
,p_display_sequence=>10
,p_page_template_id=>wwv_flow_imp.id(26639724786953887)
,p_css_classes=>'t-LoginPage--bg1'
,p_group_id=>wwv_flow_imp.id(17396170344259632)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65405984773990265)
,p_theme_id=>42
,p_name=>'PAGE_BACKGROUND_2'
,p_display_name=>'Background 2'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_imp.id(26639724786953887)
,p_css_classes=>'t-LoginPage--bg2'
,p_group_id=>wwv_flow_imp.id(17396170344259632)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65406630133990265)
,p_theme_id=>42
,p_name=>'PAGE_BACKGROUND_3'
,p_display_name=>'Background 3'
,p_display_sequence=>30
,p_page_template_id=>wwv_flow_imp.id(26639724786953887)
,p_css_classes=>'t-LoginPage--bg3'
,p_group_id=>wwv_flow_imp.id(17396170344259632)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65506089022990360)
,p_theme_id=>42
,p_name=>'DISPLAY_POPUP_CALLOUT'
,p_display_name=>'Display Popup Callout'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(26680328856953950)
,p_css_classes=>'js-popup-callout'
,p_template_types=>'REGION'
,p_help_text=>'Use this option to add display a callout for the popup. Note that callout will only be displayed if the data-parent-element custom attribute is defined.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65506639239990361)
,p_theme_id=>42
,p_name=>'BEFORE'
,p_display_name=>'Before'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26680328856953950)
,p_css_classes=>'js-popup-pos-before'
,p_group_id=>wwv_flow_imp.id(17401731939259634)
,p_template_types=>'REGION'
,p_help_text=>'Positions the callout before or typically to the left of the parent.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65507361894990361)
,p_theme_id=>42
,p_name=>'AFTER'
,p_display_name=>'After'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26680328856953950)
,p_css_classes=>'js-popup-pos-after'
,p_group_id=>wwv_flow_imp.id(17401731939259634)
,p_template_types=>'REGION'
,p_help_text=>'Positions the callout after or typically to the right of the parent.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65508094443990362)
,p_theme_id=>42
,p_name=>'ABOVE'
,p_display_name=>'Above'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26680328856953950)
,p_css_classes=>'js-popup-pos-above'
,p_group_id=>wwv_flow_imp.id(17401731939259634)
,p_template_types=>'REGION'
,p_help_text=>'Positions the callout above or typically on top of the parent.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65508725553990362)
,p_theme_id=>42
,p_name=>'BELOW'
,p_display_name=>'Below'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(26680328856953950)
,p_css_classes=>'js-popup-pos-below'
,p_group_id=>wwv_flow_imp.id(17401731939259634)
,p_template_types=>'REGION'
,p_help_text=>'Positions the callout below or typically to the bottom of the parent.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65509446696990362)
,p_theme_id=>42
,p_name=>'INSIDE'
,p_display_name=>'Inside'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_imp.id(26680328856953950)
,p_css_classes=>'js-popup-pos-inside'
,p_group_id=>wwv_flow_imp.id(17401731939259634)
,p_template_types=>'REGION'
,p_help_text=>'Positions the callout inside of the parent. This is useful when the parent is sufficiently large, such as a report or large region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65518871121990369)
,p_theme_id=>42
,p_name=>'LOGIN_HEADER_ICON'
,p_display_name=>'Icon'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(26682905064953952)
,p_css_classes=>'t-Login-region--headerIcon'
,p_group_id=>wwv_flow_imp.id(17410975722259639)
,p_template_types=>'REGION'
,p_help_text=>'Displays only the Region Icon in the Login region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65519516359990369)
,p_theme_id=>42
,p_name=>'LOGIN_HEADER_TITLE'
,p_display_name=>'Title'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(26682905064953952)
,p_css_classes=>'t-Login-region--headerTitle js-removeLandmark'
,p_group_id=>wwv_flow_imp.id(17410975722259639)
,p_template_types=>'REGION'
,p_help_text=>'Displays only the Region Title in the Login region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65520288380990369)
,p_theme_id=>42
,p_name=>'LOGO_HEADER_HIDDEN'
,p_display_name=>'Hidden'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(26682905064953952)
,p_css_classes=>'t-Login-region--headerHidden js-removeLandmark'
,p_group_id=>wwv_flow_imp.id(17410975722259639)
,p_template_types=>'REGION'
,p_help_text=>'Hides both the Region Icon and Title from the Login region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65552292122990400)
,p_theme_id=>42
,p_name=>'STYLE_A'
,p_display_name=>'Style A'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(65551787007990393)
,p_css_classes=>'t-CardsRegion--styleA'
,p_group_id=>wwv_flow_imp.id(17414575542259642)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65552665559990400)
,p_theme_id=>42
,p_name=>'STYLE_B'
,p_display_name=>'Style B'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(65551787007990393)
,p_css_classes=>'t-CardsRegion--styleB'
,p_group_id=>wwv_flow_imp.id(17414575542259642)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65553071273990400)
,p_theme_id=>42
,p_name=>'STYLE_C'
,p_display_name=>'Style C'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(65551787007990393)
,p_css_classes=>'t-CardsRegion--styleC'
,p_group_id=>wwv_flow_imp.id(17414575542259642)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65553427788990400)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(65551787007990393)
,p_css_classes=>'u-colors'
,p_template_types=>'REGION'
,p_help_text=>'Applies the colors from the theme''s color palette to the icons or initials within cards.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65586834324990430)
,p_theme_id=>42
,p_name=>'DISPLAY_MENU_CALLOUT'
,p_display_name=>'Display Menu Callout'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_imp.id(26729842043954007)
,p_css_classes=>'js-menu-callout'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add display a callout for the menu.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65588715203990432)
,p_theme_id=>42
,p_name=>'DISPLAY_MENU_CALLOUT'
,p_display_name=>'Display Menu Callout'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26730814912954008)
,p_css_classes=>'js-menu-callout'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add display a callout for the menu. Note that callout will only be displayed if the data-parent-element custom attribute is defined.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65590049223990434)
,p_theme_id=>42
,p_name=>'DISPLAY_MENU_CALLOUT'
,p_display_name=>'Display Menu Callout'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26731301093954009)
,p_css_classes=>'js-menu-callout'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add display a callout for the menu.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65591326315990436)
,p_theme_id=>42
,p_name=>'COLLAPSE_STYLE_HIDDEN'
,p_display_name=>'Hidden'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(26731493111954009)
,p_css_classes=>'js-navCollapsed--hidden'
,p_group_id=>wwv_flow_imp.id(17390125329259629)
,p_template_types=>'LIST'
,p_help_text=>'Completely hide the navigation menu when it is collapsed.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65591804026990436)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_imp.id(26731493111954009)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add shortcuts for menu items. Note that actions.js must be included on your page to support this functionality.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65592436016990436)
,p_theme_id=>42
,p_name=>'ICON_DEFAULT'
,p_display_name=>'Icon'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(26731493111954009)
,p_css_classes=>'js-navCollapsed--default'
,p_group_id=>wwv_flow_imp.id(17390125329259629)
,p_template_types=>'LIST'
,p_help_text=>'Display icons when the navigation menu is collapsed for large screens.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65601541536990443)
,p_theme_id=>42
,p_name=>'DISPLAY_MENU_CALLOUT'
,p_display_name=>'Display Menu Callout'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_imp.id(26734045467954012)
,p_css_classes=>'js-menu-callout'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add display a callout for the menu.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65609525522990460)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_imp.id(65609039854990455)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add shortcuts for menu items. Note that actions.js must be included on your page to support this functionality.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65609861760990462)
,p_theme_id=>42
,p_name=>'DISPLAY_MENU_CALLOUT'
,p_display_name=>'Display Menu Callout'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(65609039854990455)
,p_css_classes=>'js-menu-callout'
,p_template_types=>'LIST'
,p_help_text=>'Displays a callout arrow that points to where the menu was activated from.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65610273968990462)
,p_theme_id=>42
,p_name=>'FULL_WIDTH'
,p_display_name=>'Full Width'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(65609039854990455)
,p_css_classes=>'t-MegaMenu--fullWidth'
,p_template_types=>'LIST'
,p_help_text=>'Stretches the menu to fill the width of the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65610662065990463)
,p_theme_id=>42
,p_name=>'2_COLUMNS'
,p_display_name=>'2 Columns'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(65609039854990455)
,p_css_classes=>'t-MegaMenu--layout2Cols'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65611095778990463)
,p_theme_id=>42
,p_name=>'3_COLUMNS'
,p_display_name=>'3 Columns'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(65609039854990455)
,p_css_classes=>'t-MegaMenu--layout3Cols'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65611438960990463)
,p_theme_id=>42
,p_name=>'4_COLUMNS'
,p_display_name=>'4 Columns'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(65609039854990455)
,p_css_classes=>'t-MegaMenu--layout4Cols'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65611883320990463)
,p_theme_id=>42
,p_name=>'5_COLUMNS'
,p_display_name=>'5 Columns'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_imp.id(65609039854990455)
,p_css_classes=>'t-MegaMenu--layout5Cols'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65612243153990464)
,p_theme_id=>42
,p_name=>'CUSTOM'
,p_display_name=>'Custom'
,p_display_sequence=>60
,p_list_template_id=>wwv_flow_imp.id(65609039854990455)
,p_css_classes=>'t-MegaMenu--layoutCustom'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65612641483990464)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>60
,p_list_template_id=>wwv_flow_imp.id(65609039854990455)
,p_css_classes=>'t-MegaMenu--layoutStacked'
,p_group_id=>wwv_flow_imp.id(17393288580259630)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65662671037990517)
,p_theme_id=>42
,p_name=>'ALIGNMENT_TOP'
,p_display_name=>'Top'
,p_display_sequence=>100
,p_report_template_id=>wwv_flow_imp.id(65662121352990510)
,p_css_classes=>'t-ContentRow--alignTop'
,p_group_id=>wwv_flow_imp.id(17420975437259645)
,p_template_types=>'REPORT'
,p_help_text=>'Aligns the content to the top of the row. This is useful when you expect that yours rows will vary in height (e.g. some rows will have longer descriptions than others).'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65663101126990518)
,p_theme_id=>42
,p_name=>'ACTIONS_HIDDEN'
,p_display_name=>'Hidden'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_imp.id(65662121352990510)
,p_css_classes=>'t-ContentRow--hideActions'
,p_group_id=>wwv_flow_imp.id(17418146752259644)
,p_template_types=>'REPORT'
,p_help_text=>'Hides the Actions column from being rendered on the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65663425943990518)
,p_theme_id=>42
,p_name=>'DESCRIPTION_HIDDEN'
,p_display_name=>'Hidden'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_imp.id(65662121352990510)
,p_css_classes=>'t-ContentRow--hideDescription'
,p_group_id=>wwv_flow_imp.id(17418489393259644)
,p_template_types=>'REPORT'
,p_help_text=>'Hides the Description from being rendered on the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65663873819990518)
,p_theme_id=>42
,p_name=>'ICON_HIDDEN'
,p_display_name=>'Hidden'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(65662121352990510)
,p_css_classes=>'t-ContentRow--hideIcon'
,p_group_id=>wwv_flow_imp.id(17419295855259644)
,p_template_types=>'REPORT'
,p_help_text=>'Hides the Icon from being rendered on the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65664253308990518)
,p_theme_id=>42
,p_name=>'MISC_HIDDEN'
,p_display_name=>'Hidden'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_imp.id(65662121352990510)
,p_css_classes=>'t-ContentRow--hideMisc'
,p_group_id=>wwv_flow_imp.id(17419714381259644)
,p_template_types=>'REPORT'
,p_help_text=>'Hides the Misc column from being rendered on the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65664667023990519)
,p_theme_id=>42
,p_name=>'SELECTION_HIDDEN'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(65662121352990510)
,p_css_classes=>'t-ContentRow--hideSelection'
,p_group_id=>wwv_flow_imp.id(17420155552259645)
,p_template_types=>'REPORT'
,p_help_text=>'Hides the Selection column from being rendered on the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65665068439990519)
,p_theme_id=>42
,p_name=>'TITLE_HIDDEN'
,p_display_name=>'Hidden'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(65662121352990510)
,p_css_classes=>'t-ContentRow--hideTitle'
,p_group_id=>wwv_flow_imp.id(17418945941259644)
,p_template_types=>'REPORT'
,p_help_text=>'Hides the Title from being rendered on the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(65665469925990519)
,p_theme_id=>42
,p_name=>'STYLE_COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>1
,p_report_template_id=>wwv_flow_imp.id(65662121352990510)
,p_css_classes=>'t-ContentRow--styleCompact'
,p_group_id=>wwv_flow_imp.id(17425321303259647)
,p_template_types=>'REPORT'
,p_help_text=>'This option reduces the padding and font sizes to present a compact display of the same information.'
);
end;
/
prompt --application/shared_components/globalization/language
begin
null;
end;
/
prompt --application/shared_components/globalization/translations
begin
null;
end;
/
prompt --application/shared_components/logic/build_options
begin
wwv_flow_imp_shared.create_build_option(
 p_id=>wwv_flow_imp.id(26763483938954182)
,p_build_option_name=>'Feature: Access Control'
,p_build_option_status=>'INCLUDE'
,p_feature_identifier=>'APPLICATION_ACCESS_CONTROL'
,p_build_option_comment=>'Incorporate role based user authentication within your application and manage username mappings to application roles.'
);
end;
/
prompt --application/shared_components/globalization/messages
begin
null;
end;
/
prompt --application/shared_components/globalization/dyntranslations
begin
null;
end;
/
prompt --application/shared_components/user_interface/shortcuts/delete_confirm_msg
begin
wwv_flow_imp_shared.create_shortcut(
 p_id=>wwv_flow_imp.id(26766183195954191)
,p_shortcut_name=>'DELETE_CONFIRM_MSG'
,p_shortcut_type=>'TEXT_ESCAPE_JS'
,p_shortcut=>'Would you like to perform this delete action?'
);
end;
/
prompt --application/shared_components/security/authentications/application_express_authentication
begin
wwv_flow_imp_shared.create_authentication(
 p_id=>wwv_flow_imp.id(26632739482953813)
,p_name=>'Application Express Authentication'
,p_scheme_type=>'NATIVE_APEX_ACCOUNTS'
,p_invalid_session_type=>'LOGIN'
,p_use_secure_cookie_yn=>'N'
,p_ras_mode=>0
);
end;
/
prompt --application/user_interfaces/combined_files
begin
null;
end;
/
prompt --application/pages/page_00000
begin
wwv_flow_imp_page.create_page(
 p_id=>0
,p_name=>'Global Page - Desktop'
,p_autocomplete_on_off=>'OFF'
,p_protection_level=>'D'
,p_page_component_map=>'14'
,p_last_updated_by=>'ADIZOHAR'
,p_last_upd_yyyymmddhh24miss=>'20200506182841'
);
end;
/
prompt --application/pages/page_00001
begin
wwv_flow_imp_page.create_page(
 p_id=>1
,p_name=>'Home'
,p_alias=>'HOME'
,p_step_title=>'OCI Usage and Cost Report'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'OFF'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.t-Footer{',
'display:none;',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_page_component_map=>'13'
,p_last_updated_by=>'ADIZOHAR'
,p_last_upd_yyyymmddhh24miss=>'20230407003016'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(17131501807059044)
,p_plug_name=>'Cost Files Statistics'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_region_attributes=>'style="height:450px;background-color:#e8effa; font-weight:bold;"'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>30
,p_plug_new_grid_row=>false
,p_plug_grid_column_span=>3
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(20834492612305689)
,p_plug_name=>'Usage Files Statistics'
,p_region_name=>'usage'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_region_attributes=>'style="height:450px;background-color:#e8effa; font-weight:bold;"'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>20
,p_plug_new_grid_row=>false
,p_plug_grid_column_span=>3
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(26774393131954325)
,p_plug_name=>'OCI Usage and Cost Report'
,p_icon_css_classes=>'app-icon'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26675974030953945)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(28851420211457556)
,p_plug_name=>'Welcome <FONT COLOR="RED">&USER.</FONT> ...'
,p_region_name=>'main'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_region_attributes=>'style="height:450px;background-color:#e8effa; font-weight:bold;"'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_button(
 p_id=>wwv_flow_imp.id(10520363309654936)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_imp.id(17131501807059044)
,p_button_name=>'Load_Statistics_cost'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--stretch:t-Button--gapTop'
,p_button_template_id=>wwv_flow_imp.id(26739430162954028)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Click for more Statistics'
,p_button_redirect_url=>'f?p=&APP_ID.:8:&SESSION.::&DEBUG.::P8_FILE_TYPE:COST'
,p_grid_new_row=>'Y'
,p_grid_column_span=>12
);
wwv_flow_imp_page.create_page_button(
 p_id=>wwv_flow_imp.id(8673997562638619)
,p_button_sequence=>90
,p_button_plug_id=>wwv_flow_imp.id(20834492612305689)
,p_button_name=>'Load_Statistics_Usage'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--stretch:t-Button--gapTop'
,p_button_template_id=>wwv_flow_imp.id(26739430162954028)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Click for more Statistics'
,p_button_redirect_url=>'f?p=&APP_ID.:8:&SESSION.::&DEBUG.::P8_FILE_TYPE:USAGE'
,p_grid_new_row=>'Y'
,p_grid_column_span=>12
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(17131303250059042)
,p_name=>'P1_USAGE_DAYS_BEHIND'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_imp.id(20834492612305689)
,p_prompt=>'Days Behind'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#ffffff; font-weight:bold;"'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(17131397841059043)
,p_name=>'P1_USAGE_FILES_TO_LOAD'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_imp.id(20834492612305689)
,p_prompt=>'Files to Load'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#ffffff; font-weight:bold;"'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(17131652432059045)
,p_name=>'P1_COST_LAST_LOAD_DATE'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(17131501807059044)
,p_prompt=>'Last Load Date'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#ffffff; font-weight:bold;"'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(17131694168059046)
,p_name=>'P1_COST_MAX_FILE_DATE'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(17131501807059044)
,p_prompt=>'Max File Date'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#ffffff; font-weight:bold;"'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(17131790164059047)
,p_name=>'P1_COST_DAYS_BEHIND'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(17131501807059044)
,p_prompt=>'Days Behind'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#ffffff; font-weight:bold;"'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(17131918790059048)
,p_name=>'P1_COST_FILES_TO_LOAD'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(17131501807059044)
,p_prompt=>'Files to Load'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#ffffff; font-weight:bold;"'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(17132206674059051)
,p_name=>'P1_STORAGE_GB'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_imp.id(28851420211457556)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(17132780849059056)
,p_name=>'P1_USAGE_FILE_LOAD_TIME'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_imp.id(20834492612305689)
,p_prompt=>'File Load Time (Sec)'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#ffffff; font-weight:bold;"'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(17132791023059057)
,p_name=>'P1_COST_FILE_LOAD_TIME'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_imp.id(17131501807059044)
,p_prompt=>'File Load Time (Sec)'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#ffffff; font-weight:bold;"'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(17133023456059059)
,p_name=>'P1_VERSION'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(28851420211457556)
,p_item_default=>'23.04.11'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(20834662212305690)
,p_name=>'P1_USAGE_LAST_LOAD_DATE'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(20834492612305689)
,p_prompt=>'Last Load Date'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#ffffff; font-weight:bold;"'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(20834779781305691)
,p_name=>'P1_USAGE_MAX_FILE_DATE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_imp.id(20834492612305689)
,p_prompt=>'Max File Date'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#ffffff; font-weight:bold;"'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28851524440457557)
,p_name=>'P1_WELCOME'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_imp.id(28851420211457556)
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Usage and Cost Reports to Autonomous database version &P1_VERSION.<br><br>',
'Created by <b>Adi Zohar</b>, Feb 2020-Apr 2023<br><br><br>',
'Application github <a target=_new href="https://github.com/oracle/oci-python-sdk/blob/master/examples/usage_reports_to_adw">link</a>, ',
'How To Manual <a target=_new href="https://github.com/oracle/oci-python-sdk/blob/master/examples/usage_reports_to_adw/step_by_step_howto.md">link</a>, ',
'',
'Please check <a target=_new href="https://github.com/oracle/oci-python-sdk/blob/master/examples/showoci">ShowOCI</a>.<br>',
'',
'<br>Total Storage Used <FONT COLOR="BLUE"><b>&P1_STORAGE_GB. GB</FONT></b><br>',
'<br>Total <FONT COLOR="BLUE"><b>&A_OCI_RESOURCES_COUNT.</FONT></b> Resource IDs and Names from ShowOCI.<br>',
'<H6><b>DISCLAIMER - This is not an official Oracle application.<br>',
'For any issue or suggestion please open ticket at <a target=_new href="https://github.com/oracle/oci-python-sdk/issues">GitHub Issues</a><b></H6>',
'',
'<H6>Copyright (c) 2016, 2023, Oracle and/or its affiliates.  All rights reserved.<br>',
'This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. ',
'You may choose either license.</H6>'))
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="font-weight:bold;font-size:13pt"'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_05=>'HTML'
);
wwv_flow_imp_page.create_page_process(
 p_id=>wwv_flow_imp.id(17132035491059049)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'PreFill_Usage'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin',
'    with data_usage as',
'    (',
'        select ',
'            to_char(load_start_time,''DD-MON-YYYY HH24:MI'') usage_last_load_date,',
'            to_char(FILE_DATE,''DD-MON-YYYY HH24:MI'')       usage_max_file_date,',
'            round(sysdate-FILE_DATE,1)    usage_days_behind,',
'            batch_total-batch_id          usage_files_to_load,',
'            round((LOAD_END_TIME-LOAD_START_TIME)*24*60*60,1) usage_file_load_time',
'        from',
'        (',
'            select ',
'                a.*,',
'                ROW_NUMBER() OVER (order by load_start_time desc) rn ',
'            from oci_load_status a',
'            where file_type=''USAGE''',
'        ) where rn=1',
'    )',
'    select ',
'        usage_last_load_date,',
'        usage_max_file_date,',
'        usage_days_behind,',
'        case ',
'            when usage_files_to_load = 0 then to_char(usage_files_to_load) ',
'            else to_char(usage_files_to_load)||'' (''||round(usage_files_to_load*usage_file_load_time/60,1)||'' minutes)'' ',
'            end usage_files_to_load,',
'        usage_file_load_time',
'    into',
'        :p1_usage_last_load_date,',
'        :p1_usage_max_file_date,',
'        :p1_usage_days_behind,',
'        :p1_usage_files_to_load,',
'        :p1_usage_file_load_time',
'    from',
'        data_usage;',
'',
'    EXCEPTION',
'      WHEN NO_DATA_FOUND THEN',
'        return;',
'end;'))
,p_process_clob_language=>'PLSQL'
);
wwv_flow_imp_page.create_page_process(
 p_id=>wwv_flow_imp.id(8463412871486801)
,p_process_sequence=>20
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'PreFill_Cost'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin',
'    with data_cost as',
'    (',
'        select ',
'            to_char(load_start_time,''DD-MON-YYYY HH24:MI'') cost_last_load_date,',
'            to_char(FILE_DATE,''DD-MON-YYYY HH24:MI'')       cost_max_file_date,',
'            round(sysdate-FILE_DATE,1)    cost_days_behind,',
'            batch_total-batch_id          cost_files_to_load,',
'            round((LOAD_END_TIME-LOAD_START_TIME)*24*60*60,1) cost_file_load_time',
'        from',
'        (',
'            select ',
'                a.*,',
'                ROW_NUMBER() OVER (order by load_start_time desc) rn ',
'            from oci_load_status a',
'            where file_type=''COST''',
'        ) where rn=1',
'    )',
'    select ',
'        cost_last_load_date,',
'        cost_max_file_date,',
'        cost_days_behind,',
'        case ',
'            when cost_files_to_load = 0 then to_char(cost_files_to_load) ',
'            else to_char(cost_files_to_load)||'' (''||round(cost_files_to_load*cost_file_load_time/60,1)||'' minutes)'' ',
'            end cost_files_to_load,',
'        cost_file_load_time',
'    into',
'        :p1_cost_last_load_date,',
'        :p1_cost_max_file_date,',
'        :p1_cost_days_behind,',
'        :p1_cost_files_to_load,',
'        :p1_cost_file_load_time',
'    from',
'        data_cost;',
'        ',
'    EXCEPTION',
'      WHEN NO_DATA_FOUND THEN',
'        return;',
'end;'))
,p_process_clob_language=>'PLSQL'
);
wwv_flow_imp_page.create_page_process(
 p_id=>wwv_flow_imp.id(8463598861486802)
,p_process_sequence=>30
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'PreFill_Size'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin',
'    select round(sum(bytes/1024/1024/1024),1) STORAGE_GB ',
'    into :p1_storage_gb',
'    from user_segments;',
'    EXCEPTION',
'      WHEN NO_DATA_FOUND THEN',
'        return;',
'end;'))
,p_process_clob_language=>'PLSQL'
);
end;
/
prompt --application/pages/page_00002
begin
wwv_flow_imp_page.create_page(
 p_id=>2
,p_name=>'Current State'
,p_step_title=>'Current State'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if ($v("P2_PRODUCT_REGION")   != "") {$("#P2_PRODUCT_REGION"  ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P2_PRODUCT_SERVICE")  != "") {$("#P2_PRODUCT_SERVICE" ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P2_COMPARTMENT_TOP")  != "") {$("#P2_COMPARTMENT_TOP" ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P2_COMPARTMENT_NAME") != "") {$("#P2_COMPARTMENT_NAME").css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P2_TAG1_SPECIAL")     != "") {$("#P2_TAG1_SPECIAL"    ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P2_TAG2_SPECIAL")     != "") {$("#P2_TAG2_SPECIAL"    ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P2_PRODUCT_RESOURCE") != "") {$("#P2_PRODUCT_RESOURCE").css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P2_TAG_DATA")         != "") {$("#P2_TAG_DATA"        ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P2_WINDOWS_OCPUS")    != "") {$("#P2_WINDOWS_OCPUS"   ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P2_TAG_KEY")          != "") {$("#P2_TAG_KEY"         ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P2_TENANT_ID")        != "") {$("#P2_TENANT_ID"       ).css({"background-color":"#ddffff", "font-weight":"bold"}); }'))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#report .t-fht-thead{',
'  overflow: auto !important;',
'}',
''))
,p_page_template_options=>'#DEFAULT#'
,p_page_component_map=>'18'
,p_last_updated_by=>'ADIZOHAR'
,p_last_upd_yyyymmddhh24miss=>'20230405004408'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(26823379352006433)
,p_plug_name=>'Filter'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader js-removeLandmark:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(26826030767006460)
,p_plug_name=>'ShowGraphs'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader js-removeLandmark:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_NOT_ZERO'
,p_plug_display_when_condition=>'P2_ROWS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(26823608680006435)
,p_plug_name=>'Report'
,p_region_name=>'report'
,p_parent_plug_id=>wwv_flow_imp.id(26826030767006460)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>50
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    tenant_id,',
'    prd_compartment_path, ',
'    prd_compartment_name, ',
'    prd_region, ',
'    prd_service, ',
'    prd_resource,',
'    USAGE_INTERVAL_START,',
'    USAGE_INTERVAL_END,',
'    USG_RESOURCE_ID,',
'    oci_resources.resource_name,',
'    sum(',
'		case when USG_CONSUMED_UNITS like ''%MS%'' ',
'        then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'		else USG_BILLED_QUANTITY',
'		end ',
'	) as USG_BILLED_QUANTITY,',
'        case ',
'            when prd_service = ''DEVOPS'' then ''BYTES'' -- to handle devops metering bug',
'            when USG_CONSUMED_UNITS like ''%MS%'' ',
'    		then replace(replace(USG_CONSUMED_UNITS,''MS'',''''),''_'','''')',
'		else USG_CONSUMED_UNITS',
'	end as USG_CONSUMED_UNITS, ',
'    USG_CONSUMED_MEASURE,',
'    TAG_SPECIAL,',
'    TAG_SPECIAL2,',
'    TAGS_DATA',
'from oci_usage, oci_resources',
'where ',
'    USG_RESOURCE_ID = oci_resources.resource_id (+) and',
'    oci_usage.tenant_name=:P2_TENANT_NAME and',
'    (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'    (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'    (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'    (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'    (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'    (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'    (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'    (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'    (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'    (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and ',
'    (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'    USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'    USG_BILLED_QUANTITY>0',
'group by ',
'	tenant_id,',
'    prd_compartment_path, ',
'	prd_compartment_name, ',
'	prd_region, ',
'	prd_service, ',
'	prd_resource, ',
'    USG_RESOURCE_ID,',
'    oci_resources.resource_name,',
'	USG_CONSUMED_UNITS, ',
'	USG_CONSUMED_MEASURE,',
'    USAGE_INTERVAL_START,',
'    USAGE_INTERVAL_END,',
'    TAGS_DATA,',
'    TAG_SPECIAL,',
'    TAG_SPECIAL2',
'order by 1,2,3,4',
'',
'',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>8.5
,p_prn_height=>11
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_plug_footer=>'<b><small>*** Resource Name only available from ShowOCI and not for all resources</small></b>'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(26823618787006436)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'USAGE'
,p_internal_uid=>9905307857740504
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(26823807396006437)
,p_db_column_name=>'PRD_COMPARTMENT_PATH'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Prd Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRD_COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(26823834977006438)
,p_db_column_name=>'PRD_COMPARTMENT_NAME'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Prd Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRD_COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(26824010113006439)
,p_db_column_name=>'PRD_REGION'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Prd Region'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRD_REGION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(26824088290006440)
,p_db_column_name=>'PRD_SERVICE'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Prd Service'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRD_SERVICE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(26824209011006441)
,p_db_column_name=>'PRD_RESOURCE'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Prd Resource'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRD_RESOURCE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(26824289325006442)
,p_db_column_name=>'USG_BILLED_QUANTITY'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Usg Billed Quantity'
,p_column_html_expression=>'<span style="white-space:nowrap;">#USG_BILLED_QUANTITY#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(26824368491006443)
,p_db_column_name=>'USG_CONSUMED_UNITS'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Usg Consumed Units'
,p_column_html_expression=>'<span style="white-space:nowrap;">#USG_CONSUMED_UNITS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(26824502596006444)
,p_db_column_name=>'USG_CONSUMED_MEASURE'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Usg Consumed Measure'
,p_column_html_expression=>'<span style="white-space:nowrap;">#USG_CONSUMED_MEASURE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(26843219690982053)
,p_db_column_name=>'USAGE_INTERVAL_START'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Usage Interval Start'
,p_column_html_expression=>'<span style="white-space:nowrap;">#USAGE_INTERVAL_START#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(26843404921982054)
,p_db_column_name=>'USAGE_INTERVAL_END'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Usage Interval End'
,p_column_html_expression=>'<span style="white-space:nowrap;">#USAGE_INTERVAL_END#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(27732849582431649)
,p_db_column_name=>'TAGS_DATA'
,p_display_order=>120
,p_column_identifier=>'L'
,p_column_label=>'Tags Data (Separated by #)'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TAGS_DATA#</span>'
,p_column_type=>'STRING'
,p_heading_alignment=>'LEFT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29224024867840161)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>130
,p_column_identifier=>'M'
,p_column_label=>'Tenant Id'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(28707416650443156)
,p_db_column_name=>'TAG_SPECIAL'
,p_display_order=>140
,p_column_identifier=>'N'
,p_column_label=>'Tag Special 1'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TAG_SPECIAL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(51691307214738373)
,p_db_column_name=>'TAG_SPECIAL2'
,p_display_order=>150
,p_column_identifier=>'P'
,p_column_label=>'Tag Special 2'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TAG_SPECIAL2#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49158526543081773)
,p_db_column_name=>'USG_RESOURCE_ID'
,p_display_order=>160
,p_column_identifier=>'O'
,p_column_label=>'Resource Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#USG_RESOURCE_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10722101087336618)
,p_db_column_name=>'RESOURCE_NAME'
,p_display_order=>170
,p_column_identifier=>'Q'
,p_column_label=>'Resource Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#RESOURCE_NAME#</span>'
,p_column_type=>'STRING'
,p_display_condition_type=>'ITEM_IS_NOT_ZERO'
,p_display_condition=>'A_OCI_RESOURCES_COUNT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(26835783869201214)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'99175'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_ID:PRD_COMPARTMENT_PATH:PRD_COMPARTMENT_NAME:PRD_REGION:PRD_SERVICE:PRD_RESOURCE:USG_BILLED_QUANTITY:USG_CONSUMED_UNITS:USG_CONSUMED_MEASURE:USAGE_INTERVAL_START:USAGE_INTERVAL_END:TAG_SPECIAL:TAG_SPECIAL2:USG_RESOURCE_ID:RESOURCE_NAME:TAGS_DA'
||'TA:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(49156092066081748)
,p_plug_name=>'Charts'
,p_parent_plug_id=>wwv_flow_imp.id(26826030767006460)
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--removeHeader js-removeLandmark:t-Region--noBorder:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>40
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P2_CHART_TABLE'
,p_plug_display_when_cond2=>'Charts'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(24267897412225637)
,p_plug_name=>'Storage Chart per Tag 1 Special Data TB'
,p_parent_plug_id=>wwv_flow_imp.id(49156092066081748)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>130
,p_plug_new_grid_row=>false
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(24267956091225638)
,p_region_id=>wwv_flow_imp.id(24267897412225637)
,p_chart_type=>'bar'
,p_height=>'500'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'horizontal'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'on'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'value-desc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'bottom'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(24268048186225639)
,p_chart_id=>wwv_flow_imp.id(24267956091225638)
,p_seq=>10
,p_name=>'Storage per Service in TB'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    tag_special,',
'    prd_service,',
'    USG_BILLED_QUANTITY',
'from    ',
'(',
'    select ',
'        tag_special,',
'        prd_service,',
'        round(sum(',
'            case ',
'                when USG_CONSUMED_UNITS = ''BYTES'' then USG_BILLED_QUANTITY/1000/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''KB'' then USG_BILLED_QUANTITY/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''MB'' then USG_BILLED_QUANTITY/1000/1000',
'                when USG_CONSUMED_UNITS = ''GB'' then USG_BILLED_QUANTITY/1000',
'                when USG_CONSUMED_UNITS = ''TB'' then USG_BILLED_QUANTITY',
'            end',
'        ),2) as USG_BILLED_QUANTITY',
'    from ',
'    (',
'        select ',
'            tag_special,',
'            prd_service, ',
'            sum(',
'                case when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'                else USG_BILLED_QUANTITY',
'                end ',
'            ) as USG_BILLED_QUANTITY,',
'            case ',
'                when prd_service = ''DEVOPS'' then ''BYTES'' -- to handle devops metering bug',
'                when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then replace(replace(USG_CONSUMED_UNITS,''MS'',''''),''_'','''')',
'                else USG_CONSUMED_UNITS',
'            end as USG_CONSUMED_UNITS',
'        from oci_usage',
'        where ',
'            tenant_name=:P2_TENANT_NAME and',
'            (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'            (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'            (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'            (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'            (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'            (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'            (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'            (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'            (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'            (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'            (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'            USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'            USG_BILLED_QUANTITY>0 and',
'            USG_CONSUMED_MEASURE=''STORAGE_SIZE'' and',
'            tag_special is not null',
'        group by ',
'            tag_special,',
'            prd_service,',
'            USG_CONSUMED_UNITS',
'    )',
'    group by tag_special, prd_service order by 3 desc',
') where USG_BILLED_QUANTITY > -0',
'',
''))
,p_series_name_column_name=>'PRD_SERVICE'
,p_items_value_column_name=>'USG_BILLED_QUANTITY'
,p_group_short_desc_column_name=>'USG_BILLED_QUANTITY'
,p_items_label_column_name=>'TAG_SPECIAL'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'insideBarEdge'
,p_items_label_display_as=>'PERCENT'
,p_items_label_font_family=>'Arial'
,p_items_label_font_style=>'normal'
,p_items_label_font_size=>'8'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(24268262642225641)
,p_chart_id=>wwv_flow_imp.id(24267956091225638)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(24268138029225640)
,p_chart_id=>wwv_flow_imp.id(24267956091225638)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(26824647947006446)
,p_plug_name=>'OCPUs Chart per Compartment'
,p_parent_plug_id=>wwv_flow_imp.id(49156092066081748)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>100
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(26824734756006447)
,p_region_id=>wwv_flow_imp.id(26824647947006446)
,p_chart_type=>'bar'
,p_height=>'500'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'horizontal'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'on'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'value-desc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'bottom'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(26824813162006448)
,p_chart_id=>wwv_flow_imp.id(26824734756006447)
,p_seq=>10
,p_name=>'OCPUs per Service'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    prd_compartment_name,',
'    prd_service, ',
'    sum(',
'		case when USG_CONSUMED_UNITS like ''%MS%'' ',
'        then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'		else USG_BILLED_QUANTITY',
'		end ',
'	) as USG_BILLED_QUANTITY',
'from oci_usage',
'where ',
'    tenant_name=:P2_TENANT_NAME and',
'    (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'    (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'    (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'    (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'    USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'    (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'    (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'    (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'    (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'    (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'    (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'    (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'    USG_BILLED_QUANTITY>0 and',
'    USG_CONSUMED_MEASURE=''OCPUS''',
'group by ',
'	prd_compartment_name, prd_service',
'order by 3 desc',
'',
'',
'',
''))
,p_series_name_column_name=>'PRD_SERVICE'
,p_items_value_column_name=>'USG_BILLED_QUANTITY'
,p_group_short_desc_column_name=>'USG_BILLED_QUANTITY'
,p_items_label_column_name=>'PRD_COMPARTMENT_NAME'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'insideBarEdge'
,p_items_label_display_as=>'PERCENT'
,p_items_label_font_style=>'normal'
,p_items_label_font_size=>'8'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(26825091511006450)
,p_chart_id=>wwv_flow_imp.id(26824734756006447)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(26824984317006449)
,p_chart_id=>wwv_flow_imp.id(26824734756006447)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(26825132571006451)
,p_plug_name=>'Storage Chart per Compartment in TB'
,p_parent_plug_id=>wwv_flow_imp.id(49156092066081748)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>110
,p_plug_new_grid_row=>false
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(26825299711006452)
,p_region_id=>wwv_flow_imp.id(26825132571006451)
,p_chart_type=>'bar'
,p_height=>'500'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'horizontal'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'on'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'value-desc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'bottom'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(26825356177006453)
,p_chart_id=>wwv_flow_imp.id(26825299711006452)
,p_seq=>10
,p_name=>'Storage per Service in TB'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    prd_compartment_name,',
'    prd_service,',
'    USG_BILLED_QUANTITY',
'from',
'(    ',
'    select ',
'        prd_compartment_name,',
'        prd_service,',
'        round(sum(',
'            case ',
'                when USG_CONSUMED_UNITS = ''BYTES'' then USG_BILLED_QUANTITY/1000/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''KB'' then USG_BILLED_QUANTITY/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''MB'' then USG_BILLED_QUANTITY/1000/1000',
'                when USG_CONSUMED_UNITS = ''GB'' then USG_BILLED_QUANTITY/1000',
'                when USG_CONSUMED_UNITS = ''TB'' then USG_BILLED_QUANTITY',
'            end',
'        ),2) as USG_BILLED_QUANTITY',
'    from ',
'    (',
'        select ',
'            prd_compartment_name,',
'            prd_service, ',
'            sum(',
'                case when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'                else USG_BILLED_QUANTITY',
'                end ',
'            ) as USG_BILLED_QUANTITY,',
'            case ',
'                when prd_service = ''DEVOPS'' then ''BYTES'' -- to handle devops metering bug',
'                when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then replace(replace(USG_CONSUMED_UNITS,''MS'',''''),''_'','''')',
'                else USG_CONSUMED_UNITS',
'            end as USG_CONSUMED_UNITS',
'        from oci_usage',
'        where ',
'            tenant_name=:P2_TENANT_NAME and',
'            (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'            (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'            (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'            (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'            (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'            (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'            (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'            (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'            (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'            (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'            (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'            USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'            USG_BILLED_QUANTITY>0 and',
'            USG_CONSUMED_MEASURE=''STORAGE_SIZE''',
'        group by ',
'            prd_compartment_name,',
'            prd_service,',
'            USG_CONSUMED_UNITS',
'    )',
'    group by prd_compartment_name, prd_service order by 3 desc',
') where USG_BILLED_QUANTITY>0',
'',
''))
,p_series_name_column_name=>'PRD_SERVICE'
,p_items_value_column_name=>'USG_BILLED_QUANTITY'
,p_group_short_desc_column_name=>'USG_BILLED_QUANTITY'
,p_items_label_column_name=>'PRD_COMPARTMENT_NAME'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'insideBarEdge'
,p_items_label_display_as=>'PERCENT'
,p_items_label_font_family=>'Arial'
,p_items_label_font_style=>'normal'
,p_items_label_font_size=>'8'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(26825573779006455)
,p_chart_id=>wwv_flow_imp.id(26825299711006452)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(26825507935006454)
,p_chart_id=>wwv_flow_imp.id(26825299711006452)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
end;
/
begin
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(26827716083006477)
,p_plug_name=>'OCPUs Resource Chart'
,p_parent_plug_id=>wwv_flow_imp.id(49156092066081748)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>80
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(26827862673006478)
,p_region_id=>wwv_flow_imp.id(26827716083006477)
,p_chart_type=>'bar'
,p_height=>'500'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'off'
,p_stack_label=>'off'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'bottom'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(26827985614006479)
,p_chart_id=>wwv_flow_imp.id(26827862673006478)
,p_seq=>10
,p_name=>'OCPUs per Resource'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    prd_resource, ',
'    sum(',
'		case when USG_CONSUMED_UNITS like ''%MS%'' ',
'        then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'		else USG_BILLED_QUANTITY',
'		end ',
'	) as USG_BILLED_QUANTITY',
'from oci_usage',
'where ',
'    tenant_name=:P2_TENANT_NAME and',
'    (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'    (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'    (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'    (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'    (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'    (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'    (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'    (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'    (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'    (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'    (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'    USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'    USG_BILLED_QUANTITY>0 and',
'    USG_CONSUMED_MEASURE=''OCPUS''',
'group by ',
'	prd_resource',
'order by 2 desc',
'',
'',
'',
''))
,p_items_value_column_name=>'USG_BILLED_QUANTITY'
,p_group_short_desc_column_name=>'USG_BILLED_QUANTITY'
,p_items_label_column_name=>'PRD_RESOURCE'
,p_color=>'#4CD964'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'auto'
,p_items_label_display_as=>'PERCENT'
,p_items_label_font_size=>'10'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(26828122311006481)
,p_chart_id=>wwv_flow_imp.id(26827862673006478)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(26828094446006480)
,p_chart_id=>wwv_flow_imp.id(26827862673006478)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(26841340568982034)
,p_plug_name=>'OCPUs Product Chart'
,p_parent_plug_id=>wwv_flow_imp.id(49156092066081748)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>40
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(26841501172982035)
,p_region_id=>wwv_flow_imp.id(26841340568982034)
,p_chart_type=>'bar'
,p_height=>'500'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'off'
,p_stack_label=>'off'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'bottom'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(26841608215982036)
,p_chart_id=>wwv_flow_imp.id(26841501172982035)
,p_seq=>10
,p_name=>'OCPUs per Service'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    prd_service, ',
'    sum(',
'		case when USG_CONSUMED_UNITS like ''%MS%'' ',
'        then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'		else USG_BILLED_QUANTITY',
'		end ',
'	) as USG_BILLED_QUANTITY',
'from oci_usage',
'where ',
'    tenant_name=:P2_TENANT_NAME and',
'    (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'    (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'    (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'    (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'    (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'    (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'    (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'    (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'    (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'    (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'    (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'    USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'    USG_BILLED_QUANTITY>0 and',
'    USG_CONSUMED_MEASURE=''OCPUS''',
'group by ',
'	prd_service',
'order by 2 desc',
'',
'',
'',
''))
,p_items_value_column_name=>'USG_BILLED_QUANTITY'
,p_group_short_desc_column_name=>'USG_BILLED_QUANTITY'
,p_items_label_column_name=>'PRD_SERVICE'
,p_color=>'#4CD964'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'auto'
,p_items_label_display_as=>'PERCENT'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(26841615784982037)
,p_chart_id=>wwv_flow_imp.id(26841501172982035)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(26841787845982038)
,p_chart_id=>wwv_flow_imp.id(26841501172982035)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(26841852096982039)
,p_plug_name=>'Storage Chart in TB'
,p_parent_plug_id=>wwv_flow_imp.id(49156092066081748)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>50
,p_plug_new_grid_row=>false
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(26841951257982040)
,p_region_id=>wwv_flow_imp.id(26841852096982039)
,p_chart_type=>'bar'
,p_height=>'500'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'off'
,p_stack_label=>'off'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'bottom'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(26842054651982041)
,p_chart_id=>wwv_flow_imp.id(26841951257982040)
,p_seq=>10
,p_name=>'Storage per Service in TB'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select',
'prd_service, USG_BILLED_QUANTITY',
'from',
'(',
'    select ',
'        prd_service,',
'        round(sum(',
'            case ',
'                when USG_CONSUMED_UNITS = ''BYTES'' then USG_BILLED_QUANTITY/1000/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''KB'' then USG_BILLED_QUANTITY/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''MB'' then USG_BILLED_QUANTITY/1000/1000',
'                when USG_CONSUMED_UNITS = ''GB'' then USG_BILLED_QUANTITY/1000',
'                when USG_CONSUMED_UNITS = ''TB'' then USG_BILLED_QUANTITY',
'            end',
'        ),2) as USG_BILLED_QUANTITY',
'    from ',
'    (',
'        select ',
'            prd_service, ',
'            sum(',
'                case when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'                else USG_BILLED_QUANTITY',
'                end ',
'            ) as USG_BILLED_QUANTITY,',
'            case ',
'                when prd_service = ''DEVOPS'' then ''BYTES'' -- to handle devops metering bug',
'                when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then replace(replace(USG_CONSUMED_UNITS,''MS'',''''),''_'','''')',
'                else USG_CONSUMED_UNITS',
'            end as USG_CONSUMED_UNITS',
'        from oci_usage',
'        where ',
'            tenant_name=:P2_TENANT_NAME and',
'            (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'            (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'            (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'            (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'            (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'            (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'            (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'            (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'            (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'            (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'            (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'            USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'            USG_BILLED_QUANTITY>0 and',
'            USG_CONSUMED_MEASURE=''STORAGE_SIZE''',
'        group by ',
'            prd_service,',
'            USG_CONSUMED_UNITS',
'    )',
'    group by prd_service order by 2 desc',
') where USG_BILLED_QUANTITY>0',
'',
''))
,p_items_value_column_name=>'USG_BILLED_QUANTITY'
,p_group_short_desc_column_name=>'USG_BILLED_QUANTITY'
,p_items_label_column_name=>'PRD_SERVICE'
,p_color=>'#34AADC'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'auto'
,p_items_label_display_as=>'PERCENT'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(26842147132982042)
,p_chart_id=>wwv_flow_imp.id(26841951257982040)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(26842226334982043)
,p_chart_id=>wwv_flow_imp.id(26841951257982040)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(27731634358431637)
,p_plug_name=>'Storage Resource in TB'
,p_parent_plug_id=>wwv_flow_imp.id(49156092066081748)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>90
,p_plug_new_grid_row=>false
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(27731738373431638)
,p_region_id=>wwv_flow_imp.id(27731634358431637)
,p_chart_type=>'bar'
,p_height=>'500'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'off'
,p_stack_label=>'off'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'bottom'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(27731900911431639)
,p_chart_id=>wwv_flow_imp.id(27731738373431638)
,p_seq=>10
,p_name=>'Storage per Resource  in TB'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select prd_resource, USG_BILLED_QUANTITY',
'from',
'(',
'    select ',
'        prd_resource,',
'        round(sum(',
'            case ',
'                when USG_CONSUMED_UNITS = ''BYTES'' then USG_BILLED_QUANTITY/1000/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''KB'' then USG_BILLED_QUANTITY/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''MB'' then USG_BILLED_QUANTITY/1000/1000',
'                when USG_CONSUMED_UNITS = ''GB'' then USG_BILLED_QUANTITY/1000',
'                when USG_CONSUMED_UNITS = ''TB'' then USG_BILLED_QUANTITY',
'            end',
'        ),2) as USG_BILLED_QUANTITY',
'    from ',
'    (',
'        select ',
'            prd_resource, ',
'            sum(',
'                case when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'                else USG_BILLED_QUANTITY',
'                end ',
'            ) as USG_BILLED_QUANTITY,',
'            case ',
'                when prd_service = ''DEVOPS'' then ''BYTES'' -- to handle devops metering bug',
'                when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then replace(replace(USG_CONSUMED_UNITS,''MS'',''''),''_'','''')',
'                else USG_CONSUMED_UNITS',
'            end as USG_CONSUMED_UNITS',
'        from oci_usage',
'        where ',
'            tenant_name=:P2_TENANT_NAME and',
'            (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'            (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'            (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'            (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'            (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'            (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'            (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'            (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'            (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'            (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'            (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'            USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'            USG_BILLED_QUANTITY>0 and',
'            USG_CONSUMED_MEASURE=''STORAGE_SIZE''',
'        group by ',
'            prd_resource,',
'            USG_CONSUMED_UNITS,',
'            prd_service',
'    )',
'    group by prd_resource order by 2 desc',
') where USG_BILLED_QUANTITY> 0 ',
'',
''))
,p_items_value_column_name=>'USG_BILLED_QUANTITY'
,p_group_short_desc_column_name=>'USG_BILLED_QUANTITY'
,p_items_label_column_name=>'PRD_RESOURCE'
,p_color=>'#34AADC'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'auto'
,p_items_label_display_as=>'PERCENT'
,p_items_label_font_size=>'10'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(27732004941431640)
,p_chart_id=>wwv_flow_imp.id(27731738373431638)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(27732107327431641)
,p_chart_id=>wwv_flow_imp.id(27731738373431638)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(28707578211443157)
,p_plug_name=>'OCPUs Chart per Tag 1 Special Data'
,p_parent_plug_id=>wwv_flow_imp.id(49156092066081748)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>120
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(28707645099443158)
,p_region_id=>wwv_flow_imp.id(28707578211443157)
,p_chart_type=>'bar'
,p_height=>'500'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'horizontal'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'on'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'value-desc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'bottom'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(28707725980443159)
,p_chart_id=>wwv_flow_imp.id(28707645099443158)
,p_seq=>10
,p_name=>'OCPUs per Service'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    tag_special,',
'    prd_service, ',
'    sum(',
'		case when USG_CONSUMED_UNITS like ''%MS%'' ',
'        then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'		else USG_BILLED_QUANTITY',
'		end ',
'	) as USG_BILLED_QUANTITY',
'from oci_usage',
'where ',
'    tenant_name=:P2_TENANT_NAME and',
'    (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'    (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'    (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'    (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'    USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'    (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'    (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'    (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'    (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'    (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'    (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'    (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'    USG_BILLED_QUANTITY>0 and',
'    USG_CONSUMED_MEASURE=''OCPUS'' and',
'    tag_special is not null',
'group by ',
'	tag_special, prd_service',
'order by 3 desc',
'',
'',
'',
''))
,p_series_name_column_name=>'PRD_SERVICE'
,p_items_value_column_name=>'USG_BILLED_QUANTITY'
,p_group_short_desc_column_name=>'USG_BILLED_QUANTITY'
,p_items_label_column_name=>'TAG_SPECIAL'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'insideBarEdge'
,p_items_label_display_as=>'PERCENT'
,p_items_label_font_style=>'normal'
,p_items_label_font_size=>'8'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(28708005772443161)
,p_chart_id=>wwv_flow_imp.id(28707645099443158)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(28707880400443160)
,p_chart_id=>wwv_flow_imp.id(28707645099443158)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(28708099630443162)
,p_plug_name=>'Storage Chart per Tag 2 Special Data TB'
,p_parent_plug_id=>wwv_flow_imp.id(49156092066081748)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>150
,p_plug_new_grid_row=>false
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(28708206464443163)
,p_region_id=>wwv_flow_imp.id(28708099630443162)
,p_chart_type=>'bar'
,p_height=>'500'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'horizontal'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'on'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'value-desc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'bottom'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(28708257134443164)
,p_chart_id=>wwv_flow_imp.id(28708206464443163)
,p_seq=>10
,p_name=>'Storage per Service in TB'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    tag_special,',
'    prd_service,',
'    USG_BILLED_QUANTITY',
'from    ',
'(',
'    select ',
'        tag_special,',
'        prd_service,',
'        round(sum(',
'            case ',
'                when USG_CONSUMED_UNITS = ''BYTES'' then USG_BILLED_QUANTITY/1000/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''KB'' then USG_BILLED_QUANTITY/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''MB'' then USG_BILLED_QUANTITY/1000/1000',
'                when USG_CONSUMED_UNITS = ''GB'' then USG_BILLED_QUANTITY/1000',
'                when USG_CONSUMED_UNITS = ''TB'' then USG_BILLED_QUANTITY',
'            end',
'        ),2) as USG_BILLED_QUANTITY',
'    from ',
'    (',
'        select ',
'            tag_special2 tag_special,',
'            prd_service, ',
'            sum(',
'                case when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'                else USG_BILLED_QUANTITY',
'                end ',
'            ) as USG_BILLED_QUANTITY,',
'            case ',
'                when prd_service = ''DEVOPS'' then ''BYTES'' -- to handle devops metering bug',
'                when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then replace(replace(USG_CONSUMED_UNITS,''MS'',''''),''_'','''')',
'                else USG_CONSUMED_UNITS',
'            end as USG_CONSUMED_UNITS',
'        from oci_usage',
'        where ',
'            tenant_name=:P2_TENANT_NAME and',
'            (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'            (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'            (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'            (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'            (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'            (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'            (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'            (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'            (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'            (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'            (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'            USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'            USG_BILLED_QUANTITY>0 and',
'            USG_CONSUMED_MEASURE=''STORAGE_SIZE'' and',
'            tag_special2 is not null',
'        group by ',
'            tag_special2,',
'            prd_service,',
'            USG_CONSUMED_UNITS',
'    )',
'    group by tag_special, prd_service order by 3 desc',
') where USG_BILLED_QUANTITY > -0',
'',
''))
,p_series_name_column_name=>'PRD_SERVICE'
,p_items_value_column_name=>'USG_BILLED_QUANTITY'
,p_group_short_desc_column_name=>'USG_BILLED_QUANTITY'
,p_items_label_column_name=>'TAG_SPECIAL'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'insideBarEdge'
,p_items_label_display_as=>'PERCENT'
,p_items_label_font_family=>'Arial'
,p_items_label_font_style=>'normal'
,p_items_label_font_size=>'8'
,p_threshold_display=>'onIndicator'
);
end;
/
begin
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(28708470304443166)
,p_chart_id=>wwv_flow_imp.id(28708206464443163)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(28708379349443165)
,p_chart_id=>wwv_flow_imp.id(28708206464443163)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(51692149001738382)
,p_plug_name=>'OCPUs Chart per Tag 2 Special Data'
,p_parent_plug_id=>wwv_flow_imp.id(49156092066081748)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>140
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(24267505620225633)
,p_region_id=>wwv_flow_imp.id(51692149001738382)
,p_chart_type=>'bar'
,p_height=>'500'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'horizontal'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'on'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'value-desc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'bottom'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(24267558836225634)
,p_chart_id=>wwv_flow_imp.id(24267505620225633)
,p_seq=>10
,p_name=>'OCPUs per Service'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    tag_special2 tag_special,',
'    prd_service, ',
'    sum(',
'		case when USG_CONSUMED_UNITS like ''%MS%'' ',
'        then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'		else USG_BILLED_QUANTITY',
'		end ',
'	) as USG_BILLED_QUANTITY',
'from oci_usage',
'where ',
'    tenant_name=:P2_TENANT_NAME and',
'    (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'    (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'    (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'    (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'    USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'    (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'    (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'    (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'    (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'    (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'    (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'    (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'    USG_BILLED_QUANTITY>0 and',
'    USG_CONSUMED_MEASURE=''OCPUS'' and',
'    tag_special2 is not null',
'group by ',
'	tag_special2, prd_service',
'order by 3 desc',
'',
'',
'',
''))
,p_series_name_column_name=>'PRD_SERVICE'
,p_items_value_column_name=>'USG_BILLED_QUANTITY'
,p_group_short_desc_column_name=>'USG_BILLED_QUANTITY'
,p_items_label_column_name=>'TAG_SPECIAL'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'insideBarEdge'
,p_items_label_display_as=>'PERCENT'
,p_items_label_font_style=>'normal'
,p_items_label_font_size=>'8'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(24267766961225636)
,p_chart_id=>wwv_flow_imp.id(24267505620225633)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(24267643609225635)
,p_chart_id=>wwv_flow_imp.id(24267505620225633)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(49156113261081749)
,p_plug_name=>'Tables'
,p_parent_plug_id=>wwv_flow_imp.id(26826030767006460)
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--removeHeader js-removeLandmark:t-Region--noBorder:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>20
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P2_CHART_TABLE'
,p_plug_display_when_cond2=>'Tables'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(28899956735705180)
,p_plug_name=>'OCPUs Product Table'
,p_parent_plug_id=>wwv_flow_imp.id(49156113261081749)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>10
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    prd_service, ',
'    sum(',
'		case when USG_CONSUMED_UNITS like ''%MS%'' ',
'        then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'		else USG_BILLED_QUANTITY',
'		end ',
'	) as USG_BILLED_QUANTITY',
'from oci_usage',
'where ',
'    tenant_name=:P2_TENANT_NAME and',
'    (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'    (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'    (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'    (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'    (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'    (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'    (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'    (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'    (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'    (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'    (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'    USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'    USG_BILLED_QUANTITY>0 and',
'    USG_CONSUMED_MEASURE=''OCPUS''',
'group by ',
'	prd_service',
'order by 2 desc',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCPUs'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(28900018262705181)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11981707333439249
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(28900182216705182)
,p_db_column_name=>'PRD_SERVICE'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Service'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49154526202081733)
,p_db_column_name=>'USG_BILLED_QUANTITY'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'OCPUs'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(49163015965087358)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'322448'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'PRD_SERVICE:USG_BILLED_QUANTITY'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(49154653122081734)
,p_plug_name=>'Storage Table in TB'
,p_parent_plug_id=>wwv_flow_imp.id(49156113261081749)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>30
,p_plug_new_grid_row=>false
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select',
'prd_service, USG_BILLED_QUANTITY',
'from',
'(',
'    select ',
'        prd_service,',
'        round(sum(',
'            case ',
'                when USG_CONSUMED_UNITS = ''BYTES'' then USG_BILLED_QUANTITY/1000/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''KB'' then USG_BILLED_QUANTITY/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''MB'' then USG_BILLED_QUANTITY/1000/1000',
'                when USG_CONSUMED_UNITS = ''GB'' then USG_BILLED_QUANTITY/1000',
'                when USG_CONSUMED_UNITS = ''TB'' then USG_BILLED_QUANTITY',
'            end',
'        ),2) as USG_BILLED_QUANTITY',
'    from ',
'    (',
'        select ',
'            prd_service, ',
'            sum(',
'                case when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'                else USG_BILLED_QUANTITY',
'                end ',
'            ) as USG_BILLED_QUANTITY,',
'            case ',
'                when prd_service = ''DEVOPS'' then ''BYTES'' -- to handle devops metering bug',
'                when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then replace(replace(USG_CONSUMED_UNITS,''MS'',''''),''_'','''')',
'                else USG_CONSUMED_UNITS',
'            end as USG_CONSUMED_UNITS',
'        from oci_usage',
'        where ',
'            tenant_name=:P2_TENANT_NAME and',
'            (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'            (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'            (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'            (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'            (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'            (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'            (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'            (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'            (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'            (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'            (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'            USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'            USG_BILLED_QUANTITY>0 and',
'            USG_CONSUMED_MEASURE=''STORAGE_SIZE''',
'        group by ',
'            prd_service,',
'            USG_CONSUMED_UNITS',
'    )',
'    group by prd_service order by 2 desc',
') where USG_BILLED_QUANTITY>0',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(49154789224081735)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>32236478294815803
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49154897072081736)
,p_db_column_name=>'PRD_SERVICE'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Service'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49154985365081737)
,p_db_column_name=>'USG_BILLED_QUANTITY'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Storage in TB'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(49167982281122258)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'322497'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'PRD_SERVICE:USG_BILLED_QUANTITY'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(49155088402081738)
,p_plug_name=>'OCPUs Resource Table'
,p_parent_plug_id=>wwv_flow_imp.id(49156113261081749)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>60
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    prd_resource, ',
'    sum(',
'		case when USG_CONSUMED_UNITS like ''%MS%'' ',
'        then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'		else USG_BILLED_QUANTITY',
'		end ',
'	) as USG_BILLED_QUANTITY',
'from oci_usage',
'where ',
'    tenant_name=:P2_TENANT_NAME and',
'    (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'    (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'    (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'    (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'    (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'    (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'    (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'    (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'    (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'    (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'    (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'    USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'    USG_BILLED_QUANTITY>0 and',
'    USG_CONSUMED_MEASURE=''OCPUS''',
'group by ',
'	prd_resource',
'order by 2 desc',
'',
'',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(49155207273081739)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>32236896343815807
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49155874191081746)
,p_db_column_name=>'PRD_RESOURCE'
,p_display_order=>10
,p_column_identifier=>'B'
,p_column_label=>' Resource'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49155329943081741)
,p_db_column_name=>'USG_BILLED_QUANTITY'
,p_display_order=>20
,p_column_identifier=>'A'
,p_column_label=>'OCPUs'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(49174774796155226)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'322565'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'PRD_RESOURCE:USG_BILLED_QUANTITY:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(49155479481081742)
,p_plug_name=>'Storage Resource Table in TB'
,p_parent_plug_id=>wwv_flow_imp.id(49156113261081749)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>70
,p_plug_new_grid_row=>false
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select prd_resource, USG_BILLED_QUANTITY',
'from',
'(',
'    select ',
'        prd_resource,',
'        round(sum(',
'            case ',
'                when USG_CONSUMED_UNITS = ''BYTES'' then USG_BILLED_QUANTITY/1000/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''KB'' then USG_BILLED_QUANTITY/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''MB'' then USG_BILLED_QUANTITY/1000/1000',
'                when USG_CONSUMED_UNITS = ''GB'' then USG_BILLED_QUANTITY/1000',
'                when USG_CONSUMED_UNITS = ''TB'' then USG_BILLED_QUANTITY',
'            end',
'        ),2) as USG_BILLED_QUANTITY',
'    from ',
'    (',
'        select ',
'            prd_resource, ',
'            sum(',
'                case when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'                else USG_BILLED_QUANTITY',
'                end ',
'            ) as USG_BILLED_QUANTITY,',
'            case ',
'                when prd_service = ''DEVOPS'' then ''BYTES'' -- to handle devops metering bug',
'                when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then replace(replace(USG_CONSUMED_UNITS,''MS'',''''),''_'','''')',
'                else USG_CONSUMED_UNITS',
'            end as USG_CONSUMED_UNITS',
'        from oci_usage',
'        where ',
'            tenant_name=:P2_TENANT_NAME and',
'            (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'            (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'            (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'            (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'            (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'            (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'            (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'            (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'            (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'            (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'            (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'            USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'            USG_BILLED_QUANTITY>0 and',
'            USG_CONSUMED_MEASURE=''STORAGE_SIZE''',
'        group by ',
'            prd_resource,',
'            USG_CONSUMED_UNITS,',
'            prd_service',
'    )',
'    group by prd_resource order by 2 desc',
') where USG_BILLED_QUANTITY> 0 ',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(49155583268081743)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>32237272338815811
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49155952001081747)
,p_db_column_name=>'PRD_RESOURCE'
,p_display_order=>10
,p_column_identifier=>'B'
,p_column_label=>'Resource'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49155785243081745)
,p_db_column_name=>'USG_BILLED_QUANTITY'
,p_display_order=>20
,p_column_identifier=>'A'
,p_column_label=>'Storage in TB'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(49175336241155240)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'322571'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'PRD_RESOURCE:USG_BILLED_QUANTITY:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(49156220099081750)
,p_plug_name=>'OCPUs Per Compartment'
,p_parent_plug_id=>wwv_flow_imp.id(49156113261081749)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>80
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    prd_compartment_path,',
'    prd_compartment_name,',
'    sum(',
'		case when USG_CONSUMED_UNITS like ''%MS%'' ',
'        then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'		else USG_BILLED_QUANTITY',
'		end ',
'	) as USG_BILLED_QUANTITY',
'from oci_usage',
'where ',
'    tenant_name=:P2_TENANT_NAME and',
'    (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'    (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'    (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'    (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'    USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'    (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'    (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'    (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'    (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'    (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'    (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'    (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'    USG_BILLED_QUANTITY>0 and',
'    USG_CONSUMED_MEASURE=''OCPUS''',
'group by ',
'    prd_compartment_path,',
'	prd_compartment_name',
'order by 3 desc',
'',
'',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(49156323986081751)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>32238013056815819
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49157023860081758)
,p_db_column_name=>'PRD_COMPARTMENT_NAME'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Compartment Name'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49158640599081774)
,p_db_column_name=>'PRD_COMPARTMENT_PATH'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Compartment Path'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49156484916081752)
,p_db_column_name=>'USG_BILLED_QUANTITY'
,p_display_order=>40
,p_column_identifier=>'A'
,p_column_label=>'OCPUs'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(49190588457224753)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'322723'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'PRD_COMPARTMENT_PATH:PRD_COMPARTMENT_NAME:USG_BILLED_QUANTITY:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(49156661803081754)
,p_plug_name=>'Storage Per Compartment in TB'
,p_parent_plug_id=>wwv_flow_imp.id(49156113261081749)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>90
,p_plug_new_grid_row=>false
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    prd_compartment_name,',
'    prd_compartment_path,',
'    USG_BILLED_QUANTITY',
'from',
'(    ',
'    select ',
'        prd_compartment_path,',
'        prd_compartment_name,',
'        round(sum(',
'            case ',
'                when USG_CONSUMED_UNITS = ''BYTES'' then USG_BILLED_QUANTITY/1000/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''KB'' then USG_BILLED_QUANTITY/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''MB'' then USG_BILLED_QUANTITY/1000/1000',
'                when USG_CONSUMED_UNITS = ''GB'' then USG_BILLED_QUANTITY/1000',
'                when USG_CONSUMED_UNITS = ''TB'' then USG_BILLED_QUANTITY',
'            end',
'        ),2) as USG_BILLED_QUANTITY',
'    from ',
'    (',
'        select ',
'            prd_compartment_path,',
'            prd_compartment_name,',
'            prd_service, ',
'            sum(',
'                case when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'                else USG_BILLED_QUANTITY',
'                end ',
'            ) as USG_BILLED_QUANTITY,',
'            case ',
'                when prd_service = ''DEVOPS'' then ''BYTES'' -- to handle devops metering bug',
'                when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then replace(replace(USG_CONSUMED_UNITS,''MS'',''''),''_'','''')',
'                else USG_CONSUMED_UNITS',
'            end as USG_CONSUMED_UNITS',
'        from oci_usage',
'        where ',
'            tenant_name=:P2_TENANT_NAME and',
'            (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'            (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'            (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'            (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'            (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'            (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'            (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'            (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'            (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'            (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'            (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'            USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'            USG_BILLED_QUANTITY>0 and',
'            USG_CONSUMED_MEASURE=''STORAGE_SIZE''',
'        group by ',
'            prd_compartment_path,',
'            prd_compartment_name,',
'            prd_service,',
'            USG_CONSUMED_UNITS',
'    )',
'    group by prd_compartment_path, prd_compartment_name order by 3 desc',
') where USG_BILLED_QUANTITY>0',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(49156723070081755)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>32238412140815823
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49158764665081775)
,p_db_column_name=>'PRD_COMPARTMENT_PATH'
,p_display_order=>10
,p_column_identifier=>'D'
,p_column_label=>'Prd Compartment Path'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49157217396081760)
,p_db_column_name=>'PRD_COMPARTMENT_NAME'
,p_display_order=>20
,p_column_identifier=>'C'
,p_column_label=>'Compartment Name'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49156850533081756)
,p_db_column_name=>'USG_BILLED_QUANTITY'
,p_display_order=>30
,p_column_identifier=>'A'
,p_column_label=>'Storage in TB'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(49191188975224771)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'322729'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'PRD_COMPARTMENT_PATH:PRD_COMPARTMENT_NAME:USG_BILLED_QUANTITY:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(49157471360081762)
,p_plug_name=>'OCPUs Per Tag 1 Special'
,p_parent_plug_id=>wwv_flow_imp.id(49156113261081749)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>100
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    tag_special,',
'    sum(',
'		case when USG_CONSUMED_UNITS like ''%MS%'' ',
'        then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'		else USG_BILLED_QUANTITY',
'		end ',
'	) as USG_BILLED_QUANTITY',
'from oci_usage',
'where ',
'    tenant_name=:P2_TENANT_NAME and',
'    (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'    (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'    (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'    (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'    USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'    (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'    (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'    (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'    (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'    (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'    (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'    (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'    USG_BILLED_QUANTITY>0 and',
'    USG_CONSUMED_MEASURE=''OCPUS'' and',
'    tag_special is not null',
'group by ',
'	tag_special',
'order by 2 desc',
'',
'',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(49157521545081763)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>32239210615815831
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49158287065081770)
,p_db_column_name=>'TAG_SPECIAL'
,p_display_order=>10
,p_column_identifier=>'C'
,p_column_label=>'Tag Special'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49157655509081764)
,p_db_column_name=>'USG_BILLED_QUANTITY'
,p_display_order=>20
,p_column_identifier=>'A'
,p_column_label=>'OCPUs'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(49203021053255040)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'322848'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TAG_SPECIAL:USG_BILLED_QUANTITY'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(49157892815081766)
,p_plug_name=>'Storage Per Tag 1 Special in TB'
,p_parent_plug_id=>wwv_flow_imp.id(49156113261081749)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>110
,p_plug_new_grid_row=>false
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    tag_special,',
'    USG_BILLED_QUANTITY',
'from    ',
'(',
'    select ',
'        tag_special,',
'        round(sum(',
'            case ',
'                when USG_CONSUMED_UNITS = ''BYTES'' then USG_BILLED_QUANTITY/1000/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''KB'' then USG_BILLED_QUANTITY/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''MB'' then USG_BILLED_QUANTITY/1000/1000',
'                when USG_CONSUMED_UNITS = ''GB'' then USG_BILLED_QUANTITY/1000',
'                when USG_CONSUMED_UNITS = ''TB'' then USG_BILLED_QUANTITY',
'            end',
'        ),2) as USG_BILLED_QUANTITY',
'    from ',
'    (',
'        select ',
'            tag_special,',
'            prd_service, ',
'            sum(',
'                case when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'                else USG_BILLED_QUANTITY',
'                end ',
'            ) as USG_BILLED_QUANTITY,',
'            case ',
'                when prd_service = ''DEVOPS'' then ''BYTES'' -- to handle devops metering bug',
'                when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then replace(replace(USG_CONSUMED_UNITS,''MS'',''''),''_'','''')',
'                else USG_CONSUMED_UNITS',
'            end as USG_CONSUMED_UNITS',
'        from oci_usage',
'        where ',
'            tenant_name=:P2_TENANT_NAME and',
'            (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'            (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'            (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'            (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'            (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'            (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'            (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'            (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'            (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'            (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'            (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'            USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'            USG_BILLED_QUANTITY>0 and',
'            USG_CONSUMED_MEASURE=''STORAGE_SIZE'' and',
'            tag_special is not null',
'        group by ',
'            tag_special,',
'            prd_service,',
'            USG_CONSUMED_UNITS',
'    )',
'    group by tag_special order by 2 desc',
') where USG_BILLED_QUANTITY > -0',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(49157999430081767)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>32239688500815835
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49158413861081772)
,p_db_column_name=>'TAG_SPECIAL'
,p_display_order=>10
,p_column_identifier=>'C'
,p_column_label=>'Tag Special'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49158025153081768)
,p_db_column_name=>'USG_BILLED_QUANTITY'
,p_display_order=>20
,p_column_identifier=>'A'
,p_column_label=>'Storage in TB'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(49203697753255044)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'322854'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TAG_SPECIAL:USG_BILLED_QUANTITY'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(51691389186738374)
,p_plug_name=>'OCPUs Per Tag 2 Special'
,p_parent_plug_id=>wwv_flow_imp.id(49156113261081749)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>120
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    tag_special2 tag_special,',
'    sum(',
'		case when USG_CONSUMED_UNITS like ''%MS%'' ',
'        then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'		else USG_BILLED_QUANTITY',
'		end ',
'	) as USG_BILLED_QUANTITY',
'from oci_usage',
'where ',
'    tenant_name=:P2_TENANT_NAME and',
'    (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'    (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'    (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'    (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'    USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'    (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'    (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'    (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'    (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'    (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'    (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'    (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'    USG_BILLED_QUANTITY>0 and',
'    USG_CONSUMED_MEASURE=''OCPUS'' and',
'    tag_special2 is not null',
'group by ',
'	tag_special2',
'order by 2 desc',
'',
'',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(51691429580738375)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADI.ZOHAR@ORACLE.COM'
,p_internal_uid=>34773118651472443
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(51691568631738376)
,p_db_column_name=>'TAG_SPECIAL'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tag Special'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(51691643651738377)
,p_db_column_name=>'USG_BILLED_QUANTITY'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'OCPUs'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(24282838473243355)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'73646'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TAG_SPECIAL:USG_BILLED_QUANTITY'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(51691758981738378)
,p_plug_name=>'Storage Per Tag 2 Special in TB'
,p_parent_plug_id=>wwv_flow_imp.id(49156113261081749)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>140
,p_plug_new_grid_row=>false
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    tag_special,',
'    USG_BILLED_QUANTITY',
'from    ',
'(',
'    select ',
'        tag_special,',
'        round(sum(',
'            case ',
'                when USG_CONSUMED_UNITS = ''BYTES'' then USG_BILLED_QUANTITY/1000/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''KB'' then USG_BILLED_QUANTITY/1000/1000/1000',
'                when USG_CONSUMED_UNITS = ''MB'' then USG_BILLED_QUANTITY/1000/1000',
'                when USG_CONSUMED_UNITS = ''GB'' then USG_BILLED_QUANTITY/1000',
'                when USG_CONSUMED_UNITS = ''TB'' then USG_BILLED_QUANTITY',
'            end',
'        ),2) as USG_BILLED_QUANTITY',
'    from ',
'    (',
'        select ',
'            tag_special2 tag_special,',
'            prd_service, ',
'            sum(',
'                case when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'                else USG_BILLED_QUANTITY',
'                end ',
'            ) as USG_BILLED_QUANTITY,',
'            case ',
'                when prd_service = ''DEVOPS'' then ''BYTES'' -- to handle devops metering bug',
'                when USG_CONSUMED_UNITS like ''%MS%'' ',
'                then replace(replace(USG_CONSUMED_UNITS,''MS'',''''),''_'','''')',
'                else USG_CONSUMED_UNITS',
'            end as USG_CONSUMED_UNITS',
'        from oci_usage',
'        where ',
'            tenant_name=:P2_TENANT_NAME and',
'            (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'            (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'            (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'            (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'            (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'            (:P2_TENANT_ID is null or tenant_id = :P2_TENANT_ID) and',
'            (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'            (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'            (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'            (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'            (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'            USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'            USG_BILLED_QUANTITY>0 and',
'            USG_CONSUMED_MEASURE=''STORAGE_SIZE'' and',
'            tag_special2 is not null',
'        group by ',
'            tag_special2,',
'            prd_service,',
'            USG_CONSUMED_UNITS',
'    )',
'    group by tag_special order by 2 desc',
') where USG_BILLED_QUANTITY > -0',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(51691842857738379)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADI.ZOHAR@ORACLE.COM'
,p_internal_uid=>34773531928472447
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(51691943662738380)
,p_db_column_name=>'TAG_SPECIAL'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tag Special'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(51692023248738381)
,p_db_column_name=>'USG_BILLED_QUANTITY'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Storage in TB'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(24283412850243361)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'73652'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TAG_SPECIAL:USG_BILLED_QUANTITY'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(26826200978006461)
,p_plug_name=>'Choose Tenant'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader js-removeLandmark:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_source=>'No Data Found, Please Choose Tenant, Date and press Submit.'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_ZERO'
,p_plug_display_when_condition=>'P2_ROWS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_button(
 p_id=>wwv_flow_imp.id(26825751161006457)
,p_button_sequence=>160
,p_button_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_button_name=>'P2_SUBMIT'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--stretch:t-Button--gapTop'
,p_button_template_id=>wwv_flow_imp.id(26739430162954028)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Submit'
,p_grid_new_row=>'Y'
,p_grid_column_span=>2
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(26823481013006434)
,p_name=>'P2_TENANT_NAME'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_prompt=>'Tenant Name'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'select distinct tenant_name o, tenant_name r from oci_usage_stats order by 1'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Please Choose...'
,p_cHeight=>1
,p_tag_attributes=>'style="background-color:#d0ffff; font-weight:bold;"'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(26824595096006445)
,p_name=>'P2_COMPARTMENT_NAME'
,p_item_sequence=>180
,p_item_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_prompt=>'Compartment'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct prd_compartment_name o, prd_compartment_name r from ',
'oci_usage ',
'where',
'tenant_name=:P2_TENANT_NAME',
'    and USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'')',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P2_TENANT_NAME,P2_DATE'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(26825615773006456)
,p_name=>'P2_COMPARTMENT_TOP'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_prompt=>'Top Level Compartment'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select top_level_compartment o, top_level_compartment r',
'from ',
'(',
'    select distinct ',
'        case when prd_compartment_path like ''%/%'' then substr(prd_compartment_path,1,instr(prd_compartment_path,'' /'')-1) ',
'        else prd_compartment_path',
'        end top_level_compartment ',
'    from oci_usage',
'    where prd_compartment_path is not null and tenant_name=:P2_TENANT_NAME',
'    and USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'')',
') where top_level_compartment is not null order by 1',
''))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P2_TENANT_NAME,P2_DATE'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(26826735536006467)
,p_name=>'P2_ROWS'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_use_cache_before_default=>'NO'
,p_format_mask=>'999G999G999G999G999G999G990'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    count(*) cnt',
'from oci_usage',
'where ',
'    tenant_name=:P2_TENANT_NAME and',
'    (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'    (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'    (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'    (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'    (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'    (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and    ',
'    (:P2_TAG_KEY is null or :P2_TAG_KEY=''notag'' and tags_data is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'    (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'    (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'    (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'    USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'    USG_BILLED_QUANTITY>0'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(26841270134982033)
,p_name=>'P2_PRODUCT_SERVICE'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_prompt=>'Product Service'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct prd_service o, prd_service r ',
'from ',
'    oci_usage ',
'where',
'    tenant_name=:P2_TENANT_NAME',
'    and USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'')',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P2_TENANT_NAME,P2_DATE'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(26842409314982044)
,p_name=>'P2_PRODUCT_REGION'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_prompt=>'Product Region'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct prd_region o, prd_region r from ',
'oci_usage ',
'where',
'    tenant_name=:P2_TENANT_NAME ',
'    and USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'')',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P2_TENANT_NAME,P2_DATE'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(26843040217982051)
,p_name=>'P2_DATE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_item_default=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24:MI'') R',
'from ',
'(',
'    select ',
'        USAGE_INTERVAL_START, ',
'        dense_rank() over (partition by null order by USAGE_INTERVAL_START desc) rn ',
'    from oci_usage_stats ',
'    where tenant_name=:P2_TENANT_NAME    ',
') where rn=3',
''))
,p_item_default_type=>'SQL_QUERY'
,p_prompt=>'Date'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24:MI'') O, to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24:MI'') R',
'from oci_usage_stats',
'where ',
'    tenant_name=:P2_TENANT_NAME and ',
'    USAGE_INTERVAL_START > trunc(sysdate-3)',
'union',
'select to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24:MI'') O, to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24:MI'') R',
'from oci_usage_stats ',
'where ',
'    tenant_name=:P2_TENANT_NAME and ',
'    USAGE_INTERVAL_START between trunc(sysdate-60) and trunc(sysdate-3) and USAGE_INTERVAL_START = trunc(USAGE_INTERVAL_START)',
'union',
'select to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24:MI'') O, to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24:MI'') R',
'from oci_usage_stats ',
'where ',
'    tenant_name=:P2_TENANT_NAME and ',
'    USAGE_INTERVAL_START < trunc(sysdate-60) and USAGE_INTERVAL_START = trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DD'')),5)=1',
'order by 1 desc'))
,p_lov_cascade_parent_items=>'P2_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_tag_attributes=>'style="background-color:#d0ffff; font-weight:bold;"'
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(27727802179219594)
,p_name=>'P2_TAG_DATA'
,p_item_sequence=>140
,p_item_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_prompt=>'Tag Data Filter'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(27732205751431642)
,p_name=>'P2_PRODUCT_RESOURCE'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_prompt=>'Product Resource'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct prd_resource o, prd_resource r ',
'from ',
'    oci_usage ',
'where',
'    tenant_name=:P2_TENANT_NAME',
'    and USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'')',
'    and prd_resource is not null',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P2_TENANT_NAME,P2_DATE'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(27732420677431645)
,p_name=>'P2_WINDOWS_OCPUS'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_prompt=>'Inc Win OCPUs ?'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC2:No;N'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Yes'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(27732521669431646)
,p_name=>'P2_LAST_DATE_LOADED'
,p_item_sequence=>150
,p_item_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Last Date Loaded'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    to_char(max(USAGE_INTERVAL_START),''DD-MON-YYYY DY HH24:MI'') dte',
'from oci_usage_stats',
'where ',
'    tenant_name=:P2_TENANT_NAME'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#e8e8e8"'
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28708581429443167)
,p_name=>'P2_TAG1_SPECIAL'
,p_item_sequence=>190
,p_item_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_prompt=>'Tag 1 Special Data'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct tag_special o, tag_special r ',
'from ',
'    oci_usage ',
'where',
'    tenant_name=:P2_TENANT_NAME',
'    and USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'')',
'and tag_special is not null',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P2_TENANT_NAME,P2_DATE'
,p_ajax_optimize_refresh=>'Y'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
end;
/
begin
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28849543206457537)
,p_name=>'P2_TAG_KEY'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_prompt=>'Tag Key'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ''-No Tag-'' o, ''notag'' r from dual',
'union all',
'(',
'    select distinct tag_key o, tag_key r ',
'from ',
'    oci_usage_tag_keys',
'where',
'    tenant_name=:P2_TENANT_NAME',
')',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P2_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28896972729705150)
,p_name=>'P2_TAG_SPECIAL_KEY_DISPLAY'
,p_item_sequence=>210
,p_item_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Tag 1+2 Special Keys'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select key1||case when key2 is null then null else '','' end||key2 from ',
'(select MIN(ref_name) key1 from OCI_COST_REFERENCE where tenant_name=:P2_TENANT_NAME and ref_type=''TAG_SPECIAL_KEY'') a,',
'(select MIN(ref_name) key2 from OCI_COST_REFERENCE where tenant_name=:P2_TENANT_NAME and ref_type=''TAG_SPECIAL_KEY2'') b'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#e8e8e8"'
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28898108358705161)
,p_name=>'P2_ROWS_DISPLAY'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Rows Filtered'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    to_char(count(*),''999,999,999'') cnt',
'from oci_usage',
'where ',
'    tenant_name=:P2_TENANT_NAME and',
'    (:P2_COMPARTMENT_NAME is null or prd_compartment_name = :P2_COMPARTMENT_NAME) and',
'    (:P2_PRODUCT_SERVICE is null or prd_service = :P2_PRODUCT_SERVICE) and',
'    (:P2_PRODUCT_REGION is null or prd_region = :P2_PRODUCT_REGION) and',
'    (:P2_COMPARTMENT_TOP is null or prd_compartment_path like :P2_COMPARTMENT_TOP ||''%'') and',
'    (:P2_PRODUCT_RESOURCE is null or prd_resource = :P2_PRODUCT_RESOURCE) and',
'    (:P2_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and    ',
'    (:P2_TAG_KEY is null or tags_data like ''%#'' || :P2_TAG_KEY || ''=%'') and',
'    (:P2_TAG_DATA is null or tags_data like ''%#'' || nvl(:P2_TAG_KEY,''%'') || ''='' || :P2_TAG_DATA || ''#%'') and',
'    (:P2_TAG1_SPECIAL is null or tag_special = :P2_TAG1_SPECIAL) and',
'    (:P2_TAG2_SPECIAL is null or tag_special2 = :P2_TAG2_SPECIAL) and',
'    USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'') and',
'    USG_BILLED_QUANTITY>0'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#e8e8e8"'
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28899796971705178)
,p_name=>'P2_CHART_TABLE'
,p_item_sequence=>170
,p_item_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_item_default=>'Charts'
,p_prompt=>'Charts or Tables'
,p_display_as=>'NATIVE_RADIOGROUP'
,p_lov=>'STATIC:Charts;Charts,Tables;Tables'
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs:t-Form-fieldContainer--radioButtonGroup'
,p_lov_display_extra=>'NO'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'2'
,p_attribute_02=>'NONE'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(29223963676840160)
,p_name=>'P2_TENANT_ID'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_prompt=>'Tenant Id'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct tenant_id o, tenant_id r ',
'from ',
'    oci_usage ',
'where',
'    tenant_name=:P2_TENANT_NAME',
'    and USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'')',
'    and tenant_id is not null',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P2_TENANT_NAME,P2_DATE'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(51691113449738372)
,p_name=>'P2_TAG2_SPECIAL'
,p_item_sequence=>200
,p_item_plug_id=>wwv_flow_imp.id(26823379352006433)
,p_prompt=>'Tag 2 Special Data'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct tag_special2 o, tag_special2 r ',
'from ',
'    oci_usage ',
'where',
'    tenant_name=:P2_TENANT_NAME',
'    and USAGE_INTERVAL_START = to_date(:P2_DATE,''YYYY-MM-DD HH24:MI'')',
'and tag_special2 is not null',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P2_TENANT_NAME,P2_DATE'
,p_ajax_optimize_refresh=>'Y'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(29196426629568580)
,p_computation_sequence=>10
,p_computation_item=>'P2_TENANT_NAME'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>'select tenant_name from oci_usage where rownum<2'
,p_compute_when=>'P2_TENANT_NAME'
,p_compute_when_type=>'ITEM_IS_NULL'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(26843208851982052)
,p_computation_sequence=>20
,p_computation_item=>'P2_DATE'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24:MI'') R',
'from ',
'(',
'    select ',
'        USAGE_INTERVAL_START, ',
'        dense_rank() over (partition by null order by USAGE_INTERVAL_START desc) rn ',
'    from oci_usage_stats ',
'    where tenant_name=:P2_TENANT_NAME    ',
') where rn=3',
''))
,p_compute_when=>'P2_DATE'
,p_compute_when_type=>'ITEM_IS_NULL'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(28899846493705179)
,p_computation_sequence=>10
,p_computation_item=>'P2_CHART_TABLE'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'STATIC_ASSIGNMENT'
,p_computation=>'Charts'
,p_compute_when=>'P2_CHART_TABLE'
,p_compute_when_type=>'ITEM_IS_NULL'
);
end;
/
prompt --application/pages/page_00003
begin
wwv_flow_imp_page.create_page(
 p_id=>3
,p_name=>'Usage Over Time'
,p_step_title=>'Usage Over Time'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if ($v("P3_PRODUCT_REGION")   != "") {$("#P3_PRODUCT_REGION"  ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P3_PRODUCT_SERVICE")  != "") {$("#P3_PRODUCT_SERVICE" ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P3_COMPARTMENT_TOP")  != "") {$("#P3_COMPARTMENT_TOP" ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P3_COMPARTMENT_NAME") != "") {$("#P3_COMPARTMENT_NAME").css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P3_TAG1_SPECIAL")     != "") {$("#P3_TAG1_SPECIAL"    ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P3_TAG2_SPECIAL")     != "") {$("#P3_TAG2_SPECIAL"    ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P3_PRODUCT_RESOURCE") != "") {$("#P3_PRODUCT_RESOURCE").css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P3_TAG_DATA")         != "") {$("#P3_TAG_DATA"        ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P3_WINDOWS_OCPUS")    != "") {$("#P3_WINDOWS_OCPUS"   ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P3_TAG_KEY")          != "") {$("#P3_TAG_KEY"         ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P3_TENANT_ID")        != "") {$("#P3_TENANT_ID"       ).css({"background-color":"#ddffff", "font-weight":"bold"}); }'))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#P3_DATE_TO_CONTAINER .oj-text-field-middle {background-color: #d0ffff;}',
'#P3_DATE_FROM_CONTAINER .oj-text-field-middle {background-color: #d0ffff;}',
'',
'#P3_DATE_TO_CONTAINER .oj-inputdatetime-input {font-weight:bold}',
'#P3_DATE_FROM_CONTAINER .oj-inputdatetime-input {font-weight:bold}'))
,p_page_template_options=>'#DEFAULT#'
,p_page_component_map=>'04'
,p_last_updated_by=>'ADI.ZOHAR@ORACLE.COM'
,p_last_upd_yyyymmddhh24miss=>'20230127025509'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(26826902001006468)
,p_plug_name=>'ChooseTenant'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader js-removeLandmark:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_source=>'No Data Found, Please Choose Tenant, Date and press Submit.'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_ZERO'
,p_plug_display_when_condition=>'P3_ROWS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(26827078364006470)
,p_plug_name=>'ShowCharts'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader js-removeLandmark:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_NOT_ZERO'
,p_plug_display_when_condition=>'P3_ROWS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(36816709911901517)
,p_plug_name=>'Daily OCPUs Chart'
,p_parent_plug_id=>wwv_flow_imp.id(26827078364006470)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>10
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(26904652153185482)
,p_region_id=>wwv_flow_imp.id(36816709911901517)
,p_chart_type=>'bar'
,p_height=>'400'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'on'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'bottom'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(26906348050185483)
,p_chart_id=>wwv_flow_imp.id(26904652153185482)
,p_seq=>10
,p_name=>'OCPUs per Service'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_usage,8) full(oci_usage) */ ',
'    case when :P3_FRAME like ''%Hour%'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24:MI'') else to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') end USAGE_INTERVAL_START,',
'    prd_service, ',
'    sum(',
'		case when USG_CONSUMED_UNITS like ''%MS%'' ',
'        then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'		else USG_BILLED_QUANTITY',
'		end ',
'	) as USG_BILLED_QUANTITY',
'from oci_usage',
'where ',
'    (tenant_name=:P3_TENANT_NAME or :P3_TENANT_NAME = ''ALL'') and',
'    (:P3_COMPARTMENT_NAME is null or prd_compartment_name = :P3_COMPARTMENT_NAME) and',
'    (:P3_COMPARTMENT_TOP is null or prd_compartment_path like :P3_COMPARTMENT_TOP ||''%'') and',
'    (:P3_PRODUCT_SERVICE is null or prd_service = :P3_PRODUCT_SERVICE) and',
'    (:P3_PRODUCT_REGION is null or prd_region = :P3_PRODUCT_REGION) and',
'    (:P3_PRODUCT_RESOURCE is null or prd_resource = :P3_PRODUCT_RESOURCE) and',
'    (:P3_PRODUCT_RESOURCE is null or prd_resource = :P3_PRODUCT_RESOURCE) and',
'    (:P3_TAG1_SPECIAL is null or tag_special = :P3_TAG1_SPECIAL) and',
'    (:P3_TAG2_SPECIAL is null or tag_special2 = :P3_TAG2_SPECIAL) and',
'    (:P3_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'    (:P3_TAG_KEY is null or tags_data like ''%#'' || :P3_TAG_KEY || ''=%'') and',
'    (:P3_TAG_DATA is null or tags_data like ''%#'' || nvl(:P3_TAG_KEY,''%'') || ''='' || :P3_TAG_DATA || ''#%'') and',
'    USAGE_INTERVAL_START >= to_date(:P3_DATE_FROM,''DD-MON-YYYY'') and ',
'    USAGE_INTERVAL_START < to_date(:P3_DATE_TO,''DD-MON-YYYY'') and',
'    (',
'        :P3_FRAME=''Hour'' ',
'        or ',
'        :P3_FRAME=''2 Hours'' and mod(to_number(to_char(USAGE_INTERVAL_START,''HH24'')),2) = 0',
'        or',
'        :P3_FRAME=''3 Hours'' and mod(to_number(to_char(USAGE_INTERVAL_START,''HH24'')),3) = 0',
'        or',
'        :P3_FRAME=''6 Hours'' and mod(to_number(to_char(USAGE_INTERVAL_START,''HH24'')),6) = 0',
'        or',
'        :P3_FRAME=''12 Hours'' and mod(to_number(to_char(USAGE_INTERVAL_START,''HH24'')),12) = 0',
'        or',
'        :P3_FRAME=''Day'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START)',
'        or',
'        :P3_FRAME=''2 Days'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DDD'')),2) = 0',
'        or',
'        :P3_FRAME=''3 Days'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DDD'')),3) = 0',
'        or',
'        :P3_FRAME=''5 Days'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DDD'')),5) = 0',
'        or',
'        :P3_FRAME=''7 Days'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DDD'')),7) = 0',
'        or',
'        :P3_FRAME=''14 Days'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DDD'')),14) = 0',
'        or',
'        :P3_FRAME=''30 Days'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DDD'')),30) = 0',
'    ) and',
'    USG_BILLED_QUANTITY>0 and',
'    USG_CONSUMED_MEASURE=''OCPUS''',
'group by ',
'    case when :P3_FRAME like ''%Hour%'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24:MI'') else to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') end,',
'    prd_service',
'order by 2 desc',
''))
,p_series_name_column_name=>'PRD_SERVICE'
,p_items_value_column_name=>'USG_BILLED_QUANTITY'
,p_group_short_desc_column_name=>'USG_BILLED_QUANTITY'
,p_items_label_column_name=>'USAGE_INTERVAL_START'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'auto'
,p_items_label_display_as=>'PERCENT'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(26905197661185482)
,p_chart_id=>wwv_flow_imp.id(26904652153185482)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(26905747953185483)
,p_chart_id=>wwv_flow_imp.id(26904652153185482)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(36817221439901522)
,p_plug_name=>'Daily Storage Chart in TB'
,p_parent_plug_id=>wwv_flow_imp.id(26827078364006470)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>20
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(26907281149185484)
,p_region_id=>wwv_flow_imp.id(36817221439901522)
,p_chart_type=>'bar'
,p_height=>'400'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'on'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'bottom'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(26908970581185485)
,p_chart_id=>wwv_flow_imp.id(26907281149185484)
,p_seq=>10
,p_name=>'Storage per Service in TB'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    USAGE_INTERVAL_START,',
'    prd_service,',
'    round(sum(',
'        case ',
'            when USG_CONSUMED_UNITS = ''BYTES'' then USG_BILLED_QUANTITY/1000/1000/1000/1000',
'            when USG_CONSUMED_UNITS = ''KB'' then USG_BILLED_QUANTITY/1000/1000/1000',
'            when USG_CONSUMED_UNITS = ''MB'' then USG_BILLED_QUANTITY/1000/1000',
'            when USG_CONSUMED_UNITS = ''GB'' then USG_BILLED_QUANTITY/1000',
'            when USG_CONSUMED_UNITS = ''TB'' then USG_BILLED_QUANTITY',
'        end',
'    ),2) as USG_BILLED_QUANTITY',
'from ',
'(',
'    select /*+ parallel(oci_usage,8) full(oci_usage) */ ',
'    case when :P3_FRAME like ''%Hour%'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24:MI'') else to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') end USAGE_INTERVAL_START,        prd_service, ',
'        sum(',
'            case when USG_CONSUMED_UNITS like ''%MS%'' ',
'            then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'            else USG_BILLED_QUANTITY',
'            end ',
'        ) as USG_BILLED_QUANTITY,',
'        case ',
'            when prd_service = ''DEVOPS'' then ''BYTES'' -- to handle devops metering bug',
'            when USG_CONSUMED_UNITS like ''%MS%'' ',
'            then replace(replace(USG_CONSUMED_UNITS,''MS'',''''),''_'','''')',
'            else USG_CONSUMED_UNITS',
'        end as USG_CONSUMED_UNITS',
'    from oci_usage',
'    where ',
'        (tenant_name=:P3_TENANT_NAME or :P3_TENANT_NAME = ''ALL'') and',
'        (:P3_COMPARTMENT_NAME is null or prd_compartment_name = :P3_COMPARTMENT_NAME) and',
'        (:P3_PRODUCT_SERVICE is null or prd_service = :P3_PRODUCT_SERVICE) and',
'        (:P3_PRODUCT_REGION is null or prd_region = :P3_PRODUCT_REGION) and',
'        (:P3_COMPARTMENT_TOP is null or prd_compartment_path like :P3_COMPARTMENT_TOP ||''%'') and',
'        (:P3_PRODUCT_RESOURCE is null or prd_resource = :P3_PRODUCT_RESOURCE) and',
'        (:P3_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'        (:P3_TAG1_SPECIAL is null or tag_special = :P3_TAG1_SPECIAL) and',
'        (:P3_TAG2_SPECIAL is null or tag_special2 = :P3_TAG2_SPECIAL) and',
'        (:P3_TENANT_ID is null or tenant_id = :P3_TENANT_ID) and',
'        (:P3_TAG_KEY is null or tags_data like ''%#'' || :P3_TAG_KEY || ''=%'') and',
'        (:P3_TAG_DATA is null or tags_data like ''%#'' || nvl(:P3_TAG_KEY,''%'') || ''='' || :P3_TAG_DATA || ''#%'') and',
'        USAGE_INTERVAL_START >= to_date(:P3_DATE_FROM,''DD-MON-YYYY'') and ',
'        USAGE_INTERVAL_START < to_date(:P3_DATE_TO,''DD-MON-YYYY'') and',
'        (',
'            :P3_FRAME=''Hour'' ',
'            or ',
'            :P3_FRAME=''2 Hours'' and mod(to_number(to_char(USAGE_INTERVAL_START,''HH24'')),2) = 0',
'            or',
'            :P3_FRAME=''3 Hours'' and mod(to_number(to_char(USAGE_INTERVAL_START,''HH24'')),3) = 0',
'            or',
'            :P3_FRAME=''6 Hours'' and mod(to_number(to_char(USAGE_INTERVAL_START,''HH24'')),6) = 0',
'            or',
'            :P3_FRAME=''12 Hours'' and mod(to_number(to_char(USAGE_INTERVAL_START,''HH24'')),12) = 0',
'            or',
'            :P3_FRAME=''Day'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START)',
'            or',
'            :P3_FRAME=''2 Days'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DDD'')),2) = 0',
'            or',
'            :P3_FRAME=''3 Days'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DDD'')),3) = 0',
'            or',
'            :P3_FRAME=''5 Days'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DDD'')),5) = 0',
'            or',
'            :P3_FRAME=''7 Days'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DDD'')),7) = 0',
'            or',
'            :P3_FRAME=''14 Days'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DDD'')),14) = 0',
'            or',
'            :P3_FRAME=''30 Days'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DDD'')),30) = 0',
'        ) and',
'        USG_BILLED_QUANTITY>0 and',
'        USG_CONSUMED_MEASURE=''STORAGE_SIZE''',
'    group by ',
'    case when :P3_FRAME like ''%Hour%'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24:MI'') else to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') end,',
'        prd_service,',
'        USG_CONSUMED_UNITS',
')',
'group by USAGE_INTERVAL_START,prd_service order by 1,2 desc',
'',
'',
''))
,p_series_name_column_name=>'PRD_SERVICE'
,p_items_value_column_name=>'USG_BILLED_QUANTITY'
,p_group_short_desc_column_name=>'USG_BILLED_QUANTITY'
,p_items_label_column_name=>'USAGE_INTERVAL_START'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'auto'
,p_items_label_display_as=>'PERCENT'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(26907747684185484)
,p_chart_id=>wwv_flow_imp.id(26907281149185484)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(26908369682185484)
,p_chart_id=>wwv_flow_imp.id(26907281149185484)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(36798748694925916)
,p_plug_name=>'Filter'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader js-removeLandmark:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_button(
 p_id=>wwv_flow_imp.id(26825941547006459)
,p_button_sequence=>150
,p_button_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_button_name=>'P3_BUTTON'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--stretch:t-Button--gapTop'
,p_button_template_id=>wwv_flow_imp.id(26739430162954028)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Submit'
,p_grid_new_row=>'Y'
,p_grid_column_span=>2
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(24268350992225642)
,p_name=>'P3_TAG2_SPECIAL'
,p_item_sequence=>200
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_prompt=>'Tag 2 Special'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P3_TENANT_NAME or :P3_TENANT_NAME = ''ALL'')',
'    and ref_type=''USAGE_TAG_SPECIAL2''',
'order by 1',
''))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P3_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(26826924487006469)
,p_name=>'P3_ROWS'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_use_cache_before_default=>'NO'
,p_format_mask=>'999G999G999G999G999G999G990'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_usage,8) full(oci_usage) */',
'    count(*) cnt',
'from oci_usage',
'where ',
'    (tenant_name=:P3_TENANT_NAME or :P3_TENANT_NAME = ''ALL'') and',
'    (:P3_COMPARTMENT_NAME is null or prd_compartment_name = :P3_COMPARTMENT_NAME) and',
'    (:P3_COMPARTMENT_TOP is null or prd_compartment_path like :P3_COMPARTMENT_TOP ||''%'') and',
'    (:P3_PRODUCT_SERVICE is null or prd_service = :P3_PRODUCT_SERVICE) and',
'    (:P3_PRODUCT_REGION is null or prd_region = :P3_PRODUCT_REGION) and',
'    (:P3_PRODUCT_RESOURCE is null or prd_resource = :P3_PRODUCT_RESOURCE) and',
'    (:P3_WINDOWS_OCPUS is null or prd_resource not like ''%WINDOW%'') and',
'    (:P3_TAG_KEY is null or tags_data like ''%#'' || :P3_TAG_KEY || ''=%'') and',
'    (:P3_TAG_DATA is null or tags_data like ''%#'' || nvl(:P3_TAG_KEY,''%'') || ''=%'' || :P3_TAG_DATA || ''#'') and',
'    (:P3_TAG1_SPECIAL is null or tag_special = :P3_TAG1_SPECIAL) and',
'    (:P3_TAG2_SPECIAL is null or tag_special2 = :P3_TAG2_SPECIAL) and',
'    USAGE_INTERVAL_START >= to_date(:P3_DATE_FROM,''DD-MON-YYYY'') and ',
'    USAGE_INTERVAL_START < to_date(:P3_DATE_TO,''DD-MON-YYYY'') and',
'    USG_BILLED_QUANTITY>0',
'    and (',
'        :P3_FRAME=''Hour'' ',
'        or ',
'        :P3_FRAME=''2 Hours'' and mod(to_number(to_char(USAGE_INTERVAL_START,''HH24'')),2) = 0',
'        or',
'        :P3_FRAME=''3 Hours'' and mod(to_number(to_char(USAGE_INTERVAL_START,''HH24'')),3) = 0',
'        or',
'        :P3_FRAME=''6 Hours'' and mod(to_number(to_char(USAGE_INTERVAL_START,''HH24'')),6) = 0',
'        or',
'        :P3_FRAME=''12 Hours'' and mod(to_number(to_char(USAGE_INTERVAL_START,''HH24'')),12) = 0',
'        or',
'        :P3_FRAME=''Day'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START)',
'        or',
'        :P3_FRAME=''2 Days'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DDD'')),2) = 0',
'        or',
'        :P3_FRAME=''3 Days'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DDD'')),3) = 0',
'        or',
'        :P3_FRAME=''5 Days'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DDD'')),5) = 0',
'        or',
'        :P3_FRAME=''7 Days'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DDD'')),7) = 0',
'        or',
'        :P3_FRAME=''14 Days'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DDD'')),14) = 0',
'        or',
'        :P3_FRAME=''30 Days'' and USAGE_INTERVAL_START=trunc(USAGE_INTERVAL_START) and mod(to_number(to_char(USAGE_INTERVAL_START,''DDD'')),30) = 0',
'    )'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(26827621410006476)
,p_name=>'P3_LAST_DATE_LOADED'
,p_item_sequence=>140
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Last Date Loaded'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    to_char(max(USAGE_INTERVAL_START),''DD-MON-YYYY DY HH24:MI'') dte',
'from oci_usage_stats',
'where ',
'    (tenant_name=:P3_TENANT_NAME or :P3_TENANT_NAME = ''ALL'')'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#e8e8e8"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(26897262543185460)
,p_name=>'P3_TENANT_NAME'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_prompt=>'Tenant Name'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ''All'' o, ''ALL'' r from dual',
'union all',
'select distinct tenant_name o, tenant_name r from OCI_COST_REFERENCE order by 1',
''))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Please Choose...'
,p_cHeight=>1
,p_tag_attributes=>'style="background-color:#d0ffff; font-weight:bold;"'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(26898051689185465)
,p_name=>'P3_PRODUCT_REGION'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_prompt=>'Product Region'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P3_TENANT_NAME or :P3_TENANT_NAME = ''ALL'')',
'    and ref_type=''USAGE_PRD_REGION''',
'order by 1',
''))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P3_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(26898420046185465)
,p_name=>'P3_COMPARTMENT_TOP'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_prompt=>'Top Level Compartment'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P3_TENANT_NAME or :P3_TENANT_NAME = ''ALL'')',
'    and ref_type=''USAGE_PRD_COMPARTMENT_PATH''',
'order by 1',
''))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P3_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(26898842689185466)
,p_name=>'P3_COMPARTMENT_NAME'
,p_item_sequence=>180
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_prompt=>'Compartment'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P3_TENANT_NAME or :P3_TENANT_NAME = ''ALL'')',
'    and ref_type=''USAGE_PRD_COMPARTMENT_NAME''',
'order by 1',
''))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P3_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(26899265405185466)
,p_name=>'P3_PRODUCT_SERVICE'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_prompt=>'Product'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P3_TENANT_NAME or :P3_TENANT_NAME = ''ALL'')',
'    and ref_type=''USAGE_PRD_SERVICE''',
'order by 1',
''))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P3_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(27732647054431647)
,p_name=>'P3_TAG_DATA'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_prompt=>'Filter Tag Data'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(27759800415626666)
,p_name=>'P3_WINDOWS_OCPUS'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_prompt=>'Inc Win OCPUs ?'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC2:No;N'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Yes'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(27760035798628817)
,p_name=>'P3_PRODUCT_RESOURCE'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_prompt=>'Product Resource'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P3_TENANT_NAME or :P3_TENANT_NAME = ''ALL'')',
'    and ref_type=''USAGE_PRD_RESOURCE''',
'order by 1',
''))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P3_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28877831729591080)
,p_name=>'P3_TAG_KEY'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_prompt=>'Tag Key'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct tag_key o, tag_key r ',
'from ',
'    oci_usage_tag_keys',
'where',
'    (tenant_name=:P3_TENANT_NAME or :P3_TENANT_NAME = ''ALL'')',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P2_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28898165784705162)
,p_name=>'P3_ROWS_DISPLAY'
,p_item_sequence=>210
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Rows Filtered'
,p_format_mask=>'999G999G999G999G999G999G990'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    to_char(:P3_ROWS,''999,999,999'') from dual'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#e8e8e8"'
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
end;
/
begin
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28898388359705164)
,p_name=>'P3_DATE_TO'
,p_is_required=>true
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_prompt=>'To Date'
,p_format_mask=>'DD-MON-YYYY'
,p_display_as=>'NATIVE_DATE_PICKER_APEX'
,p_cSize=>30
,p_tag_attributes=>'style="background-color:#e0f0f0"'
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'POPUP'
,p_attribute_03=>'STATIC'
,p_attribute_04=>'01-JAN-2018'
,p_attribute_06=>'STATIC'
,p_attribute_07=>'31-DEC-2030'
,p_attribute_09=>'N'
,p_attribute_11=>'Y'
,p_attribute_12=>'MONTH-PICKER:YEAR-PICKER'
,p_attribute_13=>'VISIBLE'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28898666967705167)
,p_name=>'P3_FRAME'
,p_item_sequence=>160
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_prompt=>'Time Frame'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC2:Hour;Hour,2 Hours;2 Hours,3 Hours;3 Hours,6 Hours;6 Hours,12 Hours;12 Hours,Day;Day,2 Days;2 Days,3 Days;3 Days,5 Days;5 Days,7 Days;7 Days,14 Days;14 Days,30 Days;30 Days'
,p_cHeight=>1
,p_tag_attributes=>'style="background-color:#e0f0f0"'
,p_begin_on_new_line=>'N'
,p_colspan=>1
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28898883327705169)
,p_name=>'P3_TAG1_SPECIAL'
,p_item_sequence=>190
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_prompt=>'Tag 1 Special'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P3_TENANT_NAME or :P3_TENANT_NAME = ''ALL'')',
'    and ref_type=''USAGE_TAG_SPECIAL''',
'order by 1',
''))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P3_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28899404817705174)
,p_name=>'P3_QUICKTIME'
,p_item_sequence=>170
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Quick Time'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC2:Last 2 Days (Hourly);Last 2 Days,Last 3 Days (2 Hourly);Last 3 Days,Last 14 Days (Daily);Last 14 Days,Last Month;Last Month,Last 2 Months;Last 2 Months,Last 4 Months;Last 4 Months,Last 6 Months;Last 6 Months,Last 12 Months;Last 12 Months,Last'
||' 24 Months (7 days);Last 24 Months (7 days),Last 24 Months (14 days);Last 24 Months (14 days)'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Please Choose'
,p_cHeight=>1
,p_tag_attributes=>'style="background-color:#e0f0c0"'
,p_begin_on_new_line=>'N'
,p_colspan=>1
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(29224210705840162)
,p_name=>'P3_TENANT_ID'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_prompt=>'Tenant Id'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P3_TENANT_NAME or :P3_TENANT_NAME = ''ALL'')',
'    and ref_type=''USAGE_TENANT_ID''',
'order by 1',
''))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P3_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(48932323116274161)
,p_name=>'P3_DATE_FROM'
,p_is_required=>true
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_imp.id(36798748694925916)
,p_prompt=>'From Date'
,p_format_mask=>'DD-MON-YYYY'
,p_display_as=>'NATIVE_DATE_PICKER_APEX'
,p_cSize=>30
,p_tag_attributes=>'style="background-color:#e0f0f0"'
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'POPUP'
,p_attribute_03=>'STATIC'
,p_attribute_04=>'01-JAN-2018'
,p_attribute_06=>'STATIC'
,p_attribute_07=>'31-DEC-2030'
,p_attribute_09=>'N'
,p_attribute_11=>'Y'
,p_attribute_12=>'MONTH-PICKER:YEAR-PICKER'
,p_attribute_13=>'VISIBLE'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(29196359950568579)
,p_computation_sequence=>10
,p_computation_item=>'P3_TENANT_NAME'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>'select tenant_name from OCI_COST_REFERENCE where rownum<2'
,p_compute_when=>'P3_TENANT_NAME'
,p_compute_when_type=>'ITEM_IS_NULL'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(28898509828705165)
,p_computation_sequence=>10
,p_computation_item=>'P3_DATE_FROM'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select to_Char(trunc(max(USAGE_INTERVAL_START)-14),''DD-MON-YYYY'') from oci_usage_stats where (tenant_name=:P3_TENANT_NAME or :P3_TENANT_NAME = ''ALL'')'
,p_compute_when=>'P3_DATE_FROM'
,p_compute_when_type=>'ITEM_IS_NULL'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(28898573686705166)
,p_computation_sequence=>20
,p_computation_item=>'P3_DATE_TO'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select to_char(max(trunc(USAGE_INTERVAL_START)+1),''DD-MON-YYYY'') from oci_usage_stats where (tenant_name=:P3_TENANT_NAME or :P3_TENANT_NAME = ''ALL'')'
,p_compute_when=>'P3_DATE_TO'
,p_compute_when_type=>'ITEM_IS_NULL'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(28898738983705168)
,p_computation_sequence=>30
,p_computation_item=>'P3_FRAME'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'STATIC_ASSIGNMENT'
,p_computation=>'Day'
,p_compute_when=>'P3_FRAME'
,p_compute_when_type=>'ITEM_IS_NULL'
);
wwv_flow_imp_page.create_page_da_event(
 p_id=>wwv_flow_imp.id(28899423922705175)
,p_name=>'DA_QUICK_TIME'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P3_QUICKTIME'
,p_condition_element=>'P3_QUICKTIME'
,p_triggering_condition_type=>'NOT_NULL'
,p_bind_type=>'bind'
,p_execution_type=>'IMMEDIATE'
,p_bind_event_type=>'change'
);
wwv_flow_imp_page.create_page_da_action(
 p_id=>wwv_flow_imp.id(28899549200705176)
,p_event_id=>wwv_flow_imp.id(28899423922705175)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P3_DATE_FROM,P3_DATE_TO,P3_FRAME'
,p_attribute_01=>'SQL_STATEMENT'
,p_attribute_03=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'	case ',
'		when :P3_QUICKTIME = ''Last 2 Days'' then TO_CHAR(TRUNC(SYSDATE)-2,''DD-MON-YYYY'')',
'		when :P3_QUICKTIME = ''Last 3 Days'' then TO_CHAR(TRUNC(SYSDATE)-3,''DD-MON-YYYY'')',
'	    when :P3_QUICKTIME = ''Last 14 Days'' then TO_CHAR(TRUNC(SYSDATE)-14,''DD-MON-YYYY'')',
'	    when :P3_QUICKTIME = ''Last Month'' then TO_CHAR(TRUNC(SYSDATE)-31,''DD-MON-YYYY'')',
'	    when :P3_QUICKTIME = ''Last 2 Months'' then TO_CHAR(TRUNC(SYSDATE)-62,''DD-MON-YYYY'')',
'	    when :P3_QUICKTIME = ''Last 4 Months'' then TO_CHAR(TRUNC(SYSDATE)-122,''DD-MON-YYYY'')',
'	    when :P3_QUICKTIME = ''Last 6 Months'' then TO_CHAR(TRUNC(SYSDATE)-183,''DD-MON-YYYY'')',
'	    when :P3_QUICKTIME = ''Last 12 Months'' then TO_CHAR(TRUNC(SYSDATE)-356,''DD-MON-YYYY'')',
'	    when :P3_QUICKTIME = ''Last 24 Months (7 days)'' then TO_CHAR(TRUNC(SYSDATE)-712,''DD-MON-YYYY'')',
'	    when :P3_QUICKTIME = ''Last 24 Months (14 days)'' then TO_CHAR(TRUNC(SYSDATE)-712,''DD-MON-YYYY'')',
'	end P3_DATE_FROM,',
'	TO_CHAR(TRUNC(SYSDATE)+1,''DD-MON-YYYY'') P3_DATE_TO,',
'	case ',
'		when :P3_QUICKTIME = ''Last 2 Days'' then ''Hour''',
'		when :P3_QUICKTIME = ''Last 3 Days'' then ''2 Hours''',
'	    when :P3_QUICKTIME = ''Last 14 Days'' then ''Day''',
'	    when :P3_QUICKTIME = ''Last Month'' then ''Day'' ',
'	    when :P3_QUICKTIME = ''Last 2 Months'' then ''Day'' ',
'	    when :P3_QUICKTIME = ''Last 4 Months'' then ''2 Days'' ',
'	    when :P3_QUICKTIME = ''Last 6 Months'' then ''3 Days'' ',
'	    when :P3_QUICKTIME = ''Last 12 Months'' then ''5 Days'' ',
'	    when :P3_QUICKTIME = ''Last 24 Months (7 days)'' then ''7 Days'' ',
'	    when :P3_QUICKTIME = ''Last 24 Months (14 days)'' then ''14 Days'' ',
'	end P3_FRAME',
'from dual'))
,p_attribute_07=>'P3_QUICKTIME'
,p_attribute_08=>'N'
,p_attribute_09=>'N'
,p_wait_for_result=>'Y'
);
wwv_flow_imp_page.create_page_da_action(
 p_id=>wwv_flow_imp.id(28899675167705177)
,p_event_id=>wwv_flow_imp.id(28899423922705175)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_SUBMIT_PAGE'
,p_attribute_02=>'Y'
);
end;
/
prompt --application/pages/page_00004
begin
wwv_flow_imp_page.create_page(
 p_id=>4
,p_name=>'Cost Analysis'
,p_step_title=>'Cost Analysis'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if ($v("P4_PRODUCT_REGION")   != "") {$("#P4_PRODUCT_REGION"  ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P4_PRODUCT_SERVICE")  != "") {$("#P4_PRODUCT_SERVICE" ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P4_COMPARTMENT_TOP")  != "") {$("#P4_COMPARTMENT_TOP" ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P4_COMPARTMENT_NAME") != "") {$("#P4_COMPARTMENT_NAME").css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P4_COST_PRODUCT_SKU") != "") {$("#P4_COST_PRODUCT_SKU").css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P4_TAG1_SPECIAL")     != "") {$("#P4_TAG1_SPECIAL"    ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P4_TAG2_SPECIAL")     != "") {$("#P4_TAG2_SPECIAL"    ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P4_TAG_DATA")         != "") {$("#P4_TAG_DATA"        ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P4_TAG_KEY")          != "") {$("#P4_TAG_KEY"         ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P4_TENANT_ID")        != "") {$("#P4_TENANT_ID"       ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.a-IRR-table tr td[headers*="rep_col_grey"] { background-color: #efffff; }',
'.a-IRR-table tr td[headers*="rep_col_pink"] { background-color: #ffefff; }',
'',
'#cost_explorer .t-fht-thead{ overflow: auto !important;}',
'#resource_report .t-fht-thead{  overflow: auto !important;}',
'#cost_report .t-fht-thead{  overflow: auto !important;}',
'',
'#P4_DATE_TO_CONTAINER .oj-text-field-middle {background-color: #d0ffff;}',
'#P4_DATE_FROM_CONTAINER .oj-text-field-middle {background-color: #d0ffff;}',
'',
'#P4_DATE_TO_CONTAINER .oj-inputdatetime-input {font-weight:bold}',
'#P4_DATE_FROM_CONTAINER .oj-inputdatetime-input {font-weight:bold}',
'',
''))
,p_page_template_options=>'#DEFAULT#'
,p_page_component_map=>'18'
,p_last_updated_by=>'ADIZOHAR'
,p_last_upd_yyyymmddhh24miss=>'20230401012504'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(27734864051431669)
,p_plug_name=>' Filter'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader js-removeLandmark:t-Region--accent12:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_grid_column_span=>9
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(27735357322431674)
,p_plug_name=>'Stats Info'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader js-removeLandmark:t-Region--accent12:t-Region--scrollBody:margin-top-none:margin-bottom-none:margin-left-none:margin-right-none'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_new_grid_row=>false
,p_plug_grid_column_span=>3
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(38527154473779625)
,p_plug_name=>'ShowGraphs'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--removeHeader js-removeLandmark:t-Region--noUI:t-Region--scrollBody:t-Form--noPadding:margin-top-none:margin-bottom-none:margin-left-none:margin-right-none'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_NOT_ZERO'
,p_plug_display_when_condition=>'P4_ROWS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(24268650007225645)
,p_plug_name=>'Cost Per Tag 2 Special'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>200
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Tag 2 Special'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(24268778007225646)
,p_region_id=>wwv_flow_imp.id(24268650007225645)
,p_chart_type=>'bar'
,p_height=>'700'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'horizontal'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'on'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'value-desc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'off'
,p_legend_position=>'auto'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(24268908472225647)
,p_chart_id=>wwv_flow_imp.id(24268778007225646)
,p_seq=>10
,p_name=>'Cost per Special Tag 2'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    nvl(tag_special2,''No Tag'') as prd_compartment_name,',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    :P4_REPORT_SELECTOR = ''Cost Per Tag 2 Special''',
'group by ',
'	nvl(tag_special2,''No Tag'')',
'order by 2 desc',
'',
'',
'',
''))
,p_items_value_column_name=>'COST_MY_COST'
,p_items_label_column_name=>'PRD_COMPARTMENT_NAME'
,p_color=>'#34AADC'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>false
,p_items_label_display_as=>'PERCENT'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(24268968737225648)
,p_chart_id=>wwv_flow_imp.id(24268778007225646)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(24269034412225649)
,p_chart_id=>wwv_flow_imp.id(24268778007225646)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_type=>'decimal'
,p_decimal_places=>1
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(24269140422225650)
,p_plug_name=>'Cost Per Day Report'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>30
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') as USAGE_DAY, ',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P4_COST_PRODUCT_SKU) and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'')',
'    and not (:P4_TENANT_ID is null and :P4_COMPARTMENT_NAME is null and :P4_PRODUCT_SERVICE is null and :P4_PRODUCT_REGION is null and :P4_COMPARTMENT_TOP is null and :P4_TAG_KEY is null and :P4_TAG_DATA is null and :P4_COST_PRODUCT_SKU is null and :'
||'P4_TAG1_SPECIAL is null and :P4_TAG2_SPECIAL is null)',
'    and :P4_REPORT_SELECTOR = ''Cost Per Day''',
'group by ',
'	to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'')',
'union all',
'select ',
'    to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') as USAGE_DAY, ',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost_stats',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'')',
'     and (:P4_TENANT_ID is null and :P4_COMPARTMENT_NAME is null and :P4_PRODUCT_SERVICE is null and :P4_PRODUCT_REGION is null and :P4_COMPARTMENT_TOP is null and :P4_TAG_KEY is null and :P4_TAG_DATA is null and :P4_COST_PRODUCT_SKU is null and :P4_'
||'TAG1_SPECIAL is null and :P4_TAG2_SPECIAL is null)',
'    and :P4_REPORT_SELECTOR = ''Cost Per Day''',
'group by ',
'	to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'')',
'order by 1',
'',
'',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Day'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Cost Per Day Report'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(24269273141225651)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADI.ZOHAR@ORACLE.COM'
,p_internal_uid=>7350962211959719
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24269345696225652)
,p_db_column_name=>'USAGE_DAY'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Usage Day'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24269499618225653)
,p_db_column_name=>'COST_MY_COST'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Cost'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'FML999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(24306576816956042)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'73883'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'USAGE_DAY:COST_MY_COST'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(24269546541225654)
,p_plug_name=>'Cost Per Day Accumulated Report'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>60
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    USAGE_DAY,',
'    cost_my_cost,',
'    sum(cost_my_cost) over (partition by null order by usage_day) cost_accumulated',
'from',
'(',
'    select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'        to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') as USAGE_DAY, ',
'        sum(COST_MY_COST) as COST_MY_COST',
'    from oci_cost',
'    where ',
'        (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'        (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'        (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'        (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'        (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'        (:P4_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P4_COST_PRODUCT_SKU) and',
'        (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'        (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'        (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'        (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'        (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'        USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'')',
'        and not (:P4_TENANT_ID is null and :P4_COMPARTMENT_NAME is null and :P4_PRODUCT_SERVICE is null and :P4_PRODUCT_REGION is null and :P4_COMPARTMENT_TOP is null and :P4_TAG_KEY is null and :P4_TAG_DATA is null and :P4_COST_PRODUCT_SKU is null a'
||'nd :P4_TAG1_SPECIAL is null and :P4_TAG2_SPECIAL is null)',
'        and :P4_REPORT_SELECTOR = ''Cost Per Day Accumulated''',
'    group by ',
'        to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'')',
'    union all',
'    select ',
'        to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') as USAGE_DAY, ',
'        sum(COST_MY_COST) as COST_MY_COST',
'    from oci_cost_stats',
'    where ',
'        (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'        USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'')',
'        and (:P4_TENANT_ID is null and :P4_COMPARTMENT_NAME is null and :P4_PRODUCT_SERVICE is null and :P4_PRODUCT_REGION is null and :P4_COMPARTMENT_TOP is null and :P4_TAG_KEY is null and :P4_TAG_DATA is null and :P4_COST_PRODUCT_SKU is null and :'
||'P4_TAG1_SPECIAL is null and :P4_TAG2_SPECIAL is null)',
'        and :P4_REPORT_SELECTOR = ''Cost Per Day Accumulated''',
'    group by ',
'        to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'')',
')',
'order by 1',
'',
'',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Day Accumulated'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Cost Per Day Accumulated Report'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(24269680228225655)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADI.ZOHAR@ORACLE.COM'
,p_internal_uid=>7351369298959723
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24269728456225656)
,p_db_column_name=>'USAGE_DAY'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Usage Day'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24269821026225657)
,p_db_column_name=>'COST_MY_COST'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Cost'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'FML999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24269980273225658)
,p_db_column_name=>'COST_ACCUMULATED'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Cost Accumulated'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'FML999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(24311829532968785)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'73936'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'USAGE_DAY:COST_MY_COST:COST_ACCUMULATED'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(24270110627225659)
,p_plug_name=>'Cost Per Region Report'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>80
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    prd_region, ',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P4_COST_PRODUCT_SKU) and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'   :P4_REPORT_SELECTOR = ''Cost Per Region''',
'group by ',
'	prd_region',
'order by 2 desc',
'',
'',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Region'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Cost Per Region Report'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(24270150031225660)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADI.ZOHAR@ORACLE.COM'
,p_internal_uid=>7351839101959728
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24270573566225664)
,p_db_column_name=>'PRD_REGION'
,p_display_order=>10
,p_column_identifier=>'B'
,p_column_label=>'Region'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24270391926225662)
,p_db_column_name=>'COST_MY_COST'
,p_display_order=>20
,p_column_identifier=>'A'
,p_column_label=>'Cost'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'FML999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(24316653084976880)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'73984'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'PRD_REGION:COST_MY_COST'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(24270634420225665)
,p_plug_name=>'Cost Per Service Report'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>100
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    replace(nvl(prd_service,COST_PRODUCT_SKU),''_'','' '') prd_service,',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P4_COST_PRODUCT_SKU) and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'    :P4_REPORT_SELECTOR = ''Cost Per Service''',
'',
'group by ',
'	replace(nvl(prd_service,COST_PRODUCT_SKU),''_'','' '')',
'order by 2 desc',
'',
'',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Service'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Cost Per Service Report'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(24270758213225666)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADI.ZOHAR@ORACLE.COM'
,p_internal_uid=>7352447283959734
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24271040548225669)
,p_db_column_name=>'PRD_SERVICE'
,p_display_order=>10
,p_column_identifier=>'B'
,p_column_label=>'Service'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24270942833225668)
,p_db_column_name=>'COST_MY_COST'
,p_display_order=>20
,p_column_identifier=>'A'
,p_column_label=>'Cost'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'FML999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(24320970210986966)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'74027'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'PRD_SERVICE:COST_MY_COST'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(24271174590225670)
,p_plug_name=>'Cost Per SKU Report'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>130
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    COST_PRODUCT_SKU as COST_PRODUCT_SKU,',
'    min(prd_description) as prd_description, ',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P4_COST_PRODUCT_SKU) and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'    :P4_REPORT_SELECTOR = ''Cost Per SKU''',
'group by ',
'	COST_PRODUCT_SKU ',
'having sum(COST_MY_COST) > 0',
'order by 3 desc',
'',
'',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per SKU'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Cost Per SKU Report'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(24271307133225671)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADI.ZOHAR@ORACLE.COM'
,p_internal_uid=>7352996203959739
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24271424618225673)
,p_db_column_name=>'COST_MY_COST'
,p_display_order=>20
,p_column_identifier=>'A'
,p_column_label=>'Cost'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'FML999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24271580155225674)
,p_db_column_name=>'COST_PRODUCT_SKU'
,p_display_order=>30
,p_column_identifier=>'B'
,p_column_label=>'Product SKU'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24271702358225675)
,p_db_column_name=>'PRD_DESCRIPTION'
,p_display_order=>40
,p_column_identifier=>'C'
,p_column_label=>'Description'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(24325167392996421)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'74069'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'COST_PRODUCT_SKU:PRD_DESCRIPTION:COST_MY_COST:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(24271743045225676)
,p_plug_name=>'Cost Per Top Compartment Report'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>150
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    case',
'        when prd_compartment_path is null then ''No Compartment''',
'        when prd_compartment_path like ''%/%'' then nvl(substr(prd_compartment_path,1,instr(prd_compartment_path,'' /'')-1),''(root)'') ',
'    else prd_compartment_path',
'    end top_level_compartment ,',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    :P4_REPORT_SELECTOR = ''Cost Per Top Compartment''',
'group by ',
'    case ',
'    when prd_compartment_path is null then ''No Compartment''',
'    when prd_compartment_path like ''%/%'' then nvl(substr(prd_compartment_path,1,instr(prd_compartment_path,'' /'')-1),''(root)'') ',
'    else prd_compartment_path',
'    end  ',
'order by 2 desc',
'',
'',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Top Compartment'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Cost Per Top Compartment Report'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(24271819492225677)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADI.ZOHAR@ORACLE.COM'
,p_internal_uid=>7353508562959745
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24272269508225681)
,p_db_column_name=>'TOP_LEVEL_COMPARTMENT'
,p_display_order=>10
,p_column_identifier=>'B'
,p_column_label=>'Top Level Compartment'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24271935166225678)
,p_db_column_name=>'COST_MY_COST'
,p_display_order=>20
,p_column_identifier=>'A'
,p_column_label=>'Cost'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'FML999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(24330970850017120)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'74127'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TOP_LEVEL_COMPARTMENT:COST_MY_COST'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(24272339794225682)
,p_plug_name=>'Cost Per Single Compartment Report'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>170
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    nvl(prd_compartment_path,''No Compartment'') as prd_compartment_path,',
'    nvl(prd_compartment_name,''No Compartment'') as prd_compartment_name,',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    :P4_REPORT_SELECTOR = ''Cost Per Single Compartment''',
'group by ',
'    nvl(prd_compartment_path,''No Compartment''),',
'    nvl(prd_compartment_name,''No Compartment'')',
'order by 3 desc',
'',
'',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Single Compartment'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Cost Per Single Compartment Report'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(24331584870018333)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADI.ZOHAR@ORACLE.COM'
,p_internal_uid=>7413273940752401
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24331867350018336)
,p_db_column_name=>'PRD_COMPARTMENT_PATH'
,p_display_order=>30
,p_column_identifier=>'B'
,p_column_label=>'Compartment Path'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24331949125018337)
,p_db_column_name=>'PRD_COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'C'
,p_column_label=>'Compartment Name'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24331711480018335)
,p_db_column_name=>'COST_MY_COST'
,p_display_order=>50
,p_column_identifier=>'A'
,p_column_label=>'Cost'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'FML999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(24339631328031231)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'74214'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'PRD_COMPARTMENT_PATH:PRD_COMPARTMENT_NAME:COST_MY_COST'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(24332101642018338)
,p_plug_name=>'Cost Per Tag 1 Special Report'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>190
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    nvl(tag_special,''No Tag'') as tag_special_1,',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    :P4_REPORT_SELECTOR = ''Cost Per Tag 1 Special''',
'group by ',
'	nvl(tag_special,''No Tag'')',
'order by 2 desc',
'',
'',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Tag 1 Special'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Cost Per Tag 1 Special Report'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(24332148401018339)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADI.ZOHAR@ORACLE.COM'
,p_internal_uid=>7413837471752407
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24332412185018342)
,p_db_column_name=>'COST_MY_COST'
,p_display_order=>30
,p_column_identifier=>'A'
,p_column_label=>'Cost'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'FML999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24332598936018343)
,p_db_column_name=>'TAG_SPECIAL_1'
,p_display_order=>40
,p_column_identifier=>'B'
,p_column_label=>'Tag Special 1'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(24342763121047121)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'74245'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TAG_SPECIAL_1:COST_MY_COST:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(24332633887018344)
,p_plug_name=>'Cost Per Tag 2 Special Report'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>210
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    nvl(tag_special2,''No Tag'') as tag_special_2,',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    :P4_REPORT_SELECTOR = ''Cost Per Tag 2 Special''',
'group by ',
'	nvl(tag_special2,''No Tag'')',
'order by 2 desc',
'',
'',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Tag 2 Special'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Cost Per Tag 2 Special Report'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(24332730849018345)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADI.ZOHAR@ORACLE.COM'
,p_internal_uid=>7414419919752413
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24332840523018346)
,p_db_column_name=>'COST_MY_COST'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Cost'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'FML999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24333059993018348)
,p_db_column_name=>'TAG_SPECIAL_2'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tag Special 2'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(24345709653053707)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'74274'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TAG_SPECIAL_2:COST_MY_COST:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(24333170368018349)
,p_plug_name=>'Cost Per Tag 1+2 Special'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>220
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Tag 1+2 Special'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(24333238055018350)
,p_region_id=>wwv_flow_imp.id(24333170368018349)
,p_chart_type=>'bar'
,p_height=>'700'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'horizontal'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'on'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'value-desc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'off'
,p_legend_position=>'auto'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(24333312043018351)
,p_chart_id=>wwv_flow_imp.id(24333238055018350)
,p_seq=>10
,p_name=>'Cost per Special Tag 1+2'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    nvl(tag_special,''No Tag'')||'':''||nvl(tag_special2,''No Tag'') as tag_special,',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    :P4_REPORT_SELECTOR = ''Cost Per Tag 1+2 Special''',
'group by ',
'	nvl(tag_special,''No Tag'')||'':''||nvl(tag_special2,''No Tag'')',
'order by 2 desc',
'',
'',
'',
''))
,p_items_value_column_name=>'COST_MY_COST'
,p_items_label_column_name=>'TAG_SPECIAL'
,p_color=>'#34AADC'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>false
,p_items_label_display_as=>'PERCENT'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(24333414539018352)
,p_chart_id=>wwv_flow_imp.id(24333238055018350)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(24333549306018353)
,p_chart_id=>wwv_flow_imp.id(24333238055018350)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_type=>'decimal'
,p_decimal_places=>1
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(24333636726018354)
,p_plug_name=>'Cost Per Tag 1+2 Special Report'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>230
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    nvl(tag_special,''No Tag'') tag_special_1,',
'    nvl(tag_special2,''No Tag'') as tag_special_2,',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    :P4_REPORT_SELECTOR = ''Cost Per Tag 1+2 Special''',
'group by ',
'	nvl(tag_special,''No Tag''),nvl(tag_special2,''No Tag'')',
'order by 3 desc',
'',
'',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Tag 1+2 Special'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Cost Per Tag 1+2 Special Report'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(24333795582018355)
,p_allow_save_rpt_public=>'Y'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_LEFT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>true
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADI.ZOHAR@ORACLE.COM'
,p_internal_uid=>7415484652752423
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24333899819018356)
,p_db_column_name=>'COST_MY_COST'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Cost'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'FML999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24333995167018357)
,p_db_column_name=>'TAG_SPECIAL_2'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tag Special 2'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24334076093018358)
,p_db_column_name=>'TAG_SPECIAL_1'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Tag Special 1'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(24351408190086549)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'74331'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TAG_SPECIAL_1:TAG_SPECIAL_2:COST_MY_COST:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(27733171792431652)
,p_plug_name=>'Cost Per SKU'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>120
,p_plug_new_grid_row=>false
,p_plug_new_grid_column=>false
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per SKU'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(27733266509431653)
,p_region_id=>wwv_flow_imp.id(27733171792431652)
,p_chart_type=>'donut'
,p_height=>'400'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hover_behavior=>'none'
,p_stack=>'off'
,p_stack_label=>'off'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_value_format_type=>'decimal'
,p_value_decimal_places=>1
,p_value_format_scaling=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'off'
,p_legend_position=>'auto'
,p_overview_rendered=>'off'
,p_pie_other_threshold=>0
,p_pie_selection_effect=>'highlight'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(27733339555431654)
,p_chart_id=>wwv_flow_imp.id(27733266509431653)
,p_seq=>10
,p_name=>'Cost Per Product SKU'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    COST_PRODUCT_SKU||'' ''||min(prd_description) as COST_PRODUCT_SKU,',
'    min(prd_description || '' - ''||prd_resource) as prd_description, ',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P4_COST_PRODUCT_SKU) and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'    :P4_REPORT_SELECTOR = ''Cost Per SKU''',
'group by ',
'	COST_PRODUCT_SKU ',
'having sum(COST_MY_COST) > 0',
'order by 3 desc',
'',
'',
'',
''))
,p_items_value_column_name=>'COST_MY_COST'
,p_items_label_column_name=>'COST_PRODUCT_SKU'
,p_items_label_rendered=>true
,p_items_label_position=>'insideBarEdge'
,p_items_label_display_as=>'ALL'
,p_items_label_font_size=>'10'
,p_threshold_display=>'onIndicator'
);
end;
/
begin
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(27734173547431662)
,p_plug_name=>'Cost Per Top Compartment'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>140
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Top Compartment'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(27734229727431663)
,p_region_id=>wwv_flow_imp.id(27734173547431662)
,p_chart_type=>'bar'
,p_height=>'500'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'horizontal'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'on'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'value-desc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'off'
,p_legend_position=>'auto'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(27734333647431664)
,p_chart_id=>wwv_flow_imp.id(27734229727431663)
,p_seq=>10
,p_name=>'Cost per Top Compartment'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    case',
'        when prd_compartment_path is null then ''No Compartment''',
'        when prd_compartment_path like ''%/%'' then nvl(substr(prd_compartment_path,1,instr(prd_compartment_path,'' /'')-1),''(root)'') ',
'    else prd_compartment_path',
'    end top_level_compartment ,',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    :P4_REPORT_SELECTOR = ''Cost Per Top Compartment''',
'group by ',
'    case ',
'    when prd_compartment_path is null then ''No Compartment''',
'    when prd_compartment_path like ''%/%'' then nvl(substr(prd_compartment_path,1,instr(prd_compartment_path,'' /'')-1),''(root)'') ',
'    else prd_compartment_path',
'    end  ',
'order by 2 desc',
'',
'',
'',
''))
,p_items_value_column_name=>'COST_MY_COST'
,p_items_label_column_name=>'TOP_LEVEL_COMPARTMENT'
,p_color=>'#34AADC'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>false
,p_items_label_display_as=>'PERCENT'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(27734492760431665)
,p_chart_id=>wwv_flow_imp.id(27734229727431663)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(27734524006431666)
,p_chart_id=>wwv_flow_imp.id(27734229727431663)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_type=>'decimal'
,p_decimal_places=>1
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(28850127040457543)
,p_plug_name=>'Cost Per Day'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>20
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Day'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(28850261080457544)
,p_region_id=>wwv_flow_imp.id(28850127040457543)
,p_chart_type=>'bar'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hover_behavior=>'none'
,p_stack=>'off'
,p_stack_label=>'off'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'off'
,p_legend_position=>'auto'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(28850331622457545)
,p_chart_id=>wwv_flow_imp.id(28850261080457544)
,p_seq=>10
,p_name=>'Cost Per Day'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') as USAGE_DAY, ',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P4_COST_PRODUCT_SKU) and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'')',
'    and not (:P4_TENANT_ID is null and :P4_COMPARTMENT_NAME is null and :P4_PRODUCT_SERVICE is null and :P4_PRODUCT_REGION is null and :P4_COMPARTMENT_TOP is null and :P4_TAG_KEY is null and :P4_TAG_DATA is null and :P4_COST_PRODUCT_SKU is null and :'
||'P4_TAG1_SPECIAL is null and :P4_TAG2_SPECIAL is null)',
'    and :P4_REPORT_SELECTOR = ''Cost Per Day''',
'group by ',
'	to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'')',
'union all',
'select ',
'    to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') as USAGE_DAY, ',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost_stats',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'')',
'    and COST_MY_COST > 0',
'    and (:P4_TENANT_ID is null and :P4_COMPARTMENT_NAME is null and :P4_PRODUCT_SERVICE is null and :P4_PRODUCT_REGION is null and :P4_COMPARTMENT_TOP is null and :P4_TAG_KEY is null and :P4_TAG_DATA is null and :P4_COST_PRODUCT_SKU is null and :P4_T'
||'AG1_SPECIAL is null and :P4_TAG2_SPECIAL is null)',
'    and :P4_REPORT_SELECTOR = ''Cost Per Day''',
'group by ',
'	to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'')',
'order by 1',
'',
'',
'',
''))
,p_items_value_column_name=>'COST_MY_COST'
,p_items_label_column_name=>'USAGE_DAY'
,p_color=>'#34AADC'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'auto'
,p_items_label_display_as=>'PERCENT'
,p_items_label_font_size=>'10'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(28850510583457546)
,p_chart_id=>wwv_flow_imp.id(28850261080457544)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_type=>'date-short'
,p_numeric_pattern=>'DD-MON-YYYY'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_tick_label_font_size=>'10'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(28850519416457547)
,p_chart_id=>wwv_flow_imp.id(28850261080457544)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_type=>'decimal'
,p_decimal_places=>1
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(28850626294457548)
,p_plug_name=>'Cost Per Service'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>90
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Service'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(28850738383457549)
,p_region_id=>wwv_flow_imp.id(28850626294457548)
,p_chart_type=>'donut'
,p_height=>'400'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hover_behavior=>'none'
,p_stack=>'off'
,p_stack_label=>'off'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_value_format_type=>'decimal'
,p_value_decimal_places=>1
,p_value_format_scaling=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'off'
,p_legend_position=>'auto'
,p_overview_rendered=>'off'
,p_pie_other_threshold=>0
,p_pie_selection_effect=>'highlight'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(28850859546457550)
,p_chart_id=>wwv_flow_imp.id(28850738383457549)
,p_seq=>10
,p_name=>'Cost Per Service'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    replace(nvl(prd_service,COST_PRODUCT_SKU),''_'','' '') prd_service,',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P4_COST_PRODUCT_SKU) and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'   :P4_REPORT_SELECTOR = ''Cost Per Service''',
'',
'group by ',
'	replace(nvl(prd_service,COST_PRODUCT_SKU),''_'','' '')',
'order by 2 desc',
'',
'',
'',
''))
,p_items_value_column_name=>'COST_MY_COST'
,p_items_label_column_name=>'PRD_SERVICE'
,p_items_label_rendered=>true
,p_items_label_position=>'insideBarEdge'
,p_items_label_display_as=>'LBL_VAL'
,p_items_label_font_size=>'10'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(28897189756705152)
,p_plug_name=>'Cost Per Tag 1 Special'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>180
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Tag 1 Special'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(28897277542705153)
,p_region_id=>wwv_flow_imp.id(28897189756705152)
,p_chart_type=>'bar'
,p_height=>'700'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'horizontal'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'on'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'value-desc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'off'
,p_legend_position=>'auto'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(28897376563705154)
,p_chart_id=>wwv_flow_imp.id(28897277542705153)
,p_seq=>10
,p_name=>'Cost per Special Tag 1'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    nvl(tag_special,''No Tag'') as prd_compartment_name,',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    :P4_REPORT_SELECTOR = ''Cost Per Tag 1 Special''',
'group by ',
'	nvl(tag_special,''No Tag'')',
'order by 2 desc',
'',
'',
'',
''))
,p_items_value_column_name=>'COST_MY_COST'
,p_items_label_column_name=>'PRD_COMPARTMENT_NAME'
,p_color=>'#34AADC'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>false
,p_items_label_display_as=>'PERCENT'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(28897499920705155)
,p_chart_id=>wwv_flow_imp.id(28897277542705153)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(28897550977705156)
,p_chart_id=>wwv_flow_imp.id(28897277542705153)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_type=>'decimal'
,p_decimal_places=>1
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(29222105572840141)
,p_plug_name=>'Cost Resource Report'
,p_region_name=>'resource_report'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>250
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'with data as',
'(',
'    select /*+ parallel(a,8) full(a) */ ',
'        a.tenant_name,',
'        a.tenant_id,',
'        a.USG_RESOURCE_ID as RESOURCE_ID,',
'        min(a.COST_PRODUCT_SKU || '' '' || replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '','''')) as PRODUCT,',
'        min(prd_compartment_name) COMPARTMENT_NAME,',
'        min(prd_compartment_path) COMPARTMENT_PATH,',
'        min(COST_BILLING_UNIT) COST_BILLING_UNIT,',
'        max(COST_UNIT_PRICE) RATE,',
'        min(tags_data) as tags_data,',
'        min(TAG_SPECIAL) as TAG_SPECIAL,',
'        min(TAG_SPECIAL2) as TAG_SPECIAL2,',
'        min(COST_CURRENCY_CODE) CURRENCY,',
'        case when count(distinct USAGE_INTERVAL_START) > 0 then',
'            case ',
'                when min(upper(nvl(COST_BILLING_UNIT,''ZZ''))) like ''%HOUR%'' then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)',
'                when min(upper(nvl(COST_BILLING_UNIT,''ZZ''))) like ''%GIB%''  then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)*744',
'                when min(upper(nvl(COST_BILLING_UNIT,''ZZ''))) like ''%TIB%''  then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)*744',
'                when min(upper(nvl(COST_BILLING_UNIT,''ZZ''))) like ''%GIGA%'' then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)*744',
'                when min(upper(nvl(COST_BILLING_UNIT,''ZZ''))) like ''%GB%''   then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)*744',
'                when min(upper(nvl(COST_BILLING_UNIT,''ZZ''))) like ''%TB%''   then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)*744',
'                when min(upper(PRD_DESCRIPTION))             like ''%HOUR%'' then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)',
'                when min(upper(PRD_DESCRIPTION))             like ''%GIB%''  then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)*744',
'                when min(upper(PRD_DESCRIPTION))             like ''%TIB%''  then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)*744',
'                when min(upper(nvl(COST_BILLING_UNIT,''ZZ''))) like ''%REQUESTS%'' then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)',
'                when min(upper(nvl(COST_BILLING_UNIT,''ZZ''))) like ''%EMAILS%''   then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)*744',
'                when min(upper(nvl(COST_BILLING_UNIT,''ZZ''))) like ''%ASSETS%''   then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)*744',
'                else null',
'            end',
'        end SINGLE_QUANTITY,',
'        count(distinct USAGE_INTERVAL_START) HOURS_QUANTITY,',
'        sum(USG_BILLED_QUANTITY) TOTAL_QUANTITY,',
'        sum(COST_MY_COST_OVERAGE) OVERAGE_COST,',
'        sum(COST_MY_COST) USAGE_COST,',
'        sum(COST_MY_COST)*(24 * 31 / count(distinct USAGE_INTERVAL_START)) ESTIMATE_MONTH_31,',
'        sum(COST_MY_COST)*(24 * 365 / count(distinct USAGE_INTERVAL_START)) ESTIMATE_YEAR',
'    from oci_cost a',
'    where ',
'        (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'        (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'        (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'        (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'        (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'        (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'        (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'        (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'        (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'        (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'        (:P4_COST_PRODUCT_SKU is null or a.COST_PRODUCT_SKU = :P4_COST_PRODUCT_SKU) and',
'        USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'')',
'        and COST_MY_COST<>0',
'        and :P4_REPORT_SELECTOR = ''Cost Resource Report''',
'    group by ',
'        a.tenant_name,a.USG_RESOURCE_ID, tenant_id',
')',
'select ',
'    TENANT_NAME,',
'    TENANT_ID,',
'    A.RESOURCE_ID,',
'    B.RESOURCE_NAME,',
'    A.COMPARTMENT_NAME,',
'    A.COMPARTMENT_PATH,',
'    PRODUCT,',
'    COST_BILLING_UNIT,',
'    RATE,',
'    CURRENCY,',
'    SINGLE_QUANTITY,',
'    HOURS_QUANTITY,',
'    TOTAL_QUANTITY,',
'    USAGE_COST,',
'    ESTIMATE_MONTH_31,',
'    ESTIMATE_YEAR,',
'    tags_data,',
'    TAG_SPECIAL,',
'    TAG_SPECIAL2',
'from',
'    data a, OCI_RESOURCES b',
'where ',
'    a.resource_id = b.resource_id (+)',
'order by 1',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Resource Report'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>8.5
,p_prn_height=>11
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
,p_plug_footer=>'<b><small>*** Resource Name only available from ShowOCI and not for all resources</small></b>'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(29222185364840142)
,p_allow_save_rpt_public=>'Y'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>true
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>12303874435574210
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49535771099313438)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'L'
,p_column_label=>'Tenant Name'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49535871728313439)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'M'
,p_column_label=>'Tenant Id'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29223542300840156)
,p_db_column_name=>'RESOURCE_ID'
,p_display_order=>30
,p_column_identifier=>'K'
,p_column_label=>'Resource Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#RESOURCE_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29222224933840143)
,p_db_column_name=>'PRODUCT'
,p_display_order=>40
,p_column_identifier=>'A'
,p_column_label=>'Product'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRODUCT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29222408028840144)
,p_db_column_name=>'COST_BILLING_UNIT'
,p_display_order=>50
,p_column_identifier=>'B'
,p_column_label=>'Cost Billing Unit'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COST_BILLING_UNIT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29222475166840145)
,p_db_column_name=>'RATE'
,p_display_order=>60
,p_column_identifier=>'C'
,p_column_label=>'Customer Rate'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D000'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29223247145840153)
,p_db_column_name=>'CURRENCY'
,p_display_order=>70
,p_column_identifier=>'J'
,p_column_label=>'Cur'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29222566645840146)
,p_db_column_name=>'SINGLE_QUANTITY'
,p_display_order=>80
,p_column_identifier=>'D'
,p_column_label=>'Single Quantity'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D0'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29222631137840147)
,p_db_column_name=>'HOURS_QUANTITY'
,p_display_order=>90
,p_column_identifier=>'E'
,p_column_label=>'Hours Quantity'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D0'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29222796406840148)
,p_db_column_name=>'TOTAL_QUANTITY'
,p_display_order=>100
,p_column_identifier=>'F'
,p_column_label=>'Total Quantity'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D0'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29223001457840150)
,p_db_column_name=>'USAGE_COST'
,p_display_order=>110
,p_column_identifier=>'G'
,p_column_label=>'Usage Cost'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D000'
,p_static_id=>'rep_col_grey'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29223081699840151)
,p_db_column_name=>'ESTIMATE_MONTH_31'
,p_display_order=>120
,p_column_identifier=>'H'
,p_column_label=>'Estimate Month 31'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29223131967840152)
,p_db_column_name=>'ESTIMATE_YEAR'
,p_display_order=>130
,p_column_identifier=>'I'
,p_column_label=>'Estimate Year'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12063428351353214)
,p_db_column_name=>'RESOURCE_NAME'
,p_display_order=>140
,p_column_identifier=>'N'
,p_column_label=>'Resource Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#RESOURCE_NAME#</span>'
,p_column_type=>'STRING'
,p_display_condition_type=>'ITEM_IS_NOT_ZERO'
,p_display_condition=>'A_OCI_RESOURCES_COUNT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12063568168353215)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>150
,p_column_identifier=>'O'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12063633475353216)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>160
,p_column_identifier=>'P'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10721753801336614)
,p_db_column_name=>'TAGS_DATA'
,p_display_order=>170
,p_column_identifier=>'Q'
,p_column_label=>'Tags Data'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TAGS_DATA#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10721844888336615)
,p_db_column_name=>'TAG_SPECIAL'
,p_display_order=>180
,p_column_identifier=>'R'
,p_column_label=>'Tag Special'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TAG_SPECIAL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10721952774336616)
,p_db_column_name=>'TAG_SPECIAL2'
,p_display_order=>190
,p_column_identifier=>'S'
,p_column_label=>'Tag Special2'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TAG_SPECIAL2#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(31324419498455233)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'144062'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:COMPARTMENT_PATH:COMPARTMENT_NAME:RESOURCE_ID:RESOURCE_NAME:PRODUCT:COST_BILLING_UNIT:RATE:CURRENCY:SINGLE_QUANTITY:HOURS_QUANTITY:TOTAL_QUANTITY:USAGE_COST:ESTIMATE_MONTH_31:ESTIMATE_YEAR:TAGS_DATA:TAG_SPECIAL:TAG_SPECIAL2:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(29235453984912667)
,p_plug_name=>'Cost Explorer'
,p_region_name=>'cost_explorer'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>260
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT /*+ parallel(oci_cost,8) full(oci_cost) use_hash(oci_cost,oci_resources) */ ',
'    TENANT_ID,',
'    USAGE_INTERVAL_START    ,',
'    USAGE_INTERVAL_END      ,',
'    FILE_ID                 ,',
'    PRD_COMPARTMENT_ID      ,',
'    PRD_COMPARTMENT_NAME    ,',
'    PRD_COMPARTMENT_PATH    ,',
'    PRD_AVAILABILITY_DOMAIN ,',
'    PRD_REGION              ,',
'    PRD_SERVICE             ,',
'    USG_RESOURCE_ID         ,',
'    USG_BILLED_QUANTITY     ,',
'    USG_BILLED_QUANTITY_OVERAGE,',
'    COST_SUBSCRIPTION_ID    ,',
'    COST_PRODUCT_SKU        ,',
'    PRD_DESCRIPTION         ,',
'    COST_UNIT_PRICE         ,',
'    COST_UNIT_PRICE_OVERAGE ,',
'    COST_MY_COST            ,',
'    COST_MY_COST_OVERAGE    ,',
'    COST_CURRENCY_CODE      ,',
'    COST_BILLING_UNIT       ,',
'    COST_OVERAGE_FLAG       ,',
'    decode(IS_CORRECTION,''True'',''Y'',''N'') IS_CORRECTION ,',
'    TAG_SPECIAL,',
'    TAG_SPECIAL2,',
'    TAGS_DATA,',
'    oci_resources.resource_name   ',
'from            ',
'    oci_cost, oci_resources',
'WHERE ',
'    usg_resource_id = oci_resources.resource_id (+) and ',
'    (oci_cost.tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    (:P4_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P4_COST_PRODUCT_SKU) and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'')',
'    and USG_BILLED_QUANTITY <> 0',
'    and :P4_REPORT_SELECTOR = ''Cost Explorer''',
'order by FILE_ID, USAGE_INTERVAL_START, PRD_COMPARTMENT_PATH, PRD_RESOURCE',
'',
'',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Explorer'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>8.5
,p_prn_height=>11
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(29235517154912668)
,p_max_row_count=>'1000000'
,p_max_rows_per_page=>'20'
,p_allow_save_rpt_public=>'Y'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADI.ZOHAR@ORACLE.COM'
,p_internal_uid=>12317206225646736
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29236825437912681)
,p_db_column_name=>'FILE_ID'
,p_display_order=>10
,p_column_identifier=>'D'
,p_column_label=>'File Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FILE_ID#</span>'
,p_column_type=>'STRING'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29236651496912679)
,p_db_column_name=>'USAGE_INTERVAL_START'
,p_display_order=>30
,p_column_identifier=>'B'
,p_column_label=>'Interval Start'
,p_column_html_expression=>'<span style="white-space:nowrap;">#USAGE_INTERVAL_START#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29236758792912680)
,p_db_column_name=>'USAGE_INTERVAL_END'
,p_display_order=>40
,p_column_identifier=>'C'
,p_column_label=>'Interval End'
,p_column_html_expression=>'<span style="white-space:nowrap;">#USAGE_INTERVAL_END#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29237008088912682)
,p_db_column_name=>'PRD_COMPARTMENT_ID'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Id'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29468681944579233)
,p_db_column_name=>'PRD_COMPARTMENT_NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRD_COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29468732309579234)
,p_db_column_name=>'PRD_COMPARTMENT_PATH'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRD_COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29468814902579235)
,p_db_column_name=>'PRD_AVAILABILITY_DOMAIN'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Availability Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRD_AVAILABILITY_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29468948675579236)
,p_db_column_name=>'PRD_REGION'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Region'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRD_REGION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29469032013579237)
,p_db_column_name=>'PRD_SERVICE'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Service'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRD_SERVICE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29469254401579239)
,p_db_column_name=>'USG_RESOURCE_ID'
,p_display_order=>120
,p_column_identifier=>'L'
,p_column_label=>'Resource Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#USG_RESOURCE_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29469369242579240)
,p_db_column_name=>'USG_BILLED_QUANTITY'
,p_display_order=>130
,p_column_identifier=>'M'
,p_column_label=>'Billed Quantity'
,p_column_html_expression=>'<span style="white-space:nowrap;">#USG_BILLED_QUANTITY#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D0000'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29469478696579241)
,p_db_column_name=>'USG_BILLED_QUANTITY_OVERAGE'
,p_display_order=>140
,p_column_identifier=>'N'
,p_column_label=>'Billed Quantity Overage'
,p_column_html_expression=>'<span style="white-space:nowrap;">#USG_BILLED_QUANTITY_OVERAGE#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D0000'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29469520013579242)
,p_db_column_name=>'COST_SUBSCRIPTION_ID'
,p_display_order=>150
,p_column_identifier=>'O'
,p_column_label=>'Subscription Id'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29469652565579243)
,p_db_column_name=>'COST_PRODUCT_SKU'
,p_display_order=>160
,p_column_identifier=>'P'
,p_column_label=>'Product SKU'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29469774486579244)
,p_db_column_name=>'PRD_DESCRIPTION'
,p_display_order=>170
,p_column_identifier=>'Q'
,p_column_label=>'Prd Description'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRD_DESCRIPTION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29235778688912670)
,p_db_column_name=>'COST_BILLING_UNIT'
,p_display_order=>180
,p_column_identifier=>'A'
,p_column_label=>'Billing Unit'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COST_BILLING_UNIT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29469881214579245)
,p_db_column_name=>'COST_UNIT_PRICE'
,p_display_order=>190
,p_column_identifier=>'R'
,p_column_label=>'Unit Price'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COST_UNIT_PRICE#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D000'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29469967389579246)
,p_db_column_name=>'COST_UNIT_PRICE_OVERAGE'
,p_display_order=>200
,p_column_identifier=>'S'
,p_column_label=>'Unit Price Overage'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COST_UNIT_PRICE_OVERAGE#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D000'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29470084977579247)
,p_db_column_name=>'COST_MY_COST'
,p_display_order=>210
,p_column_identifier=>'T'
,p_column_label=>'My Cost'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D000'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29470189237579248)
,p_db_column_name=>'COST_MY_COST_OVERAGE'
,p_display_order=>220
,p_column_identifier=>'U'
,p_column_label=>'My Cost Overage'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D000'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29470255623579249)
,p_db_column_name=>'COST_CURRENCY_CODE'
,p_display_order=>230
,p_column_identifier=>'V'
,p_column_label=>'Currency Code'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29470369081579250)
,p_db_column_name=>'COST_OVERAGE_FLAG'
,p_display_order=>240
,p_column_identifier=>'W'
,p_column_label=>'Overage Flag'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29470467753579251)
,p_db_column_name=>'IS_CORRECTION'
,p_display_order=>250
,p_column_identifier=>'X'
,p_column_label=>'Is Correction'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29470519280579252)
,p_db_column_name=>'TAGS_DATA'
,p_display_order=>260
,p_column_identifier=>'Y'
,p_column_label=>'Tags Data'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TAGS_DATA#</span>'
,p_column_type=>'STRING'
,p_heading_alignment=>'LEFT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29224409609840164)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>270
,p_column_identifier=>'Z'
,p_column_label=>'Tenant Id'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(28708927517443171)
,p_db_column_name=>'TAG_SPECIAL'
,p_display_order=>280
,p_column_identifier=>'AA'
,p_column_label=>'Tag 1 Special'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TAG_SPECIAL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(24268563162225644)
,p_db_column_name=>'TAG_SPECIAL2'
,p_display_order=>290
,p_column_identifier=>'AB'
,p_column_label=>'Tag 2 Special'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TAG_SPECIAL2#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10722094588336617)
,p_db_column_name=>'RESOURCE_NAME'
,p_display_order=>300
,p_column_identifier=>'AC'
,p_column_label=>'Resource Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#RESOURCE_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(29481671811594488)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'125634'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_display_rows=>20
,p_report_columns=>'TENANT_ID:FILE_ID:USAGE_INTERVAL_START:USAGE_INTERVAL_END:PRD_COMPARTMENT_NAME:PRD_COMPARTMENT_PATH:PRD_AVAILABILITY_DOMAIN:PRD_REGION:PRD_SERVICE:COST_PRODUCT_SKU:PRD_DESCRIPTION:USG_BILLED_QUANTITY:USG_BILLED_QUANTITY_OVERAGE:COST_BILLING_UNIT:COST'
||'_UNIT_PRICE:COST_UNIT_PRICE_OVERAGE:COST_MY_COST:COST_MY_COST_OVERAGE:COST_CURRENCY_CODE:COST_OVERAGE_FLAG:IS_CORRECTION:TAG_SPECIAL:TAG_SPECIAL2:TAGS_DATA:USG_RESOURCE_ID:RESOURCE_NAME:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(29291441065151158)
,p_plug_name=>'Cost Per Day Compartment and Service Report'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>110
,p_plug_grid_column_span=>6
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') as USAGE_DAY, ',
'    prd_compartment_name COMPARTMENT_NAME,',
'    replace(nvl(prd_service,COST_PRODUCT_SKU),''_'','' '') prd_service,',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P4_COST_PRODUCT_SKU) and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'    :P4_REPORT_SELECTOR = ''Cost Per Day Comp and Service Report''',
'group by ',
'	to_char(USAGE_INTERVAL_START,''YYYY-MM-DD''),',
'    prd_compartment_name,',
'    replace(nvl(prd_service,COST_PRODUCT_SKU),''_'','' '')',
'order by 1,2,3',
'',
'',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Day Comp and Service Report'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'Cost Per Day Compartment and Service Report'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(29291598742151159)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADI.ZOHAR@ORACLE.COM'
,p_internal_uid=>12373287812885227
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29291831393151162)
,p_db_column_name=>'USAGE_DAY'
,p_display_order=>10
,p_column_identifier=>'C'
,p_column_label=>'Usage Day'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29291933651151163)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>20
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29291628858151160)
,p_db_column_name=>'PRD_SERVICE'
,p_display_order=>30
,p_column_identifier=>'A'
,p_column_label=>'Service'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29291756864151161)
,p_db_column_name=>'COST_MY_COST'
,p_display_order=>40
,p_column_identifier=>'B'
,p_column_label=>'Cost'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'FML999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(26185767070194774)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'92675'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'USAGE_DAY:COMPARTMENT_NAME:PRD_SERVICE:COST_MY_COST'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(30892408734307349)
,p_plug_name=>'Cost Per Day Accumulated'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>50
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Day Accumulated'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(30892413479307350)
,p_region_id=>wwv_flow_imp.id(30892408734307349)
,p_chart_type=>'lineWithArea'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'on'
,p_data_cursor_behavior=>'snap'
,p_hover_behavior=>'none'
,p_stack=>'off'
,p_stack_label=>'off'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'off'
,p_legend_position=>'auto'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(30892550383307351)
,p_chart_id=>wwv_flow_imp.id(30892413479307350)
,p_seq=>10
,p_name=>'Cost Per Day Accumulated'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    USAGE_DAY,',
'    cost_my_cost,',
'    sum(cost_my_cost) over (partition by null order by usage_day) cost_accumulated',
'from',
'(',
'    select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'        to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') as USAGE_DAY, ',
'        sum(COST_MY_COST) as COST_MY_COST',
'    from oci_cost',
'    where ',
'        (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'        (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'        (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'        (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'        (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'        (:P4_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P4_COST_PRODUCT_SKU) and',
'        (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'        (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'        (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'        (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'        (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'        USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'')',
'         and not (:P4_TENANT_ID is null and :P4_COMPARTMENT_NAME is null and :P4_PRODUCT_SERVICE is null and :P4_PRODUCT_REGION is null and :P4_COMPARTMENT_TOP is null and :P4_TAG_KEY is null and :P4_TAG_DATA is null and :P4_COST_PRODUCT_SKU is null '
||'and :P4_TAG1_SPECIAL is null and :P4_TAG2_SPECIAL is null)',
'        and :P4_REPORT_SELECTOR = ''Cost Per Day Accumulated''',
'    group by ',
'        to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'')',
'    union all',
'    select ',
'        to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') as USAGE_DAY, ',
'        sum(COST_MY_COST) as COST_MY_COST',
'    from oci_cost_stats',
'    where ',
'        (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'        USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'')',
'        and (:P4_TENANT_ID is null and :P4_COMPARTMENT_NAME is null and :P4_PRODUCT_SERVICE is null and :P4_PRODUCT_REGION is null and :P4_COMPARTMENT_TOP is null and :P4_TAG_KEY is null and :P4_TAG_DATA is null and :P4_COST_PRODUCT_SKU is null and :'
||'P4_TAG1_SPECIAL is null and :P4_TAG2_SPECIAL is null)',
'        and :P4_REPORT_SELECTOR = ''Cost Per Day Accumulated''',
'    group by ',
'        to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'')',
')',
'order by 1',
'',
'',
'',
''))
,p_items_value_column_name=>'COST_ACCUMULATED'
,p_items_label_column_name=>'USAGE_DAY'
,p_color=>'#34AADC'
,p_line_style=>'solid'
,p_line_type=>'auto'
,p_marker_rendered=>'on'
,p_marker_shape=>'diamond'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'aboveMarker'
,p_items_label_display_as=>'PERCENT'
,p_items_label_font_size=>'10'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(30892695289307352)
,p_chart_id=>wwv_flow_imp.id(30892413479307350)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_type=>'date-short'
,p_numeric_pattern=>'DD-MON-YYYY'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_tick_label_font_size=>'10'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(30892779749307353)
,p_chart_id=>wwv_flow_imp.id(30892413479307350)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_title=>'Cost Accumulated'
,p_format_type=>'decimal'
,p_decimal_places=>1
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'bottom'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'on'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(38524732386779600)
,p_plug_name=>'Cost Report'
,p_region_name=>'cost_report'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>240
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'with data as',
'(',
'    select /*+ parallel(a,8) full(a) */ ',
'        a.COST_PRODUCT_SKU || '' '' || min(replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '','''')) as PRODUCT,',
'        a.COST_PRODUCT_SKU,',
'        min(COST_BILLING_UNIT) COST_BILLING_UNIT,',
'        max(COST_UNIT_PRICE) RATE,',
'        min(COST_CURRENCY_CODE) CURRENCY,',
'        case when count(distinct USAGE_INTERVAL_START) > 0 then',
'            case ',
'                when min(upper(nvl(COST_BILLING_UNIT,''ZZ''))) like ''%HOUR%'' then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)',
'                when min(upper(nvl(COST_BILLING_UNIT,''ZZ''))) like ''%GIB%''  then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)*744',
'                when min(upper(nvl(COST_BILLING_UNIT,''ZZ''))) like ''%TIB%''  then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)*744',
'                when min(upper(nvl(COST_BILLING_UNIT,''ZZ''))) like ''%GIGA%'' then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)*744',
'                when min(upper(nvl(COST_BILLING_UNIT,''ZZ''))) like ''%GB%''   then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)*744',
'                when min(upper(nvl(COST_BILLING_UNIT,''ZZ''))) like ''%TB%''   then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)*744',
'                when min(upper(PRD_DESCRIPTION))             like ''%HOUR%'' then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)',
'                when min(upper(PRD_DESCRIPTION))             like ''%GIB%''  then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)*744',
'                when min(upper(PRD_DESCRIPTION))             like ''%TIB%''  then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)*744',
'                when min(upper(nvl(COST_BILLING_UNIT,''ZZ''))) like ''%REQUESTS%'' then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)',
'                when min(upper(nvl(COST_BILLING_UNIT,''ZZ''))) like ''%EMAILS%''   then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)*744',
'                when min(upper(nvl(COST_BILLING_UNIT,''ZZ''))) like ''%ASSETS%''   then sum(USG_BILLED_QUANTITY)/count(distinct USAGE_INTERVAL_START)*744',
'                else null',
'            end',
'        end SINGLE_QUANTITY,',
'        count(distinct USAGE_INTERVAL_START) HOURS_QUANTITY,',
'        sum(USG_BILLED_QUANTITY) TOTAL_QUANTITY,',
'        sum(COST_MY_COST_OVERAGE) OVERAGE_COST,',
'        sum(COST_MY_COST) USAGE_COST,',
'        sum(COST_MY_COST)*(24 * 31 / count(distinct USAGE_INTERVAL_START)) ESTIMATE_MONTH_31,',
'        sum(COST_MY_COST)*(24 * 365 / count(distinct USAGE_INTERVAL_START)) ESTIMATE_YEAR',
'    from oci_cost a',
'    where ',
'        (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'        (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'        (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'        (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'        (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'        (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'        (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'        (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'        (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'        (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'        (:P4_COST_PRODUCT_SKU is null or a.COST_PRODUCT_SKU = :P4_COST_PRODUCT_SKU) and',
'        USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'        COST_MY_COST<>0 and',
'        :P4_REPORT_SELECTOR = ''Cost Report''',
'    group by ',
'        a.COST_PRODUCT_SKU',
'), ',
'pubic_rate_tab as',
'(',
'    select ',
'        COST_PRODUCT_SKU,',
'        max(RATE_MONTHLY_FLEX_PRICE) as RATE_MONTHLY_FLEX_PRICE',
'    from ',
'        oci_price_list',
'    where',
'        (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') ',
'        and RATE_MONTHLY_FLEX_PRICE is not null ',
'    group by COST_PRODUCT_SKU',
')',
'select ',
'    A.PRODUCT,',
'    A.COST_BILLING_UNIT,',
'    case when RATE_MONTHLY_FLEX_PRICE = 0 then null else RATE_MONTHLY_FLEX_PRICE end PUBLIC_RATE,',
'	CASE WHEN RATE_MONTHLY_FLEX_PRICE > 0  AND RATE_MONTHLY_FLEX_PRICE IS NOT NULL and RATE>0 THEN',
'	    ROUND((RATE_MONTHLY_FLEX_PRICE - RATE )/RATE_MONTHLY_FLEX_PRICE * 100,1)',
'	ELSE NULL END PCT_MONTH,',
'    RATE,',
'    CURRENCY,',
'    SINGLE_QUANTITY,',
'    HOURS_QUANTITY,',
'    TOTAL_QUANTITY,',
'    USAGE_COST,',
'    ESTIMATE_MONTH_31,',
'    ESTIMATE_YEAR',
'from',
'    data a,',
'    pubic_rate_tab b',
'where    ',
'    a.COST_PRODUCT_SKU = b.COST_PRODUCT_SKU (+)',
'order by USAGE_COST',
'',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Report'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>8.5
,p_prn_height=>11
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(28852768154457569)
,p_allow_save_rpt_public=>'Y'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_LEFT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>true
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADI.ZOHAR@ORACLE.COM'
,p_internal_uid=>11934457225191637
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(28852910728457570)
,p_db_column_name=>'PRODUCT'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Product'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRODUCT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(28852987356457571)
,p_db_column_name=>'COST_BILLING_UNIT'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Cost Billing Unit'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COST_BILLING_UNIT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(31106582903535955)
,p_db_column_name=>'PUBLIC_RATE'
,p_display_order=>30
,p_column_identifier=>'L'
,p_column_label=>'Public Rate'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D000'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(31106664092535956)
,p_db_column_name=>'PCT_MONTH'
,p_display_order=>40
,p_column_identifier=>'M'
,p_column_label=>'% Discount'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D0'
,p_static_id=>'rep_col_pink'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(28853047467457572)
,p_db_column_name=>'RATE'
,p_display_order=>50
,p_column_identifier=>'C'
,p_column_label=>'Customer Rate'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D000'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29470612543579253)
,p_db_column_name=>'CURRENCY'
,p_display_order=>60
,p_column_identifier=>'K'
,p_column_label=>'Cur'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(28853112766457573)
,p_db_column_name=>'SINGLE_QUANTITY'
,p_display_order=>70
,p_column_identifier=>'D'
,p_column_label=>'Single Quantity'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D0'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(28853243164457574)
,p_db_column_name=>'HOURS_QUANTITY'
,p_display_order=>80
,p_column_identifier=>'E'
,p_column_label=>'Hours Quantity'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D0'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(28853358740457575)
,p_db_column_name=>'TOTAL_QUANTITY'
,p_display_order=>90
,p_column_identifier=>'F'
,p_column_label=>'Total Quantity'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D0'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(28853584990457577)
,p_db_column_name=>'USAGE_COST'
,p_display_order=>110
,p_column_identifier=>'H'
,p_column_label=>'Usage Cost'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D000'
,p_static_id=>'rep_col_grey'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(28853620024457578)
,p_db_column_name=>'ESTIMATE_MONTH_31'
,p_display_order=>120
,p_column_identifier=>'I'
,p_column_label=>'Estimate Month 31'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(28853802542457579)
,p_db_column_name=>'ESTIMATE_YEAR'
,p_display_order=>130
,p_column_identifier=>'J'
,p_column_label=>'Estimate Year'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(29183266817598594)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'122650'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_display_rows=>100
,p_report_columns=>'PRODUCT:COST_BILLING_UNIT:CURRENCY:PUBLIC_RATE:PCT_MONTH:RATE:SINGLE_QUANTITY:USAGE_COST:ESTIMATE_MONTH_31:ESTIMATE_YEAR'
,p_sum_columns_on_break=>'OVERAGE_COST:USAGE_COST:ESTIMATE_MONTH_31:ESTIMATE_YEAR'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(33360553192345313)
,p_application_user=>'APXWS_ALTERNATIVE'
,p_name=>'Compact'
,p_report_seq=>10
,p_report_alias=>'164423'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'PRODUCT:CURRENCY:PCT_MONTH:RATE:SINGLE_QUANTITY:USAGE_COST:ESTIMATE_MONTH_31:ESTIMATE_YEAR'
,p_sum_columns_on_break=>'OVERAGE_COST:USAGE_COST:ESTIMATE_MONTH_31:ESTIMATE_YEAR'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(38525771653779611)
,p_plug_name=>'Cost Per Single Compartment'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>160
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Single Compartment'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(28628444950039136)
,p_region_id=>wwv_flow_imp.id(38525771653779611)
,p_chart_type=>'bar'
,p_height=>'700'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'horizontal'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'on'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'value-desc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'off'
,p_legend_position=>'auto'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(28630182199039137)
,p_chart_id=>wwv_flow_imp.id(28628444950039136)
,p_seq=>10
,p_name=>'Cost per Single Compartment'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    nvl(prd_compartment_name,''No Compartment'') as prd_compartment_name,',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    :P4_REPORT_SELECTOR = ''Cost Per Single Compartment''',
'group by ',
'	nvl(prd_compartment_name,''No Compartment'')',
'order by 2 desc',
'',
'',
'',
''))
,p_items_value_column_name=>'COST_MY_COST'
,p_items_label_column_name=>'PRD_COMPARTMENT_NAME'
,p_color=>'#34AADC'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>false
,p_items_label_display_as=>'PERCENT'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(28629540119039136)
,p_chart_id=>wwv_flow_imp.id(28628444950039136)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(28628987987039136)
,p_chart_id=>wwv_flow_imp.id(28628444950039136)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_type=>'decimal'
,p_decimal_places=>1
,p_format_scaling=>'none'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(38542464275755199)
,p_plug_name=>'Cost Per Region'
,p_parent_plug_id=>wwv_flow_imp.id(38527154473779625)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>70
,p_plug_grid_column_span=>12
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P4_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Cost Per Region'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(28633671313039140)
,p_region_id=>wwv_flow_imp.id(38542464275755199)
,p_chart_type=>'donut'
,p_height=>'400'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hover_behavior=>'dim'
,p_stack=>'off'
,p_stack_label=>'off'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_value_format_type=>'decimal'
,p_value_decimal_places=>1
,p_value_format_scaling=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'off'
,p_legend_position=>'auto'
,p_overview_rendered=>'off'
,p_pie_other_threshold=>0
,p_pie_selection_effect=>'highlight'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(28635391034039141)
,p_chart_id=>wwv_flow_imp.id(28633671313039140)
,p_seq=>10
,p_name=>'Cost Per Region'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    prd_region, ',
'    sum(COST_MY_COST) as COST_MY_COST',
'from oci_cost',
'where ',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'    (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'    (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'    (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'    (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'    (:P4_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P4_COST_PRODUCT_SKU) and',
'    (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'    (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'    (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'    (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'    (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'    USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'    :P4_REPORT_SELECTOR = ''Cost Per Region''',
'group by ',
'	prd_region',
'order by 2 desc',
'',
'',
'',
''))
,p_series_name_column_name=>'PRD_REGION'
,p_items_value_column_name=>'COST_MY_COST'
,p_items_label_column_name=>'PRD_REGION'
,p_items_label_rendered=>true
,p_items_label_position=>'aboveMarker'
,p_items_label_display_as=>'ALL'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(38527324684779626)
,p_plug_name=>'Choose Tenant'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader js-removeLandmark:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_source=>'No Data Found, Please Choose Tenant, Date and press Submit.'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_ZERO'
,p_plug_display_when_condition=>'P4_ROWS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_button(
 p_id=>wwv_flow_imp.id(28620506880039119)
,p_button_sequence=>130
,p_button_plug_id=>wwv_flow_imp.id(27734864051431669)
,p_button_name=>'P4_SUBMIT'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--stretch:t-Button--gapTop'
,p_button_template_id=>wwv_flow_imp.id(26739430162954028)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Submit'
,p_grid_new_row=>'Y'
,p_grid_column_span=>3
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(24268489819225643)
,p_name=>'P4_TAG2_SPECIAL'
,p_item_sequence=>170
,p_item_plug_id=>wwv_flow_imp.id(27734864051431669)
,p_prompt=>'Tag 2 Special Data'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'')',
'    and ref_type=''TAG_SPECIAL2''',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P4_TENANT_NAME,P4_DATE_FROM, P4_DATE_TO'
,p_ajax_optimize_refresh=>'Y'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(27733100742431651)
,p_name=>'P4_COST_PRODUCT_SKU'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_imp.id(27734864051431669)
,p_prompt=>'Product SKU'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct replace(replace(ref_name,substr(ref_name,1,6)||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'') o, substr(ref_name,1,6) r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'')',
'    and ref_type=''COST_PRODUCT_SKU''',
'order by 1',
''))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P4_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(27734684109431667)
,p_name=>'P4_DATE_FROM'
,p_is_required=>true
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_imp.id(27734864051431669)
,p_prompt=>'From Date'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_display_as=>'NATIVE_DATE_PICKER_APEX'
,p_cSize=>30
,p_tag_attributes=>'style="background-color:#d0ffff; font-weight:bold;"'
,p_begin_on_new_line=>'N'
,p_colspan=>3
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'POPUP'
,p_attribute_03=>'STATIC'
,p_attribute_04=>'01-JAN-2018'
,p_attribute_06=>'STATIC'
,p_attribute_07=>'31-DEC-2025'
,p_attribute_09=>'N'
,p_attribute_11=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(27734719179431668)
,p_name=>'P4_DATE_TO'
,p_is_required=>true
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_imp.id(27734864051431669)
,p_prompt=>'To Date (Not Inclusive)'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_display_as=>'NATIVE_DATE_PICKER_APEX'
,p_cSize=>30
,p_tag_attributes=>'style="background-color:#d0ffff; font-weight:bold;"'
,p_begin_on_new_line=>'N'
,p_colspan=>3
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'POPUP'
,p_attribute_03=>'STATIC'
,p_attribute_04=>'01-JAN-2018'
,p_attribute_06=>'STATIC'
,p_attribute_07=>'31-DEC-2025'
,p_attribute_09=>'N'
,p_attribute_11=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(27735808000431678)
,p_name=>'P4_FULL_DAYS_BETWEEN'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_imp.id(27735357322431674)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Days of Data'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select to_char(count(*)/24,''99999.0'') DAYS',
'from',
'(',
'    select distinct',
'        USAGE_INTERVAL_START DATE_HOUR',
'    from oci_cost_stats',
'    where',
'        (tenant_name=:P4_TENANT_NAME or ''ALL''=:P4_TENANT_NAME) and',
'        USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'')',
')'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#e8e8e8"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28620890253039122)
,p_name=>'P4_TENANT_NAME'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(27734864051431669)
,p_prompt=>'Tenant Name'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ''All'' o, ''ALL'' r from dual',
'union all',
'select distinct tenant_name o, tenant_name r from OCI_COST_REFERENCE order by 1',
''))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Please Choose...'
,p_cHeight=>1
,p_tag_attributes=>'style="background-color:#d0ffff; font-weight:bold;"'
,p_colspan=>3
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28621704588039124)
,p_name=>'P4_COMPARTMENT_TOP'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_imp.id(27734864051431669)
,p_prompt=>'Top Level Compartment'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'')',
'    and ref_type=''PRD_COMPARTMENT_PATH''',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P4_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28622103893039125)
,p_name=>'P4_PRODUCT_SERVICE'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_imp.id(27734864051431669)
,p_prompt=>'Product Service'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct initcap(ref_name) o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'')',
'    and ref_type=''PRD_SERVICE''',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P4_TENANT_NAME,P4_DATE_FROM, P4_DATE_TO'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28622879045039125)
,p_name=>'P4_ROWS'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_imp.id(27735357322431674)
,p_format_mask=>'999G999G999G999G999G999G990'
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28623213383039126)
,p_name=>'P4_PRODUCT_REGION'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_imp.id(27734864051431669)
,p_prompt=>'Product Region'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'')',
'    and ref_type=''PRD_REGION''',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P4_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28623612482039126)
,p_name=>'P4_COMPARTMENT_NAME'
,p_item_sequence=>150
,p_item_plug_id=>wwv_flow_imp.id(27734864051431669)
,p_prompt=>'Compartment'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'')',
'    and ref_type=''PRD_COMPARTMENT_NAME''',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P4_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28624480594039127)
,p_name=>'P4_TAG_DATA'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_imp.id(27734864051431669)
,p_prompt=>'Tag Data Filter'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28624858489039127)
,p_name=>'P4_LAST_DATE_LOADED'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_imp.id(27735357322431674)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Last Date Loaded'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    to_char(max(USAGE_INTERVAL_START),''DD-MON-YY HH24:MI'') dte',
'from oci_cost_stats',
'where ',
'    (tenant_name=:P4_TENANT_NAME or ''ALL''=:P4_TENANT_NAME)'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#e8e8e8"'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28708822602443170)
,p_name=>'P4_TAG1_SPECIAL'
,p_item_sequence=>160
,p_item_plug_id=>wwv_flow_imp.id(27734864051431669)
,p_prompt=>'Tag 1 Special Data'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'')',
'    and ref_type=''TAG_SPECIAL''',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P4_TENANT_NAME,P4_DATE_FROM, P4_DATE_TO'
,p_ajax_optimize_refresh=>'Y'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28851168525457553)
,p_name=>'P4_COST'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(27735357322431674)
,p_prompt=>'Total Cost'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color: #F5FBB4; font-weight: bold; font-size: 14px;"'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28882201880632998)
,p_name=>'P4_TAG_KEY'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_imp.id(27734864051431669)
,p_prompt=>'Tag Key'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct tag_key o, tag_key r ',
'from ',
'    oci_cost_tag_keys',
'where',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'')',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P4_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28897015056705151)
,p_name=>'P4_TAG_SPECIAL_KEY_DISPLAY'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_imp.id(27735357322431674)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Tag 1+2 Special Keys'
,p_format_mask=>'FML999G999G999G999G990D00'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select key1||case when key2 is null then null else '','' end||key2 from ',
'(select MIN(ref_name) key1 from OCI_COST_REFERENCE where tenant_name=:P4_TENANT_NAME and ref_type=''TAG_SPECIAL_KEY'') a,',
'(select MIN(ref_name) key2 from OCI_COST_REFERENCE where tenant_name=:P4_TENANT_NAME and ref_type=''TAG_SPECIAL_KEY2'') b'))
,p_source_type=>'QUERY_COLON'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#e8e8e8"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28898226724705163)
,p_name=>'P4_ROWS_DISPLAY'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_imp.id(27735357322431674)
,p_prompt=>'Cost Rows Filtered'
,p_format_mask=>'999G999G999G999G999G999G990'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#e8e8e8"'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(29224230305840163)
,p_name=>'P4_TENANT_ID'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_imp.id(27734864051431669)
,p_prompt=>'Tenant Id'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'')',
'    and ref_type=''TENANT_ID''',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P4_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_colspan=>3
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(30887186879283043)
,p_name=>'P4_REPORT_SELECTOR'
,p_item_sequence=>140
,p_item_plug_id=>wwv_flow_imp.id(27734864051431669)
,p_prompt=>'Chart/Report Selector'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC2:Cost Per Day;Cost Per Day,Cost Per Day Accumulated;Cost Per Day Accumulated,Cost Per Region;Cost Per Region,Cost Per Service;Cost Per Service,Cost Per SKU;Cost Per SKU,Cost Per Top Compartment;Cost Per Top Compartment,Cost Per Single Compartm'
||'ent;Cost Per Single Compartment,Cost Per Tag 1 Special;Cost Per Tag 1 Special,Cost Per Tag 2 Special;Cost Per Tag 2 Special,Cost Per Tag 1+2 Special;Cost Per Tag 1+2 Special,Cost Report;Cost Report,Cost Explorer;Cost Explorer,Cost Resource Report;Cos'
||'t Resource Report,Cost Per Day Comp and Service Report;Cost Per Day Comp and Service Report'
,p_cHeight=>1
,p_tag_attributes=>'style="background-color: #F5FBB4; font-weight: bold; font-size: 13px;"'
,p_begin_on_new_line=>'N'
,p_colspan=>3
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(31104453627535934)
,p_name=>'P4_YEARLY'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_imp.id(27735357322431674)
,p_prompt=>'Yearly Prediction'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color: #F5FBB4; font-weight: bold; font-size: 14px;"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(29196073998568576)
,p_computation_sequence=>5
,p_computation_item=>'P4_TENANT_NAME'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>'select tenant_name from oci_cost where rownum=1'
,p_compute_when=>'P4_TENANT_NAME'
,p_compute_when_type=>'ITEM_IS_NULL'
);
end;
/
begin
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(29196199616568577)
,p_computation_sequence=>10
,p_computation_item=>'P4_DATE_TO'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>'select to_char(max(trunc(USAGE_INTERVAL_START)),''DD-MON-YYYY HH24:MI'') from oci_cost_stats where tenant_name=:P4_TENANT_NAME'
,p_compute_when=>'P4_DATE_TO'
,p_compute_when_type=>'ITEM_IS_NULL'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(29196298553568578)
,p_computation_sequence=>10
,p_computation_item=>'P4_DATE_FROM'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>'select to_Char(trunc(max(USAGE_INTERVAL_START)-7),''DD-MON-YYYY HH24:MI'') from oci_cost_stats where tenant_name=:P4_TENANT_NAME'
,p_compute_when=>'P4_DATE_FROM'
,p_compute_when_type=>'ITEM_IS_NULL'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(30892290770307348)
,p_computation_sequence=>10
,p_computation_item=>'P4_REPORT_SELECTOR'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'STATIC_ASSIGNMENT'
,p_computation=>'Cost Per Day'
,p_compute_when=>'P4_REPORT_SELECTOR'
,p_compute_when_type=>'ITEM_IS_NULL'
);
wwv_flow_imp_page.create_page_process(
 p_id=>wwv_flow_imp.id(28708781069443169)
,p_process_sequence=>10
,p_process_point=>'AFTER_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'PreFill'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin',
'    select ',
'        to_char(nvl(sum(COST_MY_COST),0),''999,999,999,990.00'')||'' ''||min(COST_CURRENCY_CODE) MY_COST,',
'        to_char(nvl(sum(COST_YEAR),0),''999,999,999,990'')||'' ''||min(COST_CURRENCY_CODE) MY_COST_YEAR,',
'        SUM(CNT) as TOTAL_ROWS,',
'        to_char(SUM(CNT),''999,999,999'') as TOTAL_ROWS',
'    into',
'        :P4_COST,',
'        :P4_YEARLY,',
'        :P4_ROWS,',
'        :P4_ROWS_DISPLAY',
'    from',
'    (',
'        select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'            sum(COST_MY_COST) COST_MY_COST,',
'            sum(COST_MY_COST)*(24 * 365 / count(distinct USAGE_INTERVAL_START)) COST_YEAR,',
'            min(COST_CURRENCY_CODE) COST_CURRENCY_CODE,',
'            count(*) cnt',
'        from oci_cost',
'        where ',
'            (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'            (:P4_COMPARTMENT_NAME is null or prd_compartment_name = :P4_COMPARTMENT_NAME) and',
'            (:P4_PRODUCT_SERVICE is null or prd_service = :P4_PRODUCT_SERVICE) and',
'            (:P4_PRODUCT_REGION is null or prd_region = :P4_PRODUCT_REGION) and',
'            (:P4_TENANT_ID is null or tenant_id = :P4_TENANT_ID) and',
'            (:P4_COMPARTMENT_TOP is null or prd_compartment_path like :P4_COMPARTMENT_TOP ||''%'') and',
'            (:P4_TAG_KEY is null or tags_data like ''%#'' || :P4_TAG_KEY || ''=%'') and',
'            (:P4_TAG_DATA is null or tags_data like ''%#'' || nvl(:P4_TAG_KEY,''%'') || ''='' || :P4_TAG_DATA || ''#%'') and',
'            (:P4_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P4_COST_PRODUCT_SKU) and',
'            (:P4_TAG1_SPECIAL is null or TAG_SPECIAL = :P4_TAG1_SPECIAL) and',
'            (:P4_TAG2_SPECIAL is null or TAG_SPECIAL2 = :P4_TAG2_SPECIAL) and',
'            USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'            not (:P4_TENANT_ID is null and :P4_COMPARTMENT_NAME is null and :P4_PRODUCT_SERVICE is null and :P4_PRODUCT_REGION is null and :P4_COMPARTMENT_TOP is null and ',
'            :P4_TAG_KEY is null and :P4_TAG_DATA is null and :P4_COST_PRODUCT_SKU is null and :P4_TAG1_SPECIAL is null and :P4_TAG2_SPECIAL is null)',
'        union all',
'        select ',
'            sum(COST_MY_COST) COST_MY_COST,',
'            sum(COST_MY_COST)*(24 * 365 / count(distinct USAGE_INTERVAL_START)) COST_YEAR,',
'            min(COST_CURRENCY_CODE) COST_CURRENCY_CODE,',
'            sum(num_rows) cnt',
'        from oci_cost_stats',
'        where ',
'            (tenant_name=:P4_TENANT_NAME or :P4_TENANT_NAME = ''ALL'') and',
'            USAGE_INTERVAL_START >= to_date(:P4_DATE_FROM,''DD-MON-YYYY HH24:MI'') and USAGE_INTERVAL_START < to_date(:P4_DATE_TO,''DD-MON-YYYY HH24:MI'') and',
'            (:P4_COMPARTMENT_NAME is null and :P4_PRODUCT_SERVICE is null and :P4_PRODUCT_REGION is null and :P4_COMPARTMENT_TOP is null and ',
'            :P4_TAG_KEY is null and :P4_TAG_DATA is null and :P4_COST_PRODUCT_SKU is null and :P4_TENANT_ID is null and :P4_TAG1_SPECIAL is null and :P4_TAG2_SPECIAL is null)',
'    );',
'end;',
''))
,p_process_clob_language=>'PLSQL'
);
end;
/
prompt --application/pages/page_00005
begin
wwv_flow_imp_page.create_page(
 p_id=>5
,p_name=>'Cost Over Time'
,p_step_title=>'Cost Over Time'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if ($v("P5_PRODUCT_REGION")   != "") {$("#P5_PRODUCT_REGION"  ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P5_PRODUCT_SERVICE")  != "") {$("#P5_PRODUCT_SERVICE" ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P5_COMPARTMENT_TOP")  != "") {$("#P5_COMPARTMENT_TOP" ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P5_COMPARTMENT_NAME") != "") {$("#P5_COMPARTMENT_NAME").css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P5_COST_PRODUCT_SKU") != "") {$("#P5_COST_PRODUCT_SKU").css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P5_TAG1_SPECIAL")     != "") {$("#P5_TAG1_SPECIAL"    ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P5_TAG2_SPECIAL")     != "") {$("#P5_TAG2_SPECIAL"    ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P5_TAG_DATA")         != "") {$("#P5_TAG_DATA"        ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P5_TAG_KEY")          != "") {$("#P5_TAG_KEY"         ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P5_TENANT_ID")        != "") {$("#P5_TENANT_ID"       ).css({"background-color":"#ddffff", "font-weight":"bold"}); }'))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.a-IRR-table tr td[headers*="rep_col_grey"] { background-color: #efffff; }',
'.a-IRR-table tr td[headers*="rep_col_pink"] { background-color: #ffefff; }',
'',
'#report .t-fht-thead{ overflow: auto !important; }',
'#cost_explorer .t-fht-thead{ overflow: auto !important;}',
'#resource_report .t-fht-thead{  overflow: auto !important;}',
'#cost_report .t-fht-thead{  overflow: auto !important;}',
''))
,p_page_template_options=>'#DEFAULT#'
,p_page_component_map=>'03'
,p_last_updated_by=>'ADIZOHAR'
,p_last_upd_yyyymmddhh24miss=>'20230401012122'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(39764862521507625)
,p_plug_name=>'Filter'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader js-removeLandmark:t-Region--accent12:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_grid_column_span=>9
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(39765355792507630)
,p_plug_name=>'Stats Info'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader js-removeLandmark:t-Region--accent12:t-Region--scrollBody:margin-top-none:margin-bottom-none:margin-left-none:margin-right-none'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_new_grid_row=>false
,p_plug_grid_column_span=>3
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(50557152943855581)
,p_plug_name=>'ShowGraphs'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--removeHeader js-removeLandmark:t-Region--noUI:t-Region--scrollBody:margin-top-none:margin-bottom-none:margin-left-none:margin-right-none'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_NOT_ZERO'
,p_plug_display_when_condition=>'P5_ROWS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_report_region(
 p_id=>wwv_flow_imp.id(26845061173982071)
,p_name=>'Monthly Cost Report'
,p_region_name=>'report'
,p_parent_plug_id=>wwv_flow_imp.id(50557152943855581)
,p_template=>wwv_flow_imp.id(26683353252953952)
,p_display_sequence=>90
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'SUB_REGIONS'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT /*+ parallel(oci_cost,8) full(oci_cost) use_hash(oci_cost,oci_resources) */ ',
'	case ',
'		when :P5_REPORT_GROUP = ''Product'' or :P5_REPORT_GROUP is null then COST_PRODUCT_SKU || '' '' || replace(replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'')',
'		when :P5_REPORT_GROUP = ''Service'' then prd_service',
'		when :P5_REPORT_GROUP = ''Region'' then prd_region',
'		when :P5_REPORT_GROUP = ''Resource Id'' then usg_resource_id',
'		when :P5_REPORT_GROUP = ''Resource Id+Name'' then usg_resource_id || '' '' || oci_resources.resource_name',
'		when :P5_REPORT_GROUP = ''Tag Special 1'' then tag_special',
'		when :P5_REPORT_GROUP = ''Tag Special 2'' then tag_special2',
'		when :P5_REPORT_GROUP = ''Tag Special 1+2'' then tag_special||'':''||tag_special2',
'		when :P5_REPORT_GROUP = ''Top Compartment'' then ',
'			case ',
'                when prd_compartment_path is null then ''No Compartment''',
'                when prd_compartment_path like ''%/%'' then nvl(substr(prd_compartment_path,1,instr(prd_compartment_path,'' /'')-1) ,''(Root)'')',
'                else prd_compartment_path ',
'            end ',
'		when :P5_REPORT_GROUP = ''Compartment'' then nvl(prd_compartment_name,''No Compartment'')',
'        when :P5_REPORT_GROUP = ''Tenant'' then nvl(tenant_id,''No TenantId'')',
'	end product_name,',
'    sum(COST_MY_COST) TOTAL,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''01'' then COST_MY_COST else null end) Jan,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''02'' then COST_MY_COST else null end) Feb,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''03'' then COST_MY_COST else null end) Mar,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''04'' then COST_MY_COST else null end) Apr,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''05'' then COST_MY_COST else null end) May,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''06'' then COST_MY_COST else null end) Jun,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''07'' then COST_MY_COST else null end) Jul,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''08'' then COST_MY_COST else null end) Aug,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''09'' then COST_MY_COST else null end) Sep,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''10'' then COST_MY_COST else null end) Oct,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''11'' then COST_MY_COST else null end) Nov,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''12'' then COST_MY_COST else null end) Dec',
'FROM ',
'    oci_cost, oci_resources',
'WHERE ',
'    usg_resource_id = oci_resources.resource_id (+) and ',
'    (oci_cost.tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'    :P5_PERIOD=''Monthly'' and ',
'	to_char(USAGE_INTERVAL_START,''YYYY'') = :P5_PERIOD_RANGE and',
'    (:P5_COMPARTMENT_NAME is null or prd_compartment_name = :P5_COMPARTMENT_NAME) and',
'    (:P5_COMPARTMENT_TOP is null or prd_compartment_path like :P5_COMPARTMENT_TOP ||''%'') and',
'    (:P5_PRODUCT_SERVICE is null or prd_service = :P5_PRODUCT_SERVICE) and',
'    (:P5_PRODUCT_REGION is null or prd_region = :P5_PRODUCT_REGION) and',
'    (:P5_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P5_COST_PRODUCT_SKU) and',
'    (:P5_TAG1_SPECIAL is null or :P5_TAG1_SPECIAL = TAG_SPECIAL) and',
'    (:P5_TAG2_SPECIAL is null or :P5_TAG2_SPECIAL = TAG_SPECIAL2) and',
'    (:P5_TENANT_ID is null or tenant_id = :P5_TENANT_ID) and',
'    (:P5_TAG_KEY is null or tags_data like ''%#'' || :P5_TAG_KEY || ''=%'') and',
'    (:P5_TAG_DATA is null or tags_data like ''%#'' || nvl(:P5_TAG_KEY,''%'') || ''=%'' || :P5_TAG_DATA || ''#'') and',
'    :P5_REPORT_SELECTOR = ''Monthly Cost Report''',
'GROUP BY ',
'	case ',
'		when :P5_REPORT_GROUP = ''Product'' or :P5_REPORT_GROUP is null then COST_PRODUCT_SKU || '' '' || replace(replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'')',
'		when :P5_REPORT_GROUP = ''Service'' then prd_service',
'		when :P5_REPORT_GROUP = ''Region'' then prd_region',
'		when :P5_REPORT_GROUP = ''Resource Id'' then usg_resource_id',
'		when :P5_REPORT_GROUP = ''Resource Id+Name'' then usg_resource_id || '' '' || oci_resources.resource_name',
'		when :P5_REPORT_GROUP = ''Tag Special 1'' then tag_special',
'		when :P5_REPORT_GROUP = ''Tag Special 2'' then tag_special2',
'		when :P5_REPORT_GROUP = ''Tag Special 1+2'' then tag_special||'':''||tag_special2',
'		when :P5_REPORT_GROUP = ''Top Compartment'' then ',
'			case ',
'                when prd_compartment_path is null then ''No Compartment''',
'                when prd_compartment_path like ''%/%'' then nvl(substr(prd_compartment_path,1,instr(prd_compartment_path,'' /'')-1) ,''(Root)'')',
'                else prd_compartment_path ',
'            end ',
'		when :P5_REPORT_GROUP = ''Compartment'' then nvl(prd_compartment_name,''No Compartment'')',
'        when :P5_REPORT_GROUP = ''Tenant'' then nvl(tenant_id,''No TenantId'')',
'	end',
'having sum(COST_MY_COST)>0',
'order by 2 desc',
''))
,p_display_when_condition=>'P5_REPORT_SELECTOR'
,p_display_when_cond2=>'Monthly Cost Report'
,p_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_ajax_enabled=>'Y'
,p_lazy_loading=>true
,p_query_row_template=>wwv_flow_imp.id(26709087882953984)
,p_query_num_rows=>100
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'ROW_RANGES_WITH_LINKS'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'Y'
,p_csv_output_link_text=>'Download'
,p_prn_output=>'Y'
,p_prn_format=>'PDF'
,p_prn_output_link_text=>'Print'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width_units=>'PERCENTAGE'
,p_prn_width=>8.5
,p_prn_height=>11
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29008917286136139)
,p_query_column_id=>1
,p_column_alias=>'PRODUCT_NAME'
,p_column_display_sequence=>1
,p_column_heading=>'&P5_REPORT_GROUP.'
,p_use_as_row_header=>'N'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRODUCT_NAME#</span>'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29009058550136140)
,p_query_column_id=>2
,p_column_alias=>'TOTAL'
,p_column_display_sequence=>2
,p_column_heading=>'Total'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29009169030136141)
,p_query_column_id=>3
,p_column_alias=>'JAN'
,p_column_display_sequence=>3
,p_column_heading=>'Jan &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29009234609136142)
,p_query_column_id=>4
,p_column_alias=>'FEB'
,p_column_display_sequence=>4
,p_column_heading=>'Feb &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29009342306136143)
,p_query_column_id=>5
,p_column_alias=>'MAR'
,p_column_display_sequence=>5
,p_column_heading=>'Mar &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29009472854136144)
,p_query_column_id=>6
,p_column_alias=>'APR'
,p_column_display_sequence=>6
,p_column_heading=>'Apr &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29009593484136145)
,p_query_column_id=>7
,p_column_alias=>'MAY'
,p_column_display_sequence=>7
,p_column_heading=>'May &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29009612259136146)
,p_query_column_id=>8
,p_column_alias=>'JUN'
,p_column_display_sequence=>8
,p_column_heading=>'Jun &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29009809753136147)
,p_query_column_id=>9
,p_column_alias=>'JUL'
,p_column_display_sequence=>9
,p_column_heading=>'Jul &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29009832460136148)
,p_query_column_id=>10
,p_column_alias=>'AUG'
,p_column_display_sequence=>10
,p_column_heading=>'Aug &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29009991167136149)
,p_query_column_id=>11
,p_column_alias=>'SEP'
,p_column_display_sequence=>11
,p_column_heading=>'Sep &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29010037915136150)
,p_query_column_id=>12
,p_column_alias=>'OCT'
,p_column_display_sequence=>12
,p_column_heading=>'Oct &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29010174998136151)
,p_query_column_id=>13
,p_column_alias=>'NOV'
,p_column_display_sequence=>13
,p_column_heading=>'Nov &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29010254077136152)
,p_query_column_id=>14
,p_column_alias=>'DEC'
,p_column_display_sequence=>14
,p_column_heading=>'Dec &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_region(
 p_id=>wwv_flow_imp.id(29010340797136153)
,p_name=>'Daily Cost Report'
,p_region_name=>'report'
,p_parent_plug_id=>wwv_flow_imp.id(50557152943855581)
,p_template=>wwv_flow_imp.id(26683353252953952)
,p_display_sequence=>110
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'SUB_REGIONS'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT /*+ parallel(oci_cost,8) full(oci_cost) use_hash(oci_cost,oci_resources) */ ',
'	case ',
'		when :P5_REPORT_GROUP = ''Product'' or :P5_REPORT_GROUP is null then COST_PRODUCT_SKU || '' '' || replace(replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'')',
'		when :P5_REPORT_GROUP = ''Service'' then prd_service',
'		when :P5_REPORT_GROUP = ''Region'' then prd_region',
'		when :P5_REPORT_GROUP = ''Resource Id'' then usg_resource_id',
'		when :P5_REPORT_GROUP = ''Resource Id+Name'' then usg_resource_id || '' '' || oci_resources.resource_name',
'		when :P5_REPORT_GROUP = ''Tag Special 1'' then tag_special',
'		when :P5_REPORT_GROUP = ''Tag Special 2'' then tag_special2',
'		when :P5_REPORT_GROUP = ''Tag Special 1+2'' then tag_special||'':''||tag_special2',
'		when :P5_REPORT_GROUP = ''Top Compartment'' then ',
'			case ',
'                when prd_compartment_path is null then ''No Compartment''',
'                when prd_compartment_path like ''%/%'' then nvl(substr(prd_compartment_path,1,instr(prd_compartment_path,'' /'')-1) ,''(Root)'')',
'                else prd_compartment_path ',
'            end ',
'		when :P5_REPORT_GROUP = ''Compartment'' then nvl(prd_compartment_name,''No Compartment'')',
'		when :P5_REPORT_GROUP = ''Tenant'' then nvl(tenant_id,''No TenantId'')',
'	end product_name,',
'    sum(COST_MY_COST) TOTAL,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''01'' then COST_MY_COST else null end) D01,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''02'' then COST_MY_COST else null end) D02,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''03'' then COST_MY_COST else null end) D03,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''04'' then COST_MY_COST else null end) D04,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''05'' then COST_MY_COST else null end) D05,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''06'' then COST_MY_COST else null end) D06,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''07'' then COST_MY_COST else null end) D07,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''08'' then COST_MY_COST else null end) D08,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''09'' then COST_MY_COST else null end) D09,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''10'' then COST_MY_COST else null end) D10,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''11'' then COST_MY_COST else null end) D11,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''12'' then COST_MY_COST else null end) D12,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''13'' then COST_MY_COST else null end) D13,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''14'' then COST_MY_COST else null end) D14,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''15'' then COST_MY_COST else null end) D15,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''16'' then COST_MY_COST else null end) D16,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''17'' then COST_MY_COST else null end) D17,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''18'' then COST_MY_COST else null end) D18,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''19'' then COST_MY_COST else null end) D19,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''20'' then COST_MY_COST else null end) D20,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''21'' then COST_MY_COST else null end) D21,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''22'' then COST_MY_COST else null end) D22,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''23'' then COST_MY_COST else null end) D23,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''24'' then COST_MY_COST else null end) D24,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''25'' then COST_MY_COST else null end) D25,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''26'' then COST_MY_COST else null end) D26,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''27'' then COST_MY_COST else null end) D27,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''28'' then COST_MY_COST else null end) D28,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''29'' then COST_MY_COST else null end) D29,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''30'' then COST_MY_COST else null end) D30,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''31'' then COST_MY_COST else null end) D31',
'FROM ',
'    oci_cost, oci_resources',
'WHERE ',
'    usg_resource_id = oci_resources.resource_id (+) and ',
'    (oci_cost.tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'    :P5_PERIOD=''Daily'' and ',
'	to_char(USAGE_INTERVAL_START,''YYYY-MM'') = :P5_PERIOD_RANGE and',
'    (:P5_COMPARTMENT_NAME is null or prd_compartment_name = :P5_COMPARTMENT_NAME) and',
'    (:P5_COMPARTMENT_TOP is null or prd_compartment_path like :P5_COMPARTMENT_TOP ||''%'') and',
'    (:P5_PRODUCT_SERVICE is null or prd_service = :P5_PRODUCT_SERVICE) and',
'    (:P5_PRODUCT_REGION is null or prd_region = :P5_PRODUCT_REGION) and',
'    (:P5_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P5_COST_PRODUCT_SKU) and',
'    (:P5_TAG1_SPECIAL is null or :P5_TAG1_SPECIAL = TAG_SPECIAL) and',
'    (:P5_TAG2_SPECIAL is null or :P5_TAG2_SPECIAL = TAG_SPECIAL2) and',
'    (:P5_TENANT_ID is null or tenant_id = :P5_TENANT_ID) and',
'    (:P5_TAG_KEY is null or tags_data like ''%#'' || :P5_TAG_KEY || ''=%'') and',
'    (:P5_TAG_DATA is null or tags_data like ''%#'' || nvl(:P5_TAG_KEY,''%'') || ''=%'' || :P5_TAG_DATA || ''#'') and',
'    :P5_REPORT_SELECTOR = ''Daily Cost Report''',
'GROUP BY ',
'	case ',
'		when :P5_REPORT_GROUP = ''Product'' or :P5_REPORT_GROUP is null then COST_PRODUCT_SKU || '' '' || replace(replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'')',
'		when :P5_REPORT_GROUP = ''Service'' then prd_service',
'		when :P5_REPORT_GROUP = ''Region'' then prd_region',
'		when :P5_REPORT_GROUP = ''Resource Id'' then usg_resource_id',
'		when :P5_REPORT_GROUP = ''Resource Id+Name'' then usg_resource_id || '' '' || oci_resources.resource_name',
'		when :P5_REPORT_GROUP = ''Tag Special 1'' then tag_special',
'		when :P5_REPORT_GROUP = ''Tag Special 2'' then tag_special2',
'		when :P5_REPORT_GROUP = ''Tag Special 1+2'' then tag_special||'':''||tag_special2',
'		when :P5_REPORT_GROUP = ''Top Compartment'' then ',
'			case ',
'                when prd_compartment_path is null then ''No Compartment''',
'                when prd_compartment_path like ''%/%'' then nvl(substr(prd_compartment_path,1,instr(prd_compartment_path,'' /'')-1) ,''(Root)'')',
'                else prd_compartment_path ',
'            end ',
'		when :P5_REPORT_GROUP = ''Compartment'' then nvl(prd_compartment_name,''No Compartment'')',
'        when :P5_REPORT_GROUP = ''Tenant'' then nvl(tenant_id,''No TenantId'')',
'	end',
'having sum(COST_MY_COST)>0',
'order by 2 desc'))
,p_display_when_condition=>'P5_REPORT_SELECTOR'
,p_display_when_cond2=>'Daily Cost Report'
,p_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_ajax_enabled=>'Y'
,p_lazy_loading=>true
,p_query_row_template=>wwv_flow_imp.id(26709087882953984)
,p_query_num_rows=>100
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'ROW_RANGES_WITH_LINKS'
,p_pagination_display_position=>'BOTTOM_LEFT'
,p_csv_output=>'Y'
,p_csv_output_link_text=>'Download'
,p_prn_output=>'Y'
,p_prn_format=>'PDF'
,p_prn_output_link_text=>'Print'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width_units=>'PERCENTAGE'
,p_prn_width=>8.5
,p_prn_height=>11
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29010548641136155)
,p_query_column_id=>1
,p_column_alias=>'PRODUCT_NAME'
,p_column_display_sequence=>1
,p_column_heading=>'&P5_REPORT_GROUP.'
,p_use_as_row_header=>'N'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRODUCT_NAME#</span>'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29010702474136156)
,p_query_column_id=>2
,p_column_alias=>'TOTAL'
,p_column_display_sequence=>2
,p_column_heading=>'Total'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29012003467136169)
,p_query_column_id=>3
,p_column_alias=>'D01'
,p_column_display_sequence=>3
,p_column_heading=>'D01'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29012061570136170)
,p_query_column_id=>4
,p_column_alias=>'D02'
,p_column_display_sequence=>4
,p_column_heading=>'D02'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29012138235136171)
,p_query_column_id=>5
,p_column_alias=>'D03'
,p_column_display_sequence=>5
,p_column_heading=>'D03'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29012287023136172)
,p_query_column_id=>6
,p_column_alias=>'D04'
,p_column_display_sequence=>6
,p_column_heading=>'D04'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29012399835136173)
,p_query_column_id=>7
,p_column_alias=>'D05'
,p_column_display_sequence=>7
,p_column_heading=>'D05'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29012435697136174)
,p_query_column_id=>8
,p_column_alias=>'D06'
,p_column_display_sequence=>8
,p_column_heading=>'D06'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29012540263136175)
,p_query_column_id=>9
,p_column_alias=>'D07'
,p_column_display_sequence=>9
,p_column_heading=>'D07'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29012653789136176)
,p_query_column_id=>10
,p_column_alias=>'D08'
,p_column_display_sequence=>10
,p_column_heading=>'D08'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29012751857136177)
,p_query_column_id=>11
,p_column_alias=>'D09'
,p_column_display_sequence=>11
,p_column_heading=>'D09'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29012826405136178)
,p_query_column_id=>12
,p_column_alias=>'D10'
,p_column_display_sequence=>12
,p_column_heading=>'D10'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29012974132136179)
,p_query_column_id=>13
,p_column_alias=>'D11'
,p_column_display_sequence=>13
,p_column_heading=>'D11'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29013046553136180)
,p_query_column_id=>14
,p_column_alias=>'D12'
,p_column_display_sequence=>14
,p_column_heading=>'D12'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29013156690136181)
,p_query_column_id=>15
,p_column_alias=>'D13'
,p_column_display_sequence=>15
,p_column_heading=>'D13'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29013309595136182)
,p_query_column_id=>16
,p_column_alias=>'D14'
,p_column_display_sequence=>16
,p_column_heading=>'D14'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
end;
/
begin
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29057989847251833)
,p_query_column_id=>17
,p_column_alias=>'D15'
,p_column_display_sequence=>17
,p_column_heading=>'D15'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29058046645251834)
,p_query_column_id=>18
,p_column_alias=>'D16'
,p_column_display_sequence=>18
,p_column_heading=>'D16'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29058206298251835)
,p_query_column_id=>19
,p_column_alias=>'D17'
,p_column_display_sequence=>19
,p_column_heading=>'D17'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29058298664251836)
,p_query_column_id=>20
,p_column_alias=>'D18'
,p_column_display_sequence=>20
,p_column_heading=>'D18'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29058331887251837)
,p_query_column_id=>21
,p_column_alias=>'D19'
,p_column_display_sequence=>21
,p_column_heading=>'D19'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29058474304251838)
,p_query_column_id=>22
,p_column_alias=>'D20'
,p_column_display_sequence=>22
,p_column_heading=>'D20'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29058569202251839)
,p_query_column_id=>23
,p_column_alias=>'D21'
,p_column_display_sequence=>23
,p_column_heading=>'D21'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29058632176251840)
,p_query_column_id=>24
,p_column_alias=>'D22'
,p_column_display_sequence=>24
,p_column_heading=>'D22'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29058790891251841)
,p_query_column_id=>25
,p_column_alias=>'D23'
,p_column_display_sequence=>25
,p_column_heading=>'D23'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29058815316251842)
,p_query_column_id=>26
,p_column_alias=>'D24'
,p_column_display_sequence=>26
,p_column_heading=>'D24'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29058953942251843)
,p_query_column_id=>27
,p_column_alias=>'D25'
,p_column_display_sequence=>27
,p_column_heading=>'D25'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29059101478251844)
,p_query_column_id=>28
,p_column_alias=>'D26'
,p_column_display_sequence=>28
,p_column_heading=>'D26'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29059165040251845)
,p_query_column_id=>29
,p_column_alias=>'D27'
,p_column_display_sequence=>29
,p_column_heading=>'D27'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29059257366251846)
,p_query_column_id=>30
,p_column_alias=>'D28'
,p_column_display_sequence=>30
,p_column_heading=>'D28'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29059375433251847)
,p_query_column_id=>31
,p_column_alias=>'D29'
,p_column_display_sequence=>31
,p_column_heading=>'D29'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29059418977251848)
,p_query_column_id=>32
,p_column_alias=>'D30'
,p_column_display_sequence=>32
,p_column_heading=>'D30'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29059604871251849)
,p_query_column_id=>33
,p_column_alias=>'D31'
,p_column_display_sequence=>33
,p_column_heading=>'D31'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_region(
 p_id=>wwv_flow_imp.id(29186729513547433)
,p_name=>'Weekly Cost Report'
,p_region_name=>'report'
,p_parent_plug_id=>wwv_flow_imp.id(50557152943855581)
,p_template=>wwv_flow_imp.id(26683353252953952)
,p_display_sequence=>170
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'SUB_REGIONS'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT /*+ parallel(oci_cost,8) full(oci_cost) use_hash(oci_cost,oci_resources) */ ',
'	case ',
'		when :P5_REPORT_GROUP = ''Product'' or :P5_REPORT_GROUP is null then COST_PRODUCT_SKU || '' '' || replace(replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'')',
'		when :P5_REPORT_GROUP = ''Service'' then prd_service',
'		when :P5_REPORT_GROUP = ''Region'' then prd_region',
'		when :P5_REPORT_GROUP = ''Resource Id'' then usg_resource_id',
'		when :P5_REPORT_GROUP = ''Resource Id+Name'' then usg_resource_id || '' '' || oci_resources.resource_name',
'		when :P5_REPORT_GROUP = ''Tag Special 1'' then tag_special',
'		when :P5_REPORT_GROUP = ''Tag Special 2'' then tag_special2',
'		when :P5_REPORT_GROUP = ''Tag Special 1+2'' then tag_special||'':''||tag_special2',
'		when :P5_REPORT_GROUP = ''Top Compartment'' then ',
'			case ',
'                when prd_compartment_path is null then ''No Compartment''',
'                when prd_compartment_path like ''%/%'' then nvl(substr(prd_compartment_path,1,instr(prd_compartment_path,'' /'')-1) ,''(Root)'')',
'                else prd_compartment_path ',
'            end ',
'		when :P5_REPORT_GROUP = ''Compartment'' then nvl(prd_compartment_name,''No Compartment'')',
'        when :P5_REPORT_GROUP = ''Tenant'' then nvl(tenant_id,''No TenantId'')',
'	end product_name,',
'    sum(COST_MY_COST) TOTAL,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''01'' then COST_MY_COST else null end) W01,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''02'' then COST_MY_COST else null end) W02,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''03'' then COST_MY_COST else null end) W03,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''04'' then COST_MY_COST else null end) W04,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''05'' then COST_MY_COST else null end) W05,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''06'' then COST_MY_COST else null end) W06,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''07'' then COST_MY_COST else null end) W07,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''08'' then COST_MY_COST else null end) W08,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''09'' then COST_MY_COST else null end) W09,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''10'' then COST_MY_COST else null end) W10,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''11'' then COST_MY_COST else null end) W11,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''12'' then COST_MY_COST else null end) W12,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''13'' then COST_MY_COST else null end) W13,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''14'' then COST_MY_COST else null end) W14,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''15'' then COST_MY_COST else null end) W15,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''16'' then COST_MY_COST else null end) W16,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''17'' then COST_MY_COST else null end) W17,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''18'' then COST_MY_COST else null end) W18,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''19'' then COST_MY_COST else null end) W19,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''20'' then COST_MY_COST else null end) W20,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''21'' then COST_MY_COST else null end) W21,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''22'' then COST_MY_COST else null end) W22,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''23'' then COST_MY_COST else null end) W23,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''24'' then COST_MY_COST else null end) W24,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''25'' then COST_MY_COST else null end) W25,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''26'' then COST_MY_COST else null end) W26,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''27'' then COST_MY_COST else null end) W27,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''28'' then COST_MY_COST else null end) W28,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''29'' then COST_MY_COST else null end) W29,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''30'' then COST_MY_COST else null end) W30,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''31'' then COST_MY_COST else null end) W31,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''32'' then COST_MY_COST else null end) W32,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''33'' then COST_MY_COST else null end) W33,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''34'' then COST_MY_COST else null end) W34,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''35'' then COST_MY_COST else null end) W35,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''36'' then COST_MY_COST else null end) W36,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''37'' then COST_MY_COST else null end) W37,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''38'' then COST_MY_COST else null end) W38,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''39'' then COST_MY_COST else null end) W39,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''40'' then COST_MY_COST else null end) W40,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''41'' then COST_MY_COST else null end) W41,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''42'' then COST_MY_COST else null end) W42,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''43'' then COST_MY_COST else null end) W43,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''44'' then COST_MY_COST else null end) W44,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''45'' then COST_MY_COST else null end) W45,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''46'' then COST_MY_COST else null end) W46,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''47'' then COST_MY_COST else null end) W47,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''48'' then COST_MY_COST else null end) W48,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''49'' then COST_MY_COST else null end) W49,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''50'' then COST_MY_COST else null end) W50,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''51'' then COST_MY_COST else null end) W51,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''52'' then COST_MY_COST else null end) W52',
'FROM ',
'    oci_cost, oci_resources',
'WHERE ',
'    usg_resource_id = oci_resources.resource_id (+) and ',
'    (oci_cost.tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'    :P5_PERIOD=''Weekly'' and ',
'	to_char(USAGE_INTERVAL_START,''YYYY'') = :P5_PERIOD_RANGE and',
'    (:P5_COMPARTMENT_NAME is null or prd_compartment_name = :P5_COMPARTMENT_NAME) and',
'    (:P5_COMPARTMENT_TOP is null or prd_compartment_path like :P5_COMPARTMENT_TOP ||''%'') and',
'    (:P5_PRODUCT_SERVICE is null or prd_service = :P5_PRODUCT_SERVICE) and',
'    (:P5_PRODUCT_REGION is null or prd_region = :P5_PRODUCT_REGION) and',
'    (:P5_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P5_COST_PRODUCT_SKU) and',
'    (:P5_TAG1_SPECIAL is null or :P5_TAG1_SPECIAL = TAG_SPECIAL) and',
'    (:P5_TAG2_SPECIAL is null or :P5_TAG2_SPECIAL = TAG_SPECIAL2) and',
'    (:P5_TAG_KEY is null or tags_data like ''%#'' || :P5_TAG_KEY || ''=%'') and',
'    (:P5_TENANT_ID is null or tenant_id = :P5_TENANT_ID) and',
'    (:P5_TAG_DATA is null or tags_data like ''%#'' || nvl(:P5_TAG_KEY,''%'') || ''=%'' || :P5_TAG_DATA || ''#'') and',
'    :P5_REPORT_SELECTOR = ''Weekly Cost Report''',
'GROUP BY ',
'	case ',
'		when :P5_REPORT_GROUP = ''Product'' or :P5_REPORT_GROUP is null then COST_PRODUCT_SKU || '' '' || replace(replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'')',
'		when :P5_REPORT_GROUP = ''Service'' then prd_service',
'		when :P5_REPORT_GROUP = ''Region'' then prd_region',
'		when :P5_REPORT_GROUP = ''Resource Id'' then usg_resource_id',
'		when :P5_REPORT_GROUP = ''Resource Id+Name'' then usg_resource_id || '' '' || oci_resources.resource_name',
'		when :P5_REPORT_GROUP = ''Tag Special 1'' then tag_special',
'		when :P5_REPORT_GROUP = ''Tag Special 2'' then tag_special2',
'		when :P5_REPORT_GROUP = ''Tag Special 1+2'' then tag_special||'':''||tag_special2',
'		when :P5_REPORT_GROUP = ''Top Compartment'' then ',
'			case ',
'                when prd_compartment_path is null then ''No Compartment''',
'                when prd_compartment_path like ''%/%'' then nvl(substr(prd_compartment_path,1,instr(prd_compartment_path,'' /'')-1) ,''(Root)'')',
'                else prd_compartment_path ',
'            end ',
'		when :P5_REPORT_GROUP = ''Compartment'' then nvl(prd_compartment_name,''No Compartment'')',
'        when :P5_REPORT_GROUP = ''Tenant'' then nvl(tenant_id,''No TenantId'')',
'	end',
'having sum(COST_MY_COST)>0',
'order by 2 desc',
''))
,p_display_when_condition=>'P5_REPORT_SELECTOR'
,p_display_when_cond2=>'Weekly Cost Report'
,p_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_ajax_enabled=>'Y'
,p_lazy_loading=>true
,p_query_row_template=>wwv_flow_imp.id(26709087882953984)
,p_query_num_rows=>100
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'ROW_RANGES_WITH_LINKS'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'Y'
,p_csv_output_link_text=>'Download'
,p_prn_output=>'Y'
,p_prn_format=>'PDF'
,p_prn_output_link_text=>'Print'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width_units=>'PERCENTAGE'
,p_prn_width=>8.5
,p_prn_height=>11
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29186901926547434)
,p_query_column_id=>1
,p_column_alias=>'PRODUCT_NAME'
,p_column_display_sequence=>1
,p_column_heading=>'&P5_REPORT_GROUP.'
,p_use_as_row_header=>'N'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRODUCT_NAME#</span>'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29186920223547435)
,p_query_column_id=>2
,p_column_alias=>'TOTAL'
,p_column_display_sequence=>2
,p_column_heading=>'Total'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29190160872547467)
,p_query_column_id=>3
,p_column_alias=>'W01'
,p_column_display_sequence=>3
,p_column_heading=>'W01'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29190233046547468)
,p_query_column_id=>4
,p_column_alias=>'W02'
,p_column_display_sequence=>4
,p_column_heading=>'W02'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29190374981547469)
,p_query_column_id=>5
,p_column_alias=>'W03'
,p_column_display_sequence=>5
,p_column_heading=>'W03'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29190424794547470)
,p_query_column_id=>6
,p_column_alias=>'W04'
,p_column_display_sequence=>6
,p_column_heading=>'W04'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29190554375547471)
,p_query_column_id=>7
,p_column_alias=>'W05'
,p_column_display_sequence=>7
,p_column_heading=>'W05'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29190696915547472)
,p_query_column_id=>8
,p_column_alias=>'W06'
,p_column_display_sequence=>8
,p_column_heading=>'W06'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29190714570547473)
,p_query_column_id=>9
,p_column_alias=>'W07'
,p_column_display_sequence=>9
,p_column_heading=>'W07'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29190892226547474)
,p_query_column_id=>10
,p_column_alias=>'W08'
,p_column_display_sequence=>10
,p_column_heading=>'W08'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29190977751547475)
,p_query_column_id=>11
,p_column_alias=>'W09'
,p_column_display_sequence=>11
,p_column_heading=>'W09'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29191092474547476)
,p_query_column_id=>12
,p_column_alias=>'W10'
,p_column_display_sequence=>12
,p_column_heading=>'W10'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29191111607547477)
,p_query_column_id=>13
,p_column_alias=>'W11'
,p_column_display_sequence=>13
,p_column_heading=>'W11'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29191265200547478)
,p_query_column_id=>14
,p_column_alias=>'W12'
,p_column_display_sequence=>14
,p_column_heading=>'W12'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29191401394547479)
,p_query_column_id=>15
,p_column_alias=>'W13'
,p_column_display_sequence=>15
,p_column_heading=>'W13'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29191410947547480)
,p_query_column_id=>16
,p_column_alias=>'W14'
,p_column_display_sequence=>16
,p_column_heading=>'W14'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29191585213547481)
,p_query_column_id=>17
,p_column_alias=>'W15'
,p_column_display_sequence=>17
,p_column_heading=>'W15'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29191625622547482)
,p_query_column_id=>18
,p_column_alias=>'W16'
,p_column_display_sequence=>18
,p_column_heading=>'W16'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29191728600568533)
,p_query_column_id=>19
,p_column_alias=>'W17'
,p_column_display_sequence=>19
,p_column_heading=>'W17'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29191829667568534)
,p_query_column_id=>20
,p_column_alias=>'W18'
,p_column_display_sequence=>20
,p_column_heading=>'W18'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29191942720568535)
,p_query_column_id=>21
,p_column_alias=>'W19'
,p_column_display_sequence=>21
,p_column_heading=>'W19'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29192033032568536)
,p_query_column_id=>22
,p_column_alias=>'W20'
,p_column_display_sequence=>22
,p_column_heading=>'W20'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29192166948568537)
,p_query_column_id=>23
,p_column_alias=>'W21'
,p_column_display_sequence=>23
,p_column_heading=>'W21'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29192223411568538)
,p_query_column_id=>24
,p_column_alias=>'W22'
,p_column_display_sequence=>24
,p_column_heading=>'W22'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29192320223568539)
,p_query_column_id=>25
,p_column_alias=>'W23'
,p_column_display_sequence=>25
,p_column_heading=>'W23'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29192467815568540)
,p_query_column_id=>26
,p_column_alias=>'W24'
,p_column_display_sequence=>26
,p_column_heading=>'W24'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29192563549568541)
,p_query_column_id=>27
,p_column_alias=>'W25'
,p_column_display_sequence=>27
,p_column_heading=>'W25'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29192657830568542)
,p_query_column_id=>28
,p_column_alias=>'W26'
,p_column_display_sequence=>28
,p_column_heading=>'W26'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29192803228568543)
,p_query_column_id=>29
,p_column_alias=>'W27'
,p_column_display_sequence=>29
,p_column_heading=>'W27'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29192907261568544)
,p_query_column_id=>30
,p_column_alias=>'W28'
,p_column_display_sequence=>30
,p_column_heading=>'W28'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29192928699568545)
,p_query_column_id=>31
,p_column_alias=>'W29'
,p_column_display_sequence=>31
,p_column_heading=>'W29'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29193042343568546)
,p_query_column_id=>32
,p_column_alias=>'W30'
,p_column_display_sequence=>32
,p_column_heading=>'W30'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29193191236568547)
,p_query_column_id=>33
,p_column_alias=>'W31'
,p_column_display_sequence=>33
,p_column_heading=>'W31'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29193228993568548)
,p_query_column_id=>34
,p_column_alias=>'W32'
,p_column_display_sequence=>34
,p_column_heading=>'W32'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29193348176568549)
,p_query_column_id=>35
,p_column_alias=>'W33'
,p_column_display_sequence=>35
,p_column_heading=>'W33'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29193411311568550)
,p_query_column_id=>36
,p_column_alias=>'W34'
,p_column_display_sequence=>36
,p_column_heading=>'W34'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29193517478568551)
,p_query_column_id=>37
,p_column_alias=>'W35'
,p_column_display_sequence=>37
,p_column_heading=>'W35'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29193701190568552)
,p_query_column_id=>38
,p_column_alias=>'W36'
,p_column_display_sequence=>38
,p_column_heading=>'W36'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29193782410568553)
,p_query_column_id=>39
,p_column_alias=>'W37'
,p_column_display_sequence=>39
,p_column_heading=>'W37'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29193882279568554)
,p_query_column_id=>40
,p_column_alias=>'W38'
,p_column_display_sequence=>40
,p_column_heading=>'W38'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29194003171568555)
,p_query_column_id=>41
,p_column_alias=>'W39'
,p_column_display_sequence=>41
,p_column_heading=>'W39'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29194057353568556)
,p_query_column_id=>42
,p_column_alias=>'W40'
,p_column_display_sequence=>42
,p_column_heading=>'W40'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
end;
/
begin
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29194152362568557)
,p_query_column_id=>43
,p_column_alias=>'W41'
,p_column_display_sequence=>43
,p_column_heading=>'W41'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29194238567568558)
,p_query_column_id=>44
,p_column_alias=>'W42'
,p_column_display_sequence=>44
,p_column_heading=>'W42'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29194390527568559)
,p_query_column_id=>45
,p_column_alias=>'W43'
,p_column_display_sequence=>45
,p_column_heading=>'W43'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29194480324568560)
,p_query_column_id=>46
,p_column_alias=>'W44'
,p_column_display_sequence=>46
,p_column_heading=>'W44'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29194546354568561)
,p_query_column_id=>47
,p_column_alias=>'W45'
,p_column_display_sequence=>47
,p_column_heading=>'W45'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29194690365568562)
,p_query_column_id=>48
,p_column_alias=>'W46'
,p_column_display_sequence=>48
,p_column_heading=>'W46'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29194772442568563)
,p_query_column_id=>49
,p_column_alias=>'W47'
,p_column_display_sequence=>49
,p_column_heading=>'W47'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29194836435568564)
,p_query_column_id=>50
,p_column_alias=>'W48'
,p_column_display_sequence=>50
,p_column_heading=>'W48'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29194956400568565)
,p_query_column_id=>51
,p_column_alias=>'W49'
,p_column_display_sequence=>51
,p_column_heading=>'W49'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29195093393568566)
,p_query_column_id=>52
,p_column_alias=>'W50'
,p_column_display_sequence=>52
,p_column_heading=>'W50'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29195198714568567)
,p_query_column_id=>53
,p_column_alias=>'W51'
,p_column_display_sequence=>53
,p_column_heading=>'W51'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29195252879568568)
,p_query_column_id=>54
,p_column_alias=>'W52'
,p_column_display_sequence=>54
,p_column_heading=>'W52'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_region(
 p_id=>wwv_flow_imp.id(29196586854568581)
,p_name=>'Daily Product Unit Report - Single'
,p_region_name=>'report'
,p_parent_plug_id=>wwv_flow_imp.id(50557152943855581)
,p_template=>wwv_flow_imp.id(26683353252953952)
,p_display_sequence=>140
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'SUB_REGIONS'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
' SELECT /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'	product_name,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''01'' then SINGLE_QUANTITY else null end) D01,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''02'' then SINGLE_QUANTITY else null end) D02,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''03'' then SINGLE_QUANTITY else null end) D03,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''04'' then SINGLE_QUANTITY else null end) D04,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''05'' then SINGLE_QUANTITY else null end) D05,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''06'' then SINGLE_QUANTITY else null end) D06,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''07'' then SINGLE_QUANTITY else null end) D07,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''08'' then SINGLE_QUANTITY else null end) D08,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''09'' then SINGLE_QUANTITY else null end) D09,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''10'' then SINGLE_QUANTITY else null end) D10,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''11'' then SINGLE_QUANTITY else null end) D11,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''12'' then SINGLE_QUANTITY else null end) D12,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''13'' then SINGLE_QUANTITY else null end) D13,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''14'' then SINGLE_QUANTITY else null end) D14,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''15'' then SINGLE_QUANTITY else null end) D15,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''16'' then SINGLE_QUANTITY else null end) D16,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''17'' then SINGLE_QUANTITY else null end) D17,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''18'' then SINGLE_QUANTITY else null end) D18,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''19'' then SINGLE_QUANTITY else null end) D19,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''20'' then SINGLE_QUANTITY else null end) D20,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''21'' then SINGLE_QUANTITY else null end) D21,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''22'' then SINGLE_QUANTITY else null end) D22,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''23'' then SINGLE_QUANTITY else null end) D23,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''24'' then SINGLE_QUANTITY else null end) D24,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''25'' then SINGLE_QUANTITY else null end) D25,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''26'' then SINGLE_QUANTITY else null end) D26,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''27'' then SINGLE_QUANTITY else null end) D27,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''28'' then SINGLE_QUANTITY else null end) D28,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''29'' then SINGLE_QUANTITY else null end) D29,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''30'' then SINGLE_QUANTITY else null end) D30,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''31'' then SINGLE_QUANTITY else null end) D31',
'FROM ',
'(',
'	SELECT ',
'		COST_PRODUCT_SKU || '' '' || replace(replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'') PRODUCT_NAME,',
'		USAGE_INTERVAL_START,',
'		case ',
'			when upper(PRD_DESCRIPTION) like ''%HOUR%'' then USG_BILLED_QUANTITY/24',
'			when upper(COST_BILLING_UNIT) like ''%HOUR%'' then USG_BILLED_QUANTITY/24',
'			when upper(COST_BILLING_UNIT) like ''%GIB%'' then USG_BILLED_QUANTITY*31',
'			when upper(COST_BILLING_UNIT) like ''%GB%'' then USG_BILLED_QUANTITY*31',
'			when upper(COST_BILLING_UNIT) like ''%GIGA%'' then USG_BILLED_QUANTITY*31',
'			when upper(COST_BILLING_UNIT) like ''%TIB%'' then USG_BILLED_QUANTITY*31',
'			when upper(PRD_DESCRIPTION) like ''%GiB%'' then USG_BILLED_QUANTITY*31',
'			when upper(PRD_DESCRIPTION) like ''%GB%'' then USG_BILLED_QUANTITY*31',
'			when upper(PRD_DESCRIPTION) like ''%GIGA%'' then USG_BILLED_QUANTITY*31',
'			when upper(PRD_DESCRIPTION) like ''%TIB%'' then USG_BILLED_QUANTITY*31',
'			when upper(PRD_DESCRIPTION) like ''%TB%'' then USG_BILLED_QUANTITY*31',
'			else null',
'		end SINGLE_QUANTITY',
'	FROM',
'    	oci_cost ',
'	WHERE ',
'		(tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'		:P5_PERIOD=''Daily'' and ',
'		to_char(USAGE_INTERVAL_START,''YYYY-MM'') = :P5_PERIOD_RANGE and',
'		(:P5_COMPARTMENT_NAME is null or prd_compartment_name = :P5_COMPARTMENT_NAME) and',
'		(:P5_COMPARTMENT_TOP is null or prd_compartment_path like :P5_COMPARTMENT_TOP ||''%'') and',
'		(:P5_PRODUCT_SERVICE is null or prd_service = :P5_PRODUCT_SERVICE) and',
'		(:P5_PRODUCT_REGION is null or prd_region = :P5_PRODUCT_REGION) and',
'        (:P5_TENANT_ID is null or tenant_id = :P5_TENANT_ID) and',
'		(:P5_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P5_COST_PRODUCT_SKU) and',
'        (:P5_TAG1_SPECIAL is null or :P5_TAG1_SPECIAL = TAG_SPECIAL) and',
'        (:P5_TAG2_SPECIAL is null or :P5_TAG2_SPECIAL = TAG_SPECIAL2) and',
'		(:P5_TAG_KEY is null or tags_data like ''%#'' || :P5_TAG_KEY || ''=%'') and',
'		(:P5_TAG_DATA is null or tags_data like ''%#'' || nvl(:P5_TAG_KEY,''%'') || ''=%'' || :P5_TAG_DATA || ''#'') AND',
'        :P5_REPORT_SELECTOR = ''Daily Product Unit Report - Single''',
')',
'GROUP BY PRODUCT_NAME',
'having sum(SINGLE_QUANTITY)>0',
'order by 2 desc',
''))
,p_display_when_condition=>'P5_REPORT_SELECTOR'
,p_display_when_cond2=>'Daily Product Unit Report - Single'
,p_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_ajax_enabled=>'Y'
,p_lazy_loading=>true
,p_query_row_template=>wwv_flow_imp.id(26709087882953984)
,p_query_num_rows=>9999
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'NEXT_PREVIOUS_LINKS'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'Y'
,p_csv_output_link_text=>'Download'
,p_prn_output=>'Y'
,p_prn_format=>'PDF'
,p_prn_output_link_text=>'Print'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width_units=>'PERCENTAGE'
,p_prn_width=>8.5
,p_prn_height=>11
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29196623171568582)
,p_query_column_id=>1
,p_column_alias=>'PRODUCT_NAME'
,p_column_display_sequence=>1
,p_column_heading=>'Product'
,p_use_as_row_header=>'N'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRODUCT_NAME#</span>'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29232117502912634)
,p_query_column_id=>2
,p_column_alias=>'D01'
,p_column_display_sequence=>2
,p_column_heading=>'D01'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29232241548912635)
,p_query_column_id=>3
,p_column_alias=>'D02'
,p_column_display_sequence=>3
,p_column_heading=>'D02'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29232335899912636)
,p_query_column_id=>4
,p_column_alias=>'D03'
,p_column_display_sequence=>4
,p_column_heading=>'D03'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29232453224912637)
,p_query_column_id=>5
,p_column_alias=>'D04'
,p_column_display_sequence=>5
,p_column_heading=>'D04'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29232583860912638)
,p_query_column_id=>6
,p_column_alias=>'D05'
,p_column_display_sequence=>6
,p_column_heading=>'D05'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29232706419912639)
,p_query_column_id=>7
,p_column_alias=>'D06'
,p_column_display_sequence=>7
,p_column_heading=>'D06'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29232740000912640)
,p_query_column_id=>8
,p_column_alias=>'D07'
,p_column_display_sequence=>8
,p_column_heading=>'D07'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29232865794912641)
,p_query_column_id=>9
,p_column_alias=>'D08'
,p_column_display_sequence=>9
,p_column_heading=>'D08'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29232957602912642)
,p_query_column_id=>10
,p_column_alias=>'D09'
,p_column_display_sequence=>10
,p_column_heading=>'D09'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29233020818912643)
,p_query_column_id=>11
,p_column_alias=>'D10'
,p_column_display_sequence=>11
,p_column_heading=>'D10'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29233178820912644)
,p_query_column_id=>12
,p_column_alias=>'D11'
,p_column_display_sequence=>12
,p_column_heading=>'D11'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29233225269912645)
,p_query_column_id=>13
,p_column_alias=>'D12'
,p_column_display_sequence=>13
,p_column_heading=>'D12'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29233355059912646)
,p_query_column_id=>14
,p_column_alias=>'D13'
,p_column_display_sequence=>14
,p_column_heading=>'D13'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29233509118912647)
,p_query_column_id=>15
,p_column_alias=>'D14'
,p_column_display_sequence=>15
,p_column_heading=>'D14'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29233553282912648)
,p_query_column_id=>16
,p_column_alias=>'D15'
,p_column_display_sequence=>16
,p_column_heading=>'D15'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29233700716912649)
,p_query_column_id=>17
,p_column_alias=>'D16'
,p_column_display_sequence=>17
,p_column_heading=>'D16'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29233724005912650)
,p_query_column_id=>18
,p_column_alias=>'D17'
,p_column_display_sequence=>18
,p_column_heading=>'D17'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29233832641912651)
,p_query_column_id=>19
,p_column_alias=>'D18'
,p_column_display_sequence=>19
,p_column_heading=>'D18'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29233967622912652)
,p_query_column_id=>20
,p_column_alias=>'D19'
,p_column_display_sequence=>20
,p_column_heading=>'D19'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29234076147912653)
,p_query_column_id=>21
,p_column_alias=>'D20'
,p_column_display_sequence=>21
,p_column_heading=>'D20'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29234197222912654)
,p_query_column_id=>22
,p_column_alias=>'D21'
,p_column_display_sequence=>22
,p_column_heading=>'D21'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29234214888912655)
,p_query_column_id=>23
,p_column_alias=>'D22'
,p_column_display_sequence=>23
,p_column_heading=>'D22'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29234400166912656)
,p_query_column_id=>24
,p_column_alias=>'D23'
,p_column_display_sequence=>24
,p_column_heading=>'D23'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29234421394912657)
,p_query_column_id=>25
,p_column_alias=>'D24'
,p_column_display_sequence=>25
,p_column_heading=>'D24'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29234578566912658)
,p_query_column_id=>26
,p_column_alias=>'D25'
,p_column_display_sequence=>26
,p_column_heading=>'D25'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29234644720912659)
,p_query_column_id=>27
,p_column_alias=>'D26'
,p_column_display_sequence=>27
,p_column_heading=>'D26'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29234785269912660)
,p_query_column_id=>28
,p_column_alias=>'D27'
,p_column_display_sequence=>28
,p_column_heading=>'D27'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29234895491912661)
,p_query_column_id=>29
,p_column_alias=>'D28'
,p_column_display_sequence=>29
,p_column_heading=>'D28'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29234942954912662)
,p_query_column_id=>30
,p_column_alias=>'D29'
,p_column_display_sequence=>30
,p_column_heading=>'D29'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29235055726912663)
,p_query_column_id=>31
,p_column_alias=>'D30'
,p_column_display_sequence=>31
,p_column_heading=>'D30'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(29235191149912664)
,p_query_column_id=>32
,p_column_alias=>'D31'
,p_column_display_sequence=>32
,p_column_heading=>'D31'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(30894979952307375)
,p_plug_name=>'Cost Over Time - Total - &P5_PERIOD.'
,p_parent_plug_id=>wwv_flow_imp.id(50557152943855581)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>30
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VALUE_OF_ITEM_IN_CONDITION_IN_COLON_DELIMITED_LIST'
,p_plug_display_when_condition=>'P5_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Hourly Cost Over Time - Total:Daily Cost Over Time - Total:Weekly Cost Over Time - Total:Monthly Cost Over Time - Total'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(30895052385307376)
,p_region_id=>wwv_flow_imp.id(30894979952307375)
,p_chart_type=>'bar'
,p_height=>'500'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'off'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'bottom'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(30895177839307377)
,p_chart_id=>wwv_flow_imp.id(30895052385307376)
,p_seq=>10
,p_name=>'Usage'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    case ',
'        when :P5_PERIOD=''Hourly'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24'') ',
'        when :P5_PERIOD=''Daily'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') ',
'        when :P5_PERIOD=''Weekly'' then to_char(USAGE_INTERVAL_START,''YYYY-WW'') ',
'        when :P5_PERIOD=''Monthly'' or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY-MM-MON'')',
'    end PERIOD,',
'    sum(COST_MY_COST) as COST_USAGE',
'from oci_cost',
'where ',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'    (:P5_COMPARTMENT_NAME is null or prd_compartment_name = :P5_COMPARTMENT_NAME) and',
'    (:P5_COMPARTMENT_TOP is null or prd_compartment_path like :P5_COMPARTMENT_TOP ||''%'') and',
'    (:P5_PRODUCT_SERVICE is null or prd_service = :P5_PRODUCT_SERVICE) and',
'    (:P5_PRODUCT_REGION is null or prd_region = :P5_PRODUCT_REGION) and',
'    (:P5_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P5_COST_PRODUCT_SKU) and',
'    (:P5_TAG_KEY is null or tags_data like ''%#'' || :P5_TAG_KEY || ''=%'') and',
'    (:P5_TAG1_SPECIAL is null or :P5_TAG1_SPECIAL = TAG_SPECIAL) and',
'    (:P5_TAG2_SPECIAL is null or :P5_TAG2_SPECIAL = TAG_SPECIAL2) and',
'    (:P5_TENANT_ID is null or tenant_id = :P5_TENANT_ID) and',
'    (:P5_TAG_DATA is null or tags_data like ''%#'' || nvl(:P5_TAG_KEY,''%'') || ''=%'' || :P5_TAG_DATA || ''#'') and',
'    (:P5_PERIOD=''Hourly'' and to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') = :P5_PERIOD_RANGE or :P5_PERIOD=''Daily'' and to_char(USAGE_INTERVAL_START,''YYYY-MM'') = :P5_PERIOD_RANGE or :P5_PERIOD in (''Monthly'',''Weekly'') and to_char(USAGE_INTERVAL_START,''YY'
||'YY'') = :P5_PERIOD_RANGE) and',
'    not (:P5_TENANT_ID is null and :P5_COMPARTMENT_NAME is null and :P5_PRODUCT_SERVICE is null and :P5_PRODUCT_REGION is null and :P5_COMPARTMENT_TOP is null and :P5_TAG_KEY is null and :P5_TAG_DATA is null and :P5_COST_PRODUCT_SKU is null and :P5_T'
||'AG1_SPECIAL is null and :P5_TAG2_SPECIAL is null) and',
'    :P5_REPORT_SELECTOR in (''Hourly Cost Over Time - Total'',''Daily Cost Over Time - Total'',''Weekly Cost Over Time - Total'',''Monthly Cost Over Time - Total'')    ',
'    group by ',
'    case ',
'        when :P5_PERIOD=''Hourly'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24'') ',
'        when :P5_PERIOD=''Daily'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') ',
'        when :P5_PERIOD=''Weekly'' then to_char(USAGE_INTERVAL_START,''YYYY-WW'') ',
'        when :P5_PERIOD=''Monthly'' or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY-MM-MON'')',
'    end',
'union all',
'select ',
'    case ',
'        when :P5_PERIOD=''Hourly'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24'') ',
'        when :P5_PERIOD=''Daily'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') ',
'        when :P5_PERIOD=''Weekly'' then to_char(USAGE_INTERVAL_START,''YYYY-WW'') ',
'        when :P5_PERIOD=''Monthly'' or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY-MM-MON'')',
'    end PERIOD,',
'    sum(COST_MY_COST) as COST_USAGE',
'from oci_cost_stats',
'where ',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'    (:P5_PERIOD=''Hourly'' and to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') = :P5_PERIOD_RANGE or :P5_PERIOD=''Daily'' and to_char(USAGE_INTERVAL_START,''YYYY-MM'') = :P5_PERIOD_RANGE or :P5_PERIOD in (''Monthly'',''Weekly'') and to_char(USAGE_INTERVAL_START,''YY'
||'YY'') = :P5_PERIOD_RANGE) and',
'    (:P5_COMPARTMENT_NAME is null and :P5_PRODUCT_SERVICE is null and :P5_PRODUCT_REGION is null and :P5_COMPARTMENT_TOP is null and :P5_TAG_KEY is null and :P5_TAG_DATA is null and :P5_COST_PRODUCT_SKU is null and :P5_TENANT_ID is null and :P5_TAG1_'
||'SPECIAL is null and :P5_TAG2_SPECIAL is null) and',
'    :P5_REPORT_SELECTOR in (''Hourly Cost Over Time - Total'',''Daily Cost Over Time - Total'',''Weekly Cost Over Time - Total'',''Monthly Cost Over Time - Total'')    ',
'    group by ',
'    case ',
'        when :P5_PERIOD=''Hourly'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24'') ',
'        when :P5_PERIOD=''Daily'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') ',
'        when :P5_PERIOD=''Weekly'' then to_char(USAGE_INTERVAL_START,''YYYY-WW'') ',
'        when :P5_PERIOD=''Monthly'' or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY-MM-MON'')',
'    end',
'order by 1',
'',
'',
'',
''))
,p_items_value_column_name=>'COST_USAGE'
,p_items_label_column_name=>'PERIOD'
,p_color=>'#34AADC'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'center'
,p_items_label_display_as=>'PERCENT'
,p_items_label_font_size=>'10'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(30895419834307380)
,p_chart_id=>wwv_flow_imp.id(30895052385307376)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_type=>'decimal'
,p_decimal_places=>1
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(30895389895307379)
,p_chart_id=>wwv_flow_imp.id(30895052385307376)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_type=>'date-short'
,p_numeric_pattern=>'DD-MON-YYYY'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(31104773710535937)
,p_plug_name=>'Cost By Region - &P5_PERIOD.'
,p_parent_plug_id=>wwv_flow_imp.id(50557152943855581)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>70
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VALUE_OF_ITEM_IN_CONDITION_IN_COLON_DELIMITED_LIST'
,p_plug_display_when_condition=>'P5_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Hourly Cost By Region:Daily Cost By Region:Weekly Cost By Region:Monthly Cost By Region'
);
end;
/
begin
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(31104881417535938)
,p_region_id=>wwv_flow_imp.id(31104773710535937)
,p_chart_type=>'bar'
,p_height=>'500'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'on'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'end'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(31104983085535939)
,p_chart_id=>wwv_flow_imp.id(31104881417535938)
,p_seq=>10
,p_name=>'Usage'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    case ',
'        when :P5_PERIOD=''Hourly'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24'') ',
'        when :P5_PERIOD=''Daily'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') ',
'        when :P5_PERIOD=''Weekly'' then to_char(USAGE_INTERVAL_START,''YYYY-WW'') ',
'        when :P5_PERIOD=''Monthly'' or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY-MM-MON'')',
'    end PERIOD,',
'    prd_region as region,',
'    sum(COST_MY_COST) as COST_USAGE',
'from oci_cost',
'where ',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'    (:P5_COMPARTMENT_NAME is null or prd_compartment_name = :P5_COMPARTMENT_NAME) and',
'    (:P5_COMPARTMENT_TOP is null or prd_compartment_path like :P5_COMPARTMENT_TOP ||''%'') and',
'    (:P5_PRODUCT_SERVICE is null or prd_service = :P5_PRODUCT_SERVICE) and',
'    (:P5_PRODUCT_REGION is null or prd_region = :P5_PRODUCT_REGION) and',
'    (:P5_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P5_COST_PRODUCT_SKU) and',
'    (:P5_TENANT_ID is null or tenant_id = :P5_TENANT_ID) and',
'    (:P5_TAG1_SPECIAL is null or :P5_TAG1_SPECIAL = TAG_SPECIAL) and',
'    (:P5_TAG2_SPECIAL is null or :P5_TAG2_SPECIAL = TAG_SPECIAL2) and',
'    (:P5_TAG_KEY is null or tags_data like ''%#'' || :P5_TAG_KEY || ''=%'') and',
'    (:P5_TAG_DATA is null or tags_data like ''%#'' || nvl(:P5_TAG_KEY,''%'') || ''=%'' || :P5_TAG_DATA || ''#'') and',
'    (:P5_PERIOD=''Hourly'' and to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') = :P5_PERIOD_RANGE or :P5_PERIOD=''Daily'' and to_char(USAGE_INTERVAL_START,''YYYY-MM'') = :P5_PERIOD_RANGE or :P5_PERIOD in (''Monthly'',''Weekly'') and to_char(USAGE_INTERVAL_START,''YY'
||'YY'') = :P5_PERIOD_RANGE) and',
'    :P5_REPORT_SELECTOR in (''Hourly Cost By Region'',''Daily Cost By Region'',''Weekly Cost By Region'',''Monthly Cost By Region'')    ',
'    group by ',
'    case ',
'        when :P5_PERIOD=''Hourly'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24'') ',
'        when :P5_PERIOD=''Daily'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') ',
'        when :P5_PERIOD=''Weekly'' then to_char(USAGE_INTERVAL_START,''YYYY-WW'') ',
'        when :P5_PERIOD=''Monthly'' or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY-MM-MON'')',
'    end,',
'    prd_region ',
'order by 1,2'))
,p_series_name_column_name=>'REGION'
,p_items_value_column_name=>'COST_USAGE'
,p_items_label_column_name=>'PERIOD'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'center'
,p_items_label_display_as=>'PERCENT'
,p_items_label_font_size=>'10'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(31105139430535941)
,p_chart_id=>wwv_flow_imp.id(31104881417535938)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_type=>'date-short'
,p_numeric_pattern=>'DD-MON-YYYY'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(31105086612535940)
,p_chart_id=>wwv_flow_imp.id(31104881417535938)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_type=>'decimal'
,p_decimal_places=>1
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(31969282974255833)
,p_plug_name=>'Cost By Service - &P5_PERIOD.'
,p_parent_plug_id=>wwv_flow_imp.id(50557152943855581)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>40
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VALUE_OF_ITEM_IN_CONDITION_IN_COLON_DELIMITED_LIST'
,p_plug_display_when_condition=>'P5_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Hourly Cost By Service:Daily Cost By Service:Weekly Cost By Service:Monthly Cost By Service'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(31969321335255834)
,p_region_id=>wwv_flow_imp.id(31969282974255833)
,p_chart_type=>'bar'
,p_height=>'500'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'on'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'end'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(31969443154255835)
,p_chart_id=>wwv_flow_imp.id(31969321335255834)
,p_seq=>10
,p_name=>'Usage'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    case ',
'        when :P5_PERIOD=''Hourly'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24'') ',
'        when :P5_PERIOD=''Daily'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') ',
'        when :P5_PERIOD=''Weekly'' then to_char(USAGE_INTERVAL_START,''YYYY-WW'') ',
'        when :P5_PERIOD=''Monthly'' or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY-MM-MON'')',
'    end PERIOD,',
'    nvl(PRD_SERVICE,''-'') PRD_SERVICE,',
'    sum(COST_MY_COST) as COST_USAGE',
'from oci_cost',
'where ',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'    (:P5_COMPARTMENT_NAME is null or prd_compartment_name = :P5_COMPARTMENT_NAME) and',
'    (:P5_COMPARTMENT_TOP is null or prd_compartment_path like :P5_COMPARTMENT_TOP ||''%'') and',
'    (:P5_PRODUCT_SERVICE is null or prd_service = :P5_PRODUCT_SERVICE) and',
'    (:P5_PRODUCT_REGION is null or prd_region = :P5_PRODUCT_REGION) and',
'    (:P5_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P5_COST_PRODUCT_SKU) and',
'    (:P5_TAG1_SPECIAL is null or :P5_TAG1_SPECIAL = TAG_SPECIAL) and',
'    (:P5_TAG2_SPECIAL is null or :P5_TAG2_SPECIAL = TAG_SPECIAL2) and',
'    (:P5_TENANT_ID is null or tenant_id = :P5_TENANT_ID) and',
'    (:P5_TAG_KEY is null or tags_data like ''%#'' || :P5_TAG_KEY || ''=%'') and',
'    (:P5_TAG_DATA is null or tags_data like ''%#'' || nvl(:P5_TAG_KEY,''%'') || ''=%'' || :P5_TAG_DATA || ''#'') and',
'    (:P5_PERIOD=''Hourly'' and to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') = :P5_PERIOD_RANGE or :P5_PERIOD=''Daily'' and to_char(USAGE_INTERVAL_START,''YYYY-MM'') = :P5_PERIOD_RANGE or :P5_PERIOD in (''Monthly'',''Weekly'') and to_char(USAGE_INTERVAL_START,''YY'
||'YY'') = :P5_PERIOD_RANGE) and',
'    :P5_REPORT_SELECTOR in (''Hourly Cost By Service'',''Daily Cost By Service'',''Weekly Cost By Service'',''Monthly Cost By Service'')    ',
'    group by ',
'    case ',
'        when :P5_PERIOD=''Hourly'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24'') ',
'        when :P5_PERIOD=''Daily'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') ',
'        when :P5_PERIOD=''Weekly'' then to_char(USAGE_INTERVAL_START,''YYYY-WW'') ',
'        when :P5_PERIOD=''Monthly'' or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY-MM-MON'')',
'    end,',
'    nvl(PRD_SERVICE,''-'') ',
'order by 1,2'))
,p_series_name_column_name=>'PRD_SERVICE'
,p_items_value_column_name=>'COST_USAGE'
,p_items_label_column_name=>'PERIOD'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'center'
,p_items_label_display_as=>'PERCENT'
,p_items_label_font_size=>'10'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(31969654559255837)
,p_chart_id=>wwv_flow_imp.id(31969321335255834)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_type=>'date-short'
,p_numeric_pattern=>'DD-MON-YYYY'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(31969574424255836)
,p_chart_id=>wwv_flow_imp.id(31969321335255834)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_type=>'decimal'
,p_decimal_places=>1
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(31970038216255841)
,p_plug_name=>'Cost By Compartment - &P5_PERIOD.'
,p_parent_plug_id=>wwv_flow_imp.id(50557152943855581)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>60
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VALUE_OF_ITEM_IN_CONDITION_IN_COLON_DELIMITED_LIST'
,p_plug_display_when_condition=>'P5_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Hourly Cost By Compartment:Daily Cost By Compartment:Weekly Cost By Compartment:Monthly Cost By Compartment'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(31970210590255842)
,p_region_id=>wwv_flow_imp.id(31970038216255841)
,p_chart_type=>'bar'
,p_height=>'500'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'on'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'end'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(31970256729255843)
,p_chart_id=>wwv_flow_imp.id(31970210590255842)
,p_seq=>10
,p_name=>'Usage'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    case ',
'        when :P5_PERIOD=''Hourly'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24'') ',
'        when :P5_PERIOD=''Daily'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') ',
'        when :P5_PERIOD=''Weekly'' then to_char(USAGE_INTERVAL_START,''YYYY-WW'') ',
'        when :P5_PERIOD=''Monthly'' or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY-MM-MON'')',
'    end PERIOD,',
'    nvl(prd_compartment_name,''-'') compartment_name,',
'    sum(COST_MY_COST) as COST_USAGE',
'from oci_cost',
'where ',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'    (:P5_COMPARTMENT_NAME is null or prd_compartment_name = :P5_COMPARTMENT_NAME) and',
'    (:P5_COMPARTMENT_TOP is null or prd_compartment_path like :P5_COMPARTMENT_TOP ||''%'') and',
'    (:P5_PRODUCT_SERVICE is null or prd_service = :P5_PRODUCT_SERVICE) and',
'    (:P5_PRODUCT_REGION is null or prd_region = :P5_PRODUCT_REGION) and',
'    (:P5_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P5_COST_PRODUCT_SKU) and',
'    (:P5_TENANT_ID is null or tenant_id = :P5_TENANT_ID) and',
'    (:P5_TAG1_SPECIAL is null or :P5_TAG1_SPECIAL = TAG_SPECIAL) and',
'    (:P5_TAG2_SPECIAL is null or :P5_TAG2_SPECIAL = TAG_SPECIAL2) and',
'    (:P5_TAG_KEY is null or tags_data like ''%#'' || :P5_TAG_KEY || ''=%'') and',
'    (:P5_TAG_DATA is null or tags_data like ''%#'' || nvl(:P5_TAG_KEY,''%'') || ''=%'' || :P5_TAG_DATA || ''#'') and',
'    (:P5_PERIOD=''Hourly'' and to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') = :P5_PERIOD_RANGE or :P5_PERIOD=''Daily'' and to_char(USAGE_INTERVAL_START,''YYYY-MM'') = :P5_PERIOD_RANGE or :P5_PERIOD in (''Monthly'',''Weekly'') and to_char(USAGE_INTERVAL_START,''YY'
||'YY'') = :P5_PERIOD_RANGE) and',
'    :P5_REPORT_SELECTOR in (''Hourly Cost By Compartment'',''Daily Cost By Compartment'',''Weekly Cost By Compartment'',''Monthly Cost By Compartment'')    ',
'    group by ',
'    case ',
'        when :P5_PERIOD=''Hourly'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24'') ',
'        when :P5_PERIOD=''Daily'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') ',
'        when :P5_PERIOD=''Weekly'' then to_char(USAGE_INTERVAL_START,''YYYY-WW'') ',
'        when :P5_PERIOD=''Monthly'' or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY-MM-MON'')',
'    end,',
'    nvl(prd_compartment_name,''-'') ',
'order by 1,2'))
,p_series_name_column_name=>'COMPARTMENT_NAME'
,p_items_value_column_name=>'COST_USAGE'
,p_items_label_column_name=>'PERIOD'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'center'
,p_items_label_display_as=>'PERCENT'
,p_items_label_font_size=>'10'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(31970407830255844)
,p_chart_id=>wwv_flow_imp.id(31970210590255842)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_type=>'decimal'
,p_decimal_places=>1
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(31970437143255845)
,p_chart_id=>wwv_flow_imp.id(31970210590255842)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_type=>'date-short'
,p_numeric_pattern=>'DD-MON-YYYY'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(31970816449255849)
,p_plug_name=>'Cost By Top Compartment - &P5_PERIOD.'
,p_parent_plug_id=>wwv_flow_imp.id(50557152943855581)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>80
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VALUE_OF_ITEM_IN_CONDITION_IN_COLON_DELIMITED_LIST'
,p_plug_display_when_condition=>'P5_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Hourly Cost By Top Compartment:Daily Cost By Top Compartment:Weekly Cost By Top Compartment:Monthly Cost By Top Compartment'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(31970985541255850)
,p_region_id=>wwv_flow_imp.id(31970816449255849)
,p_chart_type=>'bar'
,p_height=>'500'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'on'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'end'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(31971087111255851)
,p_chart_id=>wwv_flow_imp.id(31970985541255850)
,p_seq=>10
,p_name=>'Usage'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    case ',
'        when :P5_PERIOD=''Hourly'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24'') ',
'        when :P5_PERIOD=''Daily'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') ',
'        when :P5_PERIOD=''Weekly'' then to_char(USAGE_INTERVAL_START,''YYYY-WW'') ',
'        when :P5_PERIOD=''Monthly'' or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY-MM-MON'')',
'    end PERIOD,',
'    nvl(case when prd_compartment_path like ''%/%'' then substr(prd_compartment_path,1,instr(prd_compartment_path,'' /'')-1) else prd_compartment_path end,''-'') as top_compartment,',
'    sum(COST_MY_COST) as COST_USAGE',
'from oci_cost',
'where ',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'    (:P5_COMPARTMENT_NAME is null or prd_compartment_name = :P5_COMPARTMENT_NAME) and',
'    (:P5_COMPARTMENT_TOP is null or prd_compartment_path like :P5_COMPARTMENT_TOP ||''%'') and',
'    (:P5_PRODUCT_SERVICE is null or prd_service = :P5_PRODUCT_SERVICE) and',
'    (:P5_PRODUCT_REGION is null or prd_region = :P5_PRODUCT_REGION) and',
'    (:P5_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P5_COST_PRODUCT_SKU) and',
'    (:P5_TENANT_ID is null or tenant_id = :P5_TENANT_ID) and',
'    (:P5_TAG1_SPECIAL is null or :P5_TAG1_SPECIAL = TAG_SPECIAL) and',
'    (:P5_TAG2_SPECIAL is null or :P5_TAG2_SPECIAL = TAG_SPECIAL2) and',
'    (:P5_TAG_KEY is null or tags_data like ''%#'' || :P5_TAG_KEY || ''=%'') and',
'    (:P5_TAG_DATA is null or tags_data like ''%#'' || nvl(:P5_TAG_KEY,''%'') || ''=%'' || :P5_TAG_DATA || ''#'') and',
'    (:P5_PERIOD=''Hourly'' and to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') = :P5_PERIOD_RANGE or :P5_PERIOD=''Daily'' and to_char(USAGE_INTERVAL_START,''YYYY-MM'') = :P5_PERIOD_RANGE or :P5_PERIOD in (''Monthly'',''Weekly'') and to_char(USAGE_INTERVAL_START,''YY'
||'YY'') = :P5_PERIOD_RANGE) and',
'    :P5_REPORT_SELECTOR in (''Hourly Cost By Top Compartment'',''Daily Cost By Top Compartment'',''Weekly Cost By Top Compartment'',''Monthly Cost By Compartment'')    ',
'    group by ',
'    case ',
'        when :P5_PERIOD=''Hourly'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24'') ',
'        when :P5_PERIOD=''Daily'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') ',
'        when :P5_PERIOD=''Weekly'' then to_char(USAGE_INTERVAL_START,''YYYY-WW'') ',
'        when :P5_PERIOD=''Monthly'' or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY-MM-MON'')',
'    end,',
'    nvl(case when prd_compartment_path like ''%/%'' then substr(prd_compartment_path,1,instr(prd_compartment_path,'' /'')-1) else prd_compartment_path end,''-'')',
'order by 1,2'))
,p_series_name_column_name=>'TOP_COMPARTMENT'
,p_items_value_column_name=>'COST_USAGE'
,p_items_label_column_name=>'PERIOD'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'center'
,p_items_label_display_as=>'PERCENT'
,p_items_label_font_size=>'10'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(31971211793255853)
,p_chart_id=>wwv_flow_imp.id(31970985541255850)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_type=>'date-short'
,p_numeric_pattern=>'DD-MON-YYYY'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(31971207968255852)
,p_chart_id=>wwv_flow_imp.id(31970985541255850)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_type=>'decimal'
,p_decimal_places=>1
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_report_region(
 p_id=>wwv_flow_imp.id(31971699207255857)
,p_name=>'Daily Product Unit Report - Total'
,p_region_name=>'report'
,p_parent_plug_id=>wwv_flow_imp.id(50557152943855581)
,p_template=>wwv_flow_imp.id(26683353252953952)
,p_display_sequence=>150
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'SUB_REGIONS'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
' SELECT /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'	product_name,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''01'' then USG_BILLED_QUANTITY else null end) D01,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''02'' then USG_BILLED_QUANTITY else null end) D02,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''03'' then USG_BILLED_QUANTITY else null end) D03,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''04'' then USG_BILLED_QUANTITY else null end) D04,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''05'' then USG_BILLED_QUANTITY else null end) D05,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''06'' then USG_BILLED_QUANTITY else null end) D06,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''07'' then USG_BILLED_QUANTITY else null end) D07,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''08'' then USG_BILLED_QUANTITY else null end) D08,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''09'' then USG_BILLED_QUANTITY else null end) D09,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''10'' then USG_BILLED_QUANTITY else null end) D10,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''11'' then USG_BILLED_QUANTITY else null end) D11,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''12'' then USG_BILLED_QUANTITY else null end) D12,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''13'' then USG_BILLED_QUANTITY else null end) D13,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''14'' then USG_BILLED_QUANTITY else null end) D14,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''15'' then USG_BILLED_QUANTITY else null end) D15,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''16'' then USG_BILLED_QUANTITY else null end) D16,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''17'' then USG_BILLED_QUANTITY else null end) D17,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''18'' then USG_BILLED_QUANTITY else null end) D18,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''19'' then USG_BILLED_QUANTITY else null end) D19,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''20'' then USG_BILLED_QUANTITY else null end) D20,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''21'' then USG_BILLED_QUANTITY else null end) D21,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''22'' then USG_BILLED_QUANTITY else null end) D22,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''23'' then USG_BILLED_QUANTITY else null end) D23,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''24'' then USG_BILLED_QUANTITY else null end) D24,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''25'' then USG_BILLED_QUANTITY else null end) D25,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''26'' then USG_BILLED_QUANTITY else null end) D26,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''27'' then USG_BILLED_QUANTITY else null end) D27,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''28'' then USG_BILLED_QUANTITY else null end) D28,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''29'' then USG_BILLED_QUANTITY else null end) D29,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''30'' then USG_BILLED_QUANTITY else null end) D30,',
'    sum(case when to_char(USAGE_INTERVAL_START,''DD'') = ''31'' then USG_BILLED_QUANTITY else null end) D31',
'FROM ',
'(',
'	SELECT ',
'		COST_PRODUCT_SKU || '' '' || replace(replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'') PRODUCT_NAME,',
'		USAGE_INTERVAL_START,',
'		USG_BILLED_QUANTITY',
'	FROM',
'    	oci_cost ',
'	WHERE ',
'		(tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'		:P5_PERIOD=''Daily'' and ',
'		to_char(USAGE_INTERVAL_START,''YYYY-MM'') = :P5_PERIOD_RANGE and',
'		(:P5_COMPARTMENT_NAME is null or prd_compartment_name = :P5_COMPARTMENT_NAME) and',
'		(:P5_COMPARTMENT_TOP is null or prd_compartment_path like :P5_COMPARTMENT_TOP ||''%'') and',
'		(:P5_PRODUCT_SERVICE is null or prd_service = :P5_PRODUCT_SERVICE) and',
'		(:P5_PRODUCT_REGION is null or prd_region = :P5_PRODUCT_REGION) and',
'		(:P5_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P5_COST_PRODUCT_SKU) and',
'        (:P5_TAG1_SPECIAL is null or :P5_TAG1_SPECIAL = TAG_SPECIAL) and',
'        (:P5_TAG2_SPECIAL is null or :P5_TAG2_SPECIAL = TAG_SPECIAL2) and',
'        (:P5_TENANT_ID is null or tenant_id = :P5_TENANT_ID) and',
'		(:P5_TAG_KEY is null or tags_data like ''%#'' || :P5_TAG_KEY || ''=%'') and',
'		(:P5_TAG_DATA is null or tags_data like ''%#'' || nvl(:P5_TAG_KEY,''%'') || ''=%'' || :P5_TAG_DATA || ''#'') AND',
'        :P5_REPORT_SELECTOR = ''Daily Product Unit Report - Total''',
')',
'GROUP BY PRODUCT_NAME',
'having sum(USG_BILLED_QUANTITY)>0',
'order by 2 desc',
''))
,p_display_when_condition=>'P5_REPORT_SELECTOR'
,p_display_when_cond2=>'Daily Product Unit Report - Total'
,p_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_ajax_enabled=>'Y'
,p_lazy_loading=>true
,p_query_row_template=>wwv_flow_imp.id(26709087882953984)
,p_query_num_rows=>9999
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'NEXT_PREVIOUS_LINKS'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'Y'
,p_csv_output_link_text=>'Download'
,p_prn_output=>'Y'
,p_prn_format=>'PDF'
,p_prn_output_link_text=>'Print'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width_units=>'PERCENTAGE'
,p_prn_width=>8.5
,p_prn_height=>11
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31971744471255858)
,p_query_column_id=>1
,p_column_alias=>'PRODUCT_NAME'
,p_column_display_sequence=>1
,p_column_heading=>'Product '
,p_use_as_row_header=>'N'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRODUCT_NAME#</span>'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31971874917255859)
,p_query_column_id=>2
,p_column_alias=>'D01'
,p_column_display_sequence=>2
,p_column_heading=>'D01'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31971935279255860)
,p_query_column_id=>3
,p_column_alias=>'D02'
,p_column_display_sequence=>3
,p_column_heading=>'D02'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31972054741255861)
,p_query_column_id=>4
,p_column_alias=>'D03'
,p_column_display_sequence=>4
,p_column_heading=>'D03'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
end;
/
begin
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31972180161255862)
,p_query_column_id=>5
,p_column_alias=>'D04'
,p_column_display_sequence=>5
,p_column_heading=>'D04'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31972233860255863)
,p_query_column_id=>6
,p_column_alias=>'D05'
,p_column_display_sequence=>6
,p_column_heading=>'D05'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31972397575255864)
,p_query_column_id=>7
,p_column_alias=>'D06'
,p_column_display_sequence=>7
,p_column_heading=>'D06'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31972494353255865)
,p_query_column_id=>8
,p_column_alias=>'D07'
,p_column_display_sequence=>8
,p_column_heading=>'D07'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31972528366255866)
,p_query_column_id=>9
,p_column_alias=>'D08'
,p_column_display_sequence=>9
,p_column_heading=>'D08'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31972655116255867)
,p_query_column_id=>10
,p_column_alias=>'D09'
,p_column_display_sequence=>10
,p_column_heading=>'D09'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31972774996255868)
,p_query_column_id=>11
,p_column_alias=>'D10'
,p_column_display_sequence=>11
,p_column_heading=>'D10'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31972868000255869)
,p_query_column_id=>12
,p_column_alias=>'D11'
,p_column_display_sequence=>12
,p_column_heading=>'D11'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31973002567255870)
,p_query_column_id=>13
,p_column_alias=>'D12'
,p_column_display_sequence=>13
,p_column_heading=>'D12'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31973101490255871)
,p_query_column_id=>14
,p_column_alias=>'D13'
,p_column_display_sequence=>14
,p_column_heading=>'D13'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31973174230255872)
,p_query_column_id=>15
,p_column_alias=>'D14'
,p_column_display_sequence=>15
,p_column_heading=>'D14'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31973226464255873)
,p_query_column_id=>16
,p_column_alias=>'D15'
,p_column_display_sequence=>16
,p_column_heading=>'D15'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31973325042255874)
,p_query_column_id=>17
,p_column_alias=>'D16'
,p_column_display_sequence=>17
,p_column_heading=>'D16'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31973471160255875)
,p_query_column_id=>18
,p_column_alias=>'D17'
,p_column_display_sequence=>18
,p_column_heading=>'D17'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31973610244255876)
,p_query_column_id=>19
,p_column_alias=>'D18'
,p_column_display_sequence=>19
,p_column_heading=>'D18'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31973708306255877)
,p_query_column_id=>20
,p_column_alias=>'D19'
,p_column_display_sequence=>20
,p_column_heading=>'D19'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31973736237255878)
,p_query_column_id=>21
,p_column_alias=>'D20'
,p_column_display_sequence=>21
,p_column_heading=>'D20'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31973905638255879)
,p_query_column_id=>22
,p_column_alias=>'D21'
,p_column_display_sequence=>22
,p_column_heading=>'D21'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31973943563255880)
,p_query_column_id=>23
,p_column_alias=>'D22'
,p_column_display_sequence=>23
,p_column_heading=>'D22'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31974074749255881)
,p_query_column_id=>24
,p_column_alias=>'D23'
,p_column_display_sequence=>24
,p_column_heading=>'D23'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(31974173707255882)
,p_query_column_id=>25
,p_column_alias=>'D24'
,p_column_display_sequence=>25
,p_column_heading=>'D24'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32000949458763433)
,p_query_column_id=>26
,p_column_alias=>'D25'
,p_column_display_sequence=>26
,p_column_heading=>'D25'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32001069387763434)
,p_query_column_id=>27
,p_column_alias=>'D26'
,p_column_display_sequence=>27
,p_column_heading=>'D26'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32001133778763435)
,p_query_column_id=>28
,p_column_alias=>'D27'
,p_column_display_sequence=>28
,p_column_heading=>'D27'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32001251789763436)
,p_query_column_id=>29
,p_column_alias=>'D28'
,p_column_display_sequence=>29
,p_column_heading=>'D28'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32001390396763437)
,p_query_column_id=>30
,p_column_alias=>'D29'
,p_column_display_sequence=>30
,p_column_heading=>'D29'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32001489961763438)
,p_query_column_id=>31
,p_column_alias=>'D30'
,p_column_display_sequence=>31
,p_column_heading=>'D30'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32001601461763439)
,p_query_column_id=>32
,p_column_alias=>'D31'
,p_column_display_sequence=>32
,p_column_heading=>'D31'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_region(
 p_id=>wwv_flow_imp.id(32001946651763443)
,p_name=>'Weekly Product Unit Report'
,p_region_name=>'report'
,p_parent_plug_id=>wwv_flow_imp.id(50557152943855581)
,p_template=>wwv_flow_imp.id(26683353252953952)
,p_display_sequence=>180
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'SUB_REGIONS'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
' SELECT /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'	COST_PRODUCT_SKU || '' '' || replace(replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'') as product_name,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''01'' then USG_BILLED_QUANTITY else null end) W01,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''02'' then USG_BILLED_QUANTITY else null end) W02,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''03'' then USG_BILLED_QUANTITY else null end) W03,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''04'' then USG_BILLED_QUANTITY else null end) W04,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''05'' then USG_BILLED_QUANTITY else null end) W05,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''06'' then USG_BILLED_QUANTITY else null end) W06,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''07'' then USG_BILLED_QUANTITY else null end) W07,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''08'' then USG_BILLED_QUANTITY else null end) W08,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''09'' then USG_BILLED_QUANTITY else null end) W09,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''10'' then USG_BILLED_QUANTITY else null end) W10,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''11'' then USG_BILLED_QUANTITY else null end) W11,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''12'' then USG_BILLED_QUANTITY else null end) W12,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''13'' then USG_BILLED_QUANTITY else null end) W13,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''14'' then USG_BILLED_QUANTITY else null end) W14,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''15'' then USG_BILLED_QUANTITY else null end) W15,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''16'' then USG_BILLED_QUANTITY else null end) W16,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''17'' then USG_BILLED_QUANTITY else null end) W17,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''18'' then USG_BILLED_QUANTITY else null end) W18,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''19'' then USG_BILLED_QUANTITY else null end) W19,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''20'' then USG_BILLED_QUANTITY else null end) W20,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''21'' then USG_BILLED_QUANTITY else null end) W21,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''22'' then USG_BILLED_QUANTITY else null end) W22,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''23'' then USG_BILLED_QUANTITY else null end) W23,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''24'' then USG_BILLED_QUANTITY else null end) W24,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''25'' then USG_BILLED_QUANTITY else null end) W25,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''26'' then USG_BILLED_QUANTITY else null end) W26,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''27'' then USG_BILLED_QUANTITY else null end) W27,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''28'' then USG_BILLED_QUANTITY else null end) W28,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''29'' then USG_BILLED_QUANTITY else null end) W29,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''30'' then USG_BILLED_QUANTITY else null end) W30,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''31'' then USG_BILLED_QUANTITY else null end) W31,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''32'' then USG_BILLED_QUANTITY else null end) W32,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''33'' then USG_BILLED_QUANTITY else null end) W33,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''34'' then USG_BILLED_QUANTITY else null end) W34,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''35'' then USG_BILLED_QUANTITY else null end) W35,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''36'' then USG_BILLED_QUANTITY else null end) W36,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''37'' then USG_BILLED_QUANTITY else null end) W37,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''38'' then USG_BILLED_QUANTITY else null end) W38,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''39'' then USG_BILLED_QUANTITY else null end) W39,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''40'' then USG_BILLED_QUANTITY else null end) W40,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''41'' then USG_BILLED_QUANTITY else null end) W41,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''42'' then USG_BILLED_QUANTITY else null end) W42,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''43'' then USG_BILLED_QUANTITY else null end) W43,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''44'' then USG_BILLED_QUANTITY else null end) W44,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''45'' then USG_BILLED_QUANTITY else null end) W45,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''46'' then USG_BILLED_QUANTITY else null end) W46,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''47'' then USG_BILLED_QUANTITY else null end) W47,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''48'' then USG_BILLED_QUANTITY else null end) W48,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''49'' then USG_BILLED_QUANTITY else null end) W49,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''50'' then USG_BILLED_QUANTITY else null end) W50,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''51'' then USG_BILLED_QUANTITY else null end) W51,',
'    sum(case when to_char(USAGE_INTERVAL_START,''WW'') = ''52'' then USG_BILLED_QUANTITY else null end) W52',
'from',
'    oci_cost ',
'WHERE ',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'    :P5_PERIOD=''Weekly'' and ',
'	to_char(USAGE_INTERVAL_START,''YYYY'') = :P5_PERIOD_RANGE and',
'    (:P5_COMPARTMENT_NAME is null or prd_compartment_name = :P5_COMPARTMENT_NAME) and',
'    (:P5_COMPARTMENT_TOP is null or prd_compartment_path like :P5_COMPARTMENT_TOP ||''%'') and',
'    (:P5_PRODUCT_SERVICE is null or prd_service = :P5_PRODUCT_SERVICE) and',
'    (:P5_PRODUCT_REGION is null or prd_region = :P5_PRODUCT_REGION) and',
'    (:P5_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P5_COST_PRODUCT_SKU) and',
'    (:P5_TAG1_SPECIAL is null or :P5_TAG1_SPECIAL = TAG_SPECIAL) and',
'    (:P5_TAG2_SPECIAL is null or :P5_TAG2_SPECIAL = TAG_SPECIAL2) and',
'    (:P5_TENANT_ID is null or tenant_id = :P5_TENANT_ID) and',
'    (:P5_TAG_KEY is null or tags_data like ''%#'' || :P5_TAG_KEY || ''=%'') and',
'    (:P5_TAG_DATA is null or tags_data like ''%#'' || nvl(:P5_TAG_KEY,''%'') || ''=%'' || :P5_TAG_DATA || ''#'') and',
'    :P5_REPORT_SELECTOR = ''Weekly Product Unit Report''',
'GROUP BY ',
'    COST_PRODUCT_SKU || '' '' || replace(replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'')',
'having sum(USG_BILLED_QUANTITY)>0',
'order by 2 desc',
''))
,p_display_when_condition=>'P5_REPORT_SELECTOR'
,p_display_when_cond2=>'Weekly Product Unit Report'
,p_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_ajax_enabled=>'Y'
,p_lazy_loading=>true
,p_query_row_template=>wwv_flow_imp.id(26709087882953984)
,p_query_num_rows=>9999
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'NEXT_PREVIOUS_LINKS'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'Y'
,p_csv_output_link_text=>'Download'
,p_prn_output=>'Y'
,p_prn_format=>'PDF'
,p_prn_output_link_text=>'Print'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width_units=>'PERCENTAGE'
,p_prn_width=>8.5
,p_prn_height=>11
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32002193387763445)
,p_query_column_id=>1
,p_column_alias=>'PRODUCT_NAME'
,p_column_display_sequence=>1
,p_column_heading=>'Product'
,p_use_as_row_header=>'N'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRODUCT_NAME#</span>'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32002331301763447)
,p_query_column_id=>2
,p_column_alias=>'W01'
,p_column_display_sequence=>2
,p_column_heading=>'W01'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32002507593763448)
,p_query_column_id=>3
,p_column_alias=>'W02'
,p_column_display_sequence=>3
,p_column_heading=>'W02'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32002545462763449)
,p_query_column_id=>4
,p_column_alias=>'W03'
,p_column_display_sequence=>4
,p_column_heading=>'W03'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32002620190763450)
,p_query_column_id=>5
,p_column_alias=>'W04'
,p_column_display_sequence=>5
,p_column_heading=>'W04'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32002740320763451)
,p_query_column_id=>6
,p_column_alias=>'W05'
,p_column_display_sequence=>6
,p_column_heading=>'W05'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32002837109763452)
,p_query_column_id=>7
,p_column_alias=>'W06'
,p_column_display_sequence=>7
,p_column_heading=>'W06'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32002948079763453)
,p_query_column_id=>8
,p_column_alias=>'W07'
,p_column_display_sequence=>8
,p_column_heading=>'W07'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32003108551763454)
,p_query_column_id=>9
,p_column_alias=>'W08'
,p_column_display_sequence=>9
,p_column_heading=>'W08'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32003147069763455)
,p_query_column_id=>10
,p_column_alias=>'W09'
,p_column_display_sequence=>10
,p_column_heading=>'W09'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32003306175763456)
,p_query_column_id=>11
,p_column_alias=>'W10'
,p_column_display_sequence=>11
,p_column_heading=>'W10'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32003344246763457)
,p_query_column_id=>12
,p_column_alias=>'W11'
,p_column_display_sequence=>12
,p_column_heading=>'W11'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32003488703763458)
,p_query_column_id=>13
,p_column_alias=>'W12'
,p_column_display_sequence=>13
,p_column_heading=>'W12'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32003561089763459)
,p_query_column_id=>14
,p_column_alias=>'W13'
,p_column_display_sequence=>14
,p_column_heading=>'W13'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32003696258763460)
,p_query_column_id=>15
,p_column_alias=>'W14'
,p_column_display_sequence=>15
,p_column_heading=>'W14'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32003791294763461)
,p_query_column_id=>16
,p_column_alias=>'W15'
,p_column_display_sequence=>16
,p_column_heading=>'W15'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32003887461763462)
,p_query_column_id=>17
,p_column_alias=>'W16'
,p_column_display_sequence=>17
,p_column_heading=>'W16'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32003980557763463)
,p_query_column_id=>18
,p_column_alias=>'W17'
,p_column_display_sequence=>18
,p_column_heading=>'W17'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32004108432763464)
,p_query_column_id=>19
,p_column_alias=>'W18'
,p_column_display_sequence=>19
,p_column_heading=>'W18'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32004142827763465)
,p_query_column_id=>20
,p_column_alias=>'W19'
,p_column_display_sequence=>20
,p_column_heading=>'W19'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32004306346763466)
,p_query_column_id=>21
,p_column_alias=>'W20'
,p_column_display_sequence=>21
,p_column_heading=>'W20'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32004344724763467)
,p_query_column_id=>22
,p_column_alias=>'W21'
,p_column_display_sequence=>22
,p_column_heading=>'W21'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32004480317763468)
,p_query_column_id=>23
,p_column_alias=>'W22'
,p_column_display_sequence=>23
,p_column_heading=>'W22'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32004567166763469)
,p_query_column_id=>24
,p_column_alias=>'W23'
,p_column_display_sequence=>24
,p_column_heading=>'W23'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32004615958763470)
,p_query_column_id=>25
,p_column_alias=>'W24'
,p_column_display_sequence=>25
,p_column_heading=>'W24'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32004735047763471)
,p_query_column_id=>26
,p_column_alias=>'W25'
,p_column_display_sequence=>26
,p_column_heading=>'W25'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32004885973763472)
,p_query_column_id=>27
,p_column_alias=>'W26'
,p_column_display_sequence=>27
,p_column_heading=>'W26'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32004955401763473)
,p_query_column_id=>28
,p_column_alias=>'W27'
,p_column_display_sequence=>28
,p_column_heading=>'W27'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32005047388763474)
,p_query_column_id=>29
,p_column_alias=>'W28'
,p_column_display_sequence=>29
,p_column_heading=>'W28'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32005177908763475)
,p_query_column_id=>30
,p_column_alias=>'W29'
,p_column_display_sequence=>30
,p_column_heading=>'W29'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32002048278763444)
,p_query_column_id=>31
,p_column_alias=>'W30'
,p_column_display_sequence=>31
,p_column_heading=>'W30'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32005283413763476)
,p_query_column_id=>32
,p_column_alias=>'W31'
,p_column_display_sequence=>32
,p_column_heading=>'W31'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32005354582763477)
,p_query_column_id=>33
,p_column_alias=>'W32'
,p_column_display_sequence=>33
,p_column_heading=>'W32'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32005451261763478)
,p_query_column_id=>34
,p_column_alias=>'W33'
,p_column_display_sequence=>34
,p_column_heading=>'W33'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32005523466763479)
,p_query_column_id=>35
,p_column_alias=>'W34'
,p_column_display_sequence=>35
,p_column_heading=>'W34'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32005612400763480)
,p_query_column_id=>36
,p_column_alias=>'W35'
,p_column_display_sequence=>36
,p_column_heading=>'W35'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32005746112763481)
,p_query_column_id=>37
,p_column_alias=>'W36'
,p_column_display_sequence=>37
,p_column_heading=>'W36'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
end;
/
begin
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32005889077763482)
,p_query_column_id=>38
,p_column_alias=>'W37'
,p_column_display_sequence=>38
,p_column_heading=>'W37'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32019625416797933)
,p_query_column_id=>39
,p_column_alias=>'W38'
,p_column_display_sequence=>39
,p_column_heading=>'W38'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32019778670797934)
,p_query_column_id=>40
,p_column_alias=>'W39'
,p_column_display_sequence=>40
,p_column_heading=>'W39'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32019812516797935)
,p_query_column_id=>41
,p_column_alias=>'W40'
,p_column_display_sequence=>41
,p_column_heading=>'W40'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32019939528797936)
,p_query_column_id=>42
,p_column_alias=>'W41'
,p_column_display_sequence=>42
,p_column_heading=>'W41'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32020086049797937)
,p_query_column_id=>43
,p_column_alias=>'W42'
,p_column_display_sequence=>43
,p_column_heading=>'W42'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32020145351797938)
,p_query_column_id=>44
,p_column_alias=>'W43'
,p_column_display_sequence=>44
,p_column_heading=>'W43'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32020229228797939)
,p_query_column_id=>45
,p_column_alias=>'W44'
,p_column_display_sequence=>45
,p_column_heading=>'W44'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32020327779797940)
,p_query_column_id=>46
,p_column_alias=>'W45'
,p_column_display_sequence=>46
,p_column_heading=>'W45'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32020413408797941)
,p_query_column_id=>47
,p_column_alias=>'W46'
,p_column_display_sequence=>47
,p_column_heading=>'W46'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32020512863797942)
,p_query_column_id=>48
,p_column_alias=>'W47'
,p_column_display_sequence=>48
,p_column_heading=>'W47'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32020687893797943)
,p_query_column_id=>49
,p_column_alias=>'W48'
,p_column_display_sequence=>49
,p_column_heading=>'W48'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32020735174797944)
,p_query_column_id=>50
,p_column_alias=>'W49'
,p_column_display_sequence=>50
,p_column_heading=>'W49'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32020830145797945)
,p_query_column_id=>51
,p_column_alias=>'W50'
,p_column_display_sequence=>51
,p_column_heading=>'W50'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32020913776797946)
,p_query_column_id=>52
,p_column_alias=>'W51'
,p_column_display_sequence=>52
,p_column_heading=>'W51'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32021063353797947)
,p_query_column_id=>53
,p_column_alias=>'W52'
,p_column_display_sequence=>53
,p_column_heading=>'W52'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_region(
 p_id=>wwv_flow_imp.id(32021170565797948)
,p_name=>'Monthly Product Unit Report'
,p_region_name=>'report'
,p_parent_plug_id=>wwv_flow_imp.id(50557152943855581)
,p_template=>wwv_flow_imp.id(26683353252953952)
,p_display_sequence=>100
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'SUB_REGIONS'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'	COST_PRODUCT_SKU || '' '' || replace(replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'') as product_name,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''01'' then USG_BILLED_QUANTITY else null end) Jan,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''02'' then USG_BILLED_QUANTITY else null end) Feb,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''03'' then USG_BILLED_QUANTITY else null end) Mar,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''04'' then USG_BILLED_QUANTITY else null end) Apr,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''05'' then USG_BILLED_QUANTITY else null end) May,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''06'' then USG_BILLED_QUANTITY else null end) Jun,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''07'' then USG_BILLED_QUANTITY else null end) Jul,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''08'' then USG_BILLED_QUANTITY else null end) Aug,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''09'' then USG_BILLED_QUANTITY else null end) Sep,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''10'' then USG_BILLED_QUANTITY else null end) Oct,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''11'' then USG_BILLED_QUANTITY else null end) Nov,',
'    sum(case when to_char(USAGE_INTERVAL_START,''MM'') = ''12'' then USG_BILLED_QUANTITY else null end) Dec',
'FROM ',
'    oci_cost ',
'WHERE ',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'    :P5_PERIOD=''Monthly'' and ',
'	to_char(USAGE_INTERVAL_START,''YYYY'') = :P5_PERIOD_RANGE and',
'    (:P5_COMPARTMENT_NAME is null or prd_compartment_name = :P5_COMPARTMENT_NAME) and',
'    (:P5_COMPARTMENT_TOP is null or prd_compartment_path like :P5_COMPARTMENT_TOP ||''%'') and',
'    (:P5_TAG1_SPECIAL is null or :P5_TAG1_SPECIAL = TAG_SPECIAL) and',
'    (:P5_TAG2_SPECIAL is null or :P5_TAG2_SPECIAL = TAG_SPECIAL2) and',
'    (:P5_PRODUCT_SERVICE is null or prd_service = :P5_PRODUCT_SERVICE) and',
'    (:P5_PRODUCT_REGION is null or prd_region = :P5_PRODUCT_REGION) and',
'    (:P5_TENANT_ID is null or tenant_id = :P5_TENANT_ID) and',
'    (:P5_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P5_COST_PRODUCT_SKU) and',
'    (:P5_TAG_KEY is null or tags_data like ''%#'' || :P5_TAG_KEY || ''=%'') and',
'    (:P5_TAG_DATA is null or tags_data like ''%#'' || nvl(:P5_TAG_KEY,''%'') || ''=%'' || :P5_TAG_DATA || ''#'') and',
'    :P5_REPORT_SELECTOR = ''Monthly Product Unit Report''',
'GROUP BY ',
'	COST_PRODUCT_SKU || '' '' || replace(replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'')',
'having sum(USG_BILLED_QUANTITY)>0',
'order by 2 desc',
'',
''))
,p_display_when_condition=>'P5_REPORT_SELECTOR'
,p_display_when_cond2=>'Monthly Product Unit Report'
,p_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_ajax_enabled=>'Y'
,p_lazy_loading=>true
,p_query_row_template=>wwv_flow_imp.id(26709087882953984)
,p_query_num_rows=>9999
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'NEXT_PREVIOUS_LINKS'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'Y'
,p_csv_output_link_text=>'Download'
,p_prn_output=>'Y'
,p_prn_format=>'PDF'
,p_prn_output_link_text=>'Print'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width_units=>'PERCENTAGE'
,p_prn_width=>8.5
,p_prn_height=>11
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32021239369797949)
,p_query_column_id=>1
,p_column_alias=>'PRODUCT_NAME'
,p_column_display_sequence=>1
,p_column_heading=>'&P5_REPORT_GROUP.'
,p_use_as_row_header=>'N'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRODUCT_NAME#</span>'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32021460487797951)
,p_query_column_id=>2
,p_column_alias=>'JAN'
,p_column_display_sequence=>2
,p_column_heading=>'Jan &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32021518830797952)
,p_query_column_id=>3
,p_column_alias=>'FEB'
,p_column_display_sequence=>3
,p_column_heading=>'Feb &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32021692288797953)
,p_query_column_id=>4
,p_column_alias=>'MAR'
,p_column_display_sequence=>4
,p_column_heading=>'Mar &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32021782036797954)
,p_query_column_id=>5
,p_column_alias=>'APR'
,p_column_display_sequence=>5
,p_column_heading=>'Apr &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32021855797797955)
,p_query_column_id=>6
,p_column_alias=>'MAY'
,p_column_display_sequence=>6
,p_column_heading=>'May &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32021969419797956)
,p_query_column_id=>7
,p_column_alias=>'JUN'
,p_column_display_sequence=>7
,p_column_heading=>'Jun &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32022060866797957)
,p_query_column_id=>8
,p_column_alias=>'JUL'
,p_column_display_sequence=>8
,p_column_heading=>'Jul &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32022150657797958)
,p_query_column_id=>9
,p_column_alias=>'AUG'
,p_column_display_sequence=>9
,p_column_heading=>'Aug &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32022244915797959)
,p_query_column_id=>10
,p_column_alias=>'SEP'
,p_column_display_sequence=>10
,p_column_heading=>'Sep &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32022372322797960)
,p_query_column_id=>11
,p_column_alias=>'OCT'
,p_column_display_sequence=>11
,p_column_heading=>'Oct &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32022446777797961)
,p_query_column_id=>12
,p_column_alias=>'NOV'
,p_column_display_sequence=>12
,p_column_heading=>'Nov &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(32022579154797962)
,p_query_column_id=>13
,p_column_alias=>'DEC'
,p_column_display_sequence=>13
,p_column_heading=>'Dec &P5_PERIOD_RANGE.'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_report_column_width=>90
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(33278300388756256)
,p_plug_name=>'Cost By SKU - &P5_PERIOD.'
,p_parent_plug_id=>wwv_flow_imp.id(50557152943855581)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>50
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VALUE_OF_ITEM_IN_CONDITION_IN_COLON_DELIMITED_LIST'
,p_plug_display_when_condition=>'P5_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Hourly Cost By SKU:Daily Cost By SKU:Weekly Cost By SKU:Monthly Cost By SKU'
);
wwv_flow_imp_page.create_jet_chart(
 p_id=>wwv_flow_imp.id(33278353293756257)
,p_region_id=>wwv_flow_imp.id(33278300388756256)
,p_chart_type=>'bar'
,p_height=>'500'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'on'
,p_stack_label=>'on'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'end'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_imp_page.create_jet_chart_series(
 p_id=>wwv_flow_imp.id(33278485679756258)
,p_chart_id=>wwv_flow_imp.id(33278353293756257)
,p_seq=>10
,p_name=>'Usage'
,p_data_source_type=>'SQL'
,p_data_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'    case ',
'        when :P5_PERIOD=''Hourly'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24'') ',
'        when :P5_PERIOD=''Daily'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') ',
'        when :P5_PERIOD=''Weekly'' then to_char(USAGE_INTERVAL_START,''YYYY-WW'') ',
'        when :P5_PERIOD=''Monthly'' or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY-MM-MON'')',
'    end PERIOD,',
'    COST_PRODUCT_SKU || '' '' || replace(replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'') COST_PRODUCT_SKU,',
'    sum(COST_MY_COST) as COST_USAGE',
'from oci_cost',
'where ',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'    (:P5_COMPARTMENT_NAME is null or prd_compartment_name = :P5_COMPARTMENT_NAME) and',
'    (:P5_COMPARTMENT_TOP is null or prd_compartment_path like :P5_COMPARTMENT_TOP ||''%'') and',
'    (:P5_PRODUCT_SERVICE is null or prd_service = :P5_PRODUCT_SERVICE) and',
'    (:P5_PRODUCT_REGION is null or prd_region = :P5_PRODUCT_REGION) and',
'    (:P5_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P5_COST_PRODUCT_SKU) and',
'    (:P5_TAG1_SPECIAL is null or :P5_TAG1_SPECIAL = TAG_SPECIAL) and',
'    (:P5_TAG2_SPECIAL is null or :P5_TAG2_SPECIAL = TAG_SPECIAL2) and',
'    (:P5_TENANT_ID is null or tenant_id = :P5_TENANT_ID) and',
'    (:P5_TAG_KEY is null or tags_data like ''%#'' || :P5_TAG_KEY || ''=%'') and',
'    (:P5_TAG_DATA is null or tags_data like ''%#'' || nvl(:P5_TAG_KEY,''%'') || ''=%'' || :P5_TAG_DATA || ''#'') and',
'    (:P5_PERIOD=''Hourly'' and to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') = :P5_PERIOD_RANGE or :P5_PERIOD=''Daily'' and to_char(USAGE_INTERVAL_START,''YYYY-MM'') = :P5_PERIOD_RANGE or :P5_PERIOD in (''Monthly'',''Weekly'') and to_char(USAGE_INTERVAL_START,''YY'
||'YY'') = :P5_PERIOD_RANGE) and',
'    :P5_REPORT_SELECTOR in (''Hourly Cost By SKU'',''Daily Cost By SKU'',''Weekly Cost By SKU'',''Monthly Cost By SKU'')    ',
'    group by ',
'    case ',
'        when :P5_PERIOD=''Hourly'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD HH24'') ',
'        when :P5_PERIOD=''Daily'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') ',
'        when :P5_PERIOD=''Weekly'' then to_char(USAGE_INTERVAL_START,''YYYY-WW'') ',
'        when :P5_PERIOD=''Monthly'' or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY-MM-MON'')',
'    end,',
'    COST_PRODUCT_SKU || '' '' || replace(replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'')',
'order by 1,2'))
,p_series_name_column_name=>'COST_PRODUCT_SKU'
,p_items_value_column_name=>'COST_USAGE'
,p_items_label_column_name=>'PERIOD'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>true
,p_items_label_position=>'center'
,p_items_label_display_as=>'PERCENT'
,p_items_label_font_size=>'10'
,p_threshold_display=>'onIndicator'
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(33278600772756259)
,p_chart_id=>wwv_flow_imp.id(33278353293756257)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_type=>'decimal'
,p_decimal_places=>1
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_jet_chart_axis(
 p_id=>wwv_flow_imp.id(33278662143756260)
,p_chart_id=>wwv_flow_imp.id(33278353293756257)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_type=>'date-short'
,p_numeric_pattern=>'DD-MON-YYYY'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_imp_page.create_report_region(
 p_id=>wwv_flow_imp.id(33280228335756276)
,p_name=>'Hourly Cost Report'
,p_region_name=>'report'
,p_parent_plug_id=>wwv_flow_imp.id(50557152943855581)
,p_template=>wwv_flow_imp.id(26683353252953952)
,p_display_sequence=>130
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'SUB_REGIONS'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT /*+ parallel(oci_cost,8) full(oci_cost) use_hash(oci_cost,oci_resources) */ ',
'	case ',
'		when :P5_REPORT_GROUP = ''Product'' or :P5_REPORT_GROUP is null then COST_PRODUCT_SKU || '' '' || replace(replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'')',
'		when :P5_REPORT_GROUP = ''Service'' then prd_service',
'		when :P5_REPORT_GROUP = ''Region'' then prd_region',
'		when :P5_REPORT_GROUP = ''Resource Id'' then usg_resource_id',
'		when :P5_REPORT_GROUP = ''Resource Id+Name'' then usg_resource_id || '' '' || oci_resources.resource_name',
'		when :P5_REPORT_GROUP = ''Tag Special 1'' then tag_special',
'		when :P5_REPORT_GROUP = ''Tag Special 2'' then tag_special2',
'		when :P5_REPORT_GROUP = ''Tag Special 1+2'' then tag_special||'':''||tag_special2',
'		when :P5_REPORT_GROUP = ''Top Compartment'' then ',
'			case ',
'                when prd_compartment_path is null then ''No Compartment''',
'                when prd_compartment_path like ''%/%'' then nvl(substr(prd_compartment_path,1,instr(prd_compartment_path,'' /'')-1) ,''(Root)'')',
'                else prd_compartment_path ',
'            end ',
'		when :P5_REPORT_GROUP = ''Compartment'' then nvl(prd_compartment_name,''No Compartment'')',
'        when :P5_REPORT_GROUP = ''Tenant'' then nvl(tenant_id,''No TenantId'')',
'	end product_name,',
'    sum(COST_MY_COST) TOTAL,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''00'' then COST_MY_COST else null end) H00,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''01'' then COST_MY_COST else null end) H01,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''02'' then COST_MY_COST else null end) H02,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''03'' then COST_MY_COST else null end) H03,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''04'' then COST_MY_COST else null end) H04,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''05'' then COST_MY_COST else null end) H05,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''06'' then COST_MY_COST else null end) H06,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''07'' then COST_MY_COST else null end) H07,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''08'' then COST_MY_COST else null end) H08,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''09'' then COST_MY_COST else null end) H09,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''10'' then COST_MY_COST else null end) H10,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''11'' then COST_MY_COST else null end) H11,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''12'' then COST_MY_COST else null end) H12,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''13'' then COST_MY_COST else null end) H13,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''14'' then COST_MY_COST else null end) H14,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''15'' then COST_MY_COST else null end) H15,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''16'' then COST_MY_COST else null end) H16,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''17'' then COST_MY_COST else null end) H17,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''18'' then COST_MY_COST else null end) H18,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''19'' then COST_MY_COST else null end) H19,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''20'' then COST_MY_COST else null end) H20,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''21'' then COST_MY_COST else null end) H21,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''22'' then COST_MY_COST else null end) H22,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''23'' then COST_MY_COST else null end) H23',
'FROM ',
'    oci_cost, oci_resources',
'WHERE ',
'    usg_resource_id = oci_resources.resource_id (+) and ',
'    (oci_cost.tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'    :P5_PERIOD=''Hourly'' and ',
'	to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') = :P5_PERIOD_RANGE and',
'    (:P5_COMPARTMENT_NAME is null or prd_compartment_name = :P5_COMPARTMENT_NAME) and',
'    (:P5_COMPARTMENT_TOP is null or prd_compartment_path like :P5_COMPARTMENT_TOP ||''%'') and',
'    (:P5_PRODUCT_SERVICE is null or prd_service = :P5_PRODUCT_SERVICE) and',
'    (:P5_PRODUCT_REGION is null or prd_region = :P5_PRODUCT_REGION) and',
'    (:P5_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P5_COST_PRODUCT_SKU) and',
'    (:P5_TAG1_SPECIAL is null or :P5_TAG1_SPECIAL = TAG_SPECIAL) and',
'    (:P5_TAG2_SPECIAL is null or :P5_TAG2_SPECIAL = TAG_SPECIAL2) and',
'    (:P5_TENANT_ID is null or tenant_id = :P5_TENANT_ID) and',
'    (:P5_TAG_KEY is null or tags_data like ''%#'' || :P5_TAG_KEY || ''=%'') and',
'    (:P5_TAG_DATA is null or tags_data like ''%#'' || nvl(:P5_TAG_KEY,''%'') || ''=%'' || :P5_TAG_DATA || ''#'') and',
'    :P5_REPORT_SELECTOR = ''Hourly Cost Report''',
'GROUP BY ',
'	case ',
'		when :P5_REPORT_GROUP = ''Product'' or :P5_REPORT_GROUP is null then COST_PRODUCT_SKU || '' '' || replace(replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'')',
'		when :P5_REPORT_GROUP = ''Service'' then prd_service',
'		when :P5_REPORT_GROUP = ''Region'' then prd_region',
'		when :P5_REPORT_GROUP = ''Resource Id'' then usg_resource_id',
'		when :P5_REPORT_GROUP = ''Resource Id+Name'' then usg_resource_id || '' '' || oci_resources.resource_name',
'		when :P5_REPORT_GROUP = ''Tag Special 1'' then tag_special',
'		when :P5_REPORT_GROUP = ''Tag Special 2'' then tag_special2',
'		when :P5_REPORT_GROUP = ''Tag Special 1+2'' then tag_special||'':''||tag_special2',
'		when :P5_REPORT_GROUP = ''Top Compartment'' then ',
'			case ',
'                when prd_compartment_path is null then ''No Compartment''',
'                when prd_compartment_path like ''%/%'' then nvl(substr(prd_compartment_path,1,instr(prd_compartment_path,'' /'')-1) ,''(Root)'')',
'                else prd_compartment_path ',
'            end ',
'		when :P5_REPORT_GROUP = ''Compartment'' then nvl(prd_compartment_name,''No Compartment'')',
'        when :P5_REPORT_GROUP = ''Tenant'' then nvl(tenant_id,''No TenantId'')',
'	end',
'having sum(COST_MY_COST)>0',
'order by 2 desc',
''))
,p_display_when_condition=>'P5_REPORT_SELECTOR'
,p_display_when_cond2=>'Hourly Cost Report'
,p_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_ajax_enabled=>'Y'
,p_lazy_loading=>true
,p_query_row_template=>wwv_flow_imp.id(26709087882953984)
,p_query_num_rows=>100
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'ROW_RANGES_WITH_LINKS'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'Y'
,p_csv_output_link_text=>'Download'
,p_prn_output=>'Y'
,p_prn_format=>'PDF'
,p_prn_output_link_text=>'Print'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width_units=>'PERCENTAGE'
,p_prn_width=>8.5
,p_prn_height=>11
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33681584977100650)
,p_query_column_id=>1
,p_column_alias=>'PRODUCT_NAME'
,p_column_display_sequence=>1
,p_column_heading=>'&P5_REPORT_GROUP.'
,p_use_as_row_header=>'N'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRODUCT_NAME#</span>'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33681674954100651)
,p_query_column_id=>2
,p_column_alias=>'TOTAL'
,p_column_display_sequence=>2
,p_column_heading=>'Total'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_sum_column=>'Y'
,p_report_column_width=>85
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33688822446107173)
,p_query_column_id=>3
,p_column_alias=>'H00'
,p_column_display_sequence=>3
,p_column_heading=>'H00'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33689000358107174)
,p_query_column_id=>4
,p_column_alias=>'H01'
,p_column_display_sequence=>4
,p_column_heading=>'H01'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33689048383107175)
,p_query_column_id=>5
,p_column_alias=>'H02'
,p_column_display_sequence=>5
,p_column_heading=>'H02'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33689165493107176)
,p_query_column_id=>6
,p_column_alias=>'H03'
,p_column_display_sequence=>6
,p_column_heading=>'H03'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
end;
/
begin
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33689308390107177)
,p_query_column_id=>7
,p_column_alias=>'H04'
,p_column_display_sequence=>7
,p_column_heading=>'H04'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33689342398107178)
,p_query_column_id=>8
,p_column_alias=>'H05'
,p_column_display_sequence=>8
,p_column_heading=>'H05'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33689429449107179)
,p_query_column_id=>9
,p_column_alias=>'H06'
,p_column_display_sequence=>9
,p_column_heading=>'H06'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33689573349107180)
,p_query_column_id=>10
,p_column_alias=>'H07'
,p_column_display_sequence=>10
,p_column_heading=>'H07'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33689639993107181)
,p_query_column_id=>11
,p_column_alias=>'H08'
,p_column_display_sequence=>11
,p_column_heading=>'H08'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33689752033107182)
,p_query_column_id=>12
,p_column_alias=>'H09'
,p_column_display_sequence=>12
,p_column_heading=>'H09'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33745190196294933)
,p_query_column_id=>13
,p_column_alias=>'H10'
,p_column_display_sequence=>13
,p_column_heading=>'H10'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33745243939294934)
,p_query_column_id=>14
,p_column_alias=>'H11'
,p_column_display_sequence=>14
,p_column_heading=>'H11'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33745400714294935)
,p_query_column_id=>15
,p_column_alias=>'H12'
,p_column_display_sequence=>15
,p_column_heading=>'H12'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33745427502294936)
,p_query_column_id=>16
,p_column_alias=>'H13'
,p_column_display_sequence=>16
,p_column_heading=>'H13'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33745535762294937)
,p_query_column_id=>17
,p_column_alias=>'H14'
,p_column_display_sequence=>17
,p_column_heading=>'H14'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33745614269294938)
,p_query_column_id=>18
,p_column_alias=>'H15'
,p_column_display_sequence=>18
,p_column_heading=>'H15'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33745807009294939)
,p_query_column_id=>19
,p_column_alias=>'H16'
,p_column_display_sequence=>19
,p_column_heading=>'H16'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33745827197294940)
,p_query_column_id=>20
,p_column_alias=>'H17'
,p_column_display_sequence=>20
,p_column_heading=>'H17'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33745925564294941)
,p_query_column_id=>21
,p_column_alias=>'H18'
,p_column_display_sequence=>21
,p_column_heading=>'H18'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33746060834294942)
,p_query_column_id=>22
,p_column_alias=>'H19'
,p_column_display_sequence=>22
,p_column_heading=>'H19'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33746207836294943)
,p_query_column_id=>23
,p_column_alias=>'H20'
,p_column_display_sequence=>23
,p_column_heading=>'H20'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33746245071294944)
,p_query_column_id=>24
,p_column_alias=>'H21'
,p_column_display_sequence=>24
,p_column_heading=>'H21'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33746392053294945)
,p_query_column_id=>25
,p_column_alias=>'H22'
,p_column_display_sequence=>25
,p_column_heading=>'H22'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33746476310294946)
,p_query_column_id=>26
,p_column_alias=>'H23'
,p_column_display_sequence=>26
,p_column_heading=>'H23'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_region(
 p_id=>wwv_flow_imp.id(33685214224107137)
,p_name=>'Hourly Product Unit Report'
,p_region_name=>'report'
,p_parent_plug_id=>wwv_flow_imp.id(50557152943855581)
,p_template=>wwv_flow_imp.id(26683353252953952)
,p_display_sequence=>160
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'SUB_REGIONS'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
' SELECT /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'	product_name,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''00'' then USG_BILLED_QUANTITY else null end) D00,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''01'' then USG_BILLED_QUANTITY else null end) D01,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''02'' then USG_BILLED_QUANTITY else null end) D02,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''03'' then USG_BILLED_QUANTITY else null end) D03,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''04'' then USG_BILLED_QUANTITY else null end) D04,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''05'' then USG_BILLED_QUANTITY else null end) D05,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''06'' then USG_BILLED_QUANTITY else null end) D06,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''07'' then USG_BILLED_QUANTITY else null end) D07,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''08'' then USG_BILLED_QUANTITY else null end) D08,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''09'' then USG_BILLED_QUANTITY else null end) D09,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''10'' then USG_BILLED_QUANTITY else null end) D10,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''11'' then USG_BILLED_QUANTITY else null end) D11,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''12'' then USG_BILLED_QUANTITY else null end) D12,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''13'' then USG_BILLED_QUANTITY else null end) D13,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''14'' then USG_BILLED_QUANTITY else null end) D14,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''15'' then USG_BILLED_QUANTITY else null end) D15,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''16'' then USG_BILLED_QUANTITY else null end) D16,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''17'' then USG_BILLED_QUANTITY else null end) D17,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''18'' then USG_BILLED_QUANTITY else null end) D18,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''19'' then USG_BILLED_QUANTITY else null end) D19,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''20'' then USG_BILLED_QUANTITY else null end) D20,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''21'' then USG_BILLED_QUANTITY else null end) D21,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''22'' then USG_BILLED_QUANTITY else null end) D22,',
'    sum(case when to_char(USAGE_INTERVAL_START,''HH24'') = ''23'' then USG_BILLED_QUANTITY else null end) D23',
'FROM ',
'(',
'	SELECT ',
'		COST_PRODUCT_SKU || '' '' || replace(replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'') PRODUCT_NAME,',
'		USAGE_INTERVAL_START,',
'		USG_BILLED_QUANTITY',
'	FROM',
'    	oci_cost ',
'	WHERE ',
'		(tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'		:P5_PERIOD=''Hourly'' and ',
'		to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') = :P5_PERIOD_RANGE and',
'		(:P5_COMPARTMENT_NAME is null or prd_compartment_name = :P5_COMPARTMENT_NAME) and',
'		(:P5_COMPARTMENT_TOP is null or prd_compartment_path like :P5_COMPARTMENT_TOP ||''%'') and',
'		(:P5_PRODUCT_SERVICE is null or prd_service = :P5_PRODUCT_SERVICE) and',
'		(:P5_PRODUCT_REGION is null or prd_region = :P5_PRODUCT_REGION) and',
'		(:P5_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P5_COST_PRODUCT_SKU) and',
'        (:P5_TAG1_SPECIAL is null or :P5_TAG1_SPECIAL = TAG_SPECIAL) and',
'        (:P5_TAG2_SPECIAL is null or :P5_TAG2_SPECIAL = TAG_SPECIAL2) and',
'        (:P5_TENANT_ID is null or tenant_id = :P5_TENANT_ID) and',
'		(:P5_TAG_KEY is null or tags_data like ''%#'' || :P5_TAG_KEY || ''=%'') and',
'		(:P5_TAG_DATA is null or tags_data like ''%#'' || nvl(:P5_TAG_KEY,''%'') || ''=%'' || :P5_TAG_DATA || ''#'') AND',
'        :P5_REPORT_SELECTOR = ''Hourly Product Unit Report''',
')',
'GROUP BY PRODUCT_NAME',
'having sum(USG_BILLED_QUANTITY)>0',
'order by 2 desc',
''))
,p_display_when_condition=>'P5_REPORT_SELECTOR'
,p_display_when_cond2=>'Hourly Product Unit Report'
,p_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_ajax_enabled=>'Y'
,p_lazy_loading=>true
,p_query_row_template=>wwv_flow_imp.id(26709087882953984)
,p_query_num_rows=>9999
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'NEXT_PREVIOUS_LINKS'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'Y'
,p_csv_output_link_text=>'Download'
,p_prn_output=>'Y'
,p_prn_format=>'PDF'
,p_prn_output_link_text=>'Print'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width_units=>'PERCENTAGE'
,p_prn_width=>8.5
,p_prn_height=>11
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33685349076107138)
,p_query_column_id=>1
,p_column_alias=>'PRODUCT_NAME'
,p_column_display_sequence=>1
,p_column_heading=>'Product'
,p_use_as_row_header=>'N'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRODUCT_NAME#</span>'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33746554101294947)
,p_query_column_id=>2
,p_column_alias=>'D00'
,p_column_display_sequence=>2
,p_column_heading=>'D00'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33746683039294948)
,p_query_column_id=>3
,p_column_alias=>'D01'
,p_column_display_sequence=>3
,p_column_heading=>'D01'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33746748544294949)
,p_query_column_id=>4
,p_column_alias=>'D02'
,p_column_display_sequence=>4
,p_column_heading=>'D02'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33746860920294950)
,p_query_column_id=>5
,p_column_alias=>'D03'
,p_column_display_sequence=>5
,p_column_heading=>'D03'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33746942427294951)
,p_query_column_id=>6
,p_column_alias=>'D04'
,p_column_display_sequence=>6
,p_column_heading=>'D04'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33747104483294952)
,p_query_column_id=>7
,p_column_alias=>'D05'
,p_column_display_sequence=>7
,p_column_heading=>'D05'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33747124619294953)
,p_query_column_id=>8
,p_column_alias=>'D06'
,p_column_display_sequence=>8
,p_column_heading=>'D06'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33747228343294954)
,p_query_column_id=>9
,p_column_alias=>'D07'
,p_column_display_sequence=>9
,p_column_heading=>'D07'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33747372613294955)
,p_query_column_id=>10
,p_column_alias=>'D08'
,p_column_display_sequence=>10
,p_column_heading=>'D08'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33747423281294956)
,p_query_column_id=>11
,p_column_alias=>'D09'
,p_column_display_sequence=>11
,p_column_heading=>'D09'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33747550605294957)
,p_query_column_id=>12
,p_column_alias=>'D10'
,p_column_display_sequence=>12
,p_column_heading=>'D10'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33747685069294958)
,p_query_column_id=>13
,p_column_alias=>'D11'
,p_column_display_sequence=>13
,p_column_heading=>'D11'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33747720505294959)
,p_query_column_id=>14
,p_column_alias=>'D12'
,p_column_display_sequence=>14
,p_column_heading=>'D12'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33747826257294960)
,p_query_column_id=>15
,p_column_alias=>'D13'
,p_column_display_sequence=>15
,p_column_heading=>'D13'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33747975870294961)
,p_query_column_id=>16
,p_column_alias=>'D14'
,p_column_display_sequence=>16
,p_column_heading=>'D14'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33748035198294962)
,p_query_column_id=>17
,p_column_alias=>'D15'
,p_column_display_sequence=>17
,p_column_heading=>'D15'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33748112955294963)
,p_query_column_id=>18
,p_column_alias=>'D16'
,p_column_display_sequence=>18
,p_column_heading=>'D16'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33748270234294964)
,p_query_column_id=>19
,p_column_alias=>'D17'
,p_column_display_sequence=>19
,p_column_heading=>'D17'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33748396250294965)
,p_query_column_id=>20
,p_column_alias=>'D18'
,p_column_display_sequence=>20
,p_column_heading=>'D18'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33748506921294966)
,p_query_column_id=>21
,p_column_alias=>'D19'
,p_column_display_sequence=>21
,p_column_heading=>'D19'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33748512947294967)
,p_query_column_id=>22
,p_column_alias=>'D20'
,p_column_display_sequence=>22
,p_column_heading=>'D20'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33748679769294968)
,p_query_column_id=>23
,p_column_alias=>'D21'
,p_column_display_sequence=>23
,p_column_heading=>'D21'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33748791735294969)
,p_query_column_id=>24
,p_column_alias=>'D22'
,p_column_display_sequence=>24
,p_column_heading=>'D22'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_report_columns(
 p_id=>wwv_flow_imp.id(33748859432294970)
,p_query_column_id=>25
,p_column_alias=>'D23'
,p_column_display_sequence=>25
,p_column_heading=>'D23'
,p_use_as_row_header=>'N'
,p_column_format=>'999G999G999G999G990D00'
,p_column_alignment=>'RIGHT'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(58406437715466832)
,p_plug_name=>'Graph Report Selector'
,p_parent_plug_id=>wwv_flow_imp.id(50557152943855581)
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--removeHeader js-removeLandmark:t-Region--noUI:t-Region--hiddenOverflow:t-Form--noPadding:margin-top-none:margin-bottom-md:margin-left-none:margin-right-none'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>10
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VALUE_OF_ITEM_IN_CONDITION_IN_COLON_DELIMITED_LIST'
,p_plug_display_when_condition=>'P5_REPORT_SELECTOR'
,p_plug_display_when_cond2=>'Daily Cost Report:Weekly Cost Report:Monthly Cost Report:Hourly Cost Report'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(50557323154855582)
,p_plug_name=>'Choose Tenant'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader js-removeLandmark:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_source=>'No Data Found, Please Choose Tenant, Date and press Submit.'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_ZERO'
,p_plug_display_when_condition=>'P5_ROWS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_button(
 p_id=>wwv_flow_imp.id(28967271671341992)
,p_button_sequence=>120
,p_button_plug_id=>wwv_flow_imp.id(39764862521507625)
,p_button_name=>'P5_SUBMIT'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--stretch:t-Button--gapTop'
,p_button_template_id=>wwv_flow_imp.id(26739430162954028)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Submit'
,p_grid_new_row=>'Y'
,p_grid_column_span=>3
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(24334182798018359)
,p_name=>'P5_TAG2_SPECIAL'
,p_item_sequence=>160
,p_item_plug_id=>wwv_flow_imp.id(39764862521507625)
,p_prompt=>'Tag 2 Special Data'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'')',
'    and ref_type=''TAG_SPECIAL2''',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P5_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28709087821443172)
,p_name=>'P5_TAG1_SPECIAL'
,p_item_sequence=>150
,p_item_plug_id=>wwv_flow_imp.id(39764862521507625)
,p_prompt=>'Tag 1 Special Data'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'')',
'    and ref_type=''TAG_SPECIAL''',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P5_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28709146573443173)
,p_name=>'P5_ROWS_DISPLAY'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_imp.id(39765355792507630)
,p_prompt=>'Rows Filtered'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#e8e8e8"'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28851642836457558)
,p_name=>'P5_PERIOD'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_imp.id(39764862521507625)
,p_prompt=>'Report Period'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC2:Hourly;Hourly,Daily;Daily,Weekly;Weekly,Monthly;Monthly'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Please Choose'
,p_cHeight=>1
,p_tag_attributes=>'style="background-color:#d0ffff; font-weight:bold;"'
,p_begin_on_new_line=>'N'
,p_colspan=>3
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28851749040457559)
,p_name=>'P5_PERIOD_RANGE'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_imp.id(39764862521507625)
,p_item_default=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select max(',
'          case ',
'              when :P5_PERIOD = ''Hourly'' or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') ',
'              when :P5_PERIOD = ''Daily'' or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY-MM'') ',
'              when :P5_PERIOD in (''Monthly'',''Weekly'') then to_char(USAGE_INTERVAL_START,''YYYY'') ',
'          end) period',
'     from ',
'         oci_cost_stats',
'     where',
'     tenant_name=:P5_TENANT_NAME and (:P5_PERIOD <> ''Hourly'' or USAGE_INTERVAL_START<trunc(sysdate)-2)',
''))
,p_item_default_type=>'SQL_QUERY'
,p_prompt=>'Year / Month / Day'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    case when :P5_PERIOD = ''Hourly'' then period_d else period_r end o, period_r r',
'from ',
'(',
'     select ',
'          case ',
'              when :P5_PERIOD = ''Hourly'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD DY'') ',
'              when :P5_PERIOD = ''Daily'' then to_char(USAGE_INTERVAL_START,''YYYY-MM'') ',
'              when :P5_PERIOD in (''Monthly'',''Weekly'') or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY'') ',
'          end||'' - ''||to_char(sum(COST_MY_COST),''999,999,999.9'') period_d,',
'          case ',
'              when :P5_PERIOD = ''Hourly'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') ',
'              when :P5_PERIOD = ''Daily'' then to_char(USAGE_INTERVAL_START,''YYYY-MM'') ',
'              when :P5_PERIOD in (''Monthly'',''Weekly'') or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY'') ',
'          end period_r',
'     from ',
'         oci_cost_stats',
'     where',
'         (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and :P5_PERIOD is not null',
'         and (:P5_PERIOD <> ''Hourly'' or USAGE_INTERVAL_START>trunc(sysdate)-90 and USAGE_INTERVAL_START<trunc(sysdate)-2)',
'     group by ',
'          case ',
'              when :P5_PERIOD = ''Hourly'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD DY'') ',
'              when :P5_PERIOD = ''Daily'' then to_char(USAGE_INTERVAL_START,''YYYY-MM'') ',
'              when :P5_PERIOD in (''Monthly'',''Weekly'') or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY'') ',
'          end ,',
'          case ',
'              when :P5_PERIOD = ''Hourly'' then to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') ',
'              when :P5_PERIOD = ''Daily'' then to_char(USAGE_INTERVAL_START,''YYYY-MM'') ',
'              when :P5_PERIOD in (''Monthly'',''Weekly'') or :P5_PERIOD is null then to_char(USAGE_INTERVAL_START,''YYYY'') ',
'          end ',
'     order by 1',
')'))
,p_lov_cascade_parent_items=>'P5_PERIOD,P5_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_tag_attributes=>'style="background-color:#d0ffff; font-weight:bold;"'
,p_begin_on_new_line=>'N'
,p_colspan=>3
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28852139523457563)
,p_name=>'P5_REPORT_GROUP'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_imp.id(58406437715466832)
,p_item_default=>'Product'
,p_prompt=>'Report Group Option'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select report_name as d, report_name as r',
'from',
'(',
'	select ''Product'' report_name from dual union all',
'	select ''Service'' report_name from dual union all',
'	select ''Region'' from dual union all',
'	select ''Top Compartment'' from dual union all',
'	select ''Compartment'' from dual union all',
'	select ''Tenant'' from dual union all',
'	select ''Tag Special 1'' from dual union all',
'	select ''Tag Special 2'' from dual union all',
'	select ''Tag Special 1+2'' from dual union all',
'	select ''Resource Id'' from dual union all',
'	select ''Resource Id+Name'' from dual where :A_OCI_RESOURCES_COUNT>0',
')'))
,p_cHeight=>1
,p_tag_attributes=>'style="background-color: #F5FBB4;"'
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'SUBMIT'
,p_attribute_03=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28897968249705160)
,p_name=>'P5_TAG_SPECIAL_KEY'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_imp.id(39765355792507630)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Tag 1+2 Special Keys'
,p_format_mask=>'FML999G999G999G999G990D00'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select key1||case when key2 is null then null else '','' end||key2 from ',
'(select MIN(ref_name) key1 from OCI_COST_REFERENCE where tenant_name=:P5_TENANT_NAME and ref_type=''TAG_SPECIAL_KEY'') a,',
'(select MIN(ref_name) key2 from OCI_COST_REFERENCE where tenant_name=:P5_TENANT_NAME and ref_type=''TAG_SPECIAL_KEY2'') b'))
,p_source_type=>'QUERY_COLON'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#e8e8e8"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
end;
/
begin
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28967627998341993)
,p_name=>'P5_TENANT_NAME'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(39764862521507625)
,p_prompt=>'Tenant Name'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ''All'' o, ''ALL'' r from dual',
'union all',
'select distinct tenant_name o, tenant_name r from OCI_COST_REFERENCE order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Please Choose...'
,p_cHeight=>1
,p_tag_attributes=>'style="background-color:#d0ffff; font-weight:bold;"'
,p_colspan=>3
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28968507547341995)
,p_name=>'P5_PRODUCT_SERVICE'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_imp.id(39764862521507625)
,p_prompt=>'Product Service'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct initcap(ref_name) o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'')',
'    and ref_type=''PRD_SERVICE''',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P5_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28968848544341996)
,p_name=>'P5_COMPARTMENT_TOP'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_imp.id(39764862521507625)
,p_prompt=>'Top Level Compartment'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'')',
'    and ref_type=''PRD_COMPARTMENT_PATH''',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P5_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28969246910341996)
,p_name=>'P5_PRODUCT_REGION'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_imp.id(39764862521507625)
,p_prompt=>'Product Region'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'')',
'    and ref_type=''PRD_REGION''',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P5_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28970089948341997)
,p_name=>'P5_COST_PRODUCT_SKU'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_imp.id(39764862521507625)
,p_prompt=>'Product SKU'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct replace(replace(ref_name,substr(ref_name,1,6)||'' - '',''''),''Oracle Cloud Infrastructure'',''OCI'') o, substr(ref_name,1,6) r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'')',
'    and ref_type=''COST_PRODUCT_SKU''',
'order by 1',
''))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P5_TENANT_NAME,P5_PERIOD_RANGE'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28970413258341997)
,p_name=>'P5_COMPARTMENT_NAME'
,p_item_sequence=>140
,p_item_plug_id=>wwv_flow_imp.id(39764862521507625)
,p_prompt=>'Compartment'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'')',
'    and ref_type=''PRD_COMPARTMENT_NAME''',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P5_TENANT_NAME,P5_PERIOD_RANGE'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28971235989341998)
,p_name=>'P5_TAG_KEY'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_imp.id(39764862521507625)
,p_prompt=>'Tag Key'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct tag_key o, tag_key r ',
'from ',
'    oci_cost_tag_keys',
'where',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'')',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P5_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'POPUP'
,p_attribute_02=>'FIRST_ROWSET'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28971709275341998)
,p_name=>'P5_TAG_DATA'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_imp.id(39764862521507625)
,p_prompt=>'Tag Data Filter'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28972392848341999)
,p_name=>'P5_COST'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(39765355792507630)
,p_prompt=>'Total Cost'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color: #F5FBB4; font-weight: bold; font-size: 14px;"'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28973196163341999)
,p_name=>'P5_ROWS'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_imp.id(39765355792507630)
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(29224423166840165)
,p_name=>'P5_TENANT_ID'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_imp.id(39764862521507625)
,p_prompt=>'Tenant Id'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct ref_name o, ref_name r ',
'from ',
'    OCI_COST_REFERENCE ',
'where',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'')',
'    and ref_type=''TENANT_ID''',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_lov_cascade_parent_items=>'P5_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_colspan=>3
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(31084340389210606)
,p_name=>'P5_REPORT_SELECTOR'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_imp.id(39764862521507625)
,p_prompt=>'Chart/Report Selector'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'with data as',
'(',
'    select ''Hourly Cost Over Time - Total'' report_name from dual where :P5_PERIOD=''Hourly''',
'    union all',
'    select ''Hourly Cost By Service'' report_name from dual where :P5_PERIOD=''Hourly''',
'    union all',
'    select ''Hourly Cost By SKU'' report_name from dual where :P5_PERIOD=''Hourly''',
'    union all',
'    select ''Hourly Cost By Region'' report_name from dual where :P5_PERIOD=''Hourly''',
'    union all',
'    select ''Hourly Cost By Compartment'' report_name from dual where :P5_PERIOD=''Hourly''',
'    union all',
'    select ''Hourly Cost By Top Compartment'' report_name from dual where :P5_PERIOD=''Hourly''',
'    union all',
'    select ''Hourly Cost Report'' report_name from dual where :P5_PERIOD=''Hourly''',
'    union all',
'    select ''Hourly Product Unit Report'' report_name from dual where :P5_PERIOD=''Hourly''',
'    union all',
'    select ''Daily Cost Over Time - Total'' report_name from dual where :P5_PERIOD=''Daily''',
'    union all',
'    select ''Daily Cost By Service'' report_name from dual where :P5_PERIOD=''Daily''',
'    union all',
'    select ''Daily Cost By SKU'' report_name from dual where :P5_PERIOD=''Daily''',
'    union all',
'    select ''Daily Cost By Region'' report_name from dual where :P5_PERIOD=''Daily''',
'    union all',
'    select ''Daily Cost By Compartment'' report_name from dual where :P5_PERIOD=''Daily''',
'    union all',
'    select ''Daily Cost By Top Compartment'' report_name from dual where :P5_PERIOD=''Daily''',
'    union all',
'    select ''Daily Cost Report'' report_name from dual where :P5_PERIOD=''Daily''',
'    union all',
'    select ''Daily Product Unit Report - Single'' report_name from dual where :P5_PERIOD=''Daily''',
'    union all',
'    select ''Daily Product Unit Report - Total'' report_name from dual where :P5_PERIOD=''Daily''',
'    union all',
'    select ''Weekly Cost Over Time - Total'' report_name from dual where :P5_PERIOD=''Weekly''',
'    union all',
'    select ''Weekly Cost By Service'' report_name from dual where :P5_PERIOD=''Weekly''',
'    union all',
'    select ''Weekly Cost By SKU'' report_name from dual where :P5_PERIOD=''Weekly''',
'    union all',
'    select ''Weekly Cost By Region'' report_name from dual where :P5_PERIOD=''Weekly''',
'    union all',
'    select ''Weekly Cost By Compartment'' report_name from dual where :P5_PERIOD=''Weekly''',
'    union all',
'    select ''Weekly Cost By Top Compartment'' report_name from dual where :P5_PERIOD=''Weekly''',
'    union all',
'    select ''Weekly Cost Report'' report_name from dual where :P5_PERIOD=''Weekly''',
'    union all',
'    select ''Weekly Product Unit Report'' report_name from dual where :P5_PERIOD=''Weekly''',
'    union all',
'    select ''Monthly Cost Over Time - Total'' report_name from dual where :P5_PERIOD=''Monthly''',
'    union all',
'    select ''Monthly Cost By Service'' report_name from dual where :P5_PERIOD=''Monthly''',
'    union all',
'    select ''Monthly Cost By SKU'' report_name from dual where :P5_PERIOD=''Monthly''',
'    union all',
'    select ''Monthly Cost By Region'' report_name from dual where :P5_PERIOD=''Monthly''',
'    union all',
'    select ''Monthly Cost By Compartment'' report_name from dual where :P5_PERIOD=''Monthly''',
'    union all',
'    select ''Monthly Cost By Top Compartment'' report_name from dual where :P5_PERIOD=''Monthly''',
'    union all',
'    select ''Monthly Cost Report'' report_name from dual where :P5_PERIOD=''Monthly''',
'    union all',
'    select ''Monthly Product Unit Report'' report_name from dual where :P5_PERIOD=''Monthly''',
')',
'select report_name r, report_name o',
'from data',
''))
,p_lov_cascade_parent_items=>'P5_PERIOD'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_tag_attributes=>'style="background-color: #F5FBB4; font-weight: bold; font-size: 13px;"'
,p_begin_on_new_line=>'N'
,p_colspan=>3
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(31104541430535935)
,p_name=>'P5_YEARLY'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_imp.id(39765355792507630)
,p_prompt=>'Yearly Prediction'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color: #F5FBB4; font-weight: bold; font-size: 14px;"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(32394170506716136)
,p_name=>'P5_LAST_DATE_LOADED'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_imp.id(39765355792507630)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Last Date Loaded'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    to_char(max(USAGE_INTERVAL_START),''DD-MON-YY HH24:MI'') dte',
'from oci_cost_stats',
'where ',
'    (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'')'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#e8e8e8"'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(32395098485730647)
,p_name=>'P5_DAYS_DATA'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_imp.id(39765355792507630)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Days of Data'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select to_char(sum(cnt)/24,''99999.0'')',
'from',
'(',
'    select ',
'        count(distinct USAGE_INTERVAL_START) cnt',
'    from oci_cost',
'    where ',
'        (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'        (:P5_COMPARTMENT_NAME is null or prd_compartment_name = :P5_COMPARTMENT_NAME) and',
'        (:P5_PRODUCT_SERVICE is null or prd_service = :P5_PRODUCT_SERVICE) and',
'        (:P5_PRODUCT_REGION is null or prd_region = :P5_PRODUCT_REGION) and',
'        (:P5_COMPARTMENT_TOP is null or prd_compartment_path like :P5_COMPARTMENT_TOP ||''%'') and',
'        (:P5_TAG_KEY is null or tags_data like ''%#'' || :P5_TAG_KEY || ''=%'') and',
'        (:P5_TAG_DATA is null or tags_data like ''%#'' || nvl(:P5_TAG_KEY,''%'') || ''=%'' || :P5_TAG_DATA || ''#'') and',
'        (:P5_TENANT_ID is null or tenant_id = :P5_TENANT_ID) and',
'        (:P5_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P5_COST_PRODUCT_SKU) and',
'        (:P5_PERIOD=''Daily'' and to_char(USAGE_INTERVAL_START,''YYYY-MM'') = :P5_PERIOD_RANGE or :P5_PERIOD in (''Monthly'',''Weekly'') and to_char(USAGE_INTERVAL_START,''YYYY'') = :P5_PERIOD_RANGE) and',
'        not (:P5_COMPARTMENT_NAME is null and :P5_PRODUCT_SERVICE is null and :P5_PRODUCT_REGION is null and :P5_COMPARTMENT_TOP is null and :P5_TAG_KEY is null and :P5_TAG_DATA is null and :P5_COST_PRODUCT_SKU is null)',
'    union all',
'    select ',
'        count(distinct USAGE_INTERVAL_START) cnt',
'    from oci_cost_stats',
'    where ',
'        (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'        (:P5_PERIOD=''Daily'' and to_char(USAGE_INTERVAL_START,''YYYY-MM'') = :P5_PERIOD_RANGE or :P5_PERIOD in (''Monthly'',''Weekly'') and to_char(USAGE_INTERVAL_START,''YYYY'') = :P5_PERIOD_RANGE) and',
'        (:P5_TENANT_ID is null and :P5_COMPARTMENT_NAME is null and :P5_PRODUCT_SERVICE is null and :P5_PRODUCT_REGION is null and :P5_COMPARTMENT_TOP is null and :P5_TAG_KEY is null and :P5_TAG_DATA is null and :P5_COST_PRODUCT_SKU is null)',
')'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#e8e8e8"'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(28852388457457565)
,p_computation_sequence=>10
,p_computation_item=>'P5_REPORT_GROUP'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'STATIC_ASSIGNMENT'
,p_computation=>'Product'
,p_compute_when=>'P5_REPORT_GROUP'
,p_compute_when_type=>'ITEM_IS_NULL'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(28854036519457582)
,p_computation_sequence=>10
,p_computation_item=>'P5_TENANT_NAME'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>'select tenant_name from oci_cost_stats where rownum=1'
,p_compute_when=>'P5_TENANT_NAME'
,p_compute_when_type=>'ITEM_IS_NULL'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(31104638453535936)
,p_computation_sequence=>10
,p_computation_item=>'P5_REPORT_SELECTOR'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'STATIC_ASSIGNMENT'
,p_computation=>'Daily Cost Over Time - Total'
,p_compute_when=>'P5_REPORT_SELECTOR'
,p_compute_when_type=>'ITEM_IS_NULL'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(29195943744568575)
,p_computation_sequence=>15
,p_computation_item=>'P5_PERIOD_RANGE'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select max(to_char(USAGE_INTERVAL_START,''YYYY-MM''))',
'from ',
'     oci_cost_stats',
'where',
'(tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') '))
,p_compute_when=>'P5_PERIOD_RANGE'
,p_compute_when_type=>'ITEM_IS_NULL'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(28852507352457566)
,p_computation_sequence=>20
,p_computation_item=>'P5_PERIOD'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'STATIC_ASSIGNMENT'
,p_computation=>'Daily'
,p_compute_when=>'P5_PERIOD'
,p_compute_when_type=>'ITEM_IS_NULL'
);
wwv_flow_imp_page.create_page_process(
 p_id=>wwv_flow_imp.id(28709233314443174)
,p_process_sequence=>10
,p_process_point=>'AFTER_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'PreFill'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin',
'select ',
'    to_char(nvl(sum(COST_MY_COST),0),''999,999,999,990.00'')||'' ''||min(COST_CURRENCY_CODE) MY_COST,',
'    to_char(nvl(sum(ESTIMATE_YEAR),0),''999,999,999,990'')||'' ''||min(COST_CURRENCY_CODE) MY_COST_YEAR,',
'    to_char(sum(cnt),''999,999,999,999'') NUM_ROWS,',
'    sum(cnt) NUM_ROWS_DISPLAY',
'into',
'    :P5_COST,',
'    :P5_YEARLY,',
'    :P5_ROWS_DISPLAY,',
'    :P5_ROWS',
'from ',
'(',
'    select /*+ parallel(oci_cost,8) full(oci_cost) */ ',
'        sum(COST_MY_COST) COST_MY_COST, ',
'        min(COST_CURRENCY_CODE) COST_CURRENCY_CODE,',
'        sum(COST_MY_COST)*(24 * 365 / count(distinct USAGE_INTERVAL_START)) ESTIMATE_YEAR,',
'        count(*) CNT',
'    from oci_cost',
'    where ',
'        (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'        (:P5_COMPARTMENT_NAME is null or prd_compartment_name = :P5_COMPARTMENT_NAME) and',
'        (:P5_PRODUCT_SERVICE is null or prd_service = :P5_PRODUCT_SERVICE) and',
'        (:P5_PRODUCT_REGION is null or prd_region = :P5_PRODUCT_REGION) and',
'        (:P5_TENANT_ID is null or tenant_id = :P5_TENANT_ID) and',
'        (:P5_COMPARTMENT_TOP is null or prd_compartment_path like :P5_COMPARTMENT_TOP ||''%'') and',
'        (:P5_TAG_KEY is null or tags_data like ''%#'' || :P5_TAG_KEY || ''=%'') and',
'        (:P5_TAG_DATA is null or tags_data like ''%#'' || nvl(:P5_TAG_KEY,''%'') || ''=%'' || :P5_TAG_DATA || ''#'') and',
'        (:P5_TAG1_SPECIAL is null or :P5_TAG1_SPECIAL = TAG_SPECIAL) and',
'        (:P5_TAG2_SPECIAL is null or :P5_TAG2_SPECIAL = TAG_SPECIAL2) and',
'        (:P5_COST_PRODUCT_SKU is null or COST_PRODUCT_SKU = :P5_COST_PRODUCT_SKU) and',
'        (:P5_PERIOD=''Hourly'' and to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') = :P5_PERIOD_RANGE or :P5_PERIOD=''Daily'' and to_char(USAGE_INTERVAL_START,''YYYY-MM'') = :P5_PERIOD_RANGE or :P5_PERIOD in (''Monthly'',''Weekly'') and to_char(USAGE_INTERVAL_START'
||',''YYYY'') = :P5_PERIOD_RANGE) and',
'        not (:P5_TENANT_ID is null and :P5_COMPARTMENT_NAME is null and :P5_PRODUCT_SERVICE is null and :P5_PRODUCT_REGION is null and :P5_COMPARTMENT_TOP is null and :P5_TAG_KEY is null and :P5_TAG_DATA is null and :P5_COST_PRODUCT_SKU is null and :'
||'P5_TAG1_SPECIAL is null and :P5_TAG2_SPECIAL is null)',
'    union all',
'    select',
'        sum(COST_MY_COST) COST_MY_COST, ',
'        min(COST_CURRENCY_CODE) COST_CURRENCY_CODE,',
'        sum(COST_MY_COST)*(24 * 365 / count(distinct USAGE_INTERVAL_START)) ESTIMATE_YEAR,',
'        sum(num_rows) cnt',
'    from oci_cost_stats',
'    where ',
'        (tenant_name=:P5_TENANT_NAME or :P5_TENANT_NAME = ''ALL'') and',
'        (:P5_PERIOD=''Hourly'' and to_char(USAGE_INTERVAL_START,''YYYY-MM-DD'') = :P5_PERIOD_RANGE or :P5_PERIOD=''Daily'' and to_char(USAGE_INTERVAL_START,''YYYY-MM'') = :P5_PERIOD_RANGE or :P5_PERIOD in (''Monthly'',''Weekly'') and to_char(USAGE_INTERVAL_START'
||',''YYYY'') = :P5_PERIOD_RANGE) and',
'        (:P5_COMPARTMENT_NAME is null and :P5_PRODUCT_SERVICE is null and :P5_PRODUCT_REGION is null and :P5_COMPARTMENT_TOP is null and :P5_TAG_KEY is null and :P5_TAG_DATA is null and :P5_COST_PRODUCT_SKU is null and :P5_TENANT_ID is null and :P5_T'
||'AG1_SPECIAL is null and :P5_TAG2_SPECIAL is null)',
');',
'end;'))
,p_process_clob_language=>'PLSQL'
);
end;
/
prompt --application/pages/page_00006
begin
wwv_flow_imp_page.create_page(
 p_id=>6
,p_name=>'Data Statistics'
,p_step_title=>'Data Statistics'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'OFF'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.a-IRR-table tr td[headers*="rep_col_grey"]',
'{',
'    background-color: #efffff;',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_page_component_map=>'18'
,p_last_updated_by=>'ADIZOHAR'
,p_last_upd_yyyymmddhh24miss=>'20230401012716'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(28126375548902548)
,p_plug_name=>'Cost Summary Monthly'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>50
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'	tenant_name, ',
'	month6, ',
'	month5, ',
'	month4, ',
'	month3, ',
'	month2, ',
'	month1, ',
'	case when trunc(greatest(month1,month2,month3,month4,month5,month6)) = trunc(month1) then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as month1_color,',
'	case when trunc(greatest(month1,month2,month3,month4,month5,month6)) = trunc(month2) then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as month2_color,',
'	case when trunc(greatest(month1,month2,month3,month4,month5,month6)) = trunc(month3) then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as month3_color,',
'	case when trunc(greatest(month1,month2,month3,month4,month5,month6)) = trunc(month4) then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as month4_color,',
'	case when trunc(greatest(month1,month2,month3,month4,month5,month6)) = trunc(month5) then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as month5_color,',
'	case when trunc(greatest(month1,month2,month3,month4,month5,month6)) = trunc(month6) then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as month6_color',
'from',
'(',
'    select ',
'        tenant_name,',
'        sum(case when trunc(USAGE_INTERVAL_START,''MM'') = add_months(trunc(sysdate,''MM''),-5) then COST_MY_COST else 0 end) month6,',
'        sum(case when trunc(USAGE_INTERVAL_START,''MM'') = add_months(trunc(sysdate,''MM''),-4) then COST_MY_COST else 0 end) month5,',
'        sum(case when trunc(USAGE_INTERVAL_START,''MM'') = add_months(trunc(sysdate,''MM''),-3) then COST_MY_COST else 0 end) month4,',
'        sum(case when trunc(USAGE_INTERVAL_START,''MM'') = add_months(trunc(sysdate,''MM''),-2) then COST_MY_COST else 0 end) month3,',
'        sum(case when trunc(USAGE_INTERVAL_START,''MM'') = add_months(trunc(sysdate,''MM''),-1) then COST_MY_COST else 0 end) month2,',
'        sum(case when trunc(USAGE_INTERVAL_START,''MM'') = add_months(trunc(sysdate,''MM''), 0) then COST_MY_COST else 0 end) month1',
'    from oci_cost_stats',
'    where ',
'        tenant_name like ''%'' and',
'        USAGE_INTERVAL_START >= add_months(trunc(sysdate,''MM''),-5)',
'    group by tenant_name',
')',
'order by 1'))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(28127185655902556)
,p_show_nulls_as=>'-'
,p_show_search_bar=>'N'
,p_lazy_loading=>true
,p_show_detail_link=>'N'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11208874726636624
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(28127269363902557)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(28129438386902579)
,p_db_column_name=>'MONTH6'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'&P6_MONTH6.'
,p_column_html_expression=>'<span  style="#MONTH6_COLOR#">#MONTH6#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(28129606778902580)
,p_db_column_name=>'MONTH5'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'&P6_MONTH5.'
,p_column_html_expression=>'<span  style="#MONTH5_COLOR#">#MONTH5#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(28129690144902581)
,p_db_column_name=>'MONTH4'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'&P6_MONTH4.'
,p_column_html_expression=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<span style="#MONTH4_COLOR#">#MONTH4#</span>',
''))
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(28129805342902582)
,p_db_column_name=>'MONTH3'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'&P6_MONTH3.'
,p_column_html_expression=>'<span  style="#MONTH3_COLOR#">#MONTH3#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29221270378840133)
,p_db_column_name=>'MONTH2'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'&P6_MONTH2.'
,p_column_html_expression=>'<span style="#MONTH2_COLOR#">#MONTH2#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29221316919840134)
,p_db_column_name=>'MONTH1'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'&P6_MONTH1.'
,p_column_html_expression=>'<span  style="#MONTH1_COLOR#">#MONTH1#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29221482443840135)
,p_db_column_name=>'MONTH1_COLOR'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Month1 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29221598813840136)
,p_db_column_name=>'MONTH2_COLOR'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Month2 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29221655149840137)
,p_db_column_name=>'MONTH3_COLOR'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Month3 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29221809824840138)
,p_db_column_name=>'MONTH4_COLOR'
,p_display_order=>110
,p_column_identifier=>'K'
,p_column_label=>'Month4 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29221851838840139)
,p_db_column_name=>'MONTH5_COLOR'
,p_display_order=>120
,p_column_identifier=>'L'
,p_column_label=>'Month5 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29221921850840140)
,p_db_column_name=>'MONTH6_COLOR'
,p_display_order=>130
,p_column_identifier=>'M'
,p_column_label=>'Month6 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(29226250885858509)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'123080'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:MONTH6:MONTH5:MONTH4:MONTH3:MONTH2:MONTH1:MONTH1_COLOR:MONTH2_COLOR:MONTH3_COLOR:MONTH4_COLOR:MONTH5_COLOR:MONTH6_COLOR'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(28709395142443175)
,p_plug_name=>'Usage OCPUs Summary Last 10 Days'
,p_region_template_options=>'#DEFAULT#:t-Region--accent4:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>70
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'with data as',
'(',
'    select tenant_name,',
'        trunc(USAGE_INTERVAL_START) as USAGE_INTERVAL_START,',
'		USG_CONSUMED_MEASURE,',
'        max(USG_BILLED_QUANTITY) as USG_BILLED_QUANTITY',
'    from',
'    (',
'        select ',
'            tenant_name,',
'            USAGE_INTERVAL_START,',
'            USG_CONSUMED_MEASURE,',
'            sum(USG_BILLED_QUANTITY) USG_BILLED_QUANTITY',
'        from',
'        (',
'            select /*+ parallel(d,8) full(d) */',
'                USAGE_INTERVAL_START,',
'                tenant_name,',
'                USG_CONSUMED_MEASURE,',
'                case',
'                        when USG_CONSUMED_UNITS like ''%MS%'' then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'                    else USG_BILLED_QUANTITY',
'                end as USG_BILLED_QUANTITY',
'            from',
'                oci_usage d',
'            where',
'                USAGE_INTERVAL_START > trunc(sysdate-15) and',
'                prd_service not in (''ORACLE_NOTIFICATION_SERVICE'') and',
'                prd_resource not in (''PIC_STANDARD_PERFORMANCE'',''PIC_COMPUTE_OUTBOUND_DATA_TRANSFER'') and',
'                USG_CONSUMED_MEASURE in (''OCPUS'')',
'            )',
'        group by',
'            tenant_name,',
'			USAGE_INTERVAL_START,',
'            USG_CONSUMED_MEASURE',
'    )',
'    group by tenant_name, USG_CONSUMED_MEASURE, trunc(USAGE_INTERVAL_START)',
')',
'select',
'    tenant_name,day1,day2,day3,day4,day5,day6,day7,day8,day9,day10,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day1)  then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day1_color,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day2)  then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day2_color,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day3)  then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day3_color,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day4)  then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day4_color,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day5)  then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day5_color,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day6)  then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day6_color,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day7)  then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day7_color,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day8)  then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day8_color,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day9)  then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day9_color,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day10) then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day10_color',
'from',
'(',
'    select',
'        tenant_name,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-10) then USG_BILLED_QUANTITY else 0 end) DAY10,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-9 ) then USG_BILLED_QUANTITY else 0 end) DAY9,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-8 ) then USG_BILLED_QUANTITY else 0 end) DAY8,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-7 ) then USG_BILLED_QUANTITY else 0 end) DAY7,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-6 ) then USG_BILLED_QUANTITY else 0 end) DAY6,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-5 ) then USG_BILLED_QUANTITY else 0 end) DAY5,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-4 ) then USG_BILLED_QUANTITY else 0 end) DAY4,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-3 ) then USG_BILLED_QUANTITY else 0 end) DAY3,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-2 ) then USG_BILLED_QUANTITY else 0 end) DAY2,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-1 ) then USG_BILLED_QUANTITY else 0 end) DAY1',
'    from data s',
'    where',
'        USG_CONSUMED_MEASURE = ''OCPUS''',
'    group by tenant_name',
'    order by 1',
')',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(49530290081274033)
,p_show_nulls_as=>'-'
,p_show_search_bar=>'N'
,p_lazy_loading=>true
,p_show_detail_link=>'N'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>32611979152008101
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49530376519274034)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49532124354274052)
,p_db_column_name=>'DAY10'
,p_display_order=>20
,p_column_identifier=>'K'
,p_column_label=>'&P6_DAY10.'
,p_column_html_expression=>'<span  style="#DAY10_COLOR#">#DAY10#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49532034148274051)
,p_db_column_name=>'DAY9'
,p_display_order=>30
,p_column_identifier=>'J'
,p_column_label=>'&P6_DAY9.'
,p_column_html_expression=>'<span  style="#DAY9_COLOR#">#DAY9#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49531944577274050)
,p_db_column_name=>'DAY8'
,p_display_order=>40
,p_column_identifier=>'I'
,p_column_label=>'&P6_DAY8.'
,p_column_html_expression=>'<span  style="#DAY8_COLOR#">#DAY8#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49530417692274035)
,p_db_column_name=>'DAY7'
,p_display_order=>50
,p_column_identifier=>'B'
,p_column_label=>'&P6_DAY7.'
,p_column_html_expression=>'<span style="#DAY7_COLOR#">#DAY7#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49530533871274036)
,p_db_column_name=>'DAY6'
,p_display_order=>60
,p_column_identifier=>'C'
,p_column_label=>'&P6_DAY6.'
,p_column_html_expression=>'<span  style="#DAY6_COLOR#">#DAY6#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49530646940274037)
,p_db_column_name=>'DAY5'
,p_display_order=>70
,p_column_identifier=>'D'
,p_column_label=>'&P6_DAY5.'
,p_column_html_expression=>'<span  style="#DAY5_COLOR#">#DAY5#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49530768341274038)
,p_db_column_name=>'DAY4'
,p_display_order=>80
,p_column_identifier=>'E'
,p_column_label=>'&P6_DAY4.'
,p_column_html_expression=>'<span style="#DAY4_COLOR#">#DAY4#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49530826300274039)
,p_db_column_name=>'DAY3'
,p_display_order=>90
,p_column_identifier=>'F'
,p_column_label=>'&P6_DAY3.'
,p_column_html_expression=>'<span  style="#DAY3_COLOR#">#DAY3#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49530983604274040)
,p_db_column_name=>'DAY2'
,p_display_order=>100
,p_column_identifier=>'G'
,p_column_label=>'&P6_DAY2.'
,p_column_html_expression=>'<span style="#DAY2_COLOR#">#DAY2#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49531093557274041)
,p_db_column_name=>'DAY1'
,p_display_order=>110
,p_column_identifier=>'H'
,p_column_label=>'&P6_DAY1.'
,p_column_html_expression=>'<span style="#DAY1_COLOR#">#DAY1#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49534658116274077)
,p_db_column_name=>'DAY1_COLOR'
,p_display_order=>120
,p_column_identifier=>'L'
,p_column_label=>'Day1 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49534720789274078)
,p_db_column_name=>'DAY2_COLOR'
,p_display_order=>130
,p_column_identifier=>'M'
,p_column_label=>'Day2 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49534833330274079)
,p_db_column_name=>'DAY3_COLOR'
,p_display_order=>140
,p_column_identifier=>'N'
,p_column_label=>'Day3 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49534957841274080)
,p_db_column_name=>'DAY4_COLOR'
,p_display_order=>150
,p_column_identifier=>'O'
,p_column_label=>'Day4 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49535095003274081)
,p_db_column_name=>'DAY5_COLOR'
,p_display_order=>160
,p_column_identifier=>'P'
,p_column_label=>'Day5 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49535186233274082)
,p_db_column_name=>'DAY6_COLOR'
,p_display_order=>170
,p_column_identifier=>'Q'
,p_column_label=>'Day6 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49535242509313433)
,p_db_column_name=>'DAY7_COLOR'
,p_display_order=>180
,p_column_identifier=>'R'
,p_column_label=>'Day7 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49535328287313434)
,p_db_column_name=>'DAY8_COLOR'
,p_display_order=>190
,p_column_identifier=>'S'
,p_column_label=>'Day8 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49535508066313435)
,p_db_column_name=>'DAY9_COLOR'
,p_display_order=>200
,p_column_identifier=>'T'
,p_column_label=>'Day9 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(49535588959313436)
,p_db_column_name=>'DAY10_COLOR'
,p_display_order=>210
,p_column_identifier=>'U'
,p_column_label=>'Day10 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(49549348549319269)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'326311'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:DAY10:DAY9:DAY8:DAY7:DAY6:DAY5:DAY4:DAY3:DAY2:DAY1:DAY1_COLOR:DAY2_COLOR:DAY3_COLOR:DAY4_COLOR:DAY5_COLOR:DAY6_COLOR:DAY7_COLOR:DAY8_COLOR:DAY9_COLOR:DAY10_COLOR'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(29288933013151133)
,p_plug_name=>'Usage OCPUs Daily Report by Service for Last 10 Days'
,p_region_template_options=>'#DEFAULT#:t-Region--accent4:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>80
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'with data as',
'(',
'    select tenant_name,',
'        prd_service,',
'        prd_resource,',
'        trunc(USAGE_INTERVAL_START) as USAGE_INTERVAL_START,',
'		USG_CONSUMED_MEASURE,',
'        max(USG_BILLED_QUANTITY) as USG_BILLED_QUANTITY',
'    from',
'    (',
'        select ',
'            tenant_name,',
'            prd_service,',
'            prd_resource,',
'            USAGE_INTERVAL_START,',
'            USG_CONSUMED_MEASURE,',
'            sum(USG_BILLED_QUANTITY) USG_BILLED_QUANTITY',
'        from',
'        (',
'            select /*+ parallel(d,8) full(d) */',
'                USAGE_INTERVAL_START,',
'                tenant_name,',
'                USG_CONSUMED_MEASURE,',
'                prd_service,',
'                prd_resource,',
'                case',
'                        when USG_CONSUMED_UNITS like ''%MS%'' then USG_BILLED_QUANTITY/((USAGE_INTERVAL_END-USAGE_INTERVAL_START)*24*60*60)/1000',
'                    else USG_BILLED_QUANTITY',
'                end as USG_BILLED_QUANTITY',
'            from',
'                oci_usage d',
'            where',
'                USAGE_INTERVAL_START > trunc(sysdate-15) and',
'                USG_CONSUMED_MEASURE in (''OCPUS'')',
'            )',
'        group by',
'            tenant_name,',
'			USAGE_INTERVAL_START,',
'            USG_CONSUMED_MEASURE,',
'            prd_service,',
'            prd_resource',
'    )',
'    group by ',
'    tenant_name,',
'    prd_service,',
'    prd_resource,',
'    USG_CONSUMED_MEASURE, trunc(USAGE_INTERVAL_START)',
')',
'select',
'    tenant_name,',
'    prd_service,',
'    prd_resource,',
'    day1,day2,day3,day4,day5,day6,day7,day8,day9,day10,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day1)  then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day1_color,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day2)  then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day2_color,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day3)  then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day3_color,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day4)  then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day4_color,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day5)  then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day5_color,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day6)  then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day6_color,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day7)  then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day7_color,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day8)  then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day8_color,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day9)  then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day9_color,',
'    case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7,day8,day9,day10)) = trunc(day10) then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day10_color',
'from',
'(',
'    select',
'        tenant_name,',
'        prd_service,',
'        prd_resource,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-10) then USG_BILLED_QUANTITY else 0 end) DAY10,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-9 ) then USG_BILLED_QUANTITY else 0 end) DAY9,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-8 ) then USG_BILLED_QUANTITY else 0 end) DAY8,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-7 ) then USG_BILLED_QUANTITY else 0 end) DAY7,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-6 ) then USG_BILLED_QUANTITY else 0 end) DAY6,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-5 ) then USG_BILLED_QUANTITY else 0 end) DAY5,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-4 ) then USG_BILLED_QUANTITY else 0 end) DAY4,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-3 ) then USG_BILLED_QUANTITY else 0 end) DAY3,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-2 ) then USG_BILLED_QUANTITY else 0 end) DAY2,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-1 ) then USG_BILLED_QUANTITY else 0 end) DAY1',
'    from data s',
'    where',
'        USG_CONSUMED_MEASURE = ''OCPUS''',
'    group by ',
'        tenant_name,',
'        prd_service,',
'        prd_resource',
'    order by 1,2,3',
')',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(29289072465151134)
,p_allow_save_rpt_public=>'Y'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>true
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>12370761535885202
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29289183906151135)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29291254587151156)
,p_db_column_name=>'PRD_SERVICE'
,p_display_order=>20
,p_column_identifier=>'V'
,p_column_label=>'Prd Service'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29291405572151157)
,p_db_column_name=>'PRD_RESOURCE'
,p_display_order=>30
,p_column_identifier=>'W'
,p_column_label=>'Prd Resource'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29289304774151136)
,p_db_column_name=>'DAY10'
,p_display_order=>40
,p_column_identifier=>'B'
,p_column_label=>'&P6_DAY10.'
,p_column_html_expression=>'<span  style="#DAY10_COLOR#">#DAY10#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29289329493151137)
,p_db_column_name=>'DAY9'
,p_display_order=>50
,p_column_identifier=>'C'
,p_column_label=>'&P6_DAY9.'
,p_column_html_expression=>'<span  style="#DAY9_COLOR#">#DAY9#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29289442920151138)
,p_db_column_name=>'DAY8'
,p_display_order=>60
,p_column_identifier=>'D'
,p_column_label=>'&P6_DAY8.'
,p_column_html_expression=>'<span  style="#DAY8_COLOR#">#DAY8#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29289602138151139)
,p_db_column_name=>'DAY7'
,p_display_order=>70
,p_column_identifier=>'E'
,p_column_label=>'&P6_DAY7.'
,p_column_html_expression=>'<span style="#DAY7_COLOR#">#DAY7#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29289647525151140)
,p_db_column_name=>'DAY6'
,p_display_order=>80
,p_column_identifier=>'F'
,p_column_label=>'&P6_DAY6.'
,p_column_html_expression=>'<span  style="#DAY6_COLOR#">#DAY6#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29289724506151141)
,p_db_column_name=>'DAY5'
,p_display_order=>90
,p_column_identifier=>'G'
,p_column_label=>'&P6_DAY5.'
,p_column_html_expression=>'<span  style="#DAY5_COLOR#">#DAY5#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29289901368151142)
,p_db_column_name=>'DAY4'
,p_display_order=>100
,p_column_identifier=>'H'
,p_column_label=>'&P6_DAY4.'
,p_column_html_expression=>'<span style="#DAY4_COLOR#">#DAY4#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29290004038151143)
,p_db_column_name=>'DAY3'
,p_display_order=>110
,p_column_identifier=>'I'
,p_column_label=>'&P6_DAY3.'
,p_column_html_expression=>'<span  style="#DAY3_COLOR#">#DAY3#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29290106266151144)
,p_db_column_name=>'DAY2'
,p_display_order=>120
,p_column_identifier=>'J'
,p_column_label=>'&P6_DAY2.'
,p_column_html_expression=>'<span style="#DAY2_COLOR#">#DAY2#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29290208996151145)
,p_db_column_name=>'DAY1'
,p_display_order=>130
,p_column_identifier=>'K'
,p_column_label=>'&P6_DAY1.'
,p_column_html_expression=>'<span style="#DAY1_COLOR#">#DAY1#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29290306202151146)
,p_db_column_name=>'DAY1_COLOR'
,p_display_order=>140
,p_column_identifier=>'L'
,p_column_label=>'Day1 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29290345080151147)
,p_db_column_name=>'DAY2_COLOR'
,p_display_order=>150
,p_column_identifier=>'M'
,p_column_label=>'Day2 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29290444286151148)
,p_db_column_name=>'DAY3_COLOR'
,p_display_order=>160
,p_column_identifier=>'N'
,p_column_label=>'Day3 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29290531274151149)
,p_db_column_name=>'DAY4_COLOR'
,p_display_order=>170
,p_column_identifier=>'O'
,p_column_label=>'Day4 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29290662153151150)
,p_db_column_name=>'DAY5_COLOR'
,p_display_order=>180
,p_column_identifier=>'P'
,p_column_label=>'Day5 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29290735200151151)
,p_db_column_name=>'DAY6_COLOR'
,p_display_order=>190
,p_column_identifier=>'Q'
,p_column_label=>'Day6 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29290817424151152)
,p_db_column_name=>'DAY7_COLOR'
,p_display_order=>200
,p_column_identifier=>'R'
,p_column_label=>'Day7 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29290982245151153)
,p_db_column_name=>'DAY8_COLOR'
,p_display_order=>210
,p_column_identifier=>'S'
,p_column_label=>'Day8 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29291077976151154)
,p_db_column_name=>'DAY9_COLOR'
,p_display_order=>220
,p_column_identifier=>'T'
,p_column_label=>'Day9 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29291210223151155)
,p_db_column_name=>'DAY10_COLOR'
,p_display_order=>230
,p_column_identifier=>'U'
,p_column_label=>'Day10 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(29301129214180037)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'123829'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:PRD_SERVICE:PRD_RESOURCE:DAY10:DAY9:DAY8:DAY7:DAY6:DAY5:DAY4:DAY3:DAY2:DAY1:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(29471126599579258)
,p_plug_name=>'Usage Statistics - &P6_USAGE_SIZE.'
,p_region_template_options=>'#DEFAULT#:t-Region--accent4:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>60
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select /*+ parallel(oci_usage_stats,8) full(oci_usage_stats) */ ',
'    tenant_name,',
'    to_char(min(USAGE_INTERVAL_START),''MM/DD/YYYY HH24:MI'') MIN_FILE_TIME, ',
'    to_char(max(USAGE_INTERVAL_START),''MM/DD/YYYY HH24:MI'') MAX_FILE_TIME, ',
'    min(file_id) MIN_FILE_ID, ',
'    max(file_id) MAX_FILE_ID, ',
'    count(distinct file_id) num_files, ',
'    sum(num_rows) as num_rows , ',
'    count(distinct USAGE_INTERVAL_START) num_hours,',
'    count(distinct trunc(USAGE_INTERVAL_START)) num_days,',
'    to_char(max(UPDATE_DATE),''MM/DD/YYYY HH24:MI'') LAST_LOAD,',
'    max(AGENT_VERSION) agent_version',
'from ',
'    oci_usage_stats',
'group by tenant_name',
'order by 1,2'))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>8.5
,p_prn_height=>11
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(30270552873505051)
,p_show_nulls_as=>'-'
,p_show_search_bar=>'N'
,p_lazy_loading=>true
,p_show_detail_link=>'N'
,p_enable_mail_download=>'Y'
,p_owner=>'ADI.ZOHAR@ORACLE.COM'
,p_internal_uid=>13352241944239119
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30270680014505052)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30270737245505053)
,p_db_column_name=>'MIN_FILE_TIME'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Min File Time'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MIN_FILE_TIME#</span>'
,p_column_type=>'STRING'
,p_heading_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30270868153505054)
,p_db_column_name=>'MAX_FILE_TIME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Max File Time'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MAX_FILE_TIME#</span>'
,p_column_type=>'STRING'
,p_heading_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30270957973505055)
,p_db_column_name=>'MIN_FILE_ID'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Min File Id'
,p_column_type=>'STRING'
,p_heading_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30271031115505056)
,p_db_column_name=>'MAX_FILE_ID'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Max File Id'
,p_column_type=>'STRING'
,p_heading_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30271176811505057)
,p_db_column_name=>'NUM_FILES'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Num Files'
,p_column_type=>'NUMBER'
,p_heading_alignment=>'RIGHT'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30271291280505058)
,p_db_column_name=>'NUM_ROWS'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Num Rows'
,p_column_type=>'NUMBER'
,p_heading_alignment=>'RIGHT'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30271353446505059)
,p_db_column_name=>'NUM_HOURS'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Num Hours'
,p_column_type=>'NUMBER'
,p_heading_alignment=>'RIGHT'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30271429740505060)
,p_db_column_name=>'NUM_DAYS'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Num Days'
,p_column_type=>'NUMBER'
,p_heading_alignment=>'RIGHT'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30271528781505061)
,p_db_column_name=>'LAST_LOAD'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Last Load'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LAST_LOAD#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30271628341505062)
,p_db_column_name=>'AGENT_VERSION'
,p_display_order=>110
,p_column_identifier=>'K'
,p_column_label=>'Agent Version'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(30491203726276377)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'135729'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:MIN_FILE_TIME:MAX_FILE_TIME:MIN_FILE_ID:MAX_FILE_ID:NUM_FILES:NUM_ROWS:NUM_HOURS:NUM_DAYS:LAST_LOAD:AGENT_VERSION'
,p_sum_columns_on_break=>'NUM_ROWS:NUM_FILES'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(29549024074307531)
,p_plug_name=>'Cost Statistics - &P6_COST_SIZE.'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>20
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'with full_days as',
'(',
'    select ',
'        tenant_name, ',
'        max(COST_DAY) MAX_COST_DAY,',
'        avg(COST_DAY) AVG_COST_DAY,',
'        to_Char(min(date_day),''MM/DD/YYYY'') MIN_FULL_DAY,',
'        to_Char(max(date_day),''MM/DD/YYYY'') MAX_FULL_DAY,',
'        count(*) NUM_FULL_DAYS',
'    from',
'    (',
'        select /*+ parallel(a,4) materialize */ ',
'            tenant_name,',
'            trunc(USAGE_INTERVAL_START) date_day,',
'            count(distinct USAGE_INTERVAL_START) DAY_HOURS,',
'            sum(COST_MY_COST) COST_DAY',
'        from oci_cost_stats a',
'        group by ',
'            tenant_name,',
'            trunc(USAGE_INTERVAL_START) ',
'        having count(distinct USAGE_INTERVAL_START) = 24 ',
'    )',
'    group by tenant_name',
'),',
'total_stats as',
'(',
'    select /*+ parallel(a,4) materialize */ ',
'        tenant_name,',
'        to_char(min(USAGE_INTERVAL_START),''MM/DD/YYYY HH24:MI'') MIN_FILE_TIME, ',
'        to_char(max(USAGE_INTERVAL_START),''MM/DD/YYYY HH24:MI'') MAX_FILE_TIME, ',
'        min(file_id) MIN_FILE_ID, ',
'        max(file_id) MAX_FILE_ID, ',
'        count(distinct file_id) num_files, ',
'        sum(num_rows) as num_rows,',
'        to_char(max(UPDATE_DATE),''MM/DD/YYYY HH24:MI'') LAST_LOAD,',
'        max(agent_version) AGENT_VERSION',
'    from ',
'        oci_cost_stats a',
'    group by tenant_name',
')',
'select ',
'    a.tenant_name,',
'    a.MIN_FILE_TIME, ',
'    a.MAX_FILE_TIME, ',
'    a.MIN_FILE_ID, ',
'    a.MAX_FILE_ID, ',
'    a.num_files, ',
'    a.num_rows,',
'    b.AVG_COST_DAY,',
'    b.MAX_COST_DAY,',
'    nvl(b.NUM_FULL_DAYS,0) NUM_FULL_DAYS,',
'    (select count(*) from OCI_COST_REFERENCE b where a.tenant_name=b.tenant_name and ref_type=''TENANT_ID'') sub_tenants,',
'    LAST_LOAD,',
'    AGENT_VERSION',
'from',
'    total_stats a,',
'    full_days b',
'where ',
'    a.tenant_name = b.tenant_name(+)',
'order by 1'))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>8.5
,p_prn_height=>11
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(30269264332505038)
,p_show_nulls_as=>'-'
,p_show_search_bar=>'N'
,p_lazy_loading=>true
,p_show_detail_link=>'N'
,p_enable_mail_download=>'Y'
,p_owner=>'ADI.ZOHAR@ORACLE.COM'
,p_internal_uid=>13350953403239106
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30269350143505039)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30269441600505040)
,p_db_column_name=>'MIN_FILE_TIME'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Min File Time'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MIN_FILE_TIME#</span>'
,p_column_type=>'STRING'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30269513529505041)
,p_db_column_name=>'MAX_FILE_TIME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Max File Time'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MAX_FILE_TIME#</span>'
,p_column_type=>'STRING'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30269619919505042)
,p_db_column_name=>'MIN_FILE_ID'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Min File Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MIN_FILE_ID#</span>'
,p_column_type=>'STRING'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30269743136505043)
,p_db_column_name=>'MAX_FILE_ID'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Max File Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MAX_FILE_ID#</span>'
,p_column_type=>'STRING'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30269898920505044)
,p_db_column_name=>'NUM_FILES'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Num Files'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30270008621505045)
,p_db_column_name=>'NUM_ROWS'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Num Rows'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30270061723505046)
,p_db_column_name=>'AVG_COST_DAY'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Avg Cost Day'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30270128705505047)
,p_db_column_name=>'MAX_COST_DAY'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Max Cost Day'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30270220243505048)
,p_db_column_name=>'NUM_FULL_DAYS'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Num Full Days'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33592709343868054)
,p_db_column_name=>'SUB_TENANTS'
,p_display_order=>110
,p_column_identifier=>'M'
,p_column_label=>'Sub Tenants'
,p_column_type=>'NUMBER'
,p_column_alignment=>'CENTER'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30270385152505049)
,p_db_column_name=>'LAST_LOAD'
,p_display_order=>120
,p_column_identifier=>'K'
,p_column_label=>'Last Load'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LAST_LOAD#</span>'
,p_column_type=>'STRING'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(30270415207505050)
,p_db_column_name=>'AGENT_VERSION'
,p_display_order=>130
,p_column_identifier=>'L'
,p_column_label=>'Agent Version'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(30490528094276362)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_type=>'REPORT'
,p_report_alias=>'135723'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:MIN_FILE_TIME:MAX_FILE_TIME:MIN_FILE_ID:MAX_FILE_ID:NUM_FILES:NUM_ROWS:AVG_COST_DAY:MAX_COST_DAY:NUM_FULL_DAYS:SUB_TENANTS:LAST_LOAD:AGENT_VERSION:'
,p_sum_columns_on_break=>'NUM_ROWS:NUM_FILES'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(31106943707535959)
,p_plug_name=>'Cost Summary Last 7 Days'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'	tenant_name, ',
'	day7, ',
'	day6, ',
'	day5, ',
'	day4, ',
'	day3, ',
'	day2, ',
'	day1, ',
'	greatest(day1,day2,day3,day4,day5,day6,day7)*365 year,',
'	case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7)) = trunc(day1) then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day1_color,',
'	case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7)) = trunc(day2) then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day2_color,',
'	case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7)) = trunc(day3) then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day3_color,',
'	case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7)) = trunc(day4) then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day4_color,',
'	case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7)) = trunc(day5) then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day5_color,',
'	case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7)) = trunc(day6) then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day6_color,',
'	case when trunc(greatest(day1,day2,day3,day4,day5,day6,day7)) = trunc(day7) then ''background-color:#CCFFCC;font-weight:bold;'' else ''background-color:#FFFFFF'' END as day7_color',
'from',
'(',
'    select ',
'        tenant_name,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-7) then COST_MY_COST else 0 end) DAY7,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-6) then COST_MY_COST else 0 end) DAY6,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-5) then COST_MY_COST else 0 end) DAY5,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-4) then COST_MY_COST else 0 end) DAY4,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-3) then COST_MY_COST else 0 end) DAY3,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-2) then COST_MY_COST else 0 end) DAY2,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-1) then COST_MY_COST else 0 end) DAY1,',
'        sum(case when trunc(USAGE_INTERVAL_START) = trunc(sysdate-4) then COST_MY_COST else 0 end)*365 YEAR3 ',
'    from oci_cost_stats',
'    where ',
'        tenant_name like ''%'' and',
'        USAGE_INTERVAL_START > trunc(sysdate-8)',
'    group by tenant_name',
')',
'order by 1'))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>8.5
,p_prn_height=>11
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(31107185986535961)
,p_show_nulls_as=>'-'
,p_show_search_bar=>'N'
,p_lazy_loading=>true
,p_show_detail_link=>'N'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>14188875057270029
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(31107258445535962)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(31107366766535963)
,p_db_column_name=>'DAY7'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'&P6_DAY7.'
,p_column_html_expression=>'<span style="#DAY7_COLOR#">#DAY7#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(31107475844535964)
,p_db_column_name=>'DAY6'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'&P6_DAY6.'
,p_column_html_expression=>'<span  style="#DAY6_COLOR#">#DAY6#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(31107512997535965)
,p_db_column_name=>'DAY5'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'&P6_DAY5.'
,p_column_html_expression=>'<span  style="#DAY5_COLOR#">#DAY5#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(31107628972535966)
,p_db_column_name=>'DAY4'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'&P6_DAY4.'
,p_column_html_expression=>'<span style="#DAY4_COLOR#">#DAY4#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(31107740566535967)
,p_db_column_name=>'DAY3'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'&P6_DAY3.'
,p_column_html_expression=>'<span  style="#DAY3_COLOR#">#DAY3#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(31107871937535968)
,p_db_column_name=>'DAY2'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'&P6_DAY2.'
,p_column_html_expression=>'<span style="#DAY2_COLOR#">#DAY2#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(31107929870535969)
,p_db_column_name=>'DAY1'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'&P6_DAY1.'
,p_column_html_expression=>'<span style="#DAY1_COLOR#">#DAY1#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33590726688868035)
,p_db_column_name=>'YEAR'
,p_display_order=>90
,p_column_identifier=>'J'
,p_column_label=>'Year Estimation'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990'
,p_static_id=>'rep_col_grey'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33279338219756267)
,p_db_column_name=>'DAY1_COLOR'
,p_display_order=>100
,p_column_identifier=>'K'
,p_column_label=>'Day1 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33279458297756268)
,p_db_column_name=>'DAY2_COLOR'
,p_display_order=>110
,p_column_identifier=>'L'
,p_column_label=>'Day2 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33279543669756269)
,p_db_column_name=>'DAY3_COLOR'
,p_display_order=>120
,p_column_identifier=>'M'
,p_column_label=>'Day3 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33279705964756270)
,p_db_column_name=>'DAY4_COLOR'
,p_display_order=>130
,p_column_identifier=>'N'
,p_column_label=>'Day4 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33279810759756271)
,p_db_column_name=>'DAY5_COLOR'
,p_display_order=>140
,p_column_identifier=>'O'
,p_column_label=>'Day5 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33279851307756272)
,p_db_column_name=>'DAY6_COLOR'
,p_display_order=>150
,p_column_identifier=>'P'
,p_column_label=>'Day6 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33279950160756273)
,p_db_column_name=>'DAY7_COLOR'
,p_display_order=>160
,p_column_identifier=>'Q'
,p_column_label=>'Day7 Color'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(33587868507823051)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'166696'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:DAY7:DAY6:DAY5:DAY4:DAY3:DAY2:DAY1:YEAR::DAY1_COLOR:DAY2_COLOR:DAY3_COLOR:DAY4_COLOR:DAY5_COLOR:DAY6_COLOR:DAY7_COLOR'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(33592717071868055)
,p_plug_name=>'Storage Statistics'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>90
,p_plug_grid_column_span=>3
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select',
'    ''Cost Tables and Indexes'' area,',
'    to_char(sum(bytes/1024/1024/1024),''999,999.99'') GB',
'from',
'    user_segments',
'where segment_name like ''%OCI_COST%''',
'union all',
'select',
'    ''Usage Tables and Indexes'' object_name,',
'    to_char(sum(bytes/1024/1024/1024),''999,999.99'') GB',
'from',
'    user_segments',
'where segment_name like ''%OCI_USAGE%''',
'union all',
'select',
'    ''Other Objects'' object_name,',
'    to_char(sum(bytes/1024/1024/1024),''999,999.99'') GB',
'from',
'    user_segments',
'where segment_name not like ''BIN%'' and segment_name not like ''%OCI_USAGE%'' and segment_name not like ''%OCI_COST%''',
'union all',
'select',
'    ''Total All Objects'' object_name,',
'    to_char(sum(bytes/1024/1024/1024),''999,999.99'') GB',
'from',
'    user_segments',
'where segment_name not like ''BIN%''',
''))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(33593006665868057)
,p_show_nulls_as=>'-'
,p_show_search_bar=>'N'
,p_lazy_loading=>true
,p_show_detail_link=>'N'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>16674695736602125
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33594201857868069)
,p_db_column_name=>'AREA'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Area'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33594227275868070)
,p_db_column_name=>'GB'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'GB'
,p_column_type=>'STRING'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(39732593454613747)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'228143'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'AREA:GB'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28126427139902549)
,p_name=>'P6_MONTH1'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(28126375548902548)
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28126582405902550)
,p_name=>'P6_MONTH2'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_imp.id(28126375548902548)
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28126662698902551)
,p_name=>'P6_MONTH3'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_imp.id(28126375548902548)
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28126800580902552)
,p_name=>'P6_MONTH4'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_imp.id(28126375548902548)
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28126844370902553)
,p_name=>'P6_MONTH5'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_imp.id(28126375548902548)
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(28126983134902554)
,p_name=>'P6_MONTH6'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_imp.id(28126375548902548)
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(29473513010579282)
,p_name=>'P6_USAGE_SIZE'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(29471126599579258)
,p_use_cache_before_default=>'NO'
,p_source=>'select to_char(sum(bytes/1024/1024/1024),''999,990.9'') ||'' GB'' GB from user_segments where segment_name=''OCI_USAGE'''
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
end;
/
begin
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(30268889766505034)
,p_name=>'P6_COST_SIZE'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(29549024074307531)
,p_use_cache_before_default=>'NO'
,p_source=>'select to_char(sum(bytes/1024/1024/1024),''999,990.9'') ||'' GB'' GB from user_segments where segment_name=''OCI_COST'''
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(31108056882535970)
,p_name=>'P6_DAY1'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(31106943707535959)
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(31108283639535972)
,p_name=>'P6_DAY2'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_imp.id(31106943707535959)
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(31108421447535974)
,p_name=>'P6_DAY3'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_imp.id(31106943707535959)
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(31108525946535975)
,p_name=>'P6_DAY4'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_imp.id(31106943707535959)
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(31108625351535976)
,p_name=>'P6_DAY5'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_imp.id(31106943707535959)
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(31108798801535977)
,p_name=>'P6_DAY6'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_imp.id(31106943707535959)
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(31108878515535978)
,p_name=>'P6_DAY7'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_imp.id(31106943707535959)
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(49534032328274071)
,p_name=>'P6_DAY8'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_imp.id(31106943707535959)
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(49534124414274072)
,p_name=>'P6_DAY9'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_imp.id(31106943707535959)
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(49534298060274073)
,p_name=>'P6_DAY10'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_imp.id(31106943707535959)
,p_display_as=>'NATIVE_HIDDEN'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(31108172644535971)
,p_computation_sequence=>10
,p_computation_item=>'P6_DAY1'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select to_char(trunc(sysdate-1),''DD-MON-YYYY'') val from dual'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(31108340955535973)
,p_computation_sequence=>20
,p_computation_item=>'P6_DAY2'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select to_char(trunc(sysdate-2),''DD-MON-YYYY'') val from dual'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(31108976555535979)
,p_computation_sequence=>30
,p_computation_item=>'P6_DAY3'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select to_char(trunc(sysdate-3),''DD-MON-YYYY'') val from dual'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(31109084921535980)
,p_computation_sequence=>40
,p_computation_item=>'P6_DAY4'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select to_char(trunc(sysdate-4),''DD-MON-YYYY'') val from dual'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(31109171295535981)
,p_computation_sequence=>50
,p_computation_item=>'P6_DAY5'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select to_char(trunc(sysdate-5),''DD-MON-YYYY'') val from dual'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(31109307020535982)
,p_computation_sequence=>60
,p_computation_item=>'P6_DAY6'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select to_char(trunc(sysdate-6),''DD-MON-YYYY'') val from dual'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(33590597940868033)
,p_computation_sequence=>70
,p_computation_item=>'P6_DAY7'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select to_char(trunc(sysdate-7),''DD-MON-YYYY'') val from dual'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(28128847626902573)
,p_computation_sequence=>80
,p_computation_item=>'P6_MONTH1'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select to_char(add_months(trunc(sysdate,''MM''),0),''MON-YYYY'') val from dual'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(28129005472902574)
,p_computation_sequence=>90
,p_computation_item=>'P6_MONTH2'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select to_char(add_months(trunc(sysdate,''MM''),-1),''MON-YYYY'') val from dual'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(28129056293902575)
,p_computation_sequence=>100
,p_computation_item=>'P6_MONTH3'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select to_char(add_months(trunc(sysdate,''MM''),-2),''MON-YYYY'') val from dual'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(28129162749902576)
,p_computation_sequence=>110
,p_computation_item=>'P6_MONTH4'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select to_char(add_months(trunc(sysdate,''MM''),-3),''MON-YYYY'') val from dual'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(28129251587902577)
,p_computation_sequence=>120
,p_computation_item=>'P6_MONTH5'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select to_char(add_months(trunc(sysdate,''MM''),-4),''MON-YYYY'') val from dual'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(28129349713902578)
,p_computation_sequence=>130
,p_computation_item=>'P6_MONTH6'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select to_char(add_months(trunc(sysdate,''MM''),-5),''MON-YYYY'') val from dual'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(49534403071274074)
,p_computation_sequence=>140
,p_computation_item=>'P6_DAY8'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select to_char(trunc(sysdate-8),''DD-MON-YYYY'') val from dual'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(49534462353274075)
,p_computation_sequence=>150
,p_computation_item=>'P6_DAY9'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select to_char(trunc(sysdate-9),''DD-MON-YYYY'') val from dual'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(49534554856274076)
,p_computation_sequence=>160
,p_computation_item=>'P6_DAY10'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select to_char(trunc(sysdate-10),''DD-MON-YYYY'') val from dual'
);
end;
/
prompt --application/pages/page_00007
begin
wwv_flow_imp_page.create_page(
 p_id=>7
,p_name=>'Rate Card'
,p_step_title=>'Rate Card'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'OFF'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.a-IRR-table tr td[headers*="rep_col_grey"]',
'{',
'    background-color: #efffff;',
'}',
'.a-IRR-table tr td[headers*="rep_col_blue"]',
'{',
'    background-color: #ffefff;',
'}',
'',
''))
,p_page_template_options=>'#DEFAULT#'
,p_page_component_map=>'18'
,p_last_updated_by=>'USAGE'
,p_last_upd_yyyymmddhh24miss=>'20211025151827'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(89287622627078316)
,p_plug_name=>'Filter'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader js-removeLandmark:t-Region--accent12:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_grid_column_span=>12
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(100079913049426272)
,p_plug_name=>'ShowGraphs'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader js-removeLandmark:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(78709489619118124)
,p_plug_name=>'Rate Card Report'
,p_parent_plug_id=>wwv_flow_imp.id(100079913049426272)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>60
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT',
'	TENANT_NAME               TENANT,',
'    TENANT_ID                 TENANT_ID,',
'    COST_PRODUCT_SKU          SKU,',
'    replace(PRD_DESCRIPTION,COST_PRODUCT_SKU||'' - '','''')  PRODUCT,',
'    COST_CURRENCY_CODE        CURRENCY,',
'    COST_UNIT_PRICE           COST_PRICE,',
'    COST_LAST_UPDATE,',
'	RATE_DESCRIPTION,',
'    ROUND(RATE_MONTHLY_FLEX_PRICE,4) RATE_MONTHLY,',
'	CASE WHEN RATE_MONTHLY_FLEX_PRICE > 0  AND RATE_MONTHLY_FLEX_PRICE IS NOT NULL and COST_UNIT_PRICE>0 THEN',
'	    ROUND((RATE_MONTHLY_FLEX_PRICE - COST_UNIT_PRICE )/RATE_MONTHLY_FLEX_PRICE * 100,1)',
'	ELSE NULL END PCT_MONTH,',
'	RATE_UPDATE_DATE',
'FROM',
'    OCI_PRICE_LIST',
'where tenant_name=:P7_TENANT_NAME and tenant_id=:P7_TENANT_ID',
'order by cost_product_sku;'))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>8.5
,p_prn_height=>11
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(33276711913756241)
,p_max_row_count=>'1000000'
,p_allow_save_rpt_public=>'Y'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>16358400984490309
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33276830153756242)
,p_db_column_name=>'TENANT'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33276991758756243)
,p_db_column_name=>'SKU'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Sku'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33277064126756244)
,p_db_column_name=>'PRODUCT'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Product'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRODUCT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33277195774756245)
,p_db_column_name=>'CURRENCY'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Currency'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33277270590756246)
,p_db_column_name=>'COST_PRICE'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Cost Price'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D0000'
,p_static_id=>'rep_col_grey'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33277399317756247)
,p_db_column_name=>'COST_LAST_UPDATE'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Cost Last Update'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COST_LAST_UPDATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33277468277756248)
,p_db_column_name=>'RATE_DESCRIPTION'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Rate Full Description'
,p_column_html_expression=>'<span style="white-space:nowrap;">#RATE_DESCRIPTION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33277760778756251)
,p_db_column_name=>'RATE_MONTHLY'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Public Rate'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D0000'
,p_static_id=>'rep_col_grey'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33277850856756252)
,p_db_column_name=>'PCT_MONTH'
,p_display_order=>110
,p_column_identifier=>'K'
,p_column_label=>'% Discount'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G990D00'
,p_static_id=>'rep_col_blue'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(33277951347756253)
,p_db_column_name=>'RATE_UPDATE_DATE'
,p_display_order=>120
,p_column_identifier=>'L'
,p_column_label=>'Rate Update Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#RATE_UPDATE_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29224746192840168)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>130
,p_column_identifier=>'M'
,p_column_label=>'Tenant Id'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(33311099629253972)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'163928'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'SKU:PRODUCT:CURRENCY:RATE_MONTHLY:PCT_MONTH:COST_PRICE:RATE_DESCRIPTION:RATE_UPDATE_DATE:'
);
wwv_flow_imp_page.create_page_button(
 p_id=>wwv_flow_imp.id(40721806645769283)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_imp.id(89287622627078316)
,p_button_name=>'P7_SUBMIT'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--stretch:t-Button--gapTop'
,p_button_template_id=>wwv_flow_imp.id(26739430162954028)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Submit'
,p_grid_new_row=>'N'
,p_grid_new_column=>'Y'
,p_grid_column_span=>2
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(29224565396840166)
,p_name=>'P7_TENANT_ID'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_imp.id(89287622627078316)
,p_prompt=>'Tenant Id'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'select distinct tenant_id o, tenant_id r from  OCI_PRICE_LIST where tenant_name = :P7_TENANT_NAME  order by 1'
,p_lov_cascade_parent_items=>'P7_TENANT_NAME'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(33290722528788180)
,p_name=>'P7_TENANT_NAME'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(89287622627078316)
,p_prompt=>'Tenant Name'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'select distinct tenant_name o, tenant_name r from  OCI_PRICE_LIST order by 1'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Please Choose...'
,p_cHeight=>1
,p_tag_attributes=>'style="background-color:#d0ffff; font-weight:bold"'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(33296698586788195)
,p_computation_sequence=>10
,p_computation_item=>'P7_TENANT_NAME'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>'select tenant_name from oci_cost where rownum=1'
,p_compute_when=>'P7_TENANT_NAME'
,p_compute_when_type=>'ITEM_IS_NULL'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(29224621342840167)
,p_computation_sequence=>10
,p_computation_item=>'P7_TENANT_ID'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>'select min(tenant_id) from  OCI_PRICE_LIST where tenant_name = :P7_TENANT_NAME  '
,p_compute_when=>'P7_TENANT_ID'
,p_compute_when_type=>'ITEM_IS_NULL'
);
end;
/
prompt --application/pages/page_00008
begin
wwv_flow_imp_page.create_page(
 p_id=>8
,p_name=>'Load Status'
,p_alias=>'LOAD-STATUS'
,p_page_mode=>'MODAL'
,p_step_title=>'Load Status'
,p_warn_on_unsaved_changes=>'N'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if ($v("P8_TENANT_NAME") != "") {$("#P8_TENANT_NAME" ).css({"background-color":"#ddffff", "font-weight":"bold"}); }',
'if ($v("P8_FILE_TYPE")   != "") {$("#P8_FILE_TYPE"   ).css({"background-color":"#ddffff", "font-weight":"bold"}); }'))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.a-IRR-table tr td[headers*="rep_col_grey"]',
'{',
'    background-color: #efffff;',
'}',
'.a-IRR-table tr td[headers*="rep_col_blue"]',
'{',
'    background-color: #ffefff;',
'}',
'',
''))
,p_page_template_options=>'#DEFAULT#'
,p_dialog_width=>'1400'
,p_page_component_map=>'18'
,p_last_updated_by=>'ADIZOHAR'
,p_last_upd_yyyymmddhh24miss=>'20230401013116'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(105619921556865454)
,p_plug_name=>'Filter'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader js-removeLandmark:t-Region--accent12:t-Region--scrollBody'
,p_region_attributes=>'style="font-weight:bold"'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_grid_column_span=>12
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(116412211979213410)
,p_plug_name=>'ShowGraphs'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader js-removeLandmark:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(95041788548905262)
,p_plug_name=>'Load Status Report'
,p_parent_plug_id=>wwv_flow_imp.id(116412211979213410)
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>60
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    TENANT_NAME,',
'    FILE_TYPE,',
'    FILE_ID,',
'    FILE_NAME,',
'    FILE_DATE,',
'    FILE_SIZE,',
'    NUM_ROWS,',
'    LOAD_START_TIME,',
'    LOAD_END_TIME,',
'    (LOAD_END_TIME-LOAD_START_TIME)*24*60*60 DURATION,',
'    AGENT_VERSION,',
'    BATCH_ID || '' / '' ||BATCH_TOTAL AS BATCH,',
'    BATCH_TOTAL - BATCH_ID LEFT_IN_BATCH',
'from OCI_LOAD_STATUS',
'where ',
'    (:P8_TENANT_NAME is null or tenant_name=:P8_TENANT_NAME) and ',
'    (:P8_FILE_TYPE is null or FILE_TYPE=:P8_FILE_TYPE)',
'order by load_start_time desc'))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_NOT_ZERO'
,p_plug_display_when_condition=>'P8_ROWS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>8.5
,p_prn_height=>11
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#9bafde'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'normal'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#efefef'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(49609010843543379)
,p_allow_save_rpt_public=>'Y'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>true
,p_show_detail_link=>'N'
,p_show_rows_per_page=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>32690699914277447
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29292042231151164)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'N'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29292139189151165)
,p_db_column_name=>'FILE_TYPE'
,p_display_order=>20
,p_column_identifier=>'O'
,p_column_label=>'File Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FILE_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29292305204151166)
,p_db_column_name=>'FILE_ID'
,p_display_order=>30
,p_column_identifier=>'P'
,p_column_label=>'File Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FILE_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29292388389151167)
,p_db_column_name=>'FILE_NAME'
,p_display_order=>40
,p_column_identifier=>'Q'
,p_column_label=>'File Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FILE_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29292477153151168)
,p_db_column_name=>'FILE_DATE'
,p_display_order=>50
,p_column_identifier=>'R'
,p_column_label=>'File Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FILE_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29292533785151169)
,p_db_column_name=>'FILE_SIZE'
,p_display_order=>60
,p_column_identifier=>'S'
,p_column_label=>'File Size MB'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FILE_SIZE#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29292670055151170)
,p_db_column_name=>'NUM_ROWS'
,p_display_order=>70
,p_column_identifier=>'T'
,p_column_label=>'Num Rows'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NUM_ROWS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29292738632151171)
,p_db_column_name=>'LOAD_START_TIME'
,p_display_order=>80
,p_column_identifier=>'U'
,p_column_label=>'Load Start Time'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOAD_START_TIME#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI:SS'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29292825421151172)
,p_db_column_name=>'LOAD_END_TIME'
,p_display_order=>90
,p_column_identifier=>'V'
,p_column_label=>'Load End Time'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOAD_END_TIME#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI:SS'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29293434355151178)
,p_db_column_name=>'DURATION'
,p_display_order=>100
,p_column_identifier=>'Z'
,p_column_label=>'Duration (Seconds)'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DURATION#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29293043113151174)
,p_db_column_name=>'AGENT_VERSION'
,p_display_order=>110
,p_column_identifier=>'X'
,p_column_label=>'Agent Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AGENT_VERSION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29293156618151175)
,p_db_column_name=>'BATCH'
,p_display_order=>120
,p_column_identifier=>'Y'
,p_column_label=>'Batch'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BATCH#</span>'
,p_column_type=>'STRING'
,p_column_alignment=>'CENTER'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(29293610213151179)
,p_db_column_name=>'LEFT_IN_BATCH'
,p_display_order=>130
,p_column_identifier=>'AA'
,p_column_label=>'Files Left In Batch'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LEFT_IN_BATCH#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_format_mask=>'999G999G999G999G999G999G990'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(49643398559041110)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'163928'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:FILE_TYPE:FILE_DATE:FILE_NAME:FILE_SIZE:NUM_ROWS:LOAD_START_TIME:LOAD_END_TIME:DURATION:LEFT_IN_BATCH:AGENT_VERSION:'
);
wwv_flow_imp_page.create_page_button(
 p_id=>wwv_flow_imp.id(17132437646059053)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_imp.id(105619921556865454)
,p_button_name=>'Refresh'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--large:t-Button--stretch:t-Button--gapTop'
,p_button_template_id=>wwv_flow_imp.id(26739430162954028)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Refresh'
,p_grid_new_row=>'N'
,p_grid_new_column=>'Y'
,p_grid_column_span=>2
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(29293288089151176)
,p_name=>'P8_ROWS'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_imp.id(105619921556865454)
,p_prompt=>'Rows Filtered'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="background-color:#f0f0f0"'
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_grid_column=>11
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
,p_attribute_05=>'PLAIN'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(33251911794053168)
,p_name=>'P8_TENANT_NAME'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(105619921556865454)
,p_prompt=>'Tenant Name'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'select distinct tenant_name o, tenant_name r from  OCI_LOAD_STATUS order by 1'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_cHeight=>1
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'SUBMIT'
,p_attribute_03=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(33252364755053174)
,p_name=>'P8_FILE_TYPE'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_imp.id(105619921556865454)
,p_prompt=>'File Type'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:COST;COST,USAGE;USAGE'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'All'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'SUBMIT'
,p_attribute_03=>'Y'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(29293350993151177)
,p_computation_sequence=>10
,p_computation_item=>'P8_ROWS'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'   count(*)',
'from OCI_LOAD_STATUS',
'where ',
'    (:P8_TENANT_NAME is null or tenant_name=:P8_TENANT_NAME) and ',
'    (:P8_FILE_TYPE is null or FILE_TYPE=:P8_FILE_TYPE)',
''))
);
end;
/
prompt --application/pages/page_00011
begin
wwv_flow_imp_page.create_page(
 p_id=>11
,p_name=>'ShowOCI Data'
,p_alias=>'SHOWOCI-DATA'
,p_step_title=>'ShowOCI Data'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>'$(function() { $("td[headers=repcol]").attr("nowrap","nowrap"); }); '
,p_inline_css=>'#report .t-fht-thead{ overflow: auto !important; }'
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'C'
,p_page_component_map=>'18'
,p_last_updated_by=>'ADIZOHAR'
,p_last_upd_yyyymmddhh24miss=>'20230331195524'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(7416020618752429)
,p_plug_name=>'OCI_SHOWOCI_OAC'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>200
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_OAC'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_OAC))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_OAC'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_OAC'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(7416136827752430)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>7416136827752430
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(7416242606752431)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(7416327578752432)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(7416476637752433)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(7416565454752434)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(7416642216752435)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(7416795547752436)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10641440024656404)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>240
,p_column_identifier=>'I'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10641555001656405)
,p_db_column_name=>'FEATURE_SET'
,p_display_order=>250
,p_column_identifier=>'J'
,p_column_label=>'Feature Set'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FEATURE_SET#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10641671982656406)
,p_db_column_name=>'LICENSE_TYPE'
,p_display_order=>260
,p_column_identifier=>'K'
,p_column_label=>'License Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LICENSE_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10641794946656407)
,p_db_column_name=>'CAPACITY_TYPE'
,p_display_order=>270
,p_column_identifier=>'L'
,p_column_label=>'Capacity Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CAPACITY_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10641896994656408)
,p_db_column_name=>'CAPACITY_VALUE'
,p_display_order=>280
,p_column_identifier=>'M'
,p_column_label=>'Capacity Value'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CAPACITY_VALUE#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10641928987656409)
,p_db_column_name=>'EMAIL_NOTIFICATION'
,p_display_order=>290
,p_column_identifier=>'N'
,p_column_label=>'Email Notification'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EMAIL_NOTIFICATION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10642041376656410)
,p_db_column_name=>'SERVICE_URL'
,p_display_order=>300
,p_column_identifier=>'O'
,p_column_label=>'Service Url'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SERVICE_URL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10642162430656411)
,p_db_column_name=>'VANITY_DOMAIN'
,p_display_order=>310
,p_column_identifier=>'P'
,p_column_label=>'Vanity Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VANITY_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10642202469656412)
,p_db_column_name=>'VANITY_URL'
,p_display_order=>320
,p_column_identifier=>'Q'
,p_column_label=>'Vanity Url'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VANITY_URL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10642314721656413)
,p_db_column_name=>'NETWORK_ENDPOINT_DETAILS'
,p_display_order=>330
,p_column_identifier=>'R'
,p_column_label=>'Network Endpoint Details'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NETWORK_ENDPOINT_DETAILS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10642657015656416)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>340
,p_column_identifier=>'U'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10642444310656414)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>350
,p_column_identifier=>'S'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10642583835656415)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>360
,p_column_identifier=>'T'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10641276023656402)
,p_db_column_name=>'ID'
,p_display_order=>380
,p_column_identifier=>'G'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10641304781656403)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>390
,p_column_identifier=>'H'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10652802066689595)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'106529'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_PATH:COMPARTMENT_NAME:NAME:LIFECYCLE_STATE:FEATURE_SET:LICENSE_TYPE:CAPACITY_TYPE:CAPACITY_VALUE:EMAIL_NOTIFICATION:SERVICE_URL:VANITY_DOMAIN:VANITY_URL:NETWORK_ENDPOINT_DETAILS:TIME_CREATED:DEFINED_TAGS:'
||'FREEFORM_TAGS:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(8674067451638620)
,p_plug_name=>'Filter'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader js-removeLandmark:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_NOT_ZERO'
,p_plug_display_when_condition=>'P11_ROWS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(8674492947638624)
,p_plug_name=>'OCI_RESOURCES'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_RESOURCES'
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_RESOURCES'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_RESOURCES'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(8674502146638625)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>8674502146638625
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12834204518172405)
,p_db_column_name=>'RESOURCE_ID'
,p_display_order=>10
,p_column_identifier=>'AK'
,p_column_label=>'Resource Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#RESOURCE_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12834331430172406)
,p_db_column_name=>'RESOURCE_NAME'
,p_display_order=>20
,p_column_identifier=>'AL'
,p_column_label=>'Resource Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#RESOURCE_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12834485728172407)
,p_db_column_name=>'SOURCE_TENANT'
,p_display_order=>30
,p_column_identifier=>'AM'
,p_column_label=>'Source Tenant'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SOURCE_TENANT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12834592449172408)
,p_db_column_name=>'SOURCE_TABLE'
,p_display_order=>40
,p_column_identifier=>'AN'
,p_column_label=>'Source Table'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SOURCE_TABLE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12834671678172409)
,p_db_column_name=>'LAST_LOADED'
,p_display_order=>50
,p_column_identifier=>'AO'
,p_column_label=>'Last Loaded'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LAST_LOADED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10468742661332798)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'104688'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'RESOURCE_ID:RESOURCE_NAME:SOURCE_TABLE:SOURCE_TENANT:LAST_LOADED:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10444329146278709)
,p_plug_name=>'OCI_SHOWOCI_BLOCK_VOLUMES'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>70
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select TENANT_NAME,',
'       TENANT_ID,',
'       ID,',
'       REGION_NAME,',
'       AVAILABILITY_DOMAIN,',
'       COMPARTMENT_PATH,',
'       COMPARTMENT_NAME,',
'       DISPLAY_NAME,',
'       SIZE_GB,',
'       BACKUP_POLICY,',
'       VPUS_PER_GB,',
'       VOLUME_GROUP_NAME,',
'       INSTANCE_NAME,',
'       INSTANCE_ID,',
'       DEFINED_TAGS,',
'       FREEFORM_TAGS,',
'       EXTRACT_DATE',
'  from OCI_SHOWOCI_BLOCK_VOLUMES',
'  where (:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_BLOCK_VOLUMES))  '))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_BLOCK_VOLUMES'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_BLOCK_VOLUMES'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10444429175278710)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10444429175278710
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10444530650278711)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10444687582278712)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10444890241278714)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10444976594278715)
,p_db_column_name=>'AVAILABILITY_DOMAIN'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Availability Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABILITY_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10445158881278717)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>70
,p_column_identifier=>'F'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10445245634278718)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>80
,p_column_identifier=>'G'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10447941234278745)
,p_db_column_name=>'DISPLAY_NAME'
,p_display_order=>90
,p_column_identifier=>'L'
,p_column_label=>'Display Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DISPLAY_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10448064815278746)
,p_db_column_name=>'SIZE_GB'
,p_display_order=>100
,p_column_identifier=>'M'
,p_column_label=>'Size Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SIZE_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10448248389278748)
,p_db_column_name=>'VPUS_PER_GB'
,p_display_order=>110
,p_column_identifier=>'O'
,p_column_label=>'Vpus Per Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VPUS_PER_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10448315682278749)
,p_db_column_name=>'VOLUME_GROUP_NAME'
,p_display_order=>120
,p_column_identifier=>'P'
,p_column_label=>'Volume Group Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VOLUME_GROUP_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10444757837278713)
,p_db_column_name=>'INSTANCE_ID'
,p_display_order=>130
,p_column_identifier=>'C'
,p_column_label=>'Instance Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INSTANCE_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10448446919278750)
,p_db_column_name=>'INSTANCE_NAME'
,p_display_order=>140
,p_column_identifier=>'Q'
,p_column_label=>'Instance Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INSTANCE_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10448127346278747)
,p_db_column_name=>'BACKUP_POLICY'
,p_display_order=>160
,p_column_identifier=>'N'
,p_column_label=>'Backup Policy'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BACKUP_POLICY#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10447534820278741)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>170
,p_column_identifier=>'H'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10447652512278742)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>180
,p_column_identifier=>'I'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10447874050278744)
,p_db_column_name=>'ID'
,p_display_order=>190
,p_column_identifier=>'K'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10447715558278743)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>200
,p_column_identifier=>'J'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10476145090412582)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'104762'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:AVAILABILITY_DOMAIN:COMPARTMENT_PATH:COMPARTMENT_NAME:DISPLAY_NAME:SIZE_GB:VPUS_PER_GB:VOLUME_GROUP_NAME:INSTANCE_ID:INSTANCE_NAME:BACKUP_POLICY:DEFINED_TAGS:FREEFORM_TAGS:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10476990576419401)
,p_plug_name=>'OCI_SHOWOCI_DATABASE_ALL'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>80
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select TENANT_NAME,',
'       TENANT_ID,',
'       ID,',
'       REGION_NAME,',
'       AVAILABILITY_DOMAIN,',
'       COMPARTMENT_PATH,',
'       COMPARTMENT_NAME,',
'       STATUS,',
'       TYPE,',
'       NAME,',
'       VM_NAME,',
'       SHAPE,',
'       GI_VERSION,',
'       GI_VERSION_DATE,',
'       SYSTEM_VERSION,',
'       SYSTEM_VERSION_DATE,',
'       DATABASE_EDITION,',
'       LICENSE_MODEL,',
'       DATA_SUBNET,',
'       BACKUP_SUBNET,',
'       SCAN_IPS,',
'       VIP_IPS,',
'       CLUSTER_NAME,',
'       DOMAIN,',
'       DB_NODES,',
'       DB_HOMES,',
'       MAINTENANCE_WINDOW,',
'       LAST_MAINTENANCE_RUN,',
'       NEXT_MAINTENANCE_RUN,',
'       INFRA_ID,',
'       CPU_CORE_COUNT,',
'       SHAPE_OCPUS,',
'       DB_STORAGE_GB,',
'       MEMORY_GB,',
'       LOCAL_STORAGE_TB,',
'       NODE_COUNT,',
'       DEFINED_TAGS,',
'       FREEFORM_TAGS,',
'       TIME_CREATED,',
'       EXTRACT_DATE',
'  from OCI_SHOWOCI_DATABASE_ALL',
'  where (:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DATABASE_ALL))  '))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DATABASE_ALL'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DATABASE_ALL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10477007870419402)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10477007870419402
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10477109573419403)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10477256734419404)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10477382532419405)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10477418317419406)
,p_db_column_name=>'AVAILABILITY_DOMAIN'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Availability Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABILITY_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10477561562419407)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10477603580419408)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10478825863419420)
,p_db_column_name=>'STATUS'
,p_display_order=>180
,p_column_identifier=>'K'
,p_column_label=>'Status'
,p_column_html_expression=>'<span style="white-space:nowrap;">#STATUS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10478902291419421)
,p_db_column_name=>'TYPE'
,p_display_order=>190
,p_column_identifier=>'L'
,p_column_label=>'Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10479080832419422)
,p_db_column_name=>'NAME'
,p_display_order=>200
,p_column_identifier=>'M'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10479181277419423)
,p_db_column_name=>'VM_NAME'
,p_display_order=>210
,p_column_identifier=>'N'
,p_column_label=>'Vm Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VM_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10480380247419435)
,p_db_column_name=>'CLUSTER_NAME'
,p_display_order=>220
,p_column_identifier=>'Z'
,p_column_label=>'Cluster Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CLUSTER_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10479288247419424)
,p_db_column_name=>'SHAPE'
,p_display_order=>230
,p_column_identifier=>'O'
,p_column_label=>'Shape'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10481113795419443)
,p_db_column_name=>'CPU_CORE_COUNT'
,p_display_order=>240
,p_column_identifier=>'AH'
,p_column_label=>'Cpu Core Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CPU_CORE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10481684256419448)
,p_db_column_name=>'NODE_COUNT'
,p_display_order=>250
,p_column_identifier=>'AM'
,p_column_label=>'Node Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NODE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10481353386419445)
,p_db_column_name=>'DB_STORAGE_GB'
,p_display_order=>260
,p_column_identifier=>'AJ'
,p_column_label=>'Db Storage Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_STORAGE_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10479344448419425)
,p_db_column_name=>'GI_VERSION'
,p_display_order=>270
,p_column_identifier=>'P'
,p_column_label=>'Gi Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GI_VERSION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10479455510419426)
,p_db_column_name=>'GI_VERSION_DATE'
,p_display_order=>280
,p_column_identifier=>'Q'
,p_column_label=>'Gi Version Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GI_VERSION_DATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10479582182419427)
,p_db_column_name=>'SYSTEM_VERSION'
,p_display_order=>290
,p_column_identifier=>'R'
,p_column_label=>'System Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SYSTEM_VERSION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10479664729419428)
,p_db_column_name=>'SYSTEM_VERSION_DATE'
,p_display_order=>300
,p_column_identifier=>'S'
,p_column_label=>'System Version Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SYSTEM_VERSION_DATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10479712156419429)
,p_db_column_name=>'DATABASE_EDITION'
,p_display_order=>310
,p_column_identifier=>'T'
,p_column_label=>'Database Edition'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATABASE_EDITION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10479844076419430)
,p_db_column_name=>'LICENSE_MODEL'
,p_display_order=>320
,p_column_identifier=>'U'
,p_column_label=>'License Model'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LICENSE_MODEL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10479919532419431)
,p_db_column_name=>'DATA_SUBNET'
,p_display_order=>330
,p_column_identifier=>'V'
,p_column_label=>'Data Subnet'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATA_SUBNET#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10480038248419432)
,p_db_column_name=>'BACKUP_SUBNET'
,p_display_order=>340
,p_column_identifier=>'W'
,p_column_label=>'Backup Subnet'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BACKUP_SUBNET#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10480110356419433)
,p_db_column_name=>'SCAN_IPS'
,p_display_order=>350
,p_column_identifier=>'X'
,p_column_label=>'Scan Ips'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SCAN_IPS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10480207911419434)
,p_db_column_name=>'VIP_IPS'
,p_display_order=>360
,p_column_identifier=>'Y'
,p_column_label=>'Vip Ips'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VIP_IPS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10480469051419436)
,p_db_column_name=>'DOMAIN'
,p_display_order=>370
,p_column_identifier=>'AA'
,p_column_label=>'Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DOMAIN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10480523679419437)
,p_db_column_name=>'DB_NODES'
,p_display_order=>380
,p_column_identifier=>'AB'
,p_column_label=>'Db Nodes'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_NODES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10480617425419438)
,p_db_column_name=>'DB_HOMES'
,p_display_order=>390
,p_column_identifier=>'AC'
,p_column_label=>'Db Homes'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_HOMES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10480720663419439)
,p_db_column_name=>'MAINTENANCE_WINDOW'
,p_display_order=>400
,p_column_identifier=>'AD'
,p_column_label=>'Maintenance Window'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MAINTENANCE_WINDOW#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10480852566419440)
,p_db_column_name=>'LAST_MAINTENANCE_RUN'
,p_display_order=>410
,p_column_identifier=>'AE'
,p_column_label=>'Last Maintenance Run'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LAST_MAINTENANCE_RUN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10480969283419441)
,p_db_column_name=>'NEXT_MAINTENANCE_RUN'
,p_display_order=>420
,p_column_identifier=>'AF'
,p_column_label=>'Next Maintenance Run'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NEXT_MAINTENANCE_RUN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10481220559419444)
,p_db_column_name=>'SHAPE_OCPUS'
,p_display_order=>430
,p_column_identifier=>'AI'
,p_column_label=>'Shape Ocpus'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE_OCPUS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10481401098419446)
,p_db_column_name=>'MEMORY_GB'
,p_display_order=>450
,p_column_identifier=>'AK'
,p_column_label=>'Memory Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MEMORY_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10481580489419447)
,p_db_column_name=>'LOCAL_STORAGE_TB'
,p_display_order=>460
,p_column_identifier=>'AL'
,p_column_label=>'Local Storage Tb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOCAL_STORAGE_TB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10478473113419416)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>470
,p_column_identifier=>'G'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10478575815419417)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>480
,p_column_identifier=>'H'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10481729124419449)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>490
,p_column_identifier=>'AN'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10481049089419442)
,p_db_column_name=>'INFRA_ID'
,p_display_order=>500
,p_column_identifier=>'AG'
,p_column_label=>'Infra Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INFRA_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10478604679419418)
,p_db_column_name=>'ID'
,p_display_order=>510
,p_column_identifier=>'I'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10478728480419419)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>520
,p_column_identifier=>'J'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10494378692456341)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'104944'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:AVAILABILITY_DOMAIN:COMPARTMENT_PATH:COMPARTMENT_NAME:STATUS:TYPE:NAME:VM_NAME:CLUSTER_NAME:SHAPE:CPU_CORE_COUNT:NODE_COUNT:DB_STORAGE_GB:GI_VERSION:GI_VERSION_DATE:SYSTEM_VERSION:SYSTEM_VERSION_DATE:DATABASE_EDITION'
||':LICENSE_MODEL:DATA_SUBNET:BACKUP_SUBNET:SCAN_IPS:VIP_IPS:DOMAIN:DB_NODES:DB_HOMES:MAINTENANCE_WINDOW:LAST_MAINTENANCE_RUN:NEXT_MAINTENANCE_RUN:SHAPE_OCPUS:MEMORY_GB:LOCAL_STORAGE_TB:DEFINED_TAGS:FREEFORM_TAGS:TIME_CREATED:INFRA_ID:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10481809710419450)
,p_plug_name=>'OCI_SHOWOCI_DATABASES_ADB'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>150
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_DATABASES_ADB'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DATABASES_ADB)) '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DATABASES_ADB'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DATABASES_ADB'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10495394650467101)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10495394650467101
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10495481512467102)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10495500575467103)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10495689642467104)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10495807784467106)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'D'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10495928329467107)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>60
,p_column_identifier=>'E'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10496038175467108)
,p_db_column_name=>'STATUS'
,p_display_order=>70
,p_column_identifier=>'F'
,p_column_label=>'Status'
,p_column_html_expression=>'<span style="white-space:nowrap;">#STATUS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10496189801467109)
,p_db_column_name=>'TYPE'
,p_display_order=>80
,p_column_identifier=>'G'
,p_column_label=>'Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TYPE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10496298392467110)
,p_db_column_name=>'NAME'
,p_display_order=>90
,p_column_identifier=>'H'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10496412272467112)
,p_db_column_name=>'CLUSTER_NAME'
,p_display_order=>110
,p_column_identifier=>'I'
,p_column_label=>'Cluster Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CLUSTER_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10496685321467114)
,p_db_column_name=>'CPU_CORE_COUNT'
,p_display_order=>130
,p_column_identifier=>'J'
,p_column_label=>'Cpu Core Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CPU_CORE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10499451922467142)
,p_db_column_name=>'INFRA_NAME'
,p_display_order=>410
,p_column_identifier=>'P'
,p_column_label=>'Infra Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INFRA_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10499551776467143)
,p_db_column_name=>'CONTAINER_NAME'
,p_display_order=>420
,p_column_identifier=>'Q'
,p_column_label=>'Container Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CONTAINER_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10499668090467144)
,p_db_column_name=>'DB_VERSION'
,p_display_order=>430
,p_column_identifier=>'R'
,p_column_label=>'Db Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_VERSION#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10499709362467145)
,p_db_column_name=>'DB_NAME'
,p_display_order=>440
,p_column_identifier=>'S'
,p_column_label=>'Db Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10499814645467146)
,p_db_column_name=>'VERSION_LICENSE_MODEL'
,p_display_order=>450
,p_column_identifier=>'T'
,p_column_label=>'Version License Model'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VERSION_LICENSE_MODEL#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10499944748467147)
,p_db_column_name=>'DATA_SAFE_STATUS'
,p_display_order=>460
,p_column_identifier=>'U'
,p_column_label=>'Data Safe Status'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATA_SAFE_STATUS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10500005735467148)
,p_db_column_name=>'TIME_MAINTENANCE_BEGIN'
,p_display_order=>470
,p_column_identifier=>'V'
,p_column_label=>'Time Maintenance Begin'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_MAINTENANCE_BEGIN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10500198794467149)
,p_db_column_name=>'TIME_MAINTENANCE_END'
,p_display_order=>480
,p_column_identifier=>'W'
,p_column_label=>'Time Maintenance End'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_MAINTENANCE_END#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10500215503467150)
,p_db_column_name=>'SUBNET_ID'
,p_display_order=>490
,p_column_identifier=>'X'
,p_column_label=>'Subnet Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10500344666468501)
,p_db_column_name=>'SUBNET_NAME'
,p_display_order=>500
,p_column_identifier=>'Y'
,p_column_label=>'Subnet Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10500499800468502)
,p_db_column_name=>'PRIVATE_ENDPOINT'
,p_display_order=>510
,p_column_identifier=>'Z'
,p_column_label=>'Private Endpoint'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRIVATE_ENDPOINT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10500595681468503)
,p_db_column_name=>'PRIVATE_ENDPOINT_LABEL'
,p_display_order=>520
,p_column_identifier=>'AA'
,p_column_label=>'Private Endpoint Label'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRIVATE_ENDPOINT_LABEL#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10500656904468504)
,p_db_column_name=>'NSG_IDS'
,p_display_order=>530
,p_column_identifier=>'AB'
,p_column_label=>'Nsg Ids'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NSG_IDS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10500764317468505)
,p_db_column_name=>'NSG_NAMES'
,p_display_order=>540
,p_column_identifier=>'AC'
,p_column_label=>'Nsg Names'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NSG_NAMES#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10500834313468506)
,p_db_column_name=>'WHITELISTED_IPS'
,p_display_order=>550
,p_column_identifier=>'AD'
,p_column_label=>'Whitelisted Ips'
,p_column_html_expression=>'<span style="white-space:nowrap;">#WHITELISTED_IPS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10500925283468507)
,p_db_column_name=>'SERVICE_CONSOLE_URL'
,p_display_order=>560
,p_column_identifier=>'AE'
,p_column_label=>'Service Console Url'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SERVICE_CONSOLE_URL#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10501027384468508)
,p_db_column_name=>'CONNECTION_STRINGS'
,p_display_order=>570
,p_column_identifier=>'AF'
,p_column_label=>'Connection Strings'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CONNECTION_STRINGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10501140834468509)
,p_db_column_name=>'IS_AUTO_SCALING_ENABLED'
,p_display_order=>580
,p_column_identifier=>'AG'
,p_column_label=>'Is Auto Scaling Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_AUTO_SCALING_ENABLED#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10501294699468510)
,p_db_column_name=>'IS_DEDICATED'
,p_display_order=>590
,p_column_identifier=>'AH'
,p_column_label=>'Is Dedicated'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_DEDICATED#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10501374835468511)
,p_db_column_name=>'DB_STORAGE_TB'
,p_display_order=>600
,p_column_identifier=>'AI'
,p_column_label=>'Db Storage Tb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_STORAGE_TB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10499027601467138)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>630
,p_column_identifier=>'M'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10720778285336604)
,p_db_column_name=>'IS_DATA_GUARD_ENABLED'
,p_display_order=>640
,p_column_identifier=>'AJ'
,p_column_label=>'Is Data Guard Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_DATA_GUARD_ENABLED#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10720917271336606)
,p_db_column_name=>'STANDBY_LIFECYCLE_STATE'
,p_display_order=>660
,p_column_identifier=>'AL'
,p_column_label=>'Standby Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#STANDBY_LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10721611914336613)
,p_db_column_name=>'STANDBY_LAG_TIME_IN_SECONDS'
,p_display_order=>670
,p_column_identifier=>'AS'
,p_column_label=>'Standby Lag Time In Seconds'
,p_column_html_expression=>'<span style="white-space:nowrap;">#STANDBY_LAG_TIME_IN_SECONDS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10721044580336607)
,p_db_column_name=>'TIME_OF_LAST_SWITCHOVER'
,p_display_order=>680
,p_column_identifier=>'AM'
,p_column_label=>'Time Of Last Switchover'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_OF_LAST_SWITCHOVER#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10721140342336608)
,p_db_column_name=>'TIME_LOCAL_DATA_GUARD_ENABLED'
,p_display_order=>690
,p_column_identifier=>'AN'
,p_column_label=>'Time Local Data Guard Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_LOCAL_DATA_GUARD_ENABLED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10721265595336609)
,p_db_column_name=>'DATAGUARD_REGION_TYPE'
,p_display_order=>700
,p_column_identifier=>'AO'
,p_column_label=>'Dataguard Region Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATAGUARD_REGION_TYPE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10721307428336610)
,p_db_column_name=>'SUPPORTED_REGIONS_TO_CLONE_TO'
,p_display_order=>710
,p_column_identifier=>'AP'
,p_column_label=>'Supported Regions To Clone To'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUPPORTED_REGIONS_TO_CLONE_TO#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10721421832336611)
,p_db_column_name=>'KEY_STORE_WALLET_NAME'
,p_display_order=>720
,p_column_identifier=>'AQ'
,p_column_label=>'Key Store Wallet Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#KEY_STORE_WALLET_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10721583689336612)
,p_db_column_name=>'KEY_STORE_ID'
,p_display_order=>730
,p_column_identifier=>'AR'
,p_column_label=>'Key Store Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#KEY_STORE_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10498800901467136)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>740
,p_column_identifier=>'K'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10498927558467137)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>750
,p_column_identifier=>'L'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10499290726467140)
,p_db_column_name=>'ID'
,p_display_order=>760
,p_column_identifier=>'N'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10499360382467141)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>770
,p_column_identifier=>'O'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10516272733492076)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'105163'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_PATH:COMPARTMENT_NAME:STATUS:TYPE:NAME:CLUSTER_NAME:CPU_CORE_COUNT:INFRA_NAME:CONTAINER_NAME:DB_VERSION:DB_NAME:VERSION_LICENSE_MODEL:DATA_SAFE_STATUS:TIME_MAINTENANCE_BEGIN:TIME_MAINTENANCE_END:SUBNET_ID'
||':SUBNET_NAME:PRIVATE_ENDPOINT:PRIVATE_ENDPOINT_LABEL:NSG_IDS:NSG_NAMES:WHITELISTED_IPS:SERVICE_CONSOLE_URL:CONNECTION_STRINGS:IS_AUTO_SCALING_ENABLED:IS_DEDICATED:DB_STORAGE_TB:DATAGUARD_REGION_TYPE:IS_DATA_GUARD_ENABLED:KEY_STORE_ID:KEY_STORE_WALLET'
||'_NAME:STANDBY_LIFECYCLE_STATE:STANDBY_LAG_TIME_IN_SECONDS:SUPPORTED_REGIONS_TO_CLONE_TO:TIME_LOCAL_DATA_GUARD_ENABLED:TIME_OF_LAST_SWITCHOVER:DEFINED_TAGS:FREEFORM_TAGS:TIME_CREATED:ID:EXTRACT_DATE:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10501450344468512)
,p_plug_name=>'OCI_SHOWOCI_FILE_STORAGE'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>160
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select TENANT_NAME,',
'       TENANT_ID,',
'       ID,',
'       REGION_NAME,',
'       AVAILABILITY_DOMAIN,',
'       COMPARTMENT_PATH,',
'       COMPARTMENT_NAME,',
'       DISPLAY_NAME,',
'       SIZE_GB,',
'       EXPORTS,',
'       SNAPSHOTS,',
'       MOUNT_IPS,',
'       DEFINED_TAGS,',
'       FREEFORM_TAGS,',
'       TIME_CREATED,',
'       EXTRACT_DATE',
'  from OCI_SHOWOCI_FILE_STORAGE',
'  where (:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_FILE_STORAGE))  '))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_FILE_STORAGE'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_FILE_STORAGE'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10501526689468513)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10501526689468513
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10501642670468514)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10501769833468515)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10501878166468516)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10501955295468517)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10502052161468518)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10505203347468550)
,p_db_column_name=>'DISPLAY_NAME'
,p_display_order=>60
,p_column_identifier=>'K'
,p_column_label=>'Display Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DISPLAY_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10505150131468549)
,p_db_column_name=>'AVAILABILITY_DOMAIN'
,p_display_order=>110
,p_column_identifier=>'J'
,p_column_label=>'Availability Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABILITY_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10516877159654901)
,p_db_column_name=>'SIZE_GB'
,p_display_order=>130
,p_column_identifier=>'L'
,p_column_label=>'Size Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SIZE_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10516916421654902)
,p_db_column_name=>'EXPORTS'
,p_display_order=>140
,p_column_identifier=>'M'
,p_column_label=>'Exports'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXPORTS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10517057277654903)
,p_db_column_name=>'SNAPSHOTS'
,p_display_order=>150
,p_column_identifier=>'N'
,p_column_label=>'Snapshots'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SNAPSHOTS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10517107148654904)
,p_db_column_name=>'MOUNT_IPS'
,p_display_order=>160
,p_column_identifier=>'O'
,p_column_label=>'Mount Ips'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MOUNT_IPS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10504601447468544)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>170
,p_column_identifier=>'F'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10504790906468545)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>180
,p_column_identifier=>'G'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10504905986468547)
,p_db_column_name=>'ID'
,p_display_order=>190
,p_column_identifier=>'H'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10546139170255529)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>200
,p_column_identifier=>'P'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10505004091468548)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>210
,p_column_identifier=>'I'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10526891228663251)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'105269'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_PATH:COMPARTMENT_NAME:DISPLAY_NAME:AVAILABILITY_DOMAIN:SIZE_GB:EXPORTS:SNAPSHOTS:MOUNT_IPS:DEFINED_TAGS:FREEFORM_TAGS:ID:TIME_CREATED:EXTRACT_DATE:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10517207104654905)
,p_plug_name=>'OCI_SHOWOCI_OBJECT_STORAGE'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>170
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select TENANT_NAME,',
'       TENANT_ID,',
'       ID,',
'       NAMESPACE_NAME,',
'       REGION_NAME,',
'       COMPARTMENT_PATH,',
'       COMPARTMENT_NAME,',
'       BUCKET_NAME,',
'       SIZE_GB,',
'       OBJECTS,',
'       OBJECT_LIFECYCLE,',
'       PUBLIC_ACCESS_TYPE,',
'       STORAGE_TIER,',
'       IS_READ_ONLY,',
'       VERSIONING,',
'       AUTO_TIERING,',
'       KMS_KEY_ID,',
'       LOGS,',
'       DEFINED_TAGS,',
'       FREEFORM_TAGS,',
'       PREAUTHENTICATED_REQUESTS,',
'       OBJECT_EVENTS_ENABLED,',
'       REPLICATION_ENABLED,',
'       TIME_CREATED,',
'       EXTRACT_DATE',
'  from OCI_SHOWOCI_OBJECT_STORAGE',
'  where (:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_OBJECT_STORAGE))  '))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_OBJECT_STORAGE'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_OBJECT_STORAGE'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10517338904654906)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10517338904654906
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10517430220654907)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10517581696654908)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10517677344654909)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10517782562654910)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10517845860654911)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10518926807654922)
,p_db_column_name=>'NAMESPACE_NAME'
,p_display_order=>60
,p_column_identifier=>'K'
,p_column_label=>'Namespace Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAMESPACE_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10519012409654923)
,p_db_column_name=>'BUCKET_NAME'
,p_display_order=>70
,p_column_identifier=>'L'
,p_column_label=>'Bucket Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BUCKET_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10518132417654914)
,p_db_column_name=>'SIZE_GB'
,p_display_order=>80
,p_column_identifier=>'F'
,p_column_label=>'Size Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SIZE_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10519109353654924)
,p_db_column_name=>'OBJECTS'
,p_display_order=>90
,p_column_identifier=>'M'
,p_column_label=>'Objects'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OBJECTS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10519215401654925)
,p_db_column_name=>'OBJECT_LIFECYCLE'
,p_display_order=>110
,p_column_identifier=>'N'
,p_column_label=>'Object Lifecycle'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OBJECT_LIFECYCLE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10519308003654926)
,p_db_column_name=>'PUBLIC_ACCESS_TYPE'
,p_display_order=>120
,p_column_identifier=>'O'
,p_column_label=>'Public Access Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PUBLIC_ACCESS_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10519460375654927)
,p_db_column_name=>'STORAGE_TIER'
,p_display_order=>130
,p_column_identifier=>'P'
,p_column_label=>'Storage Tier'
,p_column_html_expression=>'<span style="white-space:nowrap;">#STORAGE_TIER#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10519516210654928)
,p_db_column_name=>'IS_READ_ONLY'
,p_display_order=>140
,p_column_identifier=>'Q'
,p_column_label=>'Is Read Only'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_READ_ONLY#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10519695588654929)
,p_db_column_name=>'VERSIONING'
,p_display_order=>150
,p_column_identifier=>'R'
,p_column_label=>'Versioning'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VERSIONING#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10519749164654930)
,p_db_column_name=>'AUTO_TIERING'
,p_display_order=>160
,p_column_identifier=>'S'
,p_column_label=>'Auto Tiering'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AUTO_TIERING#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10519868392654931)
,p_db_column_name=>'KMS_KEY_ID'
,p_display_order=>170
,p_column_identifier=>'T'
,p_column_label=>'Kms Key Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#KMS_KEY_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10519979903654932)
,p_db_column_name=>'LOGS'
,p_display_order=>180
,p_column_identifier=>'U'
,p_column_label=>'Logs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10520091647654933)
,p_db_column_name=>'PREAUTHENTICATED_REQUESTS'
,p_display_order=>190
,p_column_identifier=>'V'
,p_column_label=>'Preauthenticated Requests'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PREAUTHENTICATED_REQUESTS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10520153287654934)
,p_db_column_name=>'OBJECT_EVENTS_ENABLED'
,p_display_order=>200
,p_column_identifier=>'W'
,p_column_label=>'Object Events Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OBJECT_EVENTS_ENABLED#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10520269890654935)
,p_db_column_name=>'REPLICATION_ENABLED'
,p_display_order=>210
,p_column_identifier=>'X'
,p_column_label=>'Replication Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REPLICATION_ENABLED#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10518528804654918)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>220
,p_column_identifier=>'G'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10518631782654919)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>230
,p_column_identifier=>'H'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10518782984654920)
,p_db_column_name=>'ID'
,p_display_order=>240
,p_column_identifier=>'I'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10546216572255530)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>250
,p_column_identifier=>'Y'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10518888741654921)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>260
,p_column_identifier=>'J'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10535370448764491)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'105354'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_PATH:COMPARTMENT_NAME:NAMESPACE_NAME:BUCKET_NAME:SIZE_GB:OBJECTS:OBJECT_LIFECYCLE:PUBLIC_ACCESS_TYPE:STORAGE_TIER:IS_READ_ONLY:VERSIONING:AUTO_TIERING:KMS_KEY_ID:LOGS:PREAUTHENTICATED_REQUESTS:OBJECT_EVEN'
||'TS_ENABLED:REPLICATION_ENABLED:DEFINED_TAGS:FREEFORM_TAGS:ID:TIME_CREATED:EXTRACT_DATE:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10520411101654937)
,p_plug_name=>'OCI_SHOWOCI_LB_LISTENERS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>180
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select TENANT_NAME,',
'       TENANT_ID,',
'       ID,',
'       LOADBALANCER_ID,',
'       REGION_NAME,',
'       COMPARTMENT_PATH,',
'       COMPARTMENT_NAME,',
'       NAME,',
'       STATUS,',
'       SHAPE,',
'       TYPE,',
'       IP_ADDRESSES,',
'       LOG_ERRORS,',
'       LOG_ACCESS,',
'       LOGS,',
'       SUBNETS,',
'       LISTENER_NAME,',
'       LISTENER_PORT,',
'       LISTENER_DEF_BS,',
'       LISTENER_SSL,',
'       LISTENER_HOST,',
'       LISTENER_PATH,',
'       LISTENER_RULE,',
'       LB_CERTIFICATES,',
'       DEFINED_TAGS,',
'       FREEFORM_TAGS,',
'       TIME_CREATED,',
'       EXTRACT_DATE',
'  from OCI_SHOWOCI_LB_LISTENERS',
'  where (:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_LB_LISTENERS))  '))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_LB_LISTENERS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_LB_LISTENERS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10520591392654938)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10520591392654938
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10520651387654939)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10520710782654940)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10520816940654941)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10520948481654942)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10521056988654943)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10544572741255513)
,p_db_column_name=>'NAME'
,p_display_order=>250
,p_column_identifier=>'K'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10544654420255514)
,p_db_column_name=>'STATUS'
,p_display_order=>260
,p_column_identifier=>'L'
,p_column_label=>'Status'
,p_column_html_expression=>'<span style="white-space:nowrap;">#STATUS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10544786559255515)
,p_db_column_name=>'SHAPE'
,p_display_order=>270
,p_column_identifier=>'M'
,p_column_label=>'Shape'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10544882857255516)
,p_db_column_name=>'TYPE'
,p_display_order=>280
,p_column_identifier=>'N'
,p_column_label=>'Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10544999177255517)
,p_db_column_name=>'IP_ADDRESSES'
,p_display_order=>290
,p_column_identifier=>'O'
,p_column_label=>'Ip Addresses'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IP_ADDRESSES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10545087602255518)
,p_db_column_name=>'LOG_ERRORS'
,p_display_order=>300
,p_column_identifier=>'P'
,p_column_label=>'Log Errors'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOG_ERRORS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10545100308255519)
,p_db_column_name=>'LOG_ACCESS'
,p_display_order=>310
,p_column_identifier=>'Q'
,p_column_label=>'Log Access'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOG_ACCESS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10543761918255505)
,p_db_column_name=>'LOGS'
,p_display_order=>320
,p_column_identifier=>'F'
,p_column_label=>'Logs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10545216012255520)
,p_db_column_name=>'SUBNETS'
,p_display_order=>330
,p_column_identifier=>'R'
,p_column_label=>'Subnets'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNETS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10613901123241420)
,p_db_column_name=>'LISTENER_NAME'
,p_display_order=>340
,p_column_identifier=>'AB'
,p_column_label=>'Listener Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LISTENER_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10545358442255521)
,p_db_column_name=>'LISTENER_PORT'
,p_display_order=>350
,p_column_identifier=>'S'
,p_column_label=>'Listener Port'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LISTENER_PORT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10545401066255522)
,p_db_column_name=>'LISTENER_DEF_BS'
,p_display_order=>360
,p_column_identifier=>'T'
,p_column_label=>'Listener Def Bs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LISTENER_DEF_BS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10545517755255523)
,p_db_column_name=>'LISTENER_SSL'
,p_display_order=>370
,p_column_identifier=>'U'
,p_column_label=>'Listener Ssl'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LISTENER_SSL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10545671524255524)
,p_db_column_name=>'LISTENER_HOST'
,p_display_order=>380
,p_column_identifier=>'V'
,p_column_label=>'Listener Host'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LISTENER_HOST#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10545751624255525)
,p_db_column_name=>'LISTENER_PATH'
,p_display_order=>390
,p_column_identifier=>'W'
,p_column_label=>'Listener Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LISTENER_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10545878429255526)
,p_db_column_name=>'LISTENER_RULE'
,p_display_order=>400
,p_column_identifier=>'X'
,p_column_label=>'Listener Rule'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LISTENER_RULE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10545936477255527)
,p_db_column_name=>'LB_CERTIFICATES'
,p_display_order=>410
,p_column_identifier=>'Y'
,p_column_label=>'Lb Certificates'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LB_CERTIFICATES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10546053001255528)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>420
,p_column_identifier=>'Z'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10544104324255509)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>430
,p_column_identifier=>'G'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10544211419255510)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>440
,p_column_identifier=>'H'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10544382719255511)
,p_db_column_name=>'ID'
,p_display_order=>450
,p_column_identifier=>'I'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10544455954255512)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>460
,p_column_identifier=>'J'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10613849159241419)
,p_db_column_name=>'LOADBALANCER_ID'
,p_display_order=>470
,p_column_identifier=>'AA'
,p_column_label=>'Loadbalancer Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOADBALANCER_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10556569848280596)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'105566'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_PATH:COMPARTMENT_NAME:NAME:STATUS:SHAPE:TYPE:IP_ADDRESSES:LOG_ERRORS:LOG_ACCESS:LOGS:SUBNETS:LISTENER_NAME:LISTENER_PORT:LISTENER_DEF_BS:LISTENER_SSL:LISTENER_HOST:LISTENER_PATH:LISTENER_RULE:LB_CERTIFICA'
||'TES:TIME_CREATED:DEFINED_TAGS:FREEFORM_TAGS:LOADBALANCER_ID:ID:EXTRACT_DATE:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10546300190255531)
,p_plug_name=>'OCI_SHOWOCI_LB_BACKENDSET'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>190
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select TENANT_NAME,',
'       TENANT_ID,',
'       ID,',
'       REGION_NAME,',
'       COMPARTMENT_PATH,',
'       COMPARTMENT_NAME,',
'       NAME,',
'       STATUS,',
'       SHAPE,',
'       TYPE,',
'       IP_ADDRESSES,',
'       SUBNETS,',
'       BS_NAME,',
'       BS_DESC,',
'       BS_STATUS,',
'       HEALTH_CHECK,',
'       SESSION_PERSISTENCE,',
'       SSL_CERT,',
'       BACKEND_NAME,',
'       BACKEND,',
'       BACKEND_IP,',
'       LOADBALANCER_ID,',
'       EXTRACT_DATE',
'  from OCI_SHOWOCI_LB_BACKENDSET',
'  where (:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_LB_BACKENDSET))  '))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_LB_BACKENDSET'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_LB_BACKENDSET'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10546439599255532)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10546439599255532
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10546564589255533)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10546621936255534)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10546722187255535)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10546896647255536)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10546942491255537)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10547052725255538)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10547166389255539)
,p_db_column_name=>'STATUS'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Status'
,p_column_html_expression=>'<span style="white-space:nowrap;">#STATUS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10547267993255540)
,p_db_column_name=>'SHAPE'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Shape'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10547383879255541)
,p_db_column_name=>'TYPE'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TYPE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10547480292255542)
,p_db_column_name=>'IP_ADDRESSES'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Ip Addresses'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IP_ADDRESSES#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10547846204255546)
,p_db_column_name=>'SUBNETS'
,p_display_order=>140
,p_column_identifier=>'K'
,p_column_label=>'Subnets'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNETS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10612835791241409)
,p_db_column_name=>'BS_NAME'
,p_display_order=>270
,p_column_identifier=>'N'
,p_column_label=>'Bs Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BS_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10612915652241410)
,p_db_column_name=>'BS_DESC'
,p_display_order=>280
,p_column_identifier=>'O'
,p_column_label=>'Bs Desc'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BS_DESC#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10613085617241411)
,p_db_column_name=>'BS_STATUS'
,p_display_order=>290
,p_column_identifier=>'P'
,p_column_label=>'Bs Status'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BS_STATUS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10613136771241412)
,p_db_column_name=>'HEALTH_CHECK'
,p_display_order=>300
,p_column_identifier=>'Q'
,p_column_label=>'Health Check'
,p_column_html_expression=>'<span style="white-space:nowrap;">#HEALTH_CHECK#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10613263936241413)
,p_db_column_name=>'SESSION_PERSISTENCE'
,p_display_order=>310
,p_column_identifier=>'R'
,p_column_label=>'Session Persistence'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SESSION_PERSISTENCE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10613385712241414)
,p_db_column_name=>'SSL_CERT'
,p_display_order=>320
,p_column_identifier=>'S'
,p_column_label=>'Ssl Cert'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SSL_CERT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10613455253241415)
,p_db_column_name=>'BACKEND_NAME'
,p_display_order=>330
,p_column_identifier=>'T'
,p_column_label=>'Backend Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BACKEND_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10613536341241416)
,p_db_column_name=>'BACKEND'
,p_display_order=>340
,p_column_identifier=>'U'
,p_column_label=>'Backend'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BACKEND#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10613674660241417)
,p_db_column_name=>'BACKEND_IP'
,p_display_order=>350
,p_column_identifier=>'V'
,p_column_label=>'Backend Ip'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BACKEND_IP#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10613713198241418)
,p_db_column_name=>'LOADBALANCER_ID'
,p_display_order=>360
,p_column_identifier=>'W'
,p_column_label=>'Loadbalancer Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOADBALANCER_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10612696017241407)
,p_db_column_name=>'ID'
,p_display_order=>370
,p_column_identifier=>'L'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10612777429241408)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>380
,p_column_identifier=>'M'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'static'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10624470014253057)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'106245'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_PATH:COMPARTMENT_NAME:NAME:STATUS:SHAPE:TYPE:IP_ADDRESSES:SUBNETS:BS_NAME:BS_DESC:BS_STATUS:HEALTH_CHECK:SESSION_PERSISTENCE:SSL_CERT:BACKEND_NAME:BACKEND:BACKEND_IP:LOADBALANCER_ID:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10614082144241421)
,p_plug_name=>'OCI_SHOWOCI_DATABASES'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>130
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_DATABASES'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DATABASES))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DATABASES'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DATABASES'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10614193563241422)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10614193563241422
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10614206874241423)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10614375022241424)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10614440676241425)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10614555409241426)
,p_db_column_name=>'AVAILABILITY_DOMAIN'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Availability Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABILITY_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10614640489241427)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10614747279241428)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10614854473241429)
,p_db_column_name=>'STATUS'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Status'
,p_column_html_expression=>'<span style="white-space:nowrap;">#STATUS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10614931635241430)
,p_db_column_name=>'TYPE'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TYPE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10615085941241431)
,p_db_column_name=>'NAME'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10615161381241432)
,p_db_column_name=>'VM_NAME'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Vm Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VM_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10615295082241433)
,p_db_column_name=>'CLUSTER_NAME'
,p_display_order=>110
,p_column_identifier=>'K'
,p_column_label=>'Cluster Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CLUSTER_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10615319873241434)
,p_db_column_name=>'SHAPE'
,p_display_order=>120
,p_column_identifier=>'L'
,p_column_label=>'Shape'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10615445836241435)
,p_db_column_name=>'CPU_CORE_COUNT'
,p_display_order=>130
,p_column_identifier=>'M'
,p_column_label=>'Cpu Core Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CPU_CORE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10615505035241436)
,p_db_column_name=>'NODE_COUNT'
,p_display_order=>140
,p_column_identifier=>'N'
,p_column_label=>'Node Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NODE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10615651065241437)
,p_db_column_name=>'DB_STORAGE_GB'
,p_display_order=>150
,p_column_identifier=>'O'
,p_column_label=>'Db Storage Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_STORAGE_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10616160618241442)
,p_db_column_name=>'DATABASE_EDITION'
,p_display_order=>200
,p_column_identifier=>'P'
,p_column_label=>'Database Edition'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATABASE_EDITION#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10616205656241443)
,p_db_column_name=>'LICENSE_MODEL'
,p_display_order=>210
,p_column_identifier=>'Q'
,p_column_label=>'License Model'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LICENSE_MODEL#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10616355141241444)
,p_db_column_name=>'DATA_SUBNET'
,p_display_order=>220
,p_column_identifier=>'R'
,p_column_label=>'Data Subnet'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATA_SUBNET#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10616494559241445)
,p_db_column_name=>'BACKUP_SUBNET'
,p_display_order=>230
,p_column_identifier=>'S'
,p_column_label=>'Backup Subnet'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BACKUP_SUBNET#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10616527055241446)
,p_db_column_name=>'SCAN_IPS'
,p_display_order=>240
,p_column_identifier=>'T'
,p_column_label=>'Scan Ips'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SCAN_IPS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10616655386241447)
,p_db_column_name=>'VIP_IPS'
,p_display_order=>250
,p_column_identifier=>'U'
,p_column_label=>'Vip Ips'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VIP_IPS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10616734094241448)
,p_db_column_name=>'DOMAIN'
,p_display_order=>260
,p_column_identifier=>'V'
,p_column_label=>'Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DOMAIN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10616842945241449)
,p_db_column_name=>'DB_NODES'
,p_display_order=>270
,p_column_identifier=>'W'
,p_column_label=>'Db Nodes'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_NODES#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10824526630311804)
,p_db_column_name=>'SHAPE_OCPUS'
,p_display_order=>320
,p_column_identifier=>'X'
,p_column_label=>'Shape Ocpus'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE_OCPUS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10824625877311805)
,p_db_column_name=>'MEMORY_GB'
,p_display_order=>330
,p_column_identifier=>'Y'
,p_column_label=>'Memory Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MEMORY_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10824743311311806)
,p_db_column_name=>'LOCAL_STORAGE_TB'
,p_display_order=>340
,p_column_identifier=>'Z'
,p_column_label=>'Local Storage Tb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOCAL_STORAGE_TB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10825410874311813)
,p_db_column_name=>'DATABASE'
,p_display_order=>410
,p_column_identifier=>'AF'
,p_column_label=>'Database'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATABASE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10825590925311814)
,p_db_column_name=>'PDBS'
,p_display_order=>420
,p_column_identifier=>'AG'
,p_column_label=>'Pdbs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PDBS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10825682452311815)
,p_db_column_name=>'AUTO_BACKUP_ENABLED'
,p_display_order=>430
,p_column_identifier=>'AH'
,p_column_label=>'Auto Backup Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AUTO_BACKUP_ENABLED#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10825797518311816)
,p_db_column_name=>'DB_HOME'
,p_display_order=>440
,p_column_identifier=>'AI'
,p_column_label=>'Db Home'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_HOME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10825821383311817)
,p_db_column_name=>'DB_HOME_VERSION'
,p_display_order=>450
,p_column_identifier=>'AJ'
,p_column_label=>'Db Home Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_HOME_VERSION#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10825090146311809)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>460
,p_column_identifier=>'AC'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10825971076311818)
,p_db_column_name=>'DATABASE_ID'
,p_display_order=>470
,p_column_identifier=>'AK'
,p_column_label=>'Database Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATABASE_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10826006756311819)
,p_db_column_name=>'DBSYSTEM_ID'
,p_display_order=>480
,p_column_identifier=>'AL'
,p_column_label=>'Dbsystem Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DBSYSTEM_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10824850595311807)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>490
,p_column_identifier=>'AA'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10824976765311808)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>500
,p_column_identifier=>'AB'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10825290398311811)
,p_db_column_name=>'ID'
,p_display_order=>520
,p_column_identifier=>'AD'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10825370934311812)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>530
,p_column_identifier=>'AE'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10844870758337994)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'108449'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:AVAILABILITY_DOMAIN:COMPARTMENT_PATH:COMPARTMENT_NAME:STATUS:TYPE:NAME:VM_NAME:CLUSTER_NAME:SHAPE:CPU_CORE_COUNT:NODE_COUNT:DB_STORAGE_GB:DATABASE_EDITION:LICENSE_MODEL:DATA_SUBNET:BACKUP_SUBNET:SCAN_IPS:VIP_IPS:DOMA'
||'IN:DB_NODES:SHAPE_OCPUS:MEMORY_GB:LOCAL_STORAGE_TB:DATABASE:PDBS:AUTO_BACKUP_ENABLED:DB_HOME:DB_HOME_VERSION:TIME_CREATED:DATABASE_ID:DBSYSTEM_ID:DEFINED_TAGS:FREEFORM_TAGS:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10642789020656417)
,p_plug_name=>'OCI_SHOWOCI_OIC'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>210
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_OIC'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_OIC))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_OIC'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_OIC'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10642875674656418)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10642875674656418
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10642971804656419)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10643060209656420)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10643138122656421)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10643245834656422)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10643315065656423)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10643478018656424)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10643560072656425)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10644532773656435)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>170
,p_column_identifier=>'H'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10645084163656440)
,p_db_column_name=>'INSTANCE_URL'
,p_display_order=>180
,p_column_identifier=>'M'
,p_column_label=>'Instance Url'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INSTANCE_URL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10645134792656441)
,p_db_column_name=>'MESSAGE_PACKS'
,p_display_order=>190
,p_column_identifier=>'N'
,p_column_label=>'Message Packs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MESSAGE_PACKS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10645280692656442)
,p_db_column_name=>'IS_BYOL'
,p_display_order=>200
,p_column_identifier=>'O'
,p_column_label=>'Is Byol'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_BYOL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10645345057656443)
,p_db_column_name=>'IS_FILE_SERVER_ENABLED'
,p_display_order=>210
,p_column_identifier=>'P'
,p_column_label=>'Is File Server Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_FILE_SERVER_ENABLED#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10645562950656445)
,p_db_column_name=>'IS_VISUAL_BUILDER_ENABLED'
,p_display_order=>220
,p_column_identifier=>'R'
,p_column_label=>'Is Visual Builder Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_VISUAL_BUILDER_ENABLED#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10645640282656446)
,p_db_column_name=>'NETWORK_ENDPOINT_TYPE'
,p_display_order=>230
,p_column_identifier=>'S'
,p_column_label=>'Network Endpoint Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NETWORK_ENDPOINT_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10645709053656447)
,p_db_column_name=>'SHAPE'
,p_display_order=>240
,p_column_identifier=>'T'
,p_column_label=>'Shape'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10645428537656444)
,p_db_column_name=>'CONSUMPTION_MODEL'
,p_display_order=>250
,p_column_identifier=>'Q'
,p_column_label=>'Consumption Model'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CONSUMPTION_MODEL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10644620600656436)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>260
,p_column_identifier=>'I'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10644774256656437)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>270
,p_column_identifier=>'J'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10644855817656438)
,p_db_column_name=>'ID'
,p_display_order=>280
,p_column_identifier=>'K'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10644928899656439)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>290
,p_column_identifier=>'L'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10659288676755287)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'106593'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_PATH:COMPARTMENT_NAME:NAME:LIFECYCLE_STATE:TIME_CREATED:INSTANCE_URL:MESSAGE_PACKS:IS_BYOL:IS_FILE_SERVER_ENABLED:IS_VISUAL_BUILDER_ENABLED:NETWORK_ENDPOINT_TYPE:SHAPE:CONSUMPTION_MODEL:DEFINED_TAGS:FREEF'
||'ORM_TAGS:ID:EXTRACT_DATE:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10645870870656448)
,p_plug_name=>'OCI_SHOWOCI_OCE'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>220
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_OCE'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_OCE))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_OCE'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_OCE'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10645985141656449)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10645985141656449
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10646026737656450)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10662938062864101)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10663026850864102)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10663199246864103)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10663283262864104)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10663310774864105)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10664886168864120)
,p_db_column_name=>'DESCRIPTION'
,p_display_order=>70
,p_column_identifier=>'M'
,p_column_label=>'Description'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DESCRIPTION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10663450089864106)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>80
,p_column_identifier=>'G'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10663538098864107)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>90
,p_column_identifier=>'H'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10664902077864121)
,p_db_column_name=>'GUID'
,p_display_order=>110
,p_column_identifier=>'N'
,p_column_label=>'Guid'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GUID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10665077068864122)
,p_db_column_name=>'IDCS_TENANCY'
,p_display_order=>120
,p_column_identifier=>'O'
,p_column_label=>'Idcs Tenancy'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IDCS_TENANCY#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10665123391864123)
,p_db_column_name=>'OBJECT_STORAGE_NAMESPACE'
,p_display_order=>130
,p_column_identifier=>'P'
,p_column_label=>'Object Storage Namespace'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OBJECT_STORAGE_NAMESPACE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10665268722864124)
,p_db_column_name=>'ADMIN_EMAIL'
,p_display_order=>140
,p_column_identifier=>'Q'
,p_column_label=>'Admin Email'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ADMIN_EMAIL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10665344138864125)
,p_db_column_name=>'SERVICE'
,p_display_order=>150
,p_column_identifier=>'R'
,p_column_label=>'Service'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SERVICE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10664467595864116)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>160
,p_column_identifier=>'I'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10664563165864117)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>170
,p_column_identifier=>'J'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10664657517864118)
,p_db_column_name=>'ID'
,p_display_order=>180
,p_column_identifier=>'K'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10664761911864119)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>190
,p_column_identifier=>'L'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10673830170874228)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'106739'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_PATH:COMPARTMENT_NAME:NAME:DESCRIPTION:LIFECYCLE_STATE:TIME_CREATED:GUID:IDCS_TENANCY:OBJECT_STORAGE_NAMESPACE:ADMIN_EMAIL:SERVICE:DEFINED_TAGS:FREEFORM_TAGS:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10665413161864126)
,p_plug_name=>'OCI_SHOWOCI_VISUAL_BUILDER'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>230
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_VISUAL_BUILDER'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_VISUAL_BUILDER))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_VISUAL_BUILDER'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_VISUAL_BUILDER'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10665563065864127)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10665563065864127
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10665634509864128)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10665703487864129)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10665818207864130)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10665905729864131)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10666034261864132)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10666147375864133)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10667433434864146)
,p_db_column_name=>'INSTANCE_URL'
,p_display_order=>190
,p_column_identifier=>'M'
,p_column_label=>'Instance Url'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INSTANCE_URL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10667560661864147)
,p_db_column_name=>'NODE_COUNT'
,p_display_order=>200
,p_column_identifier=>'N'
,p_column_label=>'Node Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NODE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10667629750864148)
,p_db_column_name=>'IS_VISUAL_BUILDER_ENABLED'
,p_display_order=>210
,p_column_identifier=>'O'
,p_column_label=>'Is Visual Builder Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_VISUAL_BUILDER_ENABLED#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10667728091864149)
,p_db_column_name=>'CUSTOM_ENDPOINT'
,p_display_order=>220
,p_column_identifier=>'P'
,p_column_label=>'Custom Endpoint'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CUSTOM_ENDPOINT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10667809548864150)
,p_db_column_name=>'ALTERNATE_CUSTOM_ENDPOINTS'
,p_display_order=>230
,p_column_identifier=>'Q'
,p_column_label=>'Alternate Custom Endpoints'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ALTERNATE_CUSTOM_ENDPOINTS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10674448567906901)
,p_db_column_name=>'CONSUMPTION_MODEL'
,p_display_order=>240
,p_column_identifier=>'R'
,p_column_label=>'Consumption Model'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CONSUMPTION_MODEL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10666361942864135)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>250
,p_column_identifier=>'G'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10674596583906902)
,p_db_column_name=>'TIME_UPDATED'
,p_display_order=>260
,p_column_identifier=>'S'
,p_column_label=>'Time Updated'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_UPDATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10666459580864136)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>280
,p_column_identifier=>'H'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10667055577864142)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>290
,p_column_identifier=>'I'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10667100154864143)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>300
,p_column_identifier=>'J'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10667294820864144)
,p_db_column_name=>'ID'
,p_display_order=>310
,p_column_identifier=>'K'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10667353851864145)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>320
,p_column_identifier=>'L'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10685653251915911)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'106857'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_PATH:COMPARTMENT_NAME:NAME:INSTANCE_URL:NODE_COUNT:IS_VISUAL_BUILDER_ENABLED:CUSTOM_ENDPOINT:ALTERNATE_CUSTOM_ENDPOINTS:CONSUMPTION_MODEL:LIFECYCLE_STATE:TIME_UPDATED:TIME_CREATED:DEFINED_TAGS:FREEFORM_TA'
||'GS:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10674662852906903)
,p_plug_name=>'OCI_SHOWOCI_CONTAINERS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>240
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_CONTAINERS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_CONTAINERS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_CONTAINERS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_CONTAINERS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10674714291906904)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10674714291906904
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10674872294906905)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10674909032906906)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10675034212906907)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10675178648906908)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10675291010906909)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10675361583906910)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10676058348906917)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>130
,p_column_identifier=>'G'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10676180865906918)
,p_db_column_name=>'TIME_UPDATED'
,p_display_order=>140
,p_column_identifier=>'H'
,p_column_label=>'Time Updated'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_UPDATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10676281447906919)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>150
,p_column_identifier=>'I'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10678133651906938)
,p_db_column_name=>'TIME_DELETED'
,p_display_order=>160
,p_column_identifier=>'AB'
,p_column_label=>'Time Deleted'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_DELETED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10676322981906920)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>170
,p_column_identifier=>'J'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10676404433906921)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>180
,p_column_identifier=>'K'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10676710706906924)
,p_db_column_name=>'VCN'
,p_display_order=>190
,p_column_identifier=>'N'
,p_column_label=>'Vcn'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10676804573906925)
,p_db_column_name=>'NODE_POOLS'
,p_display_order=>200
,p_column_identifier=>'O'
,p_column_label=>'Node Pools'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NODE_POOLS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10676957859906926)
,p_db_column_name=>'KUBERNETES_VERSION'
,p_display_order=>210
,p_column_identifier=>'P'
,p_column_label=>'Kubernetes Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#KUBERNETES_VERSION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10677053828906927)
,p_db_column_name=>'ENDPOINT_IS_PUBLIC_IP_ENABLED'
,p_display_order=>220
,p_column_identifier=>'Q'
,p_column_label=>'Endpoint Is Public Ip Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ENDPOINT_IS_PUBLIC_IP_ENABLED#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10677159584906928)
,p_db_column_name=>'ENDPOINT_NSG_IDS'
,p_display_order=>230
,p_column_identifier=>'R'
,p_column_label=>'Endpoint Nsg Ids'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ENDPOINT_NSG_IDS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10677210655906929)
,p_db_column_name=>'ENDPOINT_NSG_NAMES'
,p_display_order=>240
,p_column_identifier=>'S'
,p_column_label=>'Endpoint Nsg Names'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ENDPOINT_NSG_NAMES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10677309510906930)
,p_db_column_name=>'ENDPOINT_SUBNET_ID'
,p_display_order=>250
,p_column_identifier=>'T'
,p_column_label=>'Endpoint Subnet Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ENDPOINT_SUBNET_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10677450961906931)
,p_db_column_name=>'ENDPOINT_SUBNET_NAME'
,p_display_order=>260
,p_column_identifier=>'U'
,p_column_label=>'Endpoint Subnet Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ENDPOINT_SUBNET_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10677599853906932)
,p_db_column_name=>'OPTION_LB_IDS'
,p_display_order=>270
,p_column_identifier=>'V'
,p_column_label=>'Option Lb Ids'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OPTION_LB_IDS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10677626226906933)
,p_db_column_name=>'OPTION_NETWORK_PODS_CIDR'
,p_display_order=>280
,p_column_identifier=>'W'
,p_column_label=>'Option Network Pods Cidr'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OPTION_NETWORK_PODS_CIDR#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10677799983906934)
,p_db_column_name=>'OPTION_NETWORK_SERVICES_CIDR'
,p_display_order=>290
,p_column_identifier=>'X'
,p_column_label=>'Option Network Services Cidr'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OPTION_NETWORK_SERVICES_CIDR#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10677899699906935)
,p_db_column_name=>'OPTION_IS_KUBERNETES_DASHBOARD_ENABLED'
,p_display_order=>300
,p_column_identifier=>'Y'
,p_column_label=>'Option Is Kubernetes Dashboard Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OPTION_IS_KUBERNETES_DASHBOARD_ENABLED#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10677935369906936)
,p_db_column_name=>'OPTION_IS_TILLER_ENABLED'
,p_display_order=>310
,p_column_identifier=>'Z'
,p_column_label=>'Option Is Tiller Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OPTION_IS_TILLER_ENABLED#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10678078862906937)
,p_db_column_name=>'OPTION_IS_POD_SECURITY_POLICY_ENABLED'
,p_display_order=>320
,p_column_identifier=>'AA'
,p_column_label=>'Option Is Pod Security Policy Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OPTION_IS_POD_SECURITY_POLICY_ENABLED#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10678205702906939)
,p_db_column_name=>'CREATED_BY_USER_ID'
,p_display_order=>340
,p_column_identifier=>'AC'
,p_column_label=>'Created By User Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CREATED_BY_USER_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10678314813906940)
,p_db_column_name=>'DELETED_BY_USER_ID'
,p_display_order=>350
,p_column_identifier=>'AD'
,p_column_label=>'Deleted By User Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DELETED_BY_USER_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10678406839906941)
,p_db_column_name=>'UPDATED_BY_USER_ID'
,p_display_order=>360
,p_column_identifier=>'AE'
,p_column_label=>'Updated By User Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#UPDATED_BY_USER_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10678511081906942)
,p_db_column_name=>'ENDPOINT_KUBERNETES'
,p_display_order=>370
,p_column_identifier=>'AF'
,p_column_label=>'Endpoint Kubernetes'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ENDPOINT_KUBERNETES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10678699078906943)
,p_db_column_name=>'ENDPOINT_PUBLIC_ENDPOINT'
,p_display_order=>380
,p_column_identifier=>'AG'
,p_column_label=>'Endpoint Public Endpoint'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ENDPOINT_PUBLIC_ENDPOINT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10678775449906944)
,p_db_column_name=>'ENDPOINT_PRIVATE_ENDPOINT'
,p_display_order=>390
,p_column_identifier=>'AH'
,p_column_label=>'Endpoint Private Endpoint'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ENDPOINT_PRIVATE_ENDPOINT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10678856776906945)
,p_db_column_name=>'ENDPOINT_VCN_HOSTNAME_ENDPOINT'
,p_display_order=>400
,p_column_identifier=>'AI'
,p_column_label=>'Endpoint Vcn Hostname Endpoint'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ENDPOINT_VCN_HOSTNAME_ENDPOINT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10678931725906946)
,p_db_column_name=>'AVAILABLE_KUBERNETES_UPGRADES'
,p_display_order=>410
,p_column_identifier=>'AJ'
,p_column_label=>'Available Kubernetes Upgrades'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABLE_KUBERNETES_UPGRADES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10679082701906947)
,p_db_column_name=>'VCN_ID'
,p_display_order=>420
,p_column_identifier=>'AK'
,p_column_label=>'Vcn Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10676521719906922)
,p_db_column_name=>'ID'
,p_display_order=>430
,p_column_identifier=>'L'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10676667521906923)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>440
,p_column_identifier=>'M'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10712660964976514)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'107127'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_PATH:COMPARTMENT_NAME:NAME:LIFECYCLE_STATE:TIME_UPDATED:TIME_CREATED:TIME_DELETED:DEFINED_TAGS:FREEFORM_TAGS:VCN:NODE_POOLS:KUBERNETES_VERSION:ENDPOINT_IS_PUBLIC_IP_ENABLED:ENDPOINT_NSG_IDS:ENDPOINT_NSG_N'
||'AMES:ENDPOINT_SUBNET_ID:ENDPOINT_SUBNET_NAME:OPTION_LB_IDS:OPTION_NETWORK_PODS_CIDR:OPTION_NETWORK_SERVICES_CIDR:OPTION_IS_KUBERNETES_DASHBOARD_ENABLED:OPTION_IS_TILLER_ENABLED:OPTION_IS_POD_SECURITY_POLICY_ENABLED:CREATED_BY_USER_ID:DELETED_BY_USER_'
||'ID:UPDATED_BY_USER_ID:ENDPOINT_KUBERNETES:ENDPOINT_PUBLIC_ENDPOINT:ENDPOINT_PRIVATE_ENDPOINT:ENDPOINT_VCN_HOSTNAME_ENDPOINT:AVAILABLE_KUBERNETES_UPGRADES:VCN_ID:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10679133148906948)
,p_plug_name=>'OCI_SHOWOCI_CONTAINERS_NODEPOOLS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>250
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_CONTAINERS_NODEPOOLS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_CONTAINERS_NODEPOOLS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_CONTAINERS_NODEPOOLS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_CONTAINERS_NODEPOOLS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10679264924906949)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10679264924906949
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10679399064906950)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10688081101930601)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10688173508930602)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10688289933930603)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10688359068930604)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10689289360930613)
,p_db_column_name=>'VCN'
,p_display_order=>140
,p_column_identifier=>'J'
,p_column_label=>'Vcn'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10689492716930615)
,p_db_column_name=>'KUBERNETES_VERSION'
,p_display_order=>160
,p_column_identifier=>'K'
,p_column_label=>'Kubernetes Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#KUBERNETES_VERSION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10691604259930637)
,p_db_column_name=>'CONTAINER_NAME'
,p_display_order=>380
,p_column_identifier=>'M'
,p_column_label=>'Container Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CONTAINER_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10691756270930638)
,p_db_column_name=>'NODE_NAME'
,p_display_order=>390
,p_column_identifier=>'N'
,p_column_label=>'Node Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NODE_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10691887720930639)
,p_db_column_name=>'NODE_IMAGE_NAME'
,p_display_order=>400
,p_column_identifier=>'O'
,p_column_label=>'Node Image Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NODE_IMAGE_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10691983678930640)
,p_db_column_name=>'NODE_SHAPE'
,p_display_order=>410
,p_column_identifier=>'P'
,p_column_label=>'Node Shape'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NODE_SHAPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10692175106930642)
,p_db_column_name=>'NODE_SHAPE_MEM_GB'
,p_display_order=>430
,p_column_identifier=>'R'
,p_column_label=>'Node Shape Mem Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NODE_SHAPE_MEM_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10692267471930643)
,p_db_column_name=>'NODE_SHAPE_OCPUS'
,p_display_order=>440
,p_column_identifier=>'S'
,p_column_label=>'Node Shape Ocpus'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NODE_SHAPE_OCPUS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10692373741930644)
,p_db_column_name=>'NODE_SOURCE_TYPE'
,p_display_order=>450
,p_column_identifier=>'T'
,p_column_label=>'Node Source Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NODE_SOURCE_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10692415825930645)
,p_db_column_name=>'NODE_SOURCE_NAME'
,p_display_order=>460
,p_column_identifier=>'U'
,p_column_label=>'Node Source Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NODE_SOURCE_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10692559483930646)
,p_db_column_name=>'SUBNETS'
,p_display_order=>470
,p_column_identifier=>'V'
,p_column_label=>'Subnets'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNETS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10692675165930647)
,p_db_column_name=>'SUBNET_IDS'
,p_display_order=>480
,p_column_identifier=>'W'
,p_column_label=>'Subnet Ids'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_IDS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10692725137930648)
,p_db_column_name=>'CONTAINER_ID'
,p_display_order=>490
,p_column_identifier=>'X'
,p_column_label=>'Container Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CONTAINER_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10692828553930649)
,p_db_column_name=>'NODE_POOL_ID'
,p_display_order=>500
,p_column_identifier=>'Y'
,p_column_label=>'Node Pool Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NODE_POOL_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10688816644930609)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>510
,p_column_identifier=>'F'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10688976853930610)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>520
,p_column_identifier=>'G'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10691501961930636)
,p_db_column_name=>'VCN_ID'
,p_display_order=>530
,p_column_identifier=>'L'
,p_column_label=>'Vcn Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10689076896930611)
,p_db_column_name=>'ID'
,p_display_order=>540
,p_column_identifier=>'H'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10689121707930612)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>550
,p_column_identifier=>'I'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10692949978930650)
,p_db_column_name=>'QUANTITY_PER_SUBNET'
,p_display_order=>560
,p_column_identifier=>'Z'
,p_column_label=>'Quantity Per Subnet'
,p_column_html_expression=>'<span style="white-space:nowrap;">#QUANTITY_PER_SUBNET#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10713294171980598)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'107133'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_PATH:COMPARTMENT_NAME:VCN:KUBERNETES_VERSION:CONTAINER_NAME:NODE_NAME:NODE_IMAGE_NAME:NODE_SHAPE:QUANTITY_PER_SUBNET:NODE_SHAPE_MEM_GB:NODE_SHAPE_OCPUS:NODE_SOURCE_TYPE:NODE_SOURCE_NAME:SUBNETS:SUBNET_IDS'
||':CONTAINER_ID:NODE_POOL_ID:DEFINED_TAGS:FREEFORM_TAGS:VCN_ID:ID:EXTRACT_DATE:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10715451986315301)
,p_plug_name=>'OCI_SHOWOCI_APIGW'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>260
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_APIGW'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_APIGW))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_APIGW'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_APIGW'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10715505145315302)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10715505145315302
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10715600954315303)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10715770671315304)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10715834175315305)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10715951292315306)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10716052829315307)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10718142616315328)
,p_db_column_name=>'GW_NAME'
,p_display_order=>250
,p_column_identifier=>'H'
,p_column_label=>'Gw Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GW_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10718282239315329)
,p_db_column_name=>'GW_ENDPOINT_TYPE'
,p_display_order=>260
,p_column_identifier=>'I'
,p_column_label=>'Gw Endpoint Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GW_ENDPOINT_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10718334649315330)
,p_db_column_name=>'GW_HOSTNAME'
,p_display_order=>270
,p_column_identifier=>'J'
,p_column_label=>'Gw Hostname'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GW_HOSTNAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10718422072315331)
,p_db_column_name=>'GW_SUBNET_ID'
,p_display_order=>280
,p_column_identifier=>'K'
,p_column_label=>'Gw Subnet Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GW_SUBNET_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10718558450315332)
,p_db_column_name=>'GW_SUBNET_NAME'
,p_display_order=>290
,p_column_identifier=>'L'
,p_column_label=>'Gw Subnet Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GW_SUBNET_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10718698131315333)
,p_db_column_name=>'GW_TIME_CREATED'
,p_display_order=>300
,p_column_identifier=>'M'
,p_column_label=>'Gw Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GW_TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10718761532315334)
,p_db_column_name=>'GW_TIME_UPDATED'
,p_display_order=>310
,p_column_identifier=>'N'
,p_column_label=>'Gw Time Updated'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GW_TIME_UPDATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10718842722315335)
,p_db_column_name=>'GW_LIFECYCLE_STATE'
,p_display_order=>320
,p_column_identifier=>'O'
,p_column_label=>'Gw Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GW_LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10718913846315336)
,p_db_column_name=>'GW_NSG_IDS'
,p_display_order=>330
,p_column_identifier=>'P'
,p_column_label=>'Gw Nsg Ids'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GW_NSG_IDS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10719049468315337)
,p_db_column_name=>'GW_NSG_NAMES'
,p_display_order=>340
,p_column_identifier=>'Q'
,p_column_label=>'Gw Nsg Names'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GW_NSG_NAMES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10719151915315338)
,p_db_column_name=>'GW_CERTIFICATE_ID'
,p_display_order=>350
,p_column_identifier=>'R'
,p_column_label=>'Gw Certificate Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GW_CERTIFICATE_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10720363588315350)
,p_db_column_name=>'GW_FREEFORM_TAGS'
,p_display_order=>360
,p_column_identifier=>'AD'
,p_column_label=>'Gw Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GW_FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10720481062336601)
,p_db_column_name=>'GW_DEFINED_TAGS'
,p_display_order=>370
,p_column_identifier=>'AE'
,p_column_label=>'Gw Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GW_DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10719267324315339)
,p_db_column_name=>'DP_DISPLAY_NAME'
,p_display_order=>380
,p_column_identifier=>'S'
,p_column_label=>'Dp Display Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DP_DISPLAY_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10719369968315340)
,p_db_column_name=>'PATH_PREFIX'
,p_display_order=>390
,p_column_identifier=>'T'
,p_column_label=>'Path Prefix'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PATH_PREFIX#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10719497429315341)
,p_db_column_name=>'ENDPOINT'
,p_display_order=>400
,p_column_identifier=>'U'
,p_column_label=>'Endpoint'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ENDPOINT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10719505019315342)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>410
,p_column_identifier=>'V'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10719616018315343)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>420
,p_column_identifier=>'W'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10719775102315344)
,p_db_column_name=>'TIME_UPDATED'
,p_display_order=>430
,p_column_identifier=>'X'
,p_column_label=>'Time Updated'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_UPDATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10719855373315345)
,p_db_column_name=>'LOG_EXECUTION'
,p_display_order=>440
,p_column_identifier=>'Y'
,p_column_label=>'Log Execution'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOG_EXECUTION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10719994862315346)
,p_db_column_name=>'LOG_ACCESS'
,p_display_order=>450
,p_column_identifier=>'Z'
,p_column_label=>'Log Access'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOG_ACCESS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10720084934315347)
,p_db_column_name=>'LOGS'
,p_display_order=>460
,p_column_identifier=>'AA'
,p_column_label=>'Logs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10720525542336602)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>480
,p_column_identifier=>'AF'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10720645546336603)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>490
,p_column_identifier=>'AG'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10720116203315348)
,p_db_column_name=>'DP_ID'
,p_display_order=>500
,p_column_identifier=>'AB'
,p_column_label=>'Dp Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DP_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10720239518315349)
,p_db_column_name=>'API_ID'
,p_display_order=>510
,p_column_identifier=>'AC'
,p_column_label=>'Api Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#API_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10717863476315325)
,p_db_column_name=>'ID'
,p_display_order=>520
,p_column_identifier=>'F'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10717900598315326)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>530
,p_column_identifier=>'G'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10735928145360781)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'107360'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_PATH:COMPARTMENT_NAME:GW_NAME:GW_ENDPOINT_TYPE:GW_HOSTNAME:GW_SUBNET_ID:GW_SUBNET_NAME:GW_TIME_CREATED:GW_TIME_UPDATED:GW_LIFECYCLE_STATE:GW_NSG_IDS:GW_NSG_NAMES:GW_CERTIFICATE_ID:GW_FREEFORM_TAGS:GW_DEFI'
||'NED_TAGS:DP_DISPLAY_NAME:PATH_PREFIX:ENDPOINT:LIFECYCLE_STATE:TIME_CREATED:TIME_UPDATED:LOG_EXECUTION:LOG_ACCESS:LOGS:FREEFORM_TAGS:DEFINED_TAGS:DP_ID:API_ID:ID:EXTRACT_DATE'
);
end;
/
begin
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10722241642336619)
,p_plug_name=>'OCI_SHOWOCI_DB_NOSQL'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>620
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_DB_NOSQL'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DB_NOSQL)) '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DB_NOSQL'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DB_NOSQL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10722368077336620)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10722368077336620
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10722427669336621)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10722576152336622)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10722635665336623)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10722700213336624)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10722850175336625)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10724624140336643)
,p_db_column_name=>'NAME'
,p_display_order=>230
,p_column_identifier=>'J'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10724778445336644)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>240
,p_column_identifier=>'K'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10724846034336645)
,p_db_column_name=>'IS_AUTO_RECLAIMABLE'
,p_display_order=>250
,p_column_identifier=>'L'
,p_column_label=>'Is Auto Reclaimable'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_AUTO_RECLAIMABLE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10724968548336646)
,p_db_column_name=>'CAPACITY_MODE'
,p_display_order=>260
,p_column_identifier=>'M'
,p_column_label=>'Capacity Mode'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CAPACITY_MODE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10725078190336647)
,p_db_column_name=>'MAX_READ_UNITS'
,p_display_order=>270
,p_column_identifier=>'N'
,p_column_label=>'Max Read Units'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MAX_READ_UNITS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10725128639336648)
,p_db_column_name=>'MAX_WRITE_UNITS'
,p_display_order=>280
,p_column_identifier=>'O'
,p_column_label=>'Max Write Units'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MAX_WRITE_UNITS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10725287127336649)
,p_db_column_name=>'MAX_STORAGE_IN_G_BS'
,p_display_order=>290
,p_column_identifier=>'P'
,p_column_label=>'Max Storage In G Bs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MAX_STORAGE_IN_G_BS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10725343933336650)
,p_db_column_name=>'TIME_OF_EXPIRATION'
,p_display_order=>300
,p_column_identifier=>'Q'
,p_column_label=>'Time Of Expiration'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_OF_EXPIRATION#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13204765132718801)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>310
,p_column_identifier=>'R'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13204887050718802)
,p_db_column_name=>'TIME_UPDATED'
,p_display_order=>320
,p_column_identifier=>'S'
,p_column_label=>'Time Updated'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_UPDATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10724258646336639)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>330
,p_column_identifier=>'F'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10724390907336640)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>340
,p_column_identifier=>'G'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10724479029336641)
,p_db_column_name=>'ID'
,p_display_order=>350
,p_column_identifier=>'H'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10724553712336642)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>360
,p_column_identifier=>'I'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(13254229633738316)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'132543'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:LIFECYCLE_STATE:IS_AUTO_RECLAIMABLE:CAPACITY_MODE:MAX_READ_UNITS:MAX_WRITE_UNITS:MAX_STORAGE_IN_G_BS:TIME_OF_EXPIRATION:TIME_CREATED:TIME_UPDATED:FREEFORM_TAGS:DEFINED_TAGS:ID:E'
||'XTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10826159747311820)
,p_plug_name=>'OCI_SHOWOCI_DATABASE_VM_BM'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>140
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_DATABASE_VM_BM'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DATABASE_VM_BM))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DATABASE_VM_BM'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DATABASE_VM_BM'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10826244193311821)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10826244193311821
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10826317768311822)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10826484433311823)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10826566223311824)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10826697045311825)
,p_db_column_name=>'AVAILABILITY_DOMAIN'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Availability Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABILITY_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10826726666311826)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10826871385311827)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10826905699311828)
,p_db_column_name=>'STATUS'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Status'
,p_column_html_expression=>'<span style="white-space:nowrap;">#STATUS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10827066362311829)
,p_db_column_name=>'TYPE'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TYPE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10827187131311830)
,p_db_column_name=>'NAME'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10827227857311831)
,p_db_column_name=>'VM_NAME'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Vm Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VM_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10827333963311832)
,p_db_column_name=>'CLUSTER_NAME'
,p_display_order=>110
,p_column_identifier=>'K'
,p_column_label=>'Cluster Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CLUSTER_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10827419480311833)
,p_db_column_name=>'SHAPE'
,p_display_order=>120
,p_column_identifier=>'L'
,p_column_label=>'Shape'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10827583654311834)
,p_db_column_name=>'CPU_CORE_COUNT'
,p_display_order=>130
,p_column_identifier=>'M'
,p_column_label=>'Cpu Core Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CPU_CORE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10827690094311835)
,p_db_column_name=>'NODE_COUNT'
,p_display_order=>140
,p_column_identifier=>'N'
,p_column_label=>'Node Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NODE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10827716877311836)
,p_db_column_name=>'DB_STORAGE_GB'
,p_display_order=>150
,p_column_identifier=>'O'
,p_column_label=>'Db Storage Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_STORAGE_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10827857633311837)
,p_db_column_name=>'DATABASE_EDITION'
,p_display_order=>160
,p_column_identifier=>'P'
,p_column_label=>'Database Edition'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATABASE_EDITION#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10827917260311838)
,p_db_column_name=>'LICENSE_MODEL'
,p_display_order=>170
,p_column_identifier=>'Q'
,p_column_label=>'License Model'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LICENSE_MODEL#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10828043281311839)
,p_db_column_name=>'DATA_SUBNET'
,p_display_order=>180
,p_column_identifier=>'R'
,p_column_label=>'Data Subnet'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATA_SUBNET#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10828121999311840)
,p_db_column_name=>'BACKUP_SUBNET'
,p_display_order=>190
,p_column_identifier=>'S'
,p_column_label=>'Backup Subnet'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BACKUP_SUBNET#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10828257324311841)
,p_db_column_name=>'SCAN_IPS'
,p_display_order=>200
,p_column_identifier=>'T'
,p_column_label=>'Scan Ips'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SCAN_IPS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10828344124311842)
,p_db_column_name=>'VIP_IPS'
,p_display_order=>210
,p_column_identifier=>'U'
,p_column_label=>'Vip Ips'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VIP_IPS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10828403243311843)
,p_db_column_name=>'DOMAIN'
,p_display_order=>220
,p_column_identifier=>'V'
,p_column_label=>'Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DOMAIN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10828559768311844)
,p_db_column_name=>'DB_NODES'
,p_display_order=>230
,p_column_identifier=>'W'
,p_column_label=>'Db Nodes'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_NODES#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11663172766731537)
,p_db_column_name=>'DB_HOMES'
,p_display_order=>240
,p_column_identifier=>'AL'
,p_column_label=>'Db Homes'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_HOMES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10828674663311845)
,p_db_column_name=>'SHAPE_OCPUS'
,p_display_order=>250
,p_column_identifier=>'X'
,p_column_label=>'Shape Ocpus'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE_OCPUS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10828741612311846)
,p_db_column_name=>'MEMORY_GB'
,p_display_order=>260
,p_column_identifier=>'Y'
,p_column_label=>'Memory Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MEMORY_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10828852690311847)
,p_db_column_name=>'LOCAL_STORAGE_TB'
,p_display_order=>270
,p_column_identifier=>'Z'
,p_column_label=>'Local Storage Tb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOCAL_STORAGE_TB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10857171471416703)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>280
,p_column_identifier=>'AB'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10857801361416710)
,p_db_column_name=>'GI_VERSION'
,p_display_order=>300
,p_column_identifier=>'AG'
,p_column_label=>'Gi Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GI_VERSION#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10857968320416711)
,p_db_column_name=>'GI_VERSION_DATE'
,p_display_order=>310
,p_column_identifier=>'AH'
,p_column_label=>'Gi Version Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GI_VERSION_DATE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10858066985416712)
,p_db_column_name=>'SYSTEM_VERSION'
,p_display_order=>320
,p_column_identifier=>'AI'
,p_column_label=>'System Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SYSTEM_VERSION#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10858124913416713)
,p_db_column_name=>'SYSTEM_VERSION_DATE'
,p_display_order=>330
,p_column_identifier=>'AJ'
,p_column_label=>'System Version Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SYSTEM_VERSION_DATE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10858289649416714)
,p_db_column_name=>'INFRA_ID'
,p_display_order=>340
,p_column_identifier=>'AK'
,p_column_label=>'Infra Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INFRA_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10857431822416706)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>350
,p_column_identifier=>'AC'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10857576581416707)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>360
,p_column_identifier=>'AD'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10857650186416708)
,p_db_column_name=>'ID'
,p_display_order=>370
,p_column_identifier=>'AE'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10857763492416709)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>380
,p_column_identifier=>'AF'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10877130433423266)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'108772'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:AVAILABILITY_DOMAIN:COMPARTMENT_PATH:COMPARTMENT_NAME:STATUS:TYPE:NAME:VM_NAME:CLUSTER_NAME:SHAPE:CPU_CORE_COUNT:NODE_COUNT:DB_STORAGE_GB:DATABASE_EDITION:LICENSE_MODEL:DATA_SUBNET:BACKUP_SUBNET:SCAN_IPS:VIP_IPS:DOMA'
||'IN:DB_HOMES:DB_NODES:SHAPE_OCPUS:MEMORY_GB:LOCAL_STORAGE_TB:TIME_CREATED:GI_VERSION:GI_VERSION_DATE:SYSTEM_VERSION:SYSTEM_VERSION_DATE:INFRA_ID:DEFINED_TAGS:FREEFORM_TAGS:ID:EXTRACT_DATE:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10858372609416715)
,p_plug_name=>'OCI_SHOWOCI_DATABASE_BACKUPS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>120
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_DATABASE_BACKUPS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DATABASE_BACKUPS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DATABASE_BACKUPS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DATABASE_BACKUPS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10858467697416716)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10858467697416716
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10858547415416717)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10858646975416718)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10858734404416719)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10858982620416721)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'D'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10859085849416722)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>60
,p_column_identifier=>'E'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10859613218416728)
,p_db_column_name=>'SHAPE'
,p_display_order=>120
,p_column_identifier=>'F'
,p_column_label=>'Shape'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10895327066902812)
,p_db_column_name=>'SIZE_GB'
,p_display_order=>130
,p_column_identifier=>'Q'
,p_column_label=>'Size Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SIZE_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10860473049416736)
,p_db_column_name=>'DATABASE_EDITION'
,p_display_order=>140
,p_column_identifier=>'G'
,p_column_label=>'Database Edition'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATABASE_EDITION#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10879818352881707)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>150
,p_column_identifier=>'J'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10879946379881708)
,p_db_column_name=>'DBS_NAME'
,p_display_order=>160
,p_column_identifier=>'K'
,p_column_label=>'Dbs Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DBS_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10880075146881709)
,p_db_column_name=>'DATABASE'
,p_display_order=>170
,p_column_identifier=>'L'
,p_column_label=>'Database'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATABASE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10880184800881710)
,p_db_column_name=>'BACKUP_NAME'
,p_display_order=>180
,p_column_identifier=>'M'
,p_column_label=>'Backup Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BACKUP_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10880280701881711)
,p_db_column_name=>'TIME'
,p_display_order=>190
,p_column_identifier=>'N'
,p_column_label=>'Time'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10880419425881713)
,p_db_column_name=>'DATABASE_ID'
,p_display_order=>200
,p_column_identifier=>'P'
,p_column_label=>'Database Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATABASE_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10879690238881705)
,p_db_column_name=>'ID'
,p_display_order=>210
,p_column_identifier=>'H'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10879728318881706)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>220
,p_column_identifier=>'I'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10946997468909162)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'109470'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_PATH:COMPARTMENT_NAME:SHAPE:DATABASE_EDITION:LIFECYCLE_STATE:SIZE_GB:DBS_NAME:DATABASE:BACKUP_NAME:TIME:DATABASE_ID:ID:EXTRACT_DATE:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10880522059881714)
,p_plug_name=>'OCI_SHOWOCI_DATABASE_EXA_CS_VMS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>90
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_DATABASE_EXA_CS_VMS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DATABASE_EXA_CS_VMS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DATABASE_EXA_CS_VMS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DATABASE_EXA_CS_VMS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10880698691881715)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10880698691881715
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10880732016881716)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10880820281881717)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10880914302881718)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10881070297881719)
,p_db_column_name=>'AVAILABILITY_DOMAIN'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Availability Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABILITY_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10881100601881720)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10881243711881721)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10881354538881722)
,p_db_column_name=>'STATUS'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Status'
,p_column_html_expression=>'<span style="white-space:nowrap;">#STATUS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10881435189881723)
,p_db_column_name=>'TYPE'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TYPE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10881567660881724)
,p_db_column_name=>'NAME'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10881603162881725)
,p_db_column_name=>'VM_NAME'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Vm Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VM_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10881770318881726)
,p_db_column_name=>'CLUSTER_NAME'
,p_display_order=>110
,p_column_identifier=>'K'
,p_column_label=>'Cluster Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CLUSTER_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10881877981881727)
,p_db_column_name=>'SHAPE'
,p_display_order=>120
,p_column_identifier=>'L'
,p_column_label=>'Shape'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10881920046881728)
,p_db_column_name=>'CPU_CORE_COUNT'
,p_display_order=>130
,p_column_identifier=>'M'
,p_column_label=>'Cpu Core Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CPU_CORE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10882015846881729)
,p_db_column_name=>'NODE_COUNT'
,p_display_order=>140
,p_column_identifier=>'N'
,p_column_label=>'Node Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NODE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10882168927881730)
,p_db_column_name=>'DB_STORAGE_GB'
,p_display_order=>150
,p_column_identifier=>'O'
,p_column_label=>'Db Storage Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_STORAGE_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10882297153881731)
,p_db_column_name=>'GI_VERSION'
,p_display_order=>160
,p_column_identifier=>'P'
,p_column_label=>'Gi Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GI_VERSION#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10882345238881732)
,p_db_column_name=>'GI_VERSION_DATE'
,p_display_order=>170
,p_column_identifier=>'Q'
,p_column_label=>'Gi Version Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GI_VERSION_DATE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10882411592881733)
,p_db_column_name=>'SYSTEM_VERSION'
,p_display_order=>180
,p_column_identifier=>'R'
,p_column_label=>'System Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SYSTEM_VERSION#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10882597350881734)
,p_db_column_name=>'SYSTEM_VERSION_DATE'
,p_display_order=>190
,p_column_identifier=>'S'
,p_column_label=>'System Version Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SYSTEM_VERSION_DATE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10882698425881735)
,p_db_column_name=>'DATABASE_EDITION'
,p_display_order=>200
,p_column_identifier=>'T'
,p_column_label=>'Database Edition'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATABASE_EDITION#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10882722996881736)
,p_db_column_name=>'LICENSE_MODEL'
,p_display_order=>210
,p_column_identifier=>'U'
,p_column_label=>'License Model'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LICENSE_MODEL#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10882803808881737)
,p_db_column_name=>'DATA_SUBNET'
,p_display_order=>220
,p_column_identifier=>'V'
,p_column_label=>'Data Subnet'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATA_SUBNET#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10882907686881738)
,p_db_column_name=>'BACKUP_SUBNET'
,p_display_order=>230
,p_column_identifier=>'W'
,p_column_label=>'Backup Subnet'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BACKUP_SUBNET#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10883085311881739)
,p_db_column_name=>'SCAN_IPS'
,p_display_order=>240
,p_column_identifier=>'X'
,p_column_label=>'Scan Ips'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SCAN_IPS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10883179220881740)
,p_db_column_name=>'VIP_IPS'
,p_display_order=>250
,p_column_identifier=>'Y'
,p_column_label=>'Vip Ips'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VIP_IPS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10883204085881741)
,p_db_column_name=>'DOMAIN'
,p_display_order=>260
,p_column_identifier=>'Z'
,p_column_label=>'Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DOMAIN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10883325905881742)
,p_db_column_name=>'DB_NODES'
,p_display_order=>270
,p_column_identifier=>'AA'
,p_column_label=>'Db Nodes'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_NODES#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10883498335881743)
,p_db_column_name=>'DB_HOMES'
,p_display_order=>280
,p_column_identifier=>'AB'
,p_column_label=>'Db Homes'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_HOMES#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10883574308881744)
,p_db_column_name=>'MAINTENANCE_WINDOW'
,p_display_order=>290
,p_column_identifier=>'AC'
,p_column_label=>'Maintenance Window'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MAINTENANCE_WINDOW#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10883608141881745)
,p_db_column_name=>'LAST_MAINTENANCE_RUN'
,p_display_order=>300
,p_column_identifier=>'AD'
,p_column_label=>'Last Maintenance Run'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LAST_MAINTENANCE_RUN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10883747966881746)
,p_db_column_name=>'NEXT_MAINTENANCE_RUN'
,p_display_order=>310
,p_column_identifier=>'AE'
,p_column_label=>'Next Maintenance Run'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NEXT_MAINTENANCE_RUN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10883802381881747)
,p_db_column_name=>'SHAPE_OCPUS'
,p_display_order=>320
,p_column_identifier=>'AF'
,p_column_label=>'Shape Ocpus'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE_OCPUS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10883957921881748)
,p_db_column_name=>'MEMORY_GB'
,p_display_order=>330
,p_column_identifier=>'AG'
,p_column_label=>'Memory Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MEMORY_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10884060591881749)
,p_db_column_name=>'LOCAL_STORAGE_TB'
,p_display_order=>340
,p_column_identifier=>'AH'
,p_column_label=>'Local Storage Tb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOCAL_STORAGE_TB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10884115517881750)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>350
,p_column_identifier=>'AI'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10884236851888201)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>360
,p_column_identifier=>'AJ'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10884334682888202)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>370
,p_column_identifier=>'AK'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10884451577888203)
,p_db_column_name=>'INFRA_ID'
,p_display_order=>380
,p_column_identifier=>'AL'
,p_column_label=>'Infra Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INFRA_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10884506639888204)
,p_db_column_name=>'ID'
,p_display_order=>390
,p_column_identifier=>'AM'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10884611032888205)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>400
,p_column_identifier=>'AN'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10952425798968774)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'109525'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:AVAILABILITY_DOMAIN:COMPARTMENT_PATH:COMPARTMENT_NAME:STATUS:TYPE:NAME:VM_NAME:CLUSTER_NAME:SHAPE:CPU_CORE_COUNT:NODE_COUNT:DB_STORAGE_GB:GI_VERSION:GI_VERSION_DATE:SYSTEM_VERSION:SYSTEM_VERSION_DATE:DATABASE_EDITION'
||':LICENSE_MODEL:DATA_SUBNET:BACKUP_SUBNET:SCAN_IPS:VIP_IPS:DOMAIN:DB_NODES:DB_HOMES:MAINTENANCE_WINDOW:LAST_MAINTENANCE_RUN:NEXT_MAINTENANCE_RUN:SHAPE_OCPUS:MEMORY_GB:LOCAL_STORAGE_TB:DEFINED_TAGS:FREEFORM_TAGS:TIME_CREATED:INFRA_ID:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10884748397888206)
,p_plug_name=>'OCI_SHOWOCI_DATABASE_EXA_CC_VMS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>110
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_DATABASE_EXA_CC_VMS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DATABASE_EXA_CC_VMS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DATABASE_EXA_CC_VMS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DATABASE_EXA_CC_VMS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10884822356888207)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10884822356888207
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10884942105888208)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10885039311888209)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10885175042888210)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10885236174888211)
,p_db_column_name=>'AVAILABILITY_DOMAIN'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Availability Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABILITY_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10885377328888212)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10885420116888213)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10885570544888214)
,p_db_column_name=>'STATUS'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Status'
,p_column_html_expression=>'<span style="white-space:nowrap;">#STATUS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10885621321888215)
,p_db_column_name=>'TYPE'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TYPE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10885707602888216)
,p_db_column_name=>'NAME'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10885817790888217)
,p_db_column_name=>'VM_NAME'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Vm Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VM_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10885935340888218)
,p_db_column_name=>'CLUSTER_NAME'
,p_display_order=>110
,p_column_identifier=>'K'
,p_column_label=>'Cluster Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CLUSTER_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10886013967888219)
,p_db_column_name=>'SHAPE'
,p_display_order=>120
,p_column_identifier=>'L'
,p_column_label=>'Shape'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10886128136888220)
,p_db_column_name=>'CPU_CORE_COUNT'
,p_display_order=>130
,p_column_identifier=>'M'
,p_column_label=>'Cpu Core Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CPU_CORE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10886223188888221)
,p_db_column_name=>'NODE_COUNT'
,p_display_order=>140
,p_column_identifier=>'N'
,p_column_label=>'Node Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NODE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10886386306888222)
,p_db_column_name=>'DB_STORAGE_GB'
,p_display_order=>150
,p_column_identifier=>'O'
,p_column_label=>'Db Storage Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_STORAGE_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10886403913888223)
,p_db_column_name=>'GI_VERSION'
,p_display_order=>160
,p_column_identifier=>'P'
,p_column_label=>'Gi Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GI_VERSION#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10886542686888224)
,p_db_column_name=>'GI_VERSION_DATE'
,p_display_order=>170
,p_column_identifier=>'Q'
,p_column_label=>'Gi Version Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GI_VERSION_DATE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10886628168888225)
,p_db_column_name=>'SYSTEM_VERSION'
,p_display_order=>180
,p_column_identifier=>'R'
,p_column_label=>'System Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SYSTEM_VERSION#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10886798970888226)
,p_db_column_name=>'SYSTEM_VERSION_DATE'
,p_display_order=>190
,p_column_identifier=>'S'
,p_column_label=>'System Version Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SYSTEM_VERSION_DATE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10886856885888227)
,p_db_column_name=>'DATABASE_EDITION'
,p_display_order=>200
,p_column_identifier=>'T'
,p_column_label=>'Database Edition'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATABASE_EDITION#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10886963987888228)
,p_db_column_name=>'LICENSE_MODEL'
,p_display_order=>210
,p_column_identifier=>'U'
,p_column_label=>'License Model'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LICENSE_MODEL#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10887019494888229)
,p_db_column_name=>'DATA_SUBNET'
,p_display_order=>220
,p_column_identifier=>'V'
,p_column_label=>'Data Subnet'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATA_SUBNET#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10887145220888230)
,p_db_column_name=>'BACKUP_SUBNET'
,p_display_order=>230
,p_column_identifier=>'W'
,p_column_label=>'Backup Subnet'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BACKUP_SUBNET#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10887261454888231)
,p_db_column_name=>'SCAN_IPS'
,p_display_order=>240
,p_column_identifier=>'X'
,p_column_label=>'Scan Ips'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SCAN_IPS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10887357881888232)
,p_db_column_name=>'VIP_IPS'
,p_display_order=>250
,p_column_identifier=>'Y'
,p_column_label=>'Vip Ips'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VIP_IPS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10887434403888233)
,p_db_column_name=>'DOMAIN'
,p_display_order=>260
,p_column_identifier=>'Z'
,p_column_label=>'Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DOMAIN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10887573152888234)
,p_db_column_name=>'DB_NODES'
,p_display_order=>270
,p_column_identifier=>'AA'
,p_column_label=>'Db Nodes'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_NODES#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10887621244888235)
,p_db_column_name=>'DB_HOMES'
,p_display_order=>280
,p_column_identifier=>'AB'
,p_column_label=>'Db Homes'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_HOMES#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10887781244888236)
,p_db_column_name=>'MAINTENANCE_WINDOW'
,p_display_order=>290
,p_column_identifier=>'AC'
,p_column_label=>'Maintenance Window'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MAINTENANCE_WINDOW#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10887814382888237)
,p_db_column_name=>'LAST_MAINTENANCE_RUN'
,p_display_order=>300
,p_column_identifier=>'AD'
,p_column_label=>'Last Maintenance Run'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LAST_MAINTENANCE_RUN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10887922057888238)
,p_db_column_name=>'NEXT_MAINTENANCE_RUN'
,p_display_order=>310
,p_column_identifier=>'AE'
,p_column_label=>'Next Maintenance Run'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NEXT_MAINTENANCE_RUN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10888067011888239)
,p_db_column_name=>'SHAPE_OCPUS'
,p_display_order=>320
,p_column_identifier=>'AF'
,p_column_label=>'Shape Ocpus'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE_OCPUS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10888185961888240)
,p_db_column_name=>'MEMORY_GB'
,p_display_order=>330
,p_column_identifier=>'AG'
,p_column_label=>'Memory Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MEMORY_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10888228429888241)
,p_db_column_name=>'LOCAL_STORAGE_TB'
,p_display_order=>340
,p_column_identifier=>'AH'
,p_column_label=>'Local Storage Tb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOCAL_STORAGE_TB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10888333141888242)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>350
,p_column_identifier=>'AI'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10888423595888243)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>360
,p_column_identifier=>'AJ'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10888519591888244)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>370
,p_column_identifier=>'AK'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10888632074888245)
,p_db_column_name=>'INFRA_ID'
,p_display_order=>380
,p_column_identifier=>'AL'
,p_column_label=>'Infra Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INFRA_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10888734580888246)
,p_db_column_name=>'ID'
,p_display_order=>390
,p_column_identifier=>'AM'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10888858611888247)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>400
,p_column_identifier=>'AN'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10951807719966207)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'109519'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:AVAILABILITY_DOMAIN:COMPARTMENT_PATH:COMPARTMENT_NAME:STATUS:TYPE:NAME:VM_NAME:CLUSTER_NAME:SHAPE:CPU_CORE_COUNT:NODE_COUNT:DB_STORAGE_GB:GI_VERSION:GI_VERSION_DATE:SYSTEM_VERSION:SYSTEM_VERSION_DATE:DATABASE_EDITION'
||':LICENSE_MODEL:DATA_SUBNET:BACKUP_SUBNET:SCAN_IPS:VIP_IPS:DOMAIN:DB_NODES:DB_HOMES:MAINTENANCE_WINDOW:LAST_MAINTENANCE_RUN:NEXT_MAINTENANCE_RUN:SHAPE_OCPUS:MEMORY_GB:LOCAL_STORAGE_TB:DEFINED_TAGS:FREEFORM_TAGS:TIME_CREATED:INFRA_ID:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10888954410888248)
,p_plug_name=>'OCI_SHOWOCI_DATABASE_EXA_INFRA'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>100
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_DATABASE_EXA_INFRA'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DATABASE_EXA_INFRA))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DATABASE_EXA_INFRA'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DATABASE_EXA_INFRA'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10889078451888249)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10889078451888249
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10889185633888250)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10889205856900801)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10889326059900802)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10889438274900803)
,p_db_column_name=>'AVAILABILITY_DOMAIN'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Availability Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABILITY_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10889503155900804)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10889676283900805)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10889711093900806)
,p_db_column_name=>'STATUS'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Status'
,p_column_html_expression=>'<span style="white-space:nowrap;">#STATUS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10889847057900807)
,p_db_column_name=>'TYPE'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TYPE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10889913835900808)
,p_db_column_name=>'NAME'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10890208732900811)
,p_db_column_name=>'SHAPE'
,p_display_order=>120
,p_column_identifier=>'J'
,p_column_label=>'Shape'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10890438958900813)
,p_db_column_name=>'NODE_COUNT'
,p_display_order=>140
,p_column_identifier=>'K'
,p_column_label=>'Node Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NODE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10891985013900828)
,p_db_column_name=>'MAINTENANCE_WINDOW'
,p_display_order=>290
,p_column_identifier=>'L'
,p_column_label=>'Maintenance Window'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MAINTENANCE_WINDOW#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10892077246900829)
,p_db_column_name=>'LAST_MAINTENANCE_RUN'
,p_display_order=>300
,p_column_identifier=>'M'
,p_column_label=>'Last Maintenance Run'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LAST_MAINTENANCE_RUN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10892157427900830)
,p_db_column_name=>'NEXT_MAINTENANCE_RUN'
,p_display_order=>310
,p_column_identifier=>'N'
,p_column_label=>'Next Maintenance Run'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NEXT_MAINTENANCE_RUN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10892503312900834)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>350
,p_column_identifier=>'O'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10892690121900835)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>360
,p_column_identifier=>'P'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10892797106900836)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>370
,p_column_identifier=>'Q'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10893170140900840)
,p_db_column_name=>'TIME_ZONE'
,p_display_order=>410
,p_column_identifier=>'U'
,p_column_label=>'Time Zone'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_ZONE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10893234317900841)
,p_db_column_name=>'CPUS_ENABLED'
,p_display_order=>420
,p_column_identifier=>'V'
,p_column_label=>'Cpus Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CPUS_ENABLED#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10893383951900842)
,p_db_column_name=>'MAX_CPU_COUNT'
,p_display_order=>430
,p_column_identifier=>'W'
,p_column_label=>'Max Cpu Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MAX_CPU_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10893496199900843)
,p_db_column_name=>'MEMORY_SIZE_IN_GBS'
,p_display_order=>440
,p_column_identifier=>'X'
,p_column_label=>'Memory Size In Gbs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MEMORY_SIZE_IN_GBS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10893593876900844)
,p_db_column_name=>'MAX_MEMORY_IN_GBS'
,p_display_order=>450
,p_column_identifier=>'Y'
,p_column_label=>'Max Memory In Gbs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MAX_MEMORY_IN_GBS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10893631804900845)
,p_db_column_name=>'DB_NODE_STORAGE_SIZE_IN_GBS'
,p_display_order=>460
,p_column_identifier=>'Z'
,p_column_label=>'Db Node Storage Size In Gbs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_NODE_STORAGE_SIZE_IN_GBS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10893722676900846)
,p_db_column_name=>'MAX_DB_NODE_STORAGE_IN_G_BS'
,p_display_order=>470
,p_column_identifier=>'AA'
,p_column_label=>'Max Db Node Storage In G Bs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MAX_DB_NODE_STORAGE_IN_G_BS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10893889664900847)
,p_db_column_name=>'DATA_STORAGE_SIZE_IN_TBS'
,p_display_order=>480
,p_column_identifier=>'AB'
,p_column_label=>'Data Storage Size In Tbs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATA_STORAGE_SIZE_IN_TBS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10893947204900848)
,p_db_column_name=>'MAX_DATA_STORAGE_IN_T_BS'
,p_display_order=>490
,p_column_identifier=>'AC'
,p_column_label=>'Max Data Storage In T Bs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MAX_DATA_STORAGE_IN_T_BS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10894026751900849)
,p_db_column_name=>'TOTAL_STORAGE_SIZE_IN_GBS'
,p_display_order=>500
,p_column_identifier=>'AD'
,p_column_label=>'Total Storage Size In Gbs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TOTAL_STORAGE_SIZE_IN_GBS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10894153708900850)
,p_db_column_name=>'AVAILABLE_STORAGE_SIZE_IN_GBS'
,p_display_order=>510
,p_column_identifier=>'AE'
,p_column_label=>'Available Storage Size In Gbs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABLE_STORAGE_SIZE_IN_GBS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10894248109902801)
,p_db_column_name=>'STORAGE_COUNT'
,p_display_order=>520
,p_column_identifier=>'AF'
,p_column_label=>'Storage Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#STORAGE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10894348092902802)
,p_db_column_name=>'ADDITIONAL_STORAGE_COUNT'
,p_display_order=>530
,p_column_identifier=>'AG'
,p_column_label=>'Additional Storage Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ADDITIONAL_STORAGE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10894440994902803)
,p_db_column_name=>'ACTIVATED_STORAGE_COUNT'
,p_display_order=>540
,p_column_identifier=>'AH'
,p_column_label=>'Activated Storage Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ACTIVATED_STORAGE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10894520398902804)
,p_db_column_name=>'COMPUTE_COUNT'
,p_display_order=>550
,p_column_identifier=>'AI'
,p_column_label=>'Compute Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPUTE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10894664738902805)
,p_db_column_name=>'CLUSTER_COUNT'
,p_display_order=>560
,p_column_identifier=>'AJ'
,p_column_label=>'Cluster Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CLUSTER_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10894749417902806)
,p_db_column_name=>'CLUSTER_NAMES'
,p_display_order=>570
,p_column_identifier=>'AK'
,p_column_label=>'Cluster Names'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CLUSTER_NAMES#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10894855077902807)
,p_db_column_name=>'DNS_SERVER'
,p_display_order=>580
,p_column_identifier=>'AL'
,p_column_label=>'Dns Server'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DNS_SERVER#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10894990756902808)
,p_db_column_name=>'NTP_SERVER'
,p_display_order=>590
,p_column_identifier=>'AM'
,p_column_label=>'Ntp Server'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NTP_SERVER#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10895027449902809)
,p_db_column_name=>'CSI_NUMBER'
,p_display_order=>600
,p_column_identifier=>'AN'
,p_column_label=>'Csi Number'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CSI_NUMBER#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10895195668902810)
,p_db_column_name=>'DB_SERVERS'
,p_display_order=>610
,p_column_identifier=>'AO'
,p_column_label=>'Db Servers'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_SERVERS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10895233842902811)
,p_db_column_name=>'DB_SERVERS_IDS'
,p_display_order=>620
,p_column_identifier=>'AP'
,p_column_label=>'Db Servers Ids'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_SERVERS_IDS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10892818599900837)
,p_db_column_name=>'INFRA_ID'
,p_display_order=>630
,p_column_identifier=>'R'
,p_column_label=>'Infra Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INFRA_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10892912500900838)
,p_db_column_name=>'ID'
,p_display_order=>640
,p_column_identifier=>'S'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10893069262900839)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>650
,p_column_identifier=>'T'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(10953060388969373)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'109531'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:AVAILABILITY_DOMAIN:COMPARTMENT_PATH:COMPARTMENT_NAME:STATUS:TYPE:NAME:SHAPE:NODE_COUNT:MAINTENANCE_WINDOW:LAST_MAINTENANCE_RUN:NEXT_MAINTENANCE_RUN:DEFINED_TAGS:FREEFORM_TAGS:TIME_CREATED:TIME_ZONE:CPUS_ENABLED:MAX_'
||'CPU_COUNT:MEMORY_SIZE_IN_GBS:MAX_MEMORY_IN_GBS:DB_NODE_STORAGE_SIZE_IN_GBS:MAX_DB_NODE_STORAGE_IN_G_BS:DATA_STORAGE_SIZE_IN_TBS:MAX_DATA_STORAGE_IN_T_BS:TOTAL_STORAGE_SIZE_IN_GBS:AVAILABLE_STORAGE_SIZE_IN_GBS:STORAGE_COUNT:ADDITIONAL_STORAGE_COUNT:AC'
||'TIVATED_STORAGE_COUNT:COMPUTE_COUNT:CLUSTER_COUNT:CLUSTER_NAMES:DNS_SERVER:NTP_SERVER:CSI_NUMBER:DB_SERVERS:DB_SERVERS_IDS:INFRA_ID:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(10895765790902816)
,p_plug_name=>'OCI_SHOWOCI_NETWORK_VCN'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>270
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_NETWORK_VCN'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_NETWORK_VCN))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_NETWORK_VCN'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_NETWORK_VCN'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(10895878962902817)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>10895878962902817
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10895955311902818)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10896039436902819)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10896115457902820)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11550619877627001)
,p_db_column_name=>'COMPARTMENT'
,p_display_order=>40
,p_column_identifier=>'I'
,p_column_label=>'Compartment'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10896200598902821)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'D'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11550745434627002)
,p_db_column_name=>'NAME'
,p_display_order=>90
,p_column_identifier=>'J'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11550880903627003)
,p_db_column_name=>'CIDR'
,p_display_order=>100
,p_column_identifier=>'K'
,p_column_label=>'Cidr'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CIDR#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11550986430627004)
,p_db_column_name=>'CIDRS'
,p_display_order=>110
,p_column_identifier=>'L'
,p_column_label=>'Cidrs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CIDRS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11551064727627005)
,p_db_column_name=>'INTERNET_GATEWAY'
,p_display_order=>120
,p_column_identifier=>'M'
,p_column_label=>'Internet Gateway'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INTERNET_GATEWAY#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11551174538627006)
,p_db_column_name=>'SERVICE_GATEWAY'
,p_display_order=>130
,p_column_identifier=>'N'
,p_column_label=>'Service Gateway'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SERVICE_GATEWAY#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11551256682627007)
,p_db_column_name=>'NAT'
,p_display_order=>140
,p_column_identifier=>'O'
,p_column_label=>'Nat'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11551399573627008)
,p_db_column_name=>'DRG'
,p_display_order=>150
,p_column_identifier=>'P'
,p_column_label=>'Drg'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DRG#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11551454742627009)
,p_db_column_name=>'LOCAL_PEERING'
,p_display_order=>160
,p_column_identifier=>'Q'
,p_column_label=>'Local Peering'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOCAL_PEERING#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11551535100627010)
,p_db_column_name=>'SUBNETS'
,p_display_order=>170
,p_column_identifier=>'R'
,p_column_label=>'Subnets'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNETS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11551652965627011)
,p_db_column_name=>'SUBNETS_CIDRS'
,p_display_order=>180
,p_column_identifier=>'S'
,p_column_label=>'Subnets Cidrs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNETS_CIDRS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10899074759902849)
,p_db_column_name=>'ID'
,p_display_order=>190
,p_column_identifier=>'G'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10898658639902845)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>200
,p_column_identifier=>'E'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10898770668902846)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>210
,p_column_identifier=>'F'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(10899188973902850)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>220
,p_column_identifier=>'H'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11561739361633215)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'115618'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT:COMPARTMENT_PATH:NAME:CIDR:CIDRS:INTERNET_GATEWAY:SERVICE_GATEWAY:NAT:DRG:LOCAL_PEERING:SUBNETS:SUBNETS_CIDRS:ID:FREEFORM_TAGS:DEFINED_TAGS:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11551707194627012)
,p_plug_name=>'OCI_SHOWOCI_NETWORK_SUBNET'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>280
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_NETWORK_SUBNET'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_NETWORK_SUBNET))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_NETWORK_SUBNET'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_NETWORK_SUBNET'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11551873210627013)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11551873210627013
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11551923782627014)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11552089190627015)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11552135532627016)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11552719401627022)
,p_db_column_name=>'INTERNET_GATEWAY'
,p_display_order=>90
,p_column_identifier=>'D'
,p_column_label=>'Internet Gateway'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INTERNET_GATEWAY#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11552886107627023)
,p_db_column_name=>'SERVICE_GATEWAY'
,p_display_order=>100
,p_column_identifier=>'E'
,p_column_label=>'Service Gateway'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SERVICE_GATEWAY#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11552982531627024)
,p_db_column_name=>'NAT'
,p_display_order=>110
,p_column_identifier=>'F'
,p_column_label=>'Nat'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11553006973627025)
,p_db_column_name=>'DRG'
,p_display_order=>120
,p_column_identifier=>'G'
,p_column_label=>'Drg'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DRG#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11553101366627026)
,p_db_column_name=>'LOCAL_PEERING'
,p_display_order=>130
,p_column_identifier=>'H'
,p_column_label=>'Local Peering'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOCAL_PEERING#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11553801445627033)
,p_db_column_name=>'VCN_COMPARTMENT'
,p_display_order=>200
,p_column_identifier=>'M'
,p_column_label=>'Vcn Compartment'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_COMPARTMENT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11553936039627034)
,p_db_column_name=>'VCN_COMPARTMENT_PATH'
,p_display_order=>210
,p_column_identifier=>'N'
,p_column_label=>'Vcn Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11554049168627035)
,p_db_column_name=>'VCN_NAME'
,p_display_order=>220
,p_column_identifier=>'O'
,p_column_label=>'Vcn Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11554193135627036)
,p_db_column_name=>'VCN_CIDR'
,p_display_order=>230
,p_column_identifier=>'P'
,p_column_label=>'Vcn Cidr'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_CIDR#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11554270836627037)
,p_db_column_name=>'VCN_CIDRS'
,p_display_order=>240
,p_column_identifier=>'Q'
,p_column_label=>'Vcn Cidrs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_CIDRS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11554375328627038)
,p_db_column_name=>'SUBNET_NAME'
,p_display_order=>250
,p_column_identifier=>'R'
,p_column_label=>'Subnet Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11554455000627039)
,p_db_column_name=>'SUBNET_CIDR'
,p_display_order=>260
,p_column_identifier=>'S'
,p_column_label=>'Subnet Cidr'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_CIDR#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11554530282627040)
,p_db_column_name=>'AVAILABILITY_DOMAIN'
,p_display_order=>270
,p_column_identifier=>'T'
,p_column_label=>'Availability Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABILITY_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11554693895627041)
,p_db_column_name=>'SUBNET_COMPARTMENT'
,p_display_order=>280
,p_column_identifier=>'U'
,p_column_label=>'Subnet Compartment'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_COMPARTMENT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11554713563627042)
,p_db_column_name=>'SUBNET_COMPARTMENT_PATH'
,p_display_order=>290
,p_column_identifier=>'V'
,p_column_label=>'Subnet Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11554807329627043)
,p_db_column_name=>'PUBLIC_PRIVATE'
,p_display_order=>300
,p_column_identifier=>'W'
,p_column_label=>'Public Private'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PUBLIC_PRIVATE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11554979236627044)
,p_db_column_name=>'DHCP_OPTIONS'
,p_display_order=>310
,p_column_identifier=>'X'
,p_column_label=>'Dhcp Options'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DHCP_OPTIONS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11555083164627045)
,p_db_column_name=>'ROUTE'
,p_display_order=>320
,p_column_identifier=>'Y'
,p_column_label=>'Route'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ROUTE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11555158690627046)
,p_db_column_name=>'SECURITY_LIST'
,p_display_order=>330
,p_column_identifier=>'Z'
,p_column_label=>'Security List'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SECURITY_LIST#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11555225237627047)
,p_db_column_name=>'DNS'
,p_display_order=>340
,p_column_identifier=>'AA'
,p_column_label=>'Dns'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DNS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11555323936627048)
,p_db_column_name=>'LOGS'
,p_display_order=>350
,p_column_identifier=>'AB'
,p_column_label=>'Logs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11555433001627049)
,p_db_column_name=>'VCN_ID'
,p_display_order=>360
,p_column_identifier=>'AC'
,p_column_label=>'Vcn Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11555571302627050)
,p_db_column_name=>'SUBNET_ID'
,p_display_order=>370
,p_column_identifier=>'AD'
,p_column_label=>'Subnet Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11553431099627029)
,p_db_column_name=>'ID'
,p_display_order=>380
,p_column_identifier=>'I'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11553558960627030)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>390
,p_column_identifier=>'J'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11553616958627031)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>400
,p_column_identifier=>'K'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11553742233627032)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>410
,p_column_identifier=>'L'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11571843330648914)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'115719'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:VCN_COMPARTMENT:VCN_COMPARTMENT_PATH:VCN_NAME:VCN_CIDR:VCN_CIDRS:SUBNET_NAME:SUBNET_CIDR:SUBNET_COMPARTMENT:SUBNET_COMPARTMENT_PATH:AVAILABILITY_DOMAIN:PUBLIC_PRIVATE:INTERNET_GATEWAY:SERVICE_GATEWAY:NAT:DRG:LOCAL_PE'
||'ERING:DHCP_OPTIONS:ROUTE:SECURITY_LIST:DNS:LOGS:VCN_ID:SUBNET_ID:ID:FREEFORM_TAGS:DEFINED_TAGS:EXTRACT_DATE:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11572665165658301)
,p_plug_name=>'OCI_SHOWOCI_NETWORK_SUBNET_PRV_IPS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>290
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_NETWORK_SUBNET_PRV_IPS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_NETWORK_SUBNET_PRV_IPS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_NETWORK_SUBNET_PRV_IPS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_NETWORK_SUBNET_PRV_IPS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11572797088658302)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11572797088658302
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11572890669658303)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11572992678658304)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11573070023658305)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11573619128658311)
,p_db_column_name=>'VCN_COMPARTMENT'
,p_display_order=>90
,p_column_identifier=>'D'
,p_column_label=>'Vcn Compartment'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_COMPARTMENT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11573792264658312)
,p_db_column_name=>'VCN_COMPARTMENT_PATH'
,p_display_order=>100
,p_column_identifier=>'E'
,p_column_label=>'Vcn Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11573848851658313)
,p_db_column_name=>'VCN_NAME'
,p_display_order=>110
,p_column_identifier=>'F'
,p_column_label=>'Vcn Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11573927740658314)
,p_db_column_name=>'VCN_CIDR'
,p_display_order=>120
,p_column_identifier=>'G'
,p_column_label=>'Vcn Cidr'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_CIDR#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11574094037658315)
,p_db_column_name=>'VCN_CIDRS'
,p_display_order=>130
,p_column_identifier=>'H'
,p_column_label=>'Vcn Cidrs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_CIDRS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11574198777658316)
,p_db_column_name=>'SUBNET_NAME'
,p_display_order=>140
,p_column_identifier=>'I'
,p_column_label=>'Subnet Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11574212264658317)
,p_db_column_name=>'SUBNET_CIDR'
,p_display_order=>150
,p_column_identifier=>'J'
,p_column_label=>'Subnet Cidr'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_CIDR#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11574467304658319)
,p_db_column_name=>'SUBNET_COMPARTMENT'
,p_display_order=>170
,p_column_identifier=>'K'
,p_column_label=>'Subnet Compartment'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_COMPARTMENT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11574511050658320)
,p_db_column_name=>'SUBNET_COMPARTMENT_PATH'
,p_display_order=>180
,p_column_identifier=>'L'
,p_column_label=>'Subnet Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11575851128658333)
,p_db_column_name=>'IP_ADDRESS'
,p_display_order=>190
,p_column_identifier=>'S'
,p_column_label=>'Ip Address'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IP_ADDRESS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11575981534658334)
,p_db_column_name=>'DISPLAY_NAME'
,p_display_order=>200
,p_column_identifier=>'T'
,p_column_label=>'Display Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DISPLAY_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11576094033658335)
,p_db_column_name=>'HOSTNAME_LABEL'
,p_display_order=>210
,p_column_identifier=>'U'
,p_column_label=>'Hostname Label'
,p_column_html_expression=>'<span style="white-space:nowrap;">#HOSTNAME_LABEL#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11576140771658336)
,p_db_column_name=>'IS_PRIMARY'
,p_display_order=>220
,p_column_identifier=>'V'
,p_column_label=>'Is Primary'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_PRIMARY#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11576238102658337)
,p_db_column_name=>'IP_COMPARTMENT_NAME'
,p_display_order=>230
,p_column_identifier=>'W'
,p_column_label=>'Ip Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IP_COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11576341600658338)
,p_db_column_name=>'IP_COMPARTMENT_PATH'
,p_display_order=>240
,p_column_identifier=>'X'
,p_column_label=>'Ip Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IP_COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11576452439658339)
,p_db_column_name=>'PRIVATEIP_ID'
,p_display_order=>250
,p_column_identifier=>'Y'
,p_column_label=>'Privateip Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRIVATEIP_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11575269164658327)
,p_db_column_name=>'VCN_ID'
,p_display_order=>260
,p_column_identifier=>'M'
,p_column_label=>'Vcn Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11575313770658328)
,p_db_column_name=>'SUBNET_ID'
,p_display_order=>270
,p_column_identifier=>'N'
,p_column_label=>'Subnet Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11575476260658329)
,p_db_column_name=>'ID'
,p_display_order=>280
,p_column_identifier=>'O'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11575578710658330)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>290
,p_column_identifier=>'P'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11575666369658331)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>300
,p_column_identifier=>'Q'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11576579125658340)
,p_db_column_name=>'VLAN_ID'
,p_display_order=>310
,p_column_identifier=>'Z'
,p_column_label=>'Vlan Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VLAN_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11576671952658341)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>320
,p_column_identifier=>'AA'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11575736335658332)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>330
,p_column_identifier=>'R'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11586189071665647)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'115862'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:IP_COMPARTMENT_NAME:IP_COMPARTMENT_PATH:IP_ADDRESS:DISPLAY_NAME:HOSTNAME_LABEL:IS_PRIMARY:VCN_COMPARTMENT:VCN_COMPARTMENT_PATH:VCN_NAME:VCN_CIDR:VCN_CIDRS:SUBNET_NAME:SUBNET_CIDR:SUBNET_COMPARTMENT:SUBNET_COMPARTMENT'
||'_PATH:PRIVATEIP_ID:VCN_ID:SUBNET_ID:ID:FREEFORM_TAGS:DEFINED_TAGS:VLAN_ID:TIME_CREATED:EXTRACT_DATE:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11576784844658342)
,p_plug_name=>'OCI_SHOWOCI_NETWORK_DRGS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>300
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_NETWORK_DRGS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_NETWORK_DRGS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_NETWORK_DRGS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_NETWORK_DRGS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11576804713658343)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11576804713658343
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11576964877658344)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11577086787658345)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11577169984658346)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11588757033671221)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>280
,p_column_identifier=>'I'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11588899712671222)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>290
,p_column_identifier=>'J'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11588907487671223)
,p_db_column_name=>'NAME'
,p_display_order=>300
,p_column_identifier=>'K'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11589063087671224)
,p_db_column_name=>'REDUNDANCY'
,p_display_order=>310
,p_column_identifier=>'L'
,p_column_label=>'Redundancy'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REDUNDANCY#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11589161474671225)
,p_db_column_name=>'DRG_ROUTE_TABLES'
,p_display_order=>320
,p_column_identifier=>'M'
,p_column_label=>'Drg Route Tables'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DRG_ROUTE_TABLES#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11589203309671226)
,p_db_column_name=>'IP_SEC_CONNECTIONS'
,p_display_order=>330
,p_column_identifier=>'N'
,p_column_label=>'Ip Sec Connections'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IP_SEC_CONNECTIONS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11589382418671227)
,p_db_column_name=>'VIRTUAL_CIRCUITS'
,p_display_order=>340
,p_column_identifier=>'O'
,p_column_label=>'Virtual Circuits'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VIRTUAL_CIRCUITS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11589489388671228)
,p_db_column_name=>'REMOTE_PEERINGS'
,p_display_order=>350
,p_column_identifier=>'P'
,p_column_label=>'Remote Peerings'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REMOTE_PEERINGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11589545445671229)
,p_db_column_name=>'VCNS'
,p_display_order=>360
,p_column_identifier=>'Q'
,p_column_label=>'Vcns'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCNS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11588139331671215)
,p_db_column_name=>'ID'
,p_display_order=>370
,p_column_identifier=>'D'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11588234952671216)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>380
,p_column_identifier=>'E'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11588389542671217)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>390
,p_column_identifier=>'F'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11588592727671219)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>400
,p_column_identifier=>'G'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11588673182671220)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>410
,p_column_identifier=>'H'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11597350852677673)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'115974'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:REDUNDANCY:DRG_ROUTE_TABLES:IP_SEC_CONNECTIONS:VIRTUAL_CIRCUITS:REMOTE_PEERINGS:VCNS:ID:FREEFORM_TAGS:DEFINED_TAGS:TIME_CREATED:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11589695390671230)
,p_plug_name=>'OCI_SHOWOCI_NETWORK_SECGROUPS_RULES'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>310
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_NETWORK_SECGROUPS_RULES'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_NETWORK_SECGROUPS_RULES))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_NETWORK_SECGROUPS_RULES'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_NETWORK_SECGROUPS_RULES'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11589793467671231)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11589793467671231
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11589810692671232)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11589911825671233)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11590025973671234)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11591518199671249)
,p_db_column_name=>'VCN_COMPARTMENT'
,p_display_order=>180
,p_column_identifier=>'G'
,p_column_label=>'Vcn Compartment'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_COMPARTMENT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11591619678671250)
,p_db_column_name=>'VCN_COMPARTMENT_PATH'
,p_display_order=>190
,p_column_identifier=>'H'
,p_column_label=>'Vcn Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11597941753680601)
,p_db_column_name=>'VCN_NAME'
,p_display_order=>200
,p_column_identifier=>'I'
,p_column_label=>'Vcn Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11598034240680602)
,p_db_column_name=>'VCN_CIDR'
,p_display_order=>210
,p_column_identifier=>'J'
,p_column_label=>'Vcn Cidr'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_CIDR#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11598153998680603)
,p_db_column_name=>'VCN_CIDRS'
,p_display_order=>220
,p_column_identifier=>'K'
,p_column_label=>'Vcn Cidrs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_CIDRS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11598288637680604)
,p_db_column_name=>'SEC_NAME'
,p_display_order=>230
,p_column_identifier=>'L'
,p_column_label=>'Sec Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SEC_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11598345438680605)
,p_db_column_name=>'SEC_COMPARTMENT'
,p_display_order=>240
,p_column_identifier=>'M'
,p_column_label=>'Sec Compartment'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SEC_COMPARTMENT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11598433986680606)
,p_db_column_name=>'SEC_COMPARTMENT_PATH'
,p_display_order=>250
,p_column_identifier=>'N'
,p_column_label=>'Sec Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SEC_COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11598522984680607)
,p_db_column_name=>'SEC_PROTOCOL'
,p_display_order=>260
,p_column_identifier=>'O'
,p_column_label=>'Sec Protocol'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SEC_PROTOCOL#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11598688889680608)
,p_db_column_name=>'SEC_RULES'
,p_display_order=>270
,p_column_identifier=>'P'
,p_column_label=>'Sec Rules'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SEC_RULES#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11598751464680609)
,p_db_column_name=>'IS_STATELESS'
,p_display_order=>280
,p_column_identifier=>'Q'
,p_column_label=>'Is Stateless'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_STATELESS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11598843292680610)
,p_db_column_name=>'VCN_ID'
,p_display_order=>290
,p_column_identifier=>'R'
,p_column_label=>'Vcn Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11598976176680611)
,p_db_column_name=>'SEC_ID'
,p_display_order=>300
,p_column_identifier=>'S'
,p_column_label=>'Sec Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SEC_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11591079471671244)
,p_db_column_name=>'ID'
,p_display_order=>310
,p_column_identifier=>'D'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11591345079671247)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>320
,p_column_identifier=>'E'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11591496374671248)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>330
,p_column_identifier=>'F'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11609099939684821)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'116091'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:SEC_NAME:SEC_COMPARTMENT:SEC_COMPARTMENT_PATH:SEC_PROTOCOL:SEC_RULES:IS_STATELESS:REGION_NAME:VCN_COMPARTMENT:VCN_COMPARTMENT_PATH:VCN_NAME:VCN_CIDR:VCN_CIDRS:VCN_ID:SEC_ID:ID:TIME_CREATED:EXTRACT_DATE:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11599036063680612)
,p_plug_name=>'OCI_SHOWOCI_NETWORK_SECLIST_RULES'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>320
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_NETWORK_SECLIST_RULES'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_NETWORK_SECLIST_RULES))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_NETWORK_SECLIST_RULES'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_NETWORK_SECLIST_RULES'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11599182767680613)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11599182767680613
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11599239150680614)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11599312848680615)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11599445719680616)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11599529521680617)
,p_db_column_name=>'VCN_COMPARTMENT'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Vcn Compartment'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_COMPARTMENT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11599632728680618)
,p_db_column_name=>'VCN_COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Vcn Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11599738415680619)
,p_db_column_name=>'VCN_NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Vcn Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11599810054680620)
,p_db_column_name=>'VCN_CIDR'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Vcn Cidr'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_CIDR#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11599905431680621)
,p_db_column_name=>'VCN_CIDRS'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Vcn Cidrs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_CIDRS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11600076543680622)
,p_db_column_name=>'SEC_NAME'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Sec Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SEC_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11600194480680623)
,p_db_column_name=>'SEC_COMPARTMENT'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Sec Compartment'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SEC_COMPARTMENT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11600252802680624)
,p_db_column_name=>'SEC_COMPARTMENT_PATH'
,p_display_order=>110
,p_column_identifier=>'K'
,p_column_label=>'Sec Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SEC_COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11600354010680625)
,p_db_column_name=>'SEC_PROTOCOL'
,p_display_order=>120
,p_column_identifier=>'L'
,p_column_label=>'Sec Protocol'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SEC_PROTOCOL#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11600440064680626)
,p_db_column_name=>'SEC_RULES'
,p_display_order=>130
,p_column_identifier=>'M'
,p_column_label=>'Sec Rules'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SEC_RULES#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11600508880680627)
,p_db_column_name=>'IS_STATELESS'
,p_display_order=>140
,p_column_identifier=>'N'
,p_column_label=>'Is Stateless'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_STATELESS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11600659308680628)
,p_db_column_name=>'VCN_ID'
,p_display_order=>150
,p_column_identifier=>'O'
,p_column_label=>'Vcn Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11600775529680629)
,p_db_column_name=>'SEC_ID'
,p_display_order=>160
,p_column_identifier=>'P'
,p_column_label=>'Sec Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SEC_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11600823469680630)
,p_db_column_name=>'ID'
,p_display_order=>170
,p_column_identifier=>'Q'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11600981120680631)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>180
,p_column_identifier=>'R'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11601082101680632)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>190
,p_column_identifier=>'S'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11615729729693241)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'116158'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:SEC_COMPARTMENT:SEC_COMPARTMENT_PATH:SEC_NAME:SEC_PROTOCOL:SEC_RULES:IS_STATELESS:VCN_COMPARTMENT:VCN_COMPARTMENT_PATH:VCN_NAME:VCN_CIDR:VCN_CIDRS:VCN_ID:SEC_ID:ID:TIME_CREATED:EXTRACT_DATE:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11601198136680633)
,p_plug_name=>'OCI_SHOWOCI_NETWORK_DHCP_OPTIONS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>330
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_NETWORK_DHCP_OPTIONS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_NETWORK_DHCP_OPTIONS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_NETWORK_DHCP_OPTIONS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_NETWORK_DHCP_OPTIONS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11601243465680634)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11601243465680634
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11601372310680635)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11601485637680636)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11601545127680637)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11601600313680638)
,p_db_column_name=>'VCN_COMPARTMENT'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Vcn Compartment'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_COMPARTMENT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11601734960680639)
,p_db_column_name=>'VCN_COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Vcn Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11601800947680640)
,p_db_column_name=>'VCN_NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Vcn Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11601927573680641)
,p_db_column_name=>'VCN_CIDR'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Vcn Cidr'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_CIDR#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11602095592680642)
,p_db_column_name=>'VCN_CIDRS'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Vcn Cidrs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_CIDRS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11616680832694904)
,p_db_column_name=>'DHCP_NAME'
,p_display_order=>160
,p_column_identifier=>'T'
,p_column_label=>'Dhcp Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DHCP_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11616740525694905)
,p_db_column_name=>'OPTION_1'
,p_display_order=>170
,p_column_identifier=>'U'
,p_column_label=>'Option 1'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OPTION_1#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11616898426694906)
,p_db_column_name=>'OPTION_2'
,p_display_order=>180
,p_column_identifier=>'V'
,p_column_label=>'Option 2'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OPTION_2#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11616913720694907)
,p_db_column_name=>'DHCP_COMPARTMENT'
,p_display_order=>190
,p_column_identifier=>'W'
,p_column_label=>'Dhcp Compartment'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DHCP_COMPARTMENT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11617080551694908)
,p_db_column_name=>'DHCP_COMPARTMENT_PATH'
,p_display_order=>200
,p_column_identifier=>'X'
,p_column_label=>'Dhcp Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DHCP_COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11602715434680649)
,p_db_column_name=>'VCN_ID'
,p_display_order=>210
,p_column_identifier=>'O'
,p_column_label=>'Vcn Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11616302401694901)
,p_db_column_name=>'ID'
,p_display_order=>220
,p_column_identifier=>'Q'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11616470631694902)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>230
,p_column_identifier=>'R'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11616557699694903)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>240
,p_column_identifier=>'S'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11627472273699868)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'116275'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:DHCP_COMPARTMENT:DHCP_COMPARTMENT_PATH:DHCP_NAME:OPTION_1:OPTION_2:VCN_COMPARTMENT:VCN_COMPARTMENT_PATH:VCN_NAME:VCN_CIDR:VCN_CIDRS:VCN_ID:ID:TIME_CREATED:EXTRACT_DATE:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11617187176694909)
,p_plug_name=>'OCI_SHOWOCI_NETWORK_ROUTES'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>340
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_NETWORK_ROUTES'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_NETWORK_ROUTES))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_NETWORK_ROUTES'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_NETWORK_ROUTES'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11617219882694910)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11617219882694910
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11617380307694911)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11617418628694912)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11617571286694913)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11619033599694928)
,p_db_column_name=>'ROUTE_NAME'
,p_display_order=>40
,p_column_identifier=>'M'
,p_column_label=>'Route Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ROUTE_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11619181026694929)
,p_db_column_name=>'ROUTE_COMPARTMENT'
,p_display_order=>50
,p_column_identifier=>'N'
,p_column_label=>'Route Compartment'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ROUTE_COMPARTMENT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11619205887694930)
,p_db_column_name=>'ROUTE_COMPARTMENT_PATH'
,p_display_order=>60
,p_column_identifier=>'O'
,p_column_label=>'Route Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ROUTE_COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11619369452694931)
,p_db_column_name=>'DESTINATION'
,p_display_order=>70
,p_column_identifier=>'P'
,p_column_label=>'Destination'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DESTINATION#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11619452602694932)
,p_db_column_name=>'ROUTE'
,p_display_order=>80
,p_column_identifier=>'Q'
,p_column_label=>'Route'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ROUTE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11617637314694914)
,p_db_column_name=>'VCN_COMPARTMENT'
,p_display_order=>90
,p_column_identifier=>'D'
,p_column_label=>'Vcn Compartment'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_COMPARTMENT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11617702778694915)
,p_db_column_name=>'VCN_COMPARTMENT_PATH'
,p_display_order=>100
,p_column_identifier=>'E'
,p_column_label=>'Vcn Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11617881000694916)
,p_db_column_name=>'VCN_NAME'
,p_display_order=>110
,p_column_identifier=>'F'
,p_column_label=>'Vcn Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11617916499694917)
,p_db_column_name=>'VCN_CIDR'
,p_display_order=>120
,p_column_identifier=>'G'
,p_column_label=>'Vcn Cidr'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_CIDR#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11618044250694918)
,p_db_column_name=>'VCN_CIDRS'
,p_display_order=>130
,p_column_identifier=>'H'
,p_column_label=>'Vcn Cidrs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_CIDRS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11618622625694924)
,p_db_column_name=>'VCN_ID'
,p_display_order=>140
,p_column_identifier=>'I'
,p_column_label=>'Vcn Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11619531732694933)
,p_db_column_name=>'ROUTE_ID'
,p_display_order=>150
,p_column_identifier=>'R'
,p_column_label=>'Route Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ROUTE_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11618709138694925)
,p_db_column_name=>'ID'
,p_display_order=>160
,p_column_identifier=>'J'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11618838245694926)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>170
,p_column_identifier=>'K'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11618916876694927)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>180
,p_column_identifier=>'L'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11641400479715807)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'116415'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:ROUTE_NAME:ROUTE_COMPARTMENT:ROUTE_COMPARTMENT_PATH:DESTINATION:ROUTE:VCN_COMPARTMENT:VCN_COMPARTMENT_PATH:VCN_NAME:VCN_CIDR:VCN_CIDRS:VCN_ID:ROUTE_ID:ID:TIME_CREATED:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11619679797694934)
,p_plug_name=>'OCI_SHOWOCI_NETWORK_DRG_VC'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>350
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_NETWORK_DRG_VC'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_NETWORK_DRG_VC))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_NETWORK_DRG_VC'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_NETWORK_DRG_VC'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11619726999694935)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11619726999694935
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11619881490694936)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11619901799694937)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11620018784694938)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11642334027717804)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>190
,p_column_identifier=>'G'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11642420347717805)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>200
,p_column_identifier=>'H'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11642549626717806)
,p_db_column_name=>'NAME'
,p_display_order=>210
,p_column_identifier=>'I'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11642642360717807)
,p_db_column_name=>'BANDWIDTH_SHAPE_NAME'
,p_display_order=>220
,p_column_identifier=>'J'
,p_column_label=>'Bandwidth Shape Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BANDWIDTH_SHAPE_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11642766380717808)
,p_db_column_name=>'BGP_MANAGEMENT'
,p_display_order=>230
,p_column_identifier=>'K'
,p_column_label=>'Bgp Management'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BGP_MANAGEMENT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11642894962717809)
,p_db_column_name=>'BGP_SESSION_STATE'
,p_display_order=>240
,p_column_identifier=>'L'
,p_column_label=>'Bgp Session State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BGP_SESSION_STATE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11642960072717810)
,p_db_column_name=>'BGP_IPV6_SESSION_STATE'
,p_display_order=>250
,p_column_identifier=>'M'
,p_column_label=>'Bgp Ipv6 Session State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BGP_IPV6_SESSION_STATE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11643060959717811)
,p_db_column_name=>'BGP_ADMIN_STATE'
,p_display_order=>260
,p_column_identifier=>'N'
,p_column_label=>'Bgp Admin State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BGP_ADMIN_STATE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11643148795717812)
,p_db_column_name=>'IS_BFD_ENABLED'
,p_display_order=>270
,p_column_identifier=>'O'
,p_column_label=>'Is Bfd Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_BFD_ENABLED#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11643264803717813)
,p_db_column_name=>'CUSTOMER_ASN'
,p_display_order=>280
,p_column_identifier=>'P'
,p_column_label=>'Customer Asn'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CUSTOMER_ASN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11643353574717814)
,p_db_column_name=>'GATEWAY_ID'
,p_display_order=>290
,p_column_identifier=>'Q'
,p_column_label=>'Gateway Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#GATEWAY_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11643497491717815)
,p_db_column_name=>'PROVIDER_SERVICE_ID'
,p_display_order=>300
,p_column_identifier=>'R'
,p_column_label=>'Provider Service Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PROVIDER_SERVICE_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11643587762717816)
,p_db_column_name=>'PROVIDER_SERVICE_KEY_NAME'
,p_display_order=>310
,p_column_identifier=>'S'
,p_column_label=>'Provider Service Key Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PROVIDER_SERVICE_KEY_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11643641948717817)
,p_db_column_name=>'ROUTING_POLICY'
,p_display_order=>320
,p_column_identifier=>'T'
,p_column_label=>'Routing Policy'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ROUTING_POLICY#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11643726213717818)
,p_db_column_name=>'PUBLIC_PREFIXES'
,p_display_order=>330
,p_column_identifier=>'U'
,p_column_label=>'Public Prefixes'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PUBLIC_PREFIXES#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11643872003717819)
,p_db_column_name=>'REGION'
,p_display_order=>340
,p_column_identifier=>'V'
,p_column_label=>'Region'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11643928137717820)
,p_db_column_name=>'CUSTOMER_BGP_ASN'
,p_display_order=>350
,p_column_identifier=>'W'
,p_column_label=>'Customer Bgp Asn'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CUSTOMER_BGP_ASN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11644035720717821)
,p_db_column_name=>'DRG'
,p_display_order=>360
,p_column_identifier=>'X'
,p_column_label=>'Drg'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DRG#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11644125013717822)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>370
,p_column_identifier=>'Y'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11644217221717823)
,p_db_column_name=>'ORACLE_BGP_ASN'
,p_display_order=>380
,p_column_identifier=>'Z'
,p_column_label=>'Oracle Bgp Asn'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ORACLE_BGP_ASN#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11644368235717824)
,p_db_column_name=>'PROVIDER_NAME'
,p_display_order=>390
,p_column_identifier=>'AA'
,p_column_label=>'Provider Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PROVIDER_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11644478495717825)
,p_db_column_name=>'PROVIDER_SERVICE_NAME'
,p_display_order=>400
,p_column_identifier=>'AB'
,p_column_label=>'Provider Service Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PROVIDER_SERVICE_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11644571886717826)
,p_db_column_name=>'PROVIDER_STATE'
,p_display_order=>410
,p_column_identifier=>'AC'
,p_column_label=>'Provider State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PROVIDER_STATE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11644646533717827)
,p_db_column_name=>'REFERENCE_COMMENT'
,p_display_order=>420
,p_column_identifier=>'AD'
,p_column_label=>'Reference Comment'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REFERENCE_COMMENT#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11644706869717828)
,p_db_column_name=>'SERVICE_TYPE'
,p_display_order=>430
,p_column_identifier=>'AE'
,p_column_label=>'Service Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SERVICE_TYPE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11644885750717829)
,p_db_column_name=>'CROSS_CONNECT_MAPPINGS'
,p_display_order=>440
,p_column_identifier=>'AF'
,p_column_label=>'Cross Connect Mappings'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CROSS_CONNECT_MAPPINGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11644988378717830)
,p_db_column_name=>'TYPE'
,p_display_order=>450
,p_column_identifier=>'AG'
,p_column_label=>'Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TYPE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11645088863717831)
,p_db_column_name=>'DRG_ROUTE_TABLE'
,p_display_order=>460
,p_column_identifier=>'AH'
,p_column_label=>'Drg Route Table'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DRG_ROUTE_TABLE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11645194510717832)
,p_db_column_name=>'DRG_ID'
,p_display_order=>470
,p_column_identifier=>'AI'
,p_column_label=>'Drg Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DRG_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11645287890717833)
,p_db_column_name=>'DRG_ROUTE_TABLE_ID'
,p_display_order=>480
,p_column_identifier=>'AJ'
,p_column_label=>'Drg Route Table Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DRG_ROUTE_TABLE_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11645324221717834)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>490
,p_column_identifier=>'AK'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11645447370717835)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>500
,p_column_identifier=>'AL'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11642015469717801)
,p_db_column_name=>'ID'
,p_display_order=>510
,p_column_identifier=>'D'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11642167064717802)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>520
,p_column_identifier=>'E'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11642204268717803)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>530
,p_column_identifier=>'F'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11658968021725361)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'116590'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:BANDWIDTH_SHAPE_NAME:BGP_MANAGEMENT:BGP_SESSION_STATE:BGP_IPV6_SESSION_STATE:BGP_ADMIN_STATE:IS_BFD_ENABLED:CUSTOMER_ASN:GATEWAY_ID:PROVIDER_SERVICE_ID:PROVIDER_SERVICE_KEY_NAME'
||':ROUTING_POLICY:PUBLIC_PREFIXES:REGION:CUSTOMER_BGP_ASN:DRG:LIFECYCLE_STATE:ORACLE_BGP_ASN:PROVIDER_NAME:PROVIDER_SERVICE_NAME:PROVIDER_STATE:REFERENCE_COMMENT:SERVICE_TYPE:CROSS_CONNECT_MAPPINGS:TYPE:DRG_ROUTE_TABLE:DRG_ID:DRG_ROUTE_TABLE_ID:FREEFOR'
||'M_TAGS:DEFINED_TAGS:ID:TIME_CREATED:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11645541444717836)
,p_plug_name=>'OCI_SHOWOCI_NETWORK_DRG_IPSEC'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>360
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_NETWORK_DRG_IPSEC'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_NETWORK_DRG_IPSEC))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_NETWORK_DRG_IPSEC'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_NETWORK_DRG_IPSEC'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11645649407717837)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11645649407717837
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11645753172717838)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11645807145717839)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11645973356717840)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11646010514717841)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11646128724717842)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11662015380731526)
,p_db_column_name=>'TUNNEL_NAME'
,p_display_order=>60
,p_column_identifier=>'N'
,p_column_label=>'Tunnel Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TUNNEL_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11662138629731527)
,p_db_column_name=>'STATUS'
,p_display_order=>70
,p_column_identifier=>'O'
,p_column_label=>'Status'
,p_column_html_expression=>'<span style="white-space:nowrap;">#STATUS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11662207922731528)
,p_db_column_name=>'ROUTING'
,p_display_order=>80
,p_column_identifier=>'P'
,p_column_label=>'Routing'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ROUTING#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11662326885731529)
,p_db_column_name=>'BGP_INFO'
,p_display_order=>90
,p_column_identifier=>'Q'
,p_column_label=>'Bgp Info'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BGP_INFO#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11662495923731530)
,p_db_column_name=>'IPSEC_NAME'
,p_display_order=>100
,p_column_identifier=>'R'
,p_column_label=>'Ipsec Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IPSEC_NAME#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11662561320731531)
,p_db_column_name=>'CPE'
,p_display_order=>110
,p_column_identifier=>'S'
,p_column_label=>'Cpe'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CPE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11662627560731532)
,p_db_column_name=>'CPE_LOCAL_IDENTIFIER'
,p_display_order=>120
,p_column_identifier=>'T'
,p_column_label=>'Cpe Local Identifier'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CPE_LOCAL_IDENTIFIER#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11662788204731533)
,p_db_column_name=>'ROUTES'
,p_display_order=>130
,p_column_identifier=>'U'
,p_column_label=>'Routes'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ROUTES#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11662877463731534)
,p_db_column_name=>'CPE_ID'
,p_display_order=>140
,p_column_identifier=>'V'
,p_column_label=>'Cpe Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CPE_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11662983185731535)
,p_db_column_name=>'IPSEC_ID'
,p_display_order=>150
,p_column_identifier=>'W'
,p_column_label=>'Ipsec Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IPSEC_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11663004500731536)
,p_db_column_name=>'CPE_TIME_CREATED'
,p_display_order=>160
,p_column_identifier=>'X'
,p_column_label=>'Cpe Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CPE_TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11660276273731508)
,p_db_column_name=>'DRG'
,p_display_order=>180
,p_column_identifier=>'F'
,p_column_label=>'Drg'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DRG#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11661294289731518)
,p_db_column_name=>'DRG_ROUTE_TABLE'
,p_display_order=>190
,p_column_identifier=>'G'
,p_column_label=>'Drg Route Table'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DRG_ROUTE_TABLE#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11661372237731519)
,p_db_column_name=>'DRG_ID'
,p_display_order=>200
,p_column_identifier=>'H'
,p_column_label=>'Drg Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DRG_ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11661584953731521)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>210
,p_column_identifier=>'I'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11661602662731522)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>220
,p_column_identifier=>'J'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11661734884731523)
,p_db_column_name=>'ID'
,p_display_order=>230
,p_column_identifier=>'K'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11661842196731524)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>240
,p_column_identifier=>'L'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11661999917731525)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>250
,p_column_identifier=>'M'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_static_id=>'repcol'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11672175922738403)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'116722'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:TUNNEL_NAME:STATUS:ROUTING:BGP_INFO:IPSEC_NAME:CPE:CPE_LOCAL_IDENTIFIER:ROUTES:CPE_ID:IPSEC_ID:CPE_TIME_CREATED:DRG:DRG_ROUTE_TABLE:DRG_ID:FREEFORM_TAGS:DEFINED_TAGS:ID:TIME_CREATED:'
||'EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11663268164731538)
,p_plug_name=>'OCI_SHOWOCI_DIGITAL_ASSISTANCE'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>370
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_DIGITAL_ASSISTANCE'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DIGITAL_ASSISTANCE))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DIGITAL_ASSISTANCE'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DIGITAL_ASSISTANCE'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11663364633731539)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11663364633731539
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11663410809731540)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11663591232731541)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11663612636731542)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11663789497731543)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11663883112731544)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11792938330904714)
,p_db_column_name=>'NAME'
,p_display_order=>250
,p_column_identifier=>'K'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11793020077904715)
,p_db_column_name=>'DESCRIPTION'
,p_display_order=>260
,p_column_identifier=>'L'
,p_column_label=>'Description'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DESCRIPTION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11793138390904716)
,p_db_column_name=>'SHAPE_NAME'
,p_display_order=>270
,p_column_identifier=>'M'
,p_column_label=>'Shape Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11793228999904717)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>280
,p_column_identifier=>'N'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11793387487904718)
,p_db_column_name=>'IS_ROLE_BASED_ACCESS'
,p_display_order=>290
,p_column_identifier=>'O'
,p_column_label=>'Is Role Based Access'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_ROLE_BASED_ACCESS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11793483938904719)
,p_db_column_name=>'IDENTITY_DOMAIN'
,p_display_order=>300
,p_column_identifier=>'P'
,p_column_label=>'Identity Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IDENTITY_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11793558904904720)
,p_db_column_name=>'IMPORTED_PACKAGE_NAMES'
,p_display_order=>310
,p_column_identifier=>'Q'
,p_column_label=>'Imported Package Names'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IMPORTED_PACKAGE_NAMES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11793689417904721)
,p_db_column_name=>'ATTACHMENT_TYPES'
,p_display_order=>320
,p_column_identifier=>'R'
,p_column_label=>'Attachment Types'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ATTACHMENT_TYPES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11792498806904709)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>330
,p_column_identifier=>'F'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11792567899904710)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>340
,p_column_identifier=>'G'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11792602672904711)
,p_db_column_name=>'ID'
,p_display_order=>350
,p_column_identifier=>'H'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11792744210904712)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>360
,p_column_identifier=>'I'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11792815413904713)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>370
,p_column_identifier=>'J'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11802442829915861)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'118025'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:DESCRIPTION:SHAPE_NAME:LIFECYCLE_STATE:IS_ROLE_BASED_ACCESS:IDENTITY_DOMAIN:IMPORTED_PACKAGE_NAMES:ATTACHMENT_TYPES:FREEFORM_TAGS:DEFINED_TAGS:ID:TIME_CREATED:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11793796855904722)
,p_plug_name=>'OCI_SHOWOCI_BIG_DATA'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>380
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_BIG_DATA'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_BIG_DATA))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_BIG_DATA'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_BIG_DATA'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11793819382904723)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11793819382904723
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11793903611904724)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11794047660904725)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11794164577904726)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11794203709904727)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11794362627904728)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11794472468904729)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11795735850904742)
,p_db_column_name=>'NUMBER_OF_NODES'
,p_display_order=>190
,p_column_identifier=>'M'
,p_column_label=>'Number Of Nodes'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NUMBER_OF_NODES#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11795874434904743)
,p_db_column_name=>'IS_HIGH_AVAILABILITY'
,p_display_order=>200
,p_column_identifier=>'N'
,p_column_label=>'Is High Availability'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_HIGH_AVAILABILITY#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11795907694904744)
,p_db_column_name=>'CLUSTER_VERSION'
,p_display_order=>210
,p_column_identifier=>'O'
,p_column_label=>'Cluster Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CLUSTER_VERSION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11796098432904745)
,p_db_column_name=>'CLUSTER_PROFILE'
,p_display_order=>220
,p_column_identifier=>'P'
,p_column_label=>'Cluster Profile'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CLUSTER_PROFILE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11796191154904746)
,p_db_column_name=>'IS_SECURE'
,p_display_order=>230
,p_column_identifier=>'Q'
,p_column_label=>'Is Secure'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_SECURE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11796297989904747)
,p_db_column_name=>'IS_CLOUD_SQL_CONFIGURED'
,p_display_order=>240
,p_column_identifier=>'R'
,p_column_label=>'Is Cloud Sql Configured'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_CLOUD_SQL_CONFIGURED#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11794700936904732)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>250
,p_column_identifier=>'G'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11795230742904737)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>260
,p_column_identifier=>'H'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11795336740904738)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>270
,p_column_identifier=>'I'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11795446495904739)
,p_db_column_name=>'ID'
,p_display_order=>280
,p_column_identifier=>'J'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11795505599904740)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>290
,p_column_identifier=>'K'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11795684209904741)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>300
,p_column_identifier=>'L'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11945525201366496)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'119456'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:NUMBER_OF_NODES:IS_HIGH_AVAILABILITY:CLUSTER_VERSION:CLUSTER_PROFILE:IS_SECURE:IS_CLOUD_SQL_CONFIGURED:LIFECYCLE_STATE:FREEFORM_TAGS:DEFINED_TAGS:ID:TIME_CREATED:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11796324529904748)
,p_plug_name=>'OCI_SHOWOCI_DATA_FLOW'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>390
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_DATA_FLOW'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DATA_FLOW))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DATA_FLOW'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DATA_FLOW'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11796454680904749)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11796454680904749
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11796559133904750)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11808845533924101)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11808970835924102)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11809084294924103)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11809181837924104)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11809251567924105)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11810560447924118)
,p_db_column_name=>'LANGUAGE'
,p_display_order=>190
,p_column_identifier=>'M'
,p_column_label=>'Language'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LANGUAGE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11810636849924119)
,p_db_column_name=>'OWNER_PRINCIPAL_ID'
,p_display_order=>200
,p_column_identifier=>'N'
,p_column_label=>'Owner Principal Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OWNER_PRINCIPAL_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11810707547924120)
,p_db_column_name=>'OWNER_USER_NAME'
,p_display_order=>210
,p_column_identifier=>'O'
,p_column_label=>'Owner User Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OWNER_USER_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11810815841924121)
,p_db_column_name=>'SPARK_VERSION'
,p_display_order=>220
,p_column_identifier=>'P'
,p_column_label=>'Spark Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SPARK_VERSION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11810901698924122)
,p_db_column_name=>'TYPE'
,p_display_order=>230
,p_column_identifier=>'Q'
,p_column_label=>'Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11809909998924112)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>240
,p_column_identifier=>'G'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11810087468924113)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>250
,p_column_identifier=>'H'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11810163000924114)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>260
,p_column_identifier=>'I'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11810262728924115)
,p_db_column_name=>'ID'
,p_display_order=>270
,p_column_identifier=>'J'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11810391161924116)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>280
,p_column_identifier=>'K'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11810472959924117)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>290
,p_column_identifier=>'L'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11947959622372875)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'119480'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:LANGUAGE:OWNER_PRINCIPAL_ID:OWNER_USER_NAME:SPARK_VERSION:TYPE:LIFECYCLE_STATE:FREEFORM_TAGS:DEFINED_TAGS:ID:TIME_CREATED:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11811007295924123)
,p_plug_name=>'OCI_SHOWOCI_DATA_CATALOG'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>400
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_DATA_CATALOG'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DATA_CATALOG))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DATA_CATALOG'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DATA_CATALOG'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11811181224924124)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11811181224924124
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11811202125924125)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11811355816924126)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11811407896924127)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11811507469924128)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11811614045924129)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11811784753924130)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11812912531924142)
,p_db_column_name=>'NUMBER_OF_OBJECTS'
,p_display_order=>70
,p_column_identifier=>'M'
,p_column_label=>'Number Of Objects'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NUMBER_OF_OBJECTS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11813030873924143)
,p_db_column_name=>'ATTACHED_CATALOG_PRIVATE_ENDPOINTS'
,p_display_order=>80
,p_column_identifier=>'N'
,p_column_label=>'Attached Catalog Private Endpoints'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ATTACHED_CATALOG_PRIVATE_ENDPOINTS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11812361543924136)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>90
,p_column_identifier=>'G'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11812403450924137)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>100
,p_column_identifier=>'H'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11812562522924138)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>110
,p_column_identifier=>'I'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11812683429924139)
,p_db_column_name=>'ID'
,p_display_order=>120
,p_column_identifier=>'J'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11812783918924140)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>130
,p_column_identifier=>'K'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11812883811924141)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>140
,p_column_identifier=>'L'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11946720060372063)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'119468'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:NUMBER_OF_OBJECTS:ATTACHED_CATALOG_PRIVATE_ENDPOINTS:LIFECYCLE_STATE:FREEFORM_TAGS:DEFINED_TAGS:ID:TIME_CREATED:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11813122513924144)
,p_plug_name=>'OCI_SHOWOCI_DATA_CONN_REGISTRY'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>410
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_DATA_CONN_REGISTRY'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DATA_CONN_REGISTRY))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DATA_CONN_REGISTRY'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DATA_CONN_REGISTRY'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11813261993924145)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11813261993924145
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11813357750924146)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11813485298924147)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11813583135924148)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11813629839924149)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11813797895924150)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11824177333933001)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11825095598933010)
,p_db_column_name=>'DESCRIPTION'
,p_display_order=>70
,p_column_identifier=>'M'
,p_column_label=>'Description'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DESCRIPTION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11824435265933004)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>80
,p_column_identifier=>'G'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11824539769933005)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>90
,p_column_identifier=>'H'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11824651735933006)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>100
,p_column_identifier=>'I'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11824755312933007)
,p_db_column_name=>'ID'
,p_display_order=>110
,p_column_identifier=>'J'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11824835216933008)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>120
,p_column_identifier=>'K'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11825167744933011)
,p_db_column_name=>'TIME_UPDATED'
,p_display_order=>130
,p_column_identifier=>'N'
,p_column_label=>'Time Updated'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_UPDATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11824944454933009)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>140
,p_column_identifier=>'L'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11947365246372508)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'119474'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:DESCRIPTION:LIFECYCLE_STATE:FREEFORM_TAGS:DEFINED_TAGS:ID:TIME_CREATED:TIME_UPDATED:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11825201147933012)
,p_plug_name=>'OCI_SHOWOCI_DATA_SCIENCE'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>420
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_DATA_SCIENCE'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DATA_SCIENCE))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DATA_SCIENCE'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DATA_SCIENCE'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11825301709933013)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11825301709933013
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11825448042933014)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11825565628933015)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11825652195933016)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11825735433933017)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11825832390933018)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11825992679933019)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11826075230933020)
,p_db_column_name=>'DESCRIPTION'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Description'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DESCRIPTION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11826173016933021)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11826292680933022)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11826399045933023)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11826445207933024)
,p_db_column_name=>'ID'
,p_display_order=>110
,p_column_identifier=>'K'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11826537179933025)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>120
,p_column_identifier=>'L'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11826707231933027)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>140
,p_column_identifier=>'M'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11949194092373476)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'119492'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:DESCRIPTION:LIFECYCLE_STATE:FREEFORM_TAGS:DEFINED_TAGS:ID:TIME_CREATED:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11826886968933028)
,p_plug_name=>'OCI_SHOWOCI_DATA_INTEGRATION'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>430
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_DATA_INTEGRATION'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DATA_INTEGRATION))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DATA_INTEGRATION'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DATA_INTEGRATION'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11826955903933029)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11826955903933029
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11827055631933030)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11827196666933031)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11827241792933032)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11827321979933033)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11827409538933034)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11827538352933035)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11827770527933037)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>80
,p_column_identifier=>'G'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11827893155933038)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>90
,p_column_identifier=>'H'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11827981765933039)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>100
,p_column_identifier=>'I'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11828054273933040)
,p_db_column_name=>'ID'
,p_display_order=>110
,p_column_identifier=>'J'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11828179566933041)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>120
,p_column_identifier=>'K'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11828211082933042)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>130
,p_column_identifier=>'L'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11948533464373192)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'119486'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:LIFECYCLE_STATE:FREEFORM_TAGS:DEFINED_TAGS:ID:TIME_CREATED:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11828377766933043)
,p_plug_name=>'OCI_SHOWOCI_DEVOPS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>440
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_DEVOPS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DEVOPS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DEVOPS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DEVOPS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11828467211933044)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11828467211933044
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11828567046933045)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11828665321933046)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11828773019933047)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11828859921933048)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11828944968933049)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11829059775933050)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11843023214946607)
,p_db_column_name=>'DESCRIPTION'
,p_display_order=>70
,p_column_identifier=>'M'
,p_column_label=>'Description'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DESCRIPTION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11843102157946608)
,p_db_column_name=>'NAMESPACE'
,p_display_order=>80
,p_column_identifier=>'N'
,p_column_label=>'Namespace'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAMESPACE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11843253256946609)
,p_db_column_name=>'NOTIFICATION_CONFIG'
,p_display_order=>90
,p_column_identifier=>'O'
,p_column_label=>'Notification Config'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NOTIFICATION_CONFIG#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11842400481946601)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>110
,p_column_identifier=>'G'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11842550650946602)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>120
,p_column_identifier=>'H'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11842651901946603)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>130
,p_column_identifier=>'I'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11842764101946604)
,p_db_column_name=>'ID'
,p_display_order=>140
,p_column_identifier=>'J'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11843396210946610)
,p_db_column_name=>'TIME_UPDATED'
,p_display_order=>150
,p_column_identifier=>'P'
,p_column_label=>'Time Updated'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_UPDATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11842879113946605)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>160
,p_column_identifier=>'K'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11842924525946606)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>170
,p_column_identifier=>'L'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11949834284374962)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'119499'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:DESCRIPTION:NAMESPACE:NOTIFICATION_CONFIG:LIFECYCLE_STATE:FREEFORM_TAGS:DEFINED_TAGS:ID:TIME_UPDATED:TIME_CREATED:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11843488887946611)
,p_plug_name=>'OCI_SHOWOCI_STREAMS_QUEUES'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>450
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_STREAMS_QUEUES'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_STREAMS_QUEUES))'
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_STREAMS_QUEUES'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_STREAMS_QUEUES'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11843525767946612)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11843525767946612
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11843612291946613)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11843770082946614)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11843834901946615)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11843980068946616)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11844041417946617)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11844161670946618)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11845227619946629)
,p_db_column_name=>'TYPE'
,p_display_order=>70
,p_column_identifier=>'M'
,p_column_label=>'Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11845337120946630)
,p_db_column_name=>'PARTITIONS'
,p_display_order=>80
,p_column_identifier=>'N'
,p_column_label=>'Partitions'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PARTITIONS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11845456348946631)
,p_db_column_name=>'RETENTION_IN_SECONDS'
,p_display_order=>90
,p_column_identifier=>'O'
,p_column_label=>'Retention In Seconds'
,p_column_html_expression=>'<span style="white-space:nowrap;">#RETENTION_IN_SECONDS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11845508456946632)
,p_db_column_name=>'VISIBILITY_IN_SECONDS'
,p_display_order=>100
,p_column_identifier=>'P'
,p_column_label=>'Visibility In Seconds'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VISIBILITY_IN_SECONDS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11845652030946633)
,p_db_column_name=>'TIMEOUT_IN_SECONDS'
,p_display_order=>110
,p_column_identifier=>'Q'
,p_column_label=>'Timeout In Seconds'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIMEOUT_IN_SECONDS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11845763356946634)
,p_db_column_name=>'DEAD_LETTER_QUEUE_DELIVERY_COUNT'
,p_display_order=>120
,p_column_identifier=>'R'
,p_column_label=>'Dead Letter Queue Delivery Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEAD_LETTER_QUEUE_DELIVERY_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11845803495946635)
,p_db_column_name=>'CUSTOM_ENCRYPTION_KEY_ID'
,p_display_order=>130
,p_column_identifier=>'S'
,p_column_label=>'Custom Encryption Key Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CUSTOM_ENCRYPTION_KEY_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11845907152946636)
,p_db_column_name=>'MESSAGES_ENDPOINT'
,p_display_order=>140
,p_column_identifier=>'T'
,p_column_label=>'Messages Endpoint'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MESSAGES_ENDPOINT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11844585909946622)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>150
,p_column_identifier=>'G'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11844697671946623)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>160
,p_column_identifier=>'H'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11844744835946624)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>170
,p_column_identifier=>'I'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11844892750946625)
,p_db_column_name=>'ID'
,p_display_order=>180
,p_column_identifier=>'J'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11845008674946627)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>190
,p_column_identifier=>'K'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11845180883946628)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>200
,p_column_identifier=>'L'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11951624873377877)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'119517'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:TYPE:PARTITIONS:RETENTION_IN_SECONDS:VISIBILITY_IN_SECONDS:TIMEOUT_IN_SECONDS:DEAD_LETTER_QUEUE_DELIVERY_COUNT:CUSTOM_ENCRYPTION_KEY_ID:MESSAGES_ENDPOINT:LIFECYCLE_STATE:FREEFOR'
||'M_TAGS:DEFINED_TAGS:ID:TIME_CREATED:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11846003081946637)
,p_plug_name=>'OCI_SHOWOCI_WAF'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>460
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_WAF'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_WAF))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_WAF'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_WAF'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11846140447946638)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11846140447946638
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11846210532946639)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11846315058946640)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11846478298946641)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11846564925946642)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11846610294946643)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11846726380946644)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11914196634307109)
,p_db_column_name=>'BACKEND_TYPE'
,p_display_order=>70
,p_column_identifier=>'M'
,p_column_label=>'Backend Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BACKEND_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11914261091307110)
,p_db_column_name=>'WEB_APP_FIREWALL_POLICY_ID'
,p_display_order=>80
,p_column_identifier=>'N'
,p_column_label=>'Web App Firewall Policy Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#WEB_APP_FIREWALL_POLICY_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11913510209307103)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>90
,p_column_identifier=>'G'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11913602202307104)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>100
,p_column_identifier=>'H'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11913722366307105)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>110
,p_column_identifier=>'I'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11913899929307106)
,p_db_column_name=>'ID'
,p_display_order=>120
,p_column_identifier=>'J'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11913948387307107)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>130
,p_column_identifier=>'K'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11914002907307108)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>140
,p_column_identifier=>'L'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11952225225378611)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'119523'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:BACKEND_TYPE:WEB_APP_FIREWALL_POLICY_ID:LIFECYCLE_STATE:FREEFORM_TAGS:DEFINED_TAGS:ID:TIME_CREATED:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11914388451307111)
,p_plug_name=>'OCI_SHOWOCI_HEALTHCHECKS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>470
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_HEALTHCHECKS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_HEALTHCHECKS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_HEALTHCHECKS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_HEALTHCHECKS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11914475029307112)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11914475029307112
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11914581483307113)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11914633834307114)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11914705458307115)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11914852215307116)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11914985339307117)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11915022773307118)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11915995672307127)
,p_db_column_name=>'TYPE'
,p_display_order=>150
,p_column_identifier=>'M'
,p_column_label=>'Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11916030656307128)
,p_db_column_name=>'RESULTS_URL'
,p_display_order=>160
,p_column_identifier=>'N'
,p_column_label=>'Results Url'
,p_column_html_expression=>'<span style="white-space:nowrap;">#RESULTS_URL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11916120934307129)
,p_db_column_name=>'TARGETS'
,p_display_order=>170
,p_column_identifier=>'O'
,p_column_label=>'Targets'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TARGETS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11916296474307130)
,p_db_column_name=>'VANTAGE_POINT_NAMES'
,p_display_order=>180
,p_column_identifier=>'P'
,p_column_label=>'Vantage Point Names'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VANTAGE_POINT_NAMES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11916369838307131)
,p_db_column_name=>'PORT'
,p_display_order=>190
,p_column_identifier=>'Q'
,p_column_label=>'Port'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PORT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11916455958307132)
,p_db_column_name=>'TIMEOUT_IN_SECONDS'
,p_display_order=>200
,p_column_identifier=>'R'
,p_column_label=>'Timeout In Seconds'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIMEOUT_IN_SECONDS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11916523385307133)
,p_db_column_name=>'INTERVAL_IN_SECONDS'
,p_display_order=>210
,p_column_identifier=>'S'
,p_column_label=>'Interval In Seconds'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INTERVAL_IN_SECONDS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11916627489307134)
,p_db_column_name=>'PROTOCOL'
,p_display_order=>220
,p_column_identifier=>'T'
,p_column_label=>'Protocol'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PROTOCOL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11916773893307135)
,p_db_column_name=>'METHOD'
,p_display_order=>230
,p_column_identifier=>'U'
,p_column_label=>'Method'
,p_column_html_expression=>'<span style="white-space:nowrap;">#METHOD#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11916873365307136)
,p_db_column_name=>'PATH'
,p_display_order=>240
,p_column_identifier=>'V'
,p_column_label=>'Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11916902950307137)
,p_db_column_name=>'HEADERS'
,p_display_order=>250
,p_column_identifier=>'W'
,p_column_label=>'Headers'
,p_column_html_expression=>'<span style="white-space:nowrap;">#HEADERS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11917096976307138)
,p_db_column_name=>'IS_ENABLED'
,p_display_order=>260
,p_column_identifier=>'X'
,p_column_label=>'Is Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_ENABLED#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11915383401307121)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>270
,p_column_identifier=>'G'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11915465980307122)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>280
,p_column_identifier=>'H'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11915597693307123)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>290
,p_column_identifier=>'I'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11915688587307124)
,p_db_column_name=>'ID'
,p_display_order=>300
,p_column_identifier=>'J'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11915738708307125)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>310
,p_column_identifier=>'K'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11915867573307126)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>320
,p_column_identifier=>'L'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11950614898376275)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'119507'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:TYPE:RESULTS_URL:TARGETS:VANTAGE_POINT_NAMES:PORT:TIMEOUT_IN_SECONDS:INTERVAL_IN_SECONDS:PROTOCOL:METHOD:PATH:HEADERS:IS_ENABLED:LIFECYCLE_STATE:FREEFORM_TAGS:DEFINED_TAGS:ID:TI'
||'ME_CREATED:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11917107731307139)
,p_plug_name=>'OCI_SHOWOCI_DNS_STEERING_POL'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>480
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_DNS_STEERING_POL'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DNS_STEERING_POL))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DNS_STEERING_POL'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DNS_STEERING_POL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11917291934307140)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11917291934307140
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11917390368307141)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11917492752307142)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11917575695307143)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11917649725307144)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11917700377307145)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11917842854307146)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11924477231319715)
,p_db_column_name=>'TTL'
,p_display_order=>70
,p_column_identifier=>'M'
,p_column_label=>'Ttl'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TTL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11924598319319716)
,p_db_column_name=>'TEMPLATE'
,p_display_order=>80
,p_column_identifier=>'N'
,p_column_label=>'Template'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TEMPLATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11924622654319717)
,p_db_column_name=>'HEALTH_CHECK_MONITOR_ID'
,p_display_order=>90
,p_column_identifier=>'O'
,p_column_label=>'Health Check Monitor Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#HEALTH_CHECK_MONITOR_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11923800995319709)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>100
,p_column_identifier=>'G'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11923935106319710)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>110
,p_column_identifier=>'H'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11924067019319711)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>120
,p_column_identifier=>'I'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11924150422319712)
,p_db_column_name=>'ID'
,p_display_order=>130
,p_column_identifier=>'J'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11924262197319713)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>140
,p_column_identifier=>'K'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11924344554319714)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>150
,p_column_identifier=>'L'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(12229742326087056)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'122298'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:TTL:TEMPLATE:HEALTH_CHECK_MONITOR_ID:LIFECYCLE_STATE:FREEFORM_TAGS:DEFINED_TAGS:ID:TIME_CREATED:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11924725033319718)
,p_plug_name=>'OCI_SHOWOCI_IAM_COMPARTMENTS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>490
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_IAM_COMPARTMENTS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_IAM_COMPARTMENTS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_IAM_COMPARTMENTS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_IAM_COMPARTMENTS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11924875938319719)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11924875938319719
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11924922777319720)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11925092229319721)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11925467670319725)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'C'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11925832740319729)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>100
,p_column_identifier=>'D'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11926432331319735)
,p_db_column_name=>'PATH'
,p_display_order=>110
,p_column_identifier=>'J'
,p_column_label=>'Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11926577222319736)
,p_db_column_name=>'DESCRIPTION'
,p_display_order=>120
,p_column_identifier=>'K'
,p_column_label=>'Description'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DESCRIPTION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11926680777319737)
,p_db_column_name=>'IS_ACCESSIBLE'
,p_display_order=>130
,p_column_identifier=>'L'
,p_column_label=>'Is Accessible'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_ACCESSIBLE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11926711414319738)
,p_db_column_name=>'INACTIVE_STATUS'
,p_display_order=>140
,p_column_identifier=>'M'
,p_column_label=>'Inactive Status'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INACTIVE_STATUS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11925907514319730)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>150
,p_column_identifier=>'E'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11926058312319731)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>160
,p_column_identifier=>'F'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11926155344319732)
,p_db_column_name=>'ID'
,p_display_order=>170
,p_column_identifier=>'G'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11926214607319733)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>180
,p_column_identifier=>'H'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11926319432319734)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>190
,p_column_identifier=>'I'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(11946133657367227)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'119462'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:NAME:LIFECYCLE_STATE:PATH:DESCRIPTION:IS_ACCESSIBLE:INACTIVE_STATUS:FREEFORM_TAGS:DEFINED_TAGS:ID:TIME_CREATED:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11926836851319739)
,p_plug_name=>'OCI_SHOWOCI_SECURITY_BASTIONS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>500
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_SECURITY_BASTIONS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_SECURITY_BASTIONS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_SECURITY_BASTIONS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_SECURITY_BASTIONS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11926933161319740)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11926933161319740
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11927029840319741)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11927123419319742)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11927221448319743)
,p_db_column_name=>'NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11953932568670204)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>140
,p_column_identifier=>'J'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11954018009670205)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>150
,p_column_identifier=>'K'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11954178948670206)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>160
,p_column_identifier=>'L'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11954238039670207)
,p_db_column_name=>'TARGET_VCN_NAME'
,p_display_order=>170
,p_column_identifier=>'M'
,p_column_label=>'Target Vcn Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TARGET_VCN_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11954366802670208)
,p_db_column_name=>'TARGET_SUBNET_NAME'
,p_display_order=>180
,p_column_identifier=>'N'
,p_column_label=>'Target Subnet Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TARGET_SUBNET_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11954452119670209)
,p_db_column_name=>'BASTION_TYPE'
,p_display_order=>190
,p_column_identifier=>'O'
,p_column_label=>'Bastion Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BASTION_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11954550801670210)
,p_db_column_name=>'TARGET_VCN_ID'
,p_display_order=>200
,p_column_identifier=>'P'
,p_column_label=>'Target Vcn Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TARGET_VCN_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11954683179670211)
,p_db_column_name=>'TARGET_SUBNET_ID'
,p_display_order=>210
,p_column_identifier=>'Q'
,p_column_label=>'Target Subnet Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TARGET_SUBNET_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11954799051670212)
,p_db_column_name=>'TIME_UPDATED'
,p_display_order=>220
,p_column_identifier=>'R'
,p_column_label=>'Time Updated'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_UPDATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11953746911670202)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>230
,p_column_identifier=>'H'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11927382190319744)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>240
,p_column_identifier=>'D'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11927849333319749)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>250
,p_column_identifier=>'E'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11927965713319750)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>260
,p_column_identifier=>'F'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11953632203670201)
,p_db_column_name=>'ID'
,p_display_order=>270
,p_column_identifier=>'G'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11953802066670203)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>290
,p_column_identifier=>'I'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(12011428222718145)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'120115'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:NAME:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:TARGET_VCN_NAME:TARGET_SUBNET_NAME:BASTION_TYPE:TARGET_VCN_ID:TARGET_SUBNET_ID:TIME_UPDATED:TIME_CREATED:LIFECYCLE_STATE:FREEFORM_TAGS:DEFINED_TAGS:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11954832935670213)
,p_plug_name=>'OCI_SHOWOCI_SECURITY_CLOUDGUARD'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>510
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_SECURITY_CLOUDGUARD'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_SECURITY_CLOUDGUARD))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_SECURITY_CLOUDGUARD'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_SECURITY_CLOUDGUARD'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11954922935670214)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11954922935670214
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11955003528670215)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11955172403670216)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11955291879670217)
,p_db_column_name=>'NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11956802806670233)
,p_db_column_name=>'TARGET_RESOURCE_TYPE'
,p_display_order=>40
,p_column_identifier=>'I'
,p_column_label=>'Target Resource Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TARGET_RESOURCE_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11956998035670234)
,p_db_column_name=>'TARGET_RESOURCE_ID'
,p_display_order=>50
,p_column_identifier=>'J'
,p_column_label=>'Target Resource Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TARGET_RESOURCE_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11957072823670235)
,p_db_column_name=>'RECIPE_COUNT'
,p_display_order=>60
,p_column_identifier=>'K'
,p_column_label=>'Recipe Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#RECIPE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12834724176172410)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>120
,p_column_identifier=>'L'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12834848713172411)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>130
,p_column_identifier=>'M'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12834904525172412)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>140
,p_column_identifier=>'N'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12835060491172413)
,p_db_column_name=>'TARGET_RESOURCE_NAME'
,p_display_order=>150
,p_column_identifier=>'O'
,p_column_label=>'Target Resource Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TARGET_RESOURCE_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12835190348172414)
,p_db_column_name=>'INHERITED_BY_COMPARTMENTS'
,p_display_order=>160
,p_column_identifier=>'P'
,p_column_label=>'Inherited By Compartments'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INHERITED_BY_COMPARTMENTS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12835295528172415)
,p_db_column_name=>'INHERITED_BY_COMPARTMENTS_NAMES'
,p_display_order=>170
,p_column_identifier=>'Q'
,p_column_label=>'Inherited By Compartments Names'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INHERITED_BY_COMPARTMENTS_NAMES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12835332637172416)
,p_db_column_name=>'TARGET_DETECTOR_RECIPES'
,p_display_order=>180
,p_column_identifier=>'R'
,p_column_label=>'Target Detector Recipes'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TARGET_DETECTOR_RECIPES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12835428306172417)
,p_db_column_name=>'TARGET_RESPONDER_RECIPES'
,p_display_order=>190
,p_column_identifier=>'S'
,p_column_label=>'Target Responder Recipes'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TARGET_RESPONDER_RECIPES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12835564520172418)
,p_db_column_name=>'TARGET_DETECTOR_RULES'
,p_display_order=>200
,p_column_identifier=>'T'
,p_column_label=>'Target Detector Rules'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TARGET_DETECTOR_RULES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12835689996172419)
,p_db_column_name=>'TARGET_RESPONDER_RULES'
,p_display_order=>210
,p_column_identifier=>'U'
,p_column_label=>'Target Responder Rules'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TARGET_RESPONDER_RULES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12835759641172420)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>220
,p_column_identifier=>'V'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12835831640172421)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>230
,p_column_identifier=>'W'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11956123947670226)
,p_db_column_name=>'TIME_UPDATED'
,p_display_order=>240
,p_column_identifier=>'D'
,p_column_label=>'Time Updated'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_UPDATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11956238225670227)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>250
,p_column_identifier=>'E'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11956341848670228)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>260
,p_column_identifier=>'F'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11956642682670231)
,p_db_column_name=>'ID'
,p_display_order=>270
,p_column_identifier=>'G'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11956721223670232)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>280
,p_column_identifier=>'H'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(12012061511718819)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'120121'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:NAME:TARGET_RESOURCE_TYPE:TARGET_RESOURCE_ID:RECIPE_COUNT:COMPARTMENT_NAME:COMPARTMENT_PATH:DEFINED_TAGS:FREEFORM_TAGS:INHERITED_BY_COMPARTMENTS:INHERITED_BY_COMPARTMENTS_NAMES:REGION_NAME:TARGET_DETECTOR_RECIPES:TARGET_DETECTOR'
||'_RULES:TARGET_RESOURCE_NAME:TARGET_RESPONDER_RECIPES:TARGET_RESPONDER_RULES:TIME_UPDATED:TIME_CREATED:LIFECYCLE_STATE:ID:EXTRACT_DATE:'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11957128143670236)
,p_plug_name=>'OCI_SHOWOCI_SECURITY_LOGGINGS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>520
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_SECURITY_LOGGINGS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_SECURITY_LOGGINGS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_SECURITY_LOGGINGS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_SECURITY_LOGGINGS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11957210702670237)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11957210702670237
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11957383475670238)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11957407244670239)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11958041933670245)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>80
,p_column_identifier=>'C'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11958494136670249)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>120
,p_column_identifier=>'G'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11958532884670250)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>130
,p_column_identifier=>'H'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11968219444682001)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>140
,p_column_identifier=>'I'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11968343336682002)
,p_db_column_name=>'LOG_GROUP'
,p_display_order=>150
,p_column_identifier=>'J'
,p_column_label=>'Log Group'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOG_GROUP#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11968450728682003)
,p_db_column_name=>'LOG_GROUP_DESCRIPTION'
,p_display_order=>160
,p_column_identifier=>'K'
,p_column_label=>'Log Group Description'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOG_GROUP_DESCRIPTION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11968564458682004)
,p_db_column_name=>'LOG_NAME'
,p_display_order=>170
,p_column_identifier=>'L'
,p_column_label=>'Log Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOG_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11968602538682005)
,p_db_column_name=>'IS_ENABLED'
,p_display_order=>180
,p_column_identifier=>'M'
,p_column_label=>'Is Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_ENABLED#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11968703677682006)
,p_db_column_name=>'LOG_TYPE'
,p_display_order=>190
,p_column_identifier=>'N'
,p_column_label=>'Log Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOG_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11968835626682007)
,p_db_column_name=>'RETENTION_DURATION'
,p_display_order=>200
,p_column_identifier=>'O'
,p_column_label=>'Retention Duration'
,p_column_html_expression=>'<span style="white-space:nowrap;">#RETENTION_DURATION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11968913369682008)
,p_db_column_name=>'ARCHIVING'
,p_display_order=>210
,p_column_identifier=>'P'
,p_column_label=>'Archiving'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ARCHIVING#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11969032542682009)
,p_db_column_name=>'SOURCE_SERVICE'
,p_display_order=>220
,p_column_identifier=>'Q'
,p_column_label=>'Source Service'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SOURCE_SERVICE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11969136740682010)
,p_db_column_name=>'SOURCE_CATEGORY'
,p_display_order=>230
,p_column_identifier=>'R'
,p_column_label=>'Source Category'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SOURCE_CATEGORY#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11969287504682011)
,p_db_column_name=>'SOURCE_SOURCETYPE'
,p_display_order=>240
,p_column_identifier=>'S'
,p_column_label=>'Source Sourcetype'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SOURCE_SOURCETYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11969367534682012)
,p_db_column_name=>'SOURCE_RESOURCE'
,p_display_order=>250
,p_column_identifier=>'T'
,p_column_label=>'Source Resource'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SOURCE_RESOURCE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11969554357682014)
,p_db_column_name=>'SOURCE_PARAMETERS'
,p_display_order=>270
,p_column_identifier=>'V'
,p_column_label=>'Source Parameters'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SOURCE_PARAMETERS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11969722376682016)
,p_db_column_name=>'TIME_LAST_MODIFIED'
,p_display_order=>300
,p_column_identifier=>'X'
,p_column_label=>'Time Last Modified'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_LAST_MODIFIED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11969863103682017)
,p_db_column_name=>'LOG_GROUP_TIME_LAST_MODIFIED'
,p_display_order=>310
,p_column_identifier=>'Y'
,p_column_label=>'Log Group Time Last Modified'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOG_GROUP_TIME_LAST_MODIFIED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11969446429682013)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>320
,p_column_identifier=>'U'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11969620990682015)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>330
,p_column_identifier=>'W'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11969947514682018)
,p_db_column_name=>'LOG_GROUP_ID'
,p_display_order=>340
,p_column_identifier=>'Z'
,p_column_label=>'Log Group Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOG_GROUP_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11970091005682019)
,p_db_column_name=>'LOG_ID'
,p_display_order=>350
,p_column_identifier=>'AA'
,p_column_label=>'Log Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOG_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11958173656670246)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>360
,p_column_identifier=>'D'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11958270616670247)
,p_db_column_name=>'ID'
,p_display_order=>370
,p_column_identifier=>'E'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11958310971670248)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>380
,p_column_identifier=>'F'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(12013242301721669)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'120133'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:TIME_CREATED:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:LOG_GROUP:LOG_GROUP_DESCRIPTION:LOG_NAME:IS_ENABLED:LOG_TYPE:RETENTION_DURATION:ARCHIVING:SOURCE_SERVICE:SOURCE_CATEGORY:SOURCE_SOURCETYPE:SOURCE_RESOURCE:SOURCE_PARAMET'
||'ERS:TIME_LAST_MODIFIED:LOG_GROUP_TIME_LAST_MODIFIED:FREEFORM_TAGS:DEFINED_TAGS:LOG_GROUP_ID:LOG_ID:LIFECYCLE_STATE:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11970174764682020)
,p_plug_name=>'OCI_SHOWOCI_SECURITY_KMS_VAULTS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>530
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_SECURITY_KMS_VAULTS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_SECURITY_KMS_VAULTS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_SECURITY_KMS_VAULTS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_SECURITY_KMS_VAULTS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11970273071682021)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11970273071682021
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11970340392682022)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11970410529682023)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11970548805682024)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11970687756682025)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11970773336682026)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11970858000682027)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11973094257682049)
,p_db_column_name=>'NAME'
,p_display_order=>280
,p_column_identifier=>'K'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11973116972682050)
,p_db_column_name=>'CRYPTO_ENDPOINT'
,p_display_order=>290
,p_column_identifier=>'L'
,p_column_label=>'Crypto Endpoint'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CRYPTO_ENDPOINT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11981782417688301)
,p_db_column_name=>'MANAGEMENT_ENDPOINT'
,p_display_order=>300
,p_column_identifier=>'M'
,p_column_label=>'Management Endpoint'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MANAGEMENT_ENDPOINT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11981892978688302)
,p_db_column_name=>'VAULT_TYPE'
,p_display_order=>310
,p_column_identifier=>'N'
,p_column_label=>'Vault Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VAULT_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11981914396688303)
,p_db_column_name=>'KEY_COUNT'
,p_display_order=>320
,p_column_identifier=>'O'
,p_column_label=>'Key Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#KEY_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11982092352688304)
,p_db_column_name=>'KEY_VERSION_COUNT'
,p_display_order=>330
,p_column_identifier=>'P'
,p_column_label=>'Key Version Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#KEY_VERSION_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11982129329688305)
,p_db_column_name=>'SOFTWARE_KEY_COUNT'
,p_display_order=>340
,p_column_identifier=>'Q'
,p_column_label=>'Software Key Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SOFTWARE_KEY_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11982239463688306)
,p_db_column_name=>'SOFTWARE_KEY_VERSION_COUNT'
,p_display_order=>350
,p_column_identifier=>'R'
,p_column_label=>'Software Key Version Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SOFTWARE_KEY_VERSION_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11972318600682042)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>360
,p_column_identifier=>'G'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11972438131682043)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>370
,p_column_identifier=>'H'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11972899132682047)
,p_db_column_name=>'ID'
,p_display_order=>380
,p_column_identifier=>'I'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11972916936682048)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>390
,p_column_identifier=>'J'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(12012655032720594)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'120127'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:TIME_CREATED:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:CRYPTO_ENDPOINT:MANAGEMENT_ENDPOINT:VAULT_TYPE:KEY_COUNT:KEY_VERSION_COUNT:SOFTWARE_KEY_COUNT:SOFTWARE_KEY_VERSION_COUNT:FREEFORM_TAGS:DEFINED_TAGS:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11982371257688307)
,p_plug_name=>'OCI_SHOWOCI_LIMITS'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>540
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_LIMITS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_LIMITS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_LIMITS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_LIMITS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11982439524688308)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11982439524688308
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11982554033688309)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11982665122688310)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11982865359688312)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>40
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11983141435688315)
,p_db_column_name=>'NAME'
,p_display_order=>70
,p_column_identifier=>'D'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11984359234688327)
,p_db_column_name=>'SCOPE_TYPE'
,p_display_order=>190
,p_column_identifier=>'G'
,p_column_label=>'Scope Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SCOPE_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11984407473688328)
,p_db_column_name=>'AVAILABILITY_DOMAIN'
,p_display_order=>200
,p_column_identifier=>'H'
,p_column_label=>'Availability Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABILITY_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11984505162688329)
,p_db_column_name=>'DESCRIPTION'
,p_display_order=>210
,p_column_identifier=>'I'
,p_column_label=>'Description'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DESCRIPTION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11984653196688330)
,p_db_column_name=>'LIMIT_NAME'
,p_display_order=>220
,p_column_identifier=>'J'
,p_column_label=>'Limit Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIMIT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11984712204688331)
,p_db_column_name=>'VALUE'
,p_display_order=>230
,p_column_identifier=>'K'
,p_column_label=>'Value'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VALUE#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11984882343688332)
,p_db_column_name=>'USED'
,p_display_order=>240
,p_column_identifier=>'L'
,p_column_label=>'Used'
,p_column_html_expression=>'<span style="white-space:nowrap;">#USED#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11984987357688333)
,p_db_column_name=>'AVAILABLE'
,p_display_order=>250
,p_column_identifier=>'M'
,p_column_label=>'Available'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABLE#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11984130428688325)
,p_db_column_name=>'ID'
,p_display_order=>260
,p_column_identifier=>'E'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11984235414688326)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>270
,p_column_identifier=>'F'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(12013995032723318)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'120140'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:NAME:SCOPE_TYPE:AVAILABILITY_DOMAIN:DESCRIPTION:LIMIT_NAME:VALUE:USED:AVAILABLE:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11985072987688334)
,p_plug_name=>'OCI_SHOWOCI_QUOTAS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>550
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_QUOTAS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_QUOTAS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_QUOTAS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_QUOTAS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11985189577688335)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11985189577688335
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11985239973688336)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11985343790688337)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11985466760688338)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11985544229688339)
,p_db_column_name=>'NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11985885405688342)
,p_db_column_name=>'DESCRIPTION'
,p_display_order=>70
,p_column_identifier=>'E'
,p_column_label=>'Description'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DESCRIPTION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11986503541688349)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11986639784688350)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11997036041703201)
,p_db_column_name=>'STATEMENTS'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Statements'
,p_column_html_expression=>'<span style="white-space:nowrap;">#STATEMENTS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11997194104703202)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>110
,p_column_identifier=>'K'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11986311297688347)
,p_db_column_name=>'ID'
,p_display_order=>120
,p_column_identifier=>'F'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11986498276688348)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>130
,p_column_identifier=>'G'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(12014560259724662)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'120146'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:NAME:DESCRIPTION:COMPARTMENT_NAME:COMPARTMENT_PATH:STATEMENTS:TIME_CREATED:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11997280221703203)
,p_plug_name=>'OCI_SHOWOCI_BLOCK_VOLUMES_BACKUP'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>560
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_BLOCK_VOLUMES_BACKUP'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_BLOCK_VOLUMES_BACKUP))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_BLOCK_VOLUMES_BACKUP'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_BLOCK_VOLUMES_BACKUP'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11997366165703204)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11997366165703204
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11997431309703205)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11997566222703206)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11997689155703207)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11997807047703209)
,p_db_column_name=>'DESCRIPTION'
,p_display_order=>50
,p_column_identifier=>'D'
,p_column_label=>'Description'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DESCRIPTION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11997980036703210)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>60
,p_column_identifier=>'E'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11998019349703211)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>70
,p_column_identifier=>'F'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11998531274703216)
,p_db_column_name=>'VOLUME_TYPE'
,p_display_order=>120
,p_column_identifier=>'J'
,p_column_label=>'Volume Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VOLUME_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11998629356703217)
,p_db_column_name=>'BACKUP_TYPE'
,p_display_order=>130
,p_column_identifier=>'K'
,p_column_label=>'Backup Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BACKUP_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11998738696703218)
,p_db_column_name=>'SCHEDULE_TYPE'
,p_display_order=>140
,p_column_identifier=>'L'
,p_column_label=>'Schedule Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SCHEDULE_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11998835006703219)
,p_db_column_name=>'SOURCE_NAME'
,p_display_order=>150
,p_column_identifier=>'M'
,p_column_label=>'Source Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SOURCE_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11998955949703220)
,p_db_column_name=>'UNIQUE_SIZE_IN_GBS'
,p_display_order=>160
,p_column_identifier=>'N'
,p_column_label=>'Unique Size In Gbs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#UNIQUE_SIZE_IN_GBS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11999057647703221)
,p_db_column_name=>'SIZE_IN_GBS'
,p_display_order=>170
,p_column_identifier=>'O'
,p_column_label=>'Size In Gbs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SIZE_IN_GBS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11999180603703222)
,p_db_column_name=>'EXPIRATION_TIME'
,p_display_order=>180
,p_column_identifier=>'P'
,p_column_label=>'Expiration Time'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXPIRATION_TIME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11998209298703213)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>190
,p_column_identifier=>'G'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11998359814703214)
,p_db_column_name=>'ID'
,p_display_order=>200
,p_column_identifier=>'H'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11998476059703215)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>210
,p_column_identifier=>'I'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(12015226439726597)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'120153'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:DESCRIPTION:COMPARTMENT_NAME:COMPARTMENT_PATH:VOLUME_TYPE:BACKUP_TYPE:SCHEDULE_TYPE:SOURCE_NAME:UNIQUE_SIZE_IN_GBS:SIZE_IN_GBS:EXPIRATION_TIME:TIME_CREATED:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(11999238100703223)
,p_plug_name=>'OCI_SHOWOCI_MONITOR_AGENTS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>570
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_MONITOR_AGENTS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_MONITOR_AGENTS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_MONITOR_AGENTS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_MONITOR_AGENTS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(11999308011703224)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>11999308011703224
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11999497858703225)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11999547929703226)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11999685174703227)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11999883791703229)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>50
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(11999939556703230)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>60
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12001069482703241)
,p_db_column_name=>'NAME'
,p_display_order=>170
,p_column_identifier=>'I'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12001156993703242)
,p_db_column_name=>'PLATFORM_NAME'
,p_display_order=>180
,p_column_identifier=>'J'
,p_column_label=>'Platform Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PLATFORM_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12001216001703243)
,p_db_column_name=>'PLATFORM_TYPE'
,p_display_order=>190
,p_column_identifier=>'K'
,p_column_label=>'Platform Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PLATFORM_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12001334264703244)
,p_db_column_name=>'PLATFORM_VERSION'
,p_display_order=>200
,p_column_identifier=>'L'
,p_column_label=>'Platform Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PLATFORM_VERSION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12001486607703245)
,p_db_column_name=>'VERSION'
,p_display_order=>210
,p_column_identifier=>'M'
,p_column_label=>'Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VERSION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12001539654703246)
,p_db_column_name=>'IS_AGENT_AUTO_UPGRADABLE'
,p_display_order=>220
,p_column_identifier=>'N'
,p_column_label=>'Is Agent Auto Upgradable'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_AGENT_AUTO_UPGRADABLE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12001665330703247)
,p_db_column_name=>'HOST'
,p_display_order=>230
,p_column_identifier=>'O'
,p_column_label=>'Host'
,p_column_html_expression=>'<span style="white-space:nowrap;">#HOST#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12001780400703248)
,p_db_column_name=>'PLUGIN_LIST'
,p_display_order=>240
,p_column_identifier=>'P'
,p_column_label=>'Plugin List'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PLUGIN_LIST#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12001803430703249)
,p_db_column_name=>'TIME_LAST_HEARTBEAT'
,p_display_order=>250
,p_column_identifier=>'Q'
,p_column_label=>'Time Last Heartbeat'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_LAST_HEARTBEAT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12001939601703250)
,p_db_column_name=>'AVAILABILITY_STATUS'
,p_display_order=>260
,p_column_identifier=>'R'
,p_column_label=>'Availability Status'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABILITY_STATUS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12016636141335701)
,p_db_column_name=>'INSTALL_KEY_ID'
,p_display_order=>270
,p_column_identifier=>'S'
,p_column_label=>'Install Key Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INSTALL_KEY_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12016742582335702)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>280
,p_column_identifier=>'T'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12016886859335703)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>290
,p_column_identifier=>'U'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12000727723703238)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>300
,p_column_identifier=>'F'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12000847021703239)
,p_db_column_name=>'ID'
,p_display_order=>310
,p_column_identifier=>'G'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12000968506703240)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>320
,p_column_identifier=>'H'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(12090208008367026)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'120903'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:PLATFORM_NAME:PLATFORM_TYPE:PLATFORM_VERSION:VERSION:IS_AGENT_AUTO_UPGRADABLE:HOST:PLUGIN_LIST:TIME_LAST_HEARTBEAT:AVAILABILITY_STATUS:INSTALL_KEY_ID:FREEFORM_TAGS:DEFINED_TAGS:'
||'TIME_CREATED:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(12016997625335704)
,p_plug_name=>'OCI_SHOWOCI_MONITOR_EVENTS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>580
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_MONITOR_EVENTS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_MONITOR_EVENTS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_MONITOR_EVENTS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_MONITOR_EVENTS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(12017022456335705)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>12017022456335705
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12017177538335706)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12017286181335707)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12017378732335708)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12017427371335709)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12017599518335710)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12017677065335711)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12019252831335727)
,p_db_column_name=>'DESCRIPTION'
,p_display_order=>220
,p_column_identifier=>'L'
,p_column_label=>'Description'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DESCRIPTION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12019395772335728)
,p_db_column_name=>'CONDITION'
,p_display_order=>230
,p_column_identifier=>'M'
,p_column_label=>'Condition'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CONDITION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12019411569335729)
,p_db_column_name=>'IS_ENABLED'
,p_display_order=>240
,p_column_identifier=>'N'
,p_column_label=>'Is Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_ENABLED#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12019536440335730)
,p_db_column_name=>'ACTIONS'
,p_display_order=>250
,p_column_identifier=>'O'
,p_column_label=>'Actions'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ACTIONS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12018742018335722)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>260
,p_column_identifier=>'G'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12018819505335723)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>270
,p_column_identifier=>'H'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12018919450335724)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>280
,p_column_identifier=>'I'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12019025760335725)
,p_db_column_name=>'ID'
,p_display_order=>290
,p_column_identifier=>'J'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12019152041335726)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>300
,p_column_identifier=>'K'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(12092035971368896)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'120921'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:DESCRIPTION:CONDITION:IS_ENABLED:ACTIONS:FREEFORM_TAGS:DEFINED_TAGS:TIME_CREATED:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(12019622273335731)
,p_plug_name=>'OCI_SHOWOCI_MONITOR_DB_MANAGEMENT'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>590
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_MONITOR_DB_MANAGEMENT'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_MONITOR_DB_MANAGEMENT))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_MONITOR_DB_MANAGEMENT'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_MONITOR_DB_MANAGEMENT'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(12019789926335732)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>12019789926335732
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12019851830335733)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12019919703335734)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12020068556335735)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12020164281335736)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12020245247335737)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12020352570335738)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12021333491335748)
,p_db_column_name=>'DATABASE_TYPE'
,p_display_order=>160
,p_column_identifier=>'J'
,p_column_label=>'Database Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATABASE_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12021470218335749)
,p_db_column_name=>'DATABASE_SUB_TYPE'
,p_display_order=>170
,p_column_identifier=>'K'
,p_column_label=>'Database Sub Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATABASE_SUB_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12021576560335750)
,p_db_column_name=>'IS_CLUSTER'
,p_display_order=>180
,p_column_identifier=>'L'
,p_column_label=>'Is Cluster'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_CLUSTER#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12021627181342501)
,p_db_column_name=>'PARENT_CONTAINER_ID'
,p_display_order=>190
,p_column_identifier=>'M'
,p_column_label=>'Parent Container Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PARENT_CONTAINER_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12021791807342502)
,p_db_column_name=>'DEPLOYMENT_TYPE'
,p_display_order=>200
,p_column_identifier=>'N'
,p_column_label=>'Deployment Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEPLOYMENT_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12021885265342503)
,p_db_column_name=>'MANAGEMENT_OPTION'
,p_display_order=>210
,p_column_identifier=>'O'
,p_column_label=>'Management Option'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MANAGEMENT_OPTION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12021946235342504)
,p_db_column_name=>'WORKLOAD_TYPE'
,p_display_order=>220
,p_column_identifier=>'P'
,p_column_label=>'Workload Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#WORKLOAD_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12022050588342505)
,p_db_column_name=>'DB_SYSTEM_ID'
,p_display_order=>230
,p_column_identifier=>'Q'
,p_column_label=>'Db System Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DB_SYSTEM_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12022127157342506)
,p_db_column_name=>'STORAGE_SYSTEM_ID'
,p_display_order=>240
,p_column_identifier=>'R'
,p_column_label=>'Storage System Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#STORAGE_SYSTEM_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12021024845335745)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>250
,p_column_identifier=>'G'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12021190729335746)
,p_db_column_name=>'ID'
,p_display_order=>260
,p_column_identifier=>'H'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12021270708335747)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>270
,p_column_identifier=>'I'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(12091478814368327)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'120915'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:DATABASE_TYPE:DATABASE_SUB_TYPE:IS_CLUSTER:PARENT_CONTAINER_ID:DEPLOYMENT_TYPE:MANAGEMENT_OPTION:WORKLOAD_TYPE:DB_SYSTEM_ID:STORAGE_SYSTEM_ID:TIME_CREATED:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(12022254996342507)
,p_plug_name=>'OCI_SHOWOCI_MONITOR_ALARMS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>600
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_MONITOR_ALARMS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_MONITOR_ALARMS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_MONITOR_ALARMS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_MONITOR_ALARMS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(12022324629342508)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>12022324629342508
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12022429927342509)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12022540166342510)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12022679920342511)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12022791457342512)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12022800598342513)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12022919854342514)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12024201503342527)
,p_db_column_name=>'NAMESPACE'
,p_display_order=>190
,p_column_identifier=>'I'
,p_column_label=>'Namespace'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAMESPACE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12024328166342528)
,p_db_column_name=>'QUERY'
,p_display_order=>200
,p_column_identifier=>'J'
,p_column_label=>'Query'
,p_column_html_expression=>'<span style="white-space:nowrap;">#QUERY#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12024495576342529)
,p_db_column_name=>'SEVERITY'
,p_display_order=>210
,p_column_identifier=>'K'
,p_column_label=>'Severity'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SEVERITY#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12024589944342530)
,p_db_column_name=>'DESTINATIONS'
,p_display_order=>220
,p_column_identifier=>'L'
,p_column_label=>'Destinations'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DESTINATIONS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12024632460342531)
,p_db_column_name=>'DESTINATIONS_NAMES'
,p_display_order=>230
,p_column_identifier=>'M'
,p_column_label=>'Destinations Names'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DESTINATIONS_NAMES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12024790494342532)
,p_db_column_name=>'IS_ENABLED'
,p_display_order=>240
,p_column_identifier=>'N'
,p_column_label=>'Is Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_ENABLED#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12024855073342533)
,p_db_column_name=>'METRIC_COMPARTMENT_ID'
,p_display_order=>250
,p_column_identifier=>'O'
,p_column_label=>'Metric Compartment Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#METRIC_COMPARTMENT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12024999973342534)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>260
,p_column_identifier=>'P'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12025067789342535)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>270
,p_column_identifier=>'Q'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12024056946342525)
,p_db_column_name=>'ID'
,p_display_order=>280
,p_column_identifier=>'G'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12024113695342526)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>290
,p_column_identifier=>'H'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(12090849090367710)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'120909'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:NAMESPACE:QUERY:SEVERITY:DESTINATIONS:DESTINATIONS_NAMES:IS_ENABLED:METRIC_COMPARTMENT_ID:FREEFORM_TAGS:DEFINED_TAGS:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(12025125139342536)
,p_plug_name=>'OCI_SHOWOCI_MONITOR_NOTIFICATIONS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>610
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_MONITOR_NOTIFICATIONS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_MONITOR_NOTIFICATIONS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_MONITOR_NOTIFICATIONS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_MONITOR_NOTIFICATIONS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(12025255814342537)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>12025255814342537
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12025370076342538)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12025452881342539)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12025542910342540)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12025647656342541)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12025761946342542)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12044705467348905)
,p_db_column_name=>'TOPIC_COMPARTMENT_NAME'
,p_display_order=>180
,p_column_identifier=>'J'
,p_column_label=>'Topic Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TOPIC_COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12044802300348906)
,p_db_column_name=>'TOPIC_COMPARTMENT_PATH'
,p_display_order=>190
,p_column_identifier=>'K'
,p_column_label=>'Topic Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TOPIC_COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12044966751348907)
,p_db_column_name=>'TOPIC_NAME'
,p_display_order=>200
,p_column_identifier=>'L'
,p_column_label=>'Topic Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TOPIC_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12045067866348908)
,p_db_column_name=>'TOPIC_DESCRIPTION'
,p_display_order=>210
,p_column_identifier=>'M'
,p_column_label=>'Topic Description'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TOPIC_DESCRIPTION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12045159173348909)
,p_db_column_name=>'TOPIC_ETAG'
,p_display_order=>220
,p_column_identifier=>'N'
,p_column_label=>'Topic Etag'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TOPIC_ETAG#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12045283788348910)
,p_db_column_name=>'TOPIC_API_ENDPOINT'
,p_display_order=>230
,p_column_identifier=>'O'
,p_column_label=>'Topic Api Endpoint'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TOPIC_API_ENDPOINT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12045302700348911)
,p_db_column_name=>'TOPIC_FREEFORM_TAGS'
,p_display_order=>240
,p_column_identifier=>'P'
,p_column_label=>'Topic Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TOPIC_FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12045499326348912)
,p_db_column_name=>'TOPIC_DEFINED_TAGS'
,p_display_order=>250
,p_column_identifier=>'Q'
,p_column_label=>'Topic Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TOPIC_DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12045586237348913)
,p_db_column_name=>'TOPIC_ID'
,p_display_order=>260
,p_column_identifier=>'R'
,p_column_label=>'Topic Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TOPIC_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12045603988348914)
,p_db_column_name=>'PROTOCOL'
,p_display_order=>270
,p_column_identifier=>'S'
,p_column_label=>'Protocol'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PROTOCOL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12045713973348915)
,p_db_column_name=>'ENDPOINT'
,p_display_order=>280
,p_column_identifier=>'T'
,p_column_label=>'Endpoint'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ENDPOINT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12045836445348916)
,p_db_column_name=>'CREATED_TIME'
,p_display_order=>290
,p_column_identifier=>'U'
,p_column_label=>'Created Time'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CREATED_TIME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12045985156348917)
,p_db_column_name=>'TOPIC_TIME_CREATED'
,p_display_order=>300
,p_column_identifier=>'V'
,p_column_label=>'Topic Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TOPIC_TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12044370775348901)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>310
,p_column_identifier=>'F'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12044446605348902)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>320
,p_column_identifier=>'G'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12044591769348903)
,p_db_column_name=>'ID'
,p_display_order=>330
,p_column_identifier=>'H'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12044612107348904)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>340
,p_column_identifier=>'I'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(12092638002369686)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'120927'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:TOPIC_COMPARTMENT_NAME:TOPIC_COMPARTMENT_PATH:TOPIC_NAME:TOPIC_DESCRIPTION:TOPIC_ETAG:TOPIC_API_ENDPOINT:TOPIC_FREEFORM_TAGS:TOPIC_DEFINED_TAGS:TOPIC_ID:PROTOCOL:ENDPOINT:CREATED_TIM'
||'E:TOPIC_TIME_CREATED:FREEFORM_TAGS:DEFINED_TAGS:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(12046034818348918)
,p_plug_name=>'OCI_SHOWOCI_COMPUTE_RESERVATIONS'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>60
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_COMPUTE_RESERVATIONS'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_COMPUTE_RESERVATIONS))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_COMPUTE_RESERVATIONS'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_COMPUTE_RESERVATIONS'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(12046123529348919)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>12046123529348919
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12046275593348920)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12046392781348921)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12046574496348923)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>40
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12046677854348924)
,p_db_column_name=>'AVAILABILITY_DOMAIN'
,p_display_order=>50
,p_column_identifier=>'D'
,p_column_label=>'Availability Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABILITY_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12046827482348926)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>70
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12046960799348927)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>80
,p_column_identifier=>'F'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12062644326353206)
,p_db_column_name=>'ID'
,p_display_order=>340
,p_column_identifier=>'K'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12062795773353207)
,p_db_column_name=>'NAME'
,p_display_order=>350
,p_column_identifier=>'L'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12062801538353208)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>360
,p_column_identifier=>'M'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12062945659353209)
,p_db_column_name=>'IS_DEFAULT_RESERVATION'
,p_display_order=>370
,p_column_identifier=>'N'
,p_column_label=>'Is Default Reservation'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_DEFAULT_RESERVATION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12063019171353210)
,p_db_column_name=>'RESERVED_INSTANCE_COUNT'
,p_display_order=>380
,p_column_identifier=>'O'
,p_column_label=>'Reserved Instance Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#RESERVED_INSTANCE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12063166646353211)
,p_db_column_name=>'USED_INSTANCE_COUNT'
,p_display_order=>390
,p_column_identifier=>'P'
,p_column_label=>'Used Instance Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#USED_INSTANCE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12063284937353212)
,p_db_column_name=>'SHAPES'
,p_display_order=>400
,p_column_identifier=>'Q'
,p_column_label=>'Shapes'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12063353468353213)
,p_db_column_name=>'SHAPES_CAPACITY'
,p_display_order=>410
,p_column_identifier=>'R'
,p_column_label=>'Shapes Capacity'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPES_CAPACITY#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12048407644348942)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>420
,p_column_identifier=>'G'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12049234261348950)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>430
,p_column_identifier=>'H'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12062100548353201)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>440
,p_column_identifier=>'I'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12062244018353202)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>450
,p_column_identifier=>'J'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(12089627175365349)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'120897'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:AVAILABILITY_DOMAIN:COMPARTMENT_PATH:COMPARTMENT_NAME:ID:NAME:LIFECYCLE_STATE:IS_DEFAULT_RESERVATION:RESERVED_INSTANCE_COUNT:USED_INSTANCE_COUNT:SHAPES:SHAPES_CAPACITY:TIME_CREATED:DEFINED_TAGS:FREEFORM_TAGS:EXTRACT_'
||'DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(12063718908353217)
,p_plug_name=>'OCI_SHOWOCI_COMPUTE'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>50
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_COMPUTE'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_COMPUTE))'
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_COMPUTE'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_COMPUTE'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(12063808757353218)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>12063808757353218
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12063915106353219)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12064089242353220)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12064163675353221)
,p_db_column_name=>'INSTANCE_ID'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Instance Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INSTANCE_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12064211121353222)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12064371880353223)
,p_db_column_name=>'AVAILABILITY_DOMAIN'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Availability Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABILITY_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12064483673353224)
,p_db_column_name=>'FAULT_DOMAIN'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Fault Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FAULT_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12064516918353225)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12064679368353226)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12064795737353227)
,p_db_column_name=>'SERVER_NAME'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Server Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SERVER_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12064803818353228)
,p_db_column_name=>'STATUS'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Status'
,p_column_html_expression=>'<span style="white-space:nowrap;">#STATUS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12064940929353229)
,p_db_column_name=>'TYPE'
,p_display_order=>110
,p_column_identifier=>'K'
,p_column_label=>'Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12065011796353230)
,p_db_column_name=>'IMAGE'
,p_display_order=>120
,p_column_identifier=>'L'
,p_column_label=>'Image'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IMAGE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12065104952353231)
,p_db_column_name=>'PRIMARY_VCN'
,p_display_order=>130
,p_column_identifier=>'M'
,p_column_label=>'Primary Vcn'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRIMARY_VCN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12065220142353232)
,p_db_column_name=>'PRIMARY_SUBNET'
,p_display_order=>140
,p_column_identifier=>'N'
,p_column_label=>'Primary Subnet'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRIMARY_SUBNET#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12065356026353233)
,p_db_column_name=>'SHAPE'
,p_display_order=>150
,p_column_identifier=>'O'
,p_column_label=>'Shape'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12065437783353234)
,p_db_column_name=>'OCPUS'
,p_display_order=>160
,p_column_identifier=>'P'
,p_column_label=>'Ocpus'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OCPUS#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12065577018353235)
,p_db_column_name=>'MEMORY_GB'
,p_display_order=>170
,p_column_identifier=>'Q'
,p_column_label=>'Memory Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MEMORY_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12065672406353236)
,p_db_column_name=>'LOCAL_STORAGE_TB'
,p_display_order=>180
,p_column_identifier=>'R'
,p_column_label=>'Local Storage Tb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LOCAL_STORAGE_TB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12065717710353237)
,p_db_column_name=>'PUBLIC_IPS'
,p_display_order=>190
,p_column_identifier=>'S'
,p_column_label=>'Public Ips'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PUBLIC_IPS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12065806729353238)
,p_db_column_name=>'PRIVATE_IPS'
,p_display_order=>200
,p_column_identifier=>'T'
,p_column_label=>'Private Ips'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRIVATE_IPS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12065954388353239)
,p_db_column_name=>'SECURITY_GROUPS'
,p_display_order=>210
,p_column_identifier=>'U'
,p_column_label=>'Security Groups'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SECURITY_GROUPS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12066077805353240)
,p_db_column_name=>'INTERNAL_FQDN'
,p_display_order=>220
,p_column_identifier=>'V'
,p_column_label=>'Internal Fqdn'
,p_column_html_expression=>'<span style="white-space:nowrap;">#INTERNAL_FQDN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12066114212353241)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>230
,p_column_identifier=>'W'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12066220334353242)
,p_db_column_name=>'BOOT_VOLUME'
,p_display_order=>240
,p_column_identifier=>'X'
,p_column_label=>'Boot Volume'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BOOT_VOLUME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12066379433353243)
,p_db_column_name=>'BOOT_VOLUME_SIZE_GB'
,p_display_order=>250
,p_column_identifier=>'Y'
,p_column_label=>'Boot Volume Size Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BOOT_VOLUME_SIZE_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12066457678353244)
,p_db_column_name=>'BOOT_VOLUME_B_POLICY'
,p_display_order=>260
,p_column_identifier=>'Z'
,p_column_label=>'Boot Volume B Policy'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BOOT_VOLUME_B_POLICY#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12066521471353245)
,p_db_column_name=>'BOOT_VOLUME_ENCRYPTION'
,p_display_order=>270
,p_column_identifier=>'AA'
,p_column_label=>'Boot Volume Encryption'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BOOT_VOLUME_ENCRYPTION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12066622029353246)
,p_db_column_name=>'BLOCK_VOLUMES'
,p_display_order=>280
,p_column_identifier=>'AB'
,p_column_label=>'Block Volumes'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BLOCK_VOLUMES#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12066731785353247)
,p_db_column_name=>'BLOCK_VOLUMES_TOTAL_GB'
,p_display_order=>290
,p_column_identifier=>'AC'
,p_column_label=>'Block Volumes Total Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BLOCK_VOLUMES_TOTAL_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12066805112353248)
,p_db_column_name=>'BLOCK_VOLUMES_B_POLICY'
,p_display_order=>300
,p_column_identifier=>'AD'
,p_column_label=>'Block Volumes B Policy'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BLOCK_VOLUMES_B_POLICY#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12066904347353249)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>310
,p_column_identifier=>'AE'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12067092475353250)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>320
,p_column_identifier=>'AF'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12833893317172401)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>330
,p_column_identifier=>'AG'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12833920723172402)
,p_db_column_name=>'BOOT_VOLUME_ID'
,p_display_order=>340
,p_column_identifier=>'AH'
,p_column_label=>'Boot Volume Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BOOT_VOLUME_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12834073506172403)
,p_db_column_name=>'BLOCK_VOLUMES_IDS'
,p_display_order=>350
,p_column_identifier=>'AI'
,p_column_label=>'Block Volumes Ids'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BLOCK_VOLUMES_IDS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12834113542172404)
,p_db_column_name=>'VNIC_IDS'
,p_display_order=>360
,p_column_identifier=>'AJ'
,p_column_label=>'Vnic Ids'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VNIC_IDS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(14035624857008138)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'140357'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:INSTANCE_ID:REGION_NAME:AVAILABILITY_DOMAIN:FAULT_DOMAIN:COMPARTMENT_PATH:COMPARTMENT_NAME:SERVER_NAME:STATUS:TYPE:IMAGE:PRIMARY_VCN:PRIMARY_SUBNET:SHAPE:OCPUS:MEMORY_GB:LOCAL_STORAGE_TB:PUBLIC_IPS:PRIVATE_IPS:SECURITY_GROUPS:IN'
||'TERNAL_FQDN:TIME_CREATED:BOOT_VOLUME:BOOT_VOLUME_SIZE_GB:BOOT_VOLUME_B_POLICY:BOOT_VOLUME_ENCRYPTION:BLOCK_VOLUMES:BLOCK_VOLUMES_TOTAL_GB:BLOCK_VOLUMES_B_POLICY:DEFINED_TAGS:FREEFORM_TAGS:EXTRACT_DATE:BOOT_VOLUME_ID:BLOCK_VOLUMES_IDS:VNIC_IDS'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(12835987976172422)
,p_plug_name=>'OCI_SHOWOCI_OPEN_SEARCH'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>660
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_OPEN_SEARCH'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_OPEN_SEARCH))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_OPEN_SEARCH'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_OPEN_SEARCH'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(12836057701172423)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>12836057701172423
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12836184034172424)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12836207982172425)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12836325119172426)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12836483412172427)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12836572813172428)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12836680924172429)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12836769754172430)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12836856112172431)
,p_db_column_name=>'SUBNET_NAME'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Subnet Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(12836946527172432)
,p_db_column_name=>'SUBNET_ID'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Subnet Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14011132001991118)
,p_db_column_name=>'SOFTWARE_VERSION'
,p_display_order=>450
,p_column_identifier=>'P'
,p_column_label=>'Software Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SOFTWARE_VERSION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14011235863991119)
,p_db_column_name=>'TOTAL_STORAGE_GB'
,p_display_order=>460
,p_column_identifier=>'Q'
,p_column_label=>'Total Storage Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TOTAL_STORAGE_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14011339045991120)
,p_db_column_name=>'SECURITY_MODE'
,p_display_order=>470
,p_column_identifier=>'R'
,p_column_label=>'Security Mode'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SECURITY_MODE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14011465298991121)
,p_db_column_name=>'AVAILABILITY_DOMAINS'
,p_display_order=>480
,p_column_identifier=>'S'
,p_column_label=>'Availability Domains'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABILITY_DOMAINS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14011547769991122)
,p_db_column_name=>'OPENSEARCH_FQDN'
,p_display_order=>490
,p_column_identifier=>'T'
,p_column_label=>'Opensearch Fqdn'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OPENSEARCH_FQDN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14011662828991123)
,p_db_column_name=>'OPENSEARCH_PRIVATE_IP'
,p_display_order=>500
,p_column_identifier=>'U'
,p_column_label=>'Opensearch Private Ip'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OPENSEARCH_PRIVATE_IP#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14011789156991124)
,p_db_column_name=>'OPENDASHBOARD_FQDN'
,p_display_order=>510
,p_column_identifier=>'V'
,p_column_label=>'Opendashboard Fqdn'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OPENDASHBOARD_FQDN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14011814836991125)
,p_db_column_name=>'OPENDASHBOARD_PRIVATE_IP'
,p_display_order=>520
,p_column_identifier=>'W'
,p_column_label=>'Opendashboard Private Ip'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OPENDASHBOARD_PRIVATE_IP#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14011946315991126)
,p_db_column_name=>'MASTER_NODE_COUNT'
,p_display_order=>530
,p_column_identifier=>'X'
,p_column_label=>'Master Node Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MASTER_NODE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14012004695991127)
,p_db_column_name=>'MASTER_NODE_HOST_TYPE'
,p_display_order=>540
,p_column_identifier=>'Y'
,p_column_label=>'Master Node Host Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MASTER_NODE_HOST_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14012192869991128)
,p_db_column_name=>'MASTER_NODE_HOST_BARE_METAL_SHAPE'
,p_display_order=>550
,p_column_identifier=>'Z'
,p_column_label=>'Master Node Host Bare Metal Shape'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MASTER_NODE_HOST_BARE_METAL_SHAPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14012242119991129)
,p_db_column_name=>'MASTER_NODE_HOST_OCPU_COUNT'
,p_display_order=>560
,p_column_identifier=>'AA'
,p_column_label=>'Master Node Host Ocpu Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MASTER_NODE_HOST_OCPU_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14012358571991130)
,p_db_column_name=>'MASTER_NODE_HOST_MEMORY_GB'
,p_display_order=>570
,p_column_identifier=>'AB'
,p_column_label=>'Master Node Host Memory Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MASTER_NODE_HOST_MEMORY_GB#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14012429906991131)
,p_db_column_name=>'DATA_NODE_COUNT'
,p_display_order=>580
,p_column_identifier=>'AC'
,p_column_label=>'Data Node Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATA_NODE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14012571002991132)
,p_db_column_name=>'DATA_NODE_HOST_TYPE'
,p_display_order=>590
,p_column_identifier=>'AD'
,p_column_label=>'Data Node Host Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATA_NODE_HOST_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14012611767991133)
,p_db_column_name=>'DATA_NODE_HOST_BARE_METAL_SHAPE'
,p_display_order=>600
,p_column_identifier=>'AE'
,p_column_label=>'Data Node Host Bare Metal Shape'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATA_NODE_HOST_BARE_METAL_SHAPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14012756719991134)
,p_db_column_name=>'DATA_NODE_HOST_OCPU_COUNT'
,p_display_order=>610
,p_column_identifier=>'AF'
,p_column_label=>'Data Node Host Ocpu Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATA_NODE_HOST_OCPU_COUNT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14012884581991135)
,p_db_column_name=>'DATA_NODE_HOST_MEMORY_GB'
,p_display_order=>620
,p_column_identifier=>'AG'
,p_column_label=>'Data Node Host Memory Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATA_NODE_HOST_MEMORY_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14012968576991136)
,p_db_column_name=>'DATA_NODE_STORAGE_GB'
,p_display_order=>630
,p_column_identifier=>'AH'
,p_column_label=>'Data Node Storage Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATA_NODE_STORAGE_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14013049005991137)
,p_db_column_name=>'OPENDASHBOARD_NODE_COUNT'
,p_display_order=>640
,p_column_identifier=>'AI'
,p_column_label=>'Opendashboard Node Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OPENDASHBOARD_NODE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14013156358991138)
,p_db_column_name=>'OPENDASHBOARD_NODE_HOST_OCPU_COUNT'
,p_display_order=>650
,p_column_identifier=>'AJ'
,p_column_label=>'Opendashboard Node Host Ocpu Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OPENDASHBOARD_NODE_HOST_OCPU_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14013272819991139)
,p_db_column_name=>'OPENDASHBOARD_NODE_HOST_MEMORY_GB'
,p_display_order=>660
,p_column_identifier=>'AK'
,p_column_label=>'Opendashboard Node Host Memory Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#OPENDASHBOARD_NODE_HOST_MEMORY_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14013372799991140)
,p_db_column_name=>'VCN_ID'
,p_display_order=>670
,p_column_identifier=>'AL'
,p_column_label=>'Vcn Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14013464903991141)
,p_db_column_name=>'VCN_NAME'
,p_display_order=>680
,p_column_identifier=>'AM'
,p_column_label=>'Vcn Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14013518442991142)
,p_db_column_name=>'VCN_COMPARTMENT_ID'
,p_display_order=>690
,p_column_identifier=>'AN'
,p_column_label=>'Vcn Compartment Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#VCN_COMPARTMENT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14013600249991143)
,p_db_column_name=>'SUBNET_COMPARTMENT_ID'
,p_display_order=>700
,p_column_identifier=>'AO'
,p_column_label=>'Subnet Compartment Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_COMPARTMENT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14013764360991144)
,p_db_column_name=>'SECURITY_MASTER_USER_NAME'
,p_display_order=>710
,p_column_identifier=>'AP'
,p_column_label=>'Security Master User Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SECURITY_MASTER_USER_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14013832466991145)
,p_db_column_name=>'SECURITY_MASTER_USER_PASSWORD_HASH'
,p_display_order=>720
,p_column_identifier=>'AQ'
,p_column_label=>'Security Master User Password Hash'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SECURITY_MASTER_USER_PASSWORD_HASH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14010550491991112)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>730
,p_column_identifier=>'J'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14010651409991113)
,p_db_column_name=>'TIME_UPDATED'
,p_display_order=>740
,p_column_identifier=>'K'
,p_column_label=>'Time Updated'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_UPDATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14010755498991114)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>750
,p_column_identifier=>'L'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14010846162991115)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>760
,p_column_identifier=>'M'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14010944003991116)
,p_db_column_name=>'ID'
,p_display_order=>770
,p_column_identifier=>'N'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(14011042586991117)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>780
,p_column_identifier=>'O'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(14033908575005399)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'140340'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:LIFECYCLE_STATE:SUBNET_NAME:SUBNET_ID:SOFTWARE_VERSION:TOTAL_STORAGE_GB:SECURITY_MODE:AVAILABILITY_DOMAINS:OPENSEARCH_FQDN:OPENSEARCH_PRIVATE_IP:OPENDASHBOARD_FQDN:OPENDASHBOARD'
||'_PRIVATE_IP:MASTER_NODE_COUNT:MASTER_NODE_HOST_TYPE:MASTER_NODE_HOST_BARE_METAL_SHAPE:MASTER_NODE_HOST_OCPU_COUNT:MASTER_NODE_HOST_MEMORY_GB:DATA_NODE_COUNT:DATA_NODE_HOST_TYPE:DATA_NODE_HOST_BARE_METAL_SHAPE:DATA_NODE_HOST_OCPU_COUNT:DATA_NODE_HOST_'
||'MEMORY_GB:DATA_NODE_STORAGE_GB:OPENDASHBOARD_NODE_COUNT:OPENDASHBOARD_NODE_HOST_OCPU_COUNT:OPENDASHBOARD_NODE_HOST_MEMORY_GB:VCN_ID:VCN_NAME:VCN_COMPARTMENT_ID:SUBNET_COMPARTMENT_ID:SECURITY_MASTER_USER_NAME:SECURITY_MASTER_USER_PASSWORD_HASH:TIME_CR'
||'EATED:TIME_UPDATED:FREEFORM_TAGS:DEFINED_TAGS:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(13204911342718803)
,p_plug_name=>'OCI_SHOWOCI_DB_GOLDENGATE_DEP'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>630
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_DB_GOLDENGATE_DEP'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DB_GOLDENGATE_DEP))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DB_GOLDENGATE_DEP'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DB_GOLDENGATE_DEP'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(13205030595718804)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>13205030595718804
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13205129890718805)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13205230924718806)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13205310550718807)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13205484985718808)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13205528997718809)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13205634192718810)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13205774273718811)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13207158385718825)
,p_db_column_name=>'SUBNET_NAME'
,p_display_order=>210
,p_column_identifier=>'O'
,p_column_label=>'Subnet Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13207276554718826)
,p_db_column_name=>'LICENSE_MODEL'
,p_display_order=>220
,p_column_identifier=>'P'
,p_column_label=>'License Model'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LICENSE_MODEL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13207304334718827)
,p_db_column_name=>'FQDN'
,p_display_order=>230
,p_column_identifier=>'Q'
,p_column_label=>'Fqdn'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FQDN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13207405613718828)
,p_db_column_name=>'CPU_CORE_COUNT'
,p_display_order=>240
,p_column_identifier=>'R'
,p_column_label=>'Cpu Core Count'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CPU_CORE_COUNT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13207508079718829)
,p_db_column_name=>'IS_AUTO_SCALING_ENABLED'
,p_display_order=>250
,p_column_identifier=>'S'
,p_column_label=>'Is Auto Scaling Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_AUTO_SCALING_ENABLED#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13207611405718830)
,p_db_column_name=>'IS_PUBLIC'
,p_display_order=>260
,p_column_identifier=>'T'
,p_column_label=>'Is Public'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_PUBLIC#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13207792772718831)
,p_db_column_name=>'PUBLIC_IP_ADDRESS'
,p_display_order=>270
,p_column_identifier=>'U'
,p_column_label=>'Public Ip Address'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PUBLIC_IP_ADDRESS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13207855720718832)
,p_db_column_name=>'PRIVATE_IP_ADDRESS'
,p_display_order=>280
,p_column_identifier=>'V'
,p_column_label=>'Private Ip Address'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PRIVATE_IP_ADDRESS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13207940450718833)
,p_db_column_name=>'DEPLOYMENT_URL'
,p_display_order=>290
,p_column_identifier=>'W'
,p_column_label=>'Deployment Url'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEPLOYMENT_URL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13208030579718834)
,p_db_column_name=>'IS_LATEST_VERSION'
,p_display_order=>300
,p_column_identifier=>'X'
,p_column_label=>'Is Latest Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_LATEST_VERSION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13208114854718835)
,p_db_column_name=>'DEPLOYMENT_TYPE'
,p_display_order=>310
,p_column_identifier=>'Y'
,p_column_label=>'Deployment Type'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEPLOYMENT_TYPE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13207016082718824)
,p_db_column_name=>'SUBNET_ID'
,p_display_order=>320
,p_column_identifier=>'N'
,p_column_label=>'Subnet Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13206494275718818)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>330
,p_column_identifier=>'H'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13206538240718819)
,p_db_column_name=>'TIME_UPDATED'
,p_display_order=>340
,p_column_identifier=>'I'
,p_column_label=>'Time Updated'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_UPDATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13206607728718820)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>350
,p_column_identifier=>'J'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13206720022718821)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>360
,p_column_identifier=>'K'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13206893321718822)
,p_db_column_name=>'ID'
,p_display_order=>370
,p_column_identifier=>'L'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13206940812718823)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>380
,p_column_identifier=>'M'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(13258970804775787)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'132590'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:LIFECYCLE_STATE:SUBNET_NAME:LICENSE_MODEL:FQDN:CPU_CORE_COUNT:IS_AUTO_SCALING_ENABLED:IS_PUBLIC:PUBLIC_IP_ADDRESS:PRIVATE_IP_ADDRESS:DEPLOYMENT_URL:IS_LATEST_VERSION:DEPLOYMENT_'
||'TYPE:SUBNET_ID:TIME_CREATED:TIME_UPDATED:FREEFORM_TAGS:DEFINED_TAGS:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(13208263337718836)
,p_plug_name=>'OCI_SHOWOCI_NETWORK_FIREWALL'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>640
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_NETWORK_FIREWALL'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_NETWORK_FIREWALL))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_NETWORK_FIREWALL'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_NETWORK_FIREWALL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(13208310694718837)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>13208310694718837
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13208468343718838)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13208533675718839)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13208659146718840)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13208784259718841)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13208848222718842)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13208904416718843)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13209082477718844)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13209172773718845)
,p_db_column_name=>'SUBNET_NAME'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Subnet Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13210224050725506)
,p_db_column_name=>'SUBNET_ID'
,p_display_order=>190
,p_column_identifier=>'I'
,p_column_label=>'Subnet Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13210903063725513)
,p_db_column_name=>'AVAILABILITY_DOMAIN'
,p_display_order=>260
,p_column_identifier=>'P'
,p_column_label=>'Availability Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABILITY_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13211022540725514)
,p_db_column_name=>'IPV4_ADDRESS'
,p_display_order=>270
,p_column_identifier=>'Q'
,p_column_label=>'Ipv4 Address'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IPV4_ADDRESS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13211130429725515)
,p_db_column_name=>'IPV6_ADDRESS'
,p_display_order=>280
,p_column_identifier=>'R'
,p_column_label=>'Ipv6 Address'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IPV6_ADDRESS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13211281351725516)
,p_db_column_name=>'NETWORK_FIREWALL_POLICY_ID'
,p_display_order=>290
,p_column_identifier=>'S'
,p_column_label=>'Network Firewall Policy Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NETWORK_FIREWALL_POLICY_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13211337305725517)
,p_db_column_name=>'NETWORK_FIREWALL_POLICY_NAME'
,p_display_order=>300
,p_column_identifier=>'T'
,p_column_label=>'Network Firewall Policy Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NETWORK_FIREWALL_POLICY_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13210312940725507)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>310
,p_column_identifier=>'J'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13210455132725508)
,p_db_column_name=>'TIME_UPDATED'
,p_display_order=>320
,p_column_identifier=>'K'
,p_column_label=>'Time Updated'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_UPDATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13210572535725509)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>330
,p_column_identifier=>'L'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13210615723725510)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>340
,p_column_identifier=>'M'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13210716595725511)
,p_db_column_name=>'ID'
,p_display_order=>350
,p_column_identifier=>'N'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13210860758725512)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>360
,p_column_identifier=>'O'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(13255662482747886)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'132557'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:LIFECYCLE_STATE:SUBNET_NAME:SUBNET_ID:AVAILABILITY_DOMAIN:IPV4_ADDRESS:IPV6_ADDRESS:NETWORK_FIREWALL_POLICY_ID:NETWORK_FIREWALL_POLICY_NAME:TIME_CREATED:TIME_UPDATED:FREEFORM_TA'
||'GS:DEFINED_TAGS:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(13211401818725518)
,p_plug_name=>'OCI_SHOWOCI_DB_MYSQL'
,p_region_name=>'report'
,p_region_template_options=>'#DEFAULT#:t-Region--accent15:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>650
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'OCI_SHOWOCI_DB_MYSQL'
,p_query_where=>'(:P11_EXTRACT is null or EXTRACT_DATE = (select max(extract_date) from OCI_SHOWOCI_DB_MYSQL))  '
,p_include_rowid_column=>false
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_plug_display_when_condition=>'P11_TABLE'
,p_plug_display_when_cond2=>'OCI_SHOWOCI_DB_MYSQL'
,p_prn_content_disposition=>'ATTACHMENT'
,p_prn_units=>'INCHES'
,p_prn_paper_size=>'LETTER'
,p_prn_width=>11
,p_prn_height=>8.5
,p_prn_orientation=>'HORIZONTAL'
,p_prn_page_header=>'OCI_SHOWOCI_DB_MYSQL'
,p_prn_page_header_font_color=>'#000000'
,p_prn_page_header_font_family=>'Helvetica'
,p_prn_page_header_font_weight=>'normal'
,p_prn_page_header_font_size=>'12'
,p_prn_page_footer_font_color=>'#000000'
,p_prn_page_footer_font_family=>'Helvetica'
,p_prn_page_footer_font_weight=>'normal'
,p_prn_page_footer_font_size=>'12'
,p_prn_header_bg_color=>'#EEEEEE'
,p_prn_header_font_color=>'#000000'
,p_prn_header_font_family=>'Helvetica'
,p_prn_header_font_weight=>'bold'
,p_prn_header_font_size=>'10'
,p_prn_body_bg_color=>'#FFFFFF'
,p_prn_body_font_color=>'#000000'
,p_prn_body_font_family=>'Helvetica'
,p_prn_body_font_weight=>'normal'
,p_prn_body_font_size=>'10'
,p_prn_border_width=>.5
,p_prn_page_header_alignment=>'CENTER'
,p_prn_page_footer_alignment=>'CENTER'
,p_prn_border_color=>'#666666'
);
end;
/
begin
wwv_flow_imp_page.create_worksheet(
 p_id=>wwv_flow_imp.id(13211509695725519)
,p_max_row_count=>'1000000'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_lazy_loading=>false
,p_show_detail_link=>'N'
,p_show_notify=>'Y'
,p_download_formats=>'CSV:HTML:XLSX:PDF'
,p_enable_mail_download=>'Y'
,p_owner=>'ADIZOHAR'
,p_internal_uid=>13211509695725519
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13211659807725520)
,p_db_column_name=>'TENANT_NAME'
,p_display_order=>10
,p_column_identifier=>'A'
,p_column_label=>'Tenant Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13211715523725521)
,p_db_column_name=>'TENANT_ID'
,p_display_order=>20
,p_column_identifier=>'B'
,p_column_label=>'Tenant Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TENANT_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13211885150725522)
,p_db_column_name=>'REGION_NAME'
,p_display_order=>30
,p_column_identifier=>'C'
,p_column_label=>'Region Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#REGION_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13211928991725523)
,p_db_column_name=>'COMPARTMENT_NAME'
,p_display_order=>40
,p_column_identifier=>'D'
,p_column_label=>'Compartment Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13212038041725524)
,p_db_column_name=>'COMPARTMENT_PATH'
,p_display_order=>50
,p_column_identifier=>'E'
,p_column_label=>'Compartment Path'
,p_column_html_expression=>'<span style="white-space:nowrap;">#COMPARTMENT_PATH#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13212111691725525)
,p_db_column_name=>'NAME'
,p_display_order=>60
,p_column_identifier=>'F'
,p_column_label=>'Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13212253072725526)
,p_db_column_name=>'LIFECYCLE_STATE'
,p_display_order=>70
,p_column_identifier=>'G'
,p_column_label=>'Lifecycle State'
,p_column_html_expression=>'<span style="white-space:nowrap;">#LIFECYCLE_STATE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13212323302725527)
,p_db_column_name=>'SUBNET_NAME'
,p_display_order=>80
,p_column_identifier=>'H'
,p_column_label=>'Subnet Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13212436639725528)
,p_db_column_name=>'SUBNET_ID'
,p_display_order=>90
,p_column_identifier=>'I'
,p_column_label=>'Subnet Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SUBNET_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13212538918725529)
,p_db_column_name=>'AVAILABILITY_DOMAIN'
,p_display_order=>100
,p_column_identifier=>'J'
,p_column_label=>'Availability Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#AVAILABILITY_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13213676629725540)
,p_db_column_name=>'DESCRIPTION'
,p_display_order=>210
,p_column_identifier=>'Q'
,p_column_label=>'Description'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DESCRIPTION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13213718449725541)
,p_db_column_name=>'IS_HIGHLY_AVAILABLE'
,p_display_order=>220
,p_column_identifier=>'R'
,p_column_label=>'Is Highly Available'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_HIGHLY_AVAILABLE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13213814895725542)
,p_db_column_name=>'CURRENT_PLACEMENT'
,p_display_order=>230
,p_column_identifier=>'S'
,p_column_label=>'Current Placement'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CURRENT_PLACEMENT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13213969513725543)
,p_db_column_name=>'IS_ANALYTICS_CLUSTER_ATTACHED'
,p_display_order=>240
,p_column_identifier=>'T'
,p_column_label=>'Is Analytics Cluster Attached'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_ANALYTICS_CLUSTER_ATTACHED#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13214077469725544)
,p_db_column_name=>'ANALYTICS_CLUSTER'
,p_display_order=>250
,p_column_identifier=>'U'
,p_column_label=>'Analytics Cluster'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ANALYTICS_CLUSTER#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13214153622725545)
,p_db_column_name=>'IS_HEAT_WAVE_CLUSTER_ATTACHED'
,p_display_order=>260
,p_column_identifier=>'V'
,p_column_label=>'Is Heat Wave Cluster Attached'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IS_HEAT_WAVE_CLUSTER_ATTACHED#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13214260234725546)
,p_db_column_name=>'HEAT_WAVE_CLUSTER'
,p_display_order=>270
,p_column_identifier=>'W'
,p_column_label=>'Heat Wave Cluster'
,p_column_html_expression=>'<span style="white-space:nowrap;">#HEAT_WAVE_CLUSTER#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13214392268725547)
,p_db_column_name=>'FAULT_DOMAIN'
,p_display_order=>280
,p_column_identifier=>'X'
,p_column_label=>'Fault Domain'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FAULT_DOMAIN#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13214426307725548)
,p_db_column_name=>'ENDPOINTS'
,p_display_order=>290
,p_column_identifier=>'Y'
,p_column_label=>'Endpoints'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ENDPOINTS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13214517964725549)
,p_db_column_name=>'ENDPOINTS_TEXT'
,p_display_order=>300
,p_column_identifier=>'Z'
,p_column_label=>'Endpoints Text'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ENDPOINTS_TEXT#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13214643707725550)
,p_db_column_name=>'MYSQL_VERSION'
,p_display_order=>310
,p_column_identifier=>'AA'
,p_column_label=>'Mysql Version'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MYSQL_VERSION#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13214733761730301)
,p_db_column_name=>'DELETION_POLICY'
,p_display_order=>320
,p_column_identifier=>'AB'
,p_column_label=>'Deletion Policy'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DELETION_POLICY#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13214864003730302)
,p_db_column_name=>'SHAPE_NAME'
,p_display_order=>330
,p_column_identifier=>'AC'
,p_column_label=>'Shape Name'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE_NAME#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13214995390730303)
,p_db_column_name=>'SHAPE_OCPU'
,p_display_order=>340
,p_column_identifier=>'AD'
,p_column_label=>'Shape Ocpu'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE_OCPU#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13215087951730304)
,p_db_column_name=>'SHAPE_MEMORY_GB'
,p_display_order=>350
,p_column_identifier=>'AE'
,p_column_label=>'Shape Memory Gb'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SHAPE_MEMORY_GB#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13215141374730305)
,p_db_column_name=>'CRASH_RECOVERY'
,p_display_order=>360
,p_column_identifier=>'AF'
,p_column_label=>'Crash Recovery'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CRASH_RECOVERY#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13215298012730306)
,p_db_column_name=>'BACKUP_IS_ENABLED'
,p_display_order=>370
,p_column_identifier=>'AG'
,p_column_label=>'Backup Is Enabled'
,p_column_html_expression=>'<span style="white-space:nowrap;">#BACKUP_IS_ENABLED#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13215325346730307)
,p_db_column_name=>'CONFIGURATION_ID'
,p_display_order=>380
,p_column_identifier=>'AH'
,p_column_label=>'Configuration Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CONFIGURATION_ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13215475056730308)
,p_db_column_name=>'SOURCE'
,p_display_order=>390
,p_column_identifier=>'AI'
,p_column_label=>'Source'
,p_column_html_expression=>'<span style="white-space:nowrap;">#SOURCE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13215530377730309)
,p_db_column_name=>'HOSTNAME_LABEL'
,p_display_order=>400
,p_column_identifier=>'AJ'
,p_column_label=>'Hostname Label'
,p_column_html_expression=>'<span style="white-space:nowrap;">#HOSTNAME_LABEL#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13215621334730310)
,p_db_column_name=>'IP_ADDRESS'
,p_display_order=>410
,p_column_identifier=>'AK'
,p_column_label=>'Ip Address'
,p_column_html_expression=>'<span style="white-space:nowrap;">#IP_ADDRESS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13215714070730311)
,p_db_column_name=>'PORT'
,p_display_order=>420
,p_column_identifier=>'AL'
,p_column_label=>'Port'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PORT#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13215889658730312)
,p_db_column_name=>'PORT_X'
,p_display_order=>430
,p_column_identifier=>'AM'
,p_column_label=>'Port X'
,p_column_html_expression=>'<span style="white-space:nowrap;">#PORT_X#</span>'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13215968156730313)
,p_db_column_name=>'CHANNELS'
,p_display_order=>440
,p_column_identifier=>'AN'
,p_column_label=>'Channels'
,p_column_html_expression=>'<span style="white-space:nowrap;">#CHANNELS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13216035288730314)
,p_db_column_name=>'MAINTENANCE'
,p_display_order=>450
,p_column_identifier=>'AO'
,p_column_label=>'Maintenance'
,p_column_html_expression=>'<span style="white-space:nowrap;">#MAINTENANCE#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13216189682730315)
,p_db_column_name=>'TIME_EARLIEST_RECOVERY_POINT'
,p_display_order=>460
,p_column_identifier=>'AP'
,p_column_label=>'Time Earliest Recovery Point'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_EARLIEST_RECOVERY_POINT#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13216200443730316)
,p_db_column_name=>'TIME_LATEST_RECOVERY_POINT'
,p_display_order=>470
,p_column_identifier=>'AQ'
,p_column_label=>'Time Latest Recovery Point'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_LATEST_RECOVERY_POINT#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13216310911730317)
,p_db_column_name=>'DATA_STORAGE_SIZE_IN_GBS'
,p_display_order=>480
,p_column_identifier=>'AR'
,p_column_label=>'Data Storage Size In Gbs'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DATA_STORAGE_SIZE_IN_GBS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13213095075725534)
,p_db_column_name=>'TIME_CREATED'
,p_display_order=>490
,p_column_identifier=>'K'
,p_column_label=>'Time Created'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_CREATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13213132358725535)
,p_db_column_name=>'TIME_UPDATED'
,p_display_order=>500
,p_column_identifier=>'L'
,p_column_label=>'Time Updated'
,p_column_html_expression=>'<span style="white-space:nowrap;">#TIME_UPDATED#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13213265840725536)
,p_db_column_name=>'FREEFORM_TAGS'
,p_display_order=>510
,p_column_identifier=>'M'
,p_column_label=>'Freeform Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#FREEFORM_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13213390998725537)
,p_db_column_name=>'DEFINED_TAGS'
,p_display_order=>520
,p_column_identifier=>'N'
,p_column_label=>'Defined Tags'
,p_column_html_expression=>'<span style="white-space:nowrap;">#DEFINED_TAGS#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13213416154725538)
,p_db_column_name=>'ID'
,p_display_order=>530
,p_column_identifier=>'O'
,p_column_label=>'Id'
,p_column_html_expression=>'<span style="white-space:nowrap;">#ID#</span>'
,p_column_type=>'STRING'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_column(
 p_id=>wwv_flow_imp.id(13213572826725539)
,p_db_column_name=>'EXTRACT_DATE'
,p_display_order=>540
,p_column_identifier=>'P'
,p_column_label=>'Extract Date'
,p_column_html_expression=>'<span style="white-space:nowrap;">#EXTRACT_DATE#</span>'
,p_column_type=>'DATE'
,p_column_alignment=>'CENTER'
,p_format_mask=>'DD-MON-YYYY HH24:MI'
,p_tz_dependent=>'N'
,p_use_as_row_header=>'N'
);
wwv_flow_imp_page.create_worksheet_rpt(
 p_id=>wwv_flow_imp.id(13255055691741828)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'132551'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'TENANT_NAME:TENANT_ID:REGION_NAME:COMPARTMENT_NAME:COMPARTMENT_PATH:NAME:LIFECYCLE_STATE:SUBNET_NAME:SUBNET_ID:AVAILABILITY_DOMAIN:DESCRIPTION:IS_HIGHLY_AVAILABLE:CURRENT_PLACEMENT:IS_ANALYTICS_CLUSTER_ATTACHED:ANALYTICS_CLUSTER:IS_HEAT_WAVE_CLUSTER_'
||'ATTACHED:HEAT_WAVE_CLUSTER:FAULT_DOMAIN:ENDPOINTS:ENDPOINTS_TEXT:MYSQL_VERSION:DELETION_POLICY:SHAPE_NAME:SHAPE_OCPU:SHAPE_MEMORY_GB:CRASH_RECOVERY:BACKUP_IS_ENABLED:CONFIGURATION_ID:SOURCE:HOSTNAME_LABEL:IP_ADDRESS:PORT:PORT_X:CHANNELS:MAINTENANCE:T'
||'IME_EARLIEST_RECOVERY_POINT:TIME_LATEST_RECOVERY_POINT:DATA_STORAGE_SIZE_IN_GBS:TIME_CREATED:TIME_UPDATED:FREEFORM_TAGS:DEFINED_TAGS:ID:EXTRACT_DATE'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(39290485416678465)
,p_plug_name=>'ShowOCI Tables Results'
,p_region_name=>'main'
,p_region_template_options=>'#DEFAULT#:t-Region--removeHeader js-removeLandmark:t-Region--scrollBody'
,p_region_attributes=>'style="height:450px;background-color:#e8effa; font-weight:bold;"'
,p_plug_template=>wwv_flow_imp.id(26683353252953952)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_ZERO'
,p_plug_display_when_condition=>'P11_ROWS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(7415941152752428)
,p_name=>'P11_EXTRACT'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_imp.id(8674067451638620)
,p_prompt=>'Extract Date Filter'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:Show Last Extract;LAST'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Show All Rows'
,p_cHeight=>1
,p_tag_attributes=>'style="background-color:#d0ffff; font-weight:bold"'
,p_begin_on_new_line=>'N'
,p_colspan=>2
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'SUBMIT'
,p_attribute_03=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(8674132152638621)
,p_name=>'P11_TABLE'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(8674067451638620)
,p_prompt=>'ShowOCI Table'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'case ',
'when t=''OCI_RESOURCES'' then ''- OCI Resources''',
'when t=''APIGW'' then ''API Gateway''',
'when t=''BLOCK_VOLUMES'' then ''Block Volumes''',
'when t=''BLOCK_VOLUMES_BACKUP'' then ''Block Volumes Backups''',
'when t=''COMPUTE'' then ''Compute Instances''',
'when t=''COMPUTE_RESERVATIONS'' then ''Compute Reservations''',
'when t=''CONTAINERS'' then ''Containers OKE''',
'when t=''CONTAINERS_NODEPOOLS'' then ''Containers Nodepools''',
'when t=''DATABASE_ALL'' then ''Database All''',
'when t=''DATABASE_BACKUPS'' then ''Database Backups''',
'when t=''DATABASE_EXA_CC_VMS'' then ''Database ExaCC VM Clusters''',
'when t=''DATABASE_EXA_CS_VMS'' then ''Database ExaCS VM Clusters''',
'when t=''DATABASE_EXA_INFRA'' then ''Database Exa Infra''',
'when t=''DATABASE_VM_BM'' then ''Database VM-BM''',
'when t=''DB_NOSQL'' then ''Database No-SQL''',
'when t=''DB_GOLDENGATE_DEP'' then ''Database Golden Gate Deployment''',
'when t=''DB_MYSQL'' then ''Database MySQL''',
'when t=''DATABASES'' then ''Databases''',
'when t=''DATABASES_ADB'' then ''Databases Autonomous''',
'when t=''FILE_STORAGE'' then ''File Storage''',
'when t=''LB_BACKENDSET'' then ''Load Balancer Backendset''',
'when t=''LB_LISTENERS'' then ''Load Balancer Listeners''',
'when t=''NETWORK_DHCP_OPTIONS'' then ''Network DHCP Options''',
'when t=''NETWORK_DRG_IPSEC'' then ''Network DRG IPSec''',
'when t=''NETWORK_DRG_VC'' then ''Network DRG Virtual Circuit''',
'when t=''NETWORK_DRGS'' then ''Network DRGs''',
'when t=''NETWORK_ROUTES'' then ''Network Routes''',
'when t=''NETWORK_SECGROUPS_RULES'' then ''Network Security Groups Rules''',
'when t=''NETWORK_SECLIST_RULES'' then ''Network Security List Rules''',
'when t=''NETWORK_SUBNET'' then ''Network Subnets''',
'when t=''NETWORK_SUBNET_PRV_IPS'' then ''Network Private IPs''',
'when t=''NETWORK_VCN'' then ''Network VCNs''',
'when t=''NETWORK_FIREWALL'' then ''Network Firewalls''',
'when t=''OAC'' then ''Oracle Analytics''',
'when t=''OBJECT_STORAGE'' then ''Object Storage''',
'when t=''OCE'' then ''Oracle Content Experience''',
'when t=''OIC'' then ''Oracle Integration''',
'when t=''DIGITAL_ASSISTANCE'' then ''Digital Assistance''',
'when t=''BIG_DATA'' then ''Big Data''',
'when t=''DATA_FLOW'' then ''Data Flow''',
'when t=''DATA_CATALOG'' then ''Data Catalog''',
'when t=''DATA_CONN_REGISTRY'' then ''Data Connection Registry''',
'when t=''DATA_SCIENCE'' then ''Data Science''',
'when t=''DATA_INTEGRATION'' then ''Data Integration''',
'when t=''DEVOPS'' then ''DevOPS''',
'when t=''STREAMS_QUEUES'' then ''Streams and Queues''',
'when t=''WAF'' then ''Web Application Firewall''',
'when t=''HEALTHCHECKS'' then ''Healthchecks''',
'when t=''DNS_STEERING_POL'' then ''DNS Steering Policy''',
'when t=''IAM_COMPARTMENTS'' then ''Compartments''',
'when t=''SECURITY_BASTIONS'' then ''Security Bastions''',
'when t=''SECURITY_CLOUDGUARD'' then ''Security Cloud Guards''',
'when t=''SECURITY_LOGGINGS'' then ''Security Loggings''',
'when t=''SECURITY_KMS_VAULTS'' then ''Security KMS Vaults''',
'when t=''LIMITS'' then ''Tenant Limits''',
'when t=''QUOTAS'' then ''Tenant Quotas''',
'when t=''MONITOR_AGENTS'' then ''Monitoring Agents''',
'when t=''MONITOR_EVENTS'' then ''Monitoring Events''',
'when t=''MONITOR_DB_MANAGEMENT'' then ''Monitoring DB Management''',
'when t=''MONITOR_ALARMS'' then ''Monitoring Alarms''',
'when t=''MONITOR_NOTIFICATIONS'' then ''Monitoring Notifications''',
'when t=''VISUAL_BUILDER'' then ''Visual Builder''',
'when t=''OPEN_SEARCH'' then ''Open Search''',
'else table_name end d, table_name r',
'from    ',
'(',
'    select replace(table_name,''OCI_SHOWOCI_'','''') t, table_name ',
'    from user_tables ',
'    where ',
'    (table_name like ''OCI_SHOWOCI%'' and table_name not like ''%_TMP'')',
'    or table_name = ''OCI_RESOURCES''',
')',
'order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'Please Select Table'
,p_cHeight=>1
,p_tag_attributes=>'style="background-color:#d0ffff; font-weight:bold"'
,p_colspan=>3
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'SUBMIT'
,p_attribute_03=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(8674279930638622)
,p_name=>'P11_ROWS'
,p_item_sequence=>10
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(10440160072220922)
,p_name=>'P11_INFO'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_imp.id(39290485416678465)
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'ShowOCI CSV tables to ADW was not enabled !<br><br>',
'Please visit <a target=_new href="https://github.com/adizohar/usage_reports_to_adw/blob/main/step_by_step_howto.md">How To Manual</a><br><br>'))
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_tag_attributes=>'style="font-weight:bold;font-size:13pt"'
,p_field_template=>wwv_flow_imp.id(26738339406954019)
,p_item_template_options=>'#DEFAULT#'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
,p_attribute_04=>'N'
,p_attribute_05=>'HTML'
);
wwv_flow_imp_page.create_page_computation(
 p_id=>wwv_flow_imp.id(8674356735638623)
,p_computation_sequence=>10
,p_computation_item=>'P11_ROWS'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select count(*)',
'from user_tables',
'where ',
'    table_name like ''OCI_SHOWOCI%'' and ',
'    table_name not like ''%_TMP''',
'',
''))
);
end;
/
prompt --application/pages/page_09999
begin
wwv_flow_imp_page.create_page(
 p_id=>9999
,p_name=>'Login Page'
,p_alias=>'LOGIN_DESKTOP'
,p_step_title=>'OCI Usage and Cost Report - Sign In'
,p_warn_on_unsaved_changes=>'N'
,p_first_item=>'AUTO_FIRST_ITEM'
,p_autocomplete_on_off=>'OFF'
,p_step_template=>wwv_flow_imp.id(26639724786953887)
,p_page_template_options=>'#DEFAULT#'
,p_page_is_public_y_n=>'Y'
,p_page_component_map=>'12'
,p_last_updated_by=>'USAGE'
,p_last_upd_yyyymmddhh24miss=>'20211025135602'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(26767708128954240)
,p_plug_name=>'OCI Usage and Cost Report'
,p_icon_css_classes=>'app-icon'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(26682905064953952)
,p_plug_display_sequence=>10
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'TEXT'
,p_attribute_03=>'Y'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(26772377427954290)
,p_plug_name=>'Language Selector'
,p_parent_plug_id=>wwv_flow_imp.id(26767708128954240)
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_imp.id(26658184993953922)
,p_plug_display_sequence=>20
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source=>'apex_lang.emit_language_selector_list;'
,p_plug_source_type=>'NATIVE_PLSQL'
,p_plug_query_num_rows=>15
);
wwv_flow_imp_page.create_page_button(
 p_id=>wwv_flow_imp.id(26770443038954275)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_imp.id(26767708128954240)
,p_button_name=>'LOGIN'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_imp.id(26739430162954028)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Sign In'
,p_button_position=>'NEXT'
,p_button_alignment=>'LEFT'
,p_grid_new_row=>'Y'
,p_grid_new_column=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(26768079484954256)
,p_name=>'P9999_USERNAME'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(26767708128954240)
,p_prompt=>'username'
,p_placeholder=>'username'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>40
,p_cMaxlength=>100
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_imp.id(26738065423954016)
,p_item_icon_css_classes=>'fa-user'
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(26768428304954261)
,p_name=>'P9999_PASSWORD'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_imp.id(26767708128954240)
,p_prompt=>'password'
,p_placeholder=>'password'
,p_display_as=>'NATIVE_PASSWORD'
,p_cSize=>40
,p_cMaxlength=>100
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_imp.id(26738065423954016)
,p_item_icon_css_classes=>'fa-key'
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(26769515994954270)
,p_name=>'P9999_REMEMBER'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_imp.id(26767708128954240)
,p_prompt=>'Remember username'
,p_display_as=>'NATIVE_CHECKBOX'
,p_named_lov=>'LOGIN_REMEMBER_USERNAME'
,p_lov=>'.'||wwv_flow_imp.id(26768795595954263)||'.'
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_imp.id(26738065423954016)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'NO'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>',
'If you select this checkbox, the application will save your username in a persistent browser cookie named "LOGIN_USERNAME_COOKIE".',
'When you go to the login page the next time,',
'the username field will be automatically populated with this value.',
'</p>',
'<p>',
'If you deselect this checkbox and your username is already saved in the cookie,',
'the application will overwrite it with an empty value.',
'You can also use your browser''s developer tools to completely remove the cookie.',
'</p>'))
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'1'
);
wwv_flow_imp_page.create_page_process(
 p_id=>wwv_flow_imp.id(26771211800954287)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Set Username Cookie'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex_authentication.send_login_username_cookie (',
'    p_username => lower(:P9999_USERNAME),',
'    p_consent  => :P9999_REMEMBER = ''Y'' );'))
,p_process_clob_language=>'PLSQL'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_imp_page.create_page_process(
 p_id=>wwv_flow_imp.id(26770874625954282)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Login'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex_authentication.login(',
'    p_username => :P9999_USERNAME,',
'    p_password => :P9999_PASSWORD );'))
,p_process_clob_language=>'PLSQL'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_imp_page.create_page_process(
 p_id=>wwv_flow_imp.id(26772045256954288)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SESSION_STATE'
,p_process_name=>'Clear Page(s) Cache'
,p_attribute_01=>'CLEAR_CACHE_CURRENT_PAGE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_imp_page.create_page_process(
 p_id=>wwv_flow_imp.id(26771612101954288)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get Username Cookie'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P9999_USERNAME := apex_authentication.get_login_username_cookie;',
':P9999_REMEMBER := case when :P9999_USERNAME is not null then ''Y'' end;'))
,p_process_clob_language=>'PLSQL'
);
end;
/
prompt --application/end_environment
begin
wwv_flow_imp.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done
